/* A Bison parser, made by GNU Bison 3.0.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2013 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs


/* Copy the first part of user declarations.  */
#line 1 "gram.y" /* yacc.c:339  */


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2014, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET SQL_inheritance TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.  The handling of SQL_inheritance is
 *	  a good example.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_seqam.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "commands/trigger.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/gramparse.h"
#include "parser/parser.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/*
 * Location tracking support --- simpler than bison's default, since we only
 * want to track the start position not the end position of each nonterminal.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if ((N) > 0) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (-1); \
	} while (0)

/*
 * The above macro assigns -1 (unknown) as the parse location of any
 * nonterminal that was reduced from an empty rule.  This is problematic
 * for nonterminals defined like
 *		OptFooList: / * EMPTY * / { ... } | OptFooList Foo { ... } ;
 * because we'll set -1 as the location during the first reduction and then
 * copy it during each subsequent reduction, leaving us with -1 for the
 * location even when the list is not empty.  To fix that, do this in the
 * action for the nonempty rule(s):
 *		if (@$ < 0) @$ = @2;
 * (Although we have many nonterminals that follow this pattern, we only
 * bother with fixing @$ like this when the nonterminal's parse location
 * is actually referenced in some rule.)
 */

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	GrantObjectType objtype;
	List	   *objs;
} PrivTarget;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Value *v, int location);
static Node *makeBoolAConst(bool state, int location);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static List *extractAggrArgTypes(List *aggrargs);
static List *makeOrderedSetArgs(List *directargs, List *orderedargs,
								core_yyscan_t yyscanner);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								Node *limitOffset, Node *limitCount,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Value *v);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);


#line 242 "gram.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "gram.h".  */
#ifndef YY_BASE_YY_GRAM_H_INCLUDED
# define YY_BASE_YY_GRAM_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    IDENT = 258,
    FCONST = 259,
    SCONST = 260,
    BCONST = 261,
    XCONST = 262,
    Op = 263,
    ICONST = 264,
    PARAM = 265,
    TYPECAST = 266,
    DOT_DOT = 267,
    COLON_EQUALS = 268,
    ABORT_P = 269,
    ABSOLUTE_P = 270,
    ACCESS = 271,
    ACTION = 272,
    ADD_P = 273,
    ADMIN = 274,
    AFTER = 275,
    AGGREGATE = 276,
    ALL = 277,
    ALSO = 278,
    ALTER = 279,
    ALWAYS = 280,
    ANALYSE = 281,
    ANALYZE = 282,
    AND = 283,
    ANY = 284,
    ARRAY = 285,
    AS = 286,
    ASC = 287,
    ASSERTION = 288,
    ASSIGNMENT = 289,
    ASYMMETRIC = 290,
    AT = 291,
    ATTRIBUTE = 292,
    AUTHORIZATION = 293,
    BACKWARD = 294,
    BEFORE = 295,
    BEGIN_P = 296,
    BETWEEN = 297,
    BIGINT = 298,
    BINARY = 299,
    BIT = 300,
    BOOLEAN_P = 301,
    BOTH = 302,
    BY = 303,
    CACHE = 304,
    CALLED = 305,
    CASCADE = 306,
    CASCADED = 307,
    CASE = 308,
    CAST = 309,
    CATALOG_P = 310,
    CHAIN = 311,
    CHAR_P = 312,
    CHARACTER = 313,
    CHARACTERISTICS = 314,
    CHECK = 315,
    CHECKPOINT = 316,
    CLASS = 317,
    CLOSE = 318,
    CLUSTER = 319,
    COALESCE = 320,
    COLLATE = 321,
    COLLATION = 322,
    COLUMN = 323,
    COMMENT = 324,
    COMMENTS = 325,
    COMMIT = 326,
    COMMITTED = 327,
    CONCURRENTLY = 328,
    CONFIGURATION = 329,
    CONNECTION = 330,
    CONSTRAINT = 331,
    CONSTRAINTS = 332,
    CONTENT_P = 333,
    CONTINUE_P = 334,
    CONVERSION_P = 335,
    COPY = 336,
    COST = 337,
    CREATE = 338,
    CROSS = 339,
    CSV = 340,
    CURRENT_P = 341,
    CURRENT_CATALOG = 342,
    CURRENT_DATE = 343,
    CURRENT_ROLE = 344,
    CURRENT_SCHEMA = 345,
    CURRENT_TIME = 346,
    CURRENT_TIMESTAMP = 347,
    CURRENT_USER = 348,
    CURSOR = 349,
    CYCLE = 350,
    DATA_P = 351,
    DATABASE = 352,
    DAY_P = 353,
    DEALLOCATE = 354,
    DEC = 355,
    DECIMAL_P = 356,
    DECLARE = 357,
    DEFAULT = 358,
    DEFAULTS = 359,
    DEFERRABLE = 360,
    DEFERRED = 361,
    DEFINER = 362,
    DELETE_P = 363,
    DELIMITER = 364,
    DELIMITERS = 365,
    DESC = 366,
    DICTIONARY = 367,
    DISABLE_P = 368,
    DISCARD = 369,
    DISTINCT = 370,
    DO = 371,
    DOCUMENT_P = 372,
    DOMAIN_P = 373,
    DOUBLE_P = 374,
    DROP = 375,
    EACH = 376,
    ELSE = 377,
    ENABLE_P = 378,
    ENCODING = 379,
    ENCRYPTED = 380,
    END_P = 381,
    ENUM_P = 382,
    ESCAPE = 383,
    EVENT = 384,
    EXCEPT = 385,
    EXCLUDE = 386,
    EXCLUDING = 387,
    EXCLUSIVE = 388,
    EXECUTE = 389,
    EXISTS = 390,
    EXPLAIN = 391,
    EXTENSION = 392,
    EXTERNAL = 393,
    EXTRACT = 394,
    FALSE_P = 395,
    FAMILY = 396,
    FETCH = 397,
    FILTER = 398,
    FIRST_P = 399,
    FLOAT_P = 400,
    FOLLOWING = 401,
    FOR = 402,
    FORCE = 403,
    FOREIGN = 404,
    FORWARD = 405,
    FREEZE = 406,
    FROM = 407,
    FULL = 408,
    FUNCTION = 409,
    FUNCTIONS = 410,
    GLOBAL = 411,
    GRANT = 412,
    GRANTED = 413,
    GREATEST = 414,
    GROUP_P = 415,
    HANDLER = 416,
    HAVING = 417,
    HEADER_P = 418,
    HOLD = 419,
    HOUR_P = 420,
    IDENTITY_P = 421,
    IF_P = 422,
    ILIKE = 423,
    IMMEDIATE = 424,
    IMMUTABLE = 425,
    IMPLICIT_P = 426,
    IN_P = 427,
    INCLUDING = 428,
    INCREMENT = 429,
    INDEX = 430,
    INDEXES = 431,
    INHERIT = 432,
    INHERITS = 433,
    INITIALLY = 434,
    INLINE_P = 435,
    INNER_P = 436,
    INOUT = 437,
    INPUT_P = 438,
    INSENSITIVE = 439,
    INSERT = 440,
    INSTEAD = 441,
    INT_P = 442,
    INTEGER = 443,
    INTERSECT = 444,
    INTERVAL = 445,
    INTO = 446,
    INVOKER = 447,
    IS = 448,
    ISNULL = 449,
    ISOLATION = 450,
    JOIN = 451,
    KEY = 452,
    LABEL = 453,
    LANGUAGE = 454,
    LARGE_P = 455,
    LAST_P = 456,
    LATERAL_P = 457,
    LC_COLLATE_P = 458,
    LC_CTYPE_P = 459,
    LEADING = 460,
    LEAKPROOF = 461,
    LEAST = 462,
    LEFT = 463,
    LEVEL = 464,
    LIKE = 465,
    LIMIT = 466,
    LISTEN = 467,
    LOAD = 468,
    LOCAL = 469,
    LOCALTIME = 470,
    LOCALTIMESTAMP = 471,
    LOCATION = 472,
    LOCK_P = 473,
    MAPPING = 474,
    MATCH = 475,
    MATERIALIZED = 476,
    MAXVALUE = 477,
    MINUTE_P = 478,
    MINVALUE = 479,
    MODE = 480,
    MONTH_P = 481,
    MOVE = 482,
    NAME_P = 483,
    NAMES = 484,
    NATIONAL = 485,
    NATURAL = 486,
    NCHAR = 487,
    NEXT = 488,
    NO = 489,
    NONE = 490,
    NOT = 491,
    NOTHING = 492,
    NOTIFY = 493,
    NOTNULL = 494,
    NOWAIT = 495,
    NULL_P = 496,
    NULLIF = 497,
    NULLS_P = 498,
    NUMERIC = 499,
    OBJECT_P = 500,
    OF = 501,
    OFF = 502,
    OFFSET = 503,
    OIDS = 504,
    ON = 505,
    ONLY = 506,
    OPERATOR = 507,
    OPTION = 508,
    OPTIONS = 509,
    OR = 510,
    ORDER = 511,
    ORDINALITY = 512,
    OUT_P = 513,
    OUTER_P = 514,
    OVER = 515,
    OVERLAPS = 516,
    OVERLAY = 517,
    OWNED = 518,
    OWNER = 519,
    PARSER = 520,
    PARTIAL = 521,
    PARTITION = 522,
    PASSING = 523,
    PASSWORD = 524,
    PLACING = 525,
    PLANS = 526,
    POSITION = 527,
    PRECEDING = 528,
    PRECISION = 529,
    PRESERVE = 530,
    PREPARE = 531,
    PREPARED = 532,
    PRIMARY = 533,
    PRIOR = 534,
    PRIVILEGES = 535,
    PROCEDURAL = 536,
    PROCEDURE = 537,
    PROGRAM = 538,
    QUOTE = 539,
    RANGE = 540,
    READ = 541,
    REAL = 542,
    REASSIGN = 543,
    RECHECK = 544,
    RECURSIVE = 545,
    REF = 546,
    REFERENCES = 547,
    REFRESH = 548,
    REINDEX = 549,
    RELATIVE_P = 550,
    RELEASE = 551,
    RENAME = 552,
    REPEATABLE = 553,
    REPLACE = 554,
    REPLICA = 555,
    RESET = 556,
    RESTART = 557,
    RESTRICT = 558,
    RETURNING = 559,
    RETURNS = 560,
    REVOKE = 561,
    RIGHT = 562,
    ROLE = 563,
    ROLLBACK = 564,
    ROW = 565,
    ROWS = 566,
    RULE = 567,
    SAVEPOINT = 568,
    SCHEMA = 569,
    SCROLL = 570,
    SEARCH = 571,
    SECOND_P = 572,
    SECURITY = 573,
    SELECT = 574,
    SEQUENCE = 575,
    SEQUENCES = 576,
    SERIALIZABLE = 577,
    SERVER = 578,
    SESSION = 579,
    SESSION_USER = 580,
    SET = 581,
    SETOF = 582,
    SHARE = 583,
    SHOW = 584,
    SIMILAR = 585,
    SIMPLE = 586,
    SMALLINT = 587,
    SNAPSHOT = 588,
    SOME = 589,
    STABLE = 590,
    STANDALONE_P = 591,
    START = 592,
    STATEMENT = 593,
    STATISTICS = 594,
    STDIN = 595,
    STDOUT = 596,
    STORAGE = 597,
    STRICT_P = 598,
    STRIP_P = 599,
    SUBSTRING = 600,
    SYMMETRIC = 601,
    SYSID = 602,
    SYSTEM_P = 603,
    TABLE = 604,
    TABLES = 605,
    TABLESPACE = 606,
    TEMP = 607,
    TEMPLATE = 608,
    TEMPORARY = 609,
    TEXT_P = 610,
    THEN = 611,
    TIME = 612,
    TIMESTAMP = 613,
    TO = 614,
    TRAILING = 615,
    TRANSACTION = 616,
    TREAT = 617,
    TRIGGER = 618,
    TRIM = 619,
    TRUE_P = 620,
    TRUNCATE = 621,
    TRUSTED = 622,
    TYPE_P = 623,
    TYPES_P = 624,
    UNBOUNDED = 625,
    UNCOMMITTED = 626,
    UNENCRYPTED = 627,
    UNION = 628,
    UNIQUE = 629,
    UNKNOWN = 630,
    UNLISTEN = 631,
    UNLOGGED = 632,
    UNTIL = 633,
    UPDATE = 634,
    USER = 635,
    USING = 636,
    VACUUM = 637,
    VALID = 638,
    VALIDATE = 639,
    VALIDATOR = 640,
    VALUE_P = 641,
    VALUES = 642,
    VARCHAR = 643,
    VARIADIC = 644,
    VARYING = 645,
    VERBOSE = 646,
    VERSION_P = 647,
    VIEW = 648,
    VIEWS = 649,
    VOLATILE = 650,
    WHEN = 651,
    WHERE = 652,
    WHITESPACE_P = 653,
    WINDOW = 654,
    WITH = 655,
    WITHIN = 656,
    WITHOUT = 657,
    WORK = 658,
    WRAPPER = 659,
    WRITE = 660,
    XML_P = 661,
    XMLATTRIBUTES = 662,
    XMLCONCAT = 663,
    XMLELEMENT = 664,
    XMLEXISTS = 665,
    XMLFOREST = 666,
    XMLPARSE = 667,
    XMLPI = 668,
    XMLROOT = 669,
    XMLSERIALIZE = 670,
    YEAR_P = 671,
    YES_P = 672,
    ZONE = 673,
    NULLS_FIRST = 674,
    NULLS_LAST = 675,
    WITH_ORDINALITY = 676,
    WITH_TIME = 677,
    POSTFIXOP = 678,
    UMINUS = 679
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE YYSTYPE;
union YYSTYPE
{
#line 180 "gram.y" /* yacc.c:355  */

	core_YYSTYPE		core_yystype;
	/* these fields must match core_YYSTYPE: */
	int					ival;
	char				*str;
	const char			*keyword;

	char				chr;
	bool				boolean;
	JoinType			jtype;
	DropBehavior		dbehavior;
	OnCommitAction		oncommit;
	List				*list;
	Node				*node;
	Value				*value;
	ObjectType			objtype;
	TypeName			*typnam;
	FunctionParameter   *fun_param;
	FunctionParameterMode fun_param_mode;
	FuncWithArgs		*funwithargs;
	DefElem				*defelt;
	SortBy				*sortby;
	WindowDef			*windef;
	JoinExpr			*jexpr;
	IndexElem			*ielem;
	Alias				*alias;
	RangeVar			*range;
	IntoClause			*into;
	WithClause			*with;
	A_Indices			*aind;
	ResTarget			*target;
	struct PrivTarget	*privtarget;
	AccessPriv			*accesspriv;
	InsertStmt			*istmt;
	VariableSetStmt		*vsetstmt;

#line 744 "gram.c" /* yacc.c:355  */
};
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif



int base_yyparse (core_yyscan_t yyscanner);

#endif /* !YY_BASE_YY_GRAM_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 772 "gram.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  727
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   79380

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  442
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  576
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2373
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  4594

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   679

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   431,     2,     2,
     436,   437,   429,   427,   440,   428,   438,   430,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   441,   439,
     424,   423,   425,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   434,     2,   435,   432,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   426,   433
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   691,   691,   698,   705,   715,   716,   717,   718,   719,
     720,   721,   722,   723,   724,   725,   726,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   744,   745,   746,   747,   748,   749,
     750,   751,   752,   753,   754,   755,   756,   757,   758,   759,
     760,   761,   762,   763,   764,   765,   766,   767,   768,   769,
     770,   771,   772,   773,   774,   775,   776,   777,   778,   779,
     780,   781,   782,   783,   784,   785,   786,   787,   788,   789,
     790,   791,   792,   793,   794,   795,   796,   797,   798,   799,
     800,   801,   802,   803,   804,   805,   806,   807,   808,   809,
     810,   811,   812,   813,   814,   815,   816,   817,   818,   819,
     820,   821,   822,   823,   824,   825,   826,   827,   828,   829,
     830,   832,   842,   853,   854,   863,   864,   868,   869,   873,
     878,   882,   887,   892,   896,   900,   905,   909,   963,   965,
     969,   973,   977,   981,   995,  1013,  1024,  1025,  1029,  1037,
    1055,  1067,  1075,  1096,  1103,  1122,  1129,  1146,  1164,  1175,
    1176,  1188,  1195,  1212,  1225,  1235,  1253,  1271,  1272,  1276,
    1283,  1291,  1292,  1293,  1294,  1295,  1296,  1310,  1316,  1322,
    1331,  1339,  1347,  1351,  1359,  1367,  1374,  1383,  1384,  1392,
    1403,  1411,  1419,  1430,  1438,  1446,  1453,  1462,  1472,  1473,
    1477,  1478,  1481,  1483,  1487,  1488,  1489,  1490,  1494,  1495,
    1496,  1502,  1514,  1518,  1522,  1537,  1560,  1561,  1562,  1566,
    1567,  1568,  1572,  1573,  1577,  1581,  1582,  1589,  1596,  1606,
    1613,  1623,  1624,  1629,  1630,  1635,  1641,  1647,  1653,  1659,
    1669,  1679,  1680,  1684,  1685,  1693,  1708,  1714,  1720,  1726,
    1732,  1751,  1760,  1769,  1780,  1791,  1800,  1809,  1820,  1831,
    1840,  1849,  1858,  1867,  1876,  1885,  1896,  1910,  1911,  1916,
    1924,  1932,  1941,  1949,  1957,  1966,  1975,  1984,  1993,  2003,
    2016,  2031,  2040,  2048,  2063,  2071,  2081,  2091,  2098,  2105,
    2113,  2121,  2129,  2137,  2145,  2152,  2159,  2167,  2174,  2181,
    2189,  2197,  2205,  2213,  2221,  2229,  2239,  2246,  2254,  2262,
    2270,  2278,  2285,  2295,  2296,  2300,  2301,  2302,  2306,  2314,
    2318,  2319,  2323,  2330,  2337,  2344,  2354,  2357,  2358,  2362,
    2363,  2368,  2372,  2376,  2381,  2396,  2409,  2410,  2415,  2424,
    2434,  2444,  2470,  2476,  2506,  2535,  2557,  2558,  2562,  2563,
    2572,  2573,  2574,  2577,  2578,  2583,  2584,  2588,  2592,  2596,
    2600,  2604,  2608,  2612,  2616,  2620,  2624,  2628,  2632,  2636,
    2640,  2649,  2653,  2657,  2661,  2665,  2669,  2673,  2674,  2679,
    2683,  2690,  2697,  2698,  2699,  2700,  2701,  2705,  2709,  2717,
    2728,  2743,  2759,  2775,  2804,  2805,  2806,  2807,  2808,  2815,
    2822,  2823,  2827,  2828,  2832,  2833,  2837,  2841,  2848,  2852,
    2859,  2860,  2861,  2865,  2866,  2869,  2890,  2911,  2912,  2916,
    2924,  2925,  2926,  2957,  2964,  2971,  2982,  2993,  3003,  3012,
    3045,  3052,  3059,  3066,  3077,  3087,  3088,  3089,  3093,  3094,
    3095,  3096,  3097,  3098,  3107,  3115,  3119,  3132,  3147,  3161,
    3176,  3190,  3208,  3229,  3230,  3234,  3235,  3239,  3240,  3243,
    3249,  3253,  3261,  3266,  3272,  3273,  3277,  3282,  3289,  3290,
    3300,  3302,  3304,  3306,  3309,  3312,  3315,  3319,  3320,  3321,
    3322,  3323,  3326,  3327,  3332,  3333,  3334,  3335,  3338,  3339,
    3340,  3341,  3344,  3345,  3348,  3349,  3352,  3367,  3382,  3396,
    3397,  3398,  3410,  3425,  3438,  3439,  3451,  3471,  3482,  3494,
    3509,  3519,  3530,  3541,  3551,  3562,  3575,  3576,  3579,  3580,
    3583,  3587,  3591,  3595,  3599,  3603,  3607,  3611,  3615,  3619,
    3623,  3627,  3633,  3634,  3638,  3639,  3640,  3645,  3648,  3649,
    3661,  3673,  3688,  3689,  3697,  3698,  3702,  3703,  3707,  3708,
    3712,  3713,  3717,  3728,  3741,  3742,  3752,  3763,  3764,  3777,
    3784,  3801,  3809,  3820,  3823,  3827,  3831,  3835,  3847,  3857,
    3860,  3864,  3877,  3887,  3897,  3906,  3915,  3924,  3934,  3943,
    3953,  3963,  3973,  3982,  3991,  4000,  4009,  4018,  4027,  4036,
    4045,  4054,  4063,  4072,  4081,  4090,  4108,  4119,  4120,  4121,
    4122,  4126,  4127,  4131,  4132,  4142,  4153,  4173,  4181,  4193,
    4194,  4198,  4202,  4210,  4214,  4218,  4225,  4229,  4234,  4239,
    4246,  4253,  4258,  4268,  4282,  4283,  4288,  4289,  4293,  4294,
    4304,  4315,  4335,  4344,  4352,  4369,  4384,  4409,  4418,  4436,
    4448,  4449,  4450,  4460,  4468,  4485,  4504,  4524,  4549,  4550,
    4551,  4555,  4557,  4579,  4581,  4583,  4585,  4587,  4592,  4597,
    4607,  4608,  4612,  4613,  4617,  4618,  4622,  4623,  4624,  4628,
    4634,  4635,  4636,  4640,  4641,  4646,  4647,  4674,  4675,  4676,
    4677,  4678,  4679,  4684,  4695,  4718,  4728,  4742,  4744,  4749,
    4754,  4756,  4761,  4771,  4772,  4773,  4774,  4786,  4806,  4829,
    4839,  4850,  4860,  4870,  4881,  4890,  4897,  4904,  4913,  4922,
    4931,  4940,  4949,  4960,  4963,  4964,  4967,  4971,  4978,  4979,
    4980,  4981,  4982,  4985,  4988,  4989,  4997,  5004,  5005,  5008,
    5010,  5021,  5031,  5041,  5053,  5054,  5070,  5085,  5086,  5090,
    5100,  5111,  5120,  5130,  5139,  5140,  5143,  5144,  5147,  5148,
    5149,  5152,  5166,  5171,  5181,  5190,  5202,  5203,  5207,  5215,
    5227,  5238,  5252,  5263,  5286,  5296,  5314,  5325,  5336,  5347,
    5361,  5362,  5363,  5364,  5365,  5366,  5367,  5368,  5369,  5370,
    5371,  5372,  5373,  5374,  5375,  5376,  5377,  5381,  5382,  5385,
    5386,  5389,  5391,  5404,  5415,  5416,  5417,  5449,  5458,  5467,
    5476,  5485,  5494,  5503,  5513,  5522,  5531,  5540,  5549,  5558,
    5570,  5571,  5572,  5573,  5574,  5575,  5576,  5577,  5578,  5579,
    5580,  5581,  5582,  5583,  5584,  5585,  5586,  5587,  5588,  5589,
    5590,  5591,  5592,  5596,  5597,  5611,  5622,  5633,  5644,  5655,
    5668,  5669,  5673,  5674,  5675,  5676,  5677,  5678,  5679,  5680,
    5681,  5682,  5683,  5684,  5685,  5688,  5689,  5699,  5705,  5713,
    5721,  5729,  5737,  5745,  5753,  5761,  5769,  5777,  5785,  5793,
    5801,  5809,  5817,  5825,  5833,  5843,  5844,  5847,  5848,  5858,
    5874,  5888,  5914,  5916,  5918,  5920,  5927,  5936,  5937,  5940,
    5947,  5954,  5961,  5975,  5983,  5991,  5999,  6007,  6015,  6023,
    6031,  6039,  6047,  6055,  6063,  6071,  6079,  6087,  6095,  6107,
    6108,  6111,  6121,  6135,  6136,  6140,  6141,  6146,  6162,  6175,
    6185,  6197,  6198,  6201,  6202,  6212,  6222,  6223,  6227,  6231,
    6235,  6246,  6259,  6273,  6290,  6291,  6292,  6293,  6305,  6332,
    6333,  6337,  6338,  6342,  6343,  6347,  6348,  6351,  6352,  6360,
    6371,  6382,  6395,  6396,  6399,  6400,  6401,  6404,  6405,  6406,
    6409,  6410,  6411,  6427,  6439,  6452,  6467,  6468,  6471,  6472,
    6476,  6477,  6485,  6486,  6490,  6491,  6506,  6515,  6524,  6533,
    6542,  6554,  6555,  6556,  6557,  6558,  6564,  6568,  6583,  6584,
    6590,  6600,  6604,  6609,  6617,  6658,  6662,  6666,  6670,  6678,
    6679,  6684,  6685,  6692,  6696,  6700,  6704,  6708,  6712,  6716,
    6720,  6724,  6728,  6732,  6736,  6740,  6744,  6748,  6756,  6760,
    6764,  6768,  6774,  6775,  6782,  6783,  6786,  6798,  6802,  6817,
    6828,  6829,  6834,  6835,  6850,  6861,  6875,  6886,  6900,  6911,
    6925,  6933,  6935,  6937,  6942,  6944,  6957,  6966,  6967,  6971,
    6975,  6987,  6998,  7009,  7022,  7023,  7024,  7028,  7041,  7042,
    7056,  7064,  7074,  7087,  7088,  7091,  7092,  7103,  7112,  7129,
    7139,  7148,  7157,  7166,  7175,  7185,  7194,  7204,  7213,  7222,
    7232,  7242,  7251,  7260,  7270,  7280,  7290,  7300,  7310,  7320,
    7330,  7340,  7350,  7360,  7370,  7380,  7391,  7402,  7413,  7424,
    7434,  7445,  7456,  7466,  7476,  7484,  7493,  7502,  7511,  7520,
    7529,  7538,  7547,  7556,  7570,  7571,  7574,  7575,  7585,  7595,
    7604,  7613,  7622,  7631,  7641,  7651,  7661,  7671,  7680,  7689,
    7698,  7707,  7716,  7725,  7734,  7743,  7752,  7761,  7770,  7779,
    7788,  7797,  7814,  7823,  7831,  7839,  7847,  7855,  7864,  7872,
    7880,  7889,  7898,  7907,  7915,  7923,  7931,  7939,  7947,  7955,
    7963,  7980,  7997,  7998,  7999,  8004,  8010,  8019,  8020,  8021,
    8022,  8023,  8027,  8028,  8031,  8032,  8033,  8034,  8038,  8039,
    8040,  8045,  8056,  8078,  8088,  8089,  8092,  8101,  8107,  8126,
    8133,  8140,  8147,  8154,  8161,  8168,  8176,  8184,  8192,  8200,
    8208,  8215,  8222,  8231,  8232,  8233,  8237,  8240,  8243,  8246,
    8249,  8256,  8258,  8260,  8265,  8267,  8279,  8292,  8305,  8323,
    8344,  8345,  8346,  8347,  8357,  8373,  8383,  8384,  8388,  8392,
    8396,  8400,  8404,  8408,  8412,  8416,  8420,  8424,  8428,  8432,
    8436,  8440,  8444,  8448,  8458,  8459,  8470,  8477,  8488,  8499,
    8500,  8504,  8518,  8525,  8543,  8549,  8565,  8578,  8587,  8595,
    8603,  8612,  8623,  8634,  8644,  8645,  8656,  8666,  8676,  8686,
    8696,  8706,  8714,  8735,  8758,  8766,  8775,  8786,  8787,  8799,
    8815,  8831,  8845,  8865,  8890,  8891,  8895,  8896,  8897,  8898,
    8902,  8916,  8933,  8934,  8938,  8939,  8942,  8943,  8946,  8947,
    8951,  8952,  8965,  8972,  8982,  8989,  8999,  9000,  9001,  9002,
    9003,  9004,  9005,  9006,  9007,  9011,  9015,  9022,  9029,  9030,
    9034,  9035,  9036,  9046,  9056,  9057,  9061,  9062,  9063,  9064,
    9074,  9081,  9099,  9100,  9110,  9116,  9122,  9128,  9144,  9154,
    9160,  9166,  9175,  9177,  9182,  9193,  9194,  9205,  9219,  9220,
    9231,  9242,  9243,  9246,  9247,  9248,  9249,  9250,  9251,  9252,
    9253,  9256,  9257,  9268,  9286,  9287,  9291,  9292,  9296,  9304,
    9332,  9343,  9344,  9354,  9365,  9368,  9369,  9370,  9371,  9372,
    9375,  9376,  9377,  9425,  9426,  9430,  9431,  9446,  9447,  9454,
    9462,  9470,  9478,  9486,  9494,  9505,  9506,  9533,  9548,  9549,
    9568,  9572,  9576,  9591,  9598,  9608,  9609,  9612,  9624,  9625,
    9629,  9641,  9649,  9654,  9659,  9664,  9669,  9677,  9685,  9690,
    9695,  9702,  9703,  9706,  9707,  9708,  9715,  9716,  9717,  9718,
    9722,  9723,  9727,  9731,  9732,  9735,  9744,  9757,  9758,  9759,
    9760,  9764,  9765,  9769,  9771,  9781,  9786,  9789,  9794,  9795,
    9803,  9813,  9814,  9815,  9823,  9827,  9828,  9831,  9832,  9837,
    9838,  9842,  9843,  9847,  9848,  9852,  9853,  9857,  9858,  9862,
    9873,  9874,  9875,  9876,  9880,  9881,  9886,  9892,  9910,  9911,
    9915,  9916,  9922,  9927,  9934,  9942,  9977, 10002, 10006, 10032,
   10036, 10048, 10061, 10075, 10086, 10101, 10107, 10112, 10118, 10125,
   10126, 10134, 10138, 10142, 10148, 10155, 10160, 10161, 10162, 10163,
   10167, 10168, 10180, 10181, 10186, 10193, 10200, 10207, 10218, 10219,
   10232, 10236, 10243, 10264, 10274, 10286, 10291, 10292, 10295, 10296,
   10299, 10300, 10305, 10306, 10311, 10312, 10320, 10325, 10326, 10330,
   10334, 10340, 10370, 10375, 10382, 10387, 10393, 10398, 10407, 10409,
   10412, 10416, 10417, 10418, 10419, 10420, 10421, 10426, 10456, 10457,
   10458, 10459, 10470, 10476, 10484, 10485, 10491, 10496, 10501, 10506,
   10511, 10516, 10521, 10526, 10532, 10538, 10544, 10551, 10573, 10582,
   10586, 10594, 10598, 10606, 10618, 10639, 10643, 10649, 10653, 10666,
   10677, 10692, 10694, 10696, 10698, 10700, 10702, 10707, 10708, 10712,
   10713, 10720, 10729, 10737, 10746, 10757, 10765, 10766, 10767, 10771,
   10773, 10775, 10777, 10779, 10781, 10783, 10788, 10793, 10799, 10807,
   10812, 10819, 10826, 10830, 10834, 10864, 10865, 10867, 10875, 10890,
   10892, 10894, 10896, 10898, 10900, 10902, 10904, 10906, 10908, 10910,
   10913, 10915, 10917, 10920, 10922, 10924, 10927, 10929, 10936, 10938,
   10945, 10947, 10954, 10956, 10964, 10971, 10978, 10985, 11002, 11009,
   11016, 11023, 11030, 11046, 11053, 11060, 11067, 11074, 11081, 11088,
   11092, 11100, 11104, 11114, 11121, 11128, 11141, 11154, 11173, 11194,
   11204, 11211, 11227, 11232, 11250, 11252, 11254, 11256, 11258, 11260,
   11262, 11264, 11266, 11268, 11270, 11272, 11274, 11276, 11278, 11280,
   11282, 11286, 11291, 11295, 11299, 11304, 11321, 11322, 11323, 11338,
   11350, 11352, 11354, 11364, 11387, 11397, 11407, 11415, 11426, 11430,
   11436, 11443, 11450, 11460, 11467, 11495, 11530, 11541, 11542, 11549,
   11555, 11581, 11591, 11604, 11612, 11625, 11635, 11648, 11658, 11671,
   11675, 11679, 11683, 11687, 11691, 11695, 11697, 11701, 11710, 11715,
   11722, 11737, 11744, 11748, 11752, 11756, 11760, 11767, 11775, 11783,
   11787, 11791, 11795, 11799, 11803, 11809, 11813, 11822, 11826, 11830,
   11835, 11849, 11851, 11855, 11857, 11859, 11862, 11865, 11868, 11869,
   11872, 11880, 11890, 11891, 11894, 11895, 11896, 11901, 11905, 11909,
   11913, 11924, 11925, 11929, 11930, 11938, 11939, 11943, 11944, 11949,
   11957, 11959, 11973, 11976, 12003, 12004, 12007, 12008, 12019, 12037,
   12044, 12053, 12070, 12115, 12123, 12131, 12139, 12147, 12168, 12169,
   12170, 12173, 12174, 12175, 12178, 12179, 12182, 12183, 12184, 12185,
   12186, 12187, 12188, 12189, 12190, 12193, 12195, 12200, 12202, 12207,
   12209, 12211, 12213, 12215, 12217, 12229, 12233, 12240, 12244, 12250,
   12254, 12265, 12266, 12269, 12273, 12277, 12283, 12284, 12289, 12293,
   12300, 12301, 12302, 12303, 12304, 12305, 12306, 12307, 12317, 12321,
   12328, 12335, 12336, 12352, 12356, 12361, 12365, 12380, 12385, 12389,
   12392, 12395, 12396, 12397, 12400, 12407, 12417, 12431, 12432, 12436,
   12447, 12448, 12451, 12452, 12455, 12459, 12466, 12470, 12474, 12481,
   12491, 12492, 12496, 12497, 12500, 12501, 12512, 12513, 12522, 12523,
   12531, 12541, 12542, 12546, 12547, 12550, 12566, 12574, 12582, 12604,
   12605, 12616, 12620, 12647, 12649, 12654, 12657, 12660, 12662, 12664,
   12666, 12676, 12678, 12689, 12693, 12697, 12701, 12705, 12714, 12721,
   12753, 12757, 12763, 12780, 12784, 12788, 12794, 12795, 12796, 12798,
   12800, 12804, 12805, 12806, 12822, 12823, 12824, 12829, 12830, 12831,
   12836, 12837, 12838, 12839, 12845, 12846, 12847, 12848, 12849, 12869,
   12870, 12871, 12872, 12873, 12874, 12875, 12876, 12877, 12878, 12879,
   12880, 12881, 12882, 12883, 12884, 12885, 12886, 12887, 12888, 12889,
   12890, 12891, 12892, 12893, 12894, 12895, 12896, 12897, 12898, 12899,
   12900, 12901, 12902, 12903, 12904, 12905, 12906, 12907, 12908, 12909,
   12910, 12911, 12912, 12913, 12914, 12915, 12916, 12917, 12918, 12919,
   12920, 12921, 12922, 12923, 12924, 12925, 12926, 12927, 12928, 12929,
   12930, 12931, 12932, 12933, 12934, 12935, 12936, 12937, 12938, 12939,
   12940, 12941, 12942, 12943, 12944, 12945, 12946, 12947, 12948, 12949,
   12950, 12951, 12952, 12953, 12954, 12955, 12956, 12957, 12958, 12959,
   12960, 12961, 12962, 12963, 12964, 12965, 12966, 12967, 12968, 12969,
   12970, 12971, 12972, 12973, 12974, 12975, 12976, 12977, 12978, 12979,
   12980, 12981, 12982, 12983, 12984, 12985, 12986, 12987, 12988, 12989,
   12990, 12991, 12992, 12993, 12994, 12995, 12996, 12997, 12998, 12999,
   13000, 13001, 13002, 13003, 13004, 13005, 13006, 13007, 13008, 13009,
   13010, 13011, 13012, 13013, 13014, 13015, 13016, 13017, 13018, 13019,
   13020, 13021, 13022, 13023, 13024, 13025, 13026, 13027, 13028, 13029,
   13030, 13031, 13032, 13033, 13034, 13035, 13036, 13037, 13038, 13039,
   13040, 13041, 13042, 13043, 13044, 13045, 13046, 13047, 13048, 13049,
   13050, 13051, 13052, 13053, 13054, 13055, 13056, 13057, 13058, 13059,
   13060, 13061, 13062, 13063, 13064, 13065, 13066, 13067, 13068, 13069,
   13070, 13071, 13072, 13073, 13074, 13075, 13076, 13077, 13078, 13079,
   13080, 13081, 13082, 13083, 13084, 13085, 13086, 13087, 13088, 13089,
   13090, 13091, 13092, 13093, 13094, 13095, 13096, 13097, 13098, 13099,
   13100, 13101, 13102, 13103, 13104, 13105, 13106, 13107, 13108, 13109,
   13110, 13111, 13112, 13113, 13114, 13115, 13116, 13117, 13118, 13119,
   13120, 13121, 13122, 13123, 13124, 13125, 13126, 13127, 13141, 13142,
   13143, 13144, 13145, 13146, 13147, 13148, 13149, 13150, 13151, 13152,
   13153, 13154, 13155, 13156, 13157, 13158, 13159, 13160, 13161, 13162,
   13163, 13164, 13165, 13166, 13167, 13168, 13169, 13170, 13171, 13172,
   13173, 13174, 13175, 13176, 13177, 13178, 13179, 13180, 13181, 13182,
   13183, 13184, 13185, 13186, 13187, 13201, 13202, 13203, 13204, 13205,
   13206, 13207, 13208, 13209, 13210, 13211, 13212, 13213, 13214, 13215,
   13216, 13217, 13218, 13219, 13220, 13221, 13222, 13232, 13233, 13234,
   13235, 13236, 13237, 13238, 13239, 13240, 13241, 13242, 13243, 13244,
   13245, 13246, 13247, 13248, 13249, 13250, 13251, 13252, 13253, 13254,
   13255, 13256, 13257, 13258, 13259, 13260, 13261, 13262, 13263, 13264,
   13265, 13266, 13267, 13268, 13269, 13270, 13271, 13272, 13273, 13274,
   13275, 13276, 13277, 13278, 13279, 13280, 13281, 13282, 13283, 13284,
   13285, 13286, 13287, 13288, 13289, 13290, 13291, 13292, 13293, 13294,
   13295, 13296, 13297, 13298, 13299, 13300, 13301, 13302, 13303, 13304,
   13305, 13306, 13307, 13308
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "FCONST", "SCONST", "BCONST",
  "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT", "COLON_EQUALS",
  "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER",
  "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE",
  "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION", "ASSIGNMENT",
  "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD", "BEFORE",
  "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P", "BOTH",
  "BY", "CACHE", "CALLED", "CASCADE", "CASCADED", "CASE", "CAST",
  "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER", "CHARACTERISTICS", "CHECK",
  "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER", "COALESCE", "COLLATE",
  "COLLATION", "COLUMN", "COMMENT", "COMMENTS", "COMMIT", "COMMITTED",
  "CONCURRENTLY", "CONFIGURATION", "CONNECTION", "CONSTRAINT",
  "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COPY", "COST",
  "CREATE", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE",
  "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP",
  "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P",
  "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS",
  "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P", "DELIMITER",
  "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT",
  "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE",
  "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE",
  "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE",
  "EXISTS", "EXPLAIN", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P",
  "FAMILY", "FETCH", "FILTER", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR",
  "FORCE", "FOREIGN", "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION",
  "FUNCTIONS", "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P",
  "HANDLER", "HAVING", "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P",
  "ILIKE", "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING",
  "INCREMENT", "INDEX", "INDEXES", "INHERIT", "INHERITS", "INITIALLY",
  "INLINE_P", "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE", "INSERT",
  "INSTEAD", "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO",
  "INVOKER", "IS", "ISNULL", "ISOLATION", "JOIN", "KEY", "LABEL",
  "LANGUAGE", "LARGE_P", "LAST_P", "LATERAL_P", "LC_COLLATE_P",
  "LC_CTYPE_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL", "LIKE",
  "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME", "LOCALTIMESTAMP",
  "LOCATION", "LOCK_P", "MAPPING", "MATCH", "MATERIALIZED", "MAXVALUE",
  "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES",
  "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO", "NONE", "NOT", "NOTHING",
  "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC",
  "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR",
  "OPTION", "OPTIONS", "OR", "ORDER", "ORDINALITY", "OUT_P", "OUTER_P",
  "OVER", "OVERLAPS", "OVERLAY", "OWNED", "OWNER", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POSITION",
  "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY",
  "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROGRAM", "QUOTE",
  "RANGE", "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF",
  "REFERENCES", "REFRESH", "REINDEX", "RELATIVE_P", "RELEASE", "RENAME",
  "REPEATABLE", "REPLACE", "REPLICA", "RESET", "RESTART", "RESTRICT",
  "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROW",
  "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCROLL", "SEARCH", "SECOND_P",
  "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER",
  "SESSION", "SESSION_USER", "SET", "SETOF", "SHARE", "SHOW", "SIMILAR",
  "SIMPLE", "SMALLINT", "SNAPSHOT", "SOME", "STABLE", "STANDALONE_P",
  "START", "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE",
  "STRICT_P", "STRIP_P", "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P",
  "TABLE", "TABLES", "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY",
  "TEXT_P", "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING", "TRANSACTION",
  "TREAT", "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P",
  "TYPES_P", "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE",
  "UNKNOWN", "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING",
  "VACUUM", "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES",
  "VARCHAR", "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW",
  "VIEWS", "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH",
  "WITHIN", "WITHOUT", "WORK", "WRAPPER", "WRITE", "XML_P",
  "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS", "XMLFOREST",
  "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE", "YEAR_P", "YES_P",
  "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_ORDINALITY", "WITH_TIME",
  "'='", "'<'", "'>'", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'",
  "'^'", "UMINUS", "'['", "']'", "'('", "')'", "'.'", "';'", "','", "':'",
  "$accept", "stmtblock", "stmtmulti", "stmt", "CreateRoleStmt",
  "opt_with", "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "AlterUserStmt",
  "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "DropGroupStmt", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "generic_set", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "NonReservedWord_or_Sconst", "VariableResetStmt",
  "reset_rest", "generic_reset", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "replica_identity", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "opt_oids",
  "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "CreateAsStmt", "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "AlterForeignTableStmt", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem", "DropTrigStmt",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "old_aggr_definition", "old_aggr_list", "old_aggr_elem",
  "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type", "any_name_list", "any_name", "attrs", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default", "aggr_arg",
  "aggr_args", "aggr_args_list", "createfunc_opt_list",
  "common_func_opt_item", "createfunc_opt_item", "func_as",
  "opt_definition", "table_func_column", "table_func_column_list",
  "AlterFunctionStmt", "alterfunc_opt_list", "opt_restrict",
  "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt", "oper_argtypes",
  "any_operator", "DoStmt", "dostmt_opt_list", "dostmt_opt_item",
  "CreateCastStmt", "cast_context", "DropCastStmt", "opt_if_exists",
  "ReindexStmt", "reindex_type", "opt_force", "AlterTblSpcStmt",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "AlterSystemStmt",
  "CreateDomainStmt", "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "DeallocateStmt", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "opt_all", "opt_distinct",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "func_table", "rowsfrom_item",
  "rowsfrom_list", "opt_col_def_list", "opt_ordinality", "where_clause",
  "where_or_current_clause", "OptTableFuncElementList",
  "TableFuncElementList", "TableFuncElement", "Typename",
  "opt_array_bounds", "SimpleTypename", "ConstTypename", "GenericType",
  "opt_type_modifiers", "Numeric", "opt_float", "Bit", "ConstBit",
  "BitWithLength", "BitWithoutLength", "Character", "ConstCharacter",
  "CharacterWithLength", "CharacterWithoutLength", "character",
  "opt_varying", "opt_charset", "ConstDatetime", "ConstInterval",
  "opt_timezone", "opt_interval", "interval_second", "a_expr", "b_expr",
  "c_expr", "func_application", "func_expr", "func_expr_windowless",
  "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "sub_type", "all_Op", "MathOp", "qual_Op",
  "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "opt_target_list", "target_list", "target_el",
  "qualified_name_list", "qualified_name", "name_list", "name",
  "database_name", "access_method", "attr_name", "index_name", "file_name",
  "func_name", "AexprConst", "Iconst", "Sconst", "RoleId", "role_list",
  "SignedIconst", "ColId", "type_function_name", "NonReservedWord",
  "ColLabel", "unreserved_keyword", "col_name_keyword",
  "type_func_name_keyword", "reserved_keyword", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,    61,    60,    62,   678,    43,    45,    42,
      47,    37,    94,   679,    91,    93,    40,    41,    46,    59,
      44,    58
};
# endif

#define YYPACT_NINF -4156

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-4156)))

#define YYTABLE_NINF -2281

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2281)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
    5053,   -18, 10752, -4156, -4156,   -18, -4156, 54900,   531,   668,
    1066,   170, 10440, 55316, 63220,   572,   306, 10627,   -18, 63220,
    1612, 40756, 51988, 63220,  1085,   751, 40756, 63220, 63636,   859,
    1044,   865, 64052, 55732, 50740,  1239, 63220,  1090,  1126, 64468,
   56148,   938, 56564,   751, 37862,   310,   875, 64884,  1742,  1460,
     908, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,   531, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,   238,
   -4156,   708,   390,  1946,   800,   942, -4156, -4156, -4156, 46580,
   63220, 63220, 63220,  1109, 63220,  1108, 63220,   249, 46580, 46996,
   56980,  1260,  1185, 34447, -4156, 44500, 63220, 63220, 65300, 63220,
    1551, 53236, 63220,  1283, 63220, 63220, 44916, 65716,  1425,  1281,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, 63220, 11177,  1085, -4156, -4156, 63220,
    1319, 46580, 63220,  1249, 63220,  1334, 63220, -4156, 63220,  1412,
   66132,   291,  1389, 46996,  1763, 34877,  1522, 46996, 66548, 63220,
   63220, -4156, -4156,  1473, 63220, 63220, -4156,  1622, 47412,  1479,
    1632,  1804,  1776,   920, -4156, 57396, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, 45332,   306, -4156, -4156, 47828, 63220,
    1748, -4156, -4156, 66964, -4156,  1578, -4156,   693, 48244, 48660,
    1893,  1584, 35307,  1954, 49076, 67380, -4156, -4156, 67796, -4156,
   68212,  1710, 68628, -4156, 49492, -4156,  1838, 69044, -4156,  1610,
    1567,  1562, 31056, -4156, -4156, -4156,   531, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156,   200,  1693,   204,   206,   278,
   -4156, -4156,   207,   208,   225,   200,  2043,  2043, -4156, 63220,
   -4156, -4156,  1693,   515,  1641,  1641,  1641,  1812,   -11, -4156,
    1641, -4156, -4156, -4156, -4156, 56564, -4156,  1644,  1085,  1656,
    2060,  1730, 63220, -4156, 63220, -4156, 63220, 63220, -4156, -4156,
    2090,  1723,  1963,  1767, -4156, -4156, -4156,  1927,  1964,  1991,
     138,  1085,  1886, -4156,  2137, -4156,  2027, 21602,  1085, 57812,
   69460,   264, 45332,  1085, 58228,  1870,   746,  2050, -4156, -4156,
   -4156,   407, -4156,  2276,  1906,  2157,  1767,  1281, 32325, -4156,
    1903,   -27, 56564, -4156, -4156, -4156,   366,  2187, 22036, -4156,
   63220,  1905, -4156,  1925,  1930,  1931,  1946, -4156,  5053, 63220,
    1291,  1291,  2327,  1291,  1316,  1630, -4156,  2116, -4156,  2239,
    2209, 56564,   875,   198, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156,  1975,   -27, -4156,   205,
   -4156,  1498,  1984,  1565,  1195, -4156, -4156,   213, 63220,  2123,
     202,   532,  2039, 58644,  3775,  2019, -4156,   749, -4156, -4156,
   -4156, -4156,  2284,  2328,  2882,   285, 59060, -4156, 63220, 63220,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,  2040,
   -4156, -4156,  2049,  2345,   109,  2271,   651,  2391, 10095,  1315,
   59476, 63220,  2359,  2408,  4084,  2029,   842,  2299,   217,  2345,
    2416,   645,  2427,  4506, 63220, -4156,  2365,  2474,   598, -4156,
     675, -4156,  2207,  2339,   660, 46580,  2171, -4156, -4156, 63220,
   -4156, -4156, -4156,  2230, -4156,   715, 46580, -4156,  2349,  2215,
   35737, -4156, 63220, -4156, -4156, -4156, -4156, -4156,  2297, 63220,
   -4156, -4156,  2418, 63220, -4156,  1641,  2343,  2196,  2580, 78152,
     317, 63220,  2245,  2618, 63220,  2417,  2245,  2248, 69876, -4156,
   -4156,  2245, -4156, -4156, 63220, 63220,  2218,  1347,  2245,  2419,
    2619,  2620,  2288,  2395,   864,   932,   193,  2513,  2245,  2268,
   63220, 70292, 63220,  2282, 63220,  2591, 46580, 63220, -4156,  2396,
   -4156, -4156,  1153, -4156, -4156, -4156, -4156,  2541,  1975,   223,
    2543,  2244,  2550, -4156, -4156,  2290, -4156,  2557,  2019,  2560,
   -4156,  2256, 70708, -4156, 71124, 71540,  2562,  2040, 46996,  2563,
    2256,  2564,  2450,  2568,   223,  2569, -4156,   889,  2570,  2458,
    2574,  1735,  2256, 45748,  2575,   176, -4156, 23772, -4156,  2362,
   -4156,   875, -4156,  1670, -4156, 40340, -4156,  1562,  1693, -4156,
   63220,  1693, 63220,  1693, 63220,  1693, 63220,  1693, 63220, 63220,
   63220,  1693, -4156, -4156, -4156, 63220,  2277, 63220, 63220, -4156,
   -4156, -4156, 52404, 46996, 52820, -4156, -4156,   304,  1085, -4156,
   -4156, 78152,  2681, 46996,  2591,  2566,  2566,  2566, -4156, -4156,
   -4156,  2506, 63220,  2571,  2576, 52404, 46996, -4156, 71956, 45332,
    2467,  2285, -4156, -4156, -4156, -4156, -4156,  1649,  2717,   243,
    2725, 23772,  2295,   178,   178,  2296,  2587, -4156, -4156, -4156,
     232,  2300,  2301, -4156,   253,   253,  2461,  2303,  2304, -4156,
     260,  2306,  2738,  2739,   261,  2309,  2310,  2311,  2010,   178,
   23772, -4156,  2312,   253,  2313,  2316,  2317,  2749,  2321, -4156,
    2754,  2324,   271,   298,  2325,  2326, -4156,  2303, -4156,   234,
    2329,  2330,  2331,  2332,  2333,  2338,  2346,  2347, 23772, 23772,
   -4156, 20734,   -27,  1085, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156,   286, -4156,   262,  4890, -4156,  2363, -4156, -4156,  2502,
   23772, -4156, -4156,  2590,  2348, -4156,   267, -4156, -4156, -4156,
     -27, -4156, -4156,   758,  2350, -4156,  1341, -4156, -4156, -4156,
   -4156, -4156, -4156, 43252,  2756, -4156,   346,  1085,   675,  1535,
    2699, 39508, 39924, -4156, -4156,  2582, -4156, 63220, -4156, -4156,
   23772, 37446, -4156,   -27,   155, -4156, -4156, -4156,  1685, -4156,
   -4156, -4156,   531, -4156,  9915, -4156,  1698,  1905, 63220, 63220,
    2758, -4156, -4156, -4156,  1925, -4156, -4156,  1946,  1946, 23772,
    1946,   947,  1419, 22470, 23772,  2645,  2546,  1113,  1515,  2658,
   -4156,  2567,  1316,  1630, 56564, 63220, 72372,  2480, -4156, 38278,
    1662,   -27,  2453,  2457,  2495, 41588,  2379,  2460,  2462,  2508,
    2469,  2470, 72788, -4156, -4156, -4156, -4156,   182,   752,   270,
    2471,   417,   816,  2750, -4156,  1321,  2517, -4156, -4156, -4156,
    3409, 63220,  2700,  4681,  2584,   285,  2518, -4156, -4156,  2631,
    2479,  2484,  2603,   285,  1298, 73204, -4156, -4156, -4156, -4156,
   -4156, -4156,  2757, 19490, -4156,  2487,  2468,  2496, 63220, 49908,
    1877,  2599,    41,  1996,   229, 63220,  2673,  2606, 63220,  2421,
    2494,  2499,  2688,  2423,  1111,  2779,  2420, -4156, -4156, -4156,
     925,   936,  2598, -4156,  2692,  2731,  7222,  2486,  2488, 77342,
     609, 36167,  2771,  1591,  2511, -4156,  1591, 63220,  2512,  2514,
   63220,   285, -4156,  2824,   285,   285,  1626,  2826,  2516,   365,
    1137,  2245,  2420,  2497,   849, -4156,  2520,  2521,   257, -4156,
    2622, -4156, -4156,  1206,  2526, 56564,   237,  1366,  2420,  2522,
    2524,  2423,  2423, 63220, 63220, 63220, 63220, 63220,   186,  2847,
    2848,  2527,   212,  2573,  2448, -4156,  1591, 43668,  2535, -4156,
    1591, 63220,  2537,  1512,  2420,   686,  1571, -4156, -4156, -4156,
    1281, -4156, 63220, -4156, 63220,  1975, 78152,  2647, -4156,  2498,
   -4156,  2019,   285, -4156, 63220, 63220,  2040,  1433,   970,  2648,
   63220,  2706,  2501, -4156,   246, 38685, -4156,  2218,  2473, -4156,
   -4156,  2515, -4156,  2515,  2515,  2477,  2477,  2478, -4156, -4156,
   -4156,  2010,  2515,  2477, -4156, 78962, -4156,  1472,  1588, -4156,
    2872,  2874, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156,  1657,  1714, -4156, 63220, 41588, -4156,  2887, -4156, -4156,
   78152,  2660,  2780, -4156, 63220,  2683,  2485, -4156,  2819,  2542,
   -4156, -4156,    50, -4156,  2789, 46996,   255,  1085,  2539, 63220,
    2715, 63220, 63220, 63220, 63220, -4156, -4156,  2687,   804,   120,
   -4156, 43668, -4156, 63220,   807,  2707,  2905,    53,  1641, 63220,
    2795, -4156, 63220,  2509,  2913,  2748, -4156,  1775, -4156,  2633,
   -4156, 46580,   223, -4156, -4156, -4156, -4156, 78152, 63220, 73620,
   46580,   223, 46996, 46996,  2814,   176,  2816,  2572,  2817,  2577,
   36167,   223,   199, 46996, 63220, 63220, 63220, -4156, 63220, -4156,
   -4156, -4156, -4156, 63220, 63220, 46996, 43668,  2820,  2822,   223,
   63220, 63220, -4156,  9915,  1782, 63220,  1562, 44084, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, 63220, -4156, 63220, -4156,
   63220, -4156, 63220, -4156, 63220, -4156, -4156, -4156, 63220, -4156,
   63220,  1790, -4156, -4156,  1820,   988, 63220, 63220,   745, 46580,
   63220,  2709, 63220, 63220, 63220, 63220, 63220,  2597,  2350,  1043,
   -4156,   230, 56564,  2719, -4156, -4156,  1832,  1742,    -2, 63220,
   -4156, -4156, -4156, -4156, -4156, -4156, 52820, 51988,  2810,    94,
   63220, -4156, -4156,  2821, 23772,   -27, 21168, -4156, -4156, -4156,
    2528,  9915,  2578, 23772, -4156, -4156, 23772,  2529,  2043,  2043,
   23772, -4156, -4156, -4156, -4156,  1168,  2043, -4156, 23772, 23772,
    2043,  2043,  2515,  2515, -4156,  5995, 23772, -4156, 36167, 23772,
   26376, 18640, 23772,  2609,  2551,  2043, -4156,  2043, -4156, 23772,
   20300, -4156, 23772,  2740, 27238, 23772,  1535,  2743, 23772,  1535,
    2961,  2961,  2117,  5359,  2533,   -27, -4156,  2651,  2043, -4156,
    2043,  1702, -4156,   239, 78152, 23772, 41588,  2623,   228, 63220,
   23772,  2547,  1384, -4156, 23772,   274, -4156,  2548, 23772,  2626,
   23772, 23772, 23772, 23772, 23772, 23772, 23772, 23772, 23772, -4156,
   28084,   248,  2827,  2836,   571,   841, 59892,  2834, 21602, 18205,
   -4156,   254, -4156, -4156, -4156, 63220,  2756, -4156, -4156,  2627,
   -4156, -4156, -4156, -4156, -4156,   268, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156,  2552, -4156, -4156, -4156, -4156,  2552, -4156,
    2553,  3213, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,  2825,  2828,
     223, 63220,   366, 53652, -4156, 22036, -4156,  1849, -4156,  2561,
   -4156,  2807, -4156,  2558, -4156,  8147,  2807, -4156, -4156,   282,
    2672,  2804,  2752, -4156, -4156, -4156,  2579,  9915, -4156,  1747,
    9915,  1852, -4156, -4156, -4156, -4156, -4156, -4156,  1312, -4156,
   63220,  2719,  2645,  1515,  2628,   639, 63220, -4156, 32748,  2753,
   -4156,  2959, -4156, 78962, -4156,  2581, -4156, 78557, 76116, -4156,
   -4156,   821, -4156,   992,  2649,  2655,  2696, 46996, 63220, 63220,
   -4156, 41588, 46996, 63220, 63220, 46996, 63220, 63220, -4156,  2940,
      34, 51988,  2702, 51156, -4156, -4156,  2586, 63220,  2636,  2823,
    2830,   494, -4156, -4156, 74036, -4156,  2782, 46996, 63220, 63220,
   23772,  2787, 63220, 63220, -4156,   507,  2676,  2679, -4156, 63220,
    2682, 46580,  2595, 63220, 63220, 63220,  2669,   718, 46580,  2652,
   36597, 63220, 63220, 63220, 63220,  2724, 63220, 63220,  2845,  1246,
   56564,   165,  1537,  2420,  2805, -4156,  1370, -4156, 46996, 63220,
    2797, -4156, -4156, -4156, 60308,  3010,  2716, -4156, -4156, 74452,
   -4156, -4156, -4156,  1864, -4156, 46996, 46996, 63220,  8120, 63220,
     775, -4156, -4156, 78152, -4156, 63220, 63220, 63220, 63220, 54068,
   74868, 75284,  1355,  1401, 63220, 54484, -4156, 63220, -4156, -4156,
   42004, 46996, 63220,   723, 41588, -4156, 63220,  2801,   242, -4156,
   63220,  5162, -4156, -4156,  2693,  2703, 63220,   172,  1704,  2420,
   63220, 63220,  2615,  1879,  2697,  2751, -4156, 63220, 69460, -4156,
   46996,  1059, -4156,  2760, 46996, 63220, 11772, -4156, -4156,   285,
   -4156, -4156, -4156, -4156, -4156, 63220, 63220,   285, 63220,   285,
   63220,  1079, -4156, 46996, 63220, -4156, -4156, -4156, 63220,  8418,
   63220, 63220, 63220, 63220, 46996, 63220, -4156, -4156,  1078,  1215,
    1448,  1457,  2767, 63220,  2900, 63220, 75700, 46996, 63220, 63220,
   63220,  1586, -4156, -4156, -4156,  2746, -4156, 46996,  1059, -4156,
    8993, 63220, 63220,  2711,  2712,   156,  2786, -4156, -4156, -4156,
   -4156, -4156, -4156,  2881,  3045, 63220, -4156,  2884,  2885,  2698,
    2705,  2888,   259, 63220, -4156, -4156, -4156, -4156, 63220,  2891,
     259,  2831,   145, -4156, -4156,  2245, -4156,  2665,  1880, -4156,
   -4156, 23772,  3060, 78152,  2657,  2663,  2742,  2747,  2761, -4156,
    2671,  2762,  2043, -4156, -4156,  1837, -4156, -4156,  1910, -4156,
    2685,   804,  1897, -4156, 41588, 63220,   814,   118,  2974, 50324,
    2079,  2958, 63220,  2718, 63220,  2079, 63220, -4156,  1794, 51988,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,  2963,
   -4156,  1085,  2218,  2218,  2218,  2218, -4156, -4156, -4156, -4156,
    2864,  1128, -4156,  2677,  2218, 63220,  2792,  2079,  2686,  2736,
     807,  2984,   672, 63220, 50324,  1960,  2723,  3093,  1641,  1085,
    2875, -4156, 19895,  4903,  2876, 45332,  2967,  2968,  2986, -4156,
    1975, -4156,  3103, -4156,  3002,   223,  2019, -4156,  2256, -4156,
   63220, -4156, 63220, 63220, 63220, 63220,  2040, -4156, -4156,  2256,
    2894,   223,   223, -4156,  2899,   223,  2256,  2832,  3003, 45332,
   -4156,   176, -4156, -4156, 23772,  1641, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156,  1914, -4156, 63220, -4156,  2981,  2982,
    2988,  2721,  2722,  2764, 63220,  2726, -4156,  2721,   285,  2721,
    2350,  2350,  2721,  2722, 46164,  3139,  3007,   168, -4156,   171,
    1240,  2944, -4156, -4156, -4156, -4156, 78152, -4156, -4156, -4156,
   -4156, -4156, 63220,  2773,   281,  2921,  2734, 46164,  3128,   223,
   -4156, 46580, -4156, -4156, -4156,  2818,  2835, 46580,  2942,  2798,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156,  2989, 63220,  1916,
   -4156, -4156,  1047, -4156,  1350, 23772, 23772,   134, -4156,  8501,
    1944, 23772,  2759,  2765,  1948, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156,  2766,  3033, -4156,  2770,  1953,  1959,  2774,  2776,
   -4156, -4156,  4235,  2781,  8615,  2783, 26376, 26376,   797, -4156,
   -4156, 26376,  2788, -4156,  1961,  5705,  2755,  2790,  2772, -4156,
    2791,  2794,  8769, 22904, 23772, 22904, 22904,  8855,  2755,  2799,
    1965, 41588,  2925,  9302,  1967, -4156, 23772, 41588,  4298, 23772,
   -4156, 23772, 63220,  2800,  2802, -4156, -4156,  5995, -4156,  2808,
   -4156, 26376, 26376, -4156,  3544, 20734, -4156, -4156,  3042, -4156,
   -4156,  1139, -4156,  2768, -4156, -4156,  6640,   245, 23772,  2547,
   23772,  2838, 36167,  7171, 23772,  2970,  2372,  2372,   404,   404,
     194,   194,   194,  1731,   841, -4156, -4156, -4156,  2793,  2796,
    2806,  2950,  2321, 23772, -4156,  1945,  2069, 63220,  2778,  3790,
    4203, -4156, -4156, 29364,  2837, -4156, 23772, 23772, 23772,  2803,
   -4156,  3210,  9915,    40, -4156,  3222, -4156,  1281,  2043,  1702,
   40340, -4156, -4156, 23772, -4156, -4156, -4156,  1925, -4156, -4156,
   -4156, -4156, -4156, 63220,  1742, 23772, -4156, -4156,   735,  1477,
   23772,  1747, -4156, -4156,  2865, -4156, 23772, -4156, -4156, -4156,
    2350, -4156, -4156, -4156, 29364,  2846,  2859, 31902,  2943, -4156,
   -4156, 63220,   287, -4156, -4156, -4156,  2833, -4156, -4156, 76116,
    1714, -4156, 78557, -4156, 78557, -4156,  1714,  3200, -4156, 76116,
    1496, 46996, 63220, 63220, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156,  3039, -4156, 46996, 46996,  3012, 63220,
    3000,  3013, 23772,   183, 63220,  2829,  2839,  1222,  3085, 63220,
   -4156,  3129,   223, -4156, -4156,  2908, -4156,  9915, -4156, -4156,
   -4156, -4156, -4156, 46996, 63220, -4156, 45332, -4156,  1975, 78152,
   -4156, -4156, -4156, 63220,  2867, 63220, -4156, 63220, 63220, 63220,
    2040, -4156, -4156, -4156, -4156,   974, -4156, -4156, 63220, 63220,
     137,  2909,  2910, 63220, -4156,  1048,  2622,  9337, 63220, 63220,
   63220,  3089, -4156, -4156, -4156, -4156,  3032, -4156, -4156, 76116,
   -4156,  2256,   882,  2915,  2420, -4156,  3022, -4156,   784, -4156,
   -4156, -4156, -4156, -4156,  3142,   223,  3145,   223, 63220, 63220,
   63220, 63220, -4156, -4156, -4156, -4156, -4156, 41588, 41588, 41588,
    1973, -4156, -4156,  1085, -4156, -4156, -4156, -4156, -4156, -4156,
    3107, -4156,  1978, -4156,  1171, -4156, -4156, -4156, -4156, -4156,
   -4156, 46996, 63220,  9369, 63220, 63220, 63220,  1839, -4156,  1071,
   78152, -4156, 77747, 46996, 63220, -4156, -4156, -4156,  3072,  3015,
   -4156,   810,  3016, 46996,  2911, -4156,  2927, -4156, -4156,  2928,
    1709,  2420,  2907,   849, -4156, -4156, -4156, -4156, -4156, -4156,
    2890, -4156, -4156,  1096,   185,  1719,  2420,  2932, -4156,  2933,
   -4156, -4156, -4156,  3075,  3076,  3077,  2938,  2939,  2987,  2945,
    2947,  2993, -4156,  2951,  2998,  2955,  3004,  2957,   223, 78152,
    3067,  1085,  2991,  3184,   223, -4156,  2962, -4156, -4156,  3283,
   -4156, 63220, -4156,  2965,  1751,  2420, -4156, -4156, 46996, 63220,
   -4156, -4156, -4156,   259, 78152,  3132,   259,   259, 63220, 63220,
     259, -4156, -4156, -4156,  3133,  3136,   259, -4156, -4156, -4156,
   -4156,  2343,  2895, 34017, -4156,  3327,  5416,  2901,  2663,  2904,
    2043,   273,   697,   632,  3020,  2043,  3112,  2906, -4156, -4156,
   41588, 34017,  1759,  3140,  2929,  2929,  2929,  2929,  2929,  2929,
    2929, -4156,  1668,   601,  2245, 45332, 63220, 45332, -4156,   118,
    3022, 63220, 63220,  2916,  2914, -4156, -4156, -4156, -4156, 46996,
     684, 46996,  2043, -4156, -4156,  2990, -4156, 63220,  1641,  3312,
    2620,   255,  3056,  1739,  3263,  2723, -4156, -4156, -4156, -4156,
   63220, 63220,   804,  1085, -4156,  2923,  2922, -4156, 63220, 63220,
   63220, 63220, 63220,  2773,  2930,  2924, 78152,    76,  3114,  3115,
    2423,  3333,  1742,  2723,  3009, 63220, -4156,  1979,   152, -4156,
    1085, 45332, 76521, -4156,  2415, -4156, -4156,   831,  3208, -4156,
   -4156,  1742,   223, 78152, 63220, -4156,   223,   176,  2992,   223,
    2995,   223,   223, 63220, -4156, -4156, 63220, -4156, 63220, 43668,
     223, -4156,  9915, -4156, -4156,  3057,  3058,  3064, 63220,  2721,
   46580, -4156,  2934, 46996,  1177, -4156, -4156,  3117, -4156, -4156,
   -4156, -4156, -4156,  3246,  3247, -4156, -4156, -4156,   222, -4156,
   46996, 52404,   276, 46996, -4156,  1975, -4156, -4156,  2019,   285,
   -4156, 63220,  3189, -4156, -4156, -4156,  2949,  1980,  9284, 23772,
   -4156,  3258, 78152, -4156,  5431, -4156, -4156, -4156, -4156, 23772,
   -4156, -4156, -4156, -4156, -4156, 23772, -4156, 23772,  3235, -4156,
    3377,  3377, 78152, 26376,   219,  2313, 26376, 26376, 26376, 26376,
   26376, 26376, 26376, 26376, 26376, 28518,   370, -4156, -4156, 23772,
   23772,  3242,  3235, -4156, -4156,   -38,   -38, 78152,  2953,  2755,
    2954,  2966, 23772, -4156, -4156,  1993, 27661,  2971, 41588, -4156,
   23772,  8183,  1994,  3017,  9876,   -27,  5784, -4156,  3334,  1085,
   23772,  1555,  1912, 23772,  1995, 23772,  3244, -4156, -4156, -4156,
    2969, -4156, -4156, 78152, 23772, 26376, 26376,  8060, -4156,  8654,
   23772,  2973,  9316, 20734, -4156,  3148,  3014, 33171, -4156,   751,
     751,   751,   751, -4156, 63220, 63220, 63220, 29787,  3260, 28941,
   60724,  2975,  2216, -4156, 60724, 61140, -4156,  2996, -4156,  2978,
     -27, 23772,  3259,   610,   610,  3148, -4156, 23772, 23338,  2983,
   -4156,   675,  2994, -4156, -4156,  4538, -4156, -4156,  2997, -4156,
    2985, -4156,  1477, -4156, -4156, -4156,  6082,  3176, -4156, -4156,
    2975, 24206,  2943, -4156,  2000, -4156, -4156, 21602, -4156, -4156,
    2004, 32748,  2846, 22036,   -27,  2005,  1640, -4156, -4156, 76116,
   -4156,  3061, -4156, -4156, -4156,  2929,  2256,  2256,  1052,  2721,
    3285,  1052,  6526, -4156, -4156, 30210, 63220, 63220, -4156, 63220,
    2013,  1135, 63220, -4156, 63220, -4156, -4156, -4156, -4156,  3402,
   -4156, 63220, -4156, -4156,  3054,  3055, -4156, 63220, 63220, 63220,
   63220, -4156, -4156,  1984, -4156, -4156, 46996, 63220, -4156, -4156,
   -4156,   251,  1816,  2420, -4156,  3080, -4156, -4156,  3257, -4156,
    3393,  3091, 63220,  3008, -4156,  1135,  1008,  2423,   685, -4156,
   -4156,  3078, 63220, -4156, 63220, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, 42004, -4156, -4156, 63220, -4156, 41588,
   34017, 41588, -4156,  1234,   256,  1842,  2420, -4156,  3092, -4156,
    3095,  3096,  3134,   705,  1077,  3097,  3100,  3147,  3025,  3027,
    3029, -4156, -4156,   200,  1085, -4156, -4156,  1085,  2256,  1085,
   63220, 63220, 63220, 63220,  2423,  3422,  3099, 63220, 63220, 63220,
   63220, 63220,  3324,   188,  1766, 46996, 63220, 63220, 46996, 63220,
   63220, 63220, 63220, 63220, 63220, 63220, -4156,  3406,  3338,  1918,
    3378,  3119, 63220, -4156, 63220,  2622, 63220, 63220, -4156, -4156,
   -4156,  3038,   259, -4156, -4156,  3290,  3301, -4156,   259,   259,
   -4156,   246, 41588, -4156,  2351,  2985,   925,   936, -4156, -4156,
   -4156, -4156, -4156, -4156,  2665, -4156, -4156,  2043,  2086,  3062,
   -4156,  3068, -4156, -4156, -4156, -4156, -4156, -4156,  3059, -4156,
    1702, -4156, -4156, 63220,  2929, -4156,  1343,   342,  1247,  1314,
   61556, 61972, 62388,  3063, 63220, 63220, 26376, -4156,  1292,  1026,
   -4156,  3298, 63220,  3106, -4156, -4156, -4156,  3226, 63220, -4156,
   -4156, -4156, -4156, -4156,  3073, -4156,  3188, 50324,  2256, 46996,
   46996,  2256, -4156, 78152,  3079,  2723, 46996,   255,  1205, 70292,
    3108, -4156,  3074,  3366, -4156,  3081,  3082, -4156, -4156, 63220,
    3022,  2017,  3116,    56,  1610, -4156, 51572,  1960,  3339, -4156,
   -4156, -4156,  3448,  3169, -4156,  1742,  2773,  3169,  1085,  2636,
   -4156, 76116, 23772, 23772, -4156,  3083, -4156,  3090,  6234, -4156,
    2218, -4156, -4156, -4156, -4156, -4156, -4156,  3162, 63220, -4156,
   -4156,  3088,   223, -4156, -4156, 63220, -4156, 63220, -4156, -4156,
     223,   223, -4156,  3205, -4156, 63220, 63220, 63220,  2721, -4156,
     285, -4156,  3372, 46164, -4156, -4156, -4156, -4156, -4156,  3434,
      94,  3379, -4156, -4156,  3340,  3341,  3342,  3343,   813, -4156,
   -4156, 23772,  9915, -4156,  3102, -4156,  9915,  6570,  9915,  3242,
   -4156,  1025,  3380, -4156,  1294,  3101,  1025,  1124,  1124,   392,
     392,   231,   231,   231,  3377,   370,  9915,  9915, -4156, -4156,
   -4156, -4156,  3104, -4156, -4156, -4156,  2755, -4156, 24640,  3249,
    3496, -4156, -4156, -4156,  3149,  3150,  3109, -4156, 23772, 25074,
    3105, 78962, -4156, -4156,  1702,  1740, 26376, 26376,  1242, -4156,
    1102, 23772, 78152,  2024,  1242,  2105,  2259, 23772, 23772,  9924,
     422, 23772,  6793,  3122, 23772, 76926, -4156, -4156, 63220, 63220,
   63220, 63220, -4156, -4156, -4156, 60724, 61140,  3113, 19066,  2216,
    3123, 63220, -4156, -4156,  3120, 29364,  3355,  3294, -4156, 29364,
    3294,  1836,  3294,  3369, -4156, 33594, -4156, -4156,  3126, -4156,
   -4156, 18205,  1765,  9915,  3518,  3405, 23772,  3131,  3135,  3137,
    9915, 23772, -4156,  1085,  1085, -4156, -4156, 36167, -4156, -4156,
   -4156,  3323,  9915, -4156,  1742, 63220,   -27,  2348,  3152, 63220,
   -4156,  2943, -4156, -4156,  3202,  2030, -4156,   200, -4156, -4156,
   -4156, -4156,  3212, 51988,  3424, -4156, 23772,  2031, -4156,  3177,
    3512,   151,  2032,  2037,  1135, -4156,  3106, -4156,  1490,  3404,
     210, -4156,   223, -4156, 78152, -4156, 63220, 63220, -4156, -4156,
   -4156, -4156,  2379, -4156, -4156, 63220, 63220, 63220, 63220, -4156,
   46996, 63220, -4156, 41588,  1668,  3347, -4156, -4156,  3351,   200,
   63220, -4156, 78152,   223,   223, -4156, -4156, -4156, -4156,  3156,
    3534,  3232, 63220, 63220, 63220, 63220, 46996, 63220, 63220,  2043,
    2043, 78152,  3144, -4156,  2043,  2043,  3153, -4156, 46996, 63220,
   63220, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156,  3194, -4156, 46996, 63220, -4156,  3236, -4156, -4156, -4156,
   63220, 63220, 63220, 63220,  3461, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, 63220, -4156, -4156,  1085,
    1085, 78152,   223,   223, -4156, -4156, -4156,  3407, -4156,   259,
     259, -4156, -4156,   344,  2041, -4156, 30633, -4156, -4156,  2618,
    1085,  2618,   125, -4156, -4156,  2618, -4156,  2618, -4156,  1135,
    3163,  1576,  3443, -4156, -4156, -4156, -4156,  3447,   200, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, 23772, -4156,   883,  1025, -4156, -4156,
   -4156, -4156,  3106,  1641,  3220, 46580,  1166, -4156,  3430,   814,
   50324,  1552, 63220, -4156,  2256,  2256,  3224, 63220,  3575, -4156,
      77, 63220,  3486,  3215, -4156,  1085, -4156, -4156,  2723,  2423,
   63220, 50324,  2773,  2061, -4156, -4156, -4156,  3209,  3115,  3172,
    1960,  1095, 63220, -4156,  3214, -4156, -4156,  3460,  3179, -4156,
    9915,  9915,  1085, 17640,  2415, -4156, 63220,  3433,   223, -4156,
     223,   223, -4156, -4156, 63220,  2721,  2721,  2721, -4156,  3363,
   -4156, -4156,   223, 46164,   813,   813,   813,   813, -4156, -4156,
   -4156,  9915, -4156, -4156, -4156, 26376,  3466, -4156,  3183, 78152,
   -4156,  3185,  2063,  2073, 27238,  3329, -4156, -4156, -4156,  7016,
    3237,  9915,  3286,  3190,  3191, -4156,  1382,  1382,  1102,  2075,
   -4156, 26376, 26376,  1242,  1242, 23772,  1242, -4156, -4156,  7295,
    3359, -4156, -4156, -4156, -4156, -4156, -4156, -4156, 42420, 60724,
    3193, 63220,  2216, 29364, -4156, -4156,  2178, -4156, 29364,  3435,
   -4156, 29364, 63220,  3197, 63220,    40, 23772, 23772,  3240, -4156,
   -4156, -4156,  3148, -4156,  1702,  3198, 63220, -4156, -4156,   875,
   -4156, -4156, -4156, -4156, -4156, 46164,  3384, 46164,  1135,  7576,
    3106, 30210, 37027, 63220, 62804, 62804,  3354,  3106,  3220, -4156,
   -4156, -4156, -4156, -4156, -4156,  3216, -4156, -4156, -4156,  3288,
   -4156, -4156,    -6,  2719,  2082, -4156, -4156, -4156, -4156, -4156,
    3406, -4156, -4156, 34017, 46996, 63220, -4156,  3291, -4156, -4156,
   -4156, -4156, -4156, 31479, 36167, -4156,   705,  3219,  3221,  1077,
   -4156, -4156, -4156,  2423,   527,  2719, 63220,  1338,   615,  3251,
    2721,  3502, -4156, -4156, -4156,  3406, -4156, -4156,   259, -4156,
   -4156, -4156,  2245,  3542, -4156, 41588, -4156, 42836, -4156, -4156,
   -4156,  1085, -4156,  1085,  3415, 63220, 39092,  1085,  1085, -4156,
   46580,  3627,  3627, 63220, -4156, -4156,  7630,  3418, -4156,  3220,
    3440,  3487, -4156,  3227, 63220,  3383,  3230,  3231,   295,   295,
    3022, 63220,  2101,  1742,   255, 50324,  3022, -4156,  1563,  3233,
    3536, -4156,  3640, -4156,  2930,  3238, -4156, -4156, 51572,  3419,
    3169, 63220,  3115,  3365, -4156,  3367, -4156,  1009, -4156, 63220,
   30210, -4156, 78557, -4156,  2102, -4156, -4156,  2837, 63220,    73,
   -4156, -4156, -4156, -4156, -4156, -4156,   276, -4156, -4156, -4156,
   -4156,  1388, 26376, 78152,  2108, 23772, -4156, 23772, -4156,  3626,
   -4156, -4156, -4156,   646, -4156, -4156, -4156,  1382,  1382,  1242,
   -4156,  3629,  3148, -4156,  2110,  3648, -4156, 63220,  2120, -4156,
   23772,  3250, -4156, -4156, 29364,  2178,  2124, 63220,  2130, 78152,
    3248,  2755,  9915, 63220, -4156,  3252, -4156, -4156, -4156, -4156,
    1177,  1052,   276,  3512,  3220, -4156,  3255, -4156, -4156, 63220,
   -4156,   885,   885, 63220,  3220, -4156, -4156, 63220,  3332, -4156,
   -4156, 41588,  3306, -4156,   528,  2719, 63220, 78152,  2019,    97,
   -4156, 78152, 78152, -4156, -4156,  3337, -4156, -4156, 63220, 63220,
   63220, 63220, 63220,   223, -4156,  2895,  1085, -4156, -4156,  2131,
   -4156, -4156, -4156, 63220,  3074, -4156,  3074, -4156, -4156,  3627,
    1022, -4156, -4156, -4156,  1557,  3458, -4156,  1046,  3444,  3344,
    3256, -4156, 46580,  3691,  3374, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156,  3557,  2723,  3214, -4156, -4156, -4156,
   -4156, 23772,  3417,  1742,  1960,  3339, -4156, -4156, -4156,  2132,
    3169, -4156, -4156,  3641,  3450,  3644, -4156,  2136, -4156, -4156,
    6234, 17640,  3584, -4156,  3320, 63220, -4156, -4156, -4156,  1388,
    2138, -4156,  2143,  2144,  3416,  3322, -4156, 23772,    90,  2996,
   42420,  3270, -4156,  2150, -4156,  9915, 63220, -4156, -4156, -4156,
    2158, -4156, -4156,  3269, -4156,  3679, -4156, -4156,  3559, -4156,
   62804,  3316, 36167, -4156,  1477,  1477,  1641, -4156,  1135, -4156,
   63220, -4156, 23772, -4156,  3364, -4156, -4156,  2164, -4156,   861,
    3425,  3570,  2165,  2169, 63220,  2722,  3318,  2722, -4156,  2721,
   -4156, -4156, -4156, -4156, 42836,  3074, -4156, -4156, -4156,  3599,
    3545, -4156, -4156, -4156, -4156,   375, -4156,  3471,  3474, 63220,
   -4156,  3289, -4156,  2175, 63220, 63220,  3695,  3696, -4156,  7856,
   46580,  3214,  3115,  1960,  1668, -4156, -4156,  3475, -4156,  3477,
    2723, 30210,  2415, -4156,   289, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156,  2755, 25508, 25508,  3296, -4156, -4156, 63220, -4156,
    2188, -4156, 63220,  3295, 46164,   885,  3299, -4156,  3297, -4156,
   -4156,  3440,  1135,  2719,  9915, 63220, 46580,  3688, -4156, -4156,
   -4156,  3425, -4156, -4156,  2719, 63220, -4156,  3431, -4156,   740,
     740,  3634, -4156,  3368, -4156, -4156,  3309, -4156,  3738,  3022,
   -4156,   705,  1742, -4156,  3315, -4156,  3169,  3115, -4156, -4156,
    3169, -4156, -4156, -4156, -4156,    72, 26810,  3445,   180,  5951,
   -4156, -4156, -4156, -4156,  2190, -4156, -4156, -4156,   276,  1477,
   23772,  1135, -4156,  3444, -4156,  2719,  2019, 63220, -4156, -4156,
   -4156,  3215, -4156,  3739, -4156,   227, -4156, -4156, -4156, -4156,
   -4156,  3144,  3214, 41172, -4156,  3169,  2837, -4156,  1737, -4156,
   -4156, -4156, -4156, -4156, -4156, -4156,  3729, -4156, -4156, -4156,
   -4156, -4156, -4156, -4156, -4156,  7907, -4156, -4156, -4156, -4156,
    3628, -4156, -4156, -4156, -4156, -4156,  2197, -4156, -4156, -4156,
   -4156, -4156, -4156,  2057, -4156, -4156,  2204,  1931, 25942, -4156,
    1135,  3479, -4156, 41172, -4156,  1737, -4156, 46580, -4156, -4156,
    3335, 41172,  2199, -4156
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1409,  1205,   555,  1293,  1292,  1205,   245,     0,  1295,     0,
    1205,   372,   967,     0,     0,     0,     0,   555,  1205,     0,
    1409,     0,     0,     0,     0,  1422,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1205,     0,     0,  1429,     0,
       0,     0,     0,  1422,     0,  1297,     0,     0,     0,     0,
       2,     4,    61,    62,    26,    25,    31,    30,    84,    85,
      49,    17,    75,    55,   118,   117,   119,    37,    33,    69,
      22,    24,    34,    38,    57,    39,    50,    96,    56,    20,
      54,    79,    58,    82,    44,    11,    12,    45,    73,    13,
      46,    74,    14,    47,    15,    63,    86,    29,    59,    83,
      60,     5,    40,    71,    67,    10,    51,    52,    53,    76,
      77,    78,   101,    81,   113,    36,   110,    90,    91,   107,
      92,   108,     8,    93,    48,    16,   104,   103,   105,    70,
      41,    72,   102,    23,   106,    18,    19,   109,    80,    99,
      95,   114,   112,   120,    97,    64,     6,     7,    87,    21,
      43,     9,    28,    27,    42,    35,   116,    32,  1295,    89,
     100,    88,    65,    94,    68,    98,   115,    66,   111,  1396,
    1383,  1431,  1395,  1408,     0,  1398,  1204,  1203,  1189,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   554,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1215,
    1954,  1969,  1970,  1971,  1972,  1973,  1974,  1975,  1976,   343,
    1977,  1978,  1979,  1980,  1981,  1982,  1983,  1984,  1985,  1986,
    2228,  2229,  2230,  2231,  1987,  1988,  1989,  1990,  1991,  1992,
    1993,  2232,  2233,  1994,  1995,  1996,  1997,  1998,  2234,  1999,
    2000,  2001,  2002,  2003,  2004,  2005,  2006,  2007,  2008,  2009,
    2010,  2011,  2012,  2013,  2014,  2015,  2016,  2017,  2018,  2235,
    2236,  2019,  2020,  2021,  2022,  2023,  2024,  2025,  2026,  2027,
    2028,  2029,  2030,  2031,  2032,  2033,  2034,  2035,  2036,  2037,
    2038,  2039,  2040,  2041,  2042,  2043,  2237,  2044,  2045,  2046,
    2238,  2047,  2048,  2049,  2239,  2050,  2051,  2052,  2053,  2054,
    2055,  2056,  2240,  2057,  2058,  2059,  2060,  2061,  2062,  2063,
    2064,  2065,  2066,  2067,  2068,  2069,  2070,  2071,  2072,  2241,
    2073,  2074,  2075,  2076,  2242,  2243,  2244,  2077,  2078,  2079,
    2080,  2081,  2082,  2083,  2084,  2085,  2086,  2245,  2087,  2088,
    2089,  2090,  2091,  2092,  2093,  2094,  2095,  2096,  2097,  2098,
    2099,  2100,  2101,  2102,  2103,  2246,  2247,  2104,  2105,  2248,
    2106,  2107,  2108,  2249,  2109,  2250,  2110,  2111,  2112,  2113,
    2114,  2115,  2116,  2117,  2251,  2118,  2252,  2119,  2120,  2121,
    2122,  2123,  2124,  2125,  2126,  2253,  2127,  2254,  2130,  2128,
    2129,  2131,  2132,  2133,  2134,  2135,  2136,  2137,  2138,  2255,
    2139,  2140,  2141,  2142,  2143,  2144,  2145,  2146,  2147,  2148,
    2149,  2150,  2151,  2152,  2153,  2154,  2155,  2156,  2157,  2256,
    2158,  2159,  2160,  2161,  2162,  2163,  2164,  2165,  2166,  2167,
    2168,  2169,  2170,  2171,  2257,  2172,  2173,  2174,  2258,  2175,
    2176,  2177,  2178,  2179,  2180,  2181,  2182,  2183,  2184,  2185,
    2259,  2186,  2187,  2188,  2189,  2190,  2191,  2192,  2193,  2260,
    2261,  2194,  2262,  2195,  2263,  2196,  2197,  2198,  2199,  2200,
    2201,  2202,  2203,  2204,  2205,  2206,  2207,  2208,  2209,  2210,
    2211,  2212,  2264,  2265,  2213,  2214,  2215,  2216,  2217,  2218,
    2219,  2220,  2221,  2222,  2223,  2224,  2266,  2267,  2268,  2269,
    2270,  2271,  2272,  2273,  2274,  2225,  2226,  2227,   342,  1374,
    1925,  1955,  1956,  1294,  1275,   555,     0,  1192,   371,     0,
       0,     0,     0,     0,     0,     0,     0,   744,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   168,     0,
       0,   395,   394,     0,     0,     0,   939,   400,     0,     0,
       0,     0,     0,   543,  1336,  2128,  1334,  1375,   246,   249,
     250,   247,   248,  1947,     0,  1046,  1047,  1049,     0,     0,
    1059,   779,   780,     0,   778,     0,   782,     0,     0,     0,
     774,     0,     0,     0,     0,     0,   781,   771,     0,   770,
       0,     0,     0,   777,     0,   772,     0,     0,  1193,  1333,
     401,  1409,     0,  1311,  1312,  1313,  1295,  1302,  1314,  1307,
    1309,  1308,  1310,  1306,  1946,  1970,   878,   878,   878,   878,
     875,   876,   878,   878,   878,  2145,     0,     0,   857,     0,
     859,  1951,   878,   883,   456,   456,   456,     0,   882,   887,
     456,  1186,  1224,  1930,  1421,     0,   858,  1185,  2194,  1325,
       0,     0,     0,  1063,     0,  1064,     0,  2160,  1197,   230,
    2170,  2260,  2194,   229,   224,   225,   198,  1974,     0,     0,
     882,     0,  1194,  1195,   841,  1428,  1426,  1912,  1992,  2005,
    2090,   221,  2156,  2161,  2170,  2260,  2194,  2224,   177,   187,
     182,     0,   239,  2170,  2260,  2194,   235,  1215,     0,  1399,
    1514,  1921,     0,  1188,  1187,  1296,     0,  1299,     0,  1476,
    2141,  1403,  1405,  1301,  1396,     0,     0,     1,  1409,  1290,
    1425,  1425,     0,  1425,     0,  1388,  1396,  1391,  1395,     0,
       0,     0,     0,  1954,  2275,  2276,  2277,  2278,  2279,  2280,
    2281,  2282,  2283,  2284,  2285,  2286,  2287,  2288,  2289,  2290,
    2291,  2292,  2293,  2294,  2295,  2296,     0,     0,  1931,  1955,
    1959,     0,   789,     0,   124,  1926,   927,     0,     0,     0,
       0,  1925,     0,     0,     0,     0,  1960,     0,  1948,  1961,
    1962,  1963,     0,  2062,     0,     0,     0,  1824,  1996,  2047,
    1834,  1832,  1833,  1826,  1827,  1828,  1829,  1830,  1831,     0,
    1044,  1825,     0,   146,   124,     0,     0,  2062,   517,     0,
       0,     0,     0,  2062,     0,     0,     0,     0,     0,   146,
    2093,   124,  2062,     0,     0,  1209,     0,     0,     0,  1211,
    1214,  1190,  1278,     0,  1921,     0,     0,   820,   810,     0,
     821,   811,   816,     0,   823,     0,     0,   813,     0,     0,
       0,   824,     0,   812,   814,   826,   815,   822,     0,     0,
     817,   818,     0,     0,  1201,   456,   349,     0,     0,     0,
       0,     0,   124,  1265,     0,  2062,   124,     0,     0,   399,
     398,   124,   397,   396,  1996,  2047,     0,   966,   124,  2062,
       0,   170,   625,   558,     0,     0,   703,  2093,   124,     0,
       0,     0,     0,     0,     0,   942,     0,     0,   542,   555,
    1337,  1335,     0,  1050,   223,   222,  1048,  2062,     0,   317,
       0,     0,  2062,  1252,   776,     0,   775,  2062,     0,  2062,
    1949,   161,     0,   773,  1996,  2047,  2062,     0,     0,  2062,
     153,  2062,     0,  2062,   317,  2062,   559,     0,  2062,     0,
    2062,  2093,   155,     0,  2062,   317,   787,     0,  1330,     0,
    1304,  2264,  1319,     0,  1315,  1322,  1318,  1409,   878,   877,
       0,   878,     0,   878,     0,   878,     0,   878,     0,     0,
       0,   878,  1952,  1953,   860,     0,   884,     0,     0,   891,
     890,   889,     0,     0,     0,   892,  1518,  1352,     0,  1183,
    1200,     0,     0,     0,   942,  1066,  1066,  1066,  1196,   228,
     226,     0,     0,     0,     0,     0,     0,  1202,     0,     0,
       0,     0,  1934,  1936,  1937,  1835,  1902,     0,  2229,  2230,
    2231,  1893,     0,  2232,  2233,  2234,  2277,  1743,  1730,  1739,
    1744,  1731,  1733,  1740,  2235,  2236,  2031,  2237,  2238,  1944,
    2239,  2240,  2242,  2243,  2244,  2245,  1735,  1737,  2246,  2247,
       0,  1945,  2249,  2250,  2114,  2252,  2253,  2255,  2256,  1741,
    2258,  2259,  2260,  2261,  2262,  2263,  1943,     0,  1742,  2265,
    2267,  2268,  2269,  2270,  2271,  2272,  2273,  2274,     0,     0,
    1918,     0,  1712,     0,  1558,  1559,  1581,  1582,  1560,  1587,
    1588,  1600,  1561,     0,  1917,  1625,  1792,  1711,  1726,  1717,
       0,  1710,  1706,  1411,  1911,  1913,     0,  1707,  1933,  1935,
    1894,   190,   241,     0,   242,  1919,  2170,   178,   220,   192,
     219,   193,   191,     0,  1994,   179,     0,     0,   180,     0,
       0,     0,     0,   238,   236,     0,  1191,     0,  1516,  1515,
       0,     0,  1900,  1922,   796,  1288,  1289,  1287,     0,  1284,
    1286,  1298,  1295,  1907,  1906,  1908,     0,  1404,     0,     0,
       0,  1386,  1385,     3,  1301,  1423,  1424,     0,     0,     0,
       0,     0,     0,     0,     0,  1466,  1439,  1440,  1442,  1463,
    1467,  1475,     0,  1392,     0,     0,  1520,     0,  1477,     0,
       0,  1932,     0,     0,     0,     0,   790,     0,     0,     0,
       0,     0,     0,   123,  1250,   232,  1248,     0,     0,     0,
       0,     0,     0,     0,  1257,     0,     0,   159,   160,   570,
     555,     0,  2062,     0,     0,     0,     0,  1006,  1013,     0,
       0,     0,     0,     0,     0,     0,  1007,  1005,  1008,   234,
    1017,  1030,  1033,     0,   917,     0,     0,     0,     0,     0,
    1115,     0,     0,  1115,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   255,   267,   312,   534,
       0,     0,     0,   537,     0,  2062,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   128,     0,     0,     0,     0,
       0,     0,   521,   533,     0,     0,     0,     0,     0,   530,
       0,   124,   259,     0,   510,   518,     0,     0,     0,   634,
     633,  1255,  1254,     0,     0,     0,  1115,     0,   251,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   335,   336,     0,     0,     0,   128,
       0,     0,     0,     0,   261,     0,     0,  1210,  1207,  1208,
       0,  1213,     0,  1274,     0,     0,     0,     0,   828,     0,
     825,     0,     0,   819,  1996,  2047,     0,     0,     0,     0,
       0,     0,   374,   348,     0,     0,   700,     0,     0,  1957,
    1569,  1598,  1576,  1598,  1598,  1565,  1565,  1578,  1566,  1567,
    1605,     0,  1598,  1565,  1570,     0,  1568,  1608,  1608,  1593,
       0,  1550,  1551,  1552,  1553,  1579,  1580,  1554,  1585,  1586,
    1555,  1622,  1565,  1958,     0,     0,   711,     0,  1227,  1264,
       0,     0,     0,   564,     0,  2062,     0,   126,   745,     0,
     701,   400,     0,   126,     0,     0,   164,     0,   629,     0,
       0,     0,     0,     0,     0,   649,   648,     0,     0,     0,
     702,     0,   126,     0,   517,  2062,     0,   456,   456,     0,
       0,   941,   944,     0,     0,     0,  1378,  1380,  1379,     0,
    1377,     0,   317,   315,   316,   698,  1058,     0,     0,     0,
       0,   317,     0,     0,  2062,   317,  2062,     0,  2062,     0,
       0,   317,   317,     0,     0,     0,     0,   630,     0,   786,
     784,   783,   785,     0,     0,     0,     0,     0,  2062,   317,
       0,     0,   767,  1845,     0,     0,  1409,     0,   209,   210,
     208,  1320,   211,  1321,  1317,  1303,     0,   868,     0,   872,
       0,   863,     0,   869,     0,   864,   861,   862,     0,   867,
       0,     0,   457,   459,     0,     0,  2016,  2030,     0,  2053,
    2081,  2082,  2161,  2166,     0,  2189,  2198,     0,   893,   922,
     888,     0,     0,  1362,  1184,  1851,     0,  1409,     0,     0,
    1065,  1062,  1061,  1060,   227,   199,     0,     0,     0,   924,
    2160,  1199,   840,   555,     0,  1708,     0,  1715,  1716,  1597,
    1584,  1892,     0,     0,  1592,  1591,     0,     0,     0,     0,
       0,  1574,  1573,  1572,  1714,  1859,     0,  1571,     0,     0,
       0,     0,  1598,  1598,  1596,  1645,     0,  1575,     0,     0,
    1872,     0,  1878,     0,     0,     0,  1604,     0,  1602,     0,
       0,  1681,     0,     0,     0,     0,     0,     0,     0,     0,
    1629,  1630,  1712,  1845,     0,  1713,  1940,     0,     0,  1590,
       0,  1622,  1916,  1835,     0,     0,     0,     0,  1905,     0,
    1843,     0,     0,  1659,  1841,     0,  1661,     0,     0,     0,
    1834,  1832,  1833,  1826,  1827,  1828,  1829,  1830,  1831,  1839,
    1642,     0,     0,  1794,     0,  1641,     0,  1479,     0,     0,
    1938,  1895,   243,   244,   240,     0,     0,   195,   194,     0,
     213,   217,   218,   189,   216,     0,   212,   197,  1783,  1782,
     196,   188,   185,   183,   200,   202,   203,   186,   184,   237,
       0,     0,  1964,  2297,  2298,  2299,  2300,  2301,  2302,  2303,
    2304,  2305,  2306,  2307,  2308,  2309,  2310,  2311,  2312,  2313,
    2314,  2315,  2316,  2317,  2318,  2319,  2320,  2321,  2322,  2323,
    2324,  2325,  2326,  2327,  2328,  2329,  2330,  2331,  2332,  2333,
    2334,  2335,  2336,  2337,  2338,  2339,  2340,  2341,  2342,  2343,
    2344,  2345,  2346,  2347,  2348,  2349,  2350,  2351,  2352,  2353,
    2354,  2355,  2356,  2357,  2358,  2359,  2360,  2361,  2362,  2363,
    2364,  2365,  2366,  2367,  2368,  2369,  2370,  2371,  2372,  2373,
    1897,  1896,  1928,  1965,  1966,  1967,  1968,  1901,     0,     0,
     317,  1282,     0,  1279,  1910,     0,  1406,     0,  1923,     0,
    1291,  1402,  1401,  1432,  1433,   959,  1400,  1457,  1458,  1453,
       0,     0,     0,  1472,  1470,  1449,  1443,  1448,  1446,     0,
    1450,  1625,  1465,  1390,  1437,  1438,  1441,  1389,     0,  1468,
       0,  1362,  1466,  1442,  1349,     0,     0,  1521,     0,   981,
     983,     0,   982,     0,   985,     0,   994,     0,     0,   980,
     999,     0,   988,   986,     0,     0,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,  2189,   231,  1246,
       0,     0,     0,     0,   926,   925,     0,     0,   946,     0,
       0,     0,  1260,   445,     0,   314,     0,     0,     0,     0,
       0,     0,     0,     0,   696,   693,     0,     0,   692,     0,
     568,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   604,
       0,  1115,     0,   637,     0,  1015,     0,  1014,     0,     0,
       0,  1016,  1011,  1012,  2161,  2170,  2194,   233,  1032,     0,
    1031,  1029,   969,     0,   970,     0,     0,     0,     0,     0,
    2040,   269,   282,     0,  1114,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   303,     0,   306,   305,
       0,     0,     0,     0,     0,   310,     0,     0,     0,   309,
       0,     0,   535,   536,     0,     0,     0,  1115,     0,   263,
       0,     0,     0,     0,     0,     0,  1045,     0,     0,   149,
       0,   145,   148,     0,     0,     0,   517,   520,   532,     0,
     524,   525,   522,   526,   527,     0,     0,     0,     0,     0,
       0,     0,   519,     0,     0,   627,   626,   632,     0,     0,
       0,     0,     0,     0,     0,     0,  1068,  1067,     0,     0,
       0,     0,     0,     0,   735,     0,     0,     0,     0,     0,
       0,     0,   152,   640,   641,     0,   642,     0,   150,   151,
       0,     0,     0,     0,     0,     0,     0,   207,  1206,  1212,
    1277,  1929,  1276,     0,     0,     0,   827,     0,     0,     0,
       0,     0,     0,     0,   829,   830,   831,   832,     0,     0,
       0,     0,     0,   351,   352,   124,   350,  1957,     0,   724,
     699,     0,  1550,     0,  1546,  1542,  1611,  1612,  1613,  1610,
    1623,  1609,     0,  1556,  1614,  1565,  1562,   712,     0,   714,
     717,     0,  1225,   418,     0,     0,   561,   604,     0,   403,
     157,     0,     0,     0,     0,   122,   168,   170,   401,     0,
     169,   171,   173,   174,   175,   172,   176,   624,   628,     0,
     557,     0,     0,     0,     0,     0,   650,   654,   653,   657,
     655,     0,   651,     0,     0,  1538,     0,   144,     0,   507,
     516,     0,     0,     0,   403,   487,   328,     0,   456,     0,
       0,   943,     0,     0,     0,     0,     0,     0,     0,  1376,
       0,  1036,     0,  1253,  2062,   317,     0,  1034,   162,  1950,
       0,   768,     0,     0,     0,     0,     0,  1038,   764,   154,
       0,   317,   317,   560,     0,   317,   156,     0,     0,     0,
     552,   317,   788,  1332,     0,   456,  1305,  1316,   865,   874,
     873,   871,   870,   866,     0,   885,     0,   455,     0,     0,
       0,   899,   900,     0,     0,   898,   915,   901,     0,   903,
     895,   894,   904,   905,     0,     0,   924,     0,  1359,     0,
    1357,     0,  1519,  1361,  1350,  1324,     0,  1323,  1327,  1329,
    1328,  1326,     0,   501,     0,     0,   882,     0,     0,   317,
    1198,     0,   842,   843,   849,     0,     0,     0,     0,     0,
     850,   846,   847,   848,   851,   852,   853,     0,     0,     0,
    1903,  1855,     0,  1856,     0,     0,     0,  1891,  1887,     0,
       0,     0,     0,     0,     0,  1860,  1863,  1864,  1865,  1862,
    1866,  1861,     0,     0,  1867,     0,     0,     0,     0,     0,
    1595,  1594,     0,     0,     0,     0,     0,     0,     0,  1684,
    1717,     0,     0,  1819,     0,  1845,  1877,     0,     0,  1606,
       0,     0,     0,     0,     0,     0,     0,  1845,  1883,     0,
       0,     0,     0,  1781,     0,  1778,     0,     0,     0,     0,
    1902,     0,     0,     0,     0,  1941,  1626,  1643,  1915,     0,
    1904,     0,     0,  1627,  1650,     0,  1884,  1677,     0,  1682,
    1665,     0,  1658,     0,  1663,  1667,  1646,  1905,  1844,     0,
    1842,     0,     0,  1644,     0,  1639,  1637,  1638,  1631,  1632,
    1633,  1634,  1635,  1636,  1640,  1823,  1821,  1822,     0,     0,
       0,  1802,     0,     0,  1662,  2055,  2090,     0,  1422,  1422,
    1422,  1410,  1420,     0,  1533,  1914,     0,     0,     0,     0,
    1718,     0,  1849,  1431,  1847,  1931,  1920,     0,     0,  1622,
       0,  1517,  1898,     0,   794,   795,   793,  1301,  1285,  1281,
    1280,  1909,  1300,     0,  1409,     0,   957,   958,     0,   962,
       0,     0,  1451,  1473,     0,  1464,     0,  1455,  1456,  1447,
    1474,  1469,  1394,  1393,     0,  1536,     0,     0,  1346,  1339,
    1522,     0,  1479,  1364,  1366,  1367,     0,  1902,   984,     0,
    1565,   995,     0,   979,     0,   978,  1565,     0,   996,     0,
    1565,     0,     0,     0,  1143,  1070,  1119,   792,  1144,  1071,
    1120,  1145,  1072,  1247,     0,  1249,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     675,  2062,   317,  1258,  1146,     0,  1073,   313,  1259,  1121,
    1263,   695,   694,     0,     0,  1122,     0,   569,     0,     0,
     574,   575,   576,     0,     0,     0,   577,     0,  1996,  2047,
       0,   582,   589,   594,   584,     0,   595,   590,     0,     0,
       0,     0,     0,     0,   601,   608,     0,     0,     0,     0,
       0,     0,  1009,  1010,  1147,  1076,     0,  1123,   968,     0,
    1077,   158,     0,     0,   256,   270,   610,   675,  1117,   289,
     302,   297,   298,   296,  2062,   317,  2062,   317,     0,     0,
       0,     0,   299,   294,   295,   291,   304,  1973,  2032,  2171,
       0,   614,   616,     0,   621,   307,  1091,   324,   323,   322,
       0,   311,     0,   329,   332,   308,   287,   290,   288,   284,
     268,     0,     0,     0,     0,     0,     0,     0,  1927,     0,
       0,  1040,     0,     0,     0,   147,  1105,   137,     0,     0,
     133,     0,     0,     0,     0,   127,     0,  1153,  1081,     0,
       0,   260,     0,   513,   523,   528,  1085,   531,  1133,   529,
     511,  1159,  1082,     0,  1115,     0,   252,     0,  1083,     0,
    1127,  1155,  1107,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1266,     0,     0,     0,     0,     0,   317,     0,
       0,     0,  1117,  2062,   317,  1154,     0,  1112,  1141,     0,
     337,     0,  1106,     0,     0,   262,  1087,  1135,     0,     0,
     205,   204,   206,     0,     0,     0,     0,     0,     0,     0,
       0,   834,   803,   833,     0,     0,     0,   797,   373,   346,
     347,   349,   356,     0,   723,     0,     0,  1547,  1543,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1563,   713,
       0,     0,     0,     0,  1245,  1245,  1245,  1245,  1245,  1245,
    1245,  1226,  1256,     0,   124,     0,     0,     0,   563,   603,
     610,     0,     0,     0,   402,   406,   410,   411,   412,     0,
       0,     0,     0,   138,   125,     0,   753,     0,   456,     0,
     170,   163,     0,     0,     0,   328,   710,   708,   707,   709,
       0,     0,     0,   728,   706,     0,  1537,  1539,     0,     0,
       0,     0,     0,   501,   405,     0,   459,     0,     0,   491,
       0,     0,     0,   328,     0,     0,   973,     0,   991,   974,
       0,     0,     0,  1020,  1025,  1021,  1001,     0,   540,  1381,
    1382,     0,   317,     0,     0,   605,   317,   317,     0,   317,
       0,   317,   317,     0,  1181,   631,     0,   683,     0,     0,
     317,   766,  1846,   886,   458,     0,     0,     0,     0,   897,
       0,   538,   902,     0,   914,   909,   911,     0,   918,  1360,
    1353,  1355,  1354,     0,     0,  1351,  1852,   765,     0,   506,
       0,     0,   317,     0,   919,     0,   844,   845,     0,     0,
     854,     0,     0,  1427,  1853,  1854,     0,     0,     0,     0,
    1888,     0,     0,  1756,     0,  1732,  1734,  1564,  1746,     0,
    1577,  1757,  1758,  1736,  1738,     0,  1836,     0,     0,  1747,
    1686,  1687,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1699,  1698,  1748,  1818,     0,
       0,  1875,  1876,  1749,  1607,  1608,  1608,     0,     0,  1882,
       0,     0,     0,  1754,  1759,     0,     0,     0,     0,  1765,
       0,  1786,     0,     0,     0,  1709,  1846,  1599,  1600,     0,
       0,     0,     0,     0,     0,     0,     0,  1683,  1666,  1660,
       0,  1664,  1668,     0,     0,     0,     0,  1652,  1678,  1648,
       0,     0,  1654,     0,  1679,     0,     0,     0,  1725,  1422,
    1422,  1422,  1422,  1419,     0,     0,     0,     0,  2158,     0,
    1500,  1478,  1480,  1487,  1500,  1505,  1727,  1531,  1728,     0,
    1921,     0,  1460,  1431,  1431,  1431,  1724,     0,     0,     0,
    1430,   181,     0,   214,   201,     0,  1283,  1924,     0,  1434,
       0,  1837,   962,   960,   961,  1436,     0,     0,  1471,  1444,
    1348,     0,  1346,  1341,     0,  1342,  1902,     0,  1338,  1371,
       0,     0,  1536,     0,  1370,     0,  1565,   976,   977,     0,
    1000,     0,  1142,  1069,  1118,  1245,   929,   930,     0,   928,
       0,     0,     0,   444,   945,     0,     0,     0,   675,     0,
       0,   448,     0,  1261,     0,  1160,  1104,   571,   572,     0,
     583,     0,   592,   591,     0,     0,   579,     0,     0,     0,
       0,   578,   597,   544,   598,   600,     0,     0,   599,   602,
     607,  1115,     0,   638,  1093,     0,  1139,  1003,     0,   971,
       0,     0,     0,     0,   418,   283,     0,     0,     0,   271,
     281,     0,     0,   286,     0,   279,   300,   292,   301,   293,
     618,   619,   617,   613,     0,   620,   622,     0,   326,     0,
       0,     0,  1149,     0,  1115,     0,   264,  1089,     0,  1137,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1150,  1124,     0,     0,   130,   129,     0,   136,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   338,   319,     0,   731,
       0,     0,     0,   340,     0,     0,     0,     0,  1148,  1078,
     798,     0,     0,   799,   807,     0,     0,   800,     0,     0,
     809,     0,     0,   345,   353,  2114,  1826,  1827,   721,   726,
     718,   720,   722,   719,     0,   725,   675,     0,     0,     0,
    1548,     0,  1616,  1617,  1618,  1619,  1620,  1621,     0,  1615,
    1622,   715,   716,     0,  1245,  1244,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   430,     0,     0,
     424,     0,     0,  1025,   417,   420,   421,     0,     0,   564,
     567,   565,   566,   596,     0,   437,     0,     0,   140,     0,
       0,   141,   139,     0,     0,   328,     0,   166,   401,     0,
       0,   556,   656,   659,   652,     0,   727,   729,   704,     0,
     610,     0,   508,     0,  1333,   497,     0,   487,   483,   485,
     484,   486,     0,   493,   327,     0,   501,   493,     0,   946,
     972,     0,     0,     0,  1018,  1022,  1019,     0,     0,   987,
       0,  1002,   965,  1176,  1177,  1174,  1175,     0,     0,  1373,
    1037,     0,   317,  1035,   769,     0,   760,     0,   762,  1039,
     317,   317,   643,     0,   553,     0,     0,     0,   896,   916,
       0,   912,     0,     0,   879,   921,  1358,  1356,   499,     0,
     924,     0,   880,   923,     0,     0,     0,     0,     0,  1857,
    1583,     0,  1890,  1886,     0,  1729,  1858,     0,  1870,  1869,
    1685,  1871,     0,  1704,     0,     0,  1696,  1694,  1695,  1688,
    1689,  1690,  1691,  1692,  1693,  1697,  1880,  1879,  1873,  1874,
    1603,  1601,     0,  1751,  1752,  1753,  1881,  1760,     0,  1987,
    1787,  1764,  1780,  1779,     0,     0,     0,  1767,     0,     0,
    1776,     0,  1820,  1589,  1622,  1628,     0,     0,  1651,  1885,
    1669,     0,     0,     0,  1647,     0,     0,     0,     0,  1656,
    1836,     0,     0,     0,     0,  1805,  1800,  1801,     0,     0,
       0,     0,  1413,  1412,  1418,  1500,  1505,     0,  1396,     0,
    1487,     0,  1499,  1485,  1498,     0,     0,  1511,  1509,     0,
    1511,     0,  1511,     0,  1482,     0,  1501,  1483,  1498,  1530,
    1523,     0,  1922,  1532,     0,  1462,     0,     0,     0,     0,
    1850,     0,  1848,  1719,     0,  1899,  1407,     0,  1435,  1452,
    1445,  2012,  1534,  1347,     0,     0,  1344,  1345,     0,     0,
    1365,  1346,  1368,   997,     0,     0,   989,     0,   935,   936,
     934,   937,     0,     0,     0,   675,     0,     0,   464,     0,
     953,   953,     0,     0,   450,   496,  1025,   678,     0,     0,
       0,   676,   317,  1074,     0,   593,     0,     0,   588,   586,
     585,   587,   545,  1158,  1075,     0,     0,     0,     0,  1004,
       0,     0,  1092,     0,   415,     0,   276,  1116,     0,     0,
       0,   275,     0,   317,   317,   615,   325,   330,   331,   334,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   754,   737,     0,     0,   755,   756,     0,     0,
       0,  1042,  1043,  1041,   134,   131,   132,   135,  1102,  1086,
    1134,   514,   512,     0,     0,  1084,     0,  1128,  1099,  1095,
       0,     0,     0,     0,     0,  1157,  1111,  1132,  1156,  1109,
    1130,  1108,  1129,  1110,  1131,  1103,     0,  1541,   734,     0,
       0,     0,   317,   317,   645,  1088,  1136,     0,   801,     0,
       0,   802,   804,   376,     0,   379,   386,   357,   362,  1265,
       0,  1265,     0,   359,   363,  1265,   358,  1265,   355,   697,
       0,     0,     0,  1544,  1549,  1624,  1557,   674,     0,  1236,
    1235,  1234,  1238,  1237,  1240,  1239,  1231,  1230,  1243,  1242,
    1229,  1228,  1233,  1232,     0,   422,     0,   428,   432,   433,
     431,   423,  1025,   456,   495,     0,     0,   687,     0,   562,
     403,   434,     0,   407,   143,   142,     0,     0,     0,   170,
       0,     0,   661,   665,   705,     0,  1540,   639,   328,     0,
       0,   403,   501,     0,   408,   413,   414,     0,   491,     0,
     487,     0,     0,   498,  1223,   502,   503,     0,     0,   975,
     992,   993,     0,     0,  1025,  1024,     0,   547,   317,   606,
     317,   317,  1182,   684,     0,   908,   907,   906,   539,     0,
     910,   500,   317,     0,     0,     0,     0,     0,   856,   835,
     855,  1889,  1745,  1755,  1868,     0,     0,  1705,     0,     0,
    1750,  2266,     0,     0,     0,     0,  1784,  1785,  1766,     0,
    2105,  1771,     0,     0,     0,  1942,  1675,  1673,  1670,     0,
    1671,     0,     0,  1653,  1649,     0,  1655,  1680,  1791,     0,
    1807,  1804,  1417,  1416,  1415,  1414,  1486,  1484,     0,  1489,
    1496,     0,  1481,     0,  1510,  1506,     0,  1507,     0,     0,
    1508,     0,     0,  1496,     0,  1431,     0,     0,  1796,  1722,
    1723,  1720,  1431,  1939,  1622,     0,     0,  1340,  1343,     0,
    1372,  1363,   990,   998,  1251,     0,     0,     0,   446,     0,
    1025,     0,     0,     0,   956,   956,     0,  1025,   495,   680,
     679,   682,   677,   681,  1262,     0,   580,   581,  1094,     0,
    1140,  1100,     0,  1362,     0,   611,   272,   273,   274,   277,
     319,   285,   278,     0,     0,     0,  1090,     0,  1138,  1097,
    1151,  1079,  1125,     0,     0,   743,     0,     0,     0,     0,
    1152,  1080,  1126,     0,     0,  1362,     0,     0,     0,     0,
    1271,     0,   318,   733,   732,   319,   339,  1113,     0,   805,
     806,   377,   124,     0,   354,     0,   384,     0,   382,   381,
     383,     0,   370,     0,     0,     0,     0,     0,     0,  1545,
       0,  1056,  1056,     0,   675,  1241,     0,     0,   419,   495,
     463,     0,   425,     0,     0,     0,     0,     0,     0,     0,
     610,     0,     0,     0,   165,   403,   610,   660,     0,     0,
       0,   730,     0,   509,   405,     0,  1331,   404,     0,     0,
     493,     0,   491,     0,   488,     0,   492,     0,  1216,     0,
       0,  1023,     0,  1027,     0,   986,   963,  1533,     0,   551,
    1057,   761,   763,   644,   913,   920,   317,   836,   837,   838,
     839,  1700,     0,     0,     0,     0,  1761,     0,  1762,  1789,
    1788,  1768,  1772,     0,  1769,  1770,  1672,  1676,  1674,  1657,
    1793,     0,  1431,  1526,     0,  1529,  1488,     0,     0,  1490,
       0,     0,  1492,  1494,     0,     0,     0,     0,     0,  1925,
       0,  1459,  1461,     0,  1397,     0,   215,  1838,  1535,  1369,
     914,     0,   317,   953,   495,   465,  2114,   466,   952,     0,
     954,   959,   959,     0,   495,   675,   573,     0,     0,   257,
     609,     0,   321,   333,     0,  1362,     0,     0,     0,   750,
     738,     0,     0,   757,   515,     0,   253,  1096,     0,     0,
       0,     0,     0,   317,   808,   356,     0,   380,   389,     0,
     387,   360,   365,     0,   369,   367,   366,   361,   364,  1056,
       0,  1053,  1052,   673,     0,   454,   426,     0,   474,     0,
       0,   688,     0,     0,     0,   443,   442,   439,   438,   440,
     441,   436,   435,   635,   747,   328,  1223,   623,   662,   663,
     658,     0,     0,     0,   487,   483,   409,   418,   392,     0,
     493,   489,   490,     0,     0,     0,  1273,     0,   947,  1026,
       0,     0,     0,   546,     0,     0,   550,   541,   881,  1701,
       0,  1702,     0,     0,     0,  1774,  1773,     0,  1810,  1531,
       0,     0,  1525,     0,  1497,  1513,     0,  1493,  1491,  1502,
       0,  1504,  1719,  1795,  1797,     0,  1721,   931,     0,   932,
     956,   469,     0,   955,   962,   962,   456,   675,   447,  1101,
       0,   612,     0,   280,     0,   265,  1098,     0,   741,     0,
     752,   750,     0,     0,     0,  1267,     0,  1268,  1269,  1272,
     341,   344,   375,   385,     0,   368,  1051,  1055,  1054,     0,
       0,   427,   460,   461,   462,     0,   429,   470,   471,     0,
     685,     0,   690,     0,     0,     0,     0,     0,  1217,     0,
       0,  1223,   491,   487,   416,   482,   390,     0,  1220,     0,
     328,     0,  1025,  1028,  1180,   549,   548,  1703,  1777,  1763,
    1790,  1775,  1806,     0,     0,     0,  1524,  1527,     0,  1495,
       0,  1503,     0,     0,     0,   959,     0,   675,     0,   950,
     949,   463,   449,  1362,   320,     0,     0,     0,   748,   751,
     739,   752,   759,   758,  1362,     0,   388,     0,   453,     0,
       0,     0,   472,     0,   473,   494,     0,   689,     0,   610,
     746,     0,     0,   664,     0,  1218,   493,   491,  1221,  1222,
     493,   948,   964,  1179,  1178,  1409,  2228,  2012,  2200,     0,
    1808,  1811,  1809,  1803,     0,  1512,  1798,  1799,   317,   962,
       0,   451,   467,   474,   258,  1362,     0,     0,   740,   254,
    1270,   665,   479,     0,   478,     0,   476,   475,   686,   691,
     636,   736,  1223,   668,   393,   493,  1533,  1162,  1409,  1161,
    1163,  1171,  1168,  1170,  1169,  1167,     0,  1815,  1814,  1813,
    1817,  1816,  1528,   933,   951,     0,   675,   266,   742,   749,
       0,   477,   481,   480,  1219,   670,     0,   666,   669,   671,
     672,   391,   938,     0,  1172,  1166,  1396,  1383,     0,   468,
     452,     0,   646,     0,  1164,  1409,  1812,     0,   667,  1165,
       0,   668,     0,   647
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4156, -4156, -4156,  3035, -4156,  -784,   389,  2406,  -378, -4156,
   -4156, -4156,  1199, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
    2999, -4156, -4156,  1592, -2100, -4156, -4156,   126,  2948, -1084,
     112,  2621,  1282, -4156,  -968, -4156, -4156,  -522,   135, -4156,
    2956,   405, -4156, -4156, -4156, -4156, -4156, -4156, -4156, -4156,
    -697,  1753,  1130,  -733, -3124, -4156, -4156, -1211, -2770, -4156,
     540, -4156, -4156,  1689, -4156, -4156, -4156,   980,   461,  -461,
   -4156, -4156, -4156, -4156, -4156, -4156, -4156,  -280, -4156, -4156,
    -596,   139,    43, -2101,  -325, -4156, -4156,   408,  -327, -1132,
   -4156, -3105, -4156,   -22, -4156, -4156, -4156,  -301, -1202,  1226,
   -4156,  -604,  -972,  1525,  -648, -4156,  -187, -4156,  -708,  -591,
    -589,  -661,  -485, -3299, -3674, -3301, -3703,  1235,   140, -4156,
   -2764,   144, -4156, -4156,   150,   154, -4156, -1296, -1295, -1230,
   -4156,  -763, -4156, -4156, -4156, -2545, -4156, -4156, -4156, -4156,
      65, -4156, -4156, -4156, -4156,   434, -4156, -4156, -4156, -4156,
   -4156, -4156, -2342,  1647,  1648, -4156, -4156, -2760, -4156,  -780,
   -4156,   582, -2578,  1149, -4156, -4156, -4156,  2361, -4156, -4156,
   -4156, -4156, -4156, -4156, -1384, -4156, -4156,   157, -4156,  1660,
     950, -4156, -4156, -4156,  -698,  -765,  -756, -4156, -2561, -4156,
   -4156, -4156, -4156,  -262, -4156, -4156, -4156, -4156, -4156, -4156,
    -830, -4156,  1013, -2717, -4156, -4156,  1032, -4156, -4156, -4156,
   -4156, -4156,  -642,  -193,  2398, -4156,  -527,  -614, -4156, -4156,
   -4156,  -189, -4156, -4156, -4156, -4156, -4156, -4156,  -925,    11,
   -1368, -4156, -4156, -4156, -4156, -2038, -4156, -4156, -4156, -1587,
   -4156,  3825,  2001,  1060,   158, -4156,   -26,    59,  2849,  -967,
   -2252,   379,  -346, -4156, -1524, -4156, -4156, -4156, -2188, -4156,
   -4156, -4156, -4156, -3044,   159, -4156,  2842, -4156,   429, -4156,
   -3901, -3484, -3773, -3927, -3023, -4156, -4156,  -929, -4156, -4156,
   -4156, -1229,  1971, -1630, -4156, -1803,   432,  1317,  -806, -2362,
   -3297,  -602, -2814, -4156, -3220,  -447, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156,  -924,  -532, -4156, -4156,  3292, -4156, -3774,
   -4156, -4156, -4156, -4156,  1209, -4156, -4156, -1190,  1103, -4156,
   -4156, -4156, -4156, -4156,  -627,  -716, -4156, -4156, -4156,   160,
   -4156, -4156, -4156, -4156,  2261,  -786,  -633,  3164,   161, -4011,
   -4156, -4156, -4156, -4156, -2640, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -4156, -1505, -4156, -4156, -4156, -4156, -4156, -4156,
   -4156,  2038,  2042,    68,   -33, -4156, -4156, -1109, -4156,  -483,
   -4156,  2340, -4156, -4156, -4156, -4156,  1372,   162,   465, -4156,
       3, -4156, -4156,   265, -2957,     4, -4156, -4156, -4156, -4156,
   -1822,     5, -4156,   739, -4156, -4156, -2425, -4156,   163,    22,
   -4156, -4156,     1,     0,   -36,   -41,   -35,     2,  3161,  2704,
   -4156, -4156, -4156,    14,  1913, -4156,  -727,  -134, -4156,  1386,
    -558,  2016,  2701,  2708, -4156,  1377, -4156, -4156,  1383, -4156,
   -4156, -4156,  -533,  2023, -4156,  2710, -4156, -4156, -4156,  1364,
    1373, -2933,   811, -2940, -2926,   323,   311,  -942,  -284,   130,
    3196,  2713,   818,  -427, -4156, -4156,  -423, -3956,   768, -4156,
   -3762, -1986,  -207,  1769, -1345, -4156, -4156,  -939,  7378, -4156,
   -4156, -4156, 10417, 12283, -4156, -4156, 12668, 13107, -4156,  -850,
     866, 14005,  5678, -1010, -1628,  -821, 11249,  -341,  -775, -2326,
   -4156, -3054, -2325, -4156, -4156, -4156,  -243,   876,   438, -4156,
   -4156, -4156, -4156, -4156, -4156,  -524, -4156,  -528, -4156, -4156,
   -4156,  -513, -4155, -1176, -4156,  -174, -4156, 11452,  1414, -4156,
    -905, -2364, -2368, -2934, -1506, -4156, -4156, -4156, -4156, -4156,
   -4156, -4156, -1214, -2841,  -185,  1484, -4156, -4156,  1577, -4156,
   -4156, -4156, -1110,  -734, -2244,  1488, -1730, -4156,  -718, -4156,
     789,  2219,  -674,   596, -1144,  5856,  -440, -1957, -1051, -1313,
   -4156,  -161, -4156,    30,   -10,  -145,  -566,    -5,  3300, 12030,
    -543, -1041,  8154,  9865, 11369, -2670
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    49,    50,    51,    52,  1224,  2170,  2041,  2853,  2854,
      53,    54,  1303,    55,    56,    57,    58,    59,    60,    61,
    1240,    62,    63,   900,  1456,  2180,    64,  1908,   699,   700,
     701,  1733,  1734,  2108,  1735,  1723,  1139,  1542,  1259,   674,
     675,  1226,  1260,    66,    67,  1133,  1714,    68,    69,    70,
    1286,  1287,  1234,  1495,  3757,  4363,  2681,  2019,  2891,  2682,
    2683,    71,  1354,  1355,    72,    73,  2801,  1394,  2135,  3323,
    3324,  3788,   529,  2132,  4062,  4063,  3774,  3775,  4069,  4249,
    4250,  2181,  1452,  2885,  3417,  2844,  3853,  2845,  3854,  2846,
    3855,  2832,  3374,  3375,  3376,  2847,  3831,  4281,  2848,  1923,
    4391,  2215,  1564,  1562,  4268,  3647,  3648,  4447,  4396,  4397,
    4398,  4526,  3860,  2889,  3423,  3863,  4092,  2580,   613,  1476,
    2959,   614,  2217,   560,   615,  2182,    79,  1323,  1324,  1325,
    2049,  3328,  2942,    80,   919,  3192,  4139,  4316,  4317,    81,
     208,    82,  1460,    83,    84,  2166,  2838,    85,  1940,  2597,
      86,    87,  2624,  2625,  2626,    88,    89,  3214,  4014,  1288,
    2670,  2671,  2672,  2673,  3235,    90,  1458,  1330,  2189,    91,
      92,    93,    94,    95,  2095,    96,    97,  2183,  1468,  2201,
    2202,  3843,  4108,  4290,  4110,  4566,  4567,  4084,  3171,  3661,
      99,   100,  3826,  3827,  4403,   101,  1938,   102,   103,   104,
    1436,  2158,  2159,  3329,  1396,  2138,  2139,  3405,  3406,   105,
    2761,   106,  3712,  3713,   561,  4406,  4370,  4460,   107,   108,
    3716,  3717,   109,   110,   111,   112,   113,   607,   965,   966,
    1216,   114,  1830,   115,   873,  2792,   116,  1030,  2338,  3899,
     117,   638,   979,   980,  2184,   119,   647,  2316,   649,  1577,
    2944,  2945,  3474,  2285,   784,   120,   121,  2296,  2319,   122,
    1227,  1914,  1915,  3642,  2185,   562,  1482,  2220,  2575,  4307,
    3649,  3994,  4211,  2509,  3125,   124,   563,  1264,  1983,  2223,
    2897,  1886,  1887,  1888,  3438,  1889,  2899,  1890,  1210,  1891,
    2904,  2905,  2906,  3434,  3442,  4133,  4134,   125,  1262,  1981,
     126,   127,   128,  1300,   809,   129,   575,   576,   130,  4261,
     131,   931,   132,   666,  1591,   133,   134,  1996,  3221,   135,
     136,   137,  4539,  4573,  4574,  4575,  3447,  4495,   138,  4541,
    1009,   140,   141,   142,   178,   839,   840,   841,  2186,  4128,
     144,   145,  2162,  2831,  3356,   146,   147,  1909,  2565,   148,
     149,   150,   151,  1440,   152,   153,   154,   155,  1373,   156,
    1168,  1169,   157,   158,   524,   717,  1172,  1180,   159,   617,
     973,   974,   975,  1544,   160,  1012,  2307,   618,   968,   162,
     619,  2528,  3134,  3135,  3138,   620,  2525,   165,  1583,  2301,
    2304,   621,  2532,  2533,  2534,  2535,  2536,  3140,   622,   640,
     922,  2228,   623,  1102,   170,   171,   172,   726,   721,   722,
     174,  1707,  2471,   655,  1187,   687,   734,  3110,  1843,  1844,
    1866,  1867,  1196,  1197,  1856,  1858,  2511,  1859,  2519,  1849,
    3605,  3968,  1862,  1863,  1199,  1200,  1201,  1871,   175,  2474,
    3091,  3092,  3093,  3582,  3583,  3597,  3593,  3955,  4182,  3094,
    1007,  1207,  3095,  4173,  4174,  4332,  3600,  3102,  3132,  2875,
    2876,  2877,  1892,  2145,  1421,  1103,  1422,  2156,  1104,  1627,
    1424,  1105,  1106,  1107,  1427,  1108,  1109,  1110,  1111,  1610,
    1669,  1112,  1113,  1646,  2153,  2154,  1533,  2378,  1115,  1116,
    1117,  3097,  1118,  3540,  3923,  3912,  2404,  2405,  1730,  3536,
    3037,  1703,  2461,  4194,  4343,  4344,  3078,  3566,  3940,  4172,
    4435,  4500,  4501,  1119,  2458,  1699,   811,  1120,  3331,  1701,
    2398,  2483,  2484,  1586,  1608,  2344,  2362,  2363,  2375,  2998,
    2382,  2387,  3021,  3022,  2399,  2427,  1121,  2347,  2348,  2981,
    1612,  1122,  1162,  1163,  1605,  2422,  1175,  1176,   719,  1123,
    1124,  1125,  1578,   710,  4178,   519,   774,  2697,  1821,   843,
     652,  1126,  1127,  1128,  1129,   940,   941,  1293,   520,   768,
     788,  2674,   521,   522,   770,  1826
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     169,   168,   173,   163,   164,   166,   577,  1541,   679,  1501,
    1202,   530,   725,   896,   653,  1134,   642,  1505,   766,   810,
     169,   642,   173,  1511,  1208,  1561,  1922,   785,   950,   518,
    1305,   925,  1292,  1211,  1984,  1837,   567,   735,   962,  1329,
     999,  1000,  1001,  2415,   787,  2286,  1005,  1359,   724,  2521,
     814,   641,   923,  1827,  1371,   559,   641,   712,  1598,  2110,
     947,   831,  1534,  1148,  2155,  2962,  1450,  1992,  2843,   976,
    2142,  1397,  2015,  1648,  2699,  1840,  1470,  2861,  3198,  2481,
    3383,   648,   606,  2001,  2543,  2545,  3215,  2206,   616,  3230,
    3441,  3232,  2797,   680,  2062,  3401,   882,  2758,  1438,  3618,
    2343,  1827,  1443,  2730,  3352,  2501,  3139,  1447,  2948,  3684,
    3105,  3650,  3103,  3104,  1453,  1621,  1622,  3644,  3858,  3415,
    1822,  1322,  1492,  3427,  1472,   729,  3866,  1338,   970,  3553,
    2076,  2077,   737,  3333,  1637,    65,  1364,  1991,   738,    74,
      75,  3874,  2257,   933,    76,   673,  2072,  3096,  3098,   925,
      77,  3333,   706,  3824,    78,  3596,  3579,    98,   118,   123,
     139,   143,   161,   167,  1900,   698,  3045,  3995,  3594,  2221,
    1141,  1977,   709,   736,  1822,  3623,  1195,  3145,  2209,  2210,
    3518,  4312,  1261, -1598,  4120,  3357,  3358,  3359,  3360,  3361,
    3362,   771,   773,  1614,  1615,   777,  1664,   779,  3096,  3098,
    4186,  1198,  4188, -1957, -1984,  1674, -2049, -2083, -2104,   624,
   -1958, -1957,  1543,   624,   528,  2856,   828,  3993, -1958,  1634,
    1237,  1517,  4212,  2083,  1469, -2131,   981,  1493,  2780,  4308,
    1677,  1228,  1532,  1994,  1828,  1348, -1598, -2280, -1384, -1593,
    1994,  1349,  3002,  1916,  4369, -2280,  2297,  2203, -1598,  2088,
    1493,   573,  2318,  1994,  2002,  3432,  2979,  2542, -1565, -1932,
    1679, -1824,   573,  2420,   573, -1578, -1605,   573, -1824,   573,
    2455,  1392,   573,   573,  1493,  4408, -1608,  2456, -2052,  2619,
    2420,  1302,   624,  3199,  4354,  4355,  2919,   624,  2921,  1289,
    1026,   624, -1593,  3144,   624,  4215,   732,  2799,  3194,  2213,
     985,  2949,  3850, -1608,  2951,  1994,  2687,  4314,  4262,  4537,
      27,   573,  4493,  2070,  1918,  4002,  2437,  4275,  3478,  1994,
    4218, -1384,  1238,  2213,  1994,  3419,  4548,  1493,  1386,  1910,
    4562,   824,  1919,  1229,  3502,  3741,  3503,  1350,  2178,  1911,
    2173,  4546,  2566,   176,  1667,   782,  1924,   573,  1003,  1720,
    1289,   573,  2620,  1998,  1912,   624,   630,  2312,   630,   630,
     630,  4074,  1371,  2298,  1643,  4276,  4075,  1138,  1665,  -124,
     877,   810,  4277,  1925,  -124,  4433,   631,   630,   631,   631,
     631,  3002,  1512,  1724,  1644,   177,  4266,   887,  1736,  1736,
   -1387,    38,     3,     4,  2160, -1384,  1711,   631,   891,  4278,
    4485,  4434,   898,  3002,  1999,  2204,  1304,  1160,  1648,  4076,
    -146,  1161,  2179,   908,  2567,  1674, -2103,   928,   810,  1861,
     925,    42,  2281,  4586,  2606,  4340,  2287,   938,  2289,  1004,
     630,  2292,   925,  2960,  1503,  -146,  3998,  1579,  1503,  2473,
    1677,  1529,  2438,  2174, -1840,  3802,  2439,  1588,  4300,  1721,
     631, -1840,  2117,  4549,  -378,  3504,  3479,  1829,  4315,    46,
    1599,  1920,  2121,   715,  2380,  3505,  1621,  1622,  4563,  1434,
    1679,  4279,    47, -1387,  1637,  4494,  1581,  1230,  2380,  1494,
    3108,  1351,  1965,  4469,  2440,  4386,   925,  3742,  1913,  2214,
    1971,  2688,  3851,  1928,  1545,  2340,  2950,  3199,  2065,  2952,
    2791,  4351,  1494,  2623,  2800,   574,  1926,  1602,  4538,  1223,
    1231,  4357,  2014,  4105,  1352,  3637,   874,  1165,  4509,  1166,
    4491,  4564,  3195,  3698,  2628,  2550,  1494,  2781,  2464,  2003,
    2346,  2694,  2591,  1299,  1503,  2057,  1410,  2059,  2142,  1232,
    2299,  2004, -1384,  1353,  3277,   880,  1963, -1387,  2047,   883,
    2067,  2050,  2051,  1614,  1615,  1827,  2205,  1921,  2300,  1150,
    1722,  4122,  1634,  3004,   924,   577,   906,  2140,  1609,  2113,
    3333,  2089,  2084, -1824,  2421,  3433,   725,  4445,  1004,  1494,
    4572,  1239,  2457,   977,  2109,  1160,  2133,  2134,  2274,  1161,
     872,  3065,  2005,  4003,   568,  1582,  2071,  1233,   783,  2029,
     925,  1827,  4089,  1203,  2441,  2261,    48,  3654,   925,   925,
    3675,   169,   724,   173, -1598,  3702,  1531,  3164,  3929,  2118,
     978,  1718,   983, -2103,   987,  3838,  1698,   636,   637,  1435,
     991,   636,   637,  1609, -1957,  2418,  3596,  4280, -1384,  1503,
     888, -1958,  2282, -1984,  1872, -2049, -2083, -2104,  1010,  3946,
    3847,  2293,  3952,   969,  4136,   641,  3956,   641,  3904,   641,
    1980,   994,  3865,  3014, -2131,   641,   992,   993, -2280,  1873,
   -1593,  1027,  1420,  1643,  3981, -1384,  4504, -1384,  1131, -1598,
     972,  1140,   924,  1142,  1375,   737,   810, -2103,  1160,  1620,
   -1932,   738,  1161,  1644, -1387,  1381,  1626, -1605,  1670,  2339,
    1643,  2342, -2103,  1709,  2488,   636,   637,  1645,  3340,   636,
     637,  2350,  1290,  1291,  3798,  2354,  3473, -2052,  2510,  4350,
    1644,  1004,  1668,  2366,  2367,  4061,   736,  3141,   169,   168,
     173,   163,   164,   166,  1647,  3377,  2384,  2386,  4486,  3147,
    3612,  3148,  2526,   797,  1582,  3310,   716,  2400,  3313,  3314,
    2722,  2723,  3317,  1435,  4470,  1483, -1840,  1167,  3320,  2231,
    3397,  3096,  3098,  3096,  3098,  1223,  1151,  1237,  2237,  2036,
    4204,  2629,  2241,  1290,  1291,  3789,  1929,  4214,  2247,  2248,
     835,  3687,  2370,  2371,  1170,  1006,   794,  3635,  1930,   935,
   -1387,  4522,  -124,  -124,   818,   996,  2260,  3009,  3010,  3011,
    3012,  3013,  3014,   833,  1585,  1035,  2882,  2592,  3002,  1297,
    1298,  1379,  1916,  4535,  2604,   573,  1137,  1302,   573,  4298,
    1145,  3011,  3012,  3013,  3014,   641,  2677, -1387,  1917, -1387,
    1152,  3315,  3316,  1695,  1696,  1697,  1698,  2695,   730,  3096,
    3098,  2283,  1006,   569,  3389,  1022,  2481,  2481,  2481,  1368,
    2557,   835,  1674,  4235,  4364,  3345,  1311,  2645,  -789,  3709,
    1822,  3113,  3342,    65,  1712,  2379,   732,    74,    75,  1238,
     836,  1206,    76,  2034,  2216,  2578,  2678,  1677,    77,  2402,
    4325,  2462,    78,  1918,  1391,    98,   118,   123,   139,   143,
     161,   167,  3626,   570,  4175,  1977,  4222,   731,  1311,  2290,
    2291,  1919,  1312,  3877,  3216,  1448,  1449,  1679,   739,  1225,
   -1929,   837,  2197,  1243,  4239,  1308,  1343,  2506,   525,  1930,
    3343,  3688,   523,  3412,   571,  1480,   572,  1713,  1665,  2022,
    2579,  4243,   673,  1333,   624,  2035,  2238,  3650,  1461,  3443,
    2023,   836,  1358,  3363,  1312,   624,  -146,  2249,  1309,  2150,
    2103,   997,  1465,   924,  1344,  1507,  1509,  3710,    38,  2256,
    2679,   838,   662,  1519,   732,   924,  2835,  1503,  1503,  3003,
    1215,  -146,  1466,  2684,  4523,  4154,  1462,   169,  2246,   173,
    2062,  1313,   837,  2104,  1485,   740,  3366,  3120,    42,  2198,
    3004,    38,  3390,  2898,   976,  4412,  2507,  3378,  1584,  4416,
    3330,  1520,  1547,  1369,  1549,   641,  1551,  2463,  1553,  4176,
    1555,  1556,  1557,  4422,  2150,  4240,  3444,  1559,  3330,   924,
    4179,    42, -1565,  1313,  3689,  4183,    46,  3690,  4185,  1314,
    1920,  1315,   838,  1035,  1682,  1683,  3002,  1607,  1279,    47,
     663,  2061,   936,  4524,  2124,  1223,  1265,  3711,  3187,  3005,
    3606,  3265,  1931,  2266,  3898,  2503,  4387,  1624,  2233,    46,
    3441,  4303,  2707,  4326,  1380,   725,  4525,  2605,  2284,  4304,
    1317,  1314,    47,  1315,   916,  2527,  3650,  2547,  4112,  1147,
    1686,   733,  2125,  2061,  3988,  3217,  3188,  1651,  4116,  3253,
     573,  1847,  2033,  1666,  1160, -1565,  2743,  2496,  1161,  3439,
     654,  1662,  2744,  1671,  2680,  4015,  2373,  1345,    48,  1319,
    3218,  1925,  1317,  1674,  4487,  1370,  1710,  4457,  1467,  4087,
     842,  2014,   660,  2833,  3370,   875,  1921,   810,  2836,  1463,
    1932,  3820,  1035,   924,  2708,  3002,  1726,  1727,  1677,  1833,
    2939,   924,   924,  2278,  1321,  3210,  1841,  1842,   685,  1846,
    3445,  1319,   738,   738,  1521,   738,  2574,  4348,   800,   801,
     802,  3371,   803,   804,   805,   806,   807,   808,  1679,  2114,
    2199,  2355,  3146,   573,  2052,  3372,   641,  4458,  2550,   741,
    1848,   641,   641,  2200,  2709,  4534,  1321,   736,   736,  4536,
     736,  3254,  4414,  4388,  4094,  1346,  2520,  1486,  2745,  4392,
    2380,  2380,  4492,  4123,  3980,  2380,  2837,  3638,  3211,  2619,
    3446,  -946,  2096,   664,   665,  4124,  2818,  1464,  3004,  4320,
    3006,  3007,  3008,  4305,  3009,  3010,  3011,  3012,  3013,  3014,
    -516,  3714,   917,  2163,  4571,  2126,  2710,  3965,  3612,  3189,
    3657,   686,  1522,  3972,  3685,  2380,  2380,  1487, -1565,  2752,
    1673,  4337,   573,  1674,  3056,  1191,  3057,  3373,  2548,  3096,
    3098,  2549,  1017,  3096,  3098,   661,  2356,  3821,  1693,  1694,
    1695,  1696,  1697,  1698,  3768,   641,  4175,  3005,  1677,  3058,
    3771,  3772,  2620,   641,  1678,  1135,  2724,   918,   684,  2009,
    2232,  2644,  3892,  4367,  2727, -2281,  2729,  4372,  4373,   707,
    4095,  2053,  -603,  2054,  1158,  1958,  4223,  2916,  1679,  2279,
    2177,   718,  4393,  1185,  3658,  2917,  3731,  3004,  2066,   573,
     992,   993,  2922,  2127,  1193,  1184,  2096,  3190,  2711,  3715,
    2230,  4449,  4450,  2357,  1206,  3255,   810,  1488,  2280,  2236,
    4283,   641,  2746,   526,   641,   641,  4287,   728,   573,  2721,
    3804,  2802,   624,  3333,  2078,  2079,  2080,  2081,  2239,  3275,
    3035,   542,  2866,  2867,  2868,  2869,  3042,  3650,  3256,  3659,
    4125,  3660,  2736,  3639,  2874,  2747,  3005,  4394,  2871,  1143,
    3059,  2096,   742,  2872,  2136,  3060,   835,  1489,  3116,   776,
    1035,  2358,  1296,  3002,  2359,  2119,  2120,  3257,  3818,  3002,
    1716,  2129,  3640,  2775,  2748,  1972,  1186,  2619,   785,  3906,
    3209,  3907,   641,  3632,  1681, -1565,  3469,  3806,  2610,   544,
    2641,  3641,  3276,  3846,  2912,  3159, -1565,   176,  1620, -1565,
    1215,  2712, -1565,  2623,  1934,  1682,  1683,  3330,  1225,  2713,
    2977,  1225,  2714,  2295,  1935,  2157,  3799,  2187,  3006,  3007,
    3008,  2058,  3009,  3010,  3011,  3012,  3013,  3014,  1191,  1220,
     727,  3819,  2016,  1192,   810,  2069,  2562,  2416,  1490,   177,
    3489,   778,  2192,  2193,  2194,  2195,   836,  2632,  2481,  2749,
    2620,  1686,  2974,  1503,  1446,  2360,  4554,  2264,  2016,  3029,
    1973,  1225,  1221,  2062,  1687,  1225,    33,  3700,  3880,  2428,
    3881,  2429,  2915,   542,  3061,   795,  1474,  1477,  1478,  1850,
    2621,  2017,  2750,  2018,  3062,  4407,   681,   837,  2924,  2925,
    3054,  1222,  2927,  4264,  2430,  2941,  2251,  1193,  2931,  1693,
    1694,  1695,  1696,  1697,  1698,  2255,   169,  2017,   173,  2018,
    3908,  2751,  2262,  2622,  3278,  3463,  1851,  2014, -2281, -2281,
    2953,  3009,  3010,  3011,  3012,  3013,  3014,   551,  1664,   552,
    3701,   544,  2633,  1035,  1194,  1151,  3002,   838,  2268,  1279,
    2269,  2315,  2270,  2014,  2271,  3004,  2272,  3472,   796,  1326,
    2273, -2281,  1451,  3546,  2361,  1936,  2964,   169,  2311,   173,
    2308,  2309,  2310,  4313,  3240,  1223,  3999,  2705,  1135,   826,
     176,  2379,  2379,  2578,  2769,   972,  2379,  3170,  3441,  3241,
    1349,  2818,  1327,  1728,  2893,  2364,  1850,  3473,  1937,  2954,
    2431,  1135,  3096,  3098,   834,  2432,  2122,  3096,  3098,  1152,
    2433,  2623,  3096,  3098,  3005,  3096,  3098,  -401,     3,     4,
    1853,  4146,   177,  4361,  1022,   610,  2379,  2379,  2352,  2353,
    4490,  1435,  1729,  1851,  4358,  2314,  2365,  1191,  3167,  4000,
    2368,  2369,  3657,  2715,    14,  3096,  3098,  2658,  2337,  1693,
    1694,  1695,  1696,  1697,  1698,  2390,  3420,  2391,   876,  3424,
    2073,  2426,   925,  2123,  4098,   879,  3186,   982,   984,   986,
    2423,  1854,   988,   989,   990,   610,    19,   881,  2413,   551,
    2414,   552,   995,  2908,  4389,  1852,  1350,  1328,  2039,  4006,
    4007,  2042,  2302,  2660,    14,  2489,   925,  2016,  2659,  4530,
    2715,  2052,  3796,   542,  1451,  4099,  1193,  1736,  3363,  4097,
    4080,  4059,  4060,  4200,  3364,  4202,  3658,  2930,  4238,  4104,
    -401,   889,  1674,   890,  3365,  2753,    19,  1853,  3004,  2434,
    4115,  1674,  2554,  1740,  2755,  2146,  3109,  2558,  4081,  2435,
    2561,  2092,  1212,  1194,  2661,  2099,  2017,  1677,  2018,   909,
    4426,  3366, -1430,  3367,  2754,   884,   810, -1430,  2503,  2160,
    2598,   544,  2584,  2756,  3499,  2975,  2646,   785,  -505,   904,
    2976,  3659,  3178,  3660,  3468,  1213,  4452,  1679,  1854,   910,
    2146,  1875,  2014,  2007,  3096,  3098,  1679,  3005,  3519,  3009,
    3010,  3011,  3012,  3013,  3014,  3009,  3010,  3011,  3012,  3013,
    3014,   897,  2147,  2634,  1214,  3672,  2102,  2380,   911,  1217,
    2380,  2380,  2380,  2380,  2380,  2380,  2380,  2380,  2380,  2380,
    2640, -1430,  2175,  -504,  2512,   630,  3200,  3368,  2053,  3173,
    2054,  2630,   820,   913,  3111,    30,  3655,  2105,  3096,  3098,
    2380,  2207,  1218,  2016,  1988,   631,  2675,  2147,  3220,  2106,
     535,  2006,   912,  4288,  1643,   169,  2529,   821, -1430,   641,
    2148,    38,  1526,  2149,   914,  2568,  4511,  2571,  2016,  2380,
    2380,  1219,    33,  2107,  1644,  2706,  3123,  3124,  3402,  2717,
    1170,  4289,  1527,  2043,  3369,    30,  2046,  3411,  1645,  3370,
    3071,    42,  2017,  3743,  2018,   930,  3925,  2038,  2731,   551,
    1035,   552,  3223,  3002,  3225,  2148,  1894,  3151,  2149,  2741,
    3203,    38,  1620,  3744,  1901,  2340,  2809,  2017,  3759,  2018,
    3547,   934,  2765,  2082,   557,  1994,  3371,   925,  2014,    46,
     542,   915,  2772,  1995,  2600,  2601,  2602,  2100,  3760,  1895,
    3372,    42,    47,  2612,  1142,  2614,   942,  2616,  2617,  -940,
    2112,  2481,  2823,  2014,  2150,    27,  2481,   943,  3006,  3007,
    3008,  2481,  3009,  3010,  3011,  3012,  3013,  3014,  1896,  3587,
    1643,  3344,  3346,  3347,  3481,  4580,  3246,  3532,    48,    46,
    3156,  3157,   948,   611,  3096,  3098,  3686,  3691,   544,  3353,
    1644,  3676,    47,  1306,  2872,  3520,  3521,  3588,  2696,  2150,
    4244,  2824,   639,  3272,  1647,  3296,   957,   639,  1356,   909,
    1360,  3303,  3958,  3279,  2340,  3000,  3001,   963,  1546,  3485,
    3016,  1548,  3373,  1550,  3590,  1552,   967,  1554,   612,  2862,
    3379,  1558,   624,   925,  3703,  2016,    38,  2517,  2518,   910,
    2016,    38,  1002,  3732,  1994,  3307,  2725,  1632,  1633,  2208,
    2016,  3634,  2000,  2151,  3177,  2218,  1620,   998,  1901,   641,
    3051,  3052,  2707,  1606,  1008,    48,    42,   641,  3399,   641,
    2627,    42,  1011,  2152,  2406,  3096,  3098,  2409,  2849,  2956,
    2825,  2826,  2016,  3250,  2017,  3004,  2018,  1536,  1013,  2017,
    1537,  2018,  2793,  1035,  2827,   892,  3002,   893,  2151,  2017,
    2793,  2018,  1831,  1014,    46,  1832,  2785,  3526,  1019,    46,
    3677,  2265,   912,  3931,  2794,  1834,  3251,    47,  1835,  2795,
    2014,  1020,    47,  3592,  4284,  2014,   551,  3268,   552,  2946,
    1620,  2017,  1215,  2018,  2708,  2014,  3704,   554,  1021,  3484,
    2965,  2828, -1454, -1454,  3005,  3252,  2968,  2016,   556,  1135,
    1135,  1451,  2946,    48, -1173,  2226, -1173,  2227,    48,  3450,
    1023,  2865,  2817,  3453,  3454,  2313,  3456,  2014,  3458,  3459,
    2380,  4219,  4508,  2016,  3652,  3653,  3924,  3464,  2684,  1160,
    3699, -1932,  2898,  1161,  2709,  1022,  3486,  2818,  3028,  2894,
    3030,  3031,   169,  2883,  3856,   924,  2017,  1024,  2018,  2263,
    3330,  2863,  2264,  4236,  2884,  1592,  1593,  2275,  2379,  3482,
    2276,  2379,  2379,  2379,  2379,  2379,  2379,  2379,  2379,  2379,
    2379,  1025,  2017,  4132,  2018,  1028,   730, -1396,  2829,   924,
    2830,  2850,  2014,  2918,  3395,  2920,  2710,  2277, -1431, -1396,
    2276,  3530,  3586, -1431, -1396,    38,   209,  1035,   810,  2305,
    3002,   527,  2306,  1620,  4071,  1901,  4073,  1031,  2014,   608,
    4077,  3776,  4078,  3388,  1029,  3391,  2502,  3932,  1146,  2503,
    2379,  2379,   925,  1339,   925,    42,   682,  3079,  3004,  3080,
    3586,  2638,  2472,  1149,  2639,   731, -1396,  4147,  4148,  4149,
    4150,  2486,  3099,  3380,  1153,  3382,  2701,  2804,   641,  2702,
    2805,  3885,  3886,  3887,  1154,  1371,  1340, -1431, -1396,  4309,
    1341,  3587,  1159,    46,  3121,  3006,  3007,  3008,  1171,  3009,
    3010,  3011,  3012,  3013,  3014,  1178,  4196,  2819,  2711,  2972,
    2820,  2933,  1155,  2973,  2276,  1342,  2264,  3005,   925,  3588,
    2887,  1179,  2888,  3099, -1431, -1396,  3602,  1181,  1182,  3587,
    2380,  2380,   732, -1396,  3589,  1189,  3607,  3608,  3609,  3436,
    1673,  2983,    48,  1674,  2264,  2987,  3590,  2851,  2264,   725,
    2991,  1204,  3179,  2264,  3480,  3777,  2992,  3588,  3018,  2264,
    1205,  2264,  3034,  4365,  3039,  2264,  3152,  3040,  1677,  3591,
    3233,  1209,  3589,  3234,  1678,  3238,  3430,  3490,  3239,  3431,
    2264,  3081,  1215,  3082,  3590,  1662,  2852,  2497,  4180,  2500,
    3527,  3537,  3549,  3528,  3538,  2264,  3778,  3624,  1679,  2426,
    3625,  3628,  3633,  1241,  3629,  2549,  2900,  3591,  3175,  1236,
    3656,  2712,  3004,  2276,  3848,  1263,  1267,  2276,  3074,  2713,
    3779,  3930,  2714,  1268,  2306,  1244,  1135,  3983,  3990,  3996,
    2549,  3991,  2276,  3090,  3997,  3780,  1299,  2276,  4064,  3781,
     924,  4065,  3084,  3085,  3086,  3592,  3791,  1301,  3792,   733,
   -1396,   725,  1827,  3258,  4584,  3260,  4585,  1245,  4117,  3782,
    4156,  4118,  3783,  4157,   169,  2311,   173,  2308,  2309,  2310,
    4158,  3005,  4166,  2264,  3784,  2306,  2340,  1302,  3112,  4220,
     641,  1307,  4221,  3592,  3090,  3764,  1310,   724,  3006,  3007,
    3008,  1334,  3009,  3010,  3011,  3012,  3013,  3014,  4285,  4310,
    1680,  2276,  4311,  1335,  1681,  4321,  3242,  4329,  2306,  1347,
    4330,  1160,  3297,  1246,  1181,  1161,  4259,  4334,  3261,  4181,
    2503,  4339,  1361,  1357,  3409,  1682,  1683,  4341,  4383,  4415,
    3409,  4384,  1715,  4420,  1366,  4427,  4421,  3311,  2306,  1367,
    4428,  4429,  1684,  3040,  2264,  1247,   924,  4439,  1372,  1374,
    2503,  2379,  3785,  1378,  1382,  4441,  4047,  4048,  3409,  4050,
    3786,  4456,  4462,  2666,  2306,  2306,  4463,  1376,  1383,  2306,
    3875,  1686,  4477,  1388,  2901,  4478,  3182,  1390,  3183,  3184,
    3185,  1248,  2693,  3913,  1687,  4505,  1393,  4552,  2503,  3121,
    3409,  4514,  1395,  3308,  4582,  3787,  4593,  4583,  4113,  4583,
    1398,  1181,  4519, -1384,  1188,  1223,  1190,  3121,  3957,  1439,
    3960,  1249,  1444,  1442,  1435,  1454,  1457,  1455,  -167,  1459,
    1471,  1473,  3501,  3236,  1481,  3506,  3507,  3508,  3509,  3510,
    3511,  3512,  3513,  3514,  3515,  1479,  1491,   194,  1496,  2646,
    1497,  4132,  3006,  3007,  3008,  1498,  3009,  3010,  3011,  3012,
    3013,  3014,  1500,  4557,  1499,  1502,  1503,  1510,  1513,  1514,
    1515,  3266,  1689,  1516,  1518,  1523,  3451,  3888,  1524,  1525,
    1530,  1535,  1587,  1560,  1590,  1594,    33,  1603,  1596,  3879,
    1252,  1604, -1569,  1597,  3555,  3556,  1253,  3882,  3883,  2380,
   -1576,  1613,  1616,  1254,  1617,  1623,  1618,  1619,  2380,    48,
    1625,  1979,  1628, -1566, -1567,  1629,  1630,  1631,  1636,  1638,
    1256,  3299,  1639,  1640, -1570,  2380,  2380,  1641,  1257, -1568,
    1642,  1649,  1650,  1704,  1702,  1652,  1653,  1654,  1655,  1656,
    2858,  2379,  2379,  2793,  1657,  3494,  2793,  2793, -2190,   785,
    2793,  1706,  1658,  1659,  2096,  1731,  2793,  1719,  1708,  1839,
    1715,  1739,  1192,  3332,  1194,  3500, -2281, -2281,  3471,  1693,
    1694,  1695,  1696,  1697,  1698,  1868,  1878,  1244,  4068,  1899,
    1258,  3332,  1897,  1870,  2903,  3440,  1898,  1901,  3483,  1902,
    3522,  1903,  1904,  3834,  3835,   924,  1933,   924,  1905,  1906,
    1927,  1939,  4234,   641,  1964,  1960,  1966,  1967,  1968,  1245,
    3339,  3341,  2321,  1969,  1970,  3348,  1985,  1987,  1986,  1997,
    2007,   641,  2008,  2011,  2013,  2020,  1585,  2010,  2012,  2014,
    2021, -2190,  2024,  3407,  2025,  4102,  2026,  2030,  2037,  2031,
    2040,  2044,  2048,  2045,  2055,  2056,  1279,  2068,  2060,  2063,
    2064,  2074,  3392,  2075,  2085,  2086,  2087,  2090,  2091,  2322,
    3435,   924,   169,  3426,  2097,  1246,  2101,  2115,  2128,  2130,
    1269,  2131,  2116,  2143,  2144,  1609,  1270,  2161, -2190,  2141,
    2164,   169,  3449,  1620,  1626,  2165,  3856,  1211,  2323,  2168,
   -2190,  2169,   537,  2172,  2176, -2190,  3099,  1247,  3099,  4004,
   -2190,  1328,  2191,  2196,  3460, -2190,  2212,  3461, -2190,  2324,
   -2190,  3563,  2219,  2211,  2224,  2222,  1271,  2225,  2229,  2240,
    2325,  2242,  2244,  2243,  2288,  2258,  2294,  2259,  2245,  2303,
    4021,  4022,  2317,  1248,  2345,  2351,  2388, -2190,  2401,  2389,
    2326,  2407,  1674,  2411,  2346,  2327,  2380,  2412,  1673,  2460,
    2419,  1674,  3487,  2425,  2442,  2444,  2473,  2459,  2487, -2190,
    2491,  2494,  2490,  1249,  2495,  1272,   731,  2504,  2505,   641,
    2513,  2514,  1273,  2515,  3099,  1274,  1677,  2539,  2551,  2524,
    2553,  2538,  1678,  4070,  2552,  2564,  2569,  2574,  2541,  2516,
    2576,  2328,  2572,  2583,  3776,  3817, -2190,  2577,  2588,  4056,
    4057,  2599,  2603,  4333, -2190,  2593,  1679,   725,  2594,  3544,
    2615,  2596,  2329,  4333,  2618,  2607,  2631,  2636,  1143,  1147,
    2686,  3673,  2691,   725,  2692,  2700,  2703,  2716,    33,  1275,
    1978,  4191,  1252,  3083,  2757,  2704,  3121,  2760,  1253,  2771,
    2778,  2779,  2782,  1662,  2783,  1254,  2784,  2786,  2787,  2788,
    2798,  2790, -2190,  1979,  2796,  3975,  2789,  3575,  2803,  3578,
    2807,  2810,  1256,  3568,  3569,  3570,  3571,  2811,  4379,  4248,
    1257,  2812,   194,  4254,  4256,  2855,  2813,  2815,  2821,  2841,
    2870,  2857,  2864,  2873,  4012,  2878,  1276,  2880,  1277,  2881,
    2814,  2816,  2879,  2890,  2892,  2895,  2907,   654,  1278,  2330,
    2379,  2909,  2910,  2911,  2913,  2331,  1279,  2914,  1680,  4159,
    3745,  2332,  1681,  3748,  2923,  4140,  1280,  4141,  4142,  2926,
    2929, -2190,  1258,  2935,  2936,  2928,  2379,  2379,  2947,  4145,
    2937,  2503,  1531,  1682,  1683,  2318,  2940,  4044,  2938,  2955,
    2333,  2961,  2334,  2958,  1004, -2190,  2963, -2190, -2190,  1281,
    1684,  2966,  1282,  1283,  2967,  2989,  3836,  2969,  2971,  2335,
    3024,  2970,  4440,  3036,  3055,  2264,  2985,  3070,  3668,  3669,
    3670,  3671,  2986,  2988,  3063,  3926,  3927,  2990,  1284,  1686,
    3077,  2993, -2190,  2994,  2336, -2190, -2190, -2190,  2996,  4090,
    2999,  1673,  1687,  3107,  1674,  3017,  3050,  3023,  3025,  3073,
    3332,  3026,  3075,   925,  3101,  -986,  3033,  3048,  4190,  3049,
    3106,  1675,  3076,  3131,  3128,  4195,  3133,  3137,  3149,  1677,
    3155,  3839,  4323,  3160,  3725,  1678,  3143,  3726,  3724,  3727,
    3169,  4199,  3158,  3161,  3172,  3165,  1285,  3174,  3196,  3197,
     641,  3181,  3207,  3208,  3212,  3166,  3213,  3222,  4245,  1679,
    3224,  4385,  3237,  3263,  3264,  3267,  3270,  3271,  3273,  3269,
    3274,  3280,  3281,   641,  3282,  3283,  3284,  3285,  3286,  4368,
    1689,  3287,  2793,  3298,  3288,  4371,  3289,  3290,  2793,  2793,
    3291,  2136,  3292,  4375,  3293,  4377,  3295,  3300,  3294,  3302,
    2083,  3304,   650,   651,  3306,  3312,  3318,   657,  2946,  3319,
    3334,  3322,   668,   676,   650,  3337,   683,  2150,  3349,   676,
     676,  3338,   711,  3350,   714,  1585,  3801,  3803,  3805,  3807,
    3396,  3354,  3355,  3386,  3387,  3398,   992,   993,  3393,  3400,
    3408,  3418,  3409,  3421,  3425,  3422,  3416,  3790,  3428,  3448,
    3475,  3465,  3466,  3455,  3470,  3815,  3457,  2379,  3467,  3476,
    3477,  1680,  3488,  1606,  3493,  1681,  3800,  3020,  3002,  3019,
    3523,  3524,  1667,  1690,  1691,  1692,  3551,  1693,  1694,  1695,
    1696,  1697,  1698,  3525,   732,  3552,  1682,  1683,  3531,  3539,
    3560,  3564,  3577,  4318,  3601,  3585,  4248,  3599,  3867,  3604,
    3613,  3617,  4432,  1684,  3099,   169,  3864,  3620,  3099,  3636,
    1941,  3614,  3643,  3664,  3616,  3666,  3667,  3384,  3385,  3678,
    3679,  3680,  3681,   810,  3683,  4328,  3692,  4299,  3708,  1685,
    3734,  3705,  1686,  3394,  3706,  3707,  3718,  4005,  4224,  3719,
    4207,  3720,  3721,  1942,  3722,  1687,  3723,  3403,  1688,  4349,
    3733,  3740,  3756,  3758,  3687,  3767,  1943,  3413,  3900,   767,
     772,   772,   775,  3769,   772,  4020,   781,  3761,   767,  1944,
     711,  3429,  4570,   812,  3770,  3822,  3795,  3793,   711,  3814,
     641,   711,  4229,  3794,  4035,   772,  3440,   711,  3825,  3830,
    4380,  3832,  3841,  3842,  2276,  3837,  3849,  3859,  3844,  3861,
    3862,  3876,  3845,  3872,   925,  3878,  3873,  1945,  3884,  3889,
    3891,  3893,  3905,  3894,  3895,  3896,  3897,  3909,  1946,  3902,
    3914,  3910,  4570,  1689,  3915,  3922,  3918,  3916,  3917,  3948,
    4570,  3953,  1673,  3954,  4055,  1674,  3951,  1135,  1947,  3938,
    3949,  4030,  3964,  1948,  4151,  3961,  3966,  3967,  3969,  3976,
    3982,  3985,  3970,  4040,  3971,  3979,  3987,  3992,  3993,  4023,
    1677,  4001,  4024,  4025,  4036,  3090,  1678,  4558,  4016,  3090,
    4167,  4168,  4017,  4039,  4043,  4046,  4051,  4082,  4079,  4083,
    4058,  4091,  4096,  3973,  3974,  4101,  4103,  4107,  4121,  4119,
    1679,  4109,  4129,  4138,  4127,  4130,  4144,  3986,  4152,  4153,
    4160,  4155,  4163,  4162,   169,  3977,  4171,  4164,  4165,  4177,
    1949,  4184,  3984,  4187,  4201,  4197,  1690,  1691,  1692,  4193,
    1693,  1694,  1695,  1696,  1697,  1698,  4213,  4217,  2492,  4242,
    4226,  4241,  4246,  4216,  2493,  4231,  4253,  4232,  4260,  3821,
    4267,  1950,  4269,  4270,  4093,  4272,  4273,   641,  4274,  4291,
    4292,  4293,  3053,  4297,  4324,  4295,  4301,  4327,  4302,  4331,
    3572,  3573,  3574,  4360,  4018,  4342,  4336,  4362,  4374,  4346,
     194,  4352,  4390,  4400,  4395,  4399,  4402,  4404,  4405,  4410,
    4424,  4417,  1585,  4418,  4419,  4425,  4438,  4430,  4431,  4442,
    4443,  4444, -2281,  4446,  4459,  4455,  1681,  4369,  4465,   641,
    4467,  4471,  4468,  1951,  4473,  4476,  4481,  4482,  4488,  1952,
    4489,  3565,  1953,  4503,  4512,  4510,  4517,  1682,  1683,  4033,
    4034,  4521,  4469,  4529,  4037,  4038,  4528,  4470,  2946,  4053,
    4054,  4533,  4451,  4049, -2281,  4547,  4561,  4578,  1954,  2793,
    2793,  4587,  4581,  1183,  1955,  2098,   924,  4052,  2859,  1332,
    4072,  4591,  3114,  1738,  2690,  4553,  1331,  1956,  3219,  3697,
    2770,  3321,  3773,  1686,  4381,  4247,  1266,  3099,  4466,  4294,
   -2192,  4296,  3099,  4085,  4088,  3833,  1687,  3099,  4282,  3163,
    3099,  2934,  1957,  4513,  4205,  4556,   641,  4474,  4472,  4527,
    4413,  4319,  3168,  3829,  2839,  2840,  3695,  3231,   810,  2188,
    4448,  2822,  3404,  4560,   844,  1244,  4592,  4588,   641,   711,
    3099,   767,  4271,  3351,   772,  4111,   775,  3335,   772,  4531,
    2946,   925,  2946,  4230,  4461,   812,  2171,  4518,   901,  3121,
    4233,   656,  3890,  1580,  4347,   772,  1589,  1245,  3868,  2544,
     810,  4114,  4131,  3869,  4423,  3301,  3150,   926,  4540,  4589,
    2498,  1156,  4228, -2192, -2281,  2499,  3118,  2267,   767,  3852,
    3630,  1177,  1836,   775,  3900,  3900,  3900,  3900,   767,  2523,
    3978,  3119,   812,  3129,  3127,  2522,  3142,  3130,  1865,  3947,
    3580,  4338,  3959,  4437,  1864,  3576,  4436,   772,  1164,  1869,
    3631,  2808,  4322,  1246,  3543,  4507,  3533,  1874,  4506,   785,
   -2192,  4502,  3122,  3068,  2980,  3066,  3627,  2475,     0,     0,
       0,     0, -2192,     0,     0,     0,     0, -2192,     0,     0,
       0,     0, -2192,     0,     0,  1247,  1585, -2192,     0,  3797,
   -2192,     0, -2192,  3090,     0,   711,     0,     0,  3090,     0,
       0,  3090,     0,     0,     0,     0,   711,  1018,  3823,  3099,
       0,  1693,  1694,  1695,  1696,  1697,  1698,     0,     0, -2192,
       0,  1248,  3297,     0,     0,     0,     0,  1130,     0,   711,
     676,     0,     0,     0,   676,  3840,     0,     0,  4198,     0,
       0, -2192,     0,     0,  4208,  4210,  4210,     0,   711,     0,
       0,  1249,   711,  3332,     0,     0,     0,     0,  1130,     0,
    1585,     0,     0,  3099,  1585,  1585,     0,     0,     0,   711,
       0,     0,     0,     0,     0,     0,     0,     0, -2192,  1250,
       0,   711,     0,     0,     0,     0, -2192,     0,  2793,     0,
       0,     0,     0,   641,     0,     0,     0,   924,     0,     0,
       0,  4251,     0,  4252,     0,     0,     0,  4257,  4258,     0,
       0,     0,  1251,     0,     0,     0,    33,     0,     0,     0,
    1252,     0,     0,   711,     0,     0,  1253,     0,     0,     0,
       0,     0,     0,  1254, -2192,     0,   711,     0,   772,   772,
       0,  1255,  1269,   169,  4286,     0,     0,     0,  1270,     0,
    1256,  4401,     0,     0,     0,     0,     0,     0,  1257,     0,
     676,   676,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   654,
    4306,     0,     0,     0,     0,   767,     0,     0,  1271,     0,
       0,     0,     0,     0,     0,     0,   767,     0,     0,     0,
     812,     0,     0, -2192,  3942,  3943,  3944,  3945,     0,  3099,
    1258,     0,     0,   772,     0,     0,     0,     0,   810,     0,
       0,     0,     0,     0,  3090,     0,     0, -2192,   711, -2192,
   -2192,     0,     0,     0,   772,   772,     0,  1272,     0,     0,
       0,     0,     0, -2205,  1273,     0,     0,  1274,     0,     0,
     711,   711,   711,     0,   772,     0,   767,     0,     0,     0,
    4353,     0,     0,     0, -2192,     0,     0, -2192, -2192, -2192,
       0,     0,     0,     0,     0,     0,  4382,     0,     0,     0,
       0,     0,   772,  1673,   772,   772,  1674,     0,     0,  4484,
    4376,     0,  4378,     0,     0,     0,     0,     0,     0,     0,
    3099,  1275,     0,  1675,     0,     0,     0,  1130,     0,     0,
       0,  1677,     0,     0,     0,     0,     0,  1678,     0,     0,
       0,     0,     0,     0,     0,     0, -2205,     0,     0,     0,
       0,     0,     0,   169,  4411,  4516,     0,  1563,  1563,  2946,
       0,  1679,   711,     0,   650,     0,  1673,     0,     0,  1674,
       0,     0,     0,     0,     0,     0,     0,     0,  1276,     0,
    1277,     0,  1595,     0,     0,   711,  1675,     0,  1601,     0,
    1278,     0,     0, -2205,  1677,     0,     0,     0,  1279,     0,
    1678,  1130,     0,     0,     0, -2205,     0,     0,  1280,     0,
   -2205,     0,     0,     0,     0, -2205,     0,     0,     0,     0,
   -2205,  4210,     0, -2205,  1679, -2205,     0,     0,     0,     0,
    1130,     0,     0,     0,   924,     0,     0,     0,     0,     0,
       0,  1336,     0,     0,  1282,  1283,     0,     0,     0,     0,
       0,     0, -2205,     0,     0,     0,     0,     0,  1130,  1130,
       0,  1130,     0,  1680,     0,     0,     0,  1681,     0,     0,
    1337,     0,     0,     0, -2205,     0,  4480,     0,     0,     0,
    1130,     0,     0,     0,     0,     0,  4590,     0,  1682,  1683,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1684,     0,     0,     0,     0,
       0, -2205,     0,     0,     0,     0,     0,   711,     0, -2205,
    1130,     0,     0,     0,     0,     0,  1680,     0,  1285,     0,
    1681,  1685,  4137,     0,  1686,     0,  4520,     0,     0,     0,
       0,     0,   169,  4532,     0,     0,     0,  1687,     0,  1130,
    1688,  1682,  1683,  1130,  1130,   169,  4545,   173,  4542,  4543,
    4544,     0,  4577,     0,   711,   711,  1877, -2205,  1684,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   676,  4569,  1269,     0,     0,     0,  4559,     0,
    1270,     0,     0,     0,  1685,     0,     0,  1686,  4576,  4545,
     173,  4542,  4543,  4544,     0,     0,  1673,     0,     0,  1674,
    1687,     0,   654,  1688,     0,   676,     0,     0,     0,     0,
       0,     0,     0,  4568,     0,  1689,  1675,     0,   711,  1993,
    1271,     0,     0,  4569,  1677,   711, -2205,     0,   772,     0,
    1678,  4569,     0,     0,     0,   169,  4545,   173,  4542,  4543,
    4544,     0,     0,     0,     0,     0,     0,     0,     0,     0,
   -2205,   812, -2205, -2205,  1679,     0,     0,   711,     0,     0,
     711,     0,     0,  4568,     0,     0,     0,     0,     0,  1272,
       0,  4568,     0,     0,     0,     0,  1273,     0,  1689,  1274,
       0,     0,     0,     0,     0,   711,     0, -2205,     0,     0,
   -2205, -2205, -2205,   772,   772,   772,   772,   711,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1690,  1691,
    1692,   711,  1693,  1694,  1695,  1696,  1697,  1698,     0,     0,
       0,     0,  2111,     0,   711,  2995,     0,     0,     0,  4263,
       0,     0,     0,  1275,   772,   772,     0,     0,     0,     0,
     772,     0,     0,     0,     0,     0,     0,     0,     0,  1269,
       0,     0,     0,     0,     0,  1270,  1680,     0,     0,     0,
    1681,     0,     0,     0,     0,     0,     0,  1135,     0,     0,
       0,  1690,  1691,  1692,     0,  1693,  1694,  1695,  1696,  1697,
    1698,  1682,  1683,     0,   772,     0,     0,     0,  3043,     0,
    1276,     0,  1277,     0,     0,  1271,     0,     0,  1684,     0,
       0,     0,  1278,     0,     0,     0,     0,     0,     0,     0,
    1279,   772,   772,   772,   772,     0,     0,     0,     0,     0,
    1280,     0,     0,   711,  1685,     0,     0,  1686,     0,   711,
       0,     0,  2111,     0,     0,     0,     0,     0,     0,     0,
    1687,   767,     0,  1688,  1272,     0,     0,     0,   775,     0,
     767,  1273,     0,  1362,  1274,     0,  1282,  1283,     0,  4356,
     812,     0,     0,     0,     0,   772,     0,     0,     0,     0,
       0,     0,     0,     0,   772,     0,     0,     0,     0,     0,
     772,   772,  1363,     0,     0,   711,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1275,     0,
    1563,     0,     0,     0,     0,     0,     0,   772,  1689,   767,
       0,     0,     0,   711,   711,     0,   772,     0,     0,     0,
       0,     0,   711,     0,     0,     0,     0,     0,     0,   711,
    1285,     0,     0,  1672,     0,     0,   650,   650,  1673,     0,
    2320,  1674,     0,     0,  1130,     0,  1130,     0,     0,     0,
       0,     0,     0,  1130,     0,  1276,  1130,  1277,  1675,     0,
    1130,  1676,     0,     0,     0,     0,  1677,  1278,  1130,  1130,
       0,     0,  1678,     0,  2900,  1279,  1130,     0,   812,  1130,
    1130,  1130,  1130,     0,     0,  1280,     0,     0,     0,  1130,
    1130,     0,  1130,  1244,  1130,  1130,  1679,     0,  1130,     0,
       0,  1690,  1691,  1692,     0,  1693,  1694,  1695,  1696,  1697,
    1698,     0,     0,  3615,     0,  1130,     0,     0,  1961,   772,
    1130,  1282,  1283,     0,  1130,  1245,     0,     0,  1130,     0,
    1130,  1130,  1130,  1130,  1130,  1130,  1130,  1130,  1130,     0,
    1130,     0,     0,     0,     0,     0,   711,  1962,  1130,  1130,
       0,     0,     0,     0,     0,   711,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1246,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  -121,     0,     0,     0,     0,  1680,     0,
       0,     0,  1681,     0,     0,  1285,     0,     1,     0,     0,
       0,     0,     0,  1247,     0,     0,     0,     2,     0,     3,
       4,     0,     0,  1682,  1683,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     5,     0,     0,     0,     0,     0,
    1684,     0,  2901,     0,     0,     0,     0,     0,     0,  1248,
       0,     0,     0,     0,     6,     0,     7,     8,     0,     0,
       0,     0,     9,     0,    10,     0,  1685,     0,     0,  1686,
       0,   711,     0,   711,    11,  1130,    12,     0,     0,  1249,
       0,     0,  1687,     0,     0,  1688,     0,     0,     0,     0,
       0,     0,    13,     0,     0,    14,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    15,     0,    16,
     711,     0,     0,    17,     0,     0,  2530,     0,  2537,    18,
    1269,     0,     0,     0,     0,     0,  1270,    19,     0,    20,
       0,     0,     0,     0,     0,    21,     0,     0,     0,     0,
       0,     0,     0,     0,    33,     0,   775,     0,  2902,     0,
      22,   650,     0,   650,  1253,     0,     0,     0,     0,     0,
    1689,  1254,     0,     0,     0,     0,  1271,     0,     0,  1979,
    1130,     0,     0,     0,     0,     0,     0,     0,  1256,     0,
       0,   767,     0,   772,   772,   772,  1257,     0,   767,     0,
     812,     0,   772,     0,   772,     0,   772,   772,     0,     0,
     711,     0,     0,     0,     0,    23,    24,     0,     0,     0,
       0,    25,     0,     0,     0,  1272,     0,     0,     0,   676,
      26,     0,  1273,     0,     0,  1274,     0,     0,     0,  1993,
       0,    27,     0,     0,     0,     0,  2648,     0,  1258,     0,
       0,  2657,  2903,     0,     0,     0,     0,   711,     0,     0,
       0,     0,     0,  1690,  1691,  1692,     0,  1693,  1694,  1695,
    1696,  1697,  1698,     0,     0,     0,   711,     0,     0,    28,
    2698,  2698,     0,     0,     0,     0,     0,   775,   676,  1275,
       0,    29,     0,     0,     0,     0,    30,    31,     0,    32,
       0,     0,     0,     0,    33,   772,     0,     0,     0,    34,
    2698,     0,    35,     0,     0,     0,    36,  1673,     0,     0,
    1674,    37,    38,     0,     0,     0,     0,     0,     0,    39,
       0,     0,    40,  2759,     0,  2762,  2764,  1675,     0,     0,
      41,     0,     0,     0,     0,  1677,  1276,     0,  1277,     0,
       0,  1678,    42,     0,     0,     0,     0,     0,  1278,     0,
       0,     0,     0,     0,     0,   772,  1279,     0,     0,    43,
       0,     0,     0,   772,  1673,  1679,  1280,  1674,   772,    44,
       0,     0,     0,     0,     0,    45,     0,     0,     0,  1673,
      46,  1130,  1674,     0,  1675,     0,     0,     0,     0,     0,
       0,     0,  1677,    47,     0,     0,     0,     0,  1678,  1675,
       0,     0,  1282,  1283,     0,     0,     0,  1677,     0,  1993,
       0,     0,  2698,  1678,   711,     0,  2860,     0,     0,   650,
       0,     0,  1679,     0,     0,     0,     0,     0,  1284,    48,
       0,     0,  -121,     0,     0,     0,     0,  1679,     0,     0,
       0,     0,     0,     0,     0,  2759,     0,     0,     0,     0,
       0,     0,     0,   772,  2886,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1680,     0,     0,
       0,  1681,     0,     0,     0,     0,     0,     0,     0,     0,
     772,     0,   772,  2698,   772,  2698,  1285,     0,     0,     0,
       0,     0,  1682,  1683,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1130,     0,     0,     0,     0,  1684,
       0,     0,     0,     0,     0,     0,  1563,     0,     0,     0,
       0,     0,     0,     0,  1680,     0,     0,     0,  1681,     0,
       0,     0,     0,     0,     0,  1685,     0,     0,  1686,  1680,
       0,     0,     0,  1681,     0,     0,     0,     0,     0,  1682,
    1683,  1687,     0,     0,  1688,     0,     0,     0,     0,     0,
       0,   767,     0,     0,  1682,  1683,  1684,   767,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   772,     0,
       0,  1684,     0,     0,     0,  1130,  1130,     0,     0,     0,
       0,  1130,  1685,     0,     0,  1686,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1685,  1687,     0,
    1686,  1688,     0,     0,     0,     0,  1130,  1130,     0,     0,
       0,  1130,     0,  1687,     0,     0,  1688,     0,     0,  1689,
       0,     0,     0,  1130,  1130,  1130,  1130,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1130,     0,     0,  1130,
       0,  1130,  3047,  1673,     0,     0,  1674,     0,     0,     0,
       0,  1130,  1130,     0,     0,  1130,     0,     0,     0,     0,
       0,     0,     0,  1675,     0,     0,     0,     0,  1130,     0,
    1130,  1677,   812,     0,  1130,     0,  1689,  1678,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1689,     0,  1130,     0,     0,     0,   711,     0,     0,
       0,  1679,     0,  3100,     0,     0,  1130,  1130,  1130,     0,
       0,     0,  1690,  1691,  1692,     0,  1693,  1694,  1695,  1696,
    1697,  1698,  1673,  1130,     0,  1674,  2410,     0,     0,     0,
       0,     0,     0,     0,     0,  1130,     0,     0,     0,     0,
    1130,     0,  1675,     0,     0,     0,  1130,     0,     0,     0,
    1677,     0,     0,     0,  3100,     0,  1678,  3136,     0,     0,
       0,  2537,     0,     0,     0,     0,     0,     0,     0,  1690,
    1691,  1692,     0,  1693,  1694,  1695,  1696,  1697,  1698,     0,
    1679,     0,  3019,  3336,  1690,  1691,  1692,  3020,  1693,  1694,
    1695,  1696,  1697,  1698,     0,     0,     0,     0,  3495,   566,
       0,     0,  1130,  1680,  2698,   609,     0,  1681,     0,  1563,
       0,     0,     0,     0,   659,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1682,  1683,
       0,     0,     0,   723,     0,   772,     0,   772,   772,   772,
       0,     0,     0,     0,     0,  1684,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1685,     0,     0,  1686,     0,     0,     0,     0,     0,
       0,     0,  1680,     0,     0,     0,  1681,  1687,     0,  1673,
    1688,     0,  1674,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1682,  1683,  1675,
       0,     0,     0,     0,     0,     0,     0,  1677,     0,     0,
       0,     0,     0,  1678,  1684,     0,     0,     0,     0,     0,
       0,     0,     0,  1673,     0,     0,  1674,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1679,     0,     0,
    1685,     0,     0,  1686,     0,     0,     0,     0,     0,     0,
       0,  1677,     0,     0,     0,  1689,  1687,  1678,     0,  1688,
       0,     0,   780,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   815,   816,     0,   819,     0,     0,   825,     0,
     827,  1679,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2698,  2698,
    1673,     0,     0,  1674,     0,     0,     0,  4550,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1675,     0,     0,     0,  1689,     0,     0,     0,  1677,  1680,
       0,     0,     0,  1681,  1678,     0,     0,     0,  1690,  1691,
    1692,     0,  1693,  1694,  1695,  1696,  1697,  1698,     0,     0,
       0,   711,   711,     0,  1682,  1683,     0,     0,  1679,     0,
       0,     0,     0,     0,     0,     0,     0,   711,     0,     0,
       0,  1684,     0,  1680,     0,     0,     0,  1681,     0,     0,
    1563,   711,     0,     0,     0,     0,     0,     0,     0,  1563,
    2698,   711,     0,     0,     0,     0,     0,  1685,  1682,  1683,
    1686,     0,     0,     0,     0,   711,     0,     0,     0,     0,
       0,     0,     0,  1687,     0,  1684,  1688,  1690,  1691,  1692,
       0,  1693,  1694,  1695,  1696,  1697,  1698,     0,     0,     0,
       0,  3542,     0,   772,  4551,     0,   772,     0,     0,     0,
       0,  1685,     0,     0,  1686,     0,     0,     0,     0,     0,
     767,     0,     0,     0,     0,     0,     0,  1687,     0,     0,
    1680,     0,     0,     0,  1681,     0,     0,     0,     0,     0,
       0,   711,     0,     0,     0,  2900,     0,     0,     0,     0,
       0,   772,     0,     0,     0,  1682,  1683,     0,     0,  1130,
       0,  1689,     0,     0,  1244,     0,     0,     0,     0,  1130,
       0,     0,  1684,     0,     0,  1130,     0,  1130,     0,     0,
       0,     0,     0,  1130,     0,     0,  1130,  1130,  1130,  1130,
    1130,  1130,  1130,  1130,  1130,  1130,  1245,     0,  1685,  1130,
    1130,  1686,     0,     0,     0,  1689,     0,     0,     0,     0,
       0,     0,  1130,     0,  1687,     0,  1130,  1688,     0,     0,
    1130,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1130,     0,     0,  1130,     0,  1130,     0,     0,     0,     0,
       0,     0,     0,     0,  1130,  1130,  1130,     0,     0,     0,
    1130,     0,  1246,  1130,  1690,  1691,  1692,  3567,  1693,  1694,
    1695,  1696,  1697,  1698,   711,   711,   711,   767,   878,  3100,
    3584,     0,     0,     0,  3584,  3598,   886,     0,     0,     0,
       0,  1130,     0,     0,  1247,   902,   903,  1130,  1130,     0,
     905,     0,  1689,     0,     0,     0,     0,     0,  1690,  1691,
    1692,   921,  1693,  1694,  1695,  1696,  1697,  1698,     0,     0,
       0,  1130,     0,  2901,     0,   929,     0,  1130,     0,     0,
    1248,  2537,     0,  1130,     0,     0,     0,     0,     0,     0,
       0,   952,     0,     0,   954,     0,   956,     0,   959,     0,
       0,     0,     0,     0,     0,  3651,  1563,  1563,     0,  2111,
    1249,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   772,   772,   772,
     772,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1690,  1691,  1692,     0,  1693,
    1694,  1695,  1696,  1697,  1698,     0,     0,     0,  1015,  3619,
    1016,     0,     0,     0,  3694,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1673,    33,     0,  1674,     0,  1252,
       0,     0,     0,     0,     0,  1253,     0,     0,     0,     0,
       0,     0,  1254,     0,  1675,     0,     0,  1431,     0,     0,
    1979,     0,  1677,     0,     0,     0,     0,     0,  1678,  1256,
       0,     0,     0,  2698,     0,     0,   723,  1257,  1673,     0,
       0,  1674,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1679,     0,     0,     0,     0,     0,  1675,     0,
       0,     0,  3762,     0,     0,     0,  1677,     0,     0,     0,
       0,     0,  1678,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1258,
       0,     0,     0,  2903,  1235,     0,  1679,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1673,     0,
       0,  1674,     0,   711,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   772,     0,  1130,     0,     0,     0,
       0,     0,   711,     0,     0,     0,  1677,     0,  3828,     0,
       0,     0,  1678,     0,     0,     0,     0,  1993,     0,  1431,
    1365,     0,     0,     0,  1680,     0,     0,     0,  1681,   711,
       0,     0,     0,     0,     0,  1377,  1679,     0,     0,  2759,
       0,     0,     0,     0,     0,     0,  3857,     0,  1387,  1682,
    1683,     0,     0,     0,     0,  1389,     0,     0,     0,     0,
       0,     0,  1130,  1130,     0,     0,  1684,  1437,  1680,     0,
    1441,     0,  1681,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2698,     0,  2698,     0,     0,
       0,     0,  1685,  1682,  1683,  1686,     0,     0,  3064,     0,
       0,     0,     0,  1484,     0,     0,     0,     0,  1687,     0,
    1684,  1688,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1130,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1673,     0,     0,  1674,     0,  1685,     0, -2281,  1686,
       0,     0,  1681,     0,     0,     0,     0,     0,     0,     0,
       0,  1675,  1687,     0,  1725,  1688,     0,     0,  1130,  1677,
       0,     0,     0,  1682,  1683,  1678,     0,     0,  1130,  1130,
       0,     0,     0,     0,     0,     0,  1130,  1130,     0,     0,
   -2281,  1130,     0,     0,     0,     0,  1689,  1130,  1130,  1679,
       0,  1130,     0,     0,  1130,  3941,     0,     0,   711,   711,
     711,   711,     0,     0,     0,  3584,  3598,     0,  3584,  1686,
       0,  3950,     0,     0,     0,  3100,     0,  1431,     0,  3100,
       0,     0,  1687,     0,     0,  3963,     0,     0,     0,     0,
    1689,  1130,     0,     0,     0,     0,  1130,     0,     0,     0,
       0,  1130,     0,     0,     0,     0,     0,   812,     0,     0,
       0,     0,     0,     0,     0,  3136,     0,     0,     0,  2537,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1431,     0,   650,     0,     0,  1130,     0,     0,  1690,
    1691,  1692,     0,  1693,  1694,  1695,  1696,  1697,  1698,     0,
       0,  1680,     0,  3645,     0,  1681,  2698,  2698,     0,     0,
   -2281,     0,     0,     0,     0,     0,     0,  1431,     0,     0,
       0,     0,     0,     0,     0,     0,  1682,  1683,     0,     0,
    4019,     0,     0,  1690,  1691,  1692,     0,  1693,  1694,  1695,
    1696,  1697,  1698,  1684,     0,     0,     0,  3903,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1673,     0,     0,  1674,     0,  1685,
       0,     0,  1686,     0,   723,  1838,     0,     0,     0,     0,
       0,     0,   772,     0,  1675,  1687,     0,     0,  1688,     0,
       0,     0,  1677,     0,  1431,     0,   772,     0,  1678,     0,
       0,     0,     0,     0,     0,     0,     0,  1693,  1694,  1695,
    1696,  1697,  1698,  1431,     0,     0,     0,     0,     0,     0,
       0,     0,  1679,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1431,     0,     0,     0,  1959,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1130,     0,     0,     0,  1431,     0,
       0,     0,     0,  1689,     0,   767,     0,     0,     0,     0,
    1993,     0,     0,     0,     0,     0,     0,  1563,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     772,  1993,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1431,   711,     0,     0,  1673,
       0,     0,  1674,     0,  1680,     0,     0,     0,  1681,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1675,
       0,     0,     0,     0,     0,  1130,     0,  1677,     0,  1682,
    1683,     0,     0,  1678,  1130,     0,  1690,  1691,  1692,     0,
    1693,  1694,  1695,  1696,  1697,  1698,  1684,     0,     0,     0,
    3937,  1130,  1130,     0,     0,  1130,     0,  1679,     0,     0,
    1269,     0,     0,     0,     0,     0,  1270,     0,   767,  3584,
       0,     0,  1685,  3100,     0,  1686,     0,     0,  3100,     0,
       0,  3100,  2759,     0,  4189,     0,  1130,  1130,  1687,     0,
       0,  1688,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1271,     0,     0,     0,
       0,  3651,   812,   772,   772,   772,     0,     0,     0,     0,
    2167,     0,     0,  1673,     0,     0,  1674,     0,     0,     0,
       0,     0,     0,     0,     0,  2190,     0,     0,     0,     0,
       0,     0,     0,  1675,     0,     0,     0,     0,     0,     0,
       0,  1677,     0,   767,   812,  1272,     0,  1678,     0,  1680,
       0,     0,  1273,  1681,     0,  1274,  1689,     0,     0,     0,
       0,     0,  1431,     0,     0,  2235,     0,     0,     0,     0,
       0,  1679,     0,     0,  1682,  1683,     0,     0,     0,     0,
    2250,     0,  2252,     0,  2253,  1563,  1563,     0,     0,  2254,
     767,  1684,     0,   711,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3828,     0,     0,     0,     0,  1275,
       0,  2698,     0,     0,     0,  1993,     0,  1685,     0,     0,
    1686,     0,     0,     0,     0,     0,     0,     0,  3857,     0,
       0,   711,  1838,  1687,     0,     0,  1838,     0,  1838,   772,
    3651,  1838,     0,     0,     0,     0,     0,     0,     0,  1690,
    1691,  1692,     0,  1693,  1694,  1695,  1696,  1697,  1698,     0,
       0,     0,  1130,  4161,     0,  1130,  1276,  1130,  1277,     0,
       0,     0,     0,  1680,     0,     0,     0,  1681,  1278,     0,
       0,     0,     0,     0,     0,     0,  1279,     0,     0,     0,
    1130,     0,     0,     0,  3100,     0,  1280,  4189,  1682,  1683,
       0,     0,     0,  4345,     0,     0,     0,     0,     0,     0,
       0,  1689,     0,     0,     0,  1684,     0,     0,     0,   772,
       0,     0,     0,   711,     0,     0,     0,     0,     0,  2027,
       0,     0,  1282,  1283,     0,     0,     0,     0,     0,     0,
       0,  1685,     0,     0,  1686,     0,     0,     0,   772,   772,
     772,   772,     0,     0,     0,     0,     0,  1687,  2028,     0,
    1688,     0,     0,  1563,     0,     0,     0,     0,     0,     0,
       0,  1431,     0,     0,     0,  1431,  1431,     0,     0,     0,
       0,     0,   767,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1673,     0,     0,  1674,     0,     0,
       0,  1130,     0,     0,  1690,  1691,  1692,     0,  1693,  1694,
    1695,  1696,  1697,  1698,  1675,     0,  1285,     0,     0,     0,
       0,     0,  1677,     0,     0,     0,     0,     0,  1678,     0,
       0,     0,     0,     0,     0,  1689,     0,  1130,     0,     0,
     767,     0,     0,     0,     0,     0,     0,     0,  1673,     0,
       0,  1674,  1679,     0,     0,     0,     0,     0,     0,     0,
     772,     0,   812,     0,     0,     0,     0,     0,  1675,     0,
       0,     0,  1130,     0,     0,     0,  1677,     0,     0,     0,
       0,  1431,  1678,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1679,     0,     0,     0,
       0,     0,     0,     0,     0,   772,     0,     0,     0,     0,
     767,     0,     0,     0,     0,     0,     0,     0,  1690,  1691,
    1692,  3651,  1693,  1694,  1695,  1696,  1697,  1698,     0,     0,
       0,     0,  4170,  1130,  1130,     0,     0,     0,  2759,     0,
       0,     0,  4345,     0,  1680,     0,     0,     0,  1681,     0,
       0,     0,     0,     0,  2555,  2556,   767,     0,     0,  2559,
    2560,     0,     0,  2563,     0,   772,     0,     0,     0,  1682,
    1683,     0,     0,  2573,     0,     0,     0,     0,     0,     0,
    2582,     0,     0,     0,  2585,  2586,  1684,     0,  2589,  2590,
       0,     0,     0,     0,     0,  2595,  1130,     0,  1680,     0,
       0,     0,  1681,     0,     0,     0,     0,  2611,     0,  2613,
    1130,     0,  1685,     0,     0,  1686,     0,   772,     0,     0,
       0,  1431,     0,  1682,  1683,  2635,     0,     0,  1687,     0,
    2637,  1688,     0,     0,     0,     0,     0,     0,     0,     0,
    1684,     0,     0,  2642,     0,     0,     0,     0,     0,     0,
       0,  2647,     0,  2649,  2650,  2653,  2655,     0,     0,     0,
    2662,  2665,     0,     0,  1673,     0,  1685,  1674,  2676,  1686,
       0,     0,  2685,     0,     0,     0,  2689,     0,  1130,     0,
       0,     0,  1687,     0,  1675,  1688,     0,   767,     0,     0,
       0,     0,  1677,     0,     0,     0,     0,     0,  1678,     0,
    1431,  2718,     0,     0,     0,     0,  1689,     0,     0,     0,
       0,     0,  2726,     0,  2728,  1673,     0,     0,  1674,     0,
    2732,     0,  1679,     0,  2733,     0,  2737,  2738,  2739,  2740,
       0,  2742,     0,     0,     0,  1675,     0,     0,     0,     0,
       0,     0,     0,  1677,  2766,  2767,  2768,     0,     0,  1678,
       0,     0,     0,     0,     0,     0,     0,  2776,  2777,     0,
    1689,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1679,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1431,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1690,
    1691,  1692,     0,  1693,  1694,  1695,  1696,  1697,  1698,     0,
       0,     0,     0,  4203,     0,     0,     0,     0,     0,     0,
       0,  2834,     0,     0,  1680,     0,     0,     0,  1681,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1682,
    1683,     0,     0,  1690,  1691,  1692,     0,  1693,  1694,  1695,
    1696,  1697,  1698,     0,     0,     0,  1684,  4265,  1673,     0,
       0,  1674,     0,     0,     0,  1680,     0,     0,     0,  1681,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1685,     0,     0,  1686,  1677,     0,     0,     0,
    1682,  1683,  1678,     0,     0,     0,     0,     0,  1687,     0,
       0,  1688,     0,     0,     0,     0,     0,  1684,     0,     0,
       0,     0,     0,     0,     0,     0,  1679,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1269,     0,
    1838,     0,     0,  1685,  1270,     0,  1686,     0,     0,     0,
       0,     0,     0,     0,     0,  1673,     0,     0,  1674,  1687,
       0,     0,  1688,     0,     0,     0,     0,     0,  2957,     0,
       0,     0,     0,     0,     0,  1675,     0,     0,     0,  2506,
       0,     0,     0,  1677,  1271,     0,  1689,     0,  3557,  1678,
       0,  1673,     0,     0,  1674,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1675,     0,  1679,     0,     0,     0,  1431,     0,  1677,
    1431,     0,  1431,     0,     0,  1678,     0,  1431, -2281,     0,
       0,     0,  1681,  1272,     0,     0,     0,  1689,     0,     0,
    1273,     0,     0,  1274,     0,     0,     0,     0,     0,  1679,
       0,     0,     0,  1682,  1683,     0,     0,  1423,  2507,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
   -2281,     0,     0,     0,     0,     0,     0,  1431,     0,  1690,
    1691,  1692,     0,  1693,  1694,  1695,  1696,  1697,  1698,     0,
       0,     0,     0,  4483,     0,     0,     0,  1275,     0,  1686,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1687,     0,     0,  1680,     0,  1431,     0,  1681,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1690,  1691,  1692,   769,  1693,  1694,  1695,  1696,  1697,  1698,
    1682,  1683,   769,   789,  4579,     0,     0,     0,     0,   789,
       0,  1680,     0,     0,  1276,  1681,  1277,  1684,     0,  3117,
     789,     0,     0,     0,     0,     0,  1278,     0,     0,     0,
       0,     0,     0,     0,  1279,     0,  1682,  1683,  1431,     0,
    1431,     0,     0,  1685,  1280,     0,  1686,     0,     0,  1423,
   -2281,     0,     0,  1684,     0,     0,     0,     0,     0,  1687,
       0,     0,  1688,     0,     0,     0,     0,     0,  3153,  3154,
       0,     0,     0,     0,     0,     0,     0,  2643,     0,  1685,
    1282,  1283,  1686,     0,     0,  1838,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1687,  1269,  1431,  1688,     0,
       0,     0,  1270,     0,     0,     0,  1284,     0,     0,     0,
    3176,     0,     0,     0,     0,     0,     0,     0,  3534,  3180,
       0,     0,  1431,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3191,  3193,     0,  1689,     0,  3193,
       0,  1431,  1271,     0,  3204,  3205,  3206,  1693,  1694,  1695,
    1696,  1697,  1698,     0,     0,     0,     0,     0,     0,  1431,
       0,     0,     0,     0,  1285,     0,     0,     0,     0,  1673,
       0,     0,  1674,  1689,  3226,  3227,  3228,  3229,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3535,  2508,  1675,
       0,  1272,  2982,     0,     0,     0,     0,  1677,  1273,     0,
       0,  1274,     0,  1678,     0,     0,     0,     0,  3243,     0,
    3247,  3248,  3249,     0,     0,     0,     0,     0,     0,     0,
    3262,     0,     0,     0,  1431,     0,     0,  1679,     0,     0,
    1690,  1691,  1692,     0,  1693,  1694,  1695,  1696,  1697,  1698,
    1431,     0,     0,     0,     0,     0,     0,  1423,     0,     0,
       0,  1431,     0,     0,     0,  1275,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1690,  1691,  1692,     0,
    1693,  1694,  1695,  1696,  1697,  1698,     0,     0,     0,     0,
       0,     0,     0,  1673,     0,     0,  1674,  3305,     0,     0,
       0,     0,     0,     0,     0,  3309,     0,     0,     0,     0,
       0,  1423,     0,  1675,     0,     0,     0,     0,     0,     0,
       0,  1677,  1276,     0,  1277,     0,     0,  1678,     0,     0,
    1431,     0,  1673,     0,  1278,  1674,     0,     0,     0,  1680,
       0,     0,  1279,  1681,     0,     0,     0,  1423,     0,     0,
    1431,  1679,  1280,     0,     0,   769,     0,     0,     0,     0,
    1677,     0,  3381,     0,  1682,  1683,  1678,   789,     0,     0,
       0,   789,     0,     0,     0,  1431,     0,     0,     0,     0,
       0,  1684,   789,     0,     0,  2734,     0,     0,  1282,  1283,
    1679,     0,     0,     0,     0,     0,     0,     0,   789,     0,
       0,     0,   769,     0,  3410,     0,     0,  1685,  3414,     0,
    1686,  1431,   769,   789,  2735,     0,     0,     0,   789,     0,
       0,     0,     0,  1687,  1423,     0,  1688,     0,   789,     0,
       0,     0,     0,     0,     0,     0,   789,     0,     0,     0,
    3452,     0,     0,  1423,     0,     0,     0,  1673,     0,     0,
    1674,     0,  3558,  1680,  3462,     0,     0,  1681,     0,     0,
       0,     0,     0,  1423,  1838,     0,     0,  1675,     0,     0,
    3027,     0,  1285,     0,     0,  1677,     0,     0,  1682,  1683,
       0,  1678,     0,     0,     0,     0,     0,     0,  1423,     0,
       0,     0, -2281,     0,     0,  1684,  1681,  1431,     0,     0,
       0,  1689,     0,     0,     0,  1679,     0,     0,     0,     0,
       0,   769,     0,     0,     0,     0,   789,  1682,  1683,     0,
       0,  1685,     0,     0,  1686,     0,     0,     0,     0,     0,
       0,     0,     0,  1673, -2281,     0,  1674,  1687,     0,     0,
    1688,     0,   769,     0,     0,  1423,     0,     0,     0,     0,
       0,     0,     0,  1675,     0,  2997,     0,     0,     0,     0,
       0,  1677,     0,  1686,     0,     0,     0,  1678,     0,     0,
       0,     0,     0,     0,     0,     0,  1687,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1431,     0,
       0,  1679,     0,     0,  1690,  1691,  1692,     0,  1693,  1694,
    1695,  1696,  1697,  1698,     0,     0,     0,  1680,     0,     0,
       0,  1681,     0,     0,     0,  1689,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1682,  1683,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1684,
       0,     0,     0,     0, -2281,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   769,
       0,     0,     0,     0,     0,  1685,     0,  3032,  1686,     0,
     769,  1269,     0,     0,     0,     0,     0,  1270,     0,     0,
       0,  1687,     0,  1680,  1688,     0,     0,  1681,  3662,     0,
    3663,     0,     0,  1433,     0,     0,     0,  3665,  1690,  1691,
    1692,     0,  1693,  1694,  1695,  1696,  1697,  1698,  1682,  1683,
       0,     0,  1423,  3674,     0,     0,     0,  1271,     0,     0,
       0,     0,     0,     0,     0,  1684,     0,     0,  3682,     0,
     769,  1431,     0,     0,     0,     0,     0,     0,  3693,     0,
       0,  1693,  1694,  1695,  1696,  1697,  1698,     0,     0,     0,
       0,  1685,     0,  3696,  1686,     0,     0,     0,     0,  1689,
       0,     0,   789,     0,     0,     0,  1272,  1687,     0,  1431,
    1688,     0,     0,  1273,     0,     0,  1274,   789,     0,     0,
       0,   769,     0,     0,     0,     0,  3728,  3729,  3730,   789,
       0,     0,     0,  3735,  3736,  3737,  3738,  3739,     0,     0,
       0,     0,  3746,  3747,     0,  3749,  3750,  3751,  3752,  3753,
    3754,  3755,     0,     0,     0,     0,     0,   789,     0,     0,
    3763,     0,  3765,  3766,     0,  1433,     0,   789,     0,     0,
    1275,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     789,     0,     0,   789,     0,  1689,     0,     0,     0,     0,
       0,     0,  1690,  1691,  1692,   769,  1693,  1694,  1695,  1696,
    1697,  1698,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3809,  3811,  3813,  1431,
       0,  3816,     0,     0,   769,     0,     0,  1276,     0,  1277,
    1431,     0,     0,     0,     0,     0,     0,     0,     0,  1278,
       0,     0,     0,     0,     0,     0,     0,  1279,     0,     0,
       0,     0,   769,   769,     0,   769,     0,  1280,     0,     0,
       0,  1423,     0,     0,     0,  1423,  1423,     0,     0,     0,
       0,     0,     0,     0,   769,     0,     0,     0,  1690,  1691,
    1692,     0,  1693,  1694,  1695,  1696,  1697,  1698,     0,     0,
    2773,     0,  1673,  1282,  1283,  1674,     0,   789,     0,     0,
       0,     0,     0,     0,  3193,   789,   789,     0,     0,     0,
    1673,     0,  1675,  1674,   769,  1823,     0,     0,     0,  2774,
    1677,  1838,  1838,  1838,  1673,     0,  1678,  1674,     0,     0,
    1675,     0,     0,  3038,     0,     0,     0,     0,  1677,     0,
       0,     0,  1431,   769,  1678,     0,     0,   769,   769,     0,
    1679,     0,  1677,     0,     0,  1269,     0,     0,  1678,     0,
       0,  1270,     0,  1433,     0,     0,     0,     0,  1679,  1823,
    1431,  1423,     0,     0,     0,     0,     0,  1285,     0,     0,
       0,     0,  1679,     0,     0,     0,     0,  1269,     0,  1431,
       0,     0,     0,  1270,     0,     0,     0,     0,     0,     0,
       0,  1271,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1433,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1271,     0,     0,     0,     0,     0,  1431,
       0,     0,     0,     0,  3561,     0,     0,     0,     0,     0,
    1272,     0,  1680,  1433,     0,     0,  1681,  1273,     0,     0,
    1274,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1680,     0,     0,     0,  1681,     0,     0,  1682,  1683,     0,
       0,     0,  1272,     0, -2281,     0,     0,     0,  1681,  1273,
       0,     0,  1274,     0,  1684,  1682,  1683,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1682,
    1683,   789,  1684,     0,  1275,     0,     0,     0,     0,     0,
    1685,  1423,     0,  1686,     0,     0, -2281,     0,     0,     0,
    1433,  4008,  4009,  4010,  4011,     0,  1687,  4013,  1685,  1688,
       0,  1686,     0,     0,     0,     0,  1275,     0,     0,  1433,
       0,     0,     0,     0,  1687,  1686,     0,  1688,  4026,  4027,
    4028,  4029,     0,  4031,  4032,     0,     0,     0,  1687,  1433,
       0,  1276,     0,  1277,     0,  4041,  4042,     0,     0,     0,
       0,     0,     0,  1278,     0,     0,     0,  1431,     0,  1823,
    4045,  1279,     0,     0,  1433,     0,  1838,  1838,     0,  1838,
    1423,  1280,     0,  1276,     0,  1277,     0,     0,     0,   789,
       0,     0,     0,     0,  1689,  1278,     0,     0,     0,     0,
       0,     0,     0,  1279,     0,   789,     0,     0,     0,     0,
       0,     0,  1689,  1280,  3201,     0,     0,  1282,  1283,     0,
    3491,     0,     0,     0,     0,   769, -2281,     0,     0,     0,
       0,  1433,     0,     0,   769,     0,   789,   789,     0,     0,
       0,     0,     0,  3202,     0,     0,  3244,   789,     0,  1282,
    1283,     0,     0,     0,     0,     0,     0,     0,     0,   789,
     789,     0,     0,     0,  1423,     0,     0,     0,  4100,     0,
       0,   789,     0,     0,     0,  3245,     0,  4106,     0,     0,
       0,  1431,     0,     0,     0,     0,     0,  1690,  1691,  1692,
       0,  1693,  1694,  1695,  1696,  1697,  1698,     0,  4126,     0,
       0,  1285,     0,   769,     0,  1690,  1691,  1692,     0,  1693,
    1694,  1695,  1696,  1697,  1698,     0,     0,     0,     0,     0,
    4143,     0,     0,  1693,  1694,  1695,  1696,  1697,  1698,     0,
       0,     0,     0,  1285,     0,     0,     0,     0,   769,     0,
     769,     0,     0,     0,     0,     0,     0,   769,     0,     0,
     769,     0,     0,     0,   769,     0,     0,     0,     0,     0,
       0,     0,   769,   769,     0,     0,     0,     0,     0,     0,
     769,     0,     0,   769,   769,   769,   769,     0,     0,     0,
       0,     0,     0,   769,   769,     0,   769,  1838,   769,   769,
    1431,     0,   769,     0,     0,     0,     0,     0,     0,     0,
    1838,     0,     0,     0,     0,     0,     0,     0,  1433,   769,
    1823,  1431,     0,     0,   769,     0,     0,     0,   769,     0,
       0,     0,   769,     0,   769,   769,   769,   769,   769,   769,
     769,   769,   769,     0,   769,     0,     0,     0,     0,     0,
       0,     0,   769,   769,     0,     0,     0,  1431,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4225,     0,     0,  1673,     0,     0,  1674,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4237,     0,  1675,  1431,     0,  3541,     0,  1431,
    1431,     0,  1677,     0,     0,     0,     0,  1423,  1678,     0,
    1423,     0,  1423,  1673,     0,     0,  1674,  1423,     0,     0,
       0,     0,  1673,     0,     0,  1674,     0,     0,     0,     0,
       0,     0,  1679,  1675,     0,     0,     0,     0,     0,     0,
       0,  1677,     0,     0,     0,     0,     0,  1678,     0,     0,
    1677,     0,     0,     0,     0,     0,  1678,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1423,     0,     0,
       0,  1679,     0,     0,     0,     0,     0,     0,     0,   769,
    1679,     0,     0,     0,  3193,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1423,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1838,     0,     0,     0,  1433,     0,     0,
       0,  1433,  1433,  1838,  1680,     0,     0,     0,  1681,     0,
       0,   789,  3935,     0,   790,  1823,   789,     0,     0,   789,
     790,     0,     0,     0,     0,     0,     0,     0,     0,  1682,
    1683,   790,     0,  4359,     0,     0,     0,     0,  1423,     0,
    1423,   789,  4366,  1680,   769,     0,  1684,  1681,     0,     0,
       0,     0, -2281,     0,     0,   769,  1681,     0,  1838,     0,
       0,     0,   769,     0,     0,     0,     0,     0,  1682,  1683,
       0,     0,  1685,  1269,     0,  1686,     0,  1682,  1683,  1270,
       0,     0,   789,     0,     0,  1684,     0,     0,  1687,     0,
       0,  1688,     0,     0, -2281,     0,     0,  1423,     0,   789,
     789,     0,     0,     0,  1311,     0,     0,  1433,     0,     0,
       0,  1685,     0,     0,  1686,     0,     0,     0,     0,  1271,
       0,     0,  1423,  1686,  1823,   789,     0,  1687,  1823,     0,
    1688,  3193,     0,     0,     0,     0,  1687,     0,     0,     0,
       0,  1423,     0,     0,     0,     0,     0,     0,     0,     0,
    1312,     0,  1838,     0,   789,     0,     0,     0,   789,  1423,
       0,     0,     0,     0,     0,     0,  1689,     0,  1272,     0,
       0,     0,     0,     0,     0,  1273,  4453,   789,  1274,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   789,     0,
    4464,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   789,     0,     0,     0,  1689,     0,     0,     0,     0,
       0,   789,     0,     0, -2281,  4475,     0,     0,     0,     0,
    4479,     0,     0,     0,  1423,     0,     0,     0,     0,  1313,
       0,     0,  1275,     0,     0,     0,     0,     0,     0,     0,
    1423,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1423,     0,     0,     0,   769,     0,  1433,     0,  1690,
    1691,  1692,     0,  1693,  1694,  1695,  1696,  1697,  1698,     0,
       0,  4515,     0,     0,     0,     0,     0,  1314,  1823,  1315,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1316,
       0,  1277,     0,     0,     0,     0,     0,     0,  1690,  1691,
    1692,  1278,  1693,  1694,  1695,  1696,  1697,  1698,     0,  1279,
       0,  1693,  1694,  1695,  1696,  1697,  1698,     0,  1317,  1280,
    1423,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1433,     0,     0,   789,
    1423,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1318,     0,     0,  1282,  1283,  1319,     0,     0,
       0,     0,     0,     0,     0,  1423,     0,     0,   790,     0,
       0,     0,   790,   789,     0,     0,     0,     0,   769,     0,
       0,  1320,     0,   790,     0,     0,     0,     0,     0,     0,
       0,     0,  1321,     0,     0,     0,     0,     0,     0,   790,
       0,  1423,     0,     0,     0,     0,     0,     0,   789,     0,
       0,     0,     0,     0,   790,     0,     0,     0,     0,   790,
    1433,   531,     0,     0,     0,     0,     0,     0,     0,   790,
       0,   789,     0,   532,     0,   769,     0,   790,     0,  1285,
       0,   769,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   533,     0,     0,     0,     0,   769,
     769,     0,     0,     0,     0,   769,     0,   534,     0,     0,
       0,     0,     0,     0,     0,     0,   535,     0,     0,     0,
    -745,     0,     0,     0,     0,     0,     0,  1423,     0,     0,
     769,   769,     0,     0,     0,   769,     0,   536,     0,     0,
       0,     0,     0,   537,     0,     0,     0,   769,   769,   769,
     769,     0,     0,     0,     0,  1823,     0,   790,   538,     0,
     769,  1823,     0,   769,     0,   769,     0,     0,     0,   539,
       0,     0,     0,     0,     0,   769,   769,   540,     0,   769,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   541,
       0,     0,   769,     0,   769,     0,   542,     0,   769,     0,
     543,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  -940,     0,   769,  1423,     0,
       0,     0,     0,     0,     0,     0,     0,   769,     0,     0,
     769,   769,   769,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   789,     0,     0,   769,   578,     0,
       0,     0,     0,     0,   544,     0,     0,     0,     0,   769,
     579,  -505,     0,     0,   769,     0,     0,     0,     0,     0,
     769,     0,     0,     0,     0,     0,     0,     0,   769,     0,
       0,   580,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   545,  1433,   581,   546,  1433,     0,  1433,     0,
       0,     0,     0,  1433,     0,   789,     0,   582,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     789,   789,     0,     0,   583,     0,   769,     0,     0,     0,
    -401,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   584,     0,   789,   547,     0,
     789,     0,     0,  1433,   548,     0,   585,     0,     0,     0,
    -401,     0,     0,   549,   586,     0,     0,     0,     0,     0,
       0,  1423,     0,   179,     0,     0,   587,     0,     0,     0,
       0,   588,     0,     0,     0,     0,     0,   589,     0,  -401,
       0,   550,   551,  1433,   552,   553,     0,     0,     0,     0,
       0,     0,   590,   554,     0,     0,     0,     0,   555,  1423,
       0,     0,     0,   790,   556,     0,     0,   557,     0,   180,
     558,  1823,  1823,  1823,     0,     0,     0,     0,   790,     0,
       0,     0,   181,  -401,     0,     0,     0,     0,     0,     0,
     790,     0,     0,     0,     0,   789,     0,     0,   591,   182,
       0,     0,     0,     0,  1433,   183,  1433,   789,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   789,   790,     0,
     184,     0,     0,     0,     0,     0,     0,     0,   790,   592,
       0,   185,     0,     0,     0,     0,     0,     0,     0,   186,
     593,   790,     0,     0,   790,     0,     0,     0,     0,     0,
       0,   187,     0,     0,     0,     0,   188,     0,   194,     0,
       0,     0,   189,  1433,     0,     0,     0,     0,     0,  1423,
       0,     0,     0,     0,     0,     0,     0,   190,     0,     0,
    1423,     0,   789,     0,     0,   594,     0,     0,  1433,   595,
       0,   596,     0,     0,     0,     0,     0,   597,     0,     0,
     598,     0,   191,     0,     0,     0,     0,  1433,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   192,  1823,  1433,   599,     0,   600,     0,
       0,     0,   601,     0,     0,     0,     0,     0,     0,   789,
     602,   789,     0,     0,     0,   603,     0,     0,     0,     0,
       0,     0,     0,   789,   193,   789,     0,   604,   790,     0,
       0,     0,     0,     0,     0,     0,   790,   790,     0,     0,
     605,     0,     0,     0,     0,     0,  1824,     0,     0,     0,
       0,     0,     0,   194,     0,     0,     0,     0,     0,     0,
    1433,     0,  1423,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   789,  1433,     0,     0,     0,
     195,     0,     0,     0,   196,     0,   197,  1433,     0,     0,
    1423,     0,   198,     0,     0,   199,     0,     0,     0,     0,
    1824,     0,     0,   789,     0,     0,     0,     0,     0,  1423,
       0,     0,     0,     0,   769,     0,     0,   789,     0,     0,
     200,   201,     0,   202,     0,     0,     0,   203,     0,     0,
       0,     0,     0,     0,   789,   204,     0,   789,     0,     0,
     205,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   206,   769,     0,     0,  1433,     0,     0,  1423,
       0,     0,     0,   769,     0,   207,     0,     0,     0,   769,
       0,   769,     0,     0,     0,     0,  1433,   769,     0,     0,
     769,   769,   769,   769,   769,   769,   769,   769,   769,   769,
       0,     0,     0,   769,   769,     0,     0,     0,     0,     0,
       0,  1433,     0,     0,     0,     0,   769,     0,     0,     0,
     769,     0,  1823,     0,   769,     0,     0,     0,   845,     0,
       0,     0,     0,     0,   769,     0,     0,   769,     0,   769,
       0,     0,     0,     0,     0,     0,     0,  1433,   769,   769,
     769,     0,   790,     0,   769,     0,     0,   769,     0,     0,
       0,   846,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   769,     0,   769,   847,   848,     0,     0,     0,     0,
       0,     0,     0,   849,     0,   769,     0,   850,     0,     0,
       0,   769,   769,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   851,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   769,     0,  1423,     0,     0,
       0,   769,     0,     0,     0,   852,  1425,   769,     0,     0,
    1824,     0,     0,  1433,     0,     0,   853,     0,     0,     0,
       0,     0,     0,     0,   854,     0,     0,     0,     0,   769,
     790,     0,     0,     0,     0,     0,   855,     0,     0,     0,
       0,   856,     0,     0,     0,     0,   790,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     789,     0,   857,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   790,   790,     0,
       0,     0,     0,     0,     0,     0,     0,   858,   790,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1823,     0,
     790,   790,     0,  1823,  1433,  1823,     0,     0,   859,     0,
       0,  1423,   790,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1425,   860,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   789,
       0,     0,   789,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   194,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1823,     0,     0,     0,
       0,     0,     0,     0,     0,   861,     0,     0,     0,   862,
       0,   863,     0,     0,     0,     0,     0,   864,     0,     0,
     865,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1423,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     769,     0,     0,     0,     0,     0,   866,     0,   867,     0,
       0,  1423,   868,     0,     0,     0,     0,     0,     0,     0,
     869,  1824,     0,   789,   789,   870,     0,  1433,     0,     0,
     789,     0,     0,     0,     0,     0,     0,     0,   791,     0,
       0,     0,     0,     0,   791,     0,     0,  1423,     0,     0,
     871,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1433,   769,   769,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1423,     0,     0,     0,  1423,
    1423,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1425,   789,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   769,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1425,     0,   769,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   769,   769,     0,  1433,     0,     0,     0,     0,
     769,   769,     0,     0,     0,   769,  1433,     0,     0,     0,
       0,   769,   769,     0,     0,   769,  1425,     0,   769,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   769,
       0,     0,     0,   769,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   769,     0,     0,     0,     0,
     769,     0,   790,     0,     0,   769,  1824,   790,     0,     0,
     790,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1269,     0,   790,  1425,     0,     0,  1270,     0,     0,     0,
     769,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1425,     0,     0,     0,     0,     0,  1433,     0,
       0,  1311,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1425,   790,   789,     0,  1271,  1823,     0,     0,
       0,     0,     0,     0,     0,     0,  1433,     0,     0,     0,
     790,   790,     0,     0,     0,     0,     0,  1425,     0,     0,
     789,     0,     0,     0,     0,  1433,     0,  1312,     0,     0,
       0,     0,   789,     0,     0,  1824,   790,     0,     0,  1824,
       0,     0,     0,     0,     0,  1272,     0,   789,     0,     0,
       0,     0,  1273,     0,     0,  1274,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   790,     0,     0,     0,   790,
       0,     0,   791,     0,  1425,  1433,   791,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   791,   790,     0,
     789,     0,     0,     0,     0,     0,  1114,     0,     0,   790,
       0,     0,     0,   791,     0,     0,  1313,     0,     0,  1275,
       0,     0,   790,     0,     0,     0,     0,     0,   791,     0,
       0,     0,   790,   791,     0,     0,     0,  1174,   769,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,   769,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1314,     0,  1315,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1316,     0,  1277,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1278,     0,
       0,     0,     0,     0,     0,     0,  1279,  1433,     0,  1824,
       0,     0,     0,     0,     0,  1317,  1280,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   789,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   769,
       0,   791,     0,  1433,     0,     0,     0,     0,   769,  2719,
       0,     0,  1282,  1283,  1319,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   769,   769,     0,     0,   769,
     790,  1425,     0,     0,     0,     0,     0,     0,  2720,     0,
       0,     0,   769,     0,     0,     0,     0,   769,     0,  1321,
       0,     0,   769,     0,     0,   769,     0,     0,     0,     0,
     769,   769,     0,     0,   790,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   789,
       0,   789,     0,     0,     0,   769,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1285,     0,     0,   790,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1433,   789,     0,
       0,     0,   790,     0,     0,     0,     0,   769,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1823,
       0,   789,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   769,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1824,     0,     0,     0,
       0,     0,  1824,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   769,     0,  1433,     0,     0,     0,
    1611,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1425,     0,     0,     0,  1425,  1425,   769,  1433,     0,   769,
       0,   769,     0,     0,     0,     0,     0,   791,     0,  1635,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   791,     0,   769,     0,     0,     0,   769,     0,
       0,     0,     0,  1433,   791,     0,     0,  1660,  1661,     0,
    1663,     0,     0,     0,     0,   790,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1705,
       0,     0,   791,     0,     0,  1823,     0,     0,     0,     0,
       0,  1433,   791,     0,     0,  1433,  1433,     0,     0,     0,
       0,     0,     0,     0,     0,   791,     0,     0,   791,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1741,
    1425,     0,     0,     0,     0,     0,   790,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   769,     0,     0,     0,
       0,   790,   790,     0,     0,     0,     0,     0,  1845,     0,
       0,     0,  1857,  1860,     0,   769,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   790,     0,
       0,   790,     0,     0,     0,  1433,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   769,     0,     0,   769,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   791,     0,     0,     0,   769,     0,     0,     0,
     791,   791,     0,     0,     0,     0,     0,     0,     0,     0,
    1825,     0,  1824,  1824,  1824,     0,     0,     0,   789,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   790,     0,     0,     0,
    1425,     0,     0,     0,   769,     0,  1700,     0,   790,     0,
       0,     0,     0,     0,     0,   769,     0,     0,   790,     0,
       0,     0,     0,     0,  1825,     0,     0,   769,   769,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   789,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     769,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1700,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1425,
       0,     0,     0,   790,     0,     0,     0,     0,     0,     0,
     769,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   769,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1824,     0,  1823,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     790,     0,   790,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   790,     0,   790,     0,     0,     0,
       0,     0,     0,  1425,     0,     0,   791,     0,     0,     0,
       0,     0,   769,     0,     0,     0,     0,  1823,     0,     0,
       0,   769,     0,     0,     0,  1823,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   790,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   790,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1825,     0,     0,     0,   790,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   791,   790,     0,     0,   790,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2349,     0,     0,     0,     0,     0,     0,     0,
       0,   791,   791,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   791,     0,     0,  2372,     0,     0,  2374,     0,
       0,  2385,     0,     0,   791,   791,     0,     0,  2392,  2397,
       0,     0,     0,  1824,  2403,     0,   791,  2408,     0,  1432,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2417,     0,     0,     0,     0,  2424,
       0,     0,     0,  2436,     0,     0,     0,  2443,     0,  2445,
    2446,  2447,  2448,  2449,  2450,  2451,  2452,  2453,     0,  2454,
       0,     0,     0,     0,     0,     0,  1425,  1114,  2482,  1425,
       0,  1425,     0,     0,     0,     0,  1425,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1700,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1425,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1432,     0,     0,     0,  1825,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1425,     0,     0,     0,
       0,   790,     0,  1700,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1174,     0,     0,  1700,     0,     0,
       0,     0,  2381,     0,     0,     0,     0,     0,     0,  1824,
       0,     0,     0,     0,  1824,     0,  1824,     0,     0,     0,
       0,     0,  1700,  1700,     0,  1700,     0,  1425,     0,  1425,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     790,     0,     0,   790,     0,     0,     0,  1700,     0,     0,
       0,     0,  1426,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1425,     0,     0,  2587,
       0,     0,     0,     0,     0,     0,     0,  1824,     0,     0,
       0,     0,     0,  1700,     0,     0,     0,     0,     0,     0,
       0,  1425,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1425,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1425,  1893,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   790,   790,     0,     0,     0,     0,
       0,   790,     0,     0,     0,     0,   791,     0,     0,     0,
    1825,   791,     0,     0,   791,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1893,  1426,     0,   791,  1700,     0,     0,
       0,     0,     0,  1425,     0,     0,     0,     0,     0,  1700,
       0,     0,  1700,     0,     0,     0,     0,     0,     0,  1425,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1432,
    1425,     0,     0,     0,     0,     0,     0,   791,   790,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   791,   791,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1825,
     791,     0,     0,  1825,     0,     0,     0,     0,     0,     0,
    2806,     0,     0,     0,     0,     0,     0,     0,     0,  1425,
       0,     0,     0,     0,     0,     0,  1432,     0,     0,   791,
       0,     0,     0,   791,     0,     0,     0,     0,     0,  1425,
       0,     0,     0,     0,     0,  1893,     0,     0,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   791,  1425,  1432,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   791,     0,     0,     0,
    1432,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1425,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1426,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2932,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1432,     0,     0,
       0,     0,     0,  1825,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   790,  1426,  1428,  1824,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1425,     0,     0,     0,
       0,   790,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1426,   790,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   791,  2978,     0,     0,   790,     0,
    2984,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   791,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   790,  2397,     0,  2397,  2397,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3041,     0,  1425,  3044,  1426,
    3046,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1426,  1428,
       0,     0,     0,     0,     0,     0,   791,  3067,     0,  3069,
       0,     0,     0,  3072,     0,     0,     0,     0,  1426,     0,
       0,     0,     0,     0,  1432,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1426,     0,  2482,  2482,  2482,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2485,
       0,     0,  3115,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1845,     0,     0,     0,   790,  3126,
       0,     0,     0,     0,     0,  1860,     0,     0,     0,     0,
    1825,     0,     0,     0,     0,     0,  1825,     0,     0,     0,
    1426,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1700,     0,     0,     0,     0,     0,     0,     0,     0,
    1425,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3162,     0,     0,  1700,     0,  1700,     0,  2381,  2381,
    3015,     0,     0,  2381,     0,     0,     0,  1700,     0,     0,
       0,     0,     0,     0,  1700,     0,     0,     0,  1425,  1700,
     790,     0,   790,     0,     0,  1700,     0,     0,     0,   791,
    1700,     0,     0,     0,     0,     0,     0,     0,     0,  1700,
       0,     0,     0,  2381,  2381,     0,  1700,  1428,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1700,   790,
       0,     0,     0,     0,     0,  1700,     0,  1700,  1700,  1700,
    1700,  1700,  1700,  1700,  1700,  1700,  1700,     0,     0,     0,
       0,     0,     0,  2540,     0,     0,     0,  1893,  2546,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1824,  1428,   790,     0,  1700,   791,   791,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1426,  1425,     0,
       0,     0,   791,     0,     0,   791,     0,  1428,     0,  1425,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1429,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1432,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1825,  1825,  1825,  1700,
       0,     0,     0,     0,  1428,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     791,     0,     0,  1428,     0,     0,     0,     0,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,  1425,   791,  1428,     0,     0,  1824,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1428,  1425,
       0,     0,     0,     0,     0,     0,     0,     0,  1429,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1425,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1428,  1426,     0,     0,     0,
    1426,  1426,     0,  1432,     0,     0,     0,     0,  1425,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1825,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   791,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   791,     0,
     791,     0,     0,     0,     0,     0,     0,     0,  3492,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3496,     0,
       0,     0,     0,     0,  3497,     0,  3498,     0,     0,   790,
       0,     0,  1893,     0,     0,     0,     0,     0,  1700,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3516,  3517,
     791,     0,     0,     0,     0,     0,  1426,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2403,
       0,     0,     0,     0,     0,     0,     0,     0,   791,  3545,
       0,     0,  3548,     0,  3550,     0,     0,     0,     0,   790,
       0,     0,   791,  3554,     0,     0,  1429,     0,     0,  3559,
       0,     0,  3562,     0,     0,     0,  1425,     0,     0,   791,
       0,     0,   791,     0,     0,     0,  1432,     0,     0,     0,
       0,     0,  1428,     0,     0,     0,     0,     0,     0,     0,
    3603,     0,     0,     0,     0,     0,  3610,  2482,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1429,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3622,     0,     0,     0,  1700,     0,  1114,     0,     0,     0,
       0,     0,  1174,     0,     0,     0,     0,     0,  1824,     0,
       0,     0,     0,     0,     0,     0,  1429,  1825,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1426,     0,     0,     0,
    1700,     0,     0,     0,     0,     0,  1700,     0,     0,     0,
    1425,     0,     0,     0,     0,     0,     0,     0,  1824,     0,
       0,     0,  3015,  3015,     0,  2381,  1824,     0,  2381,  2381,
    2381,  2381,  2381,  2381,  2381,  2381,  2381,  2381,  3015,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1429,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1700,     0,     0,  1700,     0,  1700,     0,
       0,     0,  1429,  3015,  3015,  1426,  2485,  2485,  2485,     0,
       0,     0,     0,     0,     0,     0,     0,  2381,  2381,  1700,
       0,  1700,  1429,     0,  1700,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1429,     0,  1425,
       0,  1428,     0,     0,     0,  1428,  1428,     0,     0,     0,
       0,     0,     0,     0,     0,   791,     0,  1700,     0,  1893,
    1425,     0,  2546,     0,  2546,     0,     0,     0,  1700,  1893,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1426,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1825,  1429,     0,  1425,     0,  1825,     0,
    1825,     0,     0,     0,  1700,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1432,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1425,     0,     0,     0,  1425,  1425,
       0,     0,     0,     0,   791,     0,     0,   791,     0,     0,
       0,  1428,     0,     0,     0,     0,     0,     0,     0,  1893,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3870,  3871,     0,     0,     0,     0,     0,     0,     0,
       0,  1825,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1432,     0,  1432,     0,     0,     0,     0,     0,     0,     0,
    3901,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   791,   791,
       0,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1429,     0,     0,     0,     0,     0,  3919,  3921,  1432,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3928,     0,     0,     0,     0,     0,  3933,  3934,     0,     0,
    3936,  1428,     0,  3939,  1432,     0,     0,     0,  2381,     0,
       0,     0,  1426,     0,     0,  1426,     0,  1426,     0,     0,
       0,     0,  1426,  2546,     0,     0,     0,     0,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
    2482,  2546,     0,     0,     0,  2482,     0,     0,     0,     0,
    2482,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1426,     0,  1430,     0,     0,     0,     0,     0,
    1428,     0,     0,     0,     0,  3989,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1432,     0,     0,     0,
       0,     0,  1426,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2546,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1432,  1700,     0,     0,     0,  1700,  1700,
    1700,     0,     0,  3015,     0,     0,     0,     0,  3015,  3015,
    3015,  3015,  3015,  3015,  3015,  3015,  3015,  3015,  1700,  1700,
       0,     0,     0,     0,  1428,     0,     0,     0,     0,     0,
       0,     0,     0,  1426,     0,  1426,     0,     0,     0,     0,
    1429,     0,     0,     0,  1429,  1429,     0,  1700,  2381,  2381,
    1700,     0,  1700,     0,     0,     0,  1700,  3015,  3015,     0,
       0,  1700,  1432,     0,  1700,     0,  1430,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1432,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1426,     0,     0,     0,     0,     0,     0,   791,
       0,     0,  1825,     0,     0,  1700,     0,  1432,     0,     0,
       0,     0,  1700,  4086,     0,     0,     0,  1426,     0,     0,
       0,     0,     0,     0,  1700,   791,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1426,   791,     0,     0,
       0,     0,     0,  1432,     0,     0,     0,     0,     0,     0,
    1429,     0,   791,     0,  1426,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2485,     0,
       0,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1426,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1893,
       0,     0,     0,     0,  4169,  1426,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1426,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1428,     0,     0,
    1428,     0,  1428,     0,  1430,     0,  4192,  1428,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1429,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   791,     0,     0,  1426,     0,  1428,  1430,  3015,
    2546,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1426,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1430,     0,     0,  1428,     0,     0,
    1426,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1700,  1700,     0,     0,     0,     0,     0,  1429,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1426,     0,     0,     0,
       0,     0,     0,  1700,   791,     0,   791,  2381,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1428,     0,
    1428,  1700,     0,  1700,     0,     0,     0,     0,  3015,  3015,
    1700,  1430,     0,  2381,  2381,  1700,  1700,     0,  1700,     0,
       0,  1700,     0,   791,     0,     0,     0,     0,     0,     0,
    1430,     0,     0,     0,  2403,     0,     0,     0,     0,     0,
       0,     0,     0,  1429,     0,     0,     0,     0,     0,     0,
    1430,     0,     0,  1432,     0,     0,     0,  1428,     0,  4335,
       0,     0,  1426,     0,  1825,     0,   791,     0,     0,     0,
       0,  1700,     0,     0,     0,  1430,     0,     0,     0,     0,
       0,     0,  1428,     0,     0,     0,     0,     0,     0,     0,
       0,  1893,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1428,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1428,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1430,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1426,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1700,     0,
    4409,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1428,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1428,  1432,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1428,  1432,     0,     0,     0,     0,     0,     0,     0,
    1825,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3015,  2381,     0,     0,     0,     0,     0,
       0,  4454,     0,     0,     0,     0,     0,     0,     0,  3015,
    3015,  1700,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2485,     0,     0,     0,     0,  2485,     0,     0,     0,
       0,  2485,     0,     0,  1700,     0,  1429,     0,     0,  1429,
    1428,  1429,     0,     0,     0,     0,  1429,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1428,     0,     0,     0,     0,     0,  1426,     0,     0,  1430,
       0,     0,  4499,  4499,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1432,  1428,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1429,     0,     0,     0,
       0,     0,     0,     0,  1426,     0,     0,     0,     0,     0,
       0,     0,  1432,     0,     0,     0,     0,     0,     0,     0,
       0,  1428,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1432,     0,     0,     0,  4499,  1429,     0,     0,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,  4555,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3015,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1700,     0,     0,
       0,  1432,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1429,     0,  1429,
       0,     0,     0,   791,     0,     0,     0,  1428,     0,     0,
       0,     0,     0,     0,  1426,     0,     0,  4499,     0,     0,
       0,     0,     0,     0,     0,  1426,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1700,     0,     0,     0,     0,  1429,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1430,     0,
       0,  1429,  1430,  1430,     0,     0,     0,     0,     0,     0,
       0,     0,  1825,  4135,     0,     0,  1700,     0,  1428,     0,
    1429,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1429,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1432,
       0,     0,     0,     0,     0,     0,     0,  1426,     0,     0,
       0,  1700,  1825,     0,     0,     0,     0,     0,     0,     0,
    1825,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1426,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1429,  1426,     0,     0,     0,  1430,     0,
       0,     0,     0,     0,     0,     0,     0,  1700,     0,  1429,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1429,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1426,     0,     0,     0,     0,     0,
       0,     0,     0,  2546,     0,     0,     0,     0,     0,     0,
       0,  1428,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1429,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1428,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1429,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1429,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1430,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2546,     0,     0,     0,     0,     0,     0,     0,
    1429,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1432,     0,     0,     0,     0,     0,     0,
       0,     0,  1426,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1428,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1432,
    1428,     0,     0,     0,     0,     0,     0,  1430,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1429,  1432,     0,     0,
       0,  1432,  1432,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1426,     0,     0,     0,
       0,  1430,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1428,     0,     0,     0,     0,     0,     0,     0,
       0,  4135,     0,     0,     0,     0,     0,  1429,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1428,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1428,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1426,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1428,
       0,     0,     0,     0,     0,     0,  1426,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1426,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1429,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1426,     0,     0,     0,  1426,  1426,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1429,     0,
       0,     0,     0,     0,  1430,     0,     0,  1430,     0,  1430,
       0,     0,     0,     0,  1430,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1428,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1430,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1430,     0,     0,     0,  1429,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1429,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1428,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1430,     0,  1430,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1430,     0,     0,     0,     0,     0,
       0,  1429,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1430,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1429,
    1428,     0,     0,     0,     0,     0,     0,     0,  1430,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1429,     0,
       0,  1428,     0,     0,     0,     0,  1430,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1428,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1429,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1430,     0,     0,     0,  1428,     0,     0,     0,  1428,
    1428,     0,     0,     0,     0,     0,     0,  1430,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1430,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1430,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1430,     0,     0,
       0,     0,     0,     0,     0,     0,  1429,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1430,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1430,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1429,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1430,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1429,
       0,     0,     0,     0,     0,  1430,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1429,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1429,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1429,     0,     0,     0,  1429,  1429,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1430,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1430,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1430,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1430,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1399,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,  1430,
       0,     0,     0,   223,   224,     0,   225,   226,   744,   227,
     228,   229,     0,     0,   745,     0,     0,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,  1430,     0,   243,
       0,   244,   245,   246,   247,     0,     0,   746,     0,   249,
     250,   251,   252,   747,   253,   254,  1430,   255,   256,   257,
     258,   259,   260,     0,   748,   261,   262,     0,     0,     0,
     749,     0,     0,     0,   263,   264,   265,   266,   267,   268,
       0,     0,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,  1430,   289,   290,   291,
       0,   292,   293,   294,   295,     0,   297,   298,   299,     0,
       0,   301,     0,   302,   303,     0,   305,     0,   306,     0,
     307,   750,     0,   751,   308,   309,   310,     0,   311,     0,
       0,   313,     0,   314,   315,   316,   317,   318,   752,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,   753,     0,   330,   331,   332,   333,     0,     0,     0,
       0,     0,   337,   754,   755,   338,   756,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,     0,   757,   348,
     758,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
       0,   759,     0,   367,   368,     0,     0,   370,   371,   760,
     372,     0,     0,   374,     0,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,     0,   761,
     385,   762,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   396,  1430,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,     0,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   763,   427,   428,
       0,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,     0,   445,   446,
     764,   447,     0,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,     0,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,     0,     0,     0,
       0,   471,     0,   473,     0,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,     0,  1430,     0,
     494,   765,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   515,   516,   517,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1430,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1430,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1430,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   743,  1032,
     573,  1033,  1034,  1035,   624,  1036,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,  2476,   220,   221,
     222,     0,  1430,     0,     0,  1037,  1430,  1430,   223,   224,
       0,   225,   226,   744,   227,   228,   229,   230,  1038,   745,
    1039,  1040,     0,   234,   235,   236,   237,   238,  1041,  1042,
     239,   240,  1043,  1044,   243,     0,   244,   245,   246,   247,
    1045,     0,  1046,     0,   249,   250,   251,   252,   747,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   748,
     261,   262,  1047,  1048,  1049,  1050,  1051,  1052,  1053,   263,
     264,   265,   266,   267,   268,  1054,  1055,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
    2477,     0,   281,   282,  1056,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
    1057,   297,   298,   299,  1058,  1059,   301,     0,   302,   303,
    1060,   305,     0,   306,     0,   307,   750,     0,   751,   308,
     309,   310,     0,   311,  1061,     0,   313,     0,   314,   315,
     316,   317,   318,   752,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   753,   329,   330,   331,
     332,   333,  1062,  1063,     0,  1064,     0,   337,   754,   755,
     338,   756,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,  1065,   757,   348,   758,     0,   349,   350,   351,
    1066,  1067,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,  1068,   759,  1069,   367,   368,
     369,  1070,   370,   371,   760,   372,  1071,  1072,   374,  1073,
     376,   377,   378,     0,   379,     0,     0,  1074,   381,   382,
       0,     0,   383,   384,   761,   385,   762,  1075,   387,   388,
     389,   390,   391,   392,   393,     0,   394,  1076,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,  1077,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   763,   427,   428,  1078,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
    1079,   443,   444,   445,   446,   764,   447,  1080,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
    1081,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,  1082,  1083,     0,     0,   471,  1084,   473,  1085,
    1086,   475,   476,   477,   478,   479,   480,   481,     0,  1087,
     482,   483,   484,   485,   486,  1088,     0,   487,   488,   489,
     490,   491,   492,  1089,  2478,   494,   765,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,  1090,  1091,  1092,  1093,  1094,  1095,  1096,
    1097,   515,   516,   517,     0,     0,     0,     0,     0,     0,
       0,     0,  1098,  1099,  2479,     0,     0,     0,     0,     0,
       0,  1101,  2480,   743,  1032,   573,  1033,  1034,  1035,   624,
    1036,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
    1037,     0,     0,   223,   224,     0,   225,   226,   744,   227,
     228,   229,   230,  1038,   745,  1039,  1040,     0,   234,   235,
     236,   237,   238,  1041,  1042,   239,   240,  1043,  1044,   243,
       0,   244,   245,   246,   247,  1045,     0,  1046,     0,   249,
     250,   251,   252,   747,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   748,   261,   262,  1047,  1048,  1049,
    1050,  1051,  1052,  1053,   263,   264,   265,   266,   267,   268,
    1054,  1055,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,  1056,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,  1057,   297,   298,   299,  1058,
    1059,   301,     0,   302,   303,  1060,   305,     0,   306,     0,
     307,   750,     0,   751,   308,   309,   310,     0,   311,  1061,
       0,   313,     0,   314,   315,   316,   317,   318,   752,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,   753,   329,   330,   331,   332,   333,  1062,  1063,     0,
    1064,     0,   337,   754,   755,   338,   756,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,  1065,   757,   348,
     758,     0,   349,   350,   351,  1066,  1067,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
    1068,   759,  1069,   367,   368,   369,  1070,   370,   371,   760,
     372,  1071,  1072,   374,  1073,   376,   377,   378,     0,   379,
       0,     0,  1074,   381,   382,     0,     0,   383,   384,   761,
     385,   762,  1075,   387,   388,   389,   390,   391,   392,   393,
       0,   394,  1076,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,  1077,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   763,   427,   428,
    1078,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,  1079,   443,   444,   445,   446,
     764,   447,  1080,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,  1081,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,  1082,  1083,     0,
       0,   471,  1084,   473,  1085,  1086,   475,   476,   477,   478,
     479,   480,   481,     0,  1087,   482,   483,   484,   485,   486,
    1088,     0,   487,   488,   489,   490,   491,   492,  1089,     0,
     494,   765,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,  1090,  1091,
    1092,  1093,  1094,  1095,  1096,  1097,   515,   516,   517,     0,
       0,     0,     0,     0,     0,     0,     0,  1098,  1099,   210,
       0,     0,     0,     0,     0,     0,  1101,  2383,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,  3581,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
   -1500,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0, -1500,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328, -1500,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338, -1500,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347, -1500,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365, -1500,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426, -1500,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,     0,     0,     0,     0,
       0,     0,     0,  1399,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1181,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,   744,   227,
     228,   229,     0,  1400,   745,  1401,  1402,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,  1403,  1404,   243,
       0,   244,   245,   246,   247,     0,     0,   746,     0,   249,
     250,   251,   252,   747,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   748,   261,   262,     0,     0,     0,
     749,     0,     0,     0,   263,   264,   265,   266,   267,   268,
    1405,  1406,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,  1056,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,     0,   297,   298,   299,     0,
       0,   301,     0,   302,   303,  1407,   305,     0,   306,     0,
     307,   750,     0,   751,   308,   309,   310,     0,   311,     0,
       0,   313,     0,   314,   315,   316,   317,   318,   752,   319,
     320,   321,  1879,   322,   323,   324,   325,   326,   327,     0,
     328,   753,  1880,   330,   331,   332,   333,  1408,  1409,     0,
    1410,     0,   337,   754,   755,   338,   756,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,     0,   757,   348,
     758,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
    1411,   759,  1412,   367,   368,     0,     0,   370,   371,   760,
     372,     0,     0,   374,  1413,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,  1882,   761,
     385,   762,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   396,     0,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,  1414,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   763,   427,   428,
       0,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,  1883,   445,   446,
     764,   447,  1416,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,     0,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,  1417,  1418,     0,
       0,   471,     0,   473,     0,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,     0,  1419,  1884,
     494,   765,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,     0,  1399,     0,
       0,     0,     0,     0,     0,     0,   515,   516,   517,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,  1982,   223,   224,
       0,   225,   226,   744,   227,   228,   229,     0,  1400,   745,
    1401,  1402,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,  1403,  1404,   243,     0,   244,   245,   246,   247,
       0,     0,   746,     0,   249,   250,   251,   252,   747,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   748,
     261,   262,     0,     0,     0,   749,     0,     0,     0,   263,
     264,   265,   266,   267,   268,  1405,  1406,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,  1056,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
       0,   297,   298,   299,     0,     0,   301,     0,   302,   303,
    1407,   305,     0,   306,     0,   307,   750,     0,   751,   308,
     309,   310,     0,   311,     0,     0,   313,     0,   314,   315,
     316,   317,   318,   752,   319,   320,   321,  1879,   322,   323,
     324,   325,   326,   327,     0,   328,   753,  1880,   330,   331,
     332,   333,  1408,  1409,     0,  1410,     0,   337,   754,   755,
     338,   756,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,     0,   757,   348,   758,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,  1411,   759,  1412,   367,   368,
       0,     0,   370,   371,   760,   372,     0,     0,   374,  1413,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,  1882,   761,   385,   762,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   396,     0,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,  1414,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   763,   427,   428,     0,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,  1883,   445,   446,   764,   447,  1416,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
       0,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,  1417,  1418,     0,     0,   471,     0,   473,     0,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,     0,  1419,  1884,   494,   765,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,     0,   743,  1032,   573,  1033,  1034,  1035,   624,
    1036,   515,   516,   517,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
    1037,     0,  2896,   223,   224,     0,   225,   226,   744,   227,
     228,   229,   230,  1038,   745,  1039,  1040,  2393,   234,   235,
     236,   237,   238,  1041,  1042,   239,   240,  1043,  1044,   243,
       0,   244,   245,   246,   247,  1045,     0,  1046,     0,   249,
     250,   251,   252,   747,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   748,   261,   262,  1047,  1048,  1049,
    1050,  1051,  1052,  1053,   263,   264,   265,   266,   267,   268,
    1054,  1055,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,  1056,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,  1057,   297,   298,   299,  1058,
    1059,   301,     0,   302,   303,  1060,   305,     0,   306,     0,
     307,   750,  2394,   751,   308,   309,   310,     0,   311,  1061,
       0,   313,     0,   314,   315,   316,   317,   318,   752,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,   753,   329,   330,   331,   332,   333,  1062,  1063,     0,
    1064,     0,   337,   754,   755,   338,   756,   339,   340,   341,
     342,   343,     0,   344,   345,  2395,   346,  1065,   757,   348,
     758,     0,   349,   350,   351,  1066,  1067,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
    1068,   759,  1069,   367,   368,   369,  1070,   370,   371,   760,
     372,  1071,  1072,   374,  1073,   376,   377,   378,     0,   379,
       0,     0,  1074,   381,   382,     0,     0,   383,   384,   761,
     385,   762,  1075,   387,   388,   389,   390,   391,   392,   393,
       0,   394,  1076,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,  1077,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   763,   427,   428,
    1078,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,  1079,   443,   444,   445,   446,
     764,   447,  1080,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,  1081,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,  1082,  1083,     0,
    2396,   471,  1084,   473,  1085,  1086,   475,   476,   477,   478,
     479,   480,   481,     0,  1087,   482,   483,   484,   485,   486,
    1088,     0,   487,   488,   489,   490,   491,   492,  1089,     0,
     494,   765,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,  1090,  1091,
    1092,  1093,  1094,  1095,  1096,  1097,   515,   516,   517,     0,
       0,     0,     0,     0,     0,     0,     0,  1098,  1099,     0,
       0,     0,     0,     0,     0,     0,  1101,   743,  1032,   573,
    1033,  1034,  1035,   624,  1036,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,  1037,     0,     0,   223,   224,     0,
     225,   226,   744,   227,   228,   229,   230,  1038,   745,  1039,
    1040,     0,   234,   235,   236,   237,   238,  1041,  1042,   239,
     240,  1043,  1044,   243,     0,   244,   245,   246,   247,  1045,
       0,  1046,     0,   249,   250,   251,   252,   747,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   748,   261,
     262,  1047,  1048,  1049,  1050,  1051,  1052,  1053,   263,   264,
     265,   266,   267,   268,  1054,  1055,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,  1056,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,  1057,
     297,   298,   299,  1058,  1059,   301,     0,   302,   303,  1060,
     305,     0,   306,     0,   307,   750,     0,   751,   308,   309,
     310,     0,   311,  1061,     0,   313,     0,   314,   315,   316,
     317,   318,   752,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,   753,   329,   330,   331,   332,
     333,  1062,  1063,     0,  1064,     0,   337,   754,   755,   338,
     756,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,  1065,   757,   348,   758,     0,   349,   350,   351,  1066,
    1067,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,  1068,   759,  1069,   367,   368,   369,
    1070,   370,   371,   760,   372,  1071,  1072,   374,  1073,   376,
     377,   378,     0,   379,     0,     0,  1074,   381,   382,     0,
       0,   383,   384,   761,   385,   762,  1075,   387,   388,   389,
     390,   391,   392,   393,     0,   394,  1076,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,  1077,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   763,   427,   428,  1078,   430,   431,   432,   433,   434,
     435,   436,   437,    38,   438,   439,   440,   441,   442,  1079,
     443,   444,   445,   446,   764,   447,  1080,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,  1081,
       0,   461,   462,    42,   463,   464,   465,   466,   467,   468,
       0,  1082,  1083,     0,     0,   471,  1084,   473,  1085,  1086,
     475,   476,   477,   478,   479,   480,   481,     0,  1087,   482,
     483,   484,   485,   486,  1088,     0,   487,   488,   489,   490,
     491,   971,  1089,     0,   494,   765,   495,   496,   497,   498,
       0,     0,   499,     0,    47,   500,   501,   502,   503,   504,
     505,   506,  1090,  1091,  1092,  1093,  1094,  1095,  1096,  1097,
     515,   516,   517,     0,     0,     0,     0,     0,     0,     0,
       0,  1098,  1099,     0,     0,     0,     0,     0,     0,     0,
    1101,   743,  1032,   573,  1033,  1034,  1035,   624,  1036,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,  1037,     0,
       0,   223,   224,     0,   225,   226,   744,   227,   228,   229,
     230,  1038,   745,  1039,  1040,     0,   234,   235,   236,   237,
     238,  1041,  1042,   239,   240,  1043,  1044,   243,     0,   244,
     245,   246,   247,  1045,     0,  1046,     0,   249,   250,   251,
     252,   747,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,   748,   261,   262,  1047,  1048,  1049,  1050,  1051,
    1052,  1053,   263,   264,   265,   266,   267,   268,  1054,  1055,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,  1056,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,  1057,   297,   298,   299,  1058,  1059,   301,
       0,   302,   303,  1060,   305,     0,   306,     0,   307,   750,
       0,   751,   308,   309,   310,     0,   311,  1061,     0,   313,
       0,   314,   315,   316,   317,   318,   752,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,   753,
     329,   330,   331,   332,   333,  1062,  1063,     0,  1064,     0,
     337,   754,   755,   338,   756,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,  1065,   757,   348,   758,     0,
     349,   350,   351,  1066,  1067,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,  1068,   759,
    1069,   367,   368,   369,  1070,   370,   371,   760,   372,  1071,
    1072,   374,  1073,   376,   377,   378,     0,   379,     0,     0,
    1074,   381,   382,     0,     0,   383,   384,   761,   385,   762,
    1075,   387,   388,   389,   390,   391,   392,   393,     0,   394,
    1076,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,  1077,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   763,   427,   428,  1078,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,  1079,   443,   444,   445,   446,   764,   447,
    1080,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,  1081,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,  1082,  1083,     0,     0,   471,
    1084,   473,  1085,  1086,   475,   476,   477,   478,   479,   480,
     481,     0,  1087,   482,   483,   484,   485,   486,  1088,     0,
     487,   488,   489,   490,   491,   492,  1089,     0,   494,   765,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,  1090,  1091,  1092,  1093,
    1094,  1095,  1096,  1097,   515,   516,   517,     0,     0,     0,
       0,     0,     0,     0,     0,  1098,  1099,     0,     0,     0,
       0,     0,  1606,  2341,  1101,   743,  1032,   573,  1033,  1034,
    1035,   624,  1036,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,  1037,     0,     0,   223,   224,     0,   225,   226,
     744,   227,   228,   229,   230,  1038,   745,  1039,  1040,     0,
     234,   235,   236,   237,   238,  1041,  1042,   239,   240,  1043,
    1044,   243,     0,   244,   245,   246,   247,  1045,     0,  1046,
       0,   249,   250,   251,   252,   747,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,   748,   261,   262,  1047,
    1048,  1049,  1050,  1051,  1052,  1053,   263,   264,   265,   266,
     267,   268,  1054,  1055,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,  1056,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,  1057,   297,   298,
     299,  1058,  1059,   301,     0,   302,   303,  1060,   305,     0,
     306,     0,   307,   750,     0,   751,   308,   309,   310,     0,
     311,  1061,     0,   313,     0,   314,   315,   316,   317,   318,
     752,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,   753,   329,   330,   331,   332,   333,  1062,
    1063,     0,  1064,     0,   337,   754,   755,   338,   756,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,  1065,
     757,   348,   758,     0,   349,   350,   351,  1066,  1067,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1068,   759,  1069,   367,   368,   369,  1070,   370,
     371,   760,   372,  1071,  1072,   374,  1073,   376,   377,   378,
       0,   379,     0,     0,  1074,   381,   382,     0,     0,   383,
     384,   761,   385,   762,  1075,   387,   388,   389,   390,   391,
     392,   393,     0,   394,  1076,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,  1077,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   763,
     427,   428,  1078,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,  1079,   443,   444,
     445,   446,   764,   447,  1080,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,  1081,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,  1082,
    1083,     0,     0,   471,  1084,   473,  1085,  1086,   475,   476,
     477,   478,   479,   480,   481,     0,  1087,   482,   483,   484,
     485,   486,  1088,     0,   487,   488,   489,   490,   491,   492,
    1089,     0,   494,   765,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
    1090,  1091,  1092,  1093,  1094,  1095,  1096,  1097,   515,   516,
     517,     0,     0,     0,     0,     0,     0,     0,     0,  1098,
    1099,  1100,     0,     0,     0,     0,     0,     0,  1101,   743,
    1032,   573,  1033,  1034,  1035,   624,  1036,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,  1037,     0,     0,   223,
     224,     0,   225,   226,   744,   227,   228,   229,   230,  1038,
     745,  1039,  1040,     0,   234,   235,   236,   237,   238,  1041,
    1042,   239,   240,  1043,  1044,   243,     0,   244,   245,   246,
     247,  1045,     0,  1046,     0,   249,   250,   251,   252,   747,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
     748,   261,   262,  1047,  1048,  1049,  1050,  1051,  1052,  1053,
     263,   264,   265,   266,   267,   268,  1054,  1055,   271,  1173,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,  1056,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,  1057,   297,   298,   299,  1058,  1059,   301,     0,   302,
     303,  1060,   305,     0,   306,     0,   307,   750,     0,   751,
     308,   309,   310,     0,   311,  1061,     0,   313,     0,   314,
     315,   316,   317,   318,   752,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,   753,   329,   330,
     331,   332,   333,  1062,  1063,     0,  1064,     0,   337,   754,
     755,   338,   756,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,  1065,   757,   348,   758,     0,   349,   350,
     351,  1066,  1067,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,  1068,   759,  1069,   367,
     368,   369,  1070,   370,   371,   760,   372,  1071,  1072,   374,
    1073,   376,   377,   378,     0,   379,     0,     0,  1074,   381,
     382,     0,     0,   383,   384,   761,   385,   762,  1075,   387,
     388,   389,   390,   391,   392,   393,     0,   394,  1076,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,  1077,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   763,   427,   428,  1078,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,  1079,   443,   444,   445,   446,   764,   447,  1080,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,  1081,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,  1082,  1083,     0,     0,   471,  1084,   473,
    1085,  1086,   475,   476,   477,   478,   479,   480,   481,     0,
    1087,   482,   483,   484,   485,   486,  1088,     0,   487,   488,
     489,   490,   491,   492,  1089,     0,   494,   765,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,  1090,  1091,  1092,  1093,  1094,  1095,
    1096,  1097,   515,   516,   517,     0,     0,     0,     0,     0,
       0,     0,     0,  1098,  1099,     0,     0,     0,     0,     0,
       0,     0,  1101,   743,  1032,   573,  1033,  1034,  1035,   624,
    1036,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,  1855,   220,   221,   222,     0,     0,     0,     0,
    1037,     0,     0,   223,   224,     0,   225,   226,   744,   227,
     228,   229,   230,  1038,   745,  1039,  1040,     0,   234,   235,
     236,   237,   238,  1041,  1042,   239,   240,  1043,  1044,   243,
       0,   244,   245,   246,   247,  1045,     0,  1046,     0,   249,
     250,   251,   252,   747,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   748,   261,   262,  1047,  1048,  1049,
    1050,  1051,  1052,  1053,   263,   264,   265,   266,   267,   268,
    1054,  1055,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,  1056,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,  1057,   297,   298,   299,  1058,
    1059,   301,     0,   302,   303,  1060,   305,     0,   306,     0,
     307,   750,     0,   751,   308,   309,   310,     0,   311,  1061,
       0,   313,     0,   314,   315,   316,   317,   318,   752,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,   753,   329,   330,   331,   332,   333,  1062,  1063,     0,
    1064,     0,   337,   754,   755,   338,   756,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,  1065,   757,   348,
     758,     0,   349,   350,   351,  1066,  1067,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
    1068,   759,  1069,   367,   368,   369,  1070,   370,   371,   760,
     372,  1071,  1072,   374,  1073,   376,   377,   378,     0,   379,
       0,     0,  1074,   381,   382,     0,     0,   383,   384,   761,
     385,   762,  1075,   387,   388,   389,   390,   391,   392,   393,
       0,   394,  1076,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,  1077,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   763,   427,   428,
    1078,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,  1079,   443,   444,   445,   446,
     764,   447,  1080,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,  1081,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,  1082,  1083,     0,
       0,   471,  1084,   473,  1085,  1086,   475,   476,   477,   478,
     479,   480,   481,     0,  1087,   482,   483,   484,   485,   486,
    1088,     0,   487,   488,   489,   490,   491,   492,  1089,     0,
     494,   765,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,  1090,  1091,
    1092,  1093,  1094,  1095,  1096,  1097,   515,   516,   517,     0,
       0,     0,     0,     0,     0,     0,     0,  1098,  1099,     0,
       0,     0,     0,     0,     0,     0,  1101,   743,  1032,   573,
    1033,  1034,  1035,   624,  1036,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,  1037,     0,     0,   223,   224,     0,
     225,   226,   744,   227,   228,   229,   230,  1038,   745,  1039,
    1040,     0,   234,   235,   236,   237,   238,  1041,  1042,   239,
     240,  1043,  1044,   243,     0,   244,   245,   246,   247,  1045,
       0,  1046,     0,   249,   250,   251,   252,   747,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   748,   261,
     262,  1047,  1048,  1049,  1050,  1051,  1052,  1053,   263,   264,
     265,   266,   267,   268,  1054,  1055,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,  1056,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,  1057,
     297,   298,   299,  1058,  1059,   301,     0,   302,   303,  1060,
     305,     0,   306,     0,   307,   750,  2394,   751,   308,   309,
     310,     0,   311,  1061,     0,   313,     0,   314,   315,   316,
     317,   318,   752,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,   753,   329,   330,   331,   332,
     333,  1062,  1063,     0,  1064,     0,   337,   754,   755,   338,
     756,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,  1065,   757,   348,   758,     0,   349,   350,   351,  1066,
    1067,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,  1068,   759,  1069,   367,   368,   369,
    1070,   370,   371,   760,   372,  1071,  1072,   374,  1073,   376,
     377,   378,     0,   379,     0,     0,  1074,   381,   382,     0,
       0,   383,   384,   761,   385,   762,  1075,   387,   388,   389,
     390,   391,   392,   393,     0,   394,  1076,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,  1077,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   763,   427,   428,  1078,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,  1079,
     443,   444,   445,   446,   764,   447,  1080,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,  1081,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,  1082,  1083,     0,     0,   471,  1084,   473,  1085,  1086,
     475,   476,   477,   478,   479,   480,   481,     0,  1087,   482,
     483,   484,   485,   486,  1088,     0,   487,   488,   489,   490,
     491,   492,  1089,     0,   494,   765,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,  1090,  1091,  1092,  1093,  1094,  1095,  1096,  1097,
     515,   516,   517,     0,     0,     0,     0,     0,     0,     0,
       0,  1098,  1099,     0,     0,     0,     0,     0,     0,     0,
    1101,   743,  1032,   573,  1033,  1034,  1035,   624,  1036,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,  1037,     0,
       0,   223,   224,     0,   225,   226,   744,   227,   228,   229,
     230,  1038,   745,  1039,  1040,     0,   234,   235,   236,   237,
     238,  1041,  1042,   239,   240,  1043,  1044,   243,     0,   244,
     245,   246,   247,  1045,     0,  1046,     0,   249,   250,   251,
     252,   747,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,   748,   261,   262,  1047,  1048,  1049,  1050,  1051,
    1052,  1053,   263,   264,   265,   266,   267,   268,  1054,  1055,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,  1056,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,  1057,   297,   298,   299,  1058,  1059,   301,
       0,   302,   303,  1060,   305,     0,   306,     0,   307,   750,
       0,   751,   308,   309,   310,     0,   311,  1061,     0,   313,
       0,   314,   315,   316,   317,   318,   752,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,   753,
     329,   330,   331,   332,   333,  1062,  1063,     0,  1064,     0,
     337,   754,   755,   338,   756,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,  1065,   757,   348,   758,     0,
     349,   350,   351,  1066,  1067,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,  1068,   759,
    1069,   367,   368,   369,  1070,   370,   371,   760,   372,  1071,
    1072,   374,  1073,   376,   377,   378,     0,   379,     0,     0,
    1074,   381,   382,     0,     0,   383,   384,   761,   385,   762,
    1075,   387,   388,   389,   390,   391,   392,   393,     0,   394,
    1076,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,  1077,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   763,   427,   428,  1078,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,  1079,   443,   444,   445,   446,   764,   447,
    1080,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,  1081,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,  1082,  1083,     0,     0,   471,
    1084,   473,  1085,  1086,   475,   476,   477,   478,   479,   480,
     481,     0,  1087,   482,   483,   484,   485,   486,  1088,     0,
     487,   488,   489,   490,   491,   492,  1089,  3611,   494,   765,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,  1090,  1091,  1092,  1093,
    1094,  1095,  1096,  1097,   515,   516,   517,     0,     0,     0,
       0,     0,     0,     0,     0,  1098,  1099,     0,     0,     0,
       0,     0,     0,     0,  1101,   743,  1032,   573,  1033,  1034,
    1035,   624,  1036,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,  1037,     0,     0,   223,   224,     0,   225,   226,
     744,   227,   228,   229,   230,  1038,   745,  1039,  1040,     0,
     234,   235,   236,   237,   238,  1041,  1042,   239,   240,  1043,
    1044,   243,     0,   244,   245,   246,   247,  1045,     0,  1046,
       0,   249,   250,   251,   252,   747,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,   748,   261,   262,  1047,
    1048,  1049,  1050,  1051,  1052,  1053,   263,   264,   265,   266,
     267,   268,  1054,  1055,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,  1056,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,  1057,   297,   298,
     299,  1058,  1059,   301,     0,   302,   303,  1060,   305,     0,
     306,     0,   307,   750,     0,   751,   308,   309,   310,     0,
     311,  1061,     0,   313,     0,   314,   315,   316,   317,   318,
     752,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,   753,   329,   330,   331,   332,   333,  1062,
    1063,     0,  1064,     0,   337,   754,   755,   338,   756,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,  1065,
     757,   348,   758,     0,   349,   350,   351,  1066,  1067,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1068,   759,  1069,   367,   368,   369,  1070,   370,
     371,   760,   372,  1071,  1072,   374,  1073,   376,   377,   378,
       0,   379,     0,     0,  1074,   381,   382,     0,     0,   383,
     384,   761,   385,   762,  1075,   387,   388,   389,   390,   391,
     392,   393,     0,   394,  1076,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,  1077,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   763,
     427,   428,  1078,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,  1079,   443,   444,
     445,   446,   764,   447,  1080,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,  1081,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,  1082,
    1083,     0,     0,   471,  1084,   473,  1085,  1086,   475,   476,
     477,   478,   479,   480,   481,     0,  1087,   482,   483,   484,
     485,   486,  1088,     0,   487,   488,   489,   490,   491,   492,
    1089,     0,   494,   765,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
    1090,  1091,  1092,  1093,  1094,  1095,  1096,  1097,   515,   516,
     517,     0,     0,     0,     0,     0,     0,     0,     0,  1098,
    1099,     0,     0,     0,     0,     0,     0,     0,  1101,   743,
    1032,   573,  1033,  1034,  1035,   624,  1036,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,  1037,     0,     0,   223,
     224,     0,   225,   226,   744,   227,   228,   229,   230,  1038,
     745,  1039,  1040,     0,   234,   235,   236,   237,   238,  1041,
    1042,   239,   240,  1043,  1044,   243,     0,   244,   245,   246,
     247,  1045,     0,  1046,     0,   249,   250,   251,   252,   747,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
     748,   261,  3621,  1047,  1048,  1049,  1050,  1051,  1052,  1053,
     263,   264,   265,   266,   267,   268,  1054,  1055,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,  1056,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,  1057,   297,   298,   299,  1058,  1059,   301,     0,   302,
     303,  1060,   305,     0,   306,     0,   307,   750,     0,   751,
     308,   309,   310,     0,   311,  1061,     0,   313,     0,   314,
     315,   316,   317,   318,   752,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,   753,   329,   330,
     331,   332,   333,  1062,  1063,     0,  1064,     0,   337,   754,
     755,   338,   756,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,  1065,   757,   348,   758,     0,   349,   350,
     351,  1066,  1067,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,  1068,   759,  1069,   367,
     368,   369,  1070,   370,   371,   760,   372,  1071,  1072,   374,
    1073,   376,   377,   378,     0,   379,     0,     0,  1074,   381,
     382,     0,     0,   383,   384,   761,   385,   762,  1075,   387,
     388,   389,   390,   391,   392,   393,     0,   394,  1076,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,  1077,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   763,   427,   428,  1078,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,  1079,   443,   444,   445,   446,   764,   447,  1080,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,  1081,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,  1082,  1083,     0,     0,   471,  1084,   473,
    1085,  1086,   475,   476,   477,   478,   479,   480,   481,     0,
    1087,   482,   483,   484,   485,   486,  1088,     0,   487,   488,
     489,   490,   491,   492,  1089,     0,   494,   765,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,  1090,  1091,  1092,  1093,  1094,  1095,
    1096,  1097,   515,   516,   517,     0,     0,     0,     0,     0,
       0,     0,     0,  1098,  1099,     0,     0,     0,     0,     0,
       0,     0,  1101,   743,  1032,   573,  1033,  1034,  1035,   624,
    1036,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
    1037,     0,     0,   223,   224,     0,   225,   226,   744,   227,
     228,   229,   230,  1038,   745,  1039,  1040,     0,   234,   235,
     236,   237,   238,  1041,  1042,   239,   240,  1043,  1044,   243,
       0,   244,   245,   246,   247,  1045,     0,  1046,     0,   249,
     250,   251,   252,   747,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   748,   261,   262,  1047,  1048,  1049,
    1050,  1051,  1052,  1053,   263,   264,   265,   266,   267,   268,
    1054,  1055,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,  1056,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,  1057,   297,   298,   299,  1058,
    1059,   301,     0,   302,   303,  1060,   305,     0,   306,     0,
     307,   750,     0,   751,   308,   309,   310,     0,   311,  1061,
       0,   313,     0,   314,   315,   316,   317,   318,   752,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,   753,   329,   330,   331,   332,   333,  1062,  1063,     0,
    1064,     0,   337,   754,   755,   338,   756,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,  1065,   757,   348,
     758,     0,   349,   350,   351,  1066,  1067,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
    1068,   759,  1069,   367,   368,   369,  1070,   370,   371,   760,
     372,  1071,  1072,   374,  1073,   376,   377,   378,     0,   379,
       0,     0,  1074,   381,   382,     0,     0,   383,   384,   761,
     385,   762,  1075,   387,   388,   389,   390,   391,   392,   393,
       0,   394,  1076,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,  1077,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   763,   427,   428,
    1078,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,  1079,   443,   444,   445,   446,
     764,   447,  1080,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,  1081,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,  1082,  1083,     0,
       0,   471,  1084,   473,  1085,  1086,   475,   476,   477,   478,
     479,   480,   481,     0,  1087,   482,   483,   484,   485,   486,
    1088,     0,   487,   488,   489,   490,   491,   492,  1089,     0,
     494,   765,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,  3911,  1090,  1091,
    1092,  1093,  1094,  1095,  1096,  1097,   515,   516,   517,     0,
       0,     0,     0,     0,     0,     0,     0,  1098,  1099,     0,
       0,     0,     0,     0,     0,     0,  1101,   743,  1032,   573,
    1033,  1034,  1035,   624,  1036,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,  1037,     0,     0,   223,   224,     0,
     225,   226,   744,   227,   228,   229,   230,  1038,   745,  1039,
    1040,     0,   234,   235,   236,   237,   238,  1041,  1042,   239,
     240,  1043,  1044,   243,     0,   244,   245,   246,   247,  1045,
       0,  1046,     0,   249,   250,   251,   252,   747,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   748,   261,
     262,  1047,  1048,  1049,  1050,  1051,  1052,  1053,   263,   264,
     265,   266,   267,   268,  1054,  1055,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,  1056,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,  1057,
     297,   298,   299,  1058,  1059,   301,     0,   302,   303,  1060,
     305,     0,   306,     0,   307,   750,     0,   751,   308,   309,
     310,     0,   311,  1061,     0,   313,     0,   314,   315,   316,
     317,   318,   752,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,   753,   329,   330,   331,   332,
     333,  1062,  1063,     0,  1064,     0,   337,   754,   755,   338,
     756,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,  1065,   757,   348,   758,     0,   349,   350,   351,  1066,
    1067,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,  1068,   759,  1069,   367,  3920,   369,
    1070,   370,   371,   760,   372,  1071,  1072,   374,  1073,   376,
     377,   378,     0,   379,     0,     0,  1074,   381,   382,     0,
       0,   383,   384,   761,   385,   762,  1075,   387,   388,   389,
     390,   391,   392,   393,     0,   394,  1076,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,  1077,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   763,   427,   428,  1078,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,  1079,
     443,   444,   445,   446,   764,   447,  1080,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,  1081,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,  1082,  1083,     0,     0,   471,  1084,   473,  1085,  1086,
     475,   476,   477,   478,   479,   480,   481,     0,  1087,   482,
     483,   484,   485,   486,  1088,     0,   487,   488,   489,   490,
     491,   492,  1089,     0,   494,   765,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,  1090,  1091,  1092,  1093,  1094,  1095,  1096,  1097,
     515,   516,   517,     0,     0,     0,     0,     0,     0,     0,
       0,  1098,  1099,     0,     0,     0,     0,     0,     0,     0,
    1101,   743,  1032,   573,  1033,  1034,  1035,   624,  1036,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,  1037,     0,
       0,   223,   224,     0,   225,   226,   744,   227,   228,   229,
    4496,  1038,   745,  1039,  1040,     0,   234,   235,   236,   237,
     238,  1041,  1042,   239,   240,  1043,  1044,   243,     0,   244,
     245,   246,   247,  1045,     0,  1046,     0,   249,   250,   251,
     252,   747,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,   748,   261,  4497,  1047,  1048,  1049,  1050,  1051,
    1052,  1053,   263,   264,   265,   266,   267,   268,  1054,  1055,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,  1056,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,  1057,   297,   298,   299,  1058,  1059,   301,
       0,   302,   303,  1060,   305,     0,   306,     0,   307,   750,
       0,   751,   308,   309,   310,     0,   311,  1061,     0,   313,
       0,   314,   315,   316,   317,   318,   752,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,   753,
     329,   330,   331,   332,   333,  1062,  1063,     0,  1064,     0,
     337,   754,   755,   338,   756,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,  1065,   757,   348,   758,     0,
     349,   350,   351,  1066,  1067,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,  1068,   759,
    1069,   367,   368,   369,  1070,   370,   371,   760,   372,  1071,
    1072,   374,  1073,   376,   377,   378,     0,   379,     0,     0,
    1074,   381,   382,     0,     0,   383,   384,   761,   385,   762,
    1075,   387,   388,   389,   390,   391,   392,   393,     0,   394,
    1076,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,  1077,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   763,   427,   428,  1078,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,  1079,   443,   444,   445,   446,   764,   447,
    1080,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,  1081,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,  1082,  1083,     0,     0,   471,
    1084,   473,  1085,  1086,   475,   476,   477,   478,  4498,   480,
     481,     0,  1087,   482,   483,   484,   485,   486,  1088,     0,
     487,   488,   489,   490,   491,   492,  1089,     0,   494,   765,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,  1090,  1091,  1092,  1093,
    1094,  1095,  1096,  1097,   515,   516,   517,     0,     0,     0,
       0,     0,     0,     0,     0,  1098,  1099,     0,     0,     0,
       0,     0,     0,     0,  1101,   743,  1032,   573,  1033,  1034,
    1035,   624,  1036,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,  1037,     0,     0,   223,   224,     0,   225,   226,
     744,   227,   228,   229,   230,  1038,   745,  1039,  1040,     0,
     234,   235,   236,   237,   238,  1041,  1042,   239,   240,  1043,
    1044,   243,     0,   244,   245,   246,   247,  1045,     0,  1046,
       0,   249,   250,   251,   252,   747,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,   748,   261,  4497,  1047,
    1048,  1049,  1050,  1051,  1052,  1053,   263,   264,   265,   266,
     267,   268,  1054,  1055,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,  1056,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,  1057,   297,   298,
     299,  1058,  1059,   301,     0,   302,   303,  1060,   305,     0,
     306,     0,   307,   750,     0,   751,   308,   309,   310,     0,
     311,  1061,     0,   313,     0,   314,   315,   316,   317,   318,
     752,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,   753,   329,   330,   331,   332,   333,  1062,
    1063,     0,  1064,     0,   337,   754,   755,   338,   756,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,  1065,
     757,   348,   758,     0,   349,   350,   351,  1066,  1067,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1068,   759,  1069,   367,   368,   369,  1070,   370,
     371,   760,   372,  1071,  1072,   374,  1073,   376,   377,   378,
       0,   379,     0,     0,  1074,   381,   382,     0,     0,   383,
     384,   761,   385,   762,  1075,   387,   388,   389,   390,   391,
     392,   393,     0,   394,  1076,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,  1077,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   763,
     427,   428,  1078,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,  1079,   443,   444,
     445,   446,   764,   447,  1080,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,  1081,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,  1082,
    1083,     0,     0,   471,  1084,   473,  1085,  1086,   475,   476,
     477,   478,  4498,   480,   481,     0,  1087,   482,   483,   484,
     485,   486,  1088,     0,   487,   488,   489,   490,   491,   492,
    1089,     0,   494,   765,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
    1090,  1091,  1092,  1093,  1094,  1095,  1096,  1097,   515,   516,
     517,     0,     0,     0,     0,     0,     0,     0,     0,  1098,
    1099,     0,     0,     0,     0,     0,     0,     0,  1101,   743,
    1032,   573,  1033,  1034,  1035,   624,  1036,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,  1037,     0,     0,   223,
     224,     0,   225,   226,   744,   227,   228,   229,   230,  1038,
     745,  1039,  1040,     0,   234,   235,   236,   237,   238,  1041,
    1042,   239,   240,  1043,  1044,   243,     0,   244,   245,   246,
     247,  1045,     0,  1046,     0,   249,   250,   251,   252,   747,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
     748,   261,   262,  1047,  1048,  1049,  1050,  1051,  1052,  1053,
     263,   264,   265,   266,   267,   268,  1054,  1055,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,  1056,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,  1057,   297,   298,   299,  1058,  1059,   301,     0,   302,
     303,  1060,   305,     0,   306,     0,   307,   750,     0,   751,
     308,   309,   310,     0,   311,  1061,     0,   313,     0,   314,
     315,   316,   317,   318,   752,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,   753,   329,   330,
     331,   332,   333,  1062,  1063,     0,  1064,     0,   337,   754,
     755,   338,   756,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,  1065,   757,   348,   758,     0,   349,   350,
     351,  1066,  1067,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,  1068,   759,  1069,   367,
     368,   369,     0,   370,   371,   760,   372,  1071,  1072,   374,
    1073,   376,   377,   378,     0,   379,     0,     0,  1074,   381,
     382,     0,     0,   383,   384,   761,   385,   762,  1075,   387,
     388,   389,   390,   391,   392,   393,     0,   394,  1076,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,  1077,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   763,   427,   428,  1078,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,  1079,   443,   444,   445,   446,   764,   447,  1080,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,  1081,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,  1082,  1083,     0,     0,   471,  1084,   473,
    1085,  1086,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,  1088,     0,   487,   488,
     489,   490,   491,   492,  1089,     0,   494,   765,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,  1090,  1091,  1092,  1093,  1094,  1095,
    1096,  1097,   515,   516,   517,     0,     0,     0,     0,     0,
       0,     0,     0,  2376,  2377,     0,     0,     0,     0,     0,
       0,     0,  1101,   743,  1032,   573,  1033,  1034,  1035,   624,
    1036,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
    1037,     0,     0,   223,   224,     0,   225,   226,   744,   227,
     228,   229, -2281,  1038,   745,  1039,  1040,     0,   234,   235,
     236,   237,   238,  1041,  1042,   239,   240,  1043,  1044,   243,
       0,   244,   245,   246,   247,  1045,     0,  1046,     0,   249,
     250,   251,   252,   747,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   748,   261,  4497,  1047,  1048,  1049,
    1050,  1051,  1052,  1053,   263,   264,   265,   266,   267,   268,
    1054,  1055,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,  1056,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,  1057,   297,   298,   299,  1058,
    1059,   301,     0,   302,   303,  1060,   305,     0,   306,     0,
     307,   750,     0,   751,   308,   309,   310,     0,   311,  1061,
       0,   313,     0,   314,   315,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,   753,   329,   330,   331,   332,   333,  1062,  1063,     0,
    1064,     0,   337,   754,   755,   338,   756,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,  1065,   757,   348,
       0,     0,   349,   350,   351,  1066,  1067,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
    1068,   759,  1069,   367,   368,   369,     0,   370,   371,   760,
     372,  1071,  1072,   374,  1073,   376,   377,   378,     0,   379,
       0,     0,  1074,   381,   382,     0,     0,   383,   384,   761,
     385,   762,  1075,   387,   388,   389,   390,   391,   392,   393,
       0,   394,  1076,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,  1077,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   763,   427,   428,
    1078,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,  1079,   443,   444,   445,   446,
       0,   447,  1080,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,  1081,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,  1082,  1083,     0,
       0,   471,  1084,   473,  1085,  1086,   475,   476,   477,   478,
    4498,   480,   481,     0,  1087,   482,   483,   484,   485,   486,
    1088,     0,   487,   488,   489,   490,   491,   492,  1089,     0,
     494,   765,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,  1090,  1091,
    1092,  1093,  1094,  1095,  1096,  1097,   515,   516,   517,     0,
       0,     0,     0,     0,     0,     0,     0,  1098,  1099,     0,
       0,   743,  1032,   573,  1033,  1034,  1101,   624,  1036,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,  1037,     0,
       0,   223,   224,     0,   225,   226,   744,   227,   228,   229,
     230,  1038,   745,  1039,  1040,     0,   234,   235,   236,   237,
     238,  1041,  1042,   239,   240,  1043,  1044,   243,     0,   244,
     245,   246,   247,  1045,     0,  1046,     0,   249,   250,   251,
     252,   747,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,   748,   261,   262,  1047,  1048,  1049,  1050,  1051,
    1052,  1053,   263,   264,   265,   266,   267,   268,  1054,  1055,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,  1056,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,  1057,   297,   298,   299,  1058,  1059,   301,
       0,   302,   303,  1060,   305,     0,   306,     0,   307,   750,
       0,   751,   308,   309,   310,     0,   311,  1061,     0,   313,
       0,   314,   315,   316,   317,   318,   752,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,   753,
     329,   330,   331,   332,   333,  1062,  1063,     0,  1064,     0,
     337,   754,   755,   338,   756,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,  1065,   757,   348,   758,     0,
     349,   350,   351,  1066,  1067,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,  1068,   759,
    1069,   367,   368,   369,     0,   370,   371,   760,   372,  1071,
    1072,   374,  1073,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,   761,   385,   762,
    1075,   387,   388,   389,   390,   391,   392,   393,     0,   394,
    1076,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,  1077,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   763,   427,   428,  1078,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,  1079,   443,   444,   445,   446,   764,   447,
    1080,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,  1081,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,  1082,  1083,     0,     0,   471,
    1084,   473,  1085,  1086,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,  1088,     0,
     487,   488,   489,   490,   491,   492,  1089,     0,   494,   765,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,  1090,  1091,  1092,  1093,
    1094,  1095,  1096,  1097,   515,   516,   517,     0,     0,     0,
       0,     0,     0,     0,   743,  1032,   573,  1033,  1034,     0,
     624,  1036,     0,     0,  1101,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,  1037,     0,     0,   223,   224,     0,   225,   226,   744,
     227,   228,   229,   230,  1038,   745,  1039,  1040,     0,  3529,
     235,   236,   237,   238,  1041,  1042,   239,   240,  1043,  1044,
     243,     0,   244,   245,   246,   247,  1045,     0,  1046,     0,
     249,   250,   251,   252,   747,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,   748,   261,   262,  1047,  1048,
    1049,  1050,  1051,  1052,  1053,   263,   264,   265,   266,   267,
     268,  1054,  1055,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
    1056,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,  1057,   297,   298,   299,
    1058,  1059,   301,     0,   302,   303,  1060,   305,     0,   306,
       0,   307,   750,     0,   751,   308,   309,   310,     0,   311,
    1061,     0,   313,     0,   314,   315,   316,   317,   318,   752,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,   753,   329,   330,   331,   332,   333,  1062,  1063,
       0,  1064,     0,   337,   754,   755,   338,   756,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,  1065,   757,
     348,   758,     0,   349,   350,   351,  1066,  1067,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,  1068,   759,  1069,   367,   368,   369,     0,   370,   371,
     760,   372,  1071,  1072,   374,  1073,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
     761,   385,   762,  1075,   387,   388,   389,   390,   391,   392,
     393,     0,   394,  1076,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,  1077,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   763,   427,
     428,  1078,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,  1079,   443,   444,   445,
     446,   764,   447,  1080,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,  1081,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,  1082,  1083,
       0,     0,   471,  1084,   473,  1085,  1086,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,  1088,     0,   487,   488,   489,   490,   491,   492,  1089,
       0,   494,   765,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,  1090,
    1091,  1092,  1093,  1094,  1095,  1096,  1097,   515,   516,   517,
       0,     0,     0,     0,     0,     0,     0,   743,  1032,   573,
    1033,  1034,  1035,   624,  1036,     0,     0,  1101,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,  1037,     0,     0,   223,   224,     0,
     225,   226,   744,   227,   228,   229,     0,  1038,   745,  1039,
    1040,     0,   234,   235,   236,   237,   238,  1041,  1042,   239,
     240,  1043,  1044,   243,     0,   244,   245,   246,   247,  1045,
       0,  1046,     0,   249,   250,   251,   252,   747,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   748,   261,
     262,  1047,  1048,  1049,  1050,  1051,  1052,  1053,   263,   264,
     265,   266,   267,   268,  1054,  1055,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,  1056,   284,   285,     0,   286,   287,   288,
       0,   289,     0,   291,     0,   292,   293,   294,   295,  1057,
     297,   298,   299,  1058,  1059,   301,     0,   302,   303,  1060,
     305,     0,   306,     0,   307,   750,     0,   751,   308,   309,
     310,     0,   311,  1061,     0,   313,     0,   314,   315,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,   753,   329,   330,   331,   332,
     333,  1062,  1063,     0,  1064,     0,   337,   754,   755,   338,
     756,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,  1065,   757,   348,     0,     0,   349,   350,   351,  1066,
    1067,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,  1068,   759,  1069,   367,   368,   369,
       0,   370,   371,   760,   372,  1071,  1072,   374,  1073,   376,
     377,   378,     0,   379,     0,     0,  1074,   381,   382,     0,
       0,   383,   384,   761,   385,   762,  1075,   387,   388,   389,
     390,   391,   392,   393,     0,   394,  1076,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,  1077,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   763,   427,   428,  1078,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,  1079,
     443,   444,   445,   446,     0,   447,  1080,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,  1081,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,  1082,  1083,     0,     0,   471,  1084,   473,  1085,  1086,
     475,   476,   477,   478,   479,   480,   481,     0,  1087,   482,
     483,   484,   485,   486,  1088,     0,   487,   488,   489,   490,
     491,   492,  1089,     0,   494,   765,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,  1090,  1091,  1092,  1093,  1094,  1095,  1096,  1097,
     515,   516,   517,     0,     0,     0,     0,     0,     0,     0,
       0,  1098,  1099,     0,     0,     0,     0,     0,     0,     0,
    1101,   743,  1032,   573,  1033,  1034,  1035,   624,  1036,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,  1037,     0,
       0,   223,   224,     0,   225,   226,   744,   227,   228,   229,
       0,  1038,   745,  1039,  1040,     0,   234,   235,   236,   237,
     238,  1041,  1042,   239,   240,  1043,  1044,   243,     0,   244,
     245,   246,   247,  1045,     0,  1046,     0,   249,   250,   251,
     252,   747,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,   748,   261,   262,  1047,  1048,  1049,  1050,  1051,
    1052,  1053,   263,   264,   265,   266,   267,   268,  1054,  1055,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,  1056,   284,   285,
       0,   286,   287,   288,     0,   289,     0,   291,     0,   292,
     293,   294,   295,  1057,   297,   298,   299,  1058,  1059,   301,
       0,   302,   303,  1060,   305,     0,   306,     0,   307,   750,
       0,   751,   308,   309,   310,     0,   311,  1061,     0,   313,
       0,   314,   315,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,   753,
     329,   330,   331,   332,   333,  1062,  1063,     0,  1064,     0,
     337,   754,   755,   338,   756,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,  1065,   757,   348,     0,     0,
     349,   350,   351,  1066,  1067,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,  1068,   759,
    1069,   367,   368,   369,     0,   370,   371,   760,   372,  1071,
    1072,   374,  1073,   376,   377,   378,     0,   379,     0,     0,
    1074,   381,   382,     0,     0,   383,   384,   761,   385,   762,
    1075,   387,   388,   389,   390,   391,   392,   393,     0,   394,
    1076,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,  1077,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   763,   427,   428,  1078,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,  1079,   443,   444,   445,   446,     0,   447,
    1080,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,  1081,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,  1082,  1083,     0,     0,   471,
    1084,   473,  1085,  1086,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,  1088,     0,
     487,   488,   489,   490,   491,   492,  1089,     0,   494,   765,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,  1090,  1091,  1092,  1093,
    1094,  1095,  1096,  1097,   515,   516,   517,     0,     0,     0,
       0,     0,     0,     0,   743,  2376,  2377,     0,     0,     0,
       0,     0,     0,     0,  1101,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,   744,
     227,   228,   229,   230,   231,   745,   232,   233,     0,   234,
     235,   236,   237,   238,     0,  1042,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,  1045,     0,  1046,     0,
     249,   250,   251,   252,   747,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,   748,   261,   262,  1047,  1048,
    1049,  1050,  1051,  1052,  1053,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
    1058,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,   750,     0,   751,   308,   309,   310,     0,   311,
    1061,     0,   313,     0,   314,   315,   316,   317,   318,   752,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,   753,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,   754,   755,   338,   756,   339,   340,
     341,   342,   343,  3087,   344,   345,     0,   346,  1065,   757,
     348,   758,     0,   349,   350,   351,  1066,  1067,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   759,   366,   367,   368,   369,     0,   370,   371,
     760,   372,     0,  1072,   374,   375,   376,   377,   378,     0,
     379,     0,   708,   380,   381,   382,     0,     0,   383,   384,
     761,   385,   762,  1075,   387,   388,   389,   390,   391,   392,
     393,     0,   394,  1076,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   763,   427,
     428,   429,  3088,   431,   432,   433,   434,   435,   436,   437,
      38,   438,   439,   440,   441,   442,  1079,   443,   444,   445,
     446,   764,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,  1081,     0,   461,   462,
      42,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,  1084,   473,  1085,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,  1088,     0,   487,   488,   489,   490,   491,   971,   493,
       0,   494,   765,   495,   496,   497,   498,     0,     0,   499,
       0,    47,   500,   501,   502,   503,   504,   505,   506,  1090,
    1091,  1092,  1093,  1094,  1095,  1096,  1097,   515,   516,   517,
       0,     0,     0,     0,     0,     0,     0,   743,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3089,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,   744,   227,   228,   229,   230,   231,   745,   232,
     233,     0,   234,   235,   236,   237,   238,     0,  1042,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,  1045,
       0,  1046,     0,   249,   250,   251,   252,   747,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   748,   261,
     262,  1047,  1048,  1049,  1050,  1051,  1052,  1053,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,  1058,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,   750,     0,   751,   308,   309,
     310,     0,   311,  1061,     0,   313,     0,   314,   315,   316,
     317,   318,   752,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,   753,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,   754,   755,   338,
     756,   339,   340,   341,   342,   343,  3087,   344,   345,     0,
     346,  1065,   757,   348,   758,     0,   349,   350,   351,  1066,
    1067,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   759,   366,   367,   368,   369,
       0,   370,   371,   760,   372,     0,  1072,   374,   375,   376,
     377,   378,     0,   379,     0,   708,   380,   381,   382,     0,
       0,   383,   384,   761,   385,   762,  1075,   387,   388,   389,
     390,   391,   392,   393,     0,   394,  1076,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   763,   427,   428,   429,  3088,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,  1079,
     443,   444,   445,   446,   764,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,  1081,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,  1084,   473,  1085,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,  1088,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,   765,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,  1090,  1091,  1092,  1093,  1094,  1095,  1096,  1097,
     515,   516,   517,     0,     0,     0,     0,     0,     0,     0,
     743,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3089,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,   744,   227,   228,   229,   230,
     231,   745,   232,   233,     0,   234,   235,   236,   237,   238,
       0,  1042,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,  1045,     0,  1046,     0,   249,   250,   251,   252,
     747,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,   748,   261,   262,  1047,  1048,  1049,  1050,  1051,  1052,
    1053,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,  1058,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,   750,     0,
     751,   308,   309,   310,     0,   311,  1061,     0,   313,     0,
     314,   315,   316,   317,   318,   752,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,   753,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
     754,   755,   338,   756,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,  1065,   757,   348,   758,     0,   349,
     350,   351,  1066,  1067,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   759,   366,
     367,   368,   369,     0,   370,   371,   760,   372,     0,  1072,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,   761,   385,   762,  1075,
     387,   388,   389,   390,   391,   392,   393,     0,   394,  1076,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   763,   427,   428,   429,  3088,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,  1079,   443,   444,   445,   446,   764,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,  1081,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,  1084,
     473,  1085,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,  1088,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   765,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,  1090,  1091,  1092,  1093,  1094,
    1095,  1096,  1097,   515,   516,   517,     0,     0,     0,     0,
       0,     0,     0,   743,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    48,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,   744,   227,
     228,   229,   230,   231,   745,   232,   233,     0,   234,   235,
     236,   237,   238,     0,  1042,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,  1045,     0,  1046,     0,   249,
     250,   251,   252,   747,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   748,   261,   262,  1047,  1048,  1049,
    1050,  1051,  1052,  1053,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,  1058,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,   750,     0,   751,   308,   309,   310,     0,   311,  1061,
       0,   313,     0,   314,   315,   316,   317,   318,   752,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,   753,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,   754,   755,   338,   756,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,  1065,   757,   348,
     758,     0,   349,   350,   351,  1066,  1067,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   759,   366,   367,   368,   369,     0,   370,   371,   760,
     372,     0,  1072,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,   761,
     385,   762,  1075,   387,   388,   389,   390,   391,   392,   393,
       0,   394,  1076,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   763,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,  1079,   443,   444,   445,   446,
     764,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,  1081,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,  1084,   473,  1085,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
    1088,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,   765,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,  1090,  1091,
    1092,  1093,  1094,  1095,  1096,  1097,   515,   516,   517,     0,
       0,     0,     0,     0,     0,     0,   786,  1289,   573,     0,
       0,     0,   624,     0,     0,     0,  3646,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,   744,   227,   228,   229,   230,   231,   745,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
     746,     0,   249,   250,   251,   252,   747,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,   748,   261,   262,
       0,     0,     0,   749,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,  1538,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,   750,     0,   751,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     318,   752,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,   753,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,   754,   755,   338,   756,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,   757,   348,   758,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   759,   366,   367,   368,   369,     0,
     370,   371,   760,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,  1539,     0,   380,   381,   382,     0,     0,
     383,   384,   761,   385,   762,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     763,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   764,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,  1540,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   765,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,     0,     0,     0,     0,     0,     0,   786,
    1290,  1291,  4066,     0,     0,     0,     0,     0,     0,  4067,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     3,     4,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,   744,   227,   228,   229,   230,   231,
     745,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,   746,     0,   249,   250,   251,   252,   747,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
     748,   261,   262,     0,     0,     0,   749,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,   750,     0,   751,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,   752,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,   753,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,   754,
     755,   338,   756,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,   757,   348,   758,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   759,   366,   367,
     368,   369,     0,   370,   371,   760,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,   761,   385,   762,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   763,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    38,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   764,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,    42,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   971,   493,     0,   494,   765,   495,   496,
     497,   498,     0,     0,   499,     0,    47,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,     0,     0,     0,     0,
       0,     0,   743,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    48,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,   744,   227,   228,
     229,   230,   231,   745,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,   746,     0,   249,   250,
     251,   252,   747,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,   748,   261,   262,     0,     0,     0,   749,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
     750,     0,   751,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,   752,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
     753,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,   754,   755,   338,   756,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,   757,   348,   758,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     759,   366,   367,   368,   369,     0,   370,   371,   760,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,   761,   385,
     762,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   763,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   764,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
     765,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,     0,
       0,     0,     0,     0,     0,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4227,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    38,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,    42,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   971,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,    47,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,     0,     0,     0,     0,     0,     0,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    48,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,     0,     0,     0,     0,     0,
       0,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1157,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,     0,
       0,     0,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,     0,     0,
       0,     0,     0,     0,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2531,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,     0,     0,     0,     0,     0,     0,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3565,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,     0,     0,     0,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,     0,     0,     0,     0,     0,     0,
    1399,  1289,   573,     0,     0,   797,   624,     0,     0,     0,
    3962,   211,   212,   213,   214,   215,   216,   217,   218,  1743,
     220,   221,   222,  1744,  1745,  1746,  1747,  1748,  1749,  1750,
     223,   224,  1751,   225,   226,   744,   227,   228,   229,     0,
    1400,   745,  1401,  1402,  1752,   234,   235,   236,   237,   238,
    1753,  1754,   239,   240,  1403,  1404,   243,  1755,   244,   245,
     246,   247,     0,  1756,   746,  1757,   249,   250,   251,   252,
     747,   253,   254,  1758,   255,   256,   257,   258,   259,   260,
    1759,   748,   261,   262,  1760,  1761,  1762,   749,  1763,  1764,
    1765,   263,   264,   265,   266,   267,   268,  1405,  1406,   271,
    1766,   272,  1767,   273,   274,   275,   276,   277,  1768,   278,
     279,   280,  1769,  1770,   281,   282,  1056,   284,   285,  1771,
     286,   287,   288,  1772,   289,   290,   291,  1773,   292,   293,
     294,   295,     0,   297,   298,   299,     0,  1774,   301,  1775,
     302,   303,  1407,   305,  1776,   306,  1777,   307,   750,  1778,
     751,   308,   309,   310,  1779,   311,     0,  1780,   313,  1781,
     314,   315,   316,   317,   318,   752,   319,   320,   321,  1782,
     322,   323,   324,   325,   326,   327,  1783,   328,   753,     0,
     330,   331,   332,   333,  1408,  1409,  1784,  1410,  1785,   337,
     754,   755,   338,   756,   339,   340,   341,   342,   343,  1786,
     344,   345,  1787,   346,     0,   757,   348,   758,  1788,   349,
     350,   351,  1789,  1790,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,  1411,   759,  1412,
     367,   368,     0,  1791,   370,   371,   760,   372,  1792,     0,
     374,  1413,   376,   377,   378,  1793,   379,  1794,  1795,  3325,
     381,   382,  1796,  1797,   383,     0,   761,   385,   762,     0,
     387,   388,   389,   390,   391,   392,   393,  1798,   394,     0,
     396,     0,   398,   399,   400,  1799,   401,   402,   403,   404,
     405,   406,   407,   408,  1414,   410,   411,   412,   413,  1800,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,  1801,   425,   426,   763,   427,   428,     0,   430,   431,
     432,   433,   434,   435,   436,   437,  1802,   438,   439,   440,
     441,   442,  1803,   443,  1883,   445,   446,   764,   447,  1416,
     449,  1804,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,     0,  1805,   461,   462,  1806,   463,   464,   465,
     466,   467,   468,  1807,  1417,  1418,  1808,  1809,   471,     0,
     473,     0,  1810,   475,   476,   477,   478,   479,   480,   481,
    1811,  1812,   482,   483,   484,   485,   486,  1813,  1814,   487,
     488,   489,   490,   491,     0,  1419,  1815,   494,   765,   495,
     496,   497,   498,  1816,  1817,   499,  1818,  1819,   500,   501,
     502,   503,   504,   505,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   515,   516,   517,     0,     0,     0,     0,
     800,   801,   802,     0,  3326,  3327,   805,   806,   807,   808,
     210,     0,     0,     0,     0,   797,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   798,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   799,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,     0,     0,     0,
     800,   801,   802,     0,   803,   804,   805,   806,   807,   808,
     210,     0,     0,     0,     0,   797,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   894,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   895,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,     0,     0,     0,
     800,   801,   802,     0,   803,   804,   805,   806,   807,   808,
     210,     0,     0,     0,     0,   797,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   944,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   945,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   946,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,     0,     0,     0,
     800,   801,   802,     0,   803,   804,   805,   806,   807,   808,
     210,     0,     0,     0,     0,   797,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,  1384,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,  1385,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,     0,     0,     0,
     800,   801,   802,     0,   803,   804,   805,   806,   807,   808,
     210,     0,     0,     0,     0,   797,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,     0,     0,     0,
     800,   801,   802,     0,   803,   804,   805,   806,   807,   808,
     210,     0,     0,     0,     0,   797,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,  2608,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,  2609,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,     0,     0,     0,
     800,   801,   802,     0,   803,   804,   805,   806,   807,   808,
     210,     0,     0,     0,     0,   797,     0,     0,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,     0,     0,   249,   250,   251,   252,
       0,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,     0,   261,   262,     0,     0,     0,     0,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,     0,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,     0,     0,
       0,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,     0,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
       0,     0,   338,     0,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,     0,   348,     0,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,     0,   366,
     367,   368,   369,     0,   370,   371,     0,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,     0,     0,  4206,
     381,   382,     0,     0,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,     0,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,     0,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,     0,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,     0,     0,  1742,
     800,   801,   802,     0,   803,   804,   805,   806,   807,   808,
     211,   212,   213,   214,   215,   216,   217,   218,  1743,   220,
     221,   222,  1744,  1745,  1746,  1747,  1748,  1749,  1750,   223,
     224,  1751,   225,   226,   744,   227,   228,   229,   230,   231,
     745,   232,   233,  1752,   234,   235,   236,   237,   238,  1753,
    1754,   239,   240,   241,   242,   243,  1755,   244,   245,   246,
     247,   248,  1756,   746,  1757,   249,   250,   251,   252,   747,
     253,   254,  1758,   255,   256,   257,   258,   259,   260,  1759,
     748,   261,   262,  1760,  1761,  1762,   749,  1763,  1764,  1765,
     263,   264,   265,   266,   267,   268,   269,   270,   271,  1766,
     272,  1767,   273,   274,   275,   276,   277,  1768,   278,   279,
     280,  1769,  1770,   281,   282,   283,   284,   285,  1771,   286,
     287,   288,  1772,   289,   290,   291,  1773,   292,   293,   294,
     295,   296,   297,   298,   299,   300,  1774,   301,  1775,   302,
     303,   304,   305,  1776,   306,  1777,   307,   750,  1778,   751,
     308,   309,   310,  1779,   311,   312,  1780,   313,  1781,   314,
     315,   316,   317,   318,   752,   319,   320,   321,  1782,   322,
     323,   324,   325,   326,   327,  1783,   328,   753,   329,   330,
     331,   332,   333,   334,   335,  1784,   336,  1785,   337,   754,
     755,   338,   756,   339,   340,   341,   342,   343,  1786,   344,
     345,  1787,   346,   347,   757,   348,   758,  1788,   349,   350,
     351,  1789,  1790,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   759,   366,   367,
     368,   369,  1791,   370,   371,   760,   372,  1792,   373,   374,
     375,   376,   377,   378,  1793,   379,  1794,  1795,   380,   381,
     382,  1796,  1797,   383,   384,   761,   385,   762,   386,   387,
     388,   389,   390,   391,   392,   393,  1798,   394,   395,   396,
     397,   398,   399,   400,  1799,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,  1800,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
    1801,   425,   426,   763,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,  1802,   438,   439,   440,   441,
     442,  1803,   443,   444,   445,   446,   764,   447,   448,   449,
    1804,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,  1805,   461,   462,  1806,   463,   464,   465,   466,
     467,   468,  1807,   469,   470,  1808,  1809,   471,   472,   473,
     474,  1810,   475,   476,   477,   478,   479,   480,   481,  1811,
    1812,   482,   483,   484,   485,   486,  1813,  1814,   487,   488,
     489,   490,   491,   492,   493,  1815,   494,   765,   495,   496,
     497,   498,  1816,  1817,   499,  1818,  1819,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1820,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,  1399,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   713,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,   744,   227,   228,   229,
       0,  1400,   745,  1401,  1402,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,  1403,  1404,   243,     0,   244,
     245,   246,   247,     0,     0,   746,     0,   249,   250,   251,
     252,   747,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,   748,   261,   262,     0,     0,     0,   749,     0,
       0,     0,   263,   264,   265,   266,   267,   268,  1405,  1406,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,  1056,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,     0,   297,   298,   299,     0,     0,   301,
       0,   302,   303,  1407,   305,     0,   306,     0,   307,   750,
       0,   751,   308,   309,   310,     0,   311,     0,     0,   313,
       0,   314,   315,   316,   317,   318,   752,   319,   320,   321,
    1879,   322,   323,   324,   325,   326,   327,     0,   328,   753,
    1880,   330,   331,   332,   333,  1408,  1409,     0,  1410,     0,
     337,   754,   755,   338,   756,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,     0,   757,   348,   758,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,  1411,   759,
    1412,   367,   368,     0,     0,   370,   371,   760,   372,     0,
       0,   374,  1413,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,  1881,   383,  1882,   761,   385,   762,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   396,     0,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,  1414,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   763,   427,   428,     0,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,  1883,   445,   446,   764,   447,
    1416,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,     0,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,  1417,  1418,     0,     0,   471,
       0,   473,     0,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,     0,  1419,  1884,   494,   765,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,     0,     0,     0,  2137,     0,
       0,     0,     0,     0,   515,   516,   517,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,  1885,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,   744,   227,   228,   229,     0,  1400,   745,
    1401,  1402,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,  1403,  1404,   243,     0,   244,   245,   246,   247,
       0,     0,   746,     0,   249,   250,   251,   252,   747,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   748,
     261,   262,     0,     0,     0,   749,     0,     0,     0,   263,
     264,   265,   266,   267,   268,  1405,  1406,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,  1056,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
       0,   297,   298,   299,     0,     0,   301,     0,   302,   303,
    1407,   305,     0,   306,     0,   307,   750,     0,   751,   308,
     309,   310,     0,   311,     0,     0,   313,     0,   314,   315,
     316,   317,   318,   752,   319,   320,   321,  1879,   322,   323,
     324,   325,   326,   327,     0,   328,   753,  1880,   330,   331,
     332,   333,  1408,  1409,     0,  1410,     0,   337,   754,   755,
     338,   756,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,     0,   757,   348,   758,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,  1411,   759,  1412,   367,   368,
       0,     0,   370,   371,   760,   372,     0,     0,   374,  1413,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,  1881,   383,  1882,   761,   385,   762,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   396,     0,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,  1414,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   763,   427,   428,     0,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,  1883,   445,   446,   764,   447,  1416,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
       0,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,  1417,  1418,     0,     0,   471,     0,   473,     0,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,     0,  1419,  1884,   494,   765,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,     0,     0,     0,   210,     0,     0,     0,     0,
       0,   515,   516,   517,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,  1885,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   786,  1289,   573,     0,     0,     0,   624,     0,     0,
       0,  4255,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,   744,   227,   228,   229,
     230,   231,   745,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,   746,     0,   249,   250,   251,
     252,   747,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,   748,   261,   262,     0,     0,     0,   749,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,  1732,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,  1538,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,   750,
       0,   751,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   318,   752,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,   753,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,   754,   755,   338,   756,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,   757,   348,   758,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   759,
     366,   367,   368,   369,     0,   370,   371,   760,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,  1539,     0,
     380,   381,   382,     0,     0,   383,   384,   761,   385,   762,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   763,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   764,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,  1540,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,   765,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   786,  1289,   573,
       0,     0,     0,   624,     0,  1290,  1291,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,   744,   227,   228,   229,   230,   231,   745,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,   746,     0,   249,   250,   251,   252,   747,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   748,   261,
     262,     0,     0,     0,   749,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,  1737,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,  1538,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,   750,     0,   751,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   318,   752,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,   753,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,   754,   755,   338,
     756,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,   757,   348,   758,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   759,   366,   367,   368,   369,
       0,   370,   371,   760,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,  1539,     0,   380,   381,   382,     0,
       0,   383,   384,   761,   385,   762,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   763,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   764,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,  1540,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,   765,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   786,  1289,   573,     0,     0,     0,   624,
       0,  1290,  1291,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,   744,   227,
     228,   229,   230,   231,   745,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,   746,     0,   249,
     250,   251,   252,   747,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   748,   261,   262,     0,     0,     0,
     749,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
    1538,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,   750,     0,   751,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,   752,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,   753,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,   754,   755,   338,   756,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,   757,   348,
     758,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   759,   366,   367,   368,   369,     0,   370,   371,   760,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
    1539,     0,   380,   381,   382,     0,     0,   383,   384,   761,
     385,   762,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   763,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     764,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,  1540,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,   765,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   210,
       0,     0,     0,     0,     0,   624,     0,  1290,  1291,     0,
     211,   625,   213,   214,   215,   216,   217,   218,   626,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   627,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     628,   304,   305,     0,   306,     0,   629,     0,   630,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,     0,   319,   320,   321,   631,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   632,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   633,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   634,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   635,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,  1742,  4565,   573,     0,     0,
       0,   624,     0,   636,   637,     0,   211,   212,   213,   214,
     215,   216,   217,   218,  1743,   220,   221,   222,  1744,  1745,
    1746,  1747,  1748,  1749,  1750,   223,   224,  1751,   225,   226,
     744,   227,   228,   229,   230,   231,   745,   232,   233,  1752,
     234,   235,   236,   237,   238,  1753,  1754,   239,   240,   241,
     242,   243,  1755,   244,   245,   246,   247,   248,  1756,   746,
    1757,   249,   250,   251,   252,   747,   253,   254,  1758,   255,
     256,   257,   258,   259,   260,  1759,   748,   261,   262,  1760,
    1761,  1762,   749,  1763,  1764,  1765,   263,   264,   265,   266,
     267,   268,   269,   270,   271,  1766,   272,  1767,   273,   274,
     275,   276,   277,  1768,   278,   279,   280,  1769,  1770,   281,
     282,   283,   284,   285,  1771,   286,   287,   288,  1772,   289,
     290,   291,  1773,   292,   293,   294,   295,   296,   297,   298,
     299,   300,  1774,   301,  1775,   302,   303,   304,   305,  1776,
     306,  1777,   307,   750,  1778,   751,   308,   309,   310,  1779,
     311,   312,  1780,   313,  1781,   314,   315,   316,   317,   318,
     752,   319,   320,   321,  1782,   322,   323,   324,   325,   326,
     327,  1783,   328,   753,   329,   330,   331,   332,   333,   334,
     335,  1784,   336,  1785,   337,   754,   755,   338,   756,   339,
     340,   341,   342,   343,  1786,   344,   345,  1787,   346,   347,
     757,   348,   758,  1788,   349,   350,   351,  1789,  1790,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   759,   366,   367,   368,   369,  1791,   370,
     371,   760,   372,  1792,   373,   374,   375,   376,   377,   378,
    1793,   379,  1794,  1795,   380,   381,   382,  1796,  1797,   383,
     384,   761,   385,   762,   386,   387,   388,   389,   390,   391,
     392,   393,  1798,   394,   395,   396,   397,   398,   399,   400,
    1799,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,  1800,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,  1801,   425,   426,   763,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,  1802,   438,   439,   440,   441,   442,  1803,   443,   444,
     445,   446,   764,   447,   448,   449,  1804,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,  1805,   461,
     462,  1806,   463,   464,   465,   466,   467,   468,  1807,   469,
     470,  1808,  1809,   471,   472,   473,   474,  1810,   475,   476,
     477,   478,   479,   480,   481,  1811,  1812,   482,   483,   484,
     485,   486,  1813,  1814,   487,   488,   489,   490,   491,   492,
     493,  1815,   494,   765,   495,   496,   497,   498,  1816,  1817,
     499,  1818,  1819,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,  1742,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
    1743,   220,   221,   222,  1744,  1745,  1746,  1747,  1748,  1749,
    1750,   223,   224,  1751,   225,   226,   744,   227,   228,   229,
     230,   231,   745,   232,   233,  1752,   234,   235,   236,   237,
     238,  1753,  1754,   239,   240,   241,   242,   243,  1755,   244,
     245,   246,   247,   248,  1756,   746,  1757,   249,   250,   251,
     252,   747,   253,   254,  1758,   255,   256,   257,   258,   259,
     260,  1759,   748,   261,   262,  1760,  1761,  1762,   749,  1763,
    1764,  1765,   263,   264,   265,   266,   267,   268,   269,   270,
     271,  1766,   272,  1767,   273,   274,   275,   276,   277,  1768,
     278,   279,   280,  1769,  1770,   281,   282,   283,   284,   285,
    1771,   286,   287,   288,  1772,   289,   290,   291,  1773,   292,
     293,   294,   295,   296,   297,   298,   299,   300,  1774,   301,
    1775,   302,   303,   304,   305,  1776,   306,  1777,   307,   750,
    1778,   751,   308,   309,   310,  1779,   311,   312,  1780,   313,
    1781,   314,   315,   316,   317,   318,   752,   319,   320,   321,
    1782,   322,   323,   324,   325,   326,   327,  1783,   328,   753,
     329,   330,   331,   332,   333,   334,   335,  1784,   336,  1785,
     337,   754,   755,   338,   756,   339,   340,   341,   342,   343,
    1786,   344,   345,  1787,   346,   347,   757,   348,   758,  1788,
     349,   350,   351,  1789,  1790,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   759,
     366,   367,   368,   369,  1791,   370,   371,   760,   372,  1792,
     373,   374,   375,   376,   377,   378,  1793,   379,  1794,  1795,
     380,   381,   382,  1796,  1797,   383,   384,   761,   385,   762,
     386,   387,   388,   389,   390,   391,   392,   393,  1798,   394,
     395,   396,   397,   398,   399,   400,  1799,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
    1800,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,  1801,   425,   426,   763,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,  1802,   438,   439,
     440,   441,   442,  1803,   443,   444,   445,   446,   764,   447,
     448,   449,  1804,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,  1805,   461,   462,  1806,   463,   464,
     465,   466,   467,   468,  1807,   469,   470,  1808,  1809,   471,
     472,   473,   474,  1810,   475,   476,   477,   478,   479,   480,
     481,  1811,  1812,   482,   483,   484,   485,   486,  1813,  1814,
     487,   488,   489,   490,   491,   492,   493,  1815,   494,   765,
     495,   496,   497,   498,  1816,  1817,   499,  1818,  1819,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,  1742,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,  2667,   216,   217,   218,  1743,   220,   221,   222,
    1744,  1745,  1746,  1747,  1748,  1749,  1750,   223,   224,  1751,
     225,   226,   744,   227,   228,   229,   230,   231,   745,   232,
     233,  1752,   234,   235,   236,   237,   238,  1753,  1754,   239,
     240,   241,   242,   243,  1755,   244,   245,   246,   247,   248,
    1756,   746,  1757,   249,   250,   251,   252,   747,   253,   254,
    1758,   255,   256,   257,   258,   259,   260,  1759,   748,   261,
     262,  1760,  1761,  1762,   749,  1763,  1764,  1765,   263,   264,
     265,   266,   267,   268,   269,   270,   271,  1766,   272,  1767,
     273,   274,   275,   276,   277,  1768,   278,   279,   280,  1769,
    1770,   281,   282,   283,  2668,   285,  1771,   286,   287,   288,
    1772,   289,   290,   291,  1773,   292,   293,   294,   295,   296,
     297,   298,   299,   300,  1774,   301,  1775,   302,   303,   304,
     305,  1776,   306,  1777,   307,   750,  1778,   751,   308,   309,
     310,  1779,   311,   312,  1780,   313,  1781,   314,   315,   316,
     317,   318,   752,   319,   320,   321,  1782,   322,   323,   324,
     325,   326,   327,  1783,   328,   753,   329,   330,   331,   332,
     333,   334,   335,  1784,   336,  1785,   337,   754,   755,   338,
     756,   339,   340,   341,   342,   343,  1786,   344,   345,  1787,
     346,   347,   757,   348,   758,  1788,   349,   350,   351,  1789,
    1790,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   759,   366,   367,   368,   369,
    1791,   370,   371,   760,   372,  1792,   373,   374,   375,   376,
     377,   378,  1793,   379,  1794,  1795,   380,   381,   382,  1796,
    1797,   383,   384,   761,   385,   762,   386,   387,   388,   389,
     390,   391,   392,   393,  1798,   394,   395,   396,   397,   398,
     399,   400,  1799,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,  1800,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,  1801,   425,
     426,   763,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,  1802,   438,   439,   440,   441,   442,  1803,
    2669,   444,   445,   446,   764,   447,   448,   449,  1804,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
    1805,   461,   462,  1806,   463,   464,   465,   466,   467,   468,
    1807,   469,   470,  1808,  1809,   471,   472,   473,   474,  1810,
     475,   476,   477,   478,   479,   480,   481,  1811,  1812,   482,
     483,   484,   485,   486,  1813,  1814,   487,   488,   489,   490,
     491,   492,   493,  1815,   494,   765,   495,   496,   497,   498,
    1816,  1817,   499,  1818,  1819,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   743,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,   744,   227,
     228,   229,   230,   231,   745,   232,   233,     0,   234,   235,
     236,   237,   238,     0,  1042,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,  1045,     0,  1046,     0,   249,
     250,   251,   252,   747,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   748,   261,   262,  1047,  1048,  1049,
    1050,  1051,  1052,  1053,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,  1058,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,   750,     0,   751,   308,   309,   310,     0,   311,  1061,
       0,   313,     0,   314,   315,   316,   317,   318,   752,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,   753,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,   754,   755,   338,   756,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,  1065,   757,   348,
     758,     0,   349,   350,   351,  1066,  1067,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   759,   366,   367,   368,   369,     0,   370,   371,   760,
     372,     0,  1072,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,   761,
     385,   762,  1075,   387,   388,   389,   390,   391,   392,   393,
       0,   394,  1076,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   763,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,  1079,   443,   444,   445,   446,
     764,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,  1081,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,  1084,   473,  1085,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
    1088,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,   765,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,  1090,  1091,
    1092,  1093,  1094,  1095,  1096,  1097,   515,   516,   517,   786,
       0,   573,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,   744,   227,   228,   229,   230,   231,
     745,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,   746,     0,   249,   250,   251,   252,   747,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
     748,   261,   262,     0,     0,     0,   749,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,  1538,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,   750,     0,   751,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,   752,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,   753,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,   754,
     755,   338,   756,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,   757,   348,   758,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   759,   366,   367,
     368,   369,     0,   370,   371,   760,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,  1539,     0,   380,   381,
     382,     0,     0,   383,   384,   761,   385,   762,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   763,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   764,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,  1540,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,   765,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   786,     0,   573,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
     744,   227,   228,   229,   230,   231,   745,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,   746,
       0,   249,   250,   251,   252,   747,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,   748,   261,   262,     0,
       0,     0,   749,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,  1717,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,   750,     0,   751,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
     752,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,   753,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,   754,   755,   338,   756,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
     757,   348,   758,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   759,   366,   367,   368,   369,     0,   370,
     371,   760,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,   761,   385,   762,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   763,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   764,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,   765,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   786,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,   744,   227,   228,   229,
     230,   231,   745,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,   746,     0,   249,   250,   251,
     252,   747,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,   748,   261,   262,     0,     0,     0,   749,     0,
       0,  2093,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,   750,
       0,   751,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   318,   752,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,   753,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,   754,   755,   338,   756,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,   757,   348,   758,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   759,
     366,   367,   368,   369,     0,   370,   371,   760,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,   761,   385,   762,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   763,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   764,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,  2094,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,   765,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   786,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       3,     4,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,   744,   227,   228,   229,   230,   231,   745,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,   746,     0,   249,   250,   251,   252,   747,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   748,   261,
     262,     0,     0,     0,   749,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,   750,     0,   751,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   318,   752,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,   753,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,   754,   755,   338,
     756,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,   757,   348,   758,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   759,   366,   367,   368,   369,
       0,   370,   371,   760,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,   761,   385,   762,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   763,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   764,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,   765,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   786,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,   813,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,   744,   227,
     228,   229,   230,   231,   745,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,   746,     0,   249,
     250,   251,   252,   747,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   748,   261,   262,     0,     0,     0,
     749,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,   750,     0,   751,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,   752,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,   753,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,   754,   755,   338,   756,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,   757,   348,
     758,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   759,   366,   367,   368,   369,     0,   370,   371,   760,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,   761,
     385,   762,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   763,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     764,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,   765,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   786,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,   829,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,   744,   227,   228,   229,   230,   231,
     745,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,   746,     0,   249,   250,   251,   252,   747,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
     748,   261,   262,     0,     0,     0,   749,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,   750,     0,   751,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,   752,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,   753,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,   754,
     755,   338,   756,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,   757,   348,   758,     0,   349,   350,
     351,     0,     0,   352,   353,   830,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   759,   366,   367,
     368,   369,     0,   370,   371,   760,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,   761,   385,   762,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   763,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   764,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,   765,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   786,     0,   573,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
     744,   227,   228,   229,   230,   231,   745,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,   746,
       0,   249,   250,   251,   252,   747,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,   748,   261,   262,     0,
       0,     0,   749,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,   750,     0,   751,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
     752,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,   753,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,   754,   755,   338,   756,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
     757,   348,   758,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   759,   366,   367,   368,   369,     0,   370,
     371,   760,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,   761,   385,   762,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   763,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   764,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,   765,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   786,     0,   573,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,   744,   227,   228,   229,
     230,   231,   745,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,   746,     0,   249,   250,   251,
     252,   747,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,   748,   261,   262,     0,     0,     0,   749,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,   750,
       0,   751,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,  1528,   752,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,   753,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,   754,   755,   338,   756,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,   757,   348,   758,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   759,
     366,   367,   368,   369,     0,   370,   371,   760,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,   761,   385,   762,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   763,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   764,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,   765,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   786,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,   744,   227,   228,   229,   230,   231,   745,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,   746,     0,   249,   250,   251,   252,   747,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   748,   261,
     262,     0,     0,     0,   749,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,   750,     0,   751,   308,   309,
     310,     0,   311,   312,  2943,   313,     0,   314,   315,   316,
     317,   318,   752,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,   753,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,   754,   755,   338,
     756,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,   757,   348,   758,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   759,   366,   367,   368,   369,
       0,   370,   371,   760,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,   761,   385,   762,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   763,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   764,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,   765,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   743,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,   744,   227,
     228,   229,   230,   231,   745,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,   746,     0,   249,
     250,   251,   252,   747,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   748,   261,   262,     0,     0,     0,
     749,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,   750,     0,   751,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,   752,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,   753,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,   754,   755,   338,   756,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,   757,   348,
     758,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   759,   366,   367,   368,   369,     0,   370,   371,   760,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,   761,
     385,   762,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   763,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     764,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,   765,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   786,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,   744,   227,   228,   229,   230,   231,
     745,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,   746,     0,   249,   250,   251,   252,   747,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
     748,   261,   262,     0,     0,     0,   749,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,   750,     0,   751,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,   752,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,   753,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,   754,
     755,   338,   756,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,   757,   348,   758,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   759,   366,   367,
     368,   369,     0,   370,   371,   760,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,   761,   385,   762,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   763,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   764,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,   765,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   786,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
     744,   227,   228,   229,   230,   231,   745,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,   746,
       0,   249,   250,   251,   252,   747,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,   748,   261,   262,     0,
       0,     0,   749,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,   750,     0,   751,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
     752,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,   753,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,   754,   755,   338,   756,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
     757,   348,   758,     0,   349,   350,   351,     0,     0,   352,
     353,   907,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   759,   366,   367,   368,   369,     0,   370,
     371,   760,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,   761,   385,   762,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   763,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   764,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,   765,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   743,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,   744,   227,   228,   229,
     230,   231,   745,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,   746,     0,   249,   250,   251,
     252,   747,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,   748,   261,   262,     0,     0,     0,   749,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,   750,
       0,   751,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   927,   752,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,   753,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,   754,   755,   338,   756,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,   757,   348,   758,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   759,
     366,   367,   368,   369,     0,   370,   371,   760,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,   761,   385,   762,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   763,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   764,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,   765,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   743,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,   744,   227,   228,   229,   230,   231,   745,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,   746,     0,   249,   250,   251,   252,   747,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   748,   261,
     262,     0,     0,     0,   749,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,   750,     0,   751,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   937,   752,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,   753,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,   754,   755,   338,
     756,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,   757,   348,   758,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   759,   366,   367,   368,   369,
       0,   370,   371,   760,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,   761,   385,   762,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   763,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   764,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,   765,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   786,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,   744,   227,
     228,   229,   230,   231,   745,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,   746,     0,   249,
     250,   251,   252,   747,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   748,   261,   262,     0,     0,     0,
     749,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,   750,     0,   751,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   939,   752,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,   753,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,   754,   755,   338,   756,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,   757,   348,
     758,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   759,   366,   367,   368,   369,     0,   370,   371,   760,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,   761,
     385,   762,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   763,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     764,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,   765,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   786,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,   744,   227,   228,   229,   230,   231,
     745,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,   746,     0,   249,   250,   251,   252,   747,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
     748,   261,   262,     0,     0,     0,   749,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,   750,     0,   751,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   949,   752,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,   753,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,   754,
     755,   338,   756,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,   757,   348,   758,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   759,   366,   367,
     368,   369,     0,   370,   371,   760,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,   761,   385,   762,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   763,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   764,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,   765,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   786,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
     744,   227,   228,   229,   230,   231,   745,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,   746,
       0,   249,   250,   251,   252,   747,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,   748,   261,   262,     0,
       0,     0,   749,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,   750,     0,   751,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   960,
     752,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,   753,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,   754,   755,   338,   756,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
     757,   348,   758,     0,   349,   350,   351,     0,     0,   352,
     353,   961,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   759,   366,   367,   368,   369,     0,   370,
     371,   760,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,   761,   385,   762,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   763,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   764,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,   765,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,  1916,   244,
     245,   246,   247,   248,     0,     0,  1989,   249,   250,   251,
     252,     0,   253,   254,  1917,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,  1990,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,  1919,   307,     0,
       0,     0,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,  1920,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,  1921,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,  1916,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
    1917,   255,   256,   257,   258,   259,   260,     0,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,  1990,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,  1919,   307,     0,     0,     0,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,  2842,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,  1920,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,  1921,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   677,
     217,   218,   643,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,   644,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,   678,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   645,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   646,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,   643,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,   644,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,  2570,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   645,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   646,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,  1916,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,  1917,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,  1990,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,  1919,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
    1920,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,  1921,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
     643,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   255,   256,   257,   258,   259,
     260,   644,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,     0,
       0,     0,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     645,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   646,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,  1565,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,  1566,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,  1567,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,  1568,   307,     0,     0,     0,  1569,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,  1570,  1571,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   430,   431,   432,  1572,   434,
     435,   436,   437,     0,  1573,   439,   440,   441,   442,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,  1574,   463,  1575,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,  1576,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,   644,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   645,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   646,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,   822,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   823,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,   708,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     3,     4,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
    2651,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,     0,
       0,     0,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,  2652,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,  2663,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,     0,     0,     0,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,  2664,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,   564,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   565,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,   669,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   670,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   671,
     470,     0,     0,   672,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
     702,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,     0,
       0,     0,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   703,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   704,   470,     0,     0,   705,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,     0,     0,     0,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,   708,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,   792,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   793,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,   920,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,  1132,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,  1143,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   688,   240,   241,   242,  1144,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,     0,
       0,     0,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   691,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   692,   428,   429,   430,
     431,   432,   693,   434,   435,   436,   437,     0,   438,   439,
     440,   441,  1136,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   695,   470,     0,     0,   696,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   697,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,     0,     0,     0,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,  1242,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,   708,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,  1294,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,  1295,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,   669,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,  2465,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,  2466,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,  2467,   463,   464,  2468,   466,  2469,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,  2470,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   210,     0,   573,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,     0,
       0,     0,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,  3581,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,     0,     0,     0,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,  3595,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,  3808,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,  3810,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,  3812,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,     0,
       0,     0,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,     0,     0,     0,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,  4209,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   658,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   667,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   688,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   689,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,     0,
       0,     0,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,   690,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   691,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   692,   428,   429,   430,
     431,   432,   693,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   694,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   695,   470,     0,     0,   696,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   697,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,     0,     0,     0,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   720,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   817,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   832,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   885,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,     0,
       0,     0,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   899,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,     0,     0,     0,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   932,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   951,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   953,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   955,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,     0,
       0,     0,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   958,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,     0,     0,     0,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   964,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   688,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   691,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   692,   428,
     429,   430,   431,   432,   693,   434,   435,   436,   437,     0,
     438,   439,   440,   441,  1136,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   695,   470,     0,
       0,   696,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   697,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,  1445,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,  1475,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,     0,
       0,     0,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,  1504,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,     0,     0,     0,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,  1506,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,  1508,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,  1600,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,  1876,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,     0,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   688,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,     0,
       0,     0,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   691,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   692,   428,   429,   430,
     431,   432,   693,   434,   435,   436,   437,     0,   438,   439,
     440,   441,  1136,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,  1907,
     465,   466,   467,   468,     0,   695,   470,     0,     0,   696,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   697,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   688,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,     0,     0,     0,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   691,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   692,   428,   429,   430,   431,   432,  1974,   434,
     435,   436,   437,     0,   438,   439,   440,   441,  1975,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   695,   470,     0,     0,  1976,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     697,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,  2234,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,  2581,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   688,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   691,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     692,   428,   429,   430,   431,   432,   693,   434,   435,   436,
     437,     0,   438,   439,   440,   441,  1975,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   695,
     470,     0,     0,  1976,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   697,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,     0,
       0,     0,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,  2654,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,     0,     0,     0,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,  2656,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,  2763,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,  1399,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,   744,   227,   228,   229,     0,  1400,
     745,  1401,  1402,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,  1403,  1404,   243,     0,   244,   245,   246,
     247,     0,     0,   746,     0,   249,   250,   251,   252,   747,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
     748,   261,   262,     0,     0,     0,   749,     0,     0,     0,
     263,   264,   265,   266,   267,   268,  1405,  1406,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,  1056,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,     0,   297,   298,   299,     0,     0,   301,     0,   302,
     303,  1407,   305,     0,   306,     0,   307,   750,     0,   751,
     308,   309,   310,     0,   311,     0,     0,   313,     0,   314,
     315,   316,   317,   318,   752,   319,   320,   321,  1879,   322,
     323,   324,   325,   326,   327,     0,   328,   753,  1880,   330,
     331,   332,   333,  1408,  1409,     0,  1410,     0,   337,   754,
     755,   338,   756,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,     0,   757,   348,   758,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,  1411,   759,  1412,   367,
     368,     0,     0,   370,   371,   760,   372,     0,     0,   374,
    1413,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,  1882,   761,   385,   762,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   396,
       0,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,  1414,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   763,   427,   428,     0,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,  1883,   445,   446,   764,   447,  1416,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,     0,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,  1417,  1418,     0,     0,   471,     0,   473,
       0,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,     0,  1419,  1884,   494,   765,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,     0,  1399,     0,     0,     0,     0,     0,
       0,     0,   515,   516,   517,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,   744,
     227,   228,   229,     0,  1400,   745,  1401,  1402,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,  1403,  1404,
     243,     0,   244,   245,   246,   247,     0,     0,   746,     0,
     249,   250,   251,   252,   747,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,   748,   261,   262,     0,     0,
       0,   749,     0,     0,     0,   263,   264,   265,   266,   267,
     268,  1405,  1406,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
    1056,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,     0,   297,   298,   299,
       0,     0,   301,     0,   302,   303,  1407,   305,     0,   306,
       0,   307,   750,     0,   751,   308,   309,   310,     0,   311,
       0,     0,   313,     0,   314,   315,   316,   317,   318,   752,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,   753,     0,   330,   331,   332,   333,  1408,  1409,
       0,  1410,     0,   337,   754,   755,   338,   756,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,     0,   757,
     348,   758,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,  1411,   759,  1412,   367,   368,     0,     0,   370,   371,
     760,   372,  1970,     0,   374,  1413,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,     0,
     761,   385,   762,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   396,     0,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,  1414,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   763,   427,
     428,     0,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,  1883,   445,
     446,   764,   447,  1416,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,     0,     0,   461,   462,
    3437,   463,   464,   465,   466,   467,   468,     0,  1417,  1418,
       0,     0,   471,     0,   473,     0,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,     0,  1419,
       0,   494,   765,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,     0,   210,
       0,     0,     0,     0,     0,     0,     0,   515,   516,   517,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,     0,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,     0,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,     0,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,  1399,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
     744,   227,   228,   229,     0,  1400,   745,  1401,  1402,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,  1403,
    1404,   243,     0,   244,   245,   246,   247,     0,     0,   746,
       0,   249,   250,   251,   252,   747,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,   748,   261,   262,     0,
       0,     0,   749,     0,     0,     0,   263,   264,   265,   266,
     267,   268,  1405,  1406,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,  1056,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,     0,   297,   298,
     299,     0,     0,   301,     0,   302,   303,  1407,   305,     0,
     306,     0,   307,   750,     0,   751,   308,   309,   310,     0,
     311,     0,     0,   313,     0,   314,   315,   316,   317,   318,
     752,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,   753,     0,   330,   331,   332,   333,  1408,
    1409,     0,  1410,     0,   337,   754,   755,   338,   756,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,     0,
     757,   348,   758,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1411,   759,  1412,   367,   368,  2032,     0,   370,
     371,   760,   372,     0,     0,   374,  1413,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
       0,   761,   385,   762,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   396,     0,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,  1414,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   763,
     427,   428,     0,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,  1415,
     445,   446,   764,   447,  1416,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,     0,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,  1417,
    1418,     0,     0,   471,     0,   473,     0,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,     0,
    1419,     0,   494,   765,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,     0,
    1399,     0,     0,     0,     0,     0,     0,     0,   515,   516,
     517,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,   744,   227,   228,   229,     0,
    1400,   745,  1401,  1402,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,  1403,  1404,   243,     0,   244,   245,
     246,   247,     0,     0,   746,     0,   249,   250,   251,   252,
     747,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,   748,   261,   262,     0,     0,     0,   749,     0,     0,
       0,   263,   264,   265,   266,   267,   268,  1405,  1406,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,  1056,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,     0,   297,   298,   299,     0,     0,   301,     0,
     302,   303,  1407,   305,     0,   306,     0,   307,   750,     0,
     751,   308,   309,   310,     0,   311,     0,     0,   313,     0,
     314,   315,   316,   317,   318,   752,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,   753,     0,
     330,   331,   332,   333,  1408,  1409,     0,  1410,     0,   337,
     754,   755,   338,   756,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,     0,   757,   348,   758,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,  1411,   759,  1412,
     367,   368,  3259,     0,   370,   371,   760,   372,     0,     0,
     374,  1413,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,     0,   761,   385,   762,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     396,     0,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,  1414,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   763,   427,   428,     0,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,  1415,   445,   446,   764,   447,  1416,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,     0,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,  1417,  1418,     0,     0,   471,     0,
     473,     0,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,     0,  1419,     0,   494,   765,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,     0,  1399,     0,     0,     0,     0,
       0,     0,     0,   515,   516,   517,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
     744,   227,   228,   229,     0,  1400,   745,  1401,  1402,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,  1403,
    1404,   243,     0,   244,   245,   246,   247,     0,     0,   746,
       0,   249,   250,   251,   252,   747,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,   748,   261,   262,     0,
       0,     0,   749,     0,     0,     0,   263,   264,   265,   266,
     267,   268,  1405,  1406,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,  1056,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,     0,   297,   298,
     299,     0,     0,   301,     0,   302,   303,  1407,   305,     0,
     306,     0,   307,   750,     0,   751,   308,   309,   310,     0,
     311,     0,     0,   313,     0,   314,   315,   316,   317,   318,
     752,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,   753,     0,   330,   331,   332,   333,  1408,
    1409,     0,  1410,     0,   337,   754,   755,   338,   756,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,     0,
     757,   348,   758,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1411,   759,  1412,   367,   368,     0,     0,   370,
     371,   760,   372,     0,     0,   374,  1413,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
       0,   761,   385,   762,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   396,     0,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,  1414,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   763,
     427,   428,     0,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,  1415,
     445,   446,   764,   447,  1416,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,     0,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,  1417,
    1418,     0,     0,   471,     0,   473,     0,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,     0,
    1419,     0,   494,   765,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,     0,
    1399,     0,     0,     0,     0,     0,     0,     0,   515,   516,
     517,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,   744,   227,   228,   229,     0,
    1400,   745,  1401,  1402,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,  1403,  1404,   243,     0,   244,   245,
     246,   247,     0,     0,   746,     0,   249,   250,   251,   252,
     747,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,   748,   261,   262,     0,     0,     0,   749,     0,     0,
       0,   263,   264,   265,   266,   267,   268,  1405,  1406,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,  1056,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,     0,   297,   298,   299,     0,     0,   301,     0,
     302,   303,  1407,   305,     0,   306,     0,   307,   750,     0,
     751,   308,   309,   310,     0,   311,     0,     0,   313,     0,
     314,   315,   316,   317,   318,   752,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,   753,     0,
     330,   331,   332,   333,  1408,  1409,     0,  1410,     0,   337,
     754,   755,   338,   756,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,     0,   757,   348,   758,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,  1411,   759,  1412,
     367,   368,     0,     0,   370,   371,   760,   372,     0,     0,
     374,  1413,   376,   377,   378,     0,   379,     0,     0,   380,
     381,   382,     0,     0,   383,     0,   761,   385,   762,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     396,     0,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,  1414,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   763,   427,   428,     0,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,  1883,   445,   446,   764,   447,  1416,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,     0,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,  1417,  1418,     0,     0,   471,     0,
     473,     0,     0,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,     0,  1419,     0,   494,   765,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,     0,  1399,     0,     0,     0,     0,
       0,     0,     0,   515,   516,   517,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
     744,   227,   228,   229,     0,  1400,   745,  1401,  1402,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,  1403,
    1404,   243,     0,   244,   245,   246,   247,     0,     0,   746,
       0,   249,   250,   251,   252,   747,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,   748,   261,   262,     0,
       0,     0,   749,     0,     0,     0,   263,   264,   265,   266,
     267,   268,  1405,  1406,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,  1056,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,     0,   297,   298,
     299,     0,     0,   301,     0,   302,   303,  1407,   305,     0,
     306,     0,   307,   750,     0,   751,   308,   309,   310,     0,
     311,     0,     0,   313,     0,   314,   315,   316,   317,   318,
     752,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,   753,     0,   330,   331,   332,   333,  1408,
    1409,     0,  1410,     0,   337,   754,   755,   338,   756,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,     0,
     757,   348,   758,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1411,   759,  1412,   367,   368,     0,     0,   370,
     371,   760,   372,     0,     0,   374,  1413,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
       0,   761,   385,   762,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   396,     0,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,  1414,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   763,
     427,   428,     0,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,     0,
     445,   446,   764,   447,  1416,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,     0,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,  1417,
    1418,     0,     0,   471,     0,   473,     0,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,     0,
    1419,     0,   494,   765,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   515,   516,
     517
};

static const yytype_int16 yycheck[] =
{
       0,     0,     0,     0,     0,     0,    16,   975,    34,   938,
     737,    11,    48,   545,    24,   689,    21,   942,   179,   193,
      20,    26,    20,   947,   742,   997,  1228,   188,   594,     7,
     814,   574,   795,   767,  1263,  1179,    14,   171,   604,   819,
     644,   645,   646,  1671,   189,  1569,   650,   831,    48,  1871,
     195,    21,   574,  1163,   840,    12,    26,    43,  1025,  1372,
     592,   206,   967,   696,  1432,  2317,   896,  1269,  2169,   612,
    1415,   877,  1283,  1083,  2031,  1184,   906,  2177,  2623,  1709,
    2840,    22,    17,  1273,  1887,  1888,  2647,  1471,    20,  2667,
    2904,  2669,  2130,    34,  1324,  2865,   536,  2083,   882,  3122,
    1606,  1211,   886,  2060,  2821,  1835,  2531,   891,  2296,  3214,
    2478,  3165,  2476,  2477,   898,  1054,  1055,  3161,  3417,  2883,
    1161,   818,   928,  2893,   908,   158,  3427,   824,   611,  3063,
    1341,  1342,   173,  2803,  1073,     0,   833,  1269,   173,     0,
       0,  3438,  1526,   583,     0,    33,  1336,  2473,  2473,   692,
       0,  2821,    40,  3373,     0,  3095,  3089,     0,     0,     0,
       0,     0,     0,     0,  1215,    39,  2410,  3651,  3094,  1482,
     692,  1255,    42,   173,  1215,  3132,   734,  2539,  1474,  1474,
    3021,  4137,   784,     5,  3858,  2825,  2826,  2827,  2828,  2829,
    2830,   180,   181,  1043,  1044,   184,  1101,   186,  2524,  2524,
    3962,   734,  3964,     5,     0,    11,     0,     0,     0,     9,
       5,    13,   975,     9,    44,  2172,   205,    66,    13,  1069,
      18,   954,  3995,    37,    31,     0,    22,    51,    72,  4130,
      36,    18,   965,    68,    79,    18,    58,     5,     0,     5,
      68,    24,    11,    60,   147,    13,    16,   127,     5,    37,
      51,     5,   158,    68,    25,   103,   122,  1887,     5,     5,
      66,    22,     5,    35,     5,     5,     5,     5,    29,     5,
      22,   875,     5,     5,    51,  4286,     5,    29,     0,   161,
      35,   172,     9,  2625,  4211,  4212,  2243,     9,  2245,     4,
     152,     9,    58,  2537,     9,  3998,   256,   152,   161,   246,
      22,   133,   246,     5,   133,    68,    64,   234,  4082,   237,
     238,     5,    23,    76,   131,   105,    42,    22,    96,    68,
     326,    83,   120,   246,    68,   249,   146,    51,   860,   147,
     103,   201,   149,   120,   115,   147,   117,   120,    83,   157,
     290,  4496,   308,   361,    58,    96,    76,     5,   359,     3,
       4,     5,   234,   312,   172,     9,   152,   359,   152,   152,
     152,   236,  1148,   133,   402,    70,   241,   103,  1102,     4,
     531,   545,    77,   103,     9,   285,   172,   152,   172,   172,
     172,    11,   948,  1146,   422,   403,  4089,    96,  1151,  1152,
       0,   319,    26,    27,  1435,   157,  1130,   172,   543,   104,
    4411,   311,   547,    11,   363,   285,   297,   434,  1418,   284,
     301,   438,   157,   558,   380,    11,   152,   578,   592,  1194,
     963,   349,  1566,  4578,  1948,  4187,  1570,   588,  1572,   440,
     152,  1575,   975,   152,   440,   326,  3656,  1003,   440,   152,
      36,   963,   168,   393,    22,   103,   172,  1013,  4122,   103,
     172,    29,  1381,   273,   110,   236,   234,   302,   385,   387,
    1026,   278,  1386,   153,  1640,   246,  1405,  1406,   241,   152,
      66,   176,   400,    83,  1413,   186,   172,   264,  1654,   303,
     440,   264,  1245,   108,   210,  4259,  1029,   299,   306,   436,
    1253,   249,   436,    76,   977,  1605,   328,  2839,   241,   328,
     241,  4204,   303,   385,   359,   199,   236,  1029,   436,   400,
     297,  4214,   436,   436,   297,  3155,   526,   151,  4445,   153,
    4421,  4532,   385,  3240,   359,  1893,   303,   371,  1704,   300,
     396,   359,    25,   436,   440,  1319,   190,  1321,  1883,   326,
     310,   312,   304,   326,   359,   534,  1243,   157,  1311,   538,
    1330,  1314,  1315,  1403,  1404,  1665,   436,   374,   328,   152,
     214,  3860,  1412,   193,   574,   575,   555,  1397,   390,  1375,
    3240,   359,   386,   334,   346,   423,   612,  4350,   440,   303,
    4536,   379,   334,   616,  1370,   434,   340,   341,  1560,   438,
     525,   346,   363,   383,    22,   440,   359,   384,   349,  1296,
    1143,  1711,  3822,   737,   330,  1530,   436,  3168,  1151,  1152,
     359,   611,   612,   611,   436,   359,   440,  2574,  3552,  1382,
     625,  1143,   627,   359,   629,  3395,   432,   427,   428,   436,
     635,   427,   428,   390,   436,  1676,  3576,   342,   400,   440,
     349,   436,  1567,   439,  1202,   439,   439,   439,   658,  3575,
    3410,  1576,  3585,   610,  3874,   625,  3589,   627,  3499,   629,
    1262,   639,  3426,   432,   439,   635,   636,   637,   436,  1202,
     436,   681,   879,   402,  3631,   437,  4438,   439,   688,   436,
     612,   691,   692,   693,   845,   726,   860,   423,   434,   436,
     436,   726,   438,   422,   304,   856,   436,   436,   436,  1604,
     402,  1606,   438,   436,   436,   427,   428,   436,   435,   427,
     428,  1616,   427,   428,  3354,  1620,   440,   439,   436,  4203,
     422,   440,   436,  1628,  1629,   381,   726,   440,   728,   728,
     728,   728,   728,   728,   436,   134,  1641,  1642,  4412,  2542,
    3108,  2544,   103,     8,   440,  2783,   436,  1652,  2786,  2787,
    2046,  2046,  2790,   436,   379,   916,   334,   391,  2796,  1492,
    2860,  3087,  3087,  3089,  3089,   400,   359,    18,  1501,  1301,
    3990,  1961,  1505,   427,   428,  3336,   359,  3997,  1511,  1512,
     105,    96,  1632,  1633,   716,   655,   190,  3149,   103,    96,
     400,    51,   427,   428,   198,   280,  1529,   427,   428,   429,
     430,   431,   432,   207,  1011,     8,   134,   300,    11,   798,
     799,    96,    60,  4487,    96,     5,   690,   172,     5,  4120,
     694,   429,   430,   431,   432,   795,   103,   437,    76,   439,
     423,  2788,  2789,   429,   430,   431,   432,  2027,   130,  3165,
    3165,    96,   712,   271,   160,   438,  2476,  2477,  2478,   251,
    1901,   105,    11,   326,   326,   223,    49,  1989,   326,   154,
    1901,  2489,   165,   728,   106,  1640,   256,   728,   728,   120,
     195,   741,   728,   264,  1478,   381,   153,    36,   728,  1654,
     234,   310,   728,   131,   873,   728,   728,   728,   728,   728,
     728,   728,  3136,   321,  3948,  1979,  4020,   189,    49,  1573,
    1574,   149,    95,  3448,   120,   894,   895,    66,   108,   774,
     250,   236,   108,   783,   299,   264,    74,    32,   250,   103,
     223,   236,   391,  2880,   352,   914,   354,   169,  1662,     4,
     436,  4055,   820,   821,     9,   326,  1502,  3991,    74,   108,
       4,   195,   297,    60,    95,     9,   301,  1513,   297,   317,
     264,   436,    20,   963,   112,   944,   945,   252,   319,  1525,
     237,   286,    97,    74,   256,   975,   152,   440,   440,   172,
     438,   326,    40,  2014,   234,  3909,   112,   977,  1510,   977,
    2210,   174,   236,   297,   919,   185,   103,   252,   349,   185,
     193,   319,   308,  2222,  1537,  4294,   111,   396,  1008,  4300,
    2803,   112,   980,   405,   982,   975,   984,   436,   986,  3949,
     988,   989,   990,  4310,   317,   400,   185,   995,  2821,  1029,
    3953,   349,    30,   174,   339,  3958,   387,   342,  3961,   222,
     278,   224,   286,     8,   193,   194,    11,  1037,   254,   400,
     175,   234,   349,   303,    74,   400,   297,   342,    74,   252,
     440,   241,   236,  1536,   241,   440,    34,  1057,  1498,   387,
    3874,    52,     3,   417,   349,  1101,   326,   349,   323,    60,
     263,   222,   400,   224,   154,   436,  4130,   256,  3848,   333,
     239,   373,   112,   234,  3645,   301,   112,  1087,  3852,    18,
       5,   144,  1299,  1103,   434,   103,    18,  1830,   438,  2902,
     349,  1101,    24,  1113,   381,  3683,  1638,   265,   436,   302,
     326,   103,   263,    11,  4413,   440,  1126,   256,   186,   236,
     524,   436,   263,  2164,   241,   529,   374,  1301,   314,   265,
     314,   105,     8,  1143,    75,    11,  1146,  1147,    36,  1172,
    2284,  1151,  1152,   155,   337,   263,  1187,  1188,    22,  1190,
     319,   302,  1187,  1188,   265,  1190,   381,  4201,   423,   424,
     425,   278,   427,   428,   429,   430,   431,   432,    66,  1376,
     366,     3,  2540,     5,    95,   292,  1146,   316,  2546,   379,
     233,  1151,  1152,   379,   125,  4486,   337,  1187,  1188,  4490,
    1190,   120,  4297,   171,    28,   353,  1870,    44,   120,   153,
    2376,  2377,  4422,   108,  3629,  2381,   392,   155,   326,   161,
     379,   436,  1357,   348,   349,   120,  2155,   353,   193,  4153,
     423,   424,   425,   214,   427,   428,   429,   430,   431,   432,
     381,   154,   312,  1440,  4535,   265,   177,  3601,  3606,   265,
     105,   115,   353,  3611,   236,  2421,  2422,    94,   256,  2079,
       8,  4184,     5,    11,   115,   142,   117,   374,   437,  3585,
    3585,   440,   666,  3589,  3589,   221,    98,   241,   427,   428,
     429,   430,   431,   432,  3312,  1245,  4330,   252,    36,   140,
    3318,  3319,   234,  1253,    42,   689,  2049,   367,   198,  1278,
    1497,  1988,  3480,  4227,  2057,   193,  2059,  4231,  4232,   361,
     134,   222,   254,   224,   708,  1240,  4023,  2236,    66,   321,
    1455,   436,   266,    22,   179,  2240,  3273,   193,  1328,     5,
    1290,  1291,  2246,   353,   211,   729,  1471,   353,   269,   252,
    1491,  4354,  4355,   165,  1204,   264,  1510,   184,   350,  1500,
    4100,  1311,   264,   277,  1314,  1315,  4106,   439,     5,  2046,
     103,  2135,     9,  4023,  1343,  1344,  1345,  1346,  1503,   263,
    2401,   156,  2192,  2193,  2194,  2195,  2407,  4421,   297,   234,
     275,   236,  2069,   321,  2204,   297,   252,   331,   250,    38,
     241,  1526,   440,   255,  1394,   246,   105,   234,  2497,   280,
       8,   223,   796,    11,   226,  1384,  1385,   326,   106,    11,
      59,  1390,   350,  2100,   326,   107,   115,   161,  1569,   115,
    2639,   117,  1382,  3143,   172,   423,  2940,   103,  1950,   214,
    1986,   369,   326,  3409,  2230,  2569,   434,   361,   436,   437,
     438,   372,   440,   385,   113,   193,   194,  3240,  1303,   380,
    2345,  1306,   383,   400,   123,  1434,   103,  1457,   423,   424,
     425,   314,   427,   428,   429,   430,   431,   432,   142,   264,
       0,   169,   351,   147,  1638,  1335,  1906,  1674,   315,   403,
    2976,   363,  1461,  1462,  1463,  1464,   195,   107,  3108,   264,
     234,   239,   435,   440,   888,   317,  4509,   440,   351,  2394,
     192,  1356,   297,  2723,   252,  1360,   301,   263,  3455,   115,
    3457,   117,  2235,   156,   365,   245,   910,   911,   912,   197,
     264,   400,   297,   402,   375,  4285,   277,   236,  2251,  2252,
    2425,   326,  2255,  4084,   140,  2288,  1515,   211,  2261,   427,
     428,   429,   430,   431,   432,  1524,  1536,   400,  1536,   402,
     246,   326,  1531,   297,  2734,  2929,   234,   436,   424,   425,
     310,   427,   428,   429,   430,   431,   432,   352,  2463,   354,
     326,   214,   192,     8,   248,   359,    11,   286,  1546,   254,
    1548,  1597,  1550,   436,  1552,   193,  1554,   400,   393,   264,
    1558,   193,   377,    28,   416,   264,  2319,  1587,  1587,  1587,
    1587,  1587,  1587,  4138,   423,   400,   106,  2037,  1002,   316,
     361,  2376,  2377,   381,    18,  1537,  2381,  2579,  4422,   438,
      24,  2550,   297,    78,  2218,  1625,   197,   440,   297,   379,
     236,  1025,  3948,  3948,   199,   241,   193,  3953,  3953,   423,
     246,   385,  3958,  3958,   252,  3961,  3961,   290,    26,    27,
     328,  3893,   403,  4221,   438,    83,  2421,  2422,  1618,  1619,
    4420,   436,   117,   234,  4215,  1596,  1626,   142,   436,   169,
    1630,  1631,   105,  2041,   102,  3991,  3991,   312,  1603,   427,
     428,   429,   430,   431,   432,  1645,  2887,  1647,   359,  2890,
     314,  1681,  2225,   250,   132,   436,  2610,   627,   628,   629,
    1679,   379,   632,   633,   634,    83,   134,   363,  1668,   352,
    1670,   354,   642,  2225,   147,   286,   120,   392,  1303,  3666,
    3667,  1306,  1582,   312,   102,  1725,  2259,   351,   363,  4479,
    2098,    95,  3350,   156,   377,   173,   211,  2490,    60,  3830,
     154,  3769,  3770,  3985,    66,  3987,   179,  2259,   400,  3839,
     393,   352,    11,   354,    76,   297,   134,   328,   193,   365,
    3851,    11,  1897,  1157,   297,    98,  2483,  1902,   182,   375,
    1905,  1356,   264,   248,   363,  1360,   400,    36,   402,   290,
    4315,   103,   142,   105,   326,   363,  1950,   147,   440,  2820,
    1941,   214,  1927,   326,  2998,   435,  1993,  1948,   221,   316,
     440,   234,  2598,   236,  2938,   297,  4357,    66,   379,   320,
      98,  1205,   436,   177,  4130,  4130,    66,   252,  3022,   427,
     428,   429,   430,   431,   432,   427,   428,   429,   430,   431,
     432,   299,   165,  1968,   326,  3193,   314,  3003,   349,   264,
    3006,  3007,  3008,  3009,  3010,  3011,  3012,  3013,  3014,  3015,
    1985,   211,  1453,   221,  1849,   152,  2626,   179,   222,  2582,
     224,   314,   301,   221,  2487,   293,  3169,   286,  4184,  4184,
    3036,  1472,   297,   351,  1268,   172,  2011,   165,  2648,   298,
      76,  1275,   393,   310,   402,  1875,  1875,   326,   248,  1849,
     223,   319,   147,   226,    80,  1911,  4447,  1913,   351,  3065,
    3066,   326,   301,   322,   422,  2040,   419,   420,  2870,  2044,
    1832,   338,   167,  1307,   236,   293,  1310,  2879,   436,   241,
    2442,   349,   400,   147,   402,   167,  3544,   326,  2063,   352,
       8,   354,  2655,    11,  2657,   223,   264,   431,   226,  2074,
    2627,   319,   436,   167,   438,  3045,  2143,   400,    20,   402,
      28,   363,  2087,  1347,   377,    68,   278,  2490,   436,   387,
     156,   175,  2097,    76,  1943,  1944,  1945,  1361,    40,   297,
     292,   349,   400,  1952,  1974,  1954,    73,  1956,  1957,   175,
    1374,  3601,    75,   436,   317,   238,  3606,   393,   423,   424,
     425,  3611,   427,   428,   429,   430,   431,   432,   326,   153,
     402,  2812,  2813,  2814,  2961,  4556,  2693,  3038,   436,   387,
    2566,  2567,    48,   391,  4330,  4330,  3217,  3218,   214,   250,
     422,  3201,   400,   814,   255,  3025,  3026,   181,   314,   317,
    4058,   124,    21,   314,   436,  2758,   316,    26,   829,   290,
     831,  2764,   196,   314,  3144,  2376,  2377,   199,   978,  2968,
    2381,   981,   374,   983,   208,   985,   436,   987,   436,   255,
    2834,   991,     9,  2596,  3244,   351,   319,   310,   311,   320,
     351,   319,   250,  3274,    68,   314,  2055,    57,    58,  1473,
     351,   431,    76,   416,  2596,  1479,   436,   436,   438,  2049,
    2421,  2422,     3,   434,   440,   436,   349,  2057,   349,  2059,
    1960,   349,   436,   436,  1656,  4421,  4421,  1659,    19,  2306,
     203,   204,   351,   264,   400,   193,   402,   437,    48,   400,
     440,   402,  2122,     8,   217,   352,    11,   354,   416,   400,
    2130,   402,   437,   393,   387,   440,  2115,  3032,    38,   387,
     314,  1535,   393,    28,  2123,   437,   297,   400,   440,  2128,
     436,   418,   400,   307,  4101,   436,   352,  2713,   354,  2294,
     436,   400,   438,   402,    75,   436,   314,   363,   195,  2965,
    2321,   264,   310,   311,   252,   326,  2327,   351,   374,  1573,
    1574,   377,  2317,   436,   437,   400,   439,   402,   436,  2912,
     253,  2191,  2152,  2916,  2917,  1589,  2919,   436,  2921,  2922,
    3366,  4013,  4444,   351,  3166,  3167,  3541,  2930,  3239,   434,
    3241,   436,  3431,   438,   125,   438,  2969,  3146,  2393,  2219,
    2395,  2396,  2212,  2212,  3416,  2225,   400,   253,   402,   437,
    4023,  2178,   440,  4045,  2213,  1016,  1017,   437,  3003,  2962,
     440,  3006,  3007,  3008,  3009,  3010,  3011,  3012,  3013,  3014,
    3015,   250,   400,  3873,   402,   359,   130,   130,   351,  2259,
     353,   172,   436,  2242,  2858,  2244,   177,   437,   142,   142,
     440,  3036,    84,   147,   147,   319,     5,     8,  2442,   437,
      11,    10,   440,   436,  3779,   438,  3781,   250,   436,    18,
    3785,  3322,  3787,  2849,   147,  2851,   437,    28,   418,   440,
    3065,  3066,  2835,   264,  2837,   349,    35,   352,   193,   354,
      84,   437,  1706,   253,   440,   189,   189,  3894,  3895,  3896,
    3897,  1715,  2473,  2835,    38,  2837,   437,   437,  2288,   440,
     440,  3465,  3466,  3467,   418,  3111,   297,   211,   211,  4132,
     301,   153,   429,   387,  2508,   423,   424,   425,   151,   427,
     428,   429,   430,   431,   432,   440,  3974,   437,   269,  2338,
     440,   437,   195,   437,   440,   326,   440,   252,  2901,   181,
     400,   436,   402,  2524,   248,   248,  3100,   437,   437,   153,
    3546,  3547,   256,   256,   196,    48,  3103,  3104,  3105,  2901,
       8,   437,   436,    11,   440,   437,   208,   308,   440,  2425,
     437,   152,  2599,   440,  2960,    44,   437,   181,   437,   440,
     191,   440,   437,  4225,   437,   440,  2551,   440,    36,   231,
     437,   436,   196,   440,    42,   437,   437,   437,   440,   440,
     440,   352,   438,   354,   208,  2425,   347,  1831,   250,  1833,
     437,   437,   437,   440,   440,   440,    85,   437,    66,  2439,
     440,   437,   437,   404,   440,   440,    31,   231,  2593,   326,
     437,   372,   193,   440,   437,   436,   172,   440,  2458,   380,
     109,   437,   383,   135,   440,    50,  1870,   437,   437,   437,
     440,   440,   440,  2473,   437,   124,   436,   440,   437,   128,
    2490,   440,  2468,  2469,  2470,   307,   400,   438,   402,   373,
     373,  2527,  3602,  2700,   437,  2702,   439,    82,   437,   148,
     437,   440,   151,   440,  2504,  2504,  2504,  2504,  2504,  2504,
     437,   252,   437,   440,   163,   440,  3626,   172,  2488,   437,
    2490,   250,   440,   307,  2524,  3305,   135,  2527,   423,   424,
     425,   172,   427,   428,   429,   430,   431,   432,   437,   437,
     168,   440,   440,   135,   172,   437,  2691,   437,   440,   250,
     440,   434,  2759,   138,   437,   438,  4080,   437,  2703,   381,
     440,   437,   135,   147,   440,   193,   194,   437,   437,   437,
     440,   440,   440,   437,   209,   437,   440,  2784,   440,   105,
     437,   437,   210,   440,   440,   170,  2596,   437,   381,   250,
     440,  3366,   241,   363,   245,   437,  3740,  3741,   440,  3743,
     249,   437,   437,  2007,   440,   440,   437,   436,   393,   440,
    3440,   239,   437,   316,   199,   440,  2605,   199,  2607,  2608,
    2609,   206,  2026,  3528,   252,   437,   283,   437,   440,  2803,
     440,  4453,   436,  2778,   437,   284,   437,   440,  3849,   440,
      60,   437,  4464,   439,   731,   400,   733,  2821,  3590,    31,
    3592,   236,   404,   236,   436,   236,   368,    38,    38,   264,
     147,   393,  3003,  2673,    73,  3006,  3007,  3008,  3009,  3010,
    3011,  3012,  3013,  3014,  3015,   393,   135,   281,   135,  2886,
     436,  4311,   423,   424,   425,   135,   427,   428,   429,   430,
     431,   432,   135,  4515,   404,   135,   440,   135,   135,   135,
     250,  2711,   330,   135,   135,   135,  2913,  3470,   250,   135,
     135,   349,    31,   436,   148,   209,   301,   250,   147,  3452,
     305,   436,     5,   147,  3065,  3066,   311,  3460,  3461,  3905,
       5,   436,   436,   318,   147,   274,   436,   436,  3914,   436,
     436,   326,   436,     5,     5,   436,   436,   436,   436,   436,
     335,  2761,   436,   436,     5,  3931,  3932,   436,   343,     5,
     436,   436,   436,   261,   401,   436,   436,   436,   436,   436,
    2174,  3546,  3547,  2783,   436,  2982,  2786,  2787,     0,  2940,
    2790,   191,   436,   436,  2929,    86,  2796,    31,   440,    31,
     440,   209,   147,  2803,   248,  3002,   424,   425,  2943,   427,
     428,   429,   430,   431,   432,   147,   326,    50,  3776,   314,
     395,  2821,   359,   246,   399,   400,   359,   438,  2963,   359,
    3027,   359,   314,  3389,  3390,  2835,    76,  2837,   359,   359,
     359,   314,  4043,  2803,   250,   135,   318,   206,   359,    82,
    2810,  2811,    21,   359,   241,  2815,   359,   351,   380,   250,
     177,  2821,   246,   359,   166,    76,  3063,   436,   359,   436,
     440,    83,   264,  2873,   172,  3837,   135,   381,    97,   381,
     359,   359,    48,   359,    48,   359,   254,   351,   381,   359,
     359,   359,  2852,   359,    37,    37,   359,   314,   440,    68,
    2900,  2901,  2892,  2892,   359,   138,   359,   250,   250,   193,
      18,   400,   404,    31,    30,   390,    24,    20,   130,   436,
     250,  2911,  2911,   436,   436,   135,  4118,  3651,    97,   236,
     142,   436,   103,   381,   135,   147,  3087,   170,  3089,  3662,
     152,   392,   217,   246,  2923,   157,    31,  2926,   160,   118,
     162,  3075,   147,   236,    31,   436,    64,   199,   315,   135,
     129,   135,   135,   381,   245,   135,   359,   135,   381,   240,
    3693,  3694,   152,   206,   436,   436,   357,   189,   228,   418,
     149,   228,    11,   440,   396,   154,  4152,   326,     8,   143,
     357,    11,  2971,   436,   436,   359,   152,   160,   361,   211,
     437,   166,   440,   236,   166,   113,   189,   436,   440,  2969,
     328,   197,   120,   251,  3165,   123,    36,    48,   359,   381,
     314,   258,    42,  3776,   359,    75,   314,   381,   437,   440,
     197,   200,   436,   241,  4065,  3366,   248,   197,   241,  3762,
    3763,   436,   363,  4177,   256,   359,    66,  3073,   359,  3049,
     316,   359,   221,  4187,   199,   393,   241,   250,    38,   333,
     249,  3196,   359,  3089,   351,   440,   359,   297,   301,   177,
     303,  3966,   305,  2467,   297,   314,  3240,   167,   311,   323,
     359,   359,   286,  3073,   193,   318,    31,   193,   193,   381,
     249,   193,   304,   326,   193,  3617,   381,  3087,   423,  3089,
      30,   434,   335,  3079,  3080,  3081,  3082,   434,  4242,  4067,
     343,   359,   281,  4075,  4076,   147,   359,   436,   423,   135,
     246,   393,   149,   436,  3680,   323,   234,   381,   236,   135,
     359,   359,   436,   400,    31,   250,   250,   349,   246,   308,
    3905,   164,   164,   147,    31,   314,   254,   135,   168,  3914,
    3285,   320,   172,  3288,   250,  3878,   264,  3880,  3881,   250,
     147,   373,   395,   172,   172,   323,  3931,  3932,    19,  3892,
     172,   440,   440,   193,   194,   158,   440,  3733,   404,   225,
     349,   250,   351,   400,   440,   397,    48,   399,   400,   297,
     210,   363,   300,   301,   349,   152,  3393,   245,   199,   368,
     418,   393,  4336,   268,   152,   440,   437,   359,  3187,  3188,
    3189,  3190,   437,   437,   436,  3546,  3547,   437,   326,   239,
     260,   437,   434,   437,   393,   437,   438,   439,   437,  3823,
     437,     8,   252,    13,    11,   437,   418,   437,   437,   436,
    3240,   437,   436,  3776,   397,    13,   437,   437,  3965,   437,
     437,    28,   436,   397,   379,  3972,   387,   304,    48,    36,
     211,  3396,  4157,   253,  3264,    42,   423,  3267,  3263,  3269,
     175,  3979,   250,   250,   135,   436,   384,   359,   359,   359,
    3240,   404,   183,   241,   359,   436,   254,   135,  4062,    66,
     135,  4253,   175,   211,   269,   269,   359,   359,   381,   378,
     400,   359,   359,  3263,   219,   219,   219,   359,   359,  4228,
     330,   314,  3312,   236,   359,  4229,   359,   314,  3318,  3319,
     359,  3321,   314,  4238,   359,  4240,   359,   326,   314,   135,
      37,   359,    22,    23,   359,   193,   193,    27,  3473,   193,
       3,   436,    32,    33,    34,   434,    36,   317,   226,    39,
      40,   437,    42,   437,    44,  3552,  3356,  3357,  3358,  3359,
      38,   211,   423,   437,   440,   299,  3326,  3327,   368,    96,
     437,   437,   440,   249,    31,   250,   436,  3337,   359,   161,
     253,   314,   314,   381,   440,  3364,   381,  4152,   314,   133,
     133,   168,   193,   434,   126,   172,  3356,   152,    11,   147,
     437,   437,    58,   423,   424,   425,   152,   427,   428,   429,
     430,   431,   432,   437,   256,   436,   193,   194,   437,   392,
     437,   397,   152,  4146,   436,   440,  4384,   421,  3428,   160,
     437,   436,  4327,   210,  3585,  3425,  3425,   251,  3589,   368,
      21,   437,   147,    31,   437,   381,   381,  2841,  2842,   359,
     183,    48,   351,  3617,   436,  4172,   368,  4121,   314,   236,
     351,   359,   239,  2857,   359,   359,   359,  3664,  4024,   359,
    3992,   314,   437,    54,   437,   252,   437,  2871,   255,  4202,
      48,   147,    66,   135,    96,   437,    67,  2881,  3488,   179,
     180,   181,   182,   193,   184,  3692,   186,   368,   188,    80,
     190,  2895,  4533,   193,   193,   197,   437,   435,   198,   436,
    3470,   201,  4034,   435,  3711,   205,   400,   207,   282,   436,
    4243,   323,   404,   147,   440,   436,   400,   178,   437,    71,
     351,   359,   440,   440,  4067,   437,   436,   118,   323,   157,
      96,   152,   152,   193,   193,   193,   193,   436,   129,   437,
     291,   437,  4583,   330,    48,   440,   437,   398,   398,   436,
    4591,   196,     8,   259,  3761,    11,   436,  2961,   149,   437,
     437,  3706,   436,   154,  3905,   196,    48,   162,   437,   246,
     368,   359,   437,  3718,   437,   423,   152,   400,    66,   423,
      36,   177,    48,   351,   440,  3585,    42,  4516,   241,  3589,
    3931,  3932,   241,   440,   400,   359,   135,   154,   435,   152,
     193,   381,   172,  3613,  3614,   381,    31,   121,   436,   400,
      66,   396,   152,   180,   400,   436,   253,  3643,   152,   436,
     291,   436,   336,   386,  3624,  3624,   267,   437,   437,   436,
     221,   196,  3637,   436,   250,   437,   423,   424,   425,   399,
     427,   428,   429,   430,   431,   432,   292,   359,   435,   147,
     359,   400,   110,   437,   441,   436,   241,   436,    31,   241,
     220,   252,   175,   436,  3825,   282,   436,  3637,   437,   436,
     134,    31,   128,   254,    48,   437,   311,    48,   311,    31,
    3084,  3085,  3086,   351,  3689,   437,   436,   381,   351,   437,
     281,   436,   234,   437,   250,   351,     5,   323,   141,   282,
     116,    60,  3909,   253,    60,   385,   436,   291,   386,   440,
      31,   152,   168,   397,   289,   351,   172,   147,   400,  3689,
     121,   250,   177,   314,   250,   436,    31,    31,   253,   320,
     253,   436,   323,   437,   437,   436,    48,   193,   194,  3709,
    3710,   310,   108,     5,  3714,  3715,   437,   379,  3893,  3759,
    3760,   436,  4356,  3742,   210,   310,    17,    28,   349,  3769,
    3770,   282,   134,   728,   355,  1359,  3776,  3756,  2176,   821,
    3780,   436,  2490,  1152,  2021,  4508,   820,   368,  2648,  3239,
    2091,  2801,  3321,   239,  4245,  4065,   787,  3948,  4384,  4114,
       0,  4118,  3953,  3798,  3816,  3387,   252,  3958,  4099,  2573,
    3961,  2276,   393,  4451,  3991,  4513,  3776,  4398,  4397,  4470,
    4295,  4152,  2577,  3379,  2167,  2167,  3234,  2668,  3992,  1458,
    4352,  2161,  2872,  4521,   524,    50,  4591,  4583,  3798,   529,
    3991,   531,  4094,  2820,   534,  3845,   536,  2805,   538,  4481,
    3985,  4384,  3987,  4036,  4371,   545,  1448,  4461,   548,  4023,
    4039,    26,  3473,  1004,  4200,   555,  1014,    82,  3429,  1888,
    4034,  3850,  3872,  3431,  4311,  2762,  2549,   575,  4495,  4585,
    1832,   707,  4033,    83,   330,  1833,  2504,  1537,   578,  3414,
    3141,   720,  1178,   583,  3894,  3895,  3896,  3897,   588,  1873,
    3625,  2505,   592,  2516,  2511,  1872,  2532,  2524,  1197,  3576,
    3089,  4185,  3591,  4330,  1196,  3087,  4329,   607,   712,  1199,
    3142,  2142,  4155,   138,  3048,  4443,  3040,  1204,  4442,  4080,
     130,  4434,  2508,  2439,  2347,  2437,  3137,  1708,    -1,    -1,
      -1,    -1,   142,    -1,    -1,    -1,    -1,   147,    -1,    -1,
      -1,    -1,   152,    -1,    -1,   170,  4153,   157,    -1,  3353,
     160,    -1,   162,  3953,    -1,   655,    -1,    -1,  3958,    -1,
      -1,  3961,    -1,    -1,    -1,    -1,   666,   667,  3372,  4130,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,   189,
      -1,   206,  4189,    -1,    -1,    -1,    -1,   687,    -1,   689,
     690,    -1,    -1,    -1,   694,  3399,    -1,    -1,  3976,    -1,
      -1,   211,    -1,    -1,  3993,  3994,  3995,    -1,   708,    -1,
      -1,   236,   712,  4023,    -1,    -1,    -1,    -1,   718,    -1,
    4227,    -1,    -1,  4184,  4231,  4232,    -1,    -1,    -1,   729,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   248,   264,
      -1,   741,    -1,    -1,    -1,    -1,   256,    -1,  4058,    -1,
      -1,    -1,    -1,  4023,    -1,    -1,    -1,  4067,    -1,    -1,
      -1,  4071,    -1,  4073,    -1,    -1,    -1,  4077,  4078,    -1,
      -1,    -1,   297,    -1,    -1,    -1,   301,    -1,    -1,    -1,
     305,    -1,    -1,   783,    -1,    -1,   311,    -1,    -1,    -1,
      -1,    -1,    -1,   318,   304,    -1,   796,    -1,   798,   799,
      -1,   326,    18,  4103,  4103,    -1,    -1,    -1,    24,    -1,
     335,  4272,    -1,    -1,    -1,    -1,    -1,    -1,   343,    -1,
     820,   821,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   349,
    4129,    -1,    -1,    -1,    -1,   845,    -1,    -1,    64,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   856,    -1,    -1,    -1,
     860,    -1,    -1,   373,  3568,  3569,  3570,  3571,    -1,  4330,
     395,    -1,    -1,   873,    -1,    -1,    -1,    -1,  4352,    -1,
      -1,    -1,    -1,    -1,  4184,    -1,    -1,   397,   888,   399,
     400,    -1,    -1,    -1,   894,   895,    -1,   113,    -1,    -1,
      -1,    -1,    -1,     0,   120,    -1,    -1,   123,    -1,    -1,
     910,   911,   912,    -1,   914,    -1,   916,    -1,    -1,    -1,
    4209,    -1,    -1,    -1,   434,    -1,    -1,   437,   438,   439,
      -1,    -1,    -1,    -1,    -1,    -1,  4246,    -1,    -1,    -1,
      -1,    -1,   942,     8,   944,   945,    11,    -1,    -1,  4410,
    4239,    -1,  4241,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4421,   177,    -1,    28,    -1,    -1,    -1,   967,    -1,    -1,
      -1,    36,    -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    83,    -1,    -1,    -1,
      -1,    -1,    -1,  4293,  4293,  4456,    -1,   997,   998,  4444,
      -1,    66,  1002,    -1,  1004,    -1,     8,    -1,    -1,    11,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   234,    -1,
     236,    -1,  1022,    -1,    -1,  1025,    28,    -1,  1028,    -1,
     246,    -1,    -1,   130,    36,    -1,    -1,    -1,   254,    -1,
      42,  1041,    -1,    -1,    -1,   142,    -1,    -1,   264,    -1,
     147,    -1,    -1,    -1,    -1,   152,    -1,    -1,    -1,    -1,
     157,  4350,    -1,   160,    66,   162,    -1,    -1,    -1,    -1,
    1070,    -1,    -1,    -1,  4384,    -1,    -1,    -1,    -1,    -1,
      -1,   297,    -1,    -1,   300,   301,    -1,    -1,    -1,    -1,
      -1,    -1,   189,    -1,    -1,    -1,    -1,    -1,  1098,  1099,
      -1,  1101,    -1,   168,    -1,    -1,    -1,   172,    -1,    -1,
     326,    -1,    -1,    -1,   211,    -1,  4405,    -1,    -1,    -1,
    1120,    -1,    -1,    -1,    -1,    -1,  4587,    -1,   193,   194,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   210,    -1,    -1,    -1,    -1,
      -1,   248,    -1,    -1,    -1,    -1,    -1,  1157,    -1,   256,
    1160,    -1,    -1,    -1,    -1,    -1,   168,    -1,   384,    -1,
     172,   236,  3876,    -1,   239,    -1,  4465,    -1,    -1,    -1,
      -1,    -1,  4482,  4482,    -1,    -1,    -1,   252,    -1,  1189,
     255,   193,   194,  1193,  1194,  4495,  4495,  4495,  4495,  4495,
    4495,    -1,  4538,    -1,  1204,  1205,  1206,   304,   210,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1222,  4533,    18,    -1,    -1,    -1,  4517,    -1,
      24,    -1,    -1,    -1,   236,    -1,    -1,   239,  4538,  4538,
    4538,  4538,  4538,  4538,    -1,    -1,     8,    -1,    -1,    11,
     252,    -1,   349,   255,    -1,  1255,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4533,    -1,   330,    28,    -1,  1268,  1269,
      64,    -1,    -1,  4583,    36,  1275,   373,    -1,  1278,    -1,
      42,  4591,    -1,    -1,    -1,  4585,  4585,  4585,  4585,  4585,
    4585,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     397,  1301,   399,   400,    66,    -1,    -1,  1307,    -1,    -1,
    1310,    -1,    -1,  4583,    -1,    -1,    -1,    -1,    -1,   113,
      -1,  4591,    -1,    -1,    -1,    -1,   120,    -1,   330,   123,
      -1,    -1,    -1,    -1,    -1,  1335,    -1,   434,    -1,    -1,
     437,   438,   439,  1343,  1344,  1345,  1346,  1347,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,   424,
     425,  1361,   427,   428,   429,   430,   431,   432,    -1,    -1,
      -1,    -1,  1372,    -1,  1374,   440,    -1,    -1,    -1,  4083,
      -1,    -1,    -1,   177,  1384,  1385,    -1,    -1,    -1,    -1,
    1390,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      -1,    -1,    -1,    -1,    -1,    24,   168,    -1,    -1,    -1,
     172,    -1,    -1,    -1,    -1,    -1,    -1,  4121,    -1,    -1,
      -1,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,   193,   194,    -1,  1434,    -1,    -1,    -1,   440,    -1,
     234,    -1,   236,    -1,    -1,    64,    -1,    -1,   210,    -1,
      -1,    -1,   246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     254,  1461,  1462,  1463,  1464,    -1,    -1,    -1,    -1,    -1,
     264,    -1,    -1,  1473,   236,    -1,    -1,   239,    -1,  1479,
      -1,    -1,  1482,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     252,  1491,    -1,   255,   113,    -1,    -1,    -1,  1498,    -1,
    1500,   120,    -1,   297,   123,    -1,   300,   301,    -1,  4213,
    1510,    -1,    -1,    -1,    -1,  1515,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1524,    -1,    -1,    -1,    -1,    -1,
    1530,  1531,   326,    -1,    -1,  1535,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,    -1,
    1560,    -1,    -1,    -1,    -1,    -1,    -1,  1567,   330,  1569,
      -1,    -1,    -1,  1573,  1574,    -1,  1576,    -1,    -1,    -1,
      -1,    -1,  1582,    -1,    -1,    -1,    -1,    -1,    -1,  1589,
     384,    -1,    -1,     3,    -1,    -1,  1596,  1597,     8,    -1,
    1600,    11,    -1,    -1,  1604,    -1,  1606,    -1,    -1,    -1,
      -1,    -1,    -1,  1613,    -1,   234,  1616,   236,    28,    -1,
    1620,    31,    -1,    -1,    -1,    -1,    36,   246,  1628,  1629,
      -1,    -1,    42,    -1,    31,   254,  1636,    -1,  1638,  1639,
    1640,  1641,  1642,    -1,    -1,   264,    -1,    -1,    -1,  1649,
    1650,    -1,  1652,    50,  1654,  1655,    66,    -1,  1658,    -1,
      -1,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,   435,    -1,  1675,    -1,    -1,   297,  1679,
    1680,   300,   301,    -1,  1684,    82,    -1,    -1,  1688,    -1,
    1690,  1691,  1692,  1693,  1694,  1695,  1696,  1697,  1698,    -1,
    1700,    -1,    -1,    -1,    -1,    -1,  1706,   326,  1708,  1709,
      -1,    -1,    -1,    -1,    -1,  1715,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   138,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     0,    -1,    -1,    -1,    -1,   168,    -1,
      -1,    -1,   172,    -1,    -1,   384,    -1,    14,    -1,    -1,
      -1,    -1,    -1,   170,    -1,    -1,    -1,    24,    -1,    26,
      27,    -1,    -1,   193,   194,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    41,    -1,    -1,    -1,    -1,    -1,
     210,    -1,   199,    -1,    -1,    -1,    -1,    -1,    -1,   206,
      -1,    -1,    -1,    -1,    61,    -1,    63,    64,    -1,    -1,
      -1,    -1,    69,    -1,    71,    -1,   236,    -1,    -1,   239,
      -1,  1831,    -1,  1833,    81,  1835,    83,    -1,    -1,   236,
      -1,    -1,   252,    -1,    -1,   255,    -1,    -1,    -1,    -1,
      -1,    -1,    99,    -1,    -1,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   114,    -1,   116,
    1870,    -1,    -1,   120,    -1,    -1,  1876,    -1,  1878,   126,
      18,    -1,    -1,    -1,    -1,    -1,    24,   134,    -1,   136,
      -1,    -1,    -1,    -1,    -1,   142,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   301,    -1,  1906,    -1,   305,    -1,
     157,  1911,    -1,  1913,   311,    -1,    -1,    -1,    -1,    -1,
     330,   318,    -1,    -1,    -1,    -1,    64,    -1,    -1,   326,
    1930,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   335,    -1,
      -1,  1941,    -1,  1943,  1944,  1945,   343,    -1,  1948,    -1,
    1950,    -1,  1952,    -1,  1954,    -1,  1956,  1957,    -1,    -1,
    1960,    -1,    -1,    -1,    -1,   212,   213,    -1,    -1,    -1,
      -1,   218,    -1,    -1,    -1,   113,    -1,    -1,    -1,  1979,
     227,    -1,   120,    -1,    -1,   123,    -1,    -1,    -1,  1989,
      -1,   238,    -1,    -1,    -1,    -1,  1996,    -1,   395,    -1,
      -1,  2001,   399,    -1,    -1,    -1,    -1,  2007,    -1,    -1,
      -1,    -1,    -1,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,    -1,    -1,  2026,    -1,    -1,   276,
    2030,  2031,    -1,    -1,    -1,    -1,    -1,  2037,  2038,   177,
      -1,   288,    -1,    -1,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,    -1,    -1,   301,  2055,    -1,    -1,    -1,   306,
    2060,    -1,   309,    -1,    -1,    -1,   313,     8,    -1,    -1,
      11,   318,   319,    -1,    -1,    -1,    -1,    -1,    -1,   326,
      -1,    -1,   329,  2083,    -1,  2085,  2086,    28,    -1,    -1,
     337,    -1,    -1,    -1,    -1,    36,   234,    -1,   236,    -1,
      -1,    42,   349,    -1,    -1,    -1,    -1,    -1,   246,    -1,
      -1,    -1,    -1,    -1,    -1,  2115,   254,    -1,    -1,   366,
      -1,    -1,    -1,  2123,     8,    66,   264,    11,  2128,   376,
      -1,    -1,    -1,    -1,    -1,   382,    -1,    -1,    -1,     8,
     387,  2141,    11,    -1,    28,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    36,   400,    -1,    -1,    -1,    -1,    42,    28,
      -1,    -1,   300,   301,    -1,    -1,    -1,    36,    -1,  2169,
      -1,    -1,  2172,    42,  2174,    -1,  2176,    -1,    -1,  2179,
      -1,    -1,    66,    -1,    -1,    -1,    -1,    -1,   326,   436,
      -1,    -1,   439,    -1,    -1,    -1,    -1,    66,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2205,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2213,  2214,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   168,    -1,    -1,
      -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2240,    -1,  2242,  2243,  2244,  2245,   384,    -1,    -1,    -1,
      -1,    -1,   193,   194,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2264,    -1,    -1,    -1,    -1,   210,
      -1,    -1,    -1,    -1,    -1,    -1,  2276,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   168,    -1,    -1,    -1,   172,    -1,
      -1,    -1,    -1,    -1,    -1,   236,    -1,    -1,   239,   168,
      -1,    -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,   193,
     194,   252,    -1,    -1,   255,    -1,    -1,    -1,    -1,    -1,
      -1,  2321,    -1,    -1,   193,   194,   210,  2327,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2338,    -1,
      -1,   210,    -1,    -1,    -1,  2345,  2346,    -1,    -1,    -1,
      -1,  2351,   236,    -1,    -1,   239,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   236,   252,    -1,
     239,   255,    -1,    -1,    -1,    -1,  2376,  2377,    -1,    -1,
      -1,  2381,    -1,   252,    -1,    -1,   255,    -1,    -1,   330,
      -1,    -1,    -1,  2393,  2394,  2395,  2396,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2406,    -1,    -1,  2409,
      -1,  2411,  2412,     8,    -1,    -1,    11,    -1,    -1,    -1,
      -1,  2421,  2422,    -1,    -1,  2425,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,  2438,    -1,
    2440,    36,  2442,    -1,  2444,    -1,   330,    42,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   330,    -1,  2463,    -1,    -1,    -1,  2467,    -1,    -1,
      -1,    66,    -1,  2473,    -1,    -1,  2476,  2477,  2478,    -1,
      -1,    -1,   423,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,     8,  2493,    -1,    11,   437,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2505,    -1,    -1,    -1,    -1,
    2510,    -1,    28,    -1,    -1,    -1,  2516,    -1,    -1,    -1,
      36,    -1,    -1,    -1,  2524,    -1,    42,  2527,    -1,    -1,
      -1,  2531,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
      66,    -1,   147,   437,   423,   424,   425,   152,   427,   428,
     429,   430,   431,   432,    -1,    -1,    -1,    -1,   437,    13,
      -1,    -1,  2572,   168,  2574,    19,    -1,   172,    -1,  2579,
      -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   193,   194,
      -1,    -1,    -1,    47,    -1,  2605,    -1,  2607,  2608,  2609,
      -1,    -1,    -1,    -1,    -1,   210,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   236,    -1,    -1,   239,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   168,    -1,    -1,    -1,   172,   252,    -1,     8,
     255,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   193,   194,    28,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    36,    -1,    -1,
      -1,    -1,    -1,    42,   210,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    66,    -1,    -1,
     236,    -1,    -1,   239,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    36,    -1,    -1,    -1,   330,   252,    42,    -1,   255,
      -1,    -1,   186,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   196,   197,    -1,   199,    -1,    -1,   202,    -1,
     204,    66,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2788,  2789,
       8,    -1,    -1,    11,    -1,    -1,    -1,   146,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      28,    -1,    -1,    -1,   330,    -1,    -1,    -1,    36,   168,
      -1,    -1,    -1,   172,    42,    -1,    -1,    -1,   423,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,    -1,
      -1,  2841,  2842,    -1,   193,   194,    -1,    -1,    66,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2857,    -1,    -1,
      -1,   210,    -1,   168,    -1,    -1,    -1,   172,    -1,    -1,
    2870,  2871,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2879,
    2880,  2881,    -1,    -1,    -1,    -1,    -1,   236,   193,   194,
     239,    -1,    -1,    -1,    -1,  2895,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   252,    -1,   210,   255,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,    -1,
      -1,   437,    -1,  2923,   273,    -1,  2926,    -1,    -1,    -1,
      -1,   236,    -1,    -1,   239,    -1,    -1,    -1,    -1,    -1,
    2940,    -1,    -1,    -1,    -1,    -1,    -1,   252,    -1,    -1,
     168,    -1,    -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,
      -1,  2961,    -1,    -1,    -1,    31,    -1,    -1,    -1,    -1,
      -1,  2971,    -1,    -1,    -1,   193,   194,    -1,    -1,  2979,
      -1,   330,    -1,    -1,    50,    -1,    -1,    -1,    -1,  2989,
      -1,    -1,   210,    -1,    -1,  2995,    -1,  2997,    -1,    -1,
      -1,    -1,    -1,  3003,    -1,    -1,  3006,  3007,  3008,  3009,
    3010,  3011,  3012,  3013,  3014,  3015,    82,    -1,   236,  3019,
    3020,   239,    -1,    -1,    -1,   330,    -1,    -1,    -1,    -1,
      -1,    -1,  3032,    -1,   252,    -1,  3036,   255,    -1,    -1,
    3040,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3050,    -1,    -1,  3053,    -1,  3055,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3064,  3065,  3066,    -1,    -1,    -1,
    3070,    -1,   138,  3073,   423,   424,   425,  3077,   427,   428,
     429,   430,   431,   432,  3084,  3085,  3086,  3087,   532,  3089,
    3090,    -1,    -1,    -1,  3094,  3095,   540,    -1,    -1,    -1,
      -1,  3101,    -1,    -1,   170,   549,   550,  3107,  3108,    -1,
     554,    -1,   330,    -1,    -1,    -1,    -1,    -1,   423,   424,
     425,   565,   427,   428,   429,   430,   431,   432,    -1,    -1,
      -1,  3131,    -1,   199,    -1,   579,    -1,  3137,    -1,    -1,
     206,  3141,    -1,  3143,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   595,    -1,    -1,   598,    -1,   600,    -1,   602,    -1,
      -1,    -1,    -1,    -1,    -1,  3165,  3166,  3167,    -1,  3169,
     236,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3187,  3188,  3189,
    3190,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,    -1,    -1,   662,   437,
     664,    -1,    -1,    -1,  3224,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     8,   301,    -1,    11,    -1,   305,
      -1,    -1,    -1,    -1,    -1,   311,    -1,    -1,    -1,    -1,
      -1,    -1,   318,    -1,    28,    -1,    -1,   879,    -1,    -1,
     326,    -1,    36,    -1,    -1,    -1,    -1,    -1,    42,   335,
      -1,    -1,    -1,  3273,    -1,    -1,   720,   343,     8,    -1,
      -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    66,    -1,    -1,    -1,    -1,    -1,    28,    -1,
      -1,    -1,  3302,    -1,    -1,    -1,    36,    -1,    -1,    -1,
      -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   395,
      -1,    -1,    -1,   399,   778,    -1,    66,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    11,    -1,  3353,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3364,    -1,  3366,    -1,    -1,    -1,
      -1,    -1,  3372,    -1,    -1,    -1,    36,    -1,  3378,    -1,
      -1,    -1,    42,    -1,    -1,    -1,    -1,  3387,    -1,  1011,
     834,    -1,    -1,    -1,   168,    -1,    -1,    -1,   172,  3399,
      -1,    -1,    -1,    -1,    -1,   849,    66,    -1,    -1,  3409,
      -1,    -1,    -1,    -1,    -1,    -1,  3416,    -1,   862,   193,
     194,    -1,    -1,    -1,    -1,   869,    -1,    -1,    -1,    -1,
      -1,    -1,  3432,  3433,    -1,    -1,   210,   881,   168,    -1,
     884,    -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3455,    -1,  3457,    -1,    -1,
      -1,    -1,   236,   193,   194,   239,    -1,    -1,   128,    -1,
      -1,    -1,    -1,   917,    -1,    -1,    -1,    -1,   252,    -1,
     210,   255,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     8,    -1,    -1,    11,    -1,   236,    -1,   168,   239,
      -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    28,   252,    -1,  1146,   255,    -1,    -1,  3528,    36,
      -1,    -1,    -1,   193,   194,    42,    -1,    -1,  3538,  3539,
      -1,    -1,    -1,    -1,    -1,    -1,  3546,  3547,    -1,    -1,
     210,  3551,    -1,    -1,    -1,    -1,   330,  3557,  3558,    66,
      -1,  3561,    -1,    -1,  3564,  3565,    -1,    -1,  3568,  3569,
    3570,  3571,    -1,    -1,    -1,  3575,  3576,    -1,  3578,   239,
      -1,  3581,    -1,    -1,    -1,  3585,    -1,  1209,    -1,  3589,
      -1,    -1,   252,    -1,    -1,  3595,    -1,    -1,    -1,    -1,
     330,  3601,    -1,    -1,    -1,    -1,  3606,    -1,    -1,    -1,
      -1,  3611,    -1,    -1,    -1,    -1,    -1,  3617,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3625,    -1,    -1,    -1,  3629,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1263,    -1,  3643,    -1,    -1,  3646,    -1,    -1,   423,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
      -1,   168,    -1,   437,    -1,   172,  3666,  3667,    -1,    -1,
     330,    -1,    -1,    -1,    -1,    -1,    -1,  1299,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   193,   194,    -1,    -1,
    3690,    -1,    -1,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,   210,    -1,    -1,    -1,   437,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,   236,
      -1,    -1,   239,    -1,  1178,  1179,    -1,    -1,    -1,    -1,
      -1,    -1,  3742,    -1,    28,   252,    -1,    -1,   255,    -1,
      -1,    -1,    36,    -1,  1376,    -1,  3756,    -1,    42,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,   428,   429,
     430,   431,   432,  1395,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1415,    -1,    -1,    -1,  1241,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3814,    -1,    -1,    -1,  1440,    -1,
      -1,    -1,    -1,   330,    -1,  3825,    -1,    -1,    -1,    -1,
    3830,    -1,    -1,    -1,    -1,    -1,    -1,  3837,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3850,  3851,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1497,  3876,    -1,    -1,     8,
      -1,    -1,    11,    -1,   168,    -1,    -1,    -1,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    28,
      -1,    -1,    -1,    -1,    -1,  3905,    -1,    36,    -1,   193,
     194,    -1,    -1,    42,  3914,    -1,   423,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,   210,    -1,    -1,    -1,
     437,  3931,  3932,    -1,    -1,  3935,    -1,    66,    -1,    -1,
      18,    -1,    -1,    -1,    -1,    -1,    24,    -1,  3948,  3949,
      -1,    -1,   236,  3953,    -1,   239,    -1,    -1,  3958,    -1,
      -1,  3961,  3962,    -1,  3964,    -1,  3966,  3967,   252,    -1,
      -1,   255,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    -1,    -1,
      -1,  3991,  3992,  3993,  3994,  3995,    -1,    -1,    -1,    -1,
    1444,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1459,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    36,    -1,  4033,  4034,   113,    -1,    42,    -1,   168,
      -1,    -1,   120,   172,    -1,   123,   330,    -1,    -1,    -1,
      -1,    -1,  1674,    -1,    -1,  1499,    -1,    -1,    -1,    -1,
      -1,    66,    -1,    -1,   193,   194,    -1,    -1,    -1,    -1,
    1514,    -1,  1516,    -1,  1518,  4075,  4076,    -1,    -1,  1523,
    4080,   210,    -1,  4083,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4094,    -1,    -1,    -1,    -1,   177,
      -1,  4101,    -1,    -1,    -1,  4105,    -1,   236,    -1,    -1,
     239,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4118,    -1,
      -1,  4121,  1566,   252,    -1,    -1,  1570,    -1,  1572,  4129,
    4130,  1575,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
      -1,    -1,  4152,   437,    -1,  4155,   234,  4157,   236,    -1,
      -1,    -1,    -1,   168,    -1,    -1,    -1,   172,   246,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   254,    -1,    -1,    -1,
    4180,    -1,    -1,    -1,  4184,    -1,   264,  4187,   193,   194,
      -1,    -1,    -1,  4193,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   330,    -1,    -1,    -1,   210,    -1,    -1,    -1,  4209,
      -1,    -1,    -1,  4213,    -1,    -1,    -1,    -1,    -1,   297,
      -1,    -1,   300,   301,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   236,    -1,    -1,   239,    -1,    -1,    -1,  4238,  4239,
    4240,  4241,    -1,    -1,    -1,    -1,    -1,   252,   326,    -1,
     255,    -1,    -1,  4253,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1883,    -1,    -1,    -1,  1887,  1888,    -1,    -1,    -1,
      -1,    -1,  4272,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,
      -1,  4291,    -1,    -1,   423,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    28,    -1,   384,    -1,    -1,    -1,
      -1,    -1,    36,    -1,    -1,    -1,    -1,    -1,    42,    -1,
      -1,    -1,    -1,    -1,    -1,   330,    -1,  4327,    -1,    -1,
    4330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    11,    66,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4350,    -1,  4352,    -1,    -1,    -1,    -1,    -1,    28,    -1,
      -1,    -1,  4362,    -1,    -1,    -1,    36,    -1,    -1,    -1,
      -1,  1993,    42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    66,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4405,    -1,    -1,    -1,    -1,
    4410,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,   424,
     425,  4421,   427,   428,   429,   430,   431,   432,    -1,    -1,
      -1,    -1,   437,  4433,  4434,    -1,    -1,    -1,  4438,    -1,
      -1,    -1,  4442,    -1,   168,    -1,    -1,    -1,   172,    -1,
      -1,    -1,    -1,    -1,  1898,  1899,  4456,    -1,    -1,  1903,
    1904,    -1,    -1,  1907,    -1,  4465,    -1,    -1,    -1,   193,
     194,    -1,    -1,  1917,    -1,    -1,    -1,    -1,    -1,    -1,
    1924,    -1,    -1,    -1,  1928,  1929,   210,    -1,  1932,  1933,
      -1,    -1,    -1,    -1,    -1,  1939,  4496,    -1,   168,    -1,
      -1,    -1,   172,    -1,    -1,    -1,    -1,  1951,    -1,  1953,
    4510,    -1,   236,    -1,    -1,   239,    -1,  4517,    -1,    -1,
      -1,  2143,    -1,   193,   194,  1969,    -1,    -1,   252,    -1,
    1974,   255,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     210,    -1,    -1,  1987,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1995,    -1,  1997,  1998,  1999,  2000,    -1,    -1,    -1,
    2004,  2005,    -1,    -1,     8,    -1,   236,    11,  2012,   239,
      -1,    -1,  2016,    -1,    -1,    -1,  2020,    -1,  4578,    -1,
      -1,    -1,   252,    -1,    28,   255,    -1,  4587,    -1,    -1,
      -1,    -1,    36,    -1,    -1,    -1,    -1,    -1,    42,    -1,
    2222,  2045,    -1,    -1,    -1,    -1,   330,    -1,    -1,    -1,
      -1,    -1,  2056,    -1,  2058,     8,    -1,    -1,    11,    -1,
    2064,    -1,    66,    -1,  2068,    -1,  2070,  2071,  2072,  2073,
      -1,  2075,    -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    36,  2088,  2089,  2090,    -1,    -1,    42,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2101,  2102,    -1,
     330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2306,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
      -1,    -1,    -1,   437,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2165,    -1,    -1,   168,    -1,    -1,    -1,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   193,
     194,    -1,    -1,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,    -1,    -1,   210,   437,     8,    -1,
      -1,    11,    -1,    -1,    -1,   168,    -1,    -1,    -1,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   236,    -1,    -1,   239,    36,    -1,    -1,    -1,
     193,   194,    42,    -1,    -1,    -1,    -1,    -1,   252,    -1,
      -1,   255,    -1,    -1,    -1,    -1,    -1,   210,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    66,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    -1,
    2284,    -1,    -1,   236,    24,    -1,   239,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,   252,
      -1,    -1,   255,    -1,    -1,    -1,    -1,    -1,  2312,    -1,
      -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,    32,
      -1,    -1,    -1,    36,    64,    -1,   330,    -1,   128,    42,
      -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    28,    -1,    66,    -1,    -1,    -1,  2539,    -1,    36,
    2542,    -1,  2544,    -1,    -1,    42,    -1,  2549,   168,    -1,
      -1,    -1,   172,   113,    -1,    -1,    -1,   330,    -1,    -1,
     120,    -1,    -1,   123,    -1,    -1,    -1,    -1,    -1,    66,
      -1,    -1,    -1,   193,   194,    -1,    -1,   879,   111,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     210,    -1,    -1,    -1,    -1,    -1,    -1,  2599,    -1,   423,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
      -1,    -1,    -1,   437,    -1,    -1,    -1,   177,    -1,   239,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   252,    -1,    -1,   168,    -1,  2639,    -1,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     423,   424,   425,   179,   427,   428,   429,   430,   431,   432,
     193,   194,   188,   189,   437,    -1,    -1,    -1,    -1,   195,
      -1,   168,    -1,    -1,   234,   172,   236,   210,    -1,  2503,
     206,    -1,    -1,    -1,    -1,    -1,   246,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   254,    -1,   193,   194,  2700,    -1,
    2702,    -1,    -1,   236,   264,    -1,   239,    -1,    -1,  1011,
     330,    -1,    -1,   210,    -1,    -1,    -1,    -1,    -1,   252,
      -1,    -1,   255,    -1,    -1,    -1,    -1,    -1,  2552,  2553,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   297,    -1,   236,
     300,   301,   239,    -1,    -1,  2569,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   252,    18,  2759,   255,    -1,
      -1,    -1,    24,    -1,    -1,    -1,   326,    -1,    -1,    -1,
    2594,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   275,  2603,
      -1,    -1,  2784,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2618,  2619,    -1,   330,    -1,  2623,
      -1,  2803,    64,    -1,  2628,  2629,  2630,   427,   428,   429,
     430,   431,   432,    -1,    -1,    -1,    -1,    -1,    -1,  2821,
      -1,    -1,    -1,    -1,   384,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    11,   330,  2658,  2659,  2660,  2661,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,   381,    28,
      -1,   113,    31,    -1,    -1,    -1,    -1,    36,   120,    -1,
      -1,   123,    -1,    42,    -1,    -1,    -1,    -1,  2692,    -1,
    2694,  2695,  2696,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2704,    -1,    -1,    -1,  2886,    -1,    -1,    66,    -1,    -1,
     423,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
    2902,    -1,    -1,    -1,    -1,    -1,    -1,  1209,    -1,    -1,
      -1,  2913,    -1,    -1,    -1,   177,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   423,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    11,  2771,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2779,    -1,    -1,    -1,    -1,
      -1,  1263,    -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    36,   234,    -1,   236,    -1,    -1,    42,    -1,    -1,
    2982,    -1,     8,    -1,   246,    11,    -1,    -1,    -1,   168,
      -1,    -1,   254,   172,    -1,    -1,    -1,  1299,    -1,    -1,
    3002,    66,   264,    -1,    -1,   531,    -1,    -1,    -1,    -1,
      36,    -1,  2836,    -1,   193,   194,    42,   543,    -1,    -1,
      -1,   547,    -1,    -1,    -1,  3027,    -1,    -1,    -1,    -1,
      -1,   210,   558,    -1,    -1,   297,    -1,    -1,   300,   301,
      66,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   574,    -1,
      -1,    -1,   578,    -1,  2878,    -1,    -1,   236,  2882,    -1,
     239,  3063,   588,   589,   326,    -1,    -1,    -1,   594,    -1,
      -1,    -1,    -1,   252,  1376,    -1,   255,    -1,   604,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   612,    -1,    -1,    -1,
    2914,    -1,    -1,  1395,    -1,    -1,    -1,     8,    -1,    -1,
      11,    -1,   128,   168,  2928,    -1,    -1,   172,    -1,    -1,
      -1,    -1,    -1,  1415,  2938,    -1,    -1,    28,    -1,    -1,
      31,    -1,   384,    -1,    -1,    36,    -1,    -1,   193,   194,
      -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,  1440,    -1,
      -1,    -1,   168,    -1,    -1,   210,   172,  3149,    -1,    -1,
      -1,   330,    -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,
      -1,   687,    -1,    -1,    -1,    -1,   692,   193,   194,    -1,
      -1,   236,    -1,    -1,   239,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     8,   210,    -1,    11,   252,    -1,    -1,
     255,    -1,   718,    -1,    -1,  1497,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    28,    -1,   270,    -1,    -1,    -1,    -1,
      -1,    36,    -1,   239,    -1,    -1,    -1,    42,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3240,    -1,
      -1,    66,    -1,    -1,   423,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,    -1,    -1,   168,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   330,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   193,   194,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   210,
      -1,    -1,    -1,    -1,   330,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   845,
      -1,    -1,    -1,    -1,    -1,   236,    -1,   152,   239,    -1,
     856,    18,    -1,    -1,    -1,    -1,    -1,    24,    -1,    -1,
      -1,   252,    -1,   168,   255,    -1,    -1,   172,  3172,    -1,
    3174,    -1,    -1,   879,    -1,    -1,    -1,  3181,   423,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,   193,   194,
      -1,    -1,  1674,  3197,    -1,    -1,    -1,    64,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   210,    -1,    -1,  3212,    -1,
     916,  3393,    -1,    -1,    -1,    -1,    -1,    -1,  3222,    -1,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,    -1,
      -1,   236,    -1,  3237,   239,    -1,    -1,    -1,    -1,   330,
      -1,    -1,   948,    -1,    -1,    -1,   113,   252,    -1,  3431,
     255,    -1,    -1,   120,    -1,    -1,   123,   963,    -1,    -1,
      -1,   967,    -1,    -1,    -1,    -1,  3270,  3271,  3272,   975,
      -1,    -1,    -1,  3277,  3278,  3279,  3280,  3281,    -1,    -1,
      -1,    -1,  3286,  3287,    -1,  3289,  3290,  3291,  3292,  3293,
    3294,  3295,    -1,    -1,    -1,    -1,    -1,  1003,    -1,    -1,
    3304,    -1,  3306,  3307,    -1,  1011,    -1,  1013,    -1,    -1,
     177,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1026,    -1,    -1,  1029,    -1,   330,    -1,    -1,    -1,    -1,
      -1,    -1,   423,   424,   425,  1041,   427,   428,   429,   430,
     431,   432,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3360,  3361,  3362,  3541,
      -1,  3365,    -1,    -1,  1070,    -1,    -1,   234,    -1,   236,
    3552,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   246,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   254,    -1,    -1,
      -1,    -1,  1098,  1099,    -1,  1101,    -1,   264,    -1,    -1,
      -1,  1883,    -1,    -1,    -1,  1887,  1888,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1120,    -1,    -1,    -1,   423,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,    -1,
     297,    -1,     8,   300,   301,    11,    -1,  1143,    -1,    -1,
      -1,    -1,    -1,    -1,  3448,  1151,  1152,    -1,    -1,    -1,
       8,    -1,    28,    11,  1160,  1161,    -1,    -1,    -1,   326,
      36,  3465,  3466,  3467,     8,    -1,    42,    11,    -1,    -1,
      28,    -1,    -1,    31,    -1,    -1,    -1,    -1,    36,    -1,
      -1,    -1,  3664,  1189,    42,    -1,    -1,  1193,  1194,    -1,
      66,    -1,    36,    -1,    -1,    18,    -1,    -1,    42,    -1,
      -1,    24,    -1,  1209,    -1,    -1,    -1,    -1,    66,  1215,
    3692,  1993,    -1,    -1,    -1,    -1,    -1,   384,    -1,    -1,
      -1,    -1,    66,    -1,    -1,    -1,    -1,    18,    -1,  3711,
      -1,    -1,    -1,    24,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1263,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    -1,    -1,    -1,    -1,  3761,
      -1,    -1,    -1,    -1,   128,    -1,    -1,    -1,    -1,    -1,
     113,    -1,   168,  1299,    -1,    -1,   172,   120,    -1,    -1,
     123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     168,    -1,    -1,    -1,   172,    -1,    -1,   193,   194,    -1,
      -1,    -1,   113,    -1,   168,    -1,    -1,    -1,   172,   120,
      -1,    -1,   123,    -1,   210,   193,   194,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   193,
     194,  1357,   210,    -1,   177,    -1,    -1,    -1,    -1,    -1,
     236,  2143,    -1,   239,    -1,    -1,   210,    -1,    -1,    -1,
    1376,  3675,  3676,  3677,  3678,    -1,   252,  3681,   236,   255,
      -1,   239,    -1,    -1,    -1,    -1,   177,    -1,    -1,  1395,
      -1,    -1,    -1,    -1,   252,   239,    -1,   255,  3702,  3703,
    3704,  3705,    -1,  3707,  3708,    -1,    -1,    -1,   252,  1415,
      -1,   234,    -1,   236,    -1,  3719,  3720,    -1,    -1,    -1,
      -1,    -1,    -1,   246,    -1,    -1,    -1,  3909,    -1,  1435,
    3734,   254,    -1,    -1,  1440,    -1,  3740,  3741,    -1,  3743,
    2222,   264,    -1,   234,    -1,   236,    -1,    -1,    -1,  1455,
      -1,    -1,    -1,    -1,   330,   246,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   254,    -1,  1471,    -1,    -1,    -1,    -1,
      -1,    -1,   330,   264,   297,    -1,    -1,   300,   301,    -1,
     356,    -1,    -1,    -1,    -1,  1491,   330,    -1,    -1,    -1,
      -1,  1497,    -1,    -1,  1500,    -1,  1502,  1503,    -1,    -1,
      -1,    -1,    -1,   326,    -1,    -1,   297,  1513,    -1,   300,
     301,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1525,
    1526,    -1,    -1,    -1,  2306,    -1,    -1,    -1,  3832,    -1,
      -1,  1537,    -1,    -1,    -1,   326,    -1,  3841,    -1,    -1,
      -1,  4023,    -1,    -1,    -1,    -1,    -1,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,  3862,    -1,
      -1,   384,    -1,  1569,    -1,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,    -1,    -1,    -1,    -1,
    3884,    -1,    -1,   427,   428,   429,   430,   431,   432,    -1,
      -1,    -1,    -1,   384,    -1,    -1,    -1,    -1,  1604,    -1,
    1606,    -1,    -1,    -1,    -1,    -1,    -1,  1613,    -1,    -1,
    1616,    -1,    -1,    -1,  1620,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1628,  1629,    -1,    -1,    -1,    -1,    -1,    -1,
    1636,    -1,    -1,  1639,  1640,  1641,  1642,    -1,    -1,    -1,
      -1,    -1,    -1,  1649,  1650,    -1,  1652,  3951,  1654,  1655,
    4132,    -1,  1658,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3964,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1674,  1675,
    1676,  4153,    -1,    -1,  1680,    -1,    -1,    -1,  1684,    -1,
      -1,    -1,  1688,    -1,  1690,  1691,  1692,  1693,  1694,  1695,
    1696,  1697,  1698,    -1,  1700,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1708,  1709,    -1,    -1,    -1,  4189,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4025,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4046,    -1,    28,  4227,    -1,    31,    -1,  4231,
    4232,    -1,    36,    -1,    -1,    -1,    -1,  2539,    42,    -1,
    2542,    -1,  2544,     8,    -1,    -1,    11,  2549,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    -1,
      -1,    -1,    66,    28,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    36,    -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,
      36,    -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2599,    -1,    -1,
      -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1835,
      66,    -1,    -1,    -1,  4138,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2639,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4177,    -1,    -1,    -1,  1883,    -1,    -1,
      -1,  1887,  1888,  4187,   168,    -1,    -1,    -1,   172,    -1,
      -1,  1897,   128,    -1,   189,  1901,  1902,    -1,    -1,  1905,
     195,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   193,
     194,   206,    -1,  4217,    -1,    -1,    -1,    -1,  2700,    -1,
    2702,  1927,  4226,   168,  1930,    -1,   210,   172,    -1,    -1,
      -1,    -1,   168,    -1,    -1,  1941,   172,    -1,  4242,    -1,
      -1,    -1,  1948,    -1,    -1,    -1,    -1,    -1,   193,   194,
      -1,    -1,   236,    18,    -1,   239,    -1,   193,   194,    24,
      -1,    -1,  1968,    -1,    -1,   210,    -1,    -1,   252,    -1,
      -1,   255,    -1,    -1,   210,    -1,    -1,  2759,    -1,  1985,
    1986,    -1,    -1,    -1,    49,    -1,    -1,  1993,    -1,    -1,
      -1,   236,    -1,    -1,   239,    -1,    -1,    -1,    -1,    64,
      -1,    -1,  2784,   239,  2010,  2011,    -1,   252,  2014,    -1,
     255,  4315,    -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,
      -1,  2803,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      95,    -1,  4336,    -1,  2040,    -1,    -1,    -1,  2044,  2821,
      -1,    -1,    -1,    -1,    -1,    -1,   330,    -1,   113,    -1,
      -1,    -1,    -1,    -1,    -1,   120,  4360,  2063,   123,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2074,    -1,
    4374,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2087,    -1,    -1,    -1,   330,    -1,    -1,    -1,    -1,
      -1,  2097,    -1,    -1,   330,  4399,    -1,    -1,    -1,    -1,
    4404,    -1,    -1,    -1,  2886,    -1,    -1,    -1,    -1,   174,
      -1,    -1,   177,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2902,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2913,    -1,    -1,    -1,  2141,    -1,  2143,    -1,   423,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
      -1,  4455,    -1,    -1,    -1,    -1,    -1,   222,  2164,   224,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   234,
      -1,   236,    -1,    -1,    -1,    -1,    -1,    -1,   423,   424,
     425,   246,   427,   428,   429,   430,   431,   432,    -1,   254,
      -1,   427,   428,   429,   430,   431,   432,    -1,   263,   264,
    2982,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2222,    -1,    -1,  2225,
    3002,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   297,    -1,    -1,   300,   301,   302,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3027,    -1,    -1,   543,    -1,
      -1,    -1,   547,  2259,    -1,    -1,    -1,    -1,  2264,    -1,
      -1,   326,    -1,   558,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   337,    -1,    -1,    -1,    -1,    -1,    -1,   574,
      -1,  3063,    -1,    -1,    -1,    -1,    -1,    -1,  2294,    -1,
      -1,    -1,    -1,    -1,   589,    -1,    -1,    -1,    -1,   594,
    2306,    21,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   604,
      -1,  2317,    -1,    33,    -1,  2321,    -1,   612,    -1,   384,
      -1,  2327,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,  2345,
    2346,    -1,    -1,    -1,    -1,  2351,    -1,    67,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    76,    -1,    -1,    -1,
      80,    -1,    -1,    -1,    -1,    -1,    -1,  3149,    -1,    -1,
    2376,  2377,    -1,    -1,    -1,  2381,    -1,    97,    -1,    -1,
      -1,    -1,    -1,   103,    -1,    -1,    -1,  2393,  2394,  2395,
    2396,    -1,    -1,    -1,    -1,  2401,    -1,   692,   118,    -1,
    2406,  2407,    -1,  2409,    -1,  2411,    -1,    -1,    -1,   129,
      -1,    -1,    -1,    -1,    -1,  2421,  2422,   137,    -1,  2425,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   149,
      -1,    -1,  2438,    -1,  2440,    -1,   156,    -1,  2444,    -1,
     160,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   175,    -1,  2463,  3240,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2473,    -1,    -1,
    2476,  2477,  2478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2490,    -1,    -1,  2493,    21,    -1,
      -1,    -1,    -1,    -1,   214,    -1,    -1,    -1,    -1,  2505,
      33,   221,    -1,    -1,  2510,    -1,    -1,    -1,    -1,    -1,
    2516,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2524,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   252,  2539,    67,   255,  2542,    -1,  2544,    -1,
      -1,    -1,    -1,  2549,    -1,  2551,    -1,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2566,  2567,    -1,    -1,    97,    -1,  2572,    -1,    -1,    -1,
     290,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   118,    -1,  2593,   308,    -1,
    2596,    -1,    -1,  2599,   314,    -1,   129,    -1,    -1,    -1,
     320,    -1,    -1,   323,   137,    -1,    -1,    -1,    -1,    -1,
      -1,  3393,    -1,    21,    -1,    -1,   149,    -1,    -1,    -1,
      -1,   154,    -1,    -1,    -1,    -1,    -1,   160,    -1,   349,
      -1,   351,   352,  2639,   354,   355,    -1,    -1,    -1,    -1,
      -1,    -1,   175,   363,    -1,    -1,    -1,    -1,   368,  3431,
      -1,    -1,    -1,   948,   374,    -1,    -1,   377,    -1,    67,
     380,  2667,  2668,  2669,    -1,    -1,    -1,    -1,   963,    -1,
      -1,    -1,    80,   393,    -1,    -1,    -1,    -1,    -1,    -1,
     975,    -1,    -1,    -1,    -1,  2691,    -1,    -1,   221,    97,
      -1,    -1,    -1,    -1,  2700,   103,  2702,  2703,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2713,  1003,    -1,
     118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1013,   252,
      -1,   129,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   137,
     263,  1026,    -1,    -1,  1029,    -1,    -1,    -1,    -1,    -1,
      -1,   149,    -1,    -1,    -1,    -1,   154,    -1,   281,    -1,
      -1,    -1,   160,  2759,    -1,    -1,    -1,    -1,    -1,  3541,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,    -1,    -1,
    3552,    -1,  2778,    -1,    -1,   308,    -1,    -1,  2784,   312,
      -1,   314,    -1,    -1,    -1,    -1,    -1,   320,    -1,    -1,
     323,    -1,   200,    -1,    -1,    -1,    -1,  2803,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   221,  2820,  2821,   349,    -1,   351,    -1,
      -1,    -1,   355,    -1,    -1,    -1,    -1,    -1,    -1,  2835,
     363,  2837,    -1,    -1,    -1,   368,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2849,   252,  2851,    -1,   380,  1143,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1151,  1152,    -1,    -1,
     393,    -1,    -1,    -1,    -1,    -1,  1161,    -1,    -1,    -1,
      -1,    -1,    -1,   281,    -1,    -1,    -1,    -1,    -1,    -1,
    2886,    -1,  3664,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2901,  2902,    -1,    -1,    -1,
     308,    -1,    -1,    -1,   312,    -1,   314,  2913,    -1,    -1,
    3692,    -1,   320,    -1,    -1,   323,    -1,    -1,    -1,    -1,
    1215,    -1,    -1,  2929,    -1,    -1,    -1,    -1,    -1,  3711,
      -1,    -1,    -1,    -1,  2940,    -1,    -1,  2943,    -1,    -1,
     348,   349,    -1,   351,    -1,    -1,    -1,   355,    -1,    -1,
      -1,    -1,    -1,    -1,  2960,   363,    -1,  2963,    -1,    -1,
     368,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   380,  2979,    -1,    -1,  2982,    -1,    -1,  3761,
      -1,    -1,    -1,  2989,    -1,   393,    -1,    -1,    -1,  2995,
      -1,  2997,    -1,    -1,    -1,    -1,  3002,  3003,    -1,    -1,
    3006,  3007,  3008,  3009,  3010,  3011,  3012,  3013,  3014,  3015,
      -1,    -1,    -1,  3019,  3020,    -1,    -1,    -1,    -1,    -1,
      -1,  3027,    -1,    -1,    -1,    -1,  3032,    -1,    -1,    -1,
    3036,    -1,  3038,    -1,  3040,    -1,    -1,    -1,    21,    -1,
      -1,    -1,    -1,    -1,  3050,    -1,    -1,  3053,    -1,  3055,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3063,  3064,  3065,
    3066,    -1,  1357,    -1,  3070,    -1,    -1,  3073,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3087,    -1,  3089,    67,    68,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    76,    -1,  3101,    -1,    80,    -1,    -1,
      -1,  3107,  3108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    97,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3131,    -1,  3909,    -1,    -1,
      -1,  3137,    -1,    -1,    -1,   118,   879,  3143,    -1,    -1,
    1435,    -1,    -1,  3149,    -1,    -1,   129,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   137,    -1,    -1,    -1,    -1,  3165,
    1455,    -1,    -1,    -1,    -1,    -1,   149,    -1,    -1,    -1,
      -1,   154,    -1,    -1,    -1,    -1,  1471,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3196,    -1,   175,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1502,  1503,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   200,  1513,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3234,    -1,
    1525,  1526,    -1,  3239,  3240,  3241,    -1,    -1,   221,    -1,
      -1,  4023,  1537,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1011,   252,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3285,
      -1,    -1,  3288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   281,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3322,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   308,    -1,    -1,    -1,   312,
      -1,   314,    -1,    -1,    -1,    -1,    -1,   320,    -1,    -1,
     323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4132,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3366,    -1,    -1,    -1,    -1,    -1,   349,    -1,   351,    -1,
      -1,  4153,   355,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     363,  1676,    -1,  3389,  3390,   368,    -1,  3393,    -1,    -1,
    3396,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   189,    -1,
      -1,    -1,    -1,    -1,   195,    -1,    -1,  4189,    -1,    -1,
     393,    -1,    -1,    -1,    -1,   206,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3431,  3432,  3433,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4227,    -1,    -1,    -1,  4231,
    4232,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1209,  3473,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3491,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1263,    -1,  3528,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3538,  3539,    -1,  3541,    -1,    -1,    -1,    -1,
    3546,  3547,    -1,    -1,    -1,  3551,  3552,    -1,    -1,    -1,
      -1,  3557,  3558,    -1,    -1,  3561,  1299,    -1,  3564,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3585,
      -1,    -1,    -1,  3589,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3601,    -1,    -1,    -1,    -1,
    3606,    -1,  1897,    -1,    -1,  3611,  1901,  1902,    -1,    -1,
    1905,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    -1,  1927,  1376,    -1,    -1,    24,    -1,    -1,    -1,
    3646,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1395,    -1,    -1,    -1,    -1,    -1,  3664,    -1,
      -1,    49,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1415,  1968,  3680,    -1,    64,  3683,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3692,    -1,    -1,    -1,
    1985,  1986,    -1,    -1,    -1,    -1,    -1,  1440,    -1,    -1,
    3706,    -1,    -1,    -1,    -1,  3711,    -1,    95,    -1,    -1,
      -1,    -1,  3718,    -1,    -1,  2010,  2011,    -1,    -1,  2014,
      -1,    -1,    -1,    -1,    -1,   113,    -1,  3733,    -1,    -1,
      -1,    -1,   120,    -1,    -1,   123,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2040,    -1,    -1,    -1,  2044,
      -1,    -1,   543,    -1,  1497,  3761,   547,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   558,  2063,    -1,
    3776,    -1,    -1,    -1,    -1,    -1,   687,    -1,    -1,  2074,
      -1,    -1,    -1,   574,    -1,    -1,   174,    -1,    -1,   177,
      -1,    -1,  2087,    -1,    -1,    -1,    -1,    -1,   589,    -1,
      -1,    -1,  2097,   594,    -1,    -1,    -1,   718,  3814,    -1,
      -1,    -1,    -1,   604,    -1,    -1,    -1,    -1,    -1,  3825,
      -1,   612,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   222,    -1,   224,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   234,    -1,   236,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   246,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   254,  3873,    -1,  2164,
      -1,    -1,    -1,    -1,    -1,   263,   264,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3893,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3905,
      -1,   692,    -1,  3909,    -1,    -1,    -1,    -1,  3914,   297,
      -1,    -1,   300,   301,   302,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3931,  3932,    -1,    -1,  3935,
    2225,  1674,    -1,    -1,    -1,    -1,    -1,    -1,   326,    -1,
      -1,    -1,  3948,    -1,    -1,    -1,    -1,  3953,    -1,   337,
      -1,    -1,  3958,    -1,    -1,  3961,    -1,    -1,    -1,    -1,
    3966,  3967,    -1,    -1,  2259,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3985,
      -1,  3987,    -1,    -1,    -1,  3991,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   384,    -1,    -1,  2294,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4023,  4024,    -1,
      -1,    -1,  2317,    -1,    -1,    -1,    -1,  4033,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4065,
      -1,  4067,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4080,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2401,    -1,    -1,    -1,
      -1,    -1,  2407,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4130,    -1,  4132,    -1,    -1,    -1,
    1041,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1883,    -1,    -1,    -1,  1887,  1888,  4152,  4153,    -1,  4155,
      -1,  4157,    -1,    -1,    -1,    -1,    -1,   948,    -1,  1070,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   963,    -1,  4180,    -1,    -1,    -1,  4184,    -1,
      -1,    -1,    -1,  4189,   975,    -1,    -1,  1098,  1099,    -1,
    1101,    -1,    -1,    -1,    -1,  2490,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1120,
      -1,    -1,  1003,    -1,    -1,  4221,    -1,    -1,    -1,    -1,
      -1,  4227,  1013,    -1,    -1,  4231,  4232,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1026,    -1,    -1,  1029,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1160,
    1993,    -1,    -1,    -1,    -1,    -1,  2551,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4272,    -1,    -1,    -1,
      -1,  2566,  2567,    -1,    -1,    -1,    -1,    -1,  1189,    -1,
      -1,    -1,  1193,  1194,    -1,  4291,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2593,    -1,
      -1,  2596,    -1,    -1,    -1,  4311,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4327,    -1,    -1,  4330,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1143,    -1,    -1,    -1,  4362,    -1,    -1,    -1,
    1151,  1152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1161,    -1,  2667,  2668,  2669,    -1,    -1,    -1,  4384,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2691,    -1,    -1,    -1,
    2143,    -1,    -1,    -1,  4410,    -1,  1114,    -1,  2703,    -1,
      -1,    -1,    -1,    -1,    -1,  4421,    -1,    -1,  2713,    -1,
      -1,    -1,    -1,    -1,  1215,    -1,    -1,  4433,  4434,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4444,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4456,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1174,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2222,
      -1,    -1,    -1,  2778,    -1,    -1,    -1,    -1,    -1,    -1,
    4496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4510,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2820,    -1,  4533,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2835,    -1,  2837,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2849,    -1,  2851,    -1,    -1,    -1,
      -1,    -1,    -1,  2306,    -1,    -1,  1357,    -1,    -1,    -1,
      -1,    -1,  4578,    -1,    -1,    -1,    -1,  4583,    -1,    -1,
      -1,  4587,    -1,    -1,    -1,  4591,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2901,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2929,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1435,    -1,    -1,    -1,  2943,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1455,  2960,    -1,    -1,  2963,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1471,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1613,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1502,  1503,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1513,    -1,    -1,  1636,    -1,    -1,  1639,    -1,
      -1,  1642,    -1,    -1,  1525,  1526,    -1,    -1,  1649,  1650,
      -1,    -1,    -1,  3038,  1655,    -1,  1537,  1658,    -1,   879,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1675,    -1,    -1,    -1,    -1,  1680,
      -1,    -1,    -1,  1684,    -1,    -1,    -1,  1688,    -1,  1690,
    1691,  1692,  1693,  1694,  1695,  1696,  1697,  1698,    -1,  1700,
      -1,    -1,    -1,    -1,    -1,    -1,  2539,  1708,  1709,  2542,
      -1,  2544,    -1,    -1,    -1,    -1,  2549,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1533,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2599,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1011,    -1,    -1,    -1,  1676,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2639,    -1,    -1,    -1,
      -1,  3196,    -1,  1611,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1835,    -1,    -1,  1635,    -1,    -1,
      -1,    -1,  1640,    -1,    -1,    -1,    -1,    -1,    -1,  3234,
      -1,    -1,    -1,    -1,  3239,    -1,  3241,    -1,    -1,    -1,
      -1,    -1,  1660,  1661,    -1,  1663,    -1,  2700,    -1,  2702,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3285,    -1,    -1,  3288,    -1,    -1,    -1,  1705,    -1,    -1,
      -1,    -1,   879,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2759,    -1,    -1,  1930,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3322,    -1,    -1,
      -1,    -1,    -1,  1741,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2784,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2803,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2821,  1209,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3389,  3390,    -1,    -1,    -1,    -1,
      -1,  3396,    -1,    -1,    -1,    -1,  1897,    -1,    -1,    -1,
    1901,  1902,    -1,    -1,  1905,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1263,  1011,    -1,  1927,  1845,    -1,    -1,
      -1,    -1,    -1,  2886,    -1,    -1,    -1,    -1,    -1,  1857,
      -1,    -1,  1860,    -1,    -1,    -1,    -1,    -1,    -1,  2902,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1299,
    2913,    -1,    -1,    -1,    -1,    -1,    -1,  1968,  3473,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1985,  1986,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2010,
    2011,    -1,    -1,  2014,    -1,    -1,    -1,    -1,    -1,    -1,
    2141,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2982,
      -1,    -1,    -1,    -1,    -1,    -1,  1376,    -1,    -1,  2040,
      -1,    -1,    -1,  2044,    -1,    -1,    -1,    -1,    -1,  3002,
      -1,    -1,    -1,    -1,    -1,  1395,    -1,    -1,    -1,    -1,
      -1,    -1,  2063,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2074,  3027,  1415,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2087,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2097,    -1,    -1,    -1,
    1440,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3063,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2264,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1497,    -1,    -1,
      -1,    -1,    -1,  2164,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3680,  1263,   879,  3683,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3149,    -1,    -1,    -1,
      -1,  3706,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1299,  3718,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2225,  2346,    -1,    -1,  3733,    -1,
    2351,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2259,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3776,  2393,    -1,  2395,  2396,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2406,    -1,  3240,  2409,  1376,
    2411,    -1,    -1,  2294,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1395,  1011,
      -1,    -1,    -1,    -1,    -1,    -1,  2317,  2438,    -1,  2440,
      -1,    -1,    -1,  2444,    -1,    -1,    -1,    -1,  1415,    -1,
      -1,    -1,    -1,    -1,  1674,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1440,    -1,  2476,  2477,  2478,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1709,
      -1,    -1,  2493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2505,    -1,    -1,    -1,  3893,  2510,
      -1,    -1,    -1,    -1,    -1,  2516,    -1,    -1,    -1,    -1,
    2401,    -1,    -1,    -1,    -1,    -1,  2407,    -1,    -1,    -1,
    1497,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3393,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2572,    -1,    -1,  2372,    -1,  2374,    -1,  2376,  2377,
    2378,    -1,    -1,  2381,    -1,    -1,    -1,  2385,    -1,    -1,
      -1,    -1,    -1,    -1,  2392,    -1,    -1,    -1,  3431,  2397,
    3985,    -1,  3987,    -1,    -1,  2403,    -1,    -1,    -1,  2490,
    2408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2417,
      -1,    -1,    -1,  2421,  2422,    -1,  2424,  1209,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2436,  4024,
      -1,    -1,    -1,    -1,    -1,  2443,    -1,  2445,  2446,  2447,
    2448,  2449,  2450,  2451,  2452,  2453,  2454,    -1,    -1,    -1,
      -1,    -1,    -1,  1883,    -1,    -1,    -1,  1887,  1888,    -1,
    2551,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4065,  1263,  4067,    -1,  2482,  2566,  2567,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1674,  3541,    -1,
      -1,    -1,  2593,    -1,    -1,  2596,    -1,  1299,    -1,  3552,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   879,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1993,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2667,  2668,  2669,  2587,
      -1,    -1,    -1,    -1,  1376,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2691,    -1,    -1,  1395,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2703,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3664,  2713,  1415,    -1,    -1,  4221,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1440,  3692,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1011,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3711,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2778,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1497,  1883,    -1,    -1,    -1,
    1887,  1888,    -1,  2143,    -1,    -1,    -1,    -1,  3761,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2820,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2835,    -1,  2837,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2849,    -1,
    2851,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2979,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2989,    -1,
      -1,    -1,    -1,    -1,  2995,    -1,  2997,    -1,    -1,  4384,
      -1,    -1,  2222,    -1,    -1,    -1,    -1,    -1,  2806,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3019,  3020,
    2901,    -1,    -1,    -1,    -1,    -1,  1993,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3040,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2929,  3050,
      -1,    -1,  3053,    -1,  3055,    -1,    -1,    -1,    -1,  4444,
      -1,    -1,  2943,  3064,    -1,    -1,  1209,    -1,    -1,  3070,
      -1,    -1,  3073,    -1,    -1,    -1,  3909,    -1,    -1,  2960,
      -1,    -1,  2963,    -1,    -1,    -1,  2306,    -1,    -1,    -1,
      -1,    -1,  1674,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3101,    -1,    -1,    -1,    -1,    -1,  3107,  3108,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1263,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3131,    -1,    -1,    -1,  2932,    -1,  3137,    -1,    -1,    -1,
      -1,    -1,  3143,    -1,    -1,    -1,    -1,    -1,  4533,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1299,  3038,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2143,    -1,    -1,    -1,
    2978,    -1,    -1,    -1,    -1,    -1,  2984,    -1,    -1,    -1,
    4023,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4583,    -1,
      -1,    -1,  3000,  3001,    -1,  3003,  4591,    -1,  3006,  3007,
    3008,  3009,  3010,  3011,  3012,  3013,  3014,  3015,  3016,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1376,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3041,    -1,    -1,  3044,    -1,  3046,    -1,
      -1,    -1,  1395,  3051,  3052,  2222,  2476,  2477,  2478,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3065,  3066,  3067,
      -1,  3069,  1415,    -1,  3072,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1440,    -1,  4132,
      -1,  1883,    -1,    -1,    -1,  1887,  1888,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3196,    -1,  3115,    -1,  2539,
    4153,    -1,  2542,    -1,  2544,    -1,    -1,    -1,  3126,  2549,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2306,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3234,  1497,    -1,  4189,    -1,  3239,    -1,
    3241,    -1,    -1,    -1,  3162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2599,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4227,    -1,    -1,    -1,  4231,  4232,
      -1,    -1,    -1,    -1,  3285,    -1,    -1,  3288,    -1,    -1,
      -1,  1993,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2639,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3432,  3433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2700,    -1,  2702,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3389,  3390,
      -1,    -1,    -1,    -1,    -1,  3396,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1674,    -1,    -1,    -1,    -1,    -1,  3538,  3539,  2759,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3551,    -1,    -1,    -1,    -1,    -1,  3557,  3558,    -1,    -1,
    3561,  2143,    -1,  3564,  2784,    -1,    -1,    -1,  3366,    -1,
      -1,    -1,  2539,    -1,    -1,  2542,    -1,  2544,    -1,    -1,
      -1,    -1,  2549,  2803,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3473,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3601,  2821,    -1,    -1,    -1,  3606,    -1,    -1,    -1,    -1,
    3611,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2599,    -1,   879,    -1,    -1,    -1,    -1,    -1,
    2222,    -1,    -1,    -1,    -1,  3646,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2886,    -1,    -1,    -1,
      -1,    -1,  2639,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2902,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2913,  3492,    -1,    -1,    -1,  3496,  3497,
    3498,    -1,    -1,  3501,    -1,    -1,    -1,    -1,  3506,  3507,
    3508,  3509,  3510,  3511,  3512,  3513,  3514,  3515,  3516,  3517,
      -1,    -1,    -1,    -1,  2306,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2700,    -1,  2702,    -1,    -1,    -1,    -1,
    1883,    -1,    -1,    -1,  1887,  1888,    -1,  3545,  3546,  3547,
    3548,    -1,  3550,    -1,    -1,    -1,  3554,  3555,  3556,    -1,
      -1,  3559,  2982,    -1,  3562,    -1,  1011,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3002,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2759,    -1,    -1,    -1,    -1,    -1,    -1,  3680,
      -1,    -1,  3683,    -1,    -1,  3603,    -1,  3027,    -1,    -1,
      -1,    -1,  3610,  3814,    -1,    -1,    -1,  2784,    -1,    -1,
      -1,    -1,    -1,    -1,  3622,  3706,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2803,  3718,    -1,    -1,
      -1,    -1,    -1,  3063,    -1,    -1,    -1,    -1,    -1,    -1,
    1993,    -1,  3733,    -1,  2821,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3108,    -1,
      -1,    -1,    -1,    -1,    -1,  3776,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2886,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3149,
      -1,    -1,    -1,    -1,  3935,  2902,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2913,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2539,    -1,    -1,
    2542,    -1,  2544,    -1,  1209,    -1,  3967,  2549,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3893,    -1,    -1,  2982,    -1,  2599,  1263,  3817,
    3240,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3002,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1299,    -1,    -1,  2639,    -1,    -1,
    3027,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3870,  3871,    -1,    -1,    -1,    -1,    -1,  2222,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3063,    -1,    -1,    -1,
      -1,    -1,    -1,  3901,  3985,    -1,  3987,  3905,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2700,    -1,
    2702,  3919,    -1,  3921,    -1,    -1,    -1,    -1,  3926,  3927,
    3928,  1376,    -1,  3931,  3932,  3933,  3934,    -1,  3936,    -1,
      -1,  3939,    -1,  4024,    -1,    -1,    -1,    -1,    -1,    -1,
    1395,    -1,    -1,    -1,  4155,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2306,    -1,    -1,    -1,    -1,    -1,    -1,
    1415,    -1,    -1,  3393,    -1,    -1,    -1,  2759,    -1,  4180,
      -1,    -1,  3149,    -1,  4065,    -1,  4067,    -1,    -1,    -1,
      -1,  3989,    -1,    -1,    -1,  1440,    -1,    -1,    -1,    -1,
      -1,    -1,  2784,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3431,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2803,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2821,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1497,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3240,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4086,    -1,
    4291,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2886,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2902,  3541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2913,  3552,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4151,  4152,    -1,    -1,    -1,    -1,    -1,
      -1,  4362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4167,
    4168,  4169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3601,    -1,    -1,    -1,    -1,  3606,    -1,    -1,    -1,
      -1,  3611,    -1,    -1,  4192,    -1,  2539,    -1,    -1,  2542,
    2982,  2544,    -1,    -1,    -1,    -1,  2549,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3002,    -1,    -1,    -1,    -1,    -1,  3393,    -1,    -1,  1674,
      -1,    -1,  4433,  4434,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3664,  3027,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2599,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3431,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3692,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3063,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3711,    -1,    -1,    -1,  4496,  2639,    -1,    -1,    -1,
      -1,    -1,    -1,  4384,    -1,    -1,    -1,    -1,    -1,  4510,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4319,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4335,    -1,    -1,
      -1,  3761,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2700,    -1,  2702,
      -1,    -1,    -1,  4444,    -1,    -1,    -1,  3149,    -1,    -1,
      -1,    -1,    -1,    -1,  3541,    -1,    -1,  4578,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3552,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4409,    -1,    -1,    -1,    -1,  2759,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1883,    -1,
      -1,  2784,  1887,  1888,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4533,  3873,    -1,    -1,  4454,    -1,  3240,    -1,
    2803,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2821,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3909,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3664,    -1,    -1,
      -1,  4499,  4583,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4591,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3692,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2886,  3711,    -1,    -1,    -1,  1993,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4555,    -1,  2902,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2913,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3761,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4023,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3393,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2982,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3431,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3002,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3027,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2143,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4132,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3063,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4153,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3909,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3541,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4189,
    3552,    -1,    -1,    -1,    -1,    -1,    -1,  2222,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3149,  4227,    -1,    -1,
      -1,  4231,  4232,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4023,    -1,    -1,    -1,
      -1,  2306,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3664,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4311,    -1,    -1,    -1,    -1,    -1,  3240,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3692,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3711,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4132,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3761,
      -1,    -1,    -1,    -1,    -1,    -1,  4153,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4189,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3393,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4227,    -1,    -1,    -1,  4231,  4232,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3431,    -1,
      -1,    -1,    -1,    -1,  2539,    -1,    -1,  2542,    -1,  2544,
      -1,    -1,    -1,    -1,  2549,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3909,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2599,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2639,    -1,    -1,    -1,  3541,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3552,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4023,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2700,    -1,  2702,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2759,    -1,    -1,    -1,    -1,    -1,
      -1,  3664,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2784,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3692,
    4132,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2803,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3711,    -1,
      -1,  4153,    -1,    -1,    -1,    -1,  2821,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4189,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3761,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2886,    -1,    -1,    -1,  4227,    -1,    -1,    -1,  4231,
    4232,    -1,    -1,    -1,    -1,    -1,    -1,  2902,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2913,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2982,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3002,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3909,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3027,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3063,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4023,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3149,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4132,
      -1,    -1,    -1,    -1,    -1,  3240,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4189,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4227,    -1,    -1,    -1,  4231,  4232,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3393,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3431,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3541,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3552,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,  3664,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    -1,    -1,    44,    -1,    -1,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,  3692,    -1,    59,
      -1,    61,    62,    63,    64,    -1,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,  3711,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
      -1,    -1,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,  3761,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
      -1,   141,    -1,   143,   144,    -1,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,    -1,   183,   184,   185,   186,    -1,    -1,    -1,
      -1,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,   208,   209,
     210,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,    -1,   233,   234,    -1,    -1,   237,   238,   239,
     240,    -1,    -1,   243,    -1,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,    -1,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,    -1,   273,  3909,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,    -1,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,    -1,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,    -1,    -1,    -1,
      -1,   361,    -1,   363,    -1,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,    -1,  4023,    -1,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   416,   417,   418,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4132,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4153,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4189,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,  4227,    -1,    -1,    30,  4231,  4232,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
     115,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,   208,   209,   210,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   427,   428,   429,    -1,    -1,    -1,    -1,    -1,
      -1,   436,   437,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      30,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,   208,   209,
     210,    -1,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,   428,     3,
      -1,    -1,    -1,    -1,    -1,    -1,   436,   437,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    31,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,   153,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,   208,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   437,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    -1,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,   208,   209,
     210,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,    -1,   237,   238,   239,
     240,    -1,    -1,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,    -1,   363,    -1,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   416,   417,   418,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,   437,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    -1,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      -1,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,   208,   209,   210,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,    -1,   237,   238,   239,   240,    -1,    -1,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,    -1,   273,    -1,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,    -1,   363,    -1,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,    -1,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,    -1,     3,     4,     5,     6,     7,     8,     9,
      10,   416,   417,   418,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      30,    -1,   437,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,   205,   206,   207,   208,   209,
     210,    -1,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,   428,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   436,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,   208,   209,   210,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   427,   428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     436,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,   208,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   427,   428,    -1,    -1,    -1,
      -1,    -1,   434,   435,   436,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
     208,   209,   210,    -1,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,
     428,   429,    -1,    -1,    -1,    -1,    -1,    -1,   436,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,   208,   209,   210,    -1,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   427,   428,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   436,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,
      30,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,   208,   209,
     210,    -1,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,   428,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   436,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,   208,   209,   210,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   427,   428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     436,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,   208,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   427,   428,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   436,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
     208,   209,   210,    -1,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,
     428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,   208,   209,   210,    -1,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   427,   428,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   436,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      30,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,   208,   209,
     210,    -1,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,   428,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   436,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,   208,   209,   210,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   427,   428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     436,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,   208,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   427,   428,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   436,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
     208,   209,   210,    -1,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,
     428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,   208,   209,   210,    -1,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,    -1,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   427,   428,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   436,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      30,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,   208,   209,
      -1,    -1,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,   428,    -1,
      -1,     3,     4,     5,     6,     7,   436,     9,    10,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,   208,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,    -1,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     3,     4,     5,     6,     7,    -1,
       9,    10,    -1,    -1,   436,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,   208,
     209,   210,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,    -1,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,   436,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,    -1,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,   208,   209,    -1,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
      -1,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   427,   428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     436,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,    -1,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,   208,   209,    -1,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,    -1,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     3,   427,   428,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   436,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
     209,   210,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,    -1,   237,   238,
     239,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,   251,   252,   253,   254,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,    -1,   398,
      -1,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,   209,   210,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
      -1,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,   251,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     436,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    54,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,   208,   209,   210,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,    -1,   237,   238,   239,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   436,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    54,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,   208,   209,
     210,    -1,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     3,     4,     5,    -1,
      -1,    -1,     9,    -1,    -1,    -1,   436,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,   208,   209,   210,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,    -1,
     237,   238,   239,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,    -1,   252,   253,   254,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,
     427,   428,   429,    -1,    -1,    -1,    -1,    -1,    -1,   436,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    26,    27,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,   208,   209,   210,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,    -1,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,    -1,   398,    -1,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   436,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,   208,   209,   210,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,    -1,   237,   238,   239,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   436,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   436,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   436,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       3,     4,     5,    -1,    -1,     8,     9,    -1,    -1,    -1,
     436,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    -1,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,    -1,   236,   237,   238,   239,   240,   241,    -1,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,    -1,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,    -1,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   416,   417,   418,    -1,    -1,    -1,    -1,
     423,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
       3,    -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,
     423,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
       3,    -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,
     423,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
       3,    -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,
     423,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
       3,    -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,
     423,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
       3,    -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,
     423,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
       3,    -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,
     423,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
       3,    -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,
      -1,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,    -1,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
      -1,    -1,   195,    -1,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,    -1,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,    -1,    -1,     3,
     423,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   429,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   429,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    -1,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,   136,   137,   138,    -1,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,    -1,   161,
      -1,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,    -1,   208,   209,   210,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,    -1,    -1,   237,   238,   239,   240,    -1,
      -1,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,   256,   257,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
      -1,   273,    -1,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
      -1,   363,    -1,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,   416,   417,   418,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,   429,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    -1,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      -1,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,   208,   209,   210,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,    -1,   237,   238,   239,   240,    -1,    -1,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,   256,   257,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,    -1,   273,    -1,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,    -1,   363,    -1,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,    -1,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,   416,   417,   418,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,   429,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,     4,     5,    -1,    -1,    -1,     9,    -1,    -1,
      -1,   429,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,   208,   209,   210,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,    -1,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,    -1,
     252,   253,   254,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,     4,     5,
      -1,    -1,    -1,     9,    -1,   427,   428,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,   208,   209,   210,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
      -1,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,    -1,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,     4,     5,    -1,    -1,    -1,     9,
      -1,   427,   428,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,   208,   209,
     210,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,    -1,   252,   253,   254,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,     9,    -1,   427,   428,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,   152,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,     4,     5,    -1,    -1,
      -1,     9,    -1,   427,   428,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    54,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,   208,   209,
     210,    -1,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,   208,   209,   210,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,    -1,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,   250,    -1,   252,   253,
     254,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,     5,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
     208,   209,   210,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,    -1,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,   208,   209,   210,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,    -1,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      26,    27,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,   208,   209,   210,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
      -1,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,   208,   209,
     210,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,   208,   209,   210,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,    -1,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,     5,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
     208,   209,   210,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,    -1,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,   208,   209,   210,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,    -1,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,   208,   209,   210,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
      -1,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,   208,   209,
     210,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,   208,   209,   210,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,    -1,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
     208,   209,   210,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,    -1,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,   208,   209,   210,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,    -1,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,   208,   209,   210,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
      -1,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,   208,   209,
     210,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,   208,   209,   210,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,    -1,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
     208,   209,   210,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,    -1,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    -1,    -1,    68,    69,    70,    71,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,    -1,    -1,    -1,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,   210,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    83,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,    -1,    -1,    -1,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,   251,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    26,    27,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,   251,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,   251,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    31,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    31,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    31,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,    -1,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    -1,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,    -1,   161,    -1,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,    -1,   208,   209,   210,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,    -1,    -1,   237,   238,   239,   240,    -1,    -1,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,    -1,   273,
      -1,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,    -1,   363,
      -1,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,    -1,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   416,   417,   418,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    -1,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    -1,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,    -1,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,   181,    -1,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,    -1,   208,
     209,   210,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,    -1,   237,   238,
     239,   240,   241,    -1,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,    -1,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,    -1,   347,   348,
     349,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,    -1,   363,    -1,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,    -1,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   416,   417,   418,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,    -1,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,    -1,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    -1,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,    -1,   161,    -1,   163,   164,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,   181,    -1,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
     208,   209,   210,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,    -1,   237,
     238,   239,   240,    -1,    -1,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
      -1,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,    -1,   273,    -1,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,    -1,   363,    -1,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   416,   417,
     418,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    -1,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    -1,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,    -1,   161,    -1,
     163,   164,   165,   166,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,   181,    -1,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,   208,   209,   210,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,    -1,   237,   238,   239,   240,    -1,    -1,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,    -1,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,    -1,
     273,    -1,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,    -1,
     363,    -1,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,    -1,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   416,   417,   418,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    -1,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,    -1,   161,    -1,   163,   164,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,   181,    -1,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
     208,   209,   210,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,    -1,    -1,   237,
     238,   239,   240,    -1,    -1,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
      -1,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,    -1,   273,    -1,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,    -1,   363,    -1,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   416,   417,
     418,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    -1,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    -1,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,    -1,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,    -1,   161,    -1,
     163,   164,   165,   166,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,   181,    -1,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,   208,   209,   210,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,    -1,    -1,   237,   238,   239,   240,    -1,    -1,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,   252,
     253,   254,    -1,    -1,   257,    -1,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,    -1,
     273,    -1,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,    -1,
     363,    -1,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,    -1,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   416,   417,   418,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    -1,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,    -1,   161,    -1,   163,   164,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,   181,    -1,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
     208,   209,   210,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,    -1,    -1,   237,
     238,   239,   240,    -1,    -1,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
      -1,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,    -1,   273,    -1,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,    -1,   363,    -1,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   416,   417,
     418
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    14,    24,    26,    27,    41,    61,    63,    64,    69,
      71,    81,    83,    99,   102,   114,   116,   120,   126,   134,
     136,   142,   157,   212,   213,   218,   227,   238,   276,   288,
     293,   294,   296,   301,   306,   309,   313,   318,   319,   326,
     329,   337,   349,   366,   376,   382,   387,   400,   436,   443,
     444,   445,   446,   452,   453,   455,   456,   457,   458,   459,
     460,   461,   463,   464,   468,   480,   485,   486,   489,   490,
     491,   503,   506,   507,   523,   560,   563,   566,   567,   568,
     575,   581,   583,   585,   586,   589,   592,   593,   597,   598,
     607,   611,   612,   613,   614,   615,   617,   618,   619,   632,
     633,   637,   639,   640,   641,   651,   653,   660,   661,   664,
     665,   666,   667,   668,   673,   675,   678,   682,   686,   687,
     697,   698,   701,   706,   717,   739,   742,   743,   744,   747,
     750,   752,   754,   757,   758,   761,   762,   763,   770,   771,
     773,   774,   775,   780,   782,   783,   787,   788,   791,   792,
     793,   794,   796,   797,   798,   799,   801,   804,   805,   810,
     816,   819,   821,   822,   827,   829,   833,   840,   844,   845,
     846,   847,   848,   849,   852,   880,   361,   403,   776,    21,
      67,    80,    97,   103,   118,   129,   137,   149,   154,   160,
     175,   200,   221,   252,   281,   308,   312,   314,   320,   323,
     348,   349,   351,   355,   363,   368,   380,   393,   582,   776,
       3,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    33,    34,    36,    37,    39,    40,    41,
      42,    43,    45,    46,    48,    49,    50,    51,    52,    55,
      56,    57,    58,    59,    61,    62,    63,    64,    65,    69,
      70,    71,    72,    74,    75,    77,    78,    79,    80,    81,
      82,    85,    86,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   104,   106,   107,   108,   109,   110,   112,   113,
     114,   117,   118,   119,   120,   121,   123,   124,   125,   127,
     128,   129,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   141,   143,   144,   145,   146,   148,   150,   154,   155,
     156,   158,   159,   161,   163,   164,   165,   166,   167,   169,
     170,   171,   173,   174,   175,   176,   177,   178,   180,   182,
     183,   184,   185,   186,   187,   188,   190,   192,   195,   197,
     198,   199,   200,   201,   203,   204,   206,   207,   209,   212,
     213,   214,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   232,   233,   234,   235,
     237,   238,   240,   242,   243,   244,   245,   246,   247,   249,
     252,   253,   254,   257,   258,   260,   262,   263,   264,   265,
     266,   267,   268,   269,   271,   272,   273,   274,   275,   276,
     277,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   305,   306,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   320,   321,
     322,   323,   324,   326,   327,   328,   329,   331,   332,   333,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   347,   348,   350,   351,   352,   353,   354,   355,   357,
     358,   361,   362,   363,   364,   366,   367,   368,   369,   370,
     371,   372,   375,   376,   377,   378,   379,   382,   383,   384,
     385,   386,   387,   388,   390,   392,   393,   394,   395,   398,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   841,   997,
    1010,  1014,  1015,   391,   806,   250,   277,   776,    44,   514,
     845,    21,    33,    54,    67,    76,    97,   103,   118,   129,
     137,   149,   156,   160,   214,   252,   255,   308,   314,   323,
     351,   352,   354,   355,   363,   368,   374,   377,   380,   524,
     565,   656,   707,   718,    22,   276,   997,   841,    22,   271,
     321,   352,   354,     5,   199,   748,   749,  1006,    21,    33,
      54,    67,    80,    97,   118,   129,   137,   149,   154,   160,
     175,   221,   252,   263,   308,   312,   314,   320,   323,   349,
     351,   355,   363,   368,   380,   393,   582,   669,   776,   997,
      83,   391,   436,   560,   563,   566,   805,   811,   819,   822,
     827,   833,   840,   844,     9,    15,    22,    39,   144,   150,
     152,   172,   201,   233,   279,   295,   427,   428,   683,   684,
     841,  1005,  1009,    22,    83,   292,   319,   688,   689,   690,
    1010,  1010,  1002,  1006,   349,   855,   683,  1010,   361,   997,
     263,   221,    97,   175,   348,   349,   755,   313,  1010,    22,
     324,   357,   361,   472,   481,   482,  1010,    19,   157,   688,
     689,   277,   776,  1010,   198,    22,   115,   857,    55,    77,
     214,   229,   308,   314,   324,   357,   361,   406,   469,   470,
     471,   472,    22,   324,   357,   361,   472,   361,   251,   891,
     995,  1010,   855,   429,  1010,   153,   436,   807,   436,   990,
     290,   850,   851,   997,   845,   846,   849,     0,   439,   806,
     130,   189,   256,   373,   858,   859,   845,   847,   848,   108,
     185,   379,   440,     3,    38,    44,    67,    73,    84,    90,
     151,   153,   168,   181,   193,   194,   196,   208,   210,   231,
     239,   259,   261,   307,   330,   391,  1003,  1010,  1011,  1014,
    1016,   671,  1010,   671,   998,  1010,   280,   671,   363,   671,
     997,  1010,    96,   349,   696,  1003,     3,  1007,  1012,  1014,
    1015,  1016,    22,   167,   995,   245,   393,     8,    62,   141,
     423,   424,   425,   427,   428,   429,   430,   431,   432,   746,
     957,   958,  1010,    22,  1007,   997,   997,   167,   995,   997,
     301,   326,    22,   167,   891,   997,   316,   997,   671,    22,
     219,  1007,   167,   995,   199,   105,   195,   236,   286,   777,
     778,   779,   995,  1001,  1010,    21,    54,    67,    68,    76,
      80,    97,   118,   129,   137,   149,   154,   175,   200,   221,
     252,   308,   312,   314,   320,   323,   349,   351,   355,   363,
     368,   393,   582,   676,  1006,   995,   359,  1003,   997,   436,
     671,   363,   998,   671,   363,   167,   997,    96,   349,   352,
     354,  1007,   352,   354,    62,   141,   746,   299,  1007,   167,
     465,  1010,   997,   997,   316,   997,   671,   219,  1007,   290,
     320,   349,   393,   221,    80,   175,   154,   312,   367,   576,
      22,   997,   842,   479,  1006,  1012,   749,   167,  1003,   997,
     167,   753,   167,   998,   363,    96,   349,   167,  1003,   167,
    1007,  1008,    73,   393,    62,   141,   167,   746,    48,   167,
    1008,   167,   997,   167,   997,   167,   997,   316,   167,   997,
     167,   219,  1008,   199,   167,   670,   671,   436,   820,   524,
     811,   387,   805,   812,   813,   814,  1012,   806,  1009,   684,
     685,    22,   685,  1009,   685,    22,   685,  1009,   685,   685,
     685,  1009,  1005,  1005,   841,   685,   280,   436,   436,   543,
     543,   543,   250,   359,   440,   543,   891,   892,   440,   772,
    1006,   436,   817,    48,   393,   997,   997,   995,  1010,    38,
     418,   195,   438,   253,   253,   250,   152,  1006,   359,   147,
     679,   250,     4,     6,     7,     8,    10,    30,    43,    45,
      46,    53,    54,    57,    58,    65,    67,    87,    88,    89,
      90,    91,    92,    93,   100,   101,   119,   135,   139,   140,
     145,   159,   187,   188,   190,   207,   215,   216,   230,   232,
     236,   241,   242,   244,   252,   262,   272,   287,   310,   325,
     332,   345,   357,   358,   362,   364,   365,   374,   380,   388,
     408,   409,   410,   411,   412,   413,   414,   415,   427,   428,
     429,   436,   845,   907,   910,   913,   914,   915,   917,   918,
     919,   920,   923,   924,   928,   930,   931,   932,   934,   955,
     959,   978,   983,   991,   992,   993,  1003,  1004,  1005,  1006,
    1010,  1006,    22,   487,   994,   995,   324,   469,   103,   478,
    1006,   479,  1006,    38,    59,   469,   418,   333,   778,   253,
     152,   359,   423,    38,   418,   195,   779,   436,   995,   429,
     434,   438,   984,   985,   892,   151,   153,   391,   802,   803,
     805,   151,   808,   103,   928,   988,   989,   850,   440,   436,
     809,   437,   437,   445,   995,    22,   115,   856,   856,    48,
     856,   142,   147,   211,   248,   862,   864,   865,   874,   876,
     877,   878,   858,   859,   152,   191,   891,   893,   990,   436,
     730,   985,   264,   297,   326,   438,   672,   264,   297,   326,
     264,   297,   326,   400,   447,   480,   483,   702,    18,   120,
     264,   297,   326,   384,   494,   997,   326,    18,   120,   379,
     462,   404,   167,   891,    50,    82,   138,   170,   206,   236,
     264,   297,   305,   311,   318,   326,   335,   343,   395,   480,
     484,   733,   740,   436,   719,   297,   462,   172,   135,    18,
      24,    64,   113,   120,   123,   177,   234,   236,   246,   254,
     264,   297,   300,   301,   326,   384,   492,   493,   601,     4,
     427,   428,   573,  1009,    22,   167,   995,   671,   671,   436,
     745,   438,   172,   454,   297,   447,   454,   250,   264,   297,
     135,    49,    95,   174,   222,   224,   234,   263,   297,   302,
     326,   337,   492,   569,   570,   571,   264,   297,   392,   601,
     609,   482,   470,   472,   172,   135,   297,   326,   492,   264,
     297,   301,   326,    74,   112,   265,   353,   250,    18,    24,
     120,   264,   297,   326,   504,   505,   454,   147,   297,   447,
     454,   135,   297,   326,   492,   997,   209,   105,   251,   405,
     440,   777,   381,   800,   250,  1003,   436,   997,   363,    96,
     349,  1003,   245,   393,    62,   141,   746,   997,   316,   997,
     199,   671,   543,   283,   509,   436,   646,   730,    60,     3,
      43,    45,    46,    57,    58,   100,   101,   145,   187,   188,
     190,   230,   232,   244,   287,   327,   332,   357,   358,   388,
     904,   906,   908,   910,   912,   914,   915,   916,   918,   919,
     923,   924,  1011,  1014,   152,   436,   642,   997,   447,    31,
     795,   997,   236,   447,   404,   167,   995,   447,   671,   671,
     642,   377,   524,   447,   236,    38,   466,   368,   608,   264,
     584,    74,   112,   265,   353,    20,    40,   186,   620,    31,
     642,   147,   447,   393,   995,   167,   561,   995,   995,   393,
     671,    73,   708,  1003,   997,   582,    44,    94,   184,   234,
     315,   135,   730,    51,   303,   495,   135,   436,   135,   404,
     135,   719,   135,   440,   167,   670,   167,   671,   167,   671,
     135,   745,  1008,   135,   135,   250,   135,   495,   135,    74,
     112,   265,   353,   135,   250,   135,   147,   167,   167,   479,
     135,   440,   495,   928,   962,   349,   437,   440,   140,   250,
     365,   476,   479,   573,   815,   811,   685,   841,   685,   841,
     685,   841,   685,   841,   685,   841,   841,   841,   685,   841,
     436,   544,   545,  1010,   544,    22,    97,   118,   149,   154,
     199,   200,   314,   320,   349,   351,   368,   691,   994,  1008,
     690,   172,   440,   830,  1006,   904,   965,    31,  1008,   708,
     148,   756,   756,   756,   209,  1010,   147,   147,   691,  1008,
     313,  1010,   479,   250,   436,   986,   434,   845,   966,   390,
     921,   928,   982,   436,   921,   921,   436,   147,   436,   436,
     436,   909,   909,   274,   845,   436,   436,   911,   436,   436,
     436,   436,    57,    58,   921,   928,   436,   909,   436,   436,
     436,   436,   436,   402,   422,   436,   925,   436,   925,   436,
     436,   845,   436,   436,   436,   436,   436,   436,   436,   436,
     928,   928,   845,   928,   962,   985,  1006,    58,   436,   922,
     436,  1006,     3,     8,    11,    28,    31,    36,    42,    66,
     168,   172,   193,   194,   210,   236,   239,   252,   255,   330,
     423,   424,   425,   427,   428,   429,   430,   431,   432,   957,
     959,   961,   401,   943,   261,   928,   191,   853,   440,   436,
    1006,   985,   106,   169,   488,   440,    59,   103,   479,    31,
       3,   103,   214,   477,   573,   924,  1006,  1006,    78,   117,
     940,    86,   103,   473,   474,   476,   573,   103,   473,   209,
     995,   928,     3,    22,    26,    27,    28,    29,    30,    31,
      32,    35,    47,    53,    54,    60,    66,    68,    76,    83,
      87,    88,    89,    91,    92,    93,   103,   105,   111,   115,
     116,   122,   126,   130,   140,   142,   147,   149,   152,   157,
     160,   162,   172,   179,   189,   191,   202,   205,   211,   215,
     216,   236,   241,   248,   250,   251,   255,   256,   270,   278,
     292,   304,   319,   325,   334,   346,   349,   356,   359,   360,
     365,   373,   374,   380,   381,   389,   396,   397,   399,   400,
     429,  1000,  1013,  1014,  1015,  1016,  1017,   984,    79,   302,
     674,   437,   440,   806,   437,   440,   851,   996,   997,    31,
     809,   847,   847,   860,   861,   928,   847,   144,   233,   871,
     197,   234,   286,   328,   379,    22,   866,   928,   867,   869,
     928,   930,   874,   875,   865,   864,   862,   863,   147,   877,
     246,   879,   862,   874,   893,   995,    31,  1010,   326,   172,
     182,   256,   258,   327,   389,   429,   723,   724,   725,   727,
     729,   731,   904,  1011,   264,   297,   326,   359,   359,   314,
    1000,   438,   359,   359,   314,   359,   359,   351,   469,   789,
     147,   157,   172,   306,   703,   704,    60,    76,   131,   149,
     278,   374,   540,   541,    76,   103,   236,   359,    76,   359,
     103,   236,   314,    76,   113,   123,   264,   297,   638,   314,
     590,    21,    54,    67,    80,   118,   129,   149,   154,   221,
     252,   314,   320,   323,   349,   355,   368,   393,   582,   997,
     135,   297,   326,   492,   250,   573,   318,   206,   359,   359,
     241,   573,   107,   192,   314,   324,   361,   471,   303,   326,
     733,   741,   437,   720,   723,   359,   380,   351,   995,    68,
     131,   531,   540,  1010,    68,    76,   759,   250,   312,   363,
      76,   759,    25,   300,   312,   363,   995,   177,   246,   671,
     436,   359,   359,   166,   436,   499,   351,   400,   402,   499,
      76,   440,     4,     4,   264,   172,   135,   297,   326,   492,
     381,   381,   235,   904,   264,   326,   746,    97,   326,   483,
     359,   449,   483,   995,   359,   359,   995,   573,    48,   572,
     573,   573,    95,   222,   224,    48,   359,   447,   314,   447,
     381,   234,   571,   359,   359,   241,  1006,   601,   351,   891,
      76,   359,   759,   314,   359,   359,   499,   499,   671,   671,
     671,   671,   995,    37,   386,    37,    37,   359,    37,   359,
     314,   440,   483,    93,   380,   616,  1007,   359,   449,   483,
     995,   359,   314,   264,   297,   286,   298,   322,   475,   777,
    1001,  1010,   995,   730,   904,   250,   404,   719,   573,   671,
     671,   745,   193,   250,    74,   112,   265,   353,   250,   671,
     193,   400,   515,   340,   341,   510,  1006,     3,   647,   648,
     642,   436,   906,    31,    30,   905,    98,   165,   223,   226,
     317,   416,   436,   926,   927,   672,   909,   671,   643,   644,
    1013,    20,   784,   904,   250,   135,   587,   997,   236,   436,
     448,   656,   381,   290,   393,   448,   135,  1007,    83,   157,
     467,   523,   567,   619,   686,   706,   780,  1006,   609,   610,
     997,   217,   671,   671,   671,   671,   246,   108,   185,   366,
     379,   621,   622,   127,   285,   436,   616,   448,   995,   569,
     570,   236,    31,   246,   436,   543,   543,   564,   995,   147,
     709,  1001,   436,   721,    31,   199,   400,   402,   843,   315,
    1003,   495,   904,   998,   167,   997,  1003,   495,  1008,  1007,
     135,   495,   135,   381,   135,   381,   746,   495,   495,  1008,
     997,   671,   997,   997,   997,   671,  1008,   616,   135,   135,
     495,   670,   671,   437,   440,   995,   811,   813,   841,   841,
     841,   841,   841,   841,   544,   437,   440,   437,   155,   321,
     350,   996,   670,    96,   323,   695,   696,   996,   245,   996,
     994,   994,   996,   670,   359,   400,   699,    16,   133,   310,
     328,   831,   891,   240,   832,   437,   440,   818,   822,   827,
     833,   844,   359,   995,   689,   688,   689,   152,   158,   700,
    1010,    21,    68,    97,   118,   129,   149,   154,   200,   221,
     308,   314,   320,   349,   351,   368,   393,   582,   680,   962,
     984,   435,   962,   966,   967,   436,   396,   979,   980,   928,
     962,   436,  1005,  1005,   962,     3,    98,   165,   223,   226,
     317,   416,   968,   969,  1006,  1005,   962,   962,  1005,  1005,
     921,   921,   928,   746,   928,   970,   427,   428,   929,   930,
     955,   959,   972,   437,   962,   928,   962,   973,   357,   418,
    1005,  1005,   928,    47,   152,   205,   360,   928,   962,   976,
     962,   228,   930,   928,   938,   939,   940,   228,   928,   940,
     437,   440,   326,  1005,  1005,   926,   904,   928,  1013,   357,
      35,   346,   987,   671,   928,   436,   845,   977,   115,   117,
     140,   236,   241,   246,   365,   375,   928,    42,   168,   172,
     210,   330,   436,   928,   359,   928,   928,   928,   928,   928,
     928,   928,   928,   928,   928,    22,    29,   334,   956,   160,
     143,   944,   310,   436,   955,   156,   214,   349,   352,   354,
     377,   854,   995,   152,   881,   993,    22,   115,   389,   429,
     437,   725,   928,   963,   964,  1011,   995,   361,   436,  1006,
     440,   437,   435,   441,   166,   166,   495,   995,   803,   804,
     995,   988,   437,   440,   436,   440,    32,   111,   381,   715,
     436,   868,  1009,   328,   197,   251,   440,   310,   311,   870,
     994,   832,   875,   863,   381,   828,   103,   436,   823,   844,
    1010,   436,   834,   835,   836,   837,   838,  1010,   258,    48,
    1011,   437,   725,   727,   724,   727,  1011,   256,   437,   440,
     672,   359,   359,   314,  1007,   997,   997,  1000,  1007,   997,
     997,  1007,   998,   997,    75,   790,   308,   380,   688,   314,
     157,   688,   436,   997,   381,   710,   197,   197,   381,   436,
     559,   167,   997,   241,  1007,   997,   997,   928,   241,   997,
     997,    25,   300,   359,   359,   997,   359,   591,  1003,   436,
     671,   671,   671,   363,    96,   349,   696,   393,    62,   141,
     746,   997,   671,   997,   671,   316,   671,   671,   199,   161,
     234,   264,   297,   385,   594,   595,   596,   891,   359,   759,
     314,   241,   107,   192,  1007,   997,   250,   997,   437,   440,
    1007,  1008,   997,   297,   492,   531,   904,   997,  1010,   997,
     997,    22,   380,   997,   167,   997,   167,  1010,   312,   363,
     312,   363,   997,    22,   380,   997,   995,    18,   120,   326,
     602,   603,   604,   605,  1013,  1007,   997,   103,   153,   237,
     381,   498,   501,   502,  1013,   997,   249,    64,   249,   997,
     493,   359,   351,   995,   359,   759,   314,   999,  1010,   999,
     440,   437,   440,   359,   314,   998,  1007,     3,    75,   125,
     177,   269,   372,   380,   383,   450,   297,  1007,   997,   297,
     326,   492,   569,   570,   573,   671,   997,   573,   997,   573,
     999,  1007,   997,   997,   297,   326,   492,   997,   997,   997,
     997,  1007,   997,    18,    24,   120,   264,   297,   326,   264,
     297,   326,   642,   297,   326,   297,   326,   297,   903,  1010,
     167,   652,  1010,   167,  1010,  1007,   997,   997,   997,    18,
     505,   323,  1007,   297,   326,   492,   997,   997,   359,   359,
      72,   371,   286,   193,    31,   671,   193,   193,   381,   381,
     193,   241,   677,  1006,   671,   671,   193,   677,   249,   152,
     359,   508,   447,   423,   437,   440,   928,    30,   905,   904,
     434,   434,   359,   359,   359,   436,   359,  1005,   909,   437,
     440,   423,   621,    75,   124,   203,   204,   217,   264,   351,
     353,   785,   533,  1013,   997,   152,   314,   392,   588,   595,
     596,   135,   210,   525,   527,   529,   531,   537,   540,    19,
     172,   308,   347,   450,   451,   147,   999,   393,   995,   465,
    1010,   466,   255,   524,   149,  1006,   642,   642,   642,   642,
     246,   250,   255,   436,   642,   901,   902,   903,   323,   436,
     381,   135,   134,   844,   671,   525,  1010,   400,   402,   555,
     400,   500,    31,   543,  1006,   250,   437,   722,   723,   728,
      31,   199,   305,   399,   732,   733,   734,   250,   479,   164,
     164,   147,   730,    31,   135,   495,   719,   670,   671,   999,
     671,   999,   745,   250,   495,   495,   250,   495,   323,   147,
     479,   495,   928,   437,   545,   172,   172,   172,   404,   996,
     440,   573,   574,   160,   692,   693,  1007,    19,   700,   133,
     328,   133,   328,   310,   379,   225,   904,   997,   400,   562,
     152,   250,   692,    48,   495,  1003,   363,   349,  1003,   245,
     393,   199,   671,   437,   435,   435,   440,   962,   928,   122,
     980,   981,    31,   437,   928,   437,   437,   437,   437,   152,
     437,   437,   437,   437,   437,   440,   437,   270,   971,   437,
     929,   929,    11,   172,   193,   252,   423,   424,   425,   427,
     428,   429,   430,   431,   432,   959,   929,   437,   437,   147,
     152,   974,   975,   437,   418,   437,   437,    31,   976,   962,
     976,   976,   152,   437,   437,  1013,   268,   942,    31,   437,
     440,   928,  1013,   440,   928,   986,   928,  1010,   437,   437,
     418,   929,   929,   128,   962,   152,   115,   117,   140,   241,
     246,   365,   375,   436,   128,   346,   987,   928,   977,   928,
     359,   746,   928,   436,   845,   436,   436,   260,   948,   352,
     354,   352,   354,   995,   855,   855,   855,   202,   311,   436,
     845,   882,   883,   884,   891,   894,   931,   933,   934,  1003,
    1010,   397,   899,   963,   963,   964,   437,    13,   440,   858,
     859,   778,  1005,   926,   474,   928,   809,   997,   818,   861,
     252,   957,   960,   419,   420,   716,   928,   870,   379,   867,
     882,   397,   900,   387,   824,   825,  1010,   304,   826,   838,
     839,   440,   881,   423,   986,   731,   672,   727,   727,    48,
     729,   431,  1007,   997,   997,   211,  1008,  1008,   250,   996,
     253,   250,   928,   541,   999,   436,   436,   436,   559,   175,
     544,   630,   135,   495,   359,  1007,   997,   479,   730,   904,
     997,   404,   671,   671,   671,   671,   745,    74,   112,   265,
     353,   997,   577,   997,   161,   385,   359,   359,   577,   594,
     601,   297,   326,   492,   997,   997,   997,   183,   241,   723,
     263,   326,   359,   254,   599,   630,   120,   301,   326,   494,
     601,   760,   135,   495,   135,   495,   997,   997,   997,   997,
     604,   605,   604,   437,   440,   606,  1006,   175,   437,   440,
     423,   438,  1007,   997,   297,   326,   492,   997,   997,   997,
     264,   297,   326,    18,   120,   264,   297,   326,   904,   235,
     904,  1007,   997,   211,   269,   241,  1006,   269,  1008,   378,
     359,   359,   314,   381,   400,   263,   326,   359,   759,   314,
     359,   359,   219,   219,   219,   359,   359,   314,   359,   359,
     314,   359,   314,   359,   314,   359,   495,   904,   236,  1006,
     326,   760,   135,   495,   359,   997,   359,   314,  1007,   997,
     677,   904,   193,   677,   677,   999,   999,   677,   193,   193,
     677,   509,   436,   511,   512,   252,   427,   428,   573,   645,
     727,   960,  1006,  1017,     3,   648,   437,   434,   437,  1005,
     435,  1005,   165,   223,   927,   223,   927,   927,  1005,   226,
     437,   644,   645,   250,   211,   423,   786,   786,   786,   786,
     786,   786,   786,    60,    66,    76,   103,   105,   179,   236,
     241,   278,   292,   374,   534,   535,   536,   134,   396,   447,
     479,   997,   479,   599,   995,   995,   437,   440,  1008,   160,
     308,  1008,  1005,   368,   995,   543,    38,   466,   299,   349,
      96,   500,   544,   995,   622,   649,   650,  1006,   437,   440,
     997,   544,   999,   995,   997,   562,   436,   526,   437,   249,
     499,   249,   250,   556,   499,    31,   844,   500,   359,   995,
     437,   440,   103,   423,   735,  1006,   479,   349,   726,   727,
     400,   734,   736,   108,   185,   319,   379,   768,   161,   844,
     495,   904,   997,   495,   495,   381,   495,   381,   495,   495,
     671,   671,   997,   616,   495,   314,   314,   314,   996,   696,
     440,  1007,   400,   440,   694,   253,   133,   133,    96,   234,
    1008,   691,   495,  1007,   730,   719,   573,   671,   193,   966,
     437,   356,   928,   126,   904,   437,   928,   928,   928,   974,
     904,   929,   115,   117,   236,   246,   929,   929,   929,   929,
     929,   929,   929,   929,   929,   929,   928,   928,   975,   974,
     925,   925,   904,   437,   437,   437,   962,   437,   440,    48,
     930,   437,  1013,   939,   275,   344,   941,   437,   440,   392,
     935,    31,   437,   922,  1006,   928,    28,    28,   928,   437,
     928,   152,   436,   965,   928,   929,   929,   128,   128,   928,
     437,   128,   928,   859,   397,   436,   949,  1010,   855,   855,
     855,   855,   995,   995,   995,   845,   894,   152,   845,   883,
     884,    31,   885,   886,  1010,   440,    84,   153,   181,   196,
     208,   231,   307,   888,   886,    31,   885,   887,  1010,   421,
     898,   436,   985,   928,   160,   872,   440,   858,   858,   858,
     928,   389,   964,   437,   437,   435,   437,   436,   716,   437,
     251,    86,   928,   826,   437,   440,   986,   992,   437,   440,
     835,   900,   988,   437,   431,   731,   368,   786,   155,   321,
     350,   369,   705,   147,   705,   437,   436,   547,   548,   712,
     933,  1010,   544,   544,   630,  1001,   437,   105,   179,   234,
     236,   631,   997,   997,    31,   997,   381,   381,   671,   671,
     671,   671,   672,  1007,   997,   359,   759,   314,   359,   183,
      48,   351,   997,   436,   533,   236,   499,    96,   236,   339,
     342,   499,   368,   997,  1010,   603,   997,   502,   645,  1013,
     263,   326,   359,   759,   314,   359,   359,   359,   314,   154,
     252,   342,   654,   655,   154,   252,   662,   663,   359,   359,
     314,   437,   437,   437,  1009,  1006,  1006,  1006,   997,   997,
     997,   999,   499,    48,   351,   997,   997,   997,   997,   997,
     147,   147,   299,   147,   167,  1007,   997,   997,  1007,   997,
     997,   997,   997,   997,   997,   997,    66,   496,   135,    20,
      40,   368,  1010,   997,   601,   997,   997,   437,   677,   193,
     193,   677,   677,   510,   518,   519,  1013,    44,    85,   109,
     124,   128,   148,   151,   163,   241,   249,   284,   513,   630,
    1005,   400,   402,   435,   435,   437,   926,   995,   786,   103,
    1005,  1006,   103,  1006,   103,  1006,   103,  1006,   103,   997,
     103,   997,   103,   997,   436,   671,   997,   929,   106,   169,
     105,   241,   197,   995,   736,   282,   634,   635,  1010,   587,
     436,   538,   323,   529,  1008,  1008,   904,   436,   500,  1007,
     995,   404,   147,   623,   437,   440,   903,   599,   437,   400,
     246,   436,   820,   528,   530,   532,   540,  1010,   555,   178,
     554,    71,   351,   557,   844,   562,   557,  1006,   710,   728,
     928,   928,   440,   436,   732,   642,   359,   577,   437,   495,
     999,   999,   495,   495,   323,   996,   996,   996,   573,   157,
     693,    96,   700,   152,   193,   193,   193,   193,   241,   681,
    1006,   928,   437,   437,   975,   152,   115,   117,   246,   436,
     437,   407,   937,   962,   291,    48,   398,   398,   437,   928,
     234,   928,   440,   936,   906,   926,   929,   929,   928,   965,
     437,    28,    28,   928,   928,   128,   928,   437,   437,   928,
     950,  1010,   995,   995,   995,   995,   886,   887,   436,   437,
    1010,   436,   883,   196,   259,   889,   883,   889,   196,   888,
     889,   196,   436,  1010,   436,   963,    48,   162,   873,   437,
     437,   437,   964,  1006,  1006,   746,   246,   844,   825,   423,
     838,   826,   368,   437,  1009,   359,   688,   152,   630,   928,
     437,   440,   400,    66,   713,   713,   437,   437,   736,   106,
     169,   177,   105,   383,   495,   904,   999,   999,   997,   997,
     997,   997,  1008,   997,   600,   604,   241,   241,  1009,  1010,
     904,   495,   495,   423,    48,   351,   997,   997,   997,   997,
    1007,   997,   997,  1005,  1005,   904,   440,  1005,  1005,   440,
    1007,   997,   997,   400,  1008,   997,   359,   996,   996,   671,
     996,   135,   671,  1006,  1006,   904,   495,   495,   193,   677,
     677,   381,   516,   517,   437,   440,   429,   436,   476,   520,
     573,   795,  1006,   795,   236,   241,   284,   795,   795,   435,
     154,   182,   154,   152,   629,  1009,   928,   236,   535,   736,
     543,   381,   558,  1003,    28,   134,   172,   525,   132,   173,
     997,   381,   544,    31,   466,   436,   997,   121,   624,   396,
     626,  1006,   500,   499,   671,   525,   562,   437,   440,   400,
     556,   436,   555,   108,   120,   275,   997,   400,   781,   152,
     436,  1006,   725,   737,   738,  1011,   736,   995,   180,   578,
     495,   495,   495,   997,   253,   495,   692,   681,   681,   681,
     681,   929,   152,   436,   965,   436,   437,   440,   437,   930,
     291,   437,   386,   336,   437,   437,   437,   929,   929,   928,
     437,   267,   951,   895,   896,   933,   885,   436,   996,   883,
     250,   381,   890,   883,   196,   883,   902,   436,   902,  1010,
     858,   962,   928,   399,   945,   858,   926,   437,   841,   990,
     692,   250,   692,   437,   736,   548,   252,   746,   671,   381,
     671,   714,   714,   292,   736,   558,   437,   359,   326,   832,
     437,   440,   496,   645,  1008,   997,   359,   436,  1003,   746,
     655,   436,   436,   663,   499,   326,   832,   997,   400,   299,
     400,   400,   147,   496,   677,   447,   110,   519,   476,   521,
     522,  1006,  1006,   241,   544,   429,   544,  1006,  1006,   696,
      31,   751,   751,   995,   630,   437,   558,   220,   546,   175,
     436,   635,   282,   436,   437,    22,    70,    77,   104,   176,
     342,   539,   539,   599,   999,   437,   844,   599,   310,   338,
     625,   436,   134,    31,   526,   437,   530,   254,   557,   994,
     556,   311,   311,    52,    60,   214,   671,   711,   712,   727,
     437,   440,   899,   577,   234,   385,   579,   580,   495,   929,
     965,   437,   938,   962,    48,   234,   417,    48,   858,   437,
     440,    31,   897,   996,   437,   928,   436,   883,   890,   437,
     902,   437,   437,   946,   947,  1010,   437,   694,   705,   495,
     713,   558,   436,   671,   715,   715,   995,   558,   630,   997,
     351,   604,   381,   497,   326,   832,   997,   965,   719,   147,
     658,   745,   965,   965,   351,   670,   671,   670,   671,   996,
     495,   511,  1006,   437,   440,   544,   751,    34,   171,   147,
     234,   542,   153,   266,   331,   250,   550,   551,   552,   351,
     437,  1003,     5,   636,   323,   141,   657,   500,   781,   928,
     282,   844,   555,   554,   533,   437,   557,    60,   253,    60,
     437,   440,   732,   737,   116,   385,   577,   437,   437,   437,
     291,   386,   962,   285,   311,   952,   898,   895,   436,   437,
     996,   437,   440,    31,   152,   714,   397,   549,   746,   716,
     716,   543,   630,   997,   928,   351,   437,   256,   316,   289,
     659,   658,   437,   437,   997,   400,   522,   121,   177,   108,
     379,   250,   552,   250,   551,   997,   436,   437,   440,   997,
     671,    31,    31,   437,  1003,   781,   556,   555,   253,   253,
     500,   712,   736,    23,   186,   769,    42,    86,   370,   928,
     953,   954,   953,   437,   902,   437,   947,   949,   692,   715,
     436,   630,   437,   546,   832,   997,  1003,    48,   659,   832,
     671,   310,    51,   234,   303,   326,   553,   553,   437,     5,
     599,   654,   844,   436,   557,   556,   557,   237,   436,   764,
     766,   771,   822,   827,   833,   844,   954,   310,   146,   273,
     146,   273,   437,   495,   716,   928,   550,   832,   719,   671,
     626,    17,   103,   241,   781,     4,   627,   628,  1005,  1006,
    1013,   557,   899,   765,   766,   767,   845,   846,    28,   437,
     630,   134,   437,   440,   437,   439,   954,   282,   628,   767,
    1003,   436,   627,   437
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   442,   443,   444,   444,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   446,   447,   447,   448,   448,   449,   449,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   451,   451,
     451,   451,   451,   451,   452,   453,   454,   454,   455,   455,
     456,   457,   457,   458,   458,   459,   459,   460,   461,   462,
     462,   463,   463,   464,   464,   464,   464,   465,   465,   466,
     466,   467,   467,   467,   467,   467,   467,   468,   468,   468,
     469,   469,   469,   470,   470,   470,   470,   471,   471,   471,
     471,   471,   471,   471,   471,   471,   471,   471,   472,   472,
     473,   473,   474,   474,   475,   475,   475,   475,   476,   476,
     476,   476,   477,   477,   477,   477,   477,   477,   477,   478,
     478,   478,   479,   479,   480,   481,   481,   481,   481,   482,
     482,   483,   483,   484,   484,   485,   485,   485,   485,   485,
     486,   487,   487,   488,   488,   489,   490,   490,   490,   490,
     490,   491,   491,   491,   491,   491,   491,   491,   491,   491,
     491,   491,   491,   491,   491,   491,   491,   492,   492,   493,
     493,   493,   493,   493,   493,   493,   493,   493,   493,   493,
     493,   493,   493,   493,   493,   493,   493,   493,   493,   493,
     493,   493,   493,   493,   493,   493,   493,   493,   493,   493,
     493,   493,   493,   493,   493,   493,   493,   493,   493,   493,
     493,   493,   493,   494,   494,   495,   495,   495,   496,   496,
     497,   497,   498,   498,   498,   498,   499,   500,   500,   501,
     501,   502,   502,   502,   502,   503,   504,   504,   505,   505,
     505,   505,   506,   506,   507,   507,   508,   508,   509,   509,
     510,   510,   510,   511,   511,   512,   512,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   514,   514,   515,   515,   516,   516,   517,   517,   518,
     518,   519,   520,   520,   520,   520,   520,   521,   521,   522,
     523,   523,   523,   523,   524,   524,   524,   524,   524,   524,
     524,   524,   525,   525,   526,   526,   527,   527,   528,   528,
     529,   529,   529,   530,   530,   531,   532,   533,   533,   534,
     534,   534,   534,   535,   535,   535,   535,   535,   535,   535,
     536,   536,   536,   536,   537,   538,   538,   538,   539,   539,
     539,   539,   539,   539,   540,   540,   541,   541,   541,   541,
     541,   541,   541,   542,   542,   543,   543,   544,   544,   545,
     546,   546,   546,   546,   547,   547,   548,   548,   549,   549,
     550,   550,   550,   550,   550,   551,   552,   553,   553,   553,
     553,   553,   554,   554,   555,   555,   555,   555,   556,   556,
     556,   556,   557,   557,   558,   558,   559,   560,   561,   562,
     562,   562,   563,   564,   565,   565,   566,   567,   567,   567,
     568,   568,   568,   568,   568,   568,   569,   569,   570,   570,
     571,   571,   571,   571,   571,   571,   571,   571,   571,   571,
     571,   571,   572,   572,   573,   573,   573,   573,   574,   574,
     575,   575,   576,   576,   577,   577,   578,   578,   579,   579,
     580,   580,   581,   581,   582,   582,   583,   584,   584,   585,
     585,   586,   586,   587,   587,   588,   588,   588,   589,   590,
     590,   591,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   593,   594,   594,   594,
     594,   595,   595,   596,   596,   597,   597,   598,   598,   599,
     599,   600,   600,   601,   602,   602,   603,   603,   603,   603,
     604,   605,   606,   607,   608,   608,   609,   609,   610,   610,
     611,   611,   612,   612,   612,   613,   613,   614,   614,   615,
     616,   616,   616,   617,   617,   618,   619,   619,   620,   620,
     620,   621,   621,   622,   622,   622,   622,   622,   623,   623,
     624,   624,   625,   625,   626,   626,   627,   627,   627,   628,
     628,   628,   628,   629,   629,   630,   630,   631,   631,   631,
     631,   631,   631,   632,   632,   633,   633,   634,   634,   635,
     636,   636,   637,   638,   638,   638,   638,   639,   640,   641,
     641,   641,   641,   641,   641,   641,   641,   641,   641,   641,
     641,   641,   641,   642,   643,   643,   644,   644,   645,   645,
     645,   645,   645,   646,   647,   647,   648,   649,   649,   650,
     650,   651,   651,   651,   652,   652,   653,   654,   654,   655,
     655,   655,   655,   655,   656,   656,   657,   657,   658,   658,
     658,   659,   659,   660,   661,   661,   662,   662,   663,   663,
     664,   664,   665,   665,   666,   667,   668,   668,   668,   668,
     669,   669,   669,   669,   669,   669,   669,   669,   669,   669,
     669,   669,   669,   669,   669,   669,   669,   670,   670,   671,
     671,   672,   672,   673,   674,   674,   674,   675,   675,   675,
     675,   675,   675,   675,   675,   675,   675,   675,   675,   675,
     676,   676,   676,   676,   676,   676,   676,   676,   676,   676,
     676,   676,   676,   676,   676,   676,   676,   676,   676,   676,
     676,   676,   676,   677,   677,   678,   678,   678,   678,   678,
     679,   679,   680,   680,   680,   680,   680,   680,   680,   680,
     680,   680,   680,   680,   680,   681,   681,   682,   682,   683,
     683,   683,   683,   683,   683,   683,   683,   683,   683,   683,
     683,   683,   683,   683,   683,   684,   684,   685,   685,   686,
     687,   687,   688,   688,   688,   688,   688,   689,   689,   690,
     690,   690,   690,   691,   691,   691,   691,   691,   691,   691,
     691,   691,   691,   691,   691,   691,   691,   691,   691,   692,
     692,   693,   693,   694,   694,   695,   695,   696,   697,   698,
     698,   699,   699,   700,   700,   701,   702,   702,   703,   703,
     703,   704,   704,   704,   705,   705,   705,   705,   706,   707,
     707,   708,   708,   709,   709,   710,   710,   711,   711,   712,
     712,   712,   713,   713,   714,   714,   714,   715,   715,   715,
     716,   716,   716,   717,   717,   717,   718,   718,   719,   719,
     720,   720,   721,   721,   722,   722,   723,   723,   723,   723,
     723,   724,   724,   724,   724,   724,   725,   726,   727,   727,
     727,   728,   728,   728,   729,   730,   730,   730,   730,   731,
     731,   732,   732,   733,   733,   733,   733,   733,   733,   733,
     733,   733,   733,   733,   733,   733,   733,   733,   734,   734,
     734,   734,   735,   735,   736,   736,   737,   738,   738,   739,
     740,   740,   741,   741,   742,   742,   743,   743,   744,   744,
     745,   745,   745,   745,   746,   746,   747,   748,   748,   749,
     749,   750,   750,   750,   751,   751,   751,   752,   753,   753,
     754,   754,   754,   755,   755,   756,   756,   757,   757,   758,
     758,   758,   758,   758,   758,   758,   758,   758,   758,   758,
     758,   758,   758,   758,   758,   758,   758,   758,   758,   758,
     758,   758,   758,   758,   758,   758,   758,   758,   758,   758,
     758,   758,   758,   758,   758,   758,   758,   758,   758,   758,
     758,   758,   758,   758,   759,   759,   760,   760,   761,   761,
     761,   761,   761,   761,   761,   761,   761,   761,   761,   761,
     761,   761,   761,   761,   761,   761,   761,   761,   761,   761,
     761,   761,   762,   762,   762,   762,   762,   762,   762,   762,
     762,   762,   762,   762,   762,   762,   762,   762,   762,   762,
     762,   763,   764,   764,   764,   765,   765,   766,   766,   766,
     766,   766,   767,   767,   768,   768,   768,   768,   769,   769,
     769,   770,   770,   771,   772,   772,   773,   774,   774,   775,
     775,   775,   775,   775,   775,   775,   775,   775,   775,   775,
     775,   775,   775,   776,   776,   776,   777,   777,   777,   777,
     777,   778,   778,   778,   779,   779,   780,   780,   780,   780,
     781,   781,   781,   781,   782,   783,   784,   784,   785,   785,
     785,   785,   785,   785,   785,   785,   785,   785,   785,   785,
     785,   785,   785,   785,   786,   786,   787,   787,   788,   789,
     789,   790,   791,   791,   792,   792,   793,   794,   794,   794,
     794,   794,   794,   794,   795,   795,   796,   797,   797,   797,
     797,   797,   797,   798,   799,   799,   799,   800,   800,   801,
     801,   801,   801,   801,   802,   802,   803,   803,   803,   803,
     804,   804,   805,   805,   806,   806,   807,   807,   808,   808,
     809,   809,   810,   810,   810,   810,   811,   811,   811,   811,
     811,   811,   811,   811,   811,   812,   812,   813,   814,   814,
     815,   815,   815,   816,   817,   817,   818,   818,   818,   818,
     819,   819,   820,   820,   821,   821,   821,   821,   822,   823,
     823,   823,   824,   824,   825,   826,   826,   827,   828,   828,
     829,   830,   830,   831,   831,   831,   831,   831,   831,   831,
     831,   832,   832,   833,   834,   834,   835,   835,   836,   837,
     838,   839,   839,   840,   841,   842,   842,   842,   842,   842,
     843,   843,   843,   844,   844,   845,   845,   846,   846,   846,
     846,   846,   846,   846,   846,   847,   847,   848,   848,   848,
     848,   848,   848,   849,   849,   850,   850,   851,   852,   852,
     853,   853,   854,   854,   854,   854,   854,   854,   854,   854,
     854,   855,   855,   856,   856,   856,   857,   857,   857,   857,
     858,   858,   859,   860,   860,   861,   861,   862,   862,   862,
     862,   863,   863,   864,   864,   864,   865,   865,   866,   866,
     867,   868,   868,   868,   869,   870,   870,   871,   871,   872,
     872,   873,   873,   874,   874,   875,   875,   876,   876,   877,
     878,   878,   878,   878,   879,   879,   880,   880,   881,   881,
     882,   882,   883,   883,   883,   883,   883,   883,   883,   884,
     884,   884,   884,   884,   884,   885,   885,   885,   885,   886,
     886,   887,   887,   887,   887,   887,   888,   888,   888,   888,
     889,   889,   890,   890,   891,   891,   891,   891,   892,   892,
     893,   893,   893,   894,   894,   895,   896,   896,   897,   897,
     898,   898,   899,   899,   900,   900,   900,   901,   901,   902,
     902,   903,   904,   904,   904,   904,   904,   904,   905,   905,
     905,   906,   906,   906,   906,   906,   906,   906,   907,   907,
     907,   907,   908,   908,   909,   909,   910,   910,   910,   910,
     910,   910,   910,   910,   910,   910,   910,   911,   911,   912,
     912,   913,   913,   914,   915,   916,   916,   917,   917,   918,
     919,   920,   920,   920,   920,   920,   920,   921,   921,   922,
     922,   923,   923,   923,   923,   924,   925,   925,   925,   926,
     926,   926,   926,   926,   926,   926,   926,   926,   926,   926,
     926,   926,   926,   927,   927,   928,   928,   928,   928,   928,
     928,   928,   928,   928,   928,   928,   928,   928,   928,   928,
     928,   928,   928,   928,   928,   928,   928,   928,   928,   928,
     928,   928,   928,   928,   928,   928,   928,   928,   928,   928,
     928,   928,   928,   928,   928,   928,   928,   928,   928,   928,
     928,   928,   928,   928,   928,   928,   928,   928,   928,   928,
     928,   928,   928,   928,   929,   929,   929,   929,   929,   929,
     929,   929,   929,   929,   929,   929,   929,   929,   929,   929,
     929,   929,   929,   929,   929,   929,   930,   930,   930,   930,
     930,   930,   930,   930,   930,   930,   930,   930,   931,   931,
     931,   931,   931,   931,   931,   932,   932,   933,   933,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   935,   935,   936,   936,   936,   936,   937,   938,   938,
     939,   939,   940,   940,   941,   941,   941,   942,   942,   942,
     942,   943,   943,   944,   944,   945,   945,   946,   946,   947,
     948,   948,   948,   949,   950,   950,   951,   951,   952,   952,
     952,   953,   953,   954,   954,   954,   954,   954,   955,   955,
     955,   956,   956,   956,   957,   957,   958,   958,   958,   958,
     958,   958,   958,   958,   958,   959,   959,   960,   960,   961,
     961,   961,   961,   961,   961,   962,   962,   963,   963,   964,
     964,   965,   965,   966,   966,   966,   967,   967,   968,   968,
     969,   969,   969,   969,   969,   969,   969,   969,   970,   970,
     971,   972,   972,   973,   973,   973,   973,   973,   973,   974,
     975,   976,   976,   976,   977,   977,   978,   979,   979,   980,
     981,   981,   982,   982,   983,   983,   984,   984,   984,   984,
     985,   985,   986,   986,   987,   987,   988,   988,   989,   989,
     990,   991,   991,   992,   992,   993,   993,   993,   993,   994,
     994,   995,   995,   996,   996,   997,   998,   999,  1000,  1001,
    1002,  1003,  1003,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1004,  1004,  1005,  1006,  1007,  1008,
    1008,  1009,  1009,  1009,  1010,  1010,  1010,  1011,  1011,  1011,
    1012,  1012,  1012,  1012,  1013,  1013,  1013,  1013,  1013,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1016,  1016,  1016,  1016,  1016,
    1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,  1016,
    1016,  1016,  1016,  1016,  1016,  1016,  1016,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     0,     5,     1,     0,     2,     0,     2,     0,     2,
       2,     3,     3,     1,     3,     3,     2,     1,     1,     2,
       2,     2,     3,     3,     5,     5,     0,     3,     5,     5,
       5,     5,     5,     3,     5,     3,     5,     5,     6,     1,
       1,     3,     5,     6,     4,     9,     7,     1,     0,     2,
       0,     1,     1,     1,     1,     1,     1,     2,     3,     3,
       2,     5,     1,     3,     3,     3,     3,     1,     3,     3,
       2,     2,     2,     2,     3,     3,     3,     3,     1,     3,
       1,     3,     1,     1,     2,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     3,     6,     1,     1,     1,     1,
       1,     0,     1,     1,     2,     1,     2,     3,     2,     1,
       1,     2,     1,     2,     1,     2,     3,     4,     3,     2,
       4,     1,     1,     1,     1,     1,     2,     2,     2,     2,
       2,     4,     6,    10,    13,     4,     6,    10,    13,     4,
       6,     4,     6,     5,     7,    11,    14,     1,     3,     2,
       3,     4,     6,     6,     6,     5,     5,     6,     6,     4,
       8,     4,     2,     4,     3,     6,     4,     3,     3,     3,
       3,     3,     4,     4,     3,     3,     3,     3,     3,     3,
       4,     4,     3,     2,     3,     2,     2,     3,     3,     2,
       2,     3,     1,     3,     2,     1,     1,     0,     2,     0,
       2,     0,     1,     1,     1,     3,     3,     2,     0,     1,
       3,     3,     1,     5,     3,     4,     1,     3,     4,     6,
       4,     8,     2,     2,    11,     7,     1,     1,     1,     0,
       1,     1,     1,     1,     3,     2,     0,     1,     1,     1,
       3,     3,     1,     1,     3,     3,     3,     3,     4,     3,
       2,     1,     0,     2,     0,     3,     0,     1,     0,     1,
       3,     2,     1,     1,     1,     3,     0,     1,     3,     1,
      11,    14,    10,    13,     1,     1,     2,     2,     2,     2,
       1,     0,     1,     0,     3,     0,     1,     3,     1,     3,
       1,     1,     1,     1,     1,     4,     4,     2,     0,     3,
       1,     1,     2,     2,     1,     3,     4,     5,     2,     5,
       1,     2,     2,     2,     3,     3,     3,     0,     1,     1,
       1,     1,     1,     1,     3,     1,     5,     7,     3,     8,
       4,     9,    11,     2,     0,     3,     0,     1,     3,     1,
       2,     2,     2,     0,     1,     3,     3,     6,     4,     0,
       1,     1,     2,     2,     0,     3,     3,     2,     1,     1,
       2,     2,     4,     0,     2,     2,     2,     0,     3,     4,
       4,     0,     2,     0,     4,     0,     3,     7,     5,     2,
       3,     0,     8,     4,     1,     0,     6,     5,     7,     9,
       4,     6,     8,     6,     8,    10,     1,     0,     1,     2,
       2,     1,     2,     3,     2,     2,     2,     2,     3,     3,
       1,     3,     1,     0,     1,     2,     2,     1,     1,     3,
       6,    10,     1,     0,     1,     2,     2,     0,     2,     2,
       1,     0,     5,     7,     1,     0,     7,     2,     0,     3,
       5,     5,     8,     2,     0,     2,     2,     2,     5,     2,
       0,     2,     7,    10,     6,     6,     6,     6,     7,     7,
       9,     9,     6,     7,     6,     8,     8,     8,     8,     6,
       6,     7,     7,     8,     6,     6,     7,     2,     2,     2,
       2,     1,     2,     1,     0,     6,     8,     7,     6,     4,
       0,     1,     3,     4,     1,     3,     1,     2,     2,     2,
       2,     1,     1,    10,     2,     0,     2,     2,     1,     0,
       4,     6,     5,     4,     4,    10,    13,     5,     7,     8,
       1,     1,     1,     7,     9,     8,    15,    20,     1,     1,
       2,     1,     3,     1,     1,     1,     3,     1,     3,     0,
       1,     0,     1,     1,     4,     0,     1,     3,     0,     1,
       1,     1,     1,     2,     0,     0,     2,     2,     1,     2,
       2,     2,     2,     6,     8,    11,    13,     1,     3,     5,
       1,     3,     5,     1,     2,     2,     1,     8,     4,     5,
       4,     4,     4,     3,     7,     8,     6,     6,     6,     6,
       6,     4,     5,     3,     1,     3,     3,     1,     1,     1,
       1,     1,     1,     3,     1,     3,     3,     1,     0,     1,
       3,     7,     9,     9,     3,     0,    13,     1,     3,     5,
       6,     4,     7,     2,     1,     0,     2,     0,     2,     4,
       0,     1,     0,     6,     8,     8,     1,     3,     5,     5,
       7,     9,     7,     9,     5,     6,     6,     4,     5,     7,
       1,     1,     1,     2,     1,     2,     2,     1,     1,     1,
       1,     1,     1,     3,     3,     3,     3,     1,     3,     1,
       2,     2,     3,     5,     2,     2,     0,     6,     7,     7,
       7,     8,     8,     6,     8,     9,     9,     7,    10,     7,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       1,     1,     1,     1,     1,     2,     1,     3,     2,     3,
       3,     3,     3,     1,     1,     8,     9,     9,     9,     9,
       2,     0,     1,     1,     2,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     2,     1,     1,     2,     2,     1,
       2,     3,     3,     3,     3,     4,     4,     3,     3,     3,
       4,     4,     3,     4,     4,     1,     1,     1,     0,     7,
       7,    10,     1,     1,     2,     4,     5,     1,     3,     2,
       2,     2,     2,     1,     2,     2,     4,     3,     2,     2,
       2,     2,     3,     2,     2,     2,     5,     5,     5,     1,
       3,     1,     2,     3,     0,     1,     3,     2,     6,     6,
       9,     3,     0,     3,     0,     5,     2,     0,     3,     3,
       3,     7,     7,    10,     1,     1,     1,     1,    14,     1,
       0,     1,     0,     1,     0,     2,     0,     1,     3,     5,
       5,     7,     2,     0,     1,     2,     0,     1,     1,     0,
       1,     1,     0,     9,    12,     7,     2,     0,     3,     2,
       1,     3,     3,     2,     1,     3,     3,     3,     2,     2,
       1,     1,     1,     1,     2,     1,     1,     1,     1,     4,
       5,     1,     3,     3,     1,     3,     3,     5,     6,     1,
       3,     1,     2,     4,     5,     1,     1,     1,     1,     3,
       3,     2,     2,     1,     2,     2,     2,     1,     2,     2,
       1,     1,     1,     3,     2,     0,     2,     1,     3,     5,
       1,     2,     1,     0,     5,     7,     5,     7,     5,     7,
       3,     5,     5,     5,     1,     3,     2,     1,     2,     1,
       2,    11,    10,    10,     2,     2,     0,     9,     2,     0,
       4,     4,     4,     1,     1,     1,     0,     5,     5,     7,
       6,     6,     6,     6,     8,     8,     6,     6,     7,     9,
       9,     6,     6,     6,     8,     6,     8,     6,     8,     7,
       9,     6,     8,     7,     9,     8,    10,     9,    11,     8,
       9,    11,     8,     8,     7,     6,     6,     6,     8,     8,
       8,     8,     6,     9,     1,     0,     2,     0,     7,     6,
       6,     6,     6,     6,     7,     9,     9,     6,     8,     8,
       8,     8,     8,     6,     8,     6,     8,     7,     9,     7,
       9,     6,     7,     6,     6,     6,     6,     6,     7,     7,
       7,     9,     9,     6,     6,     6,     8,     8,     8,     6,
       7,    13,     1,     1,     3,     3,     1,     1,     1,     1,
       1,     1,     1,     0,     1,     1,     1,     1,     1,     1,
       0,     6,     8,     3,     2,     0,     2,     2,     2,     2,
       3,     3,     2,     2,     2,     2,     3,     2,     5,     4,
       3,     3,     3,     1,     1,     0,     3,     2,     2,     1,
       2,     1,     3,     2,     1,     0,     9,    11,    12,    14,
       3,     4,     4,     0,     2,     5,     2,     0,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     4,     3,     3,     1,     0,     5,     6,     4,     2,
       0,     4,     3,     5,     4,     4,     6,     4,     6,     6,
       5,     7,     9,     6,     1,     0,     6,    11,    11,    11,
      13,     9,    11,    10,     4,     2,     5,     2,     0,     4,
       5,     5,     4,     6,     1,     3,     1,     1,     1,     1,
       2,     4,     1,     1,     1,     0,     1,     0,     1,     0,
       3,     0,     2,     4,     3,     5,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     3,     2,     1,     1,
       1,     1,     0,     5,     3,     0,     1,     1,     1,     1,
       3,     9,     3,     0,     2,     3,     2,     3,     6,     1,
       4,     2,     1,     3,     2,     2,     0,     7,     2,     0,
       5,     3,     0,     2,     2,     2,     3,     1,     3,     1,
       2,     1,     0,     8,     1,     3,     1,     1,     3,     5,
       2,     1,     3,     7,     1,     0,     3,     2,     2,     2,
       0,     2,     2,     1,     1,     3,     3,     1,     2,     4,
       4,     2,     3,     5,     5,     1,     1,     9,     1,     2,
       4,     4,     4,     2,     3,     1,     3,     6,     1,     0,
       2,     0,     3,     3,     4,     4,     4,     4,     3,     2,
       1,     1,     0,     1,     1,     0,     1,     5,     1,     0,
       1,     0,     3,     1,     3,     4,     3,     2,     2,     1,
       1,     1,     0,     2,     4,     5,     2,     3,     1,     1,
       1,     1,     3,     0,     1,     1,     1,     1,     1,     3,
       0,     2,     0,     1,     3,     1,     0,     1,     2,     3,
       2,     4,     2,     3,     2,     0,     2,     3,     2,     0,
       1,     3,     2,     2,     3,     2,     3,     1,     4,     3,
       4,     5,     4,     5,     4,     5,     2,     4,     1,     1,
       0,     1,     4,     5,     4,     0,     2,     2,     2,     1,
       1,     0,     4,     2,     1,     2,     2,     4,     1,     3,
       1,     2,     3,     2,     6,     2,     1,     3,     4,     0,
       1,     0,     2,     0,     2,     4,     0,     1,     0,     1,
       3,     3,     2,     3,     5,     6,     2,     3,     3,     4,
       0,     1,     1,     1,     1,     1,     2,     5,     1,     1,
       1,     1,     2,     3,     3,     0,     1,     1,     1,     1,
       1,     2,     2,     2,     2,     2,     1,     3,     0,     1,
       1,     1,     1,     5,     2,     1,     1,     1,     1,     5,
       2,     2,     2,     1,     3,     3,     2,     1,     0,     3,
       0,     5,     2,     5,     2,     1,     2,     3,     0,     1,
       1,     1,     1,     1,     1,     3,     3,     3,     3,     3,
       3,     3,     0,     1,     4,     1,     3,     3,     5,     2,
       2,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     2,     2,     3,     3,     2,     3,     5,     4,     6,
       3,     5,     4,     6,     4,     6,     5,     7,     3,     2,
       4,     2,     3,     3,     4,     3,     4,     3,     4,     5,
       6,     6,     7,     6,     7,     6,     7,     3,     4,     4,
       6,     2,     3,     4,     1,     3,     2,     2,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     2,     2,
       5,     6,     6,     7,     3,     4,     1,     1,     2,     4,
       1,     1,     1,     2,     2,     2,     2,     1,     3,     5,
       6,     8,     6,     6,     4,     4,     1,     1,     1,     5,
       1,     1,     4,     1,     4,     1,     4,     1,     4,     1,
       1,     1,     1,     1,     1,     6,     4,     4,     4,     4,
       6,     5,     5,     5,     4,     6,     4,     4,     4,     4,
       5,     7,     7,     9,     5,     4,     6,     5,     7,     7,
       7,     2,     3,     3,     3,     4,     0,     4,     1,     3,
       3,     1,     1,     1,     2,     2,     0,     2,     4,     4,
       6,     5,     0,     5,     0,     2,     0,     1,     3,     3,
       2,     2,     0,     6,     1,     0,     3,     0,     2,     2,
       0,     1,     4,     2,     2,     2,     2,     2,     4,     3,
       5,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     4,     1,     4,     1,
       4,     1,     2,     1,     2,     1,     3,     1,     3,     1,
       3,     1,     3,     3,     3,     2,     1,     3,     3,     0,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     3,
       2,     3,     0,     3,     3,     2,     2,     1,     0,     2,
       2,     3,     2,     1,     1,     3,     5,     1,     2,     4,
       2,     0,     1,     0,     1,     2,     2,     2,     3,     5,
       1,     2,     0,     2,     1,     0,     1,     1,     1,     3,
       3,     1,     0,     1,     3,     3,     2,     1,     1,     1,
       3,     1,     2,     1,     3,     1,     1,     1,     1,     1,
       1,     1,     2,     1,     1,     1,     1,     1,     2,     6,
       2,     3,     6,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, yyscanner); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (core_yyscan_t yyscanner)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval, &yylloc, yyscanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 692 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[0].list);
			}
#line 20336 "gram.c" /* yacc.c:1646  */
    break;

  case 3:
#line 699 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 20347 "gram.c" /* yacc.c:1646  */
    break;

  case 4:
#line 706 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = list_make1((yyvsp[0].node));
					else
						(yyval.list) = NIL;
				}
#line 20358 "gram.c" /* yacc.c:1646  */
    break;

  case 121:
#line 832 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 20364 "gram.c" /* yacc.c:1646  */
    break;

  case 122:
#line 843 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20376 "gram.c" /* yacc.c:1646  */
    break;

  case 123:
#line 853 "gram.y" /* yacc.c:1646  */
    {}
#line 20382 "gram.c" /* yacc.c:1646  */
    break;

  case 124:
#line 854 "gram.y" /* yacc.c:1646  */
    {}
#line 20388 "gram.c" /* yacc.c:1646  */
    break;

  case 125:
#line 863 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 20394 "gram.c" /* yacc.c:1646  */
    break;

  case 126:
#line 864 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 20400 "gram.c" /* yacc.c:1646  */
    break;

  case 127:
#line 868 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 20406 "gram.c" /* yacc.c:1646  */
    break;

  case 128:
#line 869 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 20412 "gram.c" /* yacc.c:1646  */
    break;

  case 129:
#line 874 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[0].str)));
				}
#line 20421 "gram.c" /* yacc.c:1646  */
    break;

  case 130:
#line 879 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password", NULL);
				}
#line 20429 "gram.c" /* yacc.c:1646  */
    break;

  case 131:
#line 883 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encryptedPassword",
									 (Node *)makeString((yyvsp[0].str)));
				}
#line 20438 "gram.c" /* yacc.c:1646  */
    break;

  case 132:
#line 888 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("unencryptedPassword",
									 (Node *)makeString((yyvsp[0].str)));
				}
#line 20447 "gram.c" /* yacc.c:1646  */
    break;

  case 133:
#line 893 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(TRUE));
				}
#line 20455 "gram.c" /* yacc.c:1646  */
    break;

  case 134:
#line 897 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 20463 "gram.c" /* yacc.c:1646  */
    break;

  case 135:
#line 901 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *)makeString((yyvsp[0].str)));
				}
#line 20471 "gram.c" /* yacc.c:1646  */
    break;

  case 136:
#line 906 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list));
				}
#line 20479 "gram.c" /* yacc.c:1646  */
    break;

  case 137:
#line 910 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[0].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "createuser") == 0)
					{
						/* For backwards compatibility, synonym for SUPERUSER */
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					}
					else if (strcmp((yyvsp[0].str), "nocreateuser") == 0)
					{
						/* For backwards compatibility, synonym for SUPERUSER */
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					}
					else if (strcmp((yyvsp[0].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(FALSE));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 20534 "gram.c" /* yacc.c:1646  */
    break;

  case 138:
#line 963 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = (yyvsp[0].defelt); }
#line 20540 "gram.c" /* yacc.c:1646  */
    break;

  case 139:
#line 966 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 20548 "gram.c" /* yacc.c:1646  */
    break;

  case 140:
#line 970 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *)(yyvsp[0].list));
				}
#line 20556 "gram.c" /* yacc.c:1646  */
    break;

  case 141:
#line 974 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list));
				}
#line 20564 "gram.c" /* yacc.c:1646  */
    break;

  case 142:
#line 978 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list));
				}
#line 20572 "gram.c" /* yacc.c:1646  */
    break;

  case 143:
#line 982 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list));
				}
#line 20580 "gram.c" /* yacc.c:1646  */
    break;

  case 144:
#line 996 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20592 "gram.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1014 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 20604 "gram.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1024 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 20610 "gram.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1025 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 20616 "gram.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1030 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].str);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 20628 "gram.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1038 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 20640 "gram.c" /* yacc.c:1646  */
    break;

  case 150:
#line 1056 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 20652 "gram.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1068 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].str);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 20664 "gram.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1076 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 20676 "gram.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1097 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20687 "gram.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1104 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20698 "gram.c" /* yacc.c:1646  */
    break;

  case 155:
#line 1123 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20709 "gram.c" /* yacc.c:1646  */
    break;

  case 156:
#line 1130 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->roles = (yyvsp[0].list);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 20720 "gram.c" /* yacc.c:1646  */
    break;

  case 157:
#line 1147 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20732 "gram.c" /* yacc.c:1646  */
    break;

  case 158:
#line 1165 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *)(yyvsp[0].list)));
					(yyval.node) = (Node *)n;
				}
#line 20745 "gram.c" /* yacc.c:1646  */
    break;

  case 159:
#line 1175 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = +1; }
#line 20751 "gram.c" /* yacc.c:1646  */
    break;

  case 160:
#line 1176 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = -1; }
#line 20757 "gram.c" /* yacc.c:1646  */
    break;

  case 161:
#line 1189 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20768 "gram.c" /* yacc.c:1646  */
    break;

  case 162:
#line 1196 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20779 "gram.c" /* yacc.c:1646  */
    break;

  case 163:
#line 1213 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					if ((yyvsp[-3].str) != NULL)
						n->schemaname = (yyvsp[-3].str);
					else
						n->schemaname = (yyvsp[-1].str);
					n->authid = (yyvsp[-1].str);
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 20796 "gram.c" /* yacc.c:1646  */
    break;

  case 164:
#line 1226 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authid = NULL;
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 20810 "gram.c" /* yacc.c:1646  */
    break;

  case 165:
#line 1236 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					if ((yyvsp[-3].str) != NULL)
						n->schemaname = (yyvsp[-3].str);
					else
						n->schemaname = (yyvsp[-1].str);
					n->authid = (yyvsp[-1].str);
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 20832 "gram.c" /* yacc.c:1646  */
    break;

  case 166:
#line 1254 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authid = NULL;
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 20851 "gram.c" /* yacc.c:1646  */
    break;

  case 167:
#line 1271 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 20857 "gram.c" /* yacc.c:1646  */
    break;

  case 168:
#line 1272 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 20863 "gram.c" /* yacc.c:1646  */
    break;

  case 169:
#line 1277 "gram.y" /* yacc.c:1646  */
    {
					if ((yyloc) < 0)			/* see comments for YYLLOC_DEFAULT */
						(yyloc) = (yylsp[0]);
					(yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node));
				}
#line 20873 "gram.c" /* yacc.c:1646  */
    break;

  case 170:
#line 1283 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 20879 "gram.c" /* yacc.c:1646  */
    break;

  case 177:
#line 1311 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 20889 "gram.c" /* yacc.c:1646  */
    break;

  case 178:
#line 1317 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
#line 20899 "gram.c" /* yacc.c:1646  */
    break;

  case 179:
#line 1323 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 20909 "gram.c" /* yacc.c:1646  */
    break;

  case 180:
#line 1332 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 20921 "gram.c" /* yacc.c:1646  */
    break;

  case 181:
#line 1340 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 20933 "gram.c" /* yacc.c:1646  */
    break;

  case 183:
#line 1352 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 20945 "gram.c" /* yacc.c:1646  */
    break;

  case 184:
#line 1360 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 20957 "gram.c" /* yacc.c:1646  */
    break;

  case 185:
#line 1368 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 20968 "gram.c" /* yacc.c:1646  */
    break;

  case 186:
#line 1375 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 20979 "gram.c" /* yacc.c:1646  */
    break;

  case 187:
#line 1383 "gram.y" /* yacc.c:1646  */
    {(yyval.vsetstmt) = (yyvsp[0].vsetstmt);}
#line 20985 "gram.c" /* yacc.c:1646  */
    break;

  case 188:
#line 1385 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 20996 "gram.c" /* yacc.c:1646  */
    break;

  case 189:
#line 1393 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[0].node) != NULL)
						n->args = list_make1((yyvsp[0].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 21011 "gram.c" /* yacc.c:1646  */
    break;

  case 190:
#line 1404 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[0]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
#line 21023 "gram.c" /* yacc.c:1646  */
    break;

  case 191:
#line 1412 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 21035 "gram.c" /* yacc.c:1646  */
    break;

  case 192:
#line 1420 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[0].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 21050 "gram.c" /* yacc.c:1646  */
    break;

  case 193:
#line 1431 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 21062 "gram.c" /* yacc.c:1646  */
    break;

  case 194:
#line 1439 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 21074 "gram.c" /* yacc.c:1646  */
    break;

  case 195:
#line 1447 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 21085 "gram.c" /* yacc.c:1646  */
    break;

  case 196:
#line 1454 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[0].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 21097 "gram.c" /* yacc.c:1646  */
    break;

  case 197:
#line 1463 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 21109 "gram.c" /* yacc.c:1646  */
    break;

  case 198:
#line 1472 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 21115 "gram.c" /* yacc.c:1646  */
    break;

  case 199:
#line 1474 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str)); }
#line 21121 "gram.c" /* yacc.c:1646  */
    break;

  case 200:
#line 1477 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 21127 "gram.c" /* yacc.c:1646  */
    break;

  case 201:
#line 1478 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 21133 "gram.c" /* yacc.c:1646  */
    break;

  case 202:
#line 1482 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 21139 "gram.c" /* yacc.c:1646  */
    break;

  case 203:
#line 1484 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 21145 "gram.c" /* yacc.c:1646  */
    break;

  case 204:
#line 1487 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read uncommitted"; }
#line 21151 "gram.c" /* yacc.c:1646  */
    break;

  case 205:
#line 1488 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read committed"; }
#line 21157 "gram.c" /* yacc.c:1646  */
    break;

  case 206:
#line 1489 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "repeatable read"; }
#line 21163 "gram.c" /* yacc.c:1646  */
    break;

  case 207:
#line 1490 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "serializable"; }
#line 21169 "gram.c" /* yacc.c:1646  */
    break;

  case 208:
#line 1494 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "true"; }
#line 21175 "gram.c" /* yacc.c:1646  */
    break;

  case 209:
#line 1495 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "false"; }
#line 21181 "gram.c" /* yacc.c:1646  */
    break;

  case 210:
#line 1496 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "on"; }
#line 21187 "gram.c" /* yacc.c:1646  */
    break;

  case 211:
#line 1502 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 21193 "gram.c" /* yacc.c:1646  */
    break;

  case 212:
#line 1515 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 21201 "gram.c" /* yacc.c:1646  */
    break;

  case 213:
#line 1519 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 21209 "gram.c" /* yacc.c:1646  */
    break;

  case 214:
#line 1523 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[0].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
					}
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 21228 "gram.c" /* yacc.c:1646  */
    break;

  case 215:
#line 1538 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-5].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[0].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
						if (list_length((yyvsp[0].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[-5]))));
						t->typmods = lappend((yyvsp[0].list), makeIntConst((yyvsp[-3].ival), (yylsp[-3])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[-3].ival), (yylsp[-3])));
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 21255 "gram.c" /* yacc.c:1646  */
    break;

  case 216:
#line 1560 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 21261 "gram.c" /* yacc.c:1646  */
    break;

  case 217:
#line 1561 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 21267 "gram.c" /* yacc.c:1646  */
    break;

  case 218:
#line 1562 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 21273 "gram.c" /* yacc.c:1646  */
    break;

  case 219:
#line 1566 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 21279 "gram.c" /* yacc.c:1646  */
    break;

  case 220:
#line 1567 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 21285 "gram.c" /* yacc.c:1646  */
    break;

  case 221:
#line 1568 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 21291 "gram.c" /* yacc.c:1646  */
    break;

  case 222:
#line 1572 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 21297 "gram.c" /* yacc.c:1646  */
    break;

  case 223:
#line 1573 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 21303 "gram.c" /* yacc.c:1646  */
    break;

  case 224:
#line 1577 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].vsetstmt); }
#line 21309 "gram.c" /* yacc.c:1646  */
    break;

  case 225:
#line 1581 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 21315 "gram.c" /* yacc.c:1646  */
    break;

  case 226:
#line 1583 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.vsetstmt) = n;
				}
#line 21326 "gram.c" /* yacc.c:1646  */
    break;

  case 227:
#line 1590 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.vsetstmt) = n;
				}
#line 21337 "gram.c" /* yacc.c:1646  */
    break;

  case 228:
#line 1597 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 21348 "gram.c" /* yacc.c:1646  */
    break;

  case 229:
#line 1607 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = (yyvsp[0].str);
					(yyval.vsetstmt) = n;
				}
#line 21359 "gram.c" /* yacc.c:1646  */
    break;

  case 230:
#line 1614 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET_ALL;
					(yyval.vsetstmt) = n;
				}
#line 21369 "gram.c" /* yacc.c:1646  */
    break;

  case 231:
#line 1623 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 21375 "gram.c" /* yacc.c:1646  */
    break;

  case 232:
#line 1624 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 21381 "gram.c" /* yacc.c:1646  */
    break;

  case 233:
#line 1629 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 21387 "gram.c" /* yacc.c:1646  */
    break;

  case 234:
#line 1630 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 21393 "gram.c" /* yacc.c:1646  */
    break;

  case 235:
#line 1636 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 21403 "gram.c" /* yacc.c:1646  */
    break;

  case 236:
#line 1642 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 21413 "gram.c" /* yacc.c:1646  */
    break;

  case 237:
#line 1648 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 21423 "gram.c" /* yacc.c:1646  */
    break;

  case 238:
#line 1654 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 21433 "gram.c" /* yacc.c:1646  */
    break;

  case 239:
#line 1660 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "all";
					(yyval.node) = (Node *) n;
				}
#line 21443 "gram.c" /* yacc.c:1646  */
    break;

  case 240:
#line 1670 "gram.y" /* yacc.c:1646  */
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);
					n->constraints = (yyvsp[-1].list);
					n->deferred = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 21454 "gram.c" /* yacc.c:1646  */
    break;

  case 241:
#line 1679 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 21460 "gram.c" /* yacc.c:1646  */
    break;

  case 242:
#line 1680 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 21466 "gram.c" /* yacc.c:1646  */
    break;

  case 243:
#line 1684 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 21472 "gram.c" /* yacc.c:1646  */
    break;

  case 244:
#line 1685 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 21478 "gram.c" /* yacc.c:1646  */
    break;

  case 245:
#line 1694 "gram.y" /* yacc.c:1646  */
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);
					(yyval.node) = (Node *)n;
				}
#line 21487 "gram.c" /* yacc.c:1646  */
    break;

  case 246:
#line 1709 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
#line 21497 "gram.c" /* yacc.c:1646  */
    break;

  case 247:
#line 1715 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 21507 "gram.c" /* yacc.c:1646  */
    break;

  case 248:
#line 1721 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 21517 "gram.c" /* yacc.c:1646  */
    break;

  case 249:
#line 1727 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
#line 21527 "gram.c" /* yacc.c:1646  */
    break;

  case 250:
#line 1733 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_SEQUENCES;
					(yyval.node) = (Node *) n;
				}
#line 21537 "gram.c" /* yacc.c:1646  */
    break;

  case 251:
#line 1752 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 21550 "gram.c" /* yacc.c:1646  */
    break;

  case 252:
#line 1761 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 21563 "gram.c" /* yacc.c:1646  */
    break;

  case 253:
#line 1770 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_TABLE;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 21578 "gram.c" /* yacc.c:1646  */
    break;

  case 254:
#line 1781 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_TABLE;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 21593 "gram.c" /* yacc.c:1646  */
    break;

  case 255:
#line 1792 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 21606 "gram.c" /* yacc.c:1646  */
    break;

  case 256:
#line 1801 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 21619 "gram.c" /* yacc.c:1646  */
    break;

  case 257:
#line 1810 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_INDEX;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 21634 "gram.c" /* yacc.c:1646  */
    break;

  case 258:
#line 1821 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_INDEX;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 21649 "gram.c" /* yacc.c:1646  */
    break;

  case 259:
#line 1832 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 21662 "gram.c" /* yacc.c:1646  */
    break;

  case 260:
#line 1841 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 21675 "gram.c" /* yacc.c:1646  */
    break;

  case 261:
#line 1850 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 21688 "gram.c" /* yacc.c:1646  */
    break;

  case 262:
#line 1859 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 21701 "gram.c" /* yacc.c:1646  */
    break;

  case 263:
#line 1868 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 21714 "gram.c" /* yacc.c:1646  */
    break;

  case 264:
#line 1877 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 21727 "gram.c" /* yacc.c:1646  */
    break;

  case 265:
#line 1886 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 21742 "gram.c" /* yacc.c:1646  */
    break;

  case 266:
#line 1897 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 21757 "gram.c" /* yacc.c:1646  */
    break;

  case 267:
#line 1910 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 21763 "gram.c" /* yacc.c:1646  */
    break;

  case 268:
#line 1911 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 21769 "gram.c" /* yacc.c:1646  */
    break;

  case 269:
#line 1917 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 21780 "gram.c" /* yacc.c:1646  */
    break;

  case 270:
#line 1925 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 21791 "gram.c" /* yacc.c:1646  */
    break;

  case 271:
#line 1933 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[-1].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 21803 "gram.c" /* yacc.c:1646  */
    break;

  case 272:
#line 1942 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 21814 "gram.c" /* yacc.c:1646  */
    break;

  case 273:
#line 1950 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 21825 "gram.c" /* yacc.c:1646  */
    break;

  case 274:
#line 1958 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *)n;
				}
#line 21837 "gram.c" /* yacc.c:1646  */
    break;

  case 275:
#line 1967 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 21849 "gram.c" /* yacc.c:1646  */
    break;

  case 276:
#line 1976 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 21861 "gram.c" /* yacc.c:1646  */
    break;

  case 277:
#line 1985 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStorage;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 21873 "gram.c" /* yacc.c:1646  */
    break;

  case 278:
#line 1994 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 21886 "gram.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2004 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 21899 "gram.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2017 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = (yyvsp[0].node);
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 21917 "gram.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2032 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 21929 "gram.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2041 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 21940 "gram.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2049 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);
					n->subtype = AT_AlterConstraint;
					n->def = (Node *) c;
					c->contype = CONSTR_FOREIGN; /* others not supported, yet */
					c->conname = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ALTER CONSTRAINT statement",
									&c->deferrable,
									&c->initdeferred,
									NULL, NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 21958 "gram.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2064 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21969 "gram.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2072 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 21982 "gram.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2082 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 21995 "gram.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2092 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddOids;
					(yyval.node) = (Node *)n;
				}
#line 22005 "gram.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2099 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOids;
					(yyval.node) = (Node *)n;
				}
#line 22015 "gram.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2106 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22026 "gram.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2114 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
#line 22037 "gram.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2122 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22048 "gram.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2130 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22059 "gram.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2138 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22070 "gram.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2146 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 22080 "gram.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2153 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 22090 "gram.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2160 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22101 "gram.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2168 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 22111 "gram.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2175 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 22121 "gram.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2182 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22132 "gram.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2190 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22143 "gram.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2198 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22154 "gram.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2206 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22165 "gram.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2214 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 22176 "gram.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2222 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 22187 "gram.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2230 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName *def = makeTypeNameFromNameList((yyvsp[0].list));
					def->location = (yylsp[0]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *)n;
				}
#line 22200 "gram.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2240 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOf;
					(yyval.node) = (Node *)n;
				}
#line 22210 "gram.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2247 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ChangeOwner;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22221 "gram.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2255 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22232 "gram.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2263 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 22243 "gram.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2271 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 22254 "gram.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2279 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ReplicaIdentity;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 22265 "gram.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2286 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_GenericOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 22276 "gram.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2295 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 22282 "gram.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2296 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 22288 "gram.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2300 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_CASCADE; }
#line 22294 "gram.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2301 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; }
#line 22300 "gram.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2302 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
#line 22306 "gram.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2307 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 22318 "gram.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2314 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 22324 "gram.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2318 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 22330 "gram.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2319 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 22336 "gram.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2324 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_NOTHING;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 22347 "gram.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2331 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_FULL;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 22358 "gram.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2338 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_DEFAULT;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 22369 "gram.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2345 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_INDEX;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 22380 "gram.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2354 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 22386 "gram.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2357 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 22392 "gram.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2358 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 22398 "gram.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2362 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 22404 "gram.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2363 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 22410 "gram.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2369 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node));
				}
#line 22418 "gram.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2373 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL);
				}
#line 22426 "gram.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2377 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-4].str), (yyvsp[-2].str), (Node *) (yyvsp[0].node),
											 DEFELEM_UNSPEC);
				}
#line 22435 "gram.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2382 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-2].str), (yyvsp[0].str), NULL, DEFELEM_UNSPEC);
				}
#line 22443 "gram.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2397 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[-1].list), (yylsp[-1]), yyscanner);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TYPE;
					(yyval.node) = (Node *)n;
				}
#line 22457 "gram.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2409 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 22463 "gram.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2410 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 22469 "gram.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2416 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[-1].node);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 22481 "gram.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2425 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 22494 "gram.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2435 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 22507 "gram.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2445 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[0].dbehavior);
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = NULL;
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 22526 "gram.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2471 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22536 "gram.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2477 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 22546 "gram.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2508 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = (yyvsp[-8].range);
					n->query = NULL;
					n->attlist = (yyvsp[-7].list);
					n->is_from = (yyvsp[-5].boolean);
					n->is_program = (yyvsp[-4].boolean);
					n->filename = (yyvsp[-3].str);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-3]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[-9].defelt))
						n->options = lappend(n->options, (yyvsp[-9].defelt));
					if ((yyvsp[-6].defelt))
						n->options = lappend(n->options, (yyvsp[-6].defelt));
					if ((yyvsp[-2].defelt))
						n->options = lappend(n->options, (yyvsp[-2].defelt));
					if ((yyvsp[0].list))
						n->options = list_concat(n->options, (yyvsp[0].list));
					(yyval.node) = (Node *)n;
				}
#line 22578 "gram.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2536 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = NULL;
					n->query = (yyvsp[-5].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[-3].boolean);
					n->filename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-2]))));

					(yyval.node) = (Node *)n;
				}
#line 22601 "gram.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2557 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 22607 "gram.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2558 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 22613 "gram.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2562 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 22619 "gram.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2563 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 22625 "gram.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2572 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 22631 "gram.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2573 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 22637 "gram.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2574 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 22643 "gram.c" /* yacc.c:1646  */
    break;

  case 353:
#line 2577 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 22649 "gram.c" /* yacc.c:1646  */
    break;

  case 354:
#line 2578 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 22655 "gram.c" /* yacc.c:1646  */
    break;

  case 355:
#line 2583 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 22661 "gram.c" /* yacc.c:1646  */
    break;

  case 356:
#line 2584 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 22667 "gram.c" /* yacc.c:1646  */
    break;

  case 357:
#line 2589 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				}
#line 22675 "gram.c" /* yacc.c:1646  */
    break;

  case 358:
#line 2593 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
#line 22683 "gram.c" /* yacc.c:1646  */
    break;

  case 359:
#line 2597 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("freeze", (Node *)makeInteger(TRUE));
				}
#line 22691 "gram.c" /* yacc.c:1646  */
    break;

  case 360:
#line 2601 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)));
				}
#line 22699 "gram.c" /* yacc.c:1646  */
    break;

  case 361:
#line 2605 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("null", (Node *)makeString((yyvsp[0].str)));
				}
#line 22707 "gram.c" /* yacc.c:1646  */
    break;

  case 362:
#line 2609 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("csv"));
				}
#line 22715 "gram.c" /* yacc.c:1646  */
    break;

  case 363:
#line 2613 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("header", (Node *)makeInteger(TRUE));
				}
#line 22723 "gram.c" /* yacc.c:1646  */
    break;

  case 364:
#line 2617 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("quote", (Node *)makeString((yyvsp[0].str)));
				}
#line 22731 "gram.c" /* yacc.c:1646  */
    break;

  case 365:
#line 2621 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("escape", (Node *)makeString((yyvsp[0].str)));
				}
#line 22739 "gram.c" /* yacc.c:1646  */
    break;

  case 366:
#line 2625 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)(yyvsp[0].list));
				}
#line 22747 "gram.c" /* yacc.c:1646  */
    break;

  case 367:
#line 2629 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)makeNode(A_Star));
				}
#line 22755 "gram.c" /* yacc.c:1646  */
    break;

  case 368:
#line 2633 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *)(yyvsp[0].list));
				}
#line 22763 "gram.c" /* yacc.c:1646  */
    break;

  case 369:
#line 2637 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *)(yyvsp[0].list));
				}
#line 22771 "gram.c" /* yacc.c:1646  */
    break;

  case 370:
#line 2641 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[0].str)));
				}
#line 22779 "gram.c" /* yacc.c:1646  */
    break;

  case 371:
#line 2650 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				}
#line 22787 "gram.c" /* yacc.c:1646  */
    break;

  case 372:
#line 2653 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 22793 "gram.c" /* yacc.c:1646  */
    break;

  case 373:
#line 2658 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
#line 22801 "gram.c" /* yacc.c:1646  */
    break;

  case 374:
#line 2661 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 22807 "gram.c" /* yacc.c:1646  */
    break;

  case 375:
#line 2666 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)));
				}
#line 22815 "gram.c" /* yacc.c:1646  */
    break;

  case 376:
#line 2669 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 22821 "gram.c" /* yacc.c:1646  */
    break;

  case 377:
#line 2673 "gram.y" /* yacc.c:1646  */
    {}
#line 22827 "gram.c" /* yacc.c:1646  */
    break;

  case 378:
#line 2674 "gram.y" /* yacc.c:1646  */
    {}
#line 22833 "gram.c" /* yacc.c:1646  */
    break;

  case 379:
#line 2680 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 22841 "gram.c" /* yacc.c:1646  */
    break;

  case 380:
#line 2684 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 22849 "gram.c" /* yacc.c:1646  */
    break;

  case 381:
#line 2691 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node));
				}
#line 22857 "gram.c" /* yacc.c:1646  */
    break;

  case 382:
#line 2697 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 22863 "gram.c" /* yacc.c:1646  */
    break;

  case 383:
#line 2698 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 22869 "gram.c" /* yacc.c:1646  */
    break;

  case 384:
#line 2699 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeNode(A_Star); }
#line 22875 "gram.c" /* yacc.c:1646  */
    break;

  case 385:
#line 2700 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 22881 "gram.c" /* yacc.c:1646  */
    break;

  case 386:
#line 2701 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 22887 "gram.c" /* yacc.c:1646  */
    break;

  case 387:
#line 2706 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 22895 "gram.c" /* yacc.c:1646  */
    break;

  case 388:
#line 2710 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 22903 "gram.c" /* yacc.c:1646  */
    break;

  case 389:
#line 2717 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 22909 "gram.c" /* yacc.c:1646  */
    break;

  case 390:
#line 2730 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-9].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = (yyvsp[-3].list);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 22927 "gram.c" /* yacc.c:1646  */
    break;

  case 391:
#line 2746 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-12].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = (yyvsp[-3].list);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 22945 "gram.c" /* yacc.c:1646  */
    break;

  case 392:
#line 2761 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-6].range)->relpersistence = (yyvsp[-8].ival);
					n->relation = (yyvsp[-6].range);
					n->tableElts = (yyvsp[-3].list);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-4].list));
					n->ofTypename->location = (yylsp[-4]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 22964 "gram.c" /* yacc.c:1646  */
    break;

  case 393:
#line 2777 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-6].range)->relpersistence = (yyvsp[-11].ival);
					n->relation = (yyvsp[-6].range);
					n->tableElts = (yyvsp[-3].list);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-4].list));
					n->ofTypename->location = (yylsp[-4]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 22983 "gram.c" /* yacc.c:1646  */
    break;

  case 394:
#line 2804 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 22989 "gram.c" /* yacc.c:1646  */
    break;

  case 395:
#line 2805 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 22995 "gram.c" /* yacc.c:1646  */
    break;

  case 396:
#line 2806 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 23001 "gram.c" /* yacc.c:1646  */
    break;

  case 397:
#line 2807 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 23007 "gram.c" /* yacc.c:1646  */
    break;

  case 398:
#line 2809 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 23018 "gram.c" /* yacc.c:1646  */
    break;

  case 399:
#line 2816 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 23029 "gram.c" /* yacc.c:1646  */
    break;

  case 400:
#line 2822 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 23035 "gram.c" /* yacc.c:1646  */
    break;

  case 401:
#line 2823 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 23041 "gram.c" /* yacc.c:1646  */
    break;

  case 402:
#line 2827 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 23047 "gram.c" /* yacc.c:1646  */
    break;

  case 403:
#line 2828 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23053 "gram.c" /* yacc.c:1646  */
    break;

  case 404:
#line 2832 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 23059 "gram.c" /* yacc.c:1646  */
    break;

  case 405:
#line 2833 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23065 "gram.c" /* yacc.c:1646  */
    break;

  case 406:
#line 2838 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 23073 "gram.c" /* yacc.c:1646  */
    break;

  case 407:
#line 2842 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 23081 "gram.c" /* yacc.c:1646  */
    break;

  case 408:
#line 2849 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 23089 "gram.c" /* yacc.c:1646  */
    break;

  case 409:
#line 2853 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 23097 "gram.c" /* yacc.c:1646  */
    break;

  case 410:
#line 2859 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 23103 "gram.c" /* yacc.c:1646  */
    break;

  case 411:
#line 2860 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 23109 "gram.c" /* yacc.c:1646  */
    break;

  case 412:
#line 2861 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 23115 "gram.c" /* yacc.c:1646  */
    break;

  case 413:
#line 2865 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 23121 "gram.c" /* yacc.c:1646  */
    break;

  case 414:
#line 2866 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 23127 "gram.c" /* yacc.c:1646  */
    break;

  case 415:
#line 2870 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = (yyvsp[-2].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[-1].list);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 23150 "gram.c" /* yacc.c:1646  */
    break;

  case 416:
#line 2891 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 23172 "gram.c" /* yacc.c:1646  */
    break;

  case 417:
#line 2911 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 23178 "gram.c" /* yacc.c:1646  */
    break;

  case 418:
#line 2912 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23184 "gram.c" /* yacc.c:1646  */
    break;

  case 419:
#line 2917 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = (Constraint *) (yyvsp[0].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 23196 "gram.c" /* yacc.c:1646  */
    break;

  case 420:
#line 2924 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 23202 "gram.c" /* yacc.c:1646  */
    break;

  case 421:
#line 2925 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 23208 "gram.c" /* yacc.c:1646  */
    break;

  case 422:
#line 2927 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 23225 "gram.c" /* yacc.c:1646  */
    break;

  case 423:
#line 2958 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 23236 "gram.c" /* yacc.c:1646  */
    break;

  case 424:
#line 2965 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 23247 "gram.c" /* yacc.c:1646  */
    break;

  case 425:
#line 2972 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 23262 "gram.c" /* yacc.c:1646  */
    break;

  case 426:
#line 2983 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 23277 "gram.c" /* yacc.c:1646  */
    break;

  case 427:
#line 2994 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
#line 23291 "gram.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3004 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[-1]);
					n->raw_expr = (yyvsp[0].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
#line 23304 "gram.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3013 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-4]);
					n->pktable			= (yyvsp[-3].range);
					n->fk_attrs			= NIL;
					n->pk_attrs			= (yyvsp[-2].list);
					n->fk_matchtype		= (yyvsp[-1].ival);
					n->fk_upd_action	= (char) ((yyvsp[0].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[0].ival) & 0xFF);
					n->skip_validation  = false;
					n->initially_valid  = true;
					(yyval.node) = (Node *)n;
				}
#line 23323 "gram.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3046 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 23334 "gram.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3053 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 23345 "gram.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3060 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 23356 "gram.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3067 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 23367 "gram.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3078 "gram.y" /* yacc.c:1646  */
    {
					TableLikeClause *n = makeNode(TableLikeClause);
					n->relation = (yyvsp[-1].range);
					n->options = (yyvsp[0].ival);
					(yyval.node) = (Node *)n;
				}
#line 23378 "gram.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3087 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 23384 "gram.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3088 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) & ~(yyvsp[0].ival); }
#line 23390 "gram.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3089 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 23396 "gram.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3093 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
#line 23402 "gram.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3094 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
#line 23408 "gram.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3095 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
#line 23414 "gram.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3096 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
#line 23420 "gram.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3097 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
#line 23426 "gram.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3098 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
#line 23432 "gram.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3108 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = (Constraint *) (yyvsp[0].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 23444 "gram.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3115 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 23450 "gram.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3120 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 23467 "gram.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3134 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-6]);
					n->keys = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 23485 "gram.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3148 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 23503 "gram.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3163 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-7]);
					n->keys = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 23521 "gram.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3177 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 23539 "gram.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3193 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[-8]);
					n->access_method	= (yyvsp[-7].str);
					n->exclusions		= (yyvsp[-5].list);
					n->options			= (yyvsp[-3].list);
					n->indexname		= NULL;
					n->indexspace		= (yyvsp[-2].str);
					n->where_clause		= (yyvsp[-1].node);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 23559 "gram.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3210 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-10]);
					n->pktable			= (yyvsp[-4].range);
					n->fk_attrs			= (yyvsp[-7].list);
					n->pk_attrs			= (yyvsp[-3].list);
					n->fk_matchtype		= (yyvsp[-2].ival);
					n->fk_upd_action	= (char) ((yyvsp[-1].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[-1].ival) & 0xFF);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 23581 "gram.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3229 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = TRUE; }
#line 23587 "gram.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3230 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = FALSE; }
#line 23593 "gram.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3234 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 23599 "gram.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3235 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23605 "gram.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3239 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 23611 "gram.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3240 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 23617 "gram.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3244 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 23625 "gram.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3250 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
#line 23633 "gram.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3254 "gram.y" /* yacc.c:1646  */
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[-1]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
#line 23645 "gram.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3262 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 23653 "gram.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3266 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 23661 "gram.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3272 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 23667 "gram.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3274 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 23673 "gram.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3278 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-2].ielem), (yyvsp[0].list));
			}
#line 23681 "gram.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3283 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-5].ielem), (yyvsp[-1].list));
			}
#line 23689 "gram.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3289 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 23695 "gram.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3290 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 23701 "gram.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3301 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 23707 "gram.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3303 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 23713 "gram.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3305 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[-1].ival) << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 23719 "gram.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3307 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | ((yyvsp[-1].ival) & 0xFF); }
#line 23725 "gram.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3309 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 23731 "gram.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3312 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 23737 "gram.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3315 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 23743 "gram.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3319 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_NOACTION; }
#line 23749 "gram.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3320 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_RESTRICT; }
#line 23755 "gram.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3321 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_CASCADE; }
#line 23761 "gram.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3322 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_SETNULL; }
#line 23767 "gram.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3323 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_SETDEFAULT; }
#line 23773 "gram.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3326 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 23779 "gram.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3327 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23785 "gram.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3332 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 23791 "gram.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3333 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(defWithOids(true)); }
#line 23797 "gram.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3334 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(defWithOids(false)); }
#line 23803 "gram.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3335 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23809 "gram.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3338 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DROP; }
#line 23815 "gram.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3339 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
#line 23821 "gram.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3340 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
#line 23827 "gram.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3341 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
#line 23833 "gram.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3344 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 23839 "gram.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3345 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 23845 "gram.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3348 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 23851 "gram.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3349 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 23857 "gram.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3352 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 23863 "gram.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3368 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-5].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 23879 "gram.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3383 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-4].range);
					(yyval.into)->colNames = (yyvsp[-3].list);
					(yyval.into)->options = (yyvsp[-2].list);
					(yyval.into)->onCommit = (yyvsp[-1].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 23894 "gram.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3396 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 23900 "gram.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3397 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 23906 "gram.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3398 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 23912 "gram.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3411 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-6].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 23928 "gram.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3426 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-3].range);
					(yyval.into)->colNames = (yyvsp[-2].list);
					(yyval.into)->options = (yyvsp[-1].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 23943 "gram.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3438 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 23949 "gram.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3439 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 23955 "gram.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3452 "gram.y" /* yacc.c:1646  */
    {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);
					n->concurrent = (yyvsp[-2].boolean);
					n->relation = (yyvsp[-1].range);
					n->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) n;
				}
#line 23967 "gram.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3472 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-3].ival);
					n->sequence = (yyvsp[-1].range);
					n->accessMethod = DEFAULT_SEQAM;
					n->options = (yyvsp[0].list);
					n->amoptions = NIL;
					n->ownerId = InvalidOid;
					(yyval.node) = (Node *)n;
				}
#line 23982 "gram.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3484 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-3].range)->relpersistence = (yyvsp[-5].ival);
					n->sequence = (yyvsp[-3].range);
					n->accessMethod = (yyvsp[0].str);
					n->options = (yyvsp[-2].list);
					n->amoptions = NIL;
					n->ownerId = InvalidOid;
					(yyval.node) = (Node *)n;
				}
#line 23997 "gram.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3496 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-5].range)->relpersistence = (yyvsp[-7].ival);
					n->sequence = (yyvsp[-5].range);
					n->accessMethod = (yyvsp[-2].str);
					n->options = (yyvsp[-4].list);
					n->amoptions = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					(yyval.node) = (Node *)n;
				}
#line 24012 "gram.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3510 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->accessMethod = NULL;
					n->options = (yyvsp[0].list);
					n->amoptions = NIL;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 24026 "gram.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3521 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-3].range);
					n->accessMethod = (yyvsp[0].str);
					n->options = (yyvsp[-2].list);
					n->amoptions = NIL;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 24040 "gram.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3532 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-5].range);
					n->accessMethod = (yyvsp[-2].str);
					n->options = (yyvsp[-4].list);
					n->amoptions = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 24054 "gram.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3542 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->accessMethod = NULL;
					n->options = (yyvsp[0].list);
					n->amoptions = NIL;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 24068 "gram.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3553 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-3].range);
					n->accessMethod = (yyvsp[0].str);
					n->options = (yyvsp[-2].list);
					n->amoptions = NIL;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 24082 "gram.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3564 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-5].range);
					n->accessMethod = (yyvsp[-2].str);
					n->options = (yyvsp[-4].list);
					n->amoptions = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 24096 "gram.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3575 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 24102 "gram.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3576 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24108 "gram.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3579 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 24114 "gram.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3580 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 24120 "gram.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3584 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cache", (Node *)(yyvsp[0].value));
				}
#line 24128 "gram.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3588 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(TRUE));
				}
#line 24136 "gram.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3592 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(FALSE));
				}
#line 24144 "gram.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3596 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("increment", (Node *)(yyvsp[0].value));
				}
#line 24152 "gram.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3600 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *)(yyvsp[0].value));
				}
#line 24160 "gram.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3604 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *)(yyvsp[0].value));
				}
#line 24168 "gram.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3608 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL);
				}
#line 24176 "gram.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3612 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL);
				}
#line 24184 "gram.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3616 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *)(yyvsp[0].list));
				}
#line 24192 "gram.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3620 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("start", (Node *)(yyvsp[0].value));
				}
#line 24200 "gram.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3624 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL);
				}
#line 24208 "gram.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3628 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[0].value));
				}
#line 24216 "gram.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3633 "gram.y" /* yacc.c:1646  */
    {}
#line 24222 "gram.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3634 "gram.y" /* yacc.c:1646  */
    {}
#line 24228 "gram.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3638 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 24234 "gram.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3639 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 24240 "gram.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3641 "gram.y" /* yacc.c:1646  */
    {
					(yyval.value) = makeFloat((yyvsp[0].str));
					doNegateFloat((yyval.value));
				}
#line 24249 "gram.c" /* yacc.c:1646  */
    break;

  case 537:
#line 3645 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeInteger((yyvsp[0].ival)); }
#line 24255 "gram.c" /* yacc.c:1646  */
    break;

  case 538:
#line 3648 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 24261 "gram.c" /* yacc.c:1646  */
    break;

  case 539:
#line 3649 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 24267 "gram.c" /* yacc.c:1646  */
    break;

  case 540:
#line 3662 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-4].boolean);
				n->plname = (yyvsp[0].str);
				/* parameters are all to be supplied by system */
				n->plhandler = NIL;
				n->plinline = NIL;
				n->plvalidator = NIL;
				n->pltrusted = false;
				(yyval.node) = (Node *)n;
			}
#line 24283 "gram.c" /* yacc.c:1646  */
    break;

  case 541:
#line 3675 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-8].boolean);
				n->plname = (yyvsp[-4].str);
				n->plhandler = (yyvsp[-2].list);
				n->plinline = (yyvsp[-1].list);
				n->plvalidator = (yyvsp[0].list);
				n->pltrusted = (yyvsp[-7].boolean);
				(yyval.node) = (Node *)n;
			}
#line 24298 "gram.c" /* yacc.c:1646  */
    break;

  case 542:
#line 3688 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 24304 "gram.c" /* yacc.c:1646  */
    break;

  case 543:
#line 3689 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 24310 "gram.c" /* yacc.c:1646  */
    break;

  case 544:
#line 3697 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 24316 "gram.c" /* yacc.c:1646  */
    break;

  case 545:
#line 3698 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 24322 "gram.c" /* yacc.c:1646  */
    break;

  case 546:
#line 3702 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 24328 "gram.c" /* yacc.c:1646  */
    break;

  case 547:
#line 3703 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24334 "gram.c" /* yacc.c:1646  */
    break;

  case 548:
#line 3707 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 24340 "gram.c" /* yacc.c:1646  */
    break;

  case 549:
#line 3708 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24346 "gram.c" /* yacc.c:1646  */
    break;

  case 550:
#line 3712 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 24352 "gram.c" /* yacc.c:1646  */
    break;

  case 551:
#line 3713 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24358 "gram.c" /* yacc.c:1646  */
    break;

  case 552:
#line 3718 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 24373 "gram.c" /* yacc.c:1646  */
    break;

  case 553:
#line 3729 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 24387 "gram.c" /* yacc.c:1646  */
    break;

  case 554:
#line 3741 "gram.y" /* yacc.c:1646  */
    {}
#line 24393 "gram.c" /* yacc.c:1646  */
    break;

  case 555:
#line 3742 "gram.y" /* yacc.c:1646  */
    {}
#line 24399 "gram.c" /* yacc.c:1646  */
    break;

  case 556:
#line 3753 "gram.y" /* yacc.c:1646  */
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);
					n->tablespacename = (yyvsp[-4].str);
					n->owner = (yyvsp[-3].str);
					n->location = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24412 "gram.c" /* yacc.c:1646  */
    break;

  case 557:
#line 3763 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24418 "gram.c" /* yacc.c:1646  */
    break;

  case 558:
#line 3764 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 24424 "gram.c" /* yacc.c:1646  */
    break;

  case 559:
#line 3778 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 24435 "gram.c" /* yacc.c:1646  */
    break;

  case 560:
#line 3785 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 24446 "gram.c" /* yacc.c:1646  */
    break;

  case 561:
#line 3802 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = false;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24458 "gram.c" /* yacc.c:1646  */
    break;

  case 562:
#line 3810 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = true;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24470 "gram.c" /* yacc.c:1646  */
    break;

  case 563:
#line 3821 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 24476 "gram.c" /* yacc.c:1646  */
    break;

  case 564:
#line 3823 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24482 "gram.c" /* yacc.c:1646  */
    break;

  case 565:
#line 3828 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schema", (Node *)makeString((yyvsp[0].str)));
				}
#line 24490 "gram.c" /* yacc.c:1646  */
    break;

  case 566:
#line 3832 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)));
				}
#line 24498 "gram.c" /* yacc.c:1646  */
    break;

  case 567:
#line 3836 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("old_version", (Node *)makeString((yyvsp[0].str)));
				}
#line 24506 "gram.c" /* yacc.c:1646  */
    break;

  case 568:
#line 3848 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24517 "gram.c" /* yacc.c:1646  */
    break;

  case 569:
#line 3858 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 24523 "gram.c" /* yacc.c:1646  */
    break;

  case 570:
#line 3860 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24529 "gram.c" /* yacc.c:1646  */
    break;

  case 571:
#line 3865 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)));
				}
#line 24537 "gram.c" /* yacc.c:1646  */
    break;

  case 572:
#line 3878 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[-1].list);
					n->objargs = extractAggrArgTypes((yyvsp[0].list));
					(yyval.node) = (Node *)n;
				}
#line 24551 "gram.c" /* yacc.c:1646  */
    break;

  case 573:
#line 3888 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-7].str);
					n->action = (yyvsp[-6].ival);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[-3].typnam));
					n->objargs = list_make1((yyvsp[-1].typnam));
					(yyval.node) = (Node *) n;
				}
#line 24565 "gram.c" /* yacc.c:1646  */
    break;

  case 574:
#line 3898 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_COLLATION;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24578 "gram.c" /* yacc.c:1646  */
    break;

  case 575:
#line 3907 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_CONVERSION;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24591 "gram.c" /* yacc.c:1646  */
    break;

  case 576:
#line 3916 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_DOMAIN;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24604 "gram.c" /* yacc.c:1646  */
    break;

  case 577:
#line 3925 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[0].funwithargs)->funcname;
					n->objargs = (yyvsp[0].funwithargs)->funcargs;
					(yyval.node) = (Node *)n;
				}
#line 24618 "gram.c" /* yacc.c:1646  */
    break;

  case 578:
#line 3935 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 24631 "gram.c" /* yacc.c:1646  */
    break;

  case 579:
#line 3944 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24645 "gram.c" /* yacc.c:1646  */
    break;

  case 580:
#line 3954 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPCLASS;
					n->objname = (yyvsp[-2].list);
					n->objargs = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 24659 "gram.c" /* yacc.c:1646  */
    break;

  case 581:
#line 3964 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = (yyvsp[-2].list);
					n->objargs = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 24673 "gram.c" /* yacc.c:1646  */
    break;

  case 582:
#line 3974 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SCHEMA;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 24686 "gram.c" /* yacc.c:1646  */
    break;

  case 583:
#line 3983 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_EVENT_TRIGGER;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 24699 "gram.c" /* yacc.c:1646  */
    break;

  case 584:
#line 3992 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TABLE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24712 "gram.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4001 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSPARSER;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24725 "gram.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4010 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSDICTIONARY;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24738 "gram.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4019 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSTEMPLATE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24751 "gram.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4028 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24764 "gram.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4037 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SEQUENCE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24777 "gram.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4046 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_VIEW;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24790 "gram.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4055 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_MATVIEW;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24803 "gram.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4064 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24816 "gram.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4073 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_FDW;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 24829 "gram.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4082 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 24842 "gram.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4091 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TYPE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24855 "gram.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4109 "gram.y" /* yacc.c:1646  */
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24867 "gram.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4119 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", (Node *)(yyvsp[0].list)); }
#line 24873 "gram.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4120 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", NULL); }
#line 24879 "gram.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4121 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", (Node *)(yyvsp[0].list)); }
#line 24885 "gram.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4122 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", NULL); }
#line 24891 "gram.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4126 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 24897 "gram.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4127 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 24903 "gram.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4131 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 24909 "gram.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4132 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24915 "gram.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4143 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FDW;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 24930 "gram.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4154 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FDW;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 24945 "gram.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4174 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24957 "gram.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4182 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-1].str);
					n->func_options = (yyvsp[0].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 24969 "gram.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4193 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 24975 "gram.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4194 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24981 "gram.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4199 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 24989 "gram.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4203 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 24997 "gram.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4210 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 25003 "gram.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4215 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 25011 "gram.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4219 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 25019 "gram.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4226 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 25027 "gram.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4230 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
#line 25036 "gram.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4235 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
#line 25045 "gram.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4240 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[0].str), NULL, DEFELEM_DROP);
				}
#line 25053 "gram.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4247 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node));
				}
#line 25061 "gram.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4253 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25067 "gram.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4258 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 25073 "gram.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4270 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25087 "gram.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4282 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25093 "gram.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4283 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 25099 "gram.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4288 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25105 "gram.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4289 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 25111 "gram.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4293 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25117 "gram.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4294 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 25123 "gram.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4305 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FOREIGN_SERVER;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 25138 "gram.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4316 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FOREIGN_SERVER;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 25153 "gram.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4336 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-2].str);
					n->version = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 25166 "gram.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4345 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->version = (yyvsp[0].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 25178 "gram.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4353 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25189 "gram.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4372 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-6].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-6].range);
					n->base.tableElts = (yyvsp[-4].list);
					n->base.inhRelations = NIL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25206 "gram.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4387 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-6].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-6].range);
					n->base.tableElts = (yyvsp[-4].list);
					n->base.inhRelations = NIL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25223 "gram.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4410 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25236 "gram.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4419 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25249 "gram.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4437 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->username = (yyvsp[-3].str);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25261 "gram.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4448 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "current_user"; }
#line 25267 "gram.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4449 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "current_user"; }
#line 25273 "gram.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4450 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (strcmp((yyvsp[0].str), "public") == 0) ? NULL : (yyvsp[0].str); }
#line 25279 "gram.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4461 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[-2].str);
					n->servername = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 25291 "gram.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4469 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[-2].str);
					n->servername = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 25303 "gram.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4486 "gram.y" /* yacc.c:1646  */
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);
					n->username = (yyvsp[-3].str);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25315 "gram.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4507 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-12].str);
					n->relation = (yyvsp[-8].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = (yyvsp[-7].boolean);
					n->timing = (yyvsp[-11].ival);
					n->events = intVal(linitial((yyvsp[-10].list)));
					n->columns = (List *) lsecond((yyvsp[-10].list));
					n->whenClause = (yyvsp[-6].node);
					n->isconstraint  = FALSE;
					n->deferrable	 = FALSE;
					n->initdeferred  = FALSE;
					n->constrrel = NULL;
					(yyval.node) = (Node *)n;
				}
#line 25337 "gram.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4528 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-16].str);
					n->relation = (yyvsp[-12].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = TRUE;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[-14].list)));
					n->columns = (List *) lsecond((yyvsp[-14].list));
					n->whenClause = (yyvsp[-6].node);
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[-10].ival), (yylsp[-10]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[-11].range);
					(yyval.node) = (Node *)n;
				}
#line 25360 "gram.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4549 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
#line 25366 "gram.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4550 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_AFTER; }
#line 25372 "gram.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4551 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
#line 25378 "gram.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4556 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 25384 "gram.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4558 "gram.y" /* yacc.c:1646  */
    {
					int		events1 = intVal(linitial((yyvsp[-2].list)));
					int		events2 = intVal(linitial((yyvsp[0].list)));
					List   *columns1 = (List *) lsecond((yyvsp[-2].list));
					List   *columns2 = (List *) lsecond((yyvsp[0].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
#line 25407 "gram.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4580 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
#line 25413 "gram.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4582 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
#line 25419 "gram.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4584 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
#line 25425 "gram.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4586 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[0].list)); }
#line 25431 "gram.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4588 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
#line 25437 "gram.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4593 "gram.y" /* yacc.c:1646  */
    {
					(yyval.boolean) = (yyvsp[0].boolean);
				}
#line 25445 "gram.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4597 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = FALSE;
				}
#line 25457 "gram.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4607 "gram.y" /* yacc.c:1646  */
    {}
#line 25463 "gram.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4608 "gram.y" /* yacc.c:1646  */
    {}
#line 25469 "gram.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4612 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 25475 "gram.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4613 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 25481 "gram.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4617 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 25487 "gram.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4618 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 25493 "gram.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4622 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 25499 "gram.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4623 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 25505 "gram.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4624 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25511 "gram.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4629 "gram.y" /* yacc.c:1646  */
    {
					char buf[64];
					snprintf(buf, sizeof(buf), "%d", (yyvsp[0].ival));
					(yyval.value) = makeString(pstrdup(buf));
				}
#line 25521 "gram.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4634 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 25527 "gram.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4635 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 25533 "gram.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4636 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 25539 "gram.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4640 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = (yyvsp[0].range); }
#line 25545 "gram.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4641 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = NULL; }
#line 25551 "gram.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4646 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 25557 "gram.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4648 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[-1].ival) | (yyvsp[0].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[0]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[0]))));
					(yyval.ival) = newspec;
				}
#line 25585 "gram.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4674 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_DEFERRABLE; }
#line 25591 "gram.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4675 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_DEFERRABLE; }
#line 25597 "gram.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4676 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
#line 25603 "gram.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4677 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
#line 25609 "gram.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4678 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_VALID; }
#line 25615 "gram.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4679 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NO_INHERIT; }
#line 25621 "gram.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4685 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRIGGER;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 25636 "gram.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4696 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRIGGER;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 25651 "gram.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4720 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-7].str);
					n->eventname = (yyvsp[-5].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 25664 "gram.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4731 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-9].str);
					n->eventname = (yyvsp[-7].str);
					n->whenclause = (yyvsp[-5].list);
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 25677 "gram.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4743 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 25683 "gram.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4745 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 25689 "gram.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4750 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-4].str), (Node *) (yyvsp[-1].list)); }
#line 25695 "gram.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4755 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 25701 "gram.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4757 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 25707 "gram.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4762 "gram.y" /* yacc.c:1646  */
    {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);
					n->trigname = (yyvsp[-1].str);
					n->tgenabled = (yyvsp[0].chr);
					(yyval.node) = (Node *) n;
				}
#line 25718 "gram.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4771 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; }
#line 25724 "gram.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4772 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; }
#line 25730 "gram.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4773 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ALWAYS; }
#line 25736 "gram.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4774 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_DISABLED; }
#line 25742 "gram.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4788 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-5].str);
					n->args = list_make1((yyvsp[-2].node));
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ASSERTION",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);

					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = (Node *)n;
				}
#line 25762 "gram.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4807 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = NIL;
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->removeType = OBJECT_TRIGGER; /* XXX */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("DROP ASSERTION is not yet implemented")));
					(yyval.node) = (Node *) n;
				}
#line 25778 "gram.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4830 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-2].list);
					n->args = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25792 "gram.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4840 "gram.y" /* yacc.c:1646  */
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25807 "gram.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4851 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25821 "gram.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4861 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25835 "gram.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4871 "gram.y" /* yacc.c:1646  */
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[0].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *)n;
				}
#line 25850 "gram.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4882 "gram.y" /* yacc.c:1646  */
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[-4].list), (yylsp[-4]), yyscanner);
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 25863 "gram.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4891 "gram.y" /* yacc.c:1646  */
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);
					n->typeName = (yyvsp[-5].list);
					n->vals = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 25874 "gram.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4898 "gram.y" /* yacc.c:1646  */
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);
					n->typeName = (yyvsp[-3].list);
					n->params	= (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25885 "gram.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4905 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25898 "gram.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4914 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25911 "gram.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4923 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25924 "gram.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4932 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25937 "gram.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4941 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25950 "gram.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4950 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list)));
					(yyval.node) = (Node *)n;
				}
#line 25963 "gram.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4960 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 25969 "gram.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4963 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 25975 "gram.c" /* yacc.c:1646  */
    break;

  case 715:
#line 4964 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 25981 "gram.c" /* yacc.c:1646  */
    break;

  case 716:
#line 4968 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node));
				}
#line 25989 "gram.c" /* yacc.c:1646  */
    break;

  case 717:
#line 4972 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL);
				}
#line 25997 "gram.c" /* yacc.c:1646  */
    break;

  case 718:
#line 4978 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].typnam); }
#line 26003 "gram.c" /* yacc.c:1646  */
    break;

  case 719:
#line 4979 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 26009 "gram.c" /* yacc.c:1646  */
    break;

  case 720:
#line 4980 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].list); }
#line 26015 "gram.c" /* yacc.c:1646  */
    break;

  case 721:
#line 4981 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].value); }
#line 26021 "gram.c" /* yacc.c:1646  */
    break;

  case 722:
#line 4982 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString((yyvsp[0].str)); }
#line 26027 "gram.c" /* yacc.c:1646  */
    break;

  case 723:
#line 4985 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 26033 "gram.c" /* yacc.c:1646  */
    break;

  case 724:
#line 4988 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 26039 "gram.c" /* yacc.c:1646  */
    break;

  case 725:
#line 4989 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 26045 "gram.c" /* yacc.c:1646  */
    break;

  case 726:
#line 4998 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)(yyvsp[0].node));
				}
#line 26053 "gram.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5004 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 26059 "gram.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5005 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26065 "gram.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5009 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 26071 "gram.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5011 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 26077 "gram.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5022 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-4].list);
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfExists = (yyvsp[-1].boolean);
				(yyval.node) = (Node *) n;
			}
#line 26091 "gram.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5032 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = false;
				n->skipIfExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 26105 "gram.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5042 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = true;
				n->skipIfExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 26119 "gram.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5053 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 26125 "gram.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5054 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 26131 "gram.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5072 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);
					n->opclassname = (yyvsp[-9].list);
					n->isDefault = (yyvsp[-8].boolean);
					n->datatype = (yyvsp[-5].typnam);
					n->amname = (yyvsp[-3].str);
					n->opfamilyname = (yyvsp[-2].list);
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 26146 "gram.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5085 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 26152 "gram.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5086 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 26158 "gram.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5091 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-2].list);
					n->args = NIL;
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 26172 "gram.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5102 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-3].list);
					n->args = (yyvsp[-2].list);
					n->number = (yyvsp[-4].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 26186 "gram.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5112 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[-1].list);
					n->args = extractArgTypes((yyvsp[0].list));
					n->number = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 26199 "gram.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5121 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[-1].list);
					n->args = extractArgTypes((yyvsp[0].list));
					n->number = (yyvsp[-5].ival);
					n->class_args = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 26213 "gram.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5131 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 26224 "gram.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5139 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 26230 "gram.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5140 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 26236 "gram.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5143 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 26242 "gram.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5144 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26248 "gram.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5147 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26254 "gram.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5148 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 26260 "gram.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5149 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26266 "gram.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5153 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[0]))));
					(yyval.boolean) = TRUE;
				}
#line 26284 "gram.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5166 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 26290 "gram.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5172 "gram.y" /* yacc.c:1646  */
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);
					n->opfamilyname = (yyvsp[-2].list);
					n->amname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26301 "gram.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5182 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = false;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 26314 "gram.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5191 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = true;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 26327 "gram.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5202 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 26333 "gram.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5203 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 26339 "gram.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5208 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[-3].ival);
					n->args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 26351 "gram.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5216 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[-3].ival);
					n->args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 26363 "gram.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5228 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[-3].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 26378 "gram.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5239 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[-3].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 26393 "gram.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5253 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[-3].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 26408 "gram.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5264 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[-3].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 26423 "gram.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5287 "gram.y" /* yacc.c:1646  */
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);
					n->roles = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 26434 "gram.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5297 "gram.y" /* yacc.c:1646  */
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);
					n->roles = (yyvsp[-2].list);
					n->newrole = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26445 "gram.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5315 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 26460 "gram.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5326 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 26475 "gram.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5337 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 26490 "gram.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5348 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 26505 "gram.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5361 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 26511 "gram.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5362 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 26517 "gram.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5363 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 26523 "gram.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5364 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 26529 "gram.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5365 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 26535 "gram.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5366 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 26541 "gram.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5367 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 26547 "gram.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5368 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TYPE; }
#line 26553 "gram.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5369 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DOMAIN; }
#line 26559 "gram.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5370 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 26565 "gram.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5371 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 26571 "gram.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5372 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 26577 "gram.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5373 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 26583 "gram.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5374 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 26589 "gram.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5375 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 26595 "gram.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5376 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 26601 "gram.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5377 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 26607 "gram.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5381 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 26613 "gram.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5382 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 26619 "gram.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5385 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 26625 "gram.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5386 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 26631 "gram.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5390 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 26637 "gram.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5392 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 26643 "gram.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5405 "gram.y" /* yacc.c:1646  */
    {
					TruncateStmt *n = makeNode(TruncateStmt);
					n->relations = (yyvsp[-2].list);
					n->restart_seqs = (yyvsp[-1].boolean);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 26655 "gram.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5415 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 26661 "gram.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5416 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 26667 "gram.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5417 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 26673 "gram.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5450 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-3].objtype);
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26686 "gram.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5459 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractAggrArgTypes((yyvsp[-2].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26699 "gram.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5468 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractArgTypes((yyvsp[-2].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26712 "gram.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5477 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[-3].list);
					n->objargs = (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26725 "gram.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5486 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CONSTRAINT;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26738 "gram.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5495 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26751 "gram.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5504 "gram.y" /* yacc.c:1646  */
    {
					/* Obsolete syntax supported for awhile for compatibility */
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = list_make1(makeString((yyvsp[-2].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26765 "gram.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5514 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRIGGER;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26778 "gram.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5523 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPCLASS;
					n->objname = (yyvsp[-4].list);
					n->objargs = list_make1(makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26791 "gram.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5532 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = (yyvsp[-4].list);
					n->objargs = list_make1(makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26804 "gram.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5541 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[-2].value));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26817 "gram.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5550 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[-5].typnam));
					n->objargs = list_make1((yyvsp[-3].typnam));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26830 "gram.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5559 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26843 "gram.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5570 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 26849 "gram.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5571 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 26855 "gram.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5572 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 26861 "gram.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5573 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 26867 "gram.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5574 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 26873 "gram.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5575 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 26879 "gram.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5576 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DOMAIN; }
#line 26885 "gram.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5577 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TYPE; }
#line 26891 "gram.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5578 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 26897 "gram.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5579 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 26903 "gram.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5580 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 26909 "gram.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5581 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 26915 "gram.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5582 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 26921 "gram.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5583 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 26927 "gram.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5584 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 26933 "gram.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5585 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 26939 "gram.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5586 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 26945 "gram.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5587 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 26951 "gram.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5588 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 26957 "gram.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5589 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 26963 "gram.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5590 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 26969 "gram.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5591 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 26975 "gram.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5592 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 26981 "gram.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5596 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26987 "gram.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5597 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 26993 "gram.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5613 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 27007 "gram.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5624 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractAggrArgTypes((yyvsp[-2].list));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 27021 "gram.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5635 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractArgTypes((yyvsp[-2].list));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 27035 "gram.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5646 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[-2].value));
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 27049 "gram.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5657 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 27063 "gram.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5668 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27069 "gram.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5669 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 27075 "gram.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5673 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 27081 "gram.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5674 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 27087 "gram.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5675 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 27093 "gram.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5676 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 27099 "gram.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5677 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 27105 "gram.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5678 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 27111 "gram.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5679 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 27117 "gram.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5680 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TYPE; }
#line 27123 "gram.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5681 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 27129 "gram.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5682 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 27135 "gram.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5683 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TYPE; }
#line 27141 "gram.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5684 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 27147 "gram.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5685 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 27153 "gram.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5688 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27159 "gram.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5689 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 27165 "gram.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5700 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 27175 "gram.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5706 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 27185 "gram.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5714 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 27197 "gram.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5722 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 27209 "gram.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5730 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 27221 "gram.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5738 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 27233 "gram.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5746 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 27245 "gram.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5754 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *)n;
				}
#line 27257 "gram.c" /* yacc.c:1646  */
    break;

  case 865:
#line 5762 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 27269 "gram.c" /* yacc.c:1646  */
    break;

  case 866:
#line 5770 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 27281 "gram.c" /* yacc.c:1646  */
    break;

  case 867:
#line 5778 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 27293 "gram.c" /* yacc.c:1646  */
    break;

  case 868:
#line 5786 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 27305 "gram.c" /* yacc.c:1646  */
    break;

  case 869:
#line 5794 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 27317 "gram.c" /* yacc.c:1646  */
    break;

  case 870:
#line 5802 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 27329 "gram.c" /* yacc.c:1646  */
    break;

  case 871:
#line 5810 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 27341 "gram.c" /* yacc.c:1646  */
    break;

  case 872:
#line 5818 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 27353 "gram.c" /* yacc.c:1646  */
    break;

  case 873:
#line 5826 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 27365 "gram.c" /* yacc.c:1646  */
    break;

  case 874:
#line 5834 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 27377 "gram.c" /* yacc.c:1646  */
    break;

  case 875:
#line 5843 "gram.y" /* yacc.c:1646  */
    {}
#line 27383 "gram.c" /* yacc.c:1646  */
    break;

  case 876:
#line 5844 "gram.y" /* yacc.c:1646  */
    {}
#line 27389 "gram.c" /* yacc.c:1646  */
    break;

  case 877:
#line 5847 "gram.y" /* yacc.c:1646  */
    {}
#line 27395 "gram.c" /* yacc.c:1646  */
    break;

  case 878:
#line 5848 "gram.y" /* yacc.c:1646  */
    {}
#line 27401 "gram.c" /* yacc.c:1646  */
    break;

  case 879:
#line 5860 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 27417 "gram.c" /* yacc.c:1646  */
    break;

  case 880:
#line 5876 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 27434 "gram.c" /* yacc.c:1646  */
    break;

  case 881:
#line 5890 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 27451 "gram.c" /* yacc.c:1646  */
    break;

  case 882:
#line 5915 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27457 "gram.c" /* yacc.c:1646  */
    break;

  case 883:
#line 5917 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27463 "gram.c" /* yacc.c:1646  */
    break;

  case 884:
#line 5919 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27469 "gram.c" /* yacc.c:1646  */
    break;

  case 885:
#line 5921 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 27480 "gram.c" /* yacc.c:1646  */
    break;

  case 886:
#line 5928 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 27491 "gram.c" /* yacc.c:1646  */
    break;

  case 887:
#line 5936 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].accesspriv)); }
#line 27497 "gram.c" /* yacc.c:1646  */
    break;

  case 888:
#line 5937 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].accesspriv)); }
#line 27503 "gram.c" /* yacc.c:1646  */
    break;

  case 889:
#line 5941 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 27514 "gram.c" /* yacc.c:1646  */
    break;

  case 890:
#line 5948 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 27525 "gram.c" /* yacc.c:1646  */
    break;

  case 891:
#line 5955 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 27536 "gram.c" /* yacc.c:1646  */
    break;

  case 892:
#line 5962 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = (yyvsp[-1].str);
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 27547 "gram.c" /* yacc.c:1646  */
    break;

  case 893:
#line 5976 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27559 "gram.c" /* yacc.c:1646  */
    break;

  case 894:
#line 5984 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27571 "gram.c" /* yacc.c:1646  */
    break;

  case 895:
#line 5992 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27583 "gram.c" /* yacc.c:1646  */
    break;

  case 896:
#line 6000 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FDW;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27595 "gram.c" /* yacc.c:1646  */
    break;

  case 897:
#line 6008 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27607 "gram.c" /* yacc.c:1646  */
    break;

  case 898:
#line 6016 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27619 "gram.c" /* yacc.c:1646  */
    break;

  case 899:
#line 6024 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DATABASE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27631 "gram.c" /* yacc.c:1646  */
    break;

  case 900:
#line 6032 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DOMAIN;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27643 "gram.c" /* yacc.c:1646  */
    break;

  case 901:
#line 6040 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LANGUAGE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27655 "gram.c" /* yacc.c:1646  */
    break;

  case 902:
#line 6048 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27667 "gram.c" /* yacc.c:1646  */
    break;

  case 903:
#line 6056 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_NAMESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27679 "gram.c" /* yacc.c:1646  */
    break;

  case 904:
#line 6064 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TABLESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27691 "gram.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6072 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TYPE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27703 "gram.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6080 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27715 "gram.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6088 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27727 "gram.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6096 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27739 "gram.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6107 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 27745 "gram.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6108 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 27751 "gram.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6112 "gram.y" /* yacc.c:1646  */
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* This hack lets us avoid reserving PUBLIC as a keyword*/
					if (strcmp((yyvsp[0].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27765 "gram.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6122 "gram.y" /* yacc.c:1646  */
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* Treat GROUP PUBLIC as a synonym for PUBLIC */
					if (strcmp((yyvsp[0].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27779 "gram.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6135 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 27785 "gram.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6136 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 27791 "gram.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6140 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].funwithargs)); }
#line 27797 "gram.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6142 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].funwithargs)); }
#line 27803 "gram.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6147 "gram.y" /* yacc.c:1646  */
    {
					FuncWithArgs *n = makeNode(FuncWithArgs);
					n->funcname = (yyvsp[-1].list);
					n->funcargs = extractArgTypes((yyvsp[0].list));
					(yyval.funwithargs) = n;
				}
#line 27814 "gram.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6163 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->admin_opt = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].str);
					(yyval.node) = (Node*)n;
				}
#line 27828 "gram.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6176 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 27842 "gram.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6186 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 27856 "gram.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6197 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 27862 "gram.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6198 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 27868 "gram.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6201 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27874 "gram.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6202 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 27880 "gram.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6213 "gram.y" /* yacc.c:1646  */
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);
					n->options = (yyvsp[-1].list);
					n->action = (GrantStmt *) (yyvsp[0].node);
					(yyval.node) = (Node*)n;
				}
#line 27891 "gram.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6222 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 27897 "gram.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6223 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27903 "gram.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6228 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *)(yyvsp[0].list));
				}
#line 27911 "gram.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6232 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list));
				}
#line 27919 "gram.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6236 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list));
				}
#line 27927 "gram.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6248 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 27943 "gram.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6261 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 27960 "gram.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6275 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 27977 "gram.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6290 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_RELATION; }
#line 27983 "gram.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6291 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_FUNCTION; }
#line 27989 "gram.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6292 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_SEQUENCE; }
#line 27995 "gram.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6293 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_TYPE; }
#line 28001 "gram.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6308 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-12].boolean);
					n->concurrent = (yyvsp[-10].boolean);
					n->idxname = (yyvsp[-9].str);
					n->relation = (yyvsp[-7].range);
					n->accessMethod = (yyvsp[-6].str);
					n->indexParams = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					(yyval.node) = (Node *)n;
				}
#line 28027 "gram.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6332 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 28033 "gram.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6333 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 28039 "gram.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6337 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 28045 "gram.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6338 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 28051 "gram.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6342 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28057 "gram.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6343 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 28063 "gram.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6347 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28069 "gram.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6348 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
#line 28075 "gram.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6351 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 28081 "gram.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6352 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 28087 "gram.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6361 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = (yyvsp[-4].str);
					(yyval.ielem)->expr = NULL;
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 28102 "gram.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6372 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-4].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 28117 "gram.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6383 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-5].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 28132 "gram.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6395 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28138 "gram.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6396 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28144 "gram.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6399 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28150 "gram.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6400 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28156 "gram.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6401 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28162 "gram.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6404 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_ASC; }
#line 28168 "gram.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6405 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DESC; }
#line 28174 "gram.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6406 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DEFAULT; }
#line 28180 "gram.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6409 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
#line 28186 "gram.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6410 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_LAST; }
#line 28192 "gram.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6411 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
#line 28198 "gram.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6429 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-7].boolean);
					n->funcname = (yyvsp[-5].list);
					n->parameters = (yyvsp[-4].list);
					n->returnType = (yyvsp[-2].typnam);
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28213 "gram.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6441 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-10].boolean);
					n->funcname = (yyvsp[-8].list);
					n->parameters = mergeTableFuncParameters((yyvsp[-7].list), (yyvsp[-3].list));
					n->returnType = TableFuncTypeName((yyvsp[-3].list));
					n->returnType->location = (yylsp[-5]);
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28229 "gram.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6454 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28244 "gram.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6467 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 28250 "gram.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6468 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 28256 "gram.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6471 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 28262 "gram.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6472 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28268 "gram.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6476 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 28274 "gram.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6477 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 28280 "gram.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6485 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 28286 "gram.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6486 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28292 "gram.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6490 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 28298 "gram.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6492 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 28304 "gram.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6507 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-2].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 28317 "gram.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6516 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-2].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 28330 "gram.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6525 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 28343 "gram.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6534 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 28356 "gram.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6543 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 28369 "gram.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6554 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
#line 28375 "gram.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6555 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
#line 28381 "gram.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6556 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 28387 "gram.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6557 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 28393 "gram.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6558 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
#line 28399 "gram.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6569 "gram.y" /* yacc.c:1646  */
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 28411 "gram.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6583 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 28417 "gram.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6585 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 28427 "gram.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6591 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = TRUE;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 28438 "gram.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6601 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 28446 "gram.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6605 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 28455 "gram.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6610 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 28464 "gram.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6618 "gram.y" /* yacc.c:1646  */
    {
					if (!((yyvsp[0].fun_param)->mode == FUNC_PARAM_IN ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_VARIADIC))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("aggregates cannot have output arguments"),
								 parser_errposition((yylsp[0]))));
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 28478 "gram.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6659 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NIL, makeInteger(-1));
				}
#line 28486 "gram.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6663 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(-1));
				}
#line 28494 "gram.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6667 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(0));
				}
#line 28502 "gram.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6671 "gram.y" /* yacc.c:1646  */
    {
					/* this is the only case requiring consistency checking */
					(yyval.list) = makeOrderedSetArgs((yyvsp[-4].list), (yyvsp[-1].list), yyscanner);
				}
#line 28511 "gram.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6678 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 28517 "gram.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6679 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 28523 "gram.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6684 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 28529 "gram.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6685 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 28535 "gram.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6693 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(FALSE));
				}
#line 28543 "gram.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6697 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
#line 28551 "gram.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6701 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
#line 28559 "gram.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6705 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("immutable"));
				}
#line 28567 "gram.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6709 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("stable"));
				}
#line 28575 "gram.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6713 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("volatile"));
				}
#line 28583 "gram.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6717 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
#line 28591 "gram.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6721 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
#line 28599 "gram.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6725 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
#line 28607 "gram.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6729 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
#line 28615 "gram.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6733 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(TRUE));
				}
#line 28623 "gram.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6737 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(FALSE));
				}
#line 28631 "gram.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6741 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cost", (Node *)(yyvsp[0].value));
				}
#line 28639 "gram.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6745 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rows", (Node *)(yyvsp[0].value));
				}
#line 28647 "gram.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6749 "gram.y" /* yacc.c:1646  */
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *)(yyvsp[0].vsetstmt));
				}
#line 28656 "gram.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6757 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[0].list));
				}
#line 28664 "gram.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6761 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)));
				}
#line 28672 "gram.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6765 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("window", (Node *)makeInteger(TRUE));
				}
#line 28680 "gram.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6769 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 28688 "gram.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6774 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 28694 "gram.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6776 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeString((yyvsp[-2].str)), makeString((yyvsp[0].str)));
				}
#line 28702 "gram.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6782 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28708 "gram.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6783 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28714 "gram.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6787 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 28727 "gram.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6799 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].fun_param));
				}
#line 28735 "gram.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6803 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param));
				}
#line 28743 "gram.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6818 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->func = (yyvsp[-2].funwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 28754 "gram.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 6828 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 28760 "gram.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 6829 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 28766 "gram.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 6851 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 28781 "gram.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 6862 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 28796 "gram.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 6876 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractAggrArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 28811 "gram.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 6887 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractAggrArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 28826 "gram.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 6901 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1((yyvsp[-1].list));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 28841 "gram.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 6912 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1((yyvsp[-1].list));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 28856 "gram.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 6926 "gram.y" /* yacc.c:1646  */
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[0]))));
				}
#line 28868 "gram.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 6934 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam)); }
#line 28874 "gram.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 6936 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[-1].typnam)); }
#line 28880 "gram.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 6938 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), NULL); }
#line 28886 "gram.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 6943 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 28892 "gram.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 6945 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-2].str)), (yyvsp[0].list)); }
#line 28898 "gram.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 6958 "gram.y" /* yacc.c:1646  */
    {
					DoStmt *n = makeNode(DoStmt);
					n->args = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28908 "gram.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 6966 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 28914 "gram.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 6967 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 28920 "gram.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 6972 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)makeString((yyvsp[0].str)));
				}
#line 28928 "gram.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 6976 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)));
				}
#line 28936 "gram.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 6989 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-7].typnam);
					n->targettype = (yyvsp[-5].typnam);
					n->func = (yyvsp[-1].funwithargs);
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 28950 "gram.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 7000 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 28964 "gram.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 7011 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = true;
					(yyval.node) = (Node *)n;
				}
#line 28978 "gram.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 7022 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_IMPLICIT; }
#line 28984 "gram.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 7023 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_ASSIGNMENT; }
#line 28990 "gram.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 7024 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_EXPLICIT; }
#line 28996 "gram.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 7029 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make1((yyvsp[-4].typnam)));
					n->arguments = list_make1(list_make1((yyvsp[-2].typnam)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-6].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 29011 "gram.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 7041 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 29017 "gram.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 7042 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 29023 "gram.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 7057 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-2].objtype);
					n->relation = (yyvsp[-1].range);
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
#line 29035 "gram.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 7065 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[-1].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = false;
					(yyval.node) = (Node *)n;
				}
#line 29049 "gram.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 7075 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[-1].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = true;
					(yyval.node) = (Node *)n;
				}
#line 29063 "gram.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 7087 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 29069 "gram.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 7088 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 29075 "gram.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 7091 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = TRUE; }
#line 29081 "gram.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 7092 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = FALSE; }
#line 29087 "gram.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 7104 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 29100 "gram.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 7113 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 29113 "gram.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 7130 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_AGGREGATE;
					n->object = (yyvsp[-4].list);
					n->objarg = extractAggrArgTypes((yyvsp[-3].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29127 "gram.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 7140 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLLATION;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29140 "gram.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 7149 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONVERSION;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29153 "gram.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 7158 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29166 "gram.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 7167 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMAIN;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29179 "gram.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 7176 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONSTRAINT;
					n->relationType = OBJECT_DOMAIN;
					n->object = (yyvsp[-5].list);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29193 "gram.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 7186 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FDW;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29206 "gram.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 7195 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FUNCTION;
					n->object = (yyvsp[-3].funwithargs)->funcname;
					n->objarg = (yyvsp[-3].funwithargs)->funcargs;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29220 "gram.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 7205 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29233 "gram.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 7214 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_LANGUAGE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29246 "gram.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 7223 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPCLASS;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29260 "gram.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 7233 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPFAMILY;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29274 "gram.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 7243 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29287 "gram.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 7252 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29300 "gram.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 7261 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29314 "gram.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 7271 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29328 "gram.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 7281 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29342 "gram.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 7291 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29356 "gram.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 7301 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29370 "gram.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 7311 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29384 "gram.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 7321 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29398 "gram.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 7331 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29412 "gram.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 7341 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29426 "gram.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 7351 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29440 "gram.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7361 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29454 "gram.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7371 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29468 "gram.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7381 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29483 "gram.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7392 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29498 "gram.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7403 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29513 "gram.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7414 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29528 "gram.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7425 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONSTRAINT;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29542 "gram.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7435 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29557 "gram.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7446 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29572 "gram.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7457 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29586 "gram.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7467 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29600 "gram.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7477 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29612 "gram.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7485 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29625 "gram.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7494 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29638 "gram.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7503 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29651 "gram.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7512 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSPARSER;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29664 "gram.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7521 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29677 "gram.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7530 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29690 "gram.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7539 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29703 "gram.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7548 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TYPE;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29716 "gram.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7557 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[-6].list), (yylsp[-6]), yyscanner);
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29732 "gram.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7570 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COLUMN; }
#line 29738 "gram.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7571 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 29744 "gram.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7574 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 1; }
#line 29750 "gram.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7575 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 29756 "gram.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7586 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[-4].list);
					n->objarg = extractAggrArgTypes((yyvsp[-3].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29770 "gram.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7596 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29783 "gram.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7605 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29796 "gram.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7614 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29809 "gram.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7623 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_EXTENSION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29822 "gram.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7632 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[-3].funwithargs)->funcname;
					n->objarg = (yyvsp[-3].funwithargs)->funcargs;
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29836 "gram.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7642 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[-4].list);
					n->objarg = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29850 "gram.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7652 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29864 "gram.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7662 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29878 "gram.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7672 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29891 "gram.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7681 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29904 "gram.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7690 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSPARSER;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29917 "gram.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7699 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29930 "gram.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7708 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29943 "gram.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7717 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29956 "gram.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7726 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29969 "gram.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7735 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29982 "gram.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7744 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29995 "gram.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7753 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 30008 "gram.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7762 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30021 "gram.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7771 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 30034 "gram.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7780 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30047 "gram.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7789 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 30060 "gram.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7798 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30073 "gram.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7815 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[-4].list);
					n->objarg = extractAggrArgTypes((yyvsp[-3].list));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30086 "gram.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7824 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30098 "gram.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7832 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30110 "gram.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7840 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DATABASE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30122 "gram.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7848 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30134 "gram.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7856 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[-3].funwithargs)->funcname;
					n->objarg = (yyvsp[-3].funwithargs)->funcargs;
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30147 "gram.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7865 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LANGUAGE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30159 "gram.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7873 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LARGEOBJECT;
					n->object = list_make1((yyvsp[-3].value));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30171 "gram.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7881 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[-4].list);
					n->objarg = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30184 "gram.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7890 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30197 "gram.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7899 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30210 "gram.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7908 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SCHEMA;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30222 "gram.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7916 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30234 "gram.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7924 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TABLESPACE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30246 "gram.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7932 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30258 "gram.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7940 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30270 "gram.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7948 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FDW;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30282 "gram.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7956 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30294 "gram.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7964 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30306 "gram.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7983 "gram.y" /* yacc.c:1646  */
    {
					RuleStmt *n = makeNode(RuleStmt);
					n->replace = (yyvsp[-11].boolean);
					n->relation = (yyvsp[-4].range);
					n->rulename = (yyvsp[-9].str);
					n->whereClause = (yyvsp[-3].node);
					n->event = (yyvsp[-6].ival);
					n->instead = (yyvsp[-1].boolean);
					n->actions = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30322 "gram.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7997 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30328 "gram.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7998 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 30334 "gram.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7999 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 30340 "gram.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 8005 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				  else
					(yyval.list) = (yyvsp[-2].list);
				}
#line 30350 "gram.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 8011 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = list_make1((yyvsp[0].node));
				  else
					(yyval.list) = NIL;
				}
#line 30360 "gram.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 8027 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 30366 "gram.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 8028 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 30372 "gram.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 8031 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_SELECT; }
#line 30378 "gram.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 8032 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_UPDATE; }
#line 30384 "gram.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 8033 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_DELETE; }
#line 30390 "gram.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 8034 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_INSERT; }
#line 30396 "gram.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 8038 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 30402 "gram.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 8039 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 30408 "gram.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 8040 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 30414 "gram.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 8046 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_RULE;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 30429 "gram.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 8057 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_RULE;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 30444 "gram.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 8079 "gram.y" /* yacc.c:1646  */
    {
					NotifyStmt *n = makeNode(NotifyStmt);
					n->conditionname = (yyvsp[-1].str);
					n->payload = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30455 "gram.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 8088 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30461 "gram.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 8089 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30467 "gram.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 8093 "gram.y" /* yacc.c:1646  */
    {
					ListenStmt *n = makeNode(ListenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30477 "gram.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 8102 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30487 "gram.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 8108 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 30497 "gram.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 8127 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 30508 "gram.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 8134 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30519 "gram.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 8141 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30530 "gram.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 8148 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 30541 "gram.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 8155 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 30552 "gram.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 8162 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 30563 "gram.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 8169 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_SAVEPOINT;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 30575 "gram.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 8177 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 30587 "gram.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 8185 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 30599 "gram.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 8193 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 30611 "gram.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 8201 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 30623 "gram.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 8209 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30634 "gram.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 8216 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30645 "gram.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 8223 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30656 "gram.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 8231 "gram.y" /* yacc.c:1646  */
    {}
#line 30662 "gram.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 8232 "gram.y" /* yacc.c:1646  */
    {}
#line 30668 "gram.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 8233 "gram.y" /* yacc.c:1646  */
    {}
#line 30674 "gram.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 8238 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[0].str), (yylsp[0]))); }
#line 30681 "gram.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 8241 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(TRUE, (yylsp[-1]))); }
#line 30688 "gram.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 8244 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(FALSE, (yylsp[-1]))); }
#line 30695 "gram.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 8247 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(TRUE, (yylsp[0]))); }
#line 30702 "gram.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 8250 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(FALSE, (yylsp[-1]))); }
#line 30709 "gram.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 8257 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 30715 "gram.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 8259 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 30721 "gram.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 8261 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 30727 "gram.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 8267 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30733 "gram.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 8281 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 30749 "gram.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 8294 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 30765 "gram.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 8307 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 30786 "gram.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 8325 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 30807 "gram.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 8344 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 30813 "gram.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 8345 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 30819 "gram.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 8346 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LOCAL_CHECK_OPTION; }
#line 30825 "gram.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 8347 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = NO_CHECK_OPTION; }
#line 30831 "gram.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 8358 "gram.y" /* yacc.c:1646  */
    {
					LoadStmt *n = makeNode(LoadStmt);
					n->filename = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30841 "gram.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 8374 "gram.y" /* yacc.c:1646  */
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30852 "gram.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 8383 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 30858 "gram.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 8384 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30864 "gram.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 8389 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("tablespace", (Node *)makeString((yyvsp[0].str)));
				}
#line 30872 "gram.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 8393 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("tablespace", NULL);
				}
#line 30880 "gram.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 8397 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("location", (Node *)makeString((yyvsp[0].str)));
				}
#line 30888 "gram.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 8401 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("location", NULL);
				}
#line 30896 "gram.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 8405 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("template", (Node *)makeString((yyvsp[0].str)));
				}
#line 30904 "gram.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 8409 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("template", NULL);
				}
#line 30912 "gram.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 8413 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[0].str)));
				}
#line 30920 "gram.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 8417 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 30928 "gram.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 8421 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", NULL);
				}
#line 30936 "gram.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 8425 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("lc_collate", (Node *)makeString((yyvsp[0].str)));
				}
#line 30944 "gram.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 8429 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("lc_collate", NULL);
				}
#line 30952 "gram.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 8433 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("lc_ctype", (Node *)makeString((yyvsp[0].str)));
				}
#line 30960 "gram.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 8437 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("lc_ctype", NULL);
				}
#line 30968 "gram.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 8441 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 30976 "gram.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 8445 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owner", (Node *)makeString((yyvsp[0].str)));
				}
#line 30984 "gram.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 8449 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owner", NULL);
				}
#line 30992 "gram.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 8458 "gram.y" /* yacc.c:1646  */
    {}
#line 30998 "gram.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 8459 "gram.y" /* yacc.c:1646  */
    {}
#line 31004 "gram.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 8471 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 31015 "gram.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 8478 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-3].str);
					n->options = list_make1(makeDefElem("tablespace",
													(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				 }
#line 31027 "gram.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 8489 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);
					n->dbname = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 31038 "gram.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 8499 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 31044 "gram.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 8500 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31050 "gram.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 8505 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 31058 "gram.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 8519 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 31069 "gram.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 8526 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 31080 "gram.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 8544 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 31090 "gram.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 8550 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 31100 "gram.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 8566 "gram.y" /* yacc.c:1646  */
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);
					n->domainname = (yyvsp[-3].list);
					n->typeName = (yyvsp[-1].typnam);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 31113 "gram.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 8579 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'T';
					n->typeName = (yyvsp[-1].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 31125 "gram.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 8588 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'N';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 31136 "gram.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 8596 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'O';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 31147 "gram.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 8604 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'C';
					n->typeName = (yyvsp[-2].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 31159 "gram.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 8613 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-4].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 31173 "gram.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 8624 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-6].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 31187 "gram.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 8635 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'V';
					n->typeName = (yyvsp[-3].list);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 31199 "gram.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 8644 "gram.y" /* yacc.c:1646  */
    {}
#line 31205 "gram.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 8645 "gram.y" /* yacc.c:1646  */
    {}
#line 31211 "gram.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 8657 "gram.y" /* yacc.c:1646  */
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);
					n->dictname = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31222 "gram.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 8667 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 31236 "gram.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 8677 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 31250 "gram.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 8687 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 31264 "gram.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 8697 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-8].list);
					n->tokentype = (yyvsp[-4].list);
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 31278 "gram.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 8707 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-4].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node*)n;
				}
#line 31290 "gram.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 8715 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node*)n;
				}
#line 31302 "gram.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 8737 "gram.y" /* yacc.c:1646  */
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);
				n->conversion_name = (yyvsp[-6].list);
				n->for_encoding_name = (yyvsp[-4].str);
				n->to_encoding_name = (yyvsp[-2].str);
				n->func_name = (yyvsp[0].list);
				n->def = (yyvsp[-8].boolean);
				(yyval.node) = (Node *)n;
			}
#line 31316 "gram.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 8759 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->verbose = (yyvsp[-2].boolean);
					(yyval.node) = (Node*)n;
				}
#line 31328 "gram.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 8767 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = NULL;
					n->indexname = NULL;
					n->verbose = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 31340 "gram.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 8776 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[0].range);
					n->indexname = (yyvsp[-2].str);
					n->verbose = (yyvsp[-3].boolean);
					(yyval.node) = (Node*)n;
				}
#line 31352 "gram.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 8786 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31358 "gram.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 8787 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 31364 "gram.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 8800 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[0].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[-1].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[-1].boolean) ? 0 : -1;
					n->multixact_freeze_min_age = (yyvsp[-1].boolean) ? 0 : -1;
					n->multixact_freeze_table_age = (yyvsp[-1].boolean) ? 0 : -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 31384 "gram.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 8816 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[-3].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->multixact_freeze_min_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->multixact_freeze_table_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->relation = (yyvsp[0].range);
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 31404 "gram.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 8832 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = (VacuumStmt *) (yyvsp[0].node);
					n->options |= VACOPT_VACUUM;
					if ((yyvsp[-3].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->multixact_freeze_min_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->multixact_freeze_table_age = (yyvsp[-2].boolean) ? 0 : -1;
					(yyval.node) = (Node *)n;
				}
#line 31422 "gram.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 8846 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[-1].ival);
					if (n->options & VACOPT_FREEZE)
					{
						n->freeze_min_age = n->freeze_table_age = 0;
						n->multixact_freeze_min_age = 0;
						n->multixact_freeze_table_age = 0;
					}
					else
					{
						n->freeze_min_age = n->freeze_table_age = -1;
						n->multixact_freeze_min_age = -1;
						n->multixact_freeze_table_age = -1;
					}
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *) n;
				}
#line 31446 "gram.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 8866 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[-3].ival);
					if (n->options & VACOPT_FREEZE)
					{
						n->freeze_min_age = n->freeze_table_age = 0;
						n->multixact_freeze_min_age = 0;
						n->multixact_freeze_table_age = 0;
					}
					else
					{
						n->freeze_min_age = n->freeze_table_age = -1;
						n->multixact_freeze_min_age = -1;
						n->multixact_freeze_table_age = -1;
					}
					n->relation = (yyvsp[-1].range);
					n->va_cols = (yyvsp[0].list);
					if (n->va_cols != NIL)	/* implies analyze */
						n->options |= VACOPT_ANALYZE;
					(yyval.node) = (Node *) n;
				}
#line 31472 "gram.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 8890 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 31478 "gram.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 8891 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 31484 "gram.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 8895 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_ANALYZE; }
#line 31490 "gram.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 8896 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_VERBOSE; }
#line 31496 "gram.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 8897 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_FREEZE; }
#line 31502 "gram.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 8898 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_FULL; }
#line 31508 "gram.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 8903 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[0].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->multixact_freeze_min_age = -1;
					n->multixact_freeze_table_age = -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 31526 "gram.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 8917 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->multixact_freeze_min_age = -1;
					n->multixact_freeze_table_age = -1;
					n->relation = (yyvsp[-1].range);
					n->va_cols = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31544 "gram.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 8933 "gram.y" /* yacc.c:1646  */
    {}
#line 31550 "gram.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 8934 "gram.y" /* yacc.c:1646  */
    {}
#line 31556 "gram.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 8938 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 31562 "gram.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8939 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 31568 "gram.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8942 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 31574 "gram.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8943 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 31580 "gram.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8946 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 31586 "gram.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8947 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 31592 "gram.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8951 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 31598 "gram.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8952 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31604 "gram.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8966 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 31615 "gram.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8973 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("analyze", NULL));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				}
#line 31629 "gram.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8983 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				}
#line 31640 "gram.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8990 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 31651 "gram.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 9012 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 31659 "gram.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 9016 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 31667 "gram.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 9023 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node));
				}
#line 31675 "gram.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 9029 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31681 "gram.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 9030 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "analyze"; }
#line 31687 "gram.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 9034 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 31693 "gram.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 9035 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 31699 "gram.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 9036 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 31705 "gram.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 9047 "gram.y" /* yacc.c:1646  */
    {
					PrepareStmt *n = makeNode(PrepareStmt);
					n->name = (yyvsp[-3].str);
					n->argtypes = (yyvsp[-2].list);
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 31717 "gram.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 9056 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 31723 "gram.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 9057 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31729 "gram.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 9075 "gram.y" /* yacc.c:1646  */
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-1].str);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31740 "gram.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 9083 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-7].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 31759 "gram.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 9099 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 31765 "gram.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 9100 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31771 "gram.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 9111 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 31781 "gram.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 9117 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 31791 "gram.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 9123 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 31801 "gram.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 9129 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 31811 "gram.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 9145 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-1].istmt)->relation = (yyvsp[-2].range);
					(yyvsp[-1].istmt)->returningList = (yyvsp[0].list);
					(yyvsp[-1].istmt)->withClause = (yyvsp[-5].with);
					(yyval.node) = (Node *) (yyvsp[-1].istmt);
				}
#line 31822 "gram.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 9155 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 31832 "gram.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 9161 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-2].list);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 31842 "gram.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 9167 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
#line 31852 "gram.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 9176 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 31858 "gram.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 9178 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 31864 "gram.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 9183 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[-1]);
				}
#line 31876 "gram.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 9193 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31882 "gram.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 9194 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31888 "gram.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 9207 "gram.y" /* yacc.c:1646  */
    {
					DeleteStmt *n = makeNode(DeleteStmt);
					n->relation = (yyvsp[-3].range);
					n->usingClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *)n;
				}
#line 31902 "gram.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 9219 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31908 "gram.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 9220 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31914 "gram.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 9232 "gram.y" /* yacc.c:1646  */
    {
					LockStmt *n = makeNode(LockStmt);

					n->relations = (yyvsp[-2].list);
					n->mode = (yyvsp[-1].ival);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 31927 "gram.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 9242 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival); }
#line 31933 "gram.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 9243 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 31939 "gram.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 9246 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessShareLock; }
#line 31945 "gram.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 9247 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowShareLock; }
#line 31951 "gram.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 9248 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowExclusiveLock; }
#line 31957 "gram.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 9249 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareUpdateExclusiveLock; }
#line 31963 "gram.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 9250 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareLock; }
#line 31969 "gram.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 9251 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareRowExclusiveLock; }
#line 31975 "gram.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 9252 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ExclusiveLock; }
#line 31981 "gram.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 9253 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 31987 "gram.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 9256 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 31993 "gram.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 9257 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 31999 "gram.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 9273 "gram.y" /* yacc.c:1646  */
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[-5].range);
					n->targetList = (yyvsp[-3].list);
					n->fromClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-7].with);
					(yyval.node) = (Node *)n;
				}
#line 32014 "gram.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 9286 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32020 "gram.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 9287 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_concat((yyvsp[-2].list),(yyvsp[0].list)); }
#line 32026 "gram.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 9291 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 32032 "gram.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 9292 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32038 "gram.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 9297 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = (yyvsp[-2].target);
					(yyval.target)->val = (Node *) (yyvsp[0].node);
				}
#line 32047 "gram.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 9305 "gram.y" /* yacc.c:1646  */
    {
					ListCell *col_cell;
					ListCell *val_cell;

					/*
					 * Break the ctext_row apart, merge individual expressions
					 * into the destination ResTargets.  XXX this approach
					 * cannot work for general row expressions as sources.
					 */
					if (list_length((yyvsp[-3].list)) != list_length((yyvsp[0].list)))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("number of columns does not match number of values"),
								 parser_errposition((yylsp[-4]))));
					forboth(col_cell, (yyvsp[-3].list), val_cell, (yyvsp[0].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						Node *res_val = (Node *) lfirst(val_cell);

						res_col->val = res_val;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 32076 "gram.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 9333 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[-1]);
				}
#line 32088 "gram.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 9343 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 32094 "gram.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 9344 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].target)); }
#line 32100 "gram.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 9355 "gram.y" /* yacc.c:1646  */
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);
					n->portalname = (yyvsp[-5].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[-4].ival) | (yyvsp[-2].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 32113 "gram.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 9365 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32119 "gram.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 9368 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 32125 "gram.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 9369 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | CURSOR_OPT_NO_SCROLL; }
#line 32131 "gram.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 9370 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_SCROLL; }
#line 32137 "gram.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 9371 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_BINARY; }
#line 32143 "gram.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 9372 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_INSENSITIVE; }
#line 32149 "gram.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 9375 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 32155 "gram.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 9376 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CURSOR_OPT_HOLD; }
#line 32161 "gram.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 9377 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 32167 "gram.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 9430 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 32173 "gram.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 9431 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 32179 "gram.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 9446 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32185 "gram.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 9448 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 32196 "gram.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 9455 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 32208 "gram.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 9463 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 32220 "gram.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 9471 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[0].node), NULL, NIL,
										NULL, NULL,
										(yyvsp[-1].with),
										yyscanner);
					(yyval.node) = (yyvsp[0].node);
				}
#line 32232 "gram.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 9479 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL,
										(yyvsp[-2].with),
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 32244 "gram.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 9487 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 32256 "gram.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 9495 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 32268 "gram.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 9505 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32274 "gram.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 9506 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32280 "gram.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 9536 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->distinctClause = (yyvsp[-7].list);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32297 "gram.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 9548 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32303 "gram.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 9550 "gram.y" /* yacc.c:1646  */
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef *cr = makeNode(ColumnRef);
					ResTarget *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *)cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[0].range));
					(yyval.node) = (Node *)n;
				}
#line 32326 "gram.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 9569 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 32334 "gram.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 9573 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 32342 "gram.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 9577 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 32350 "gram.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 9592 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 32361 "gram.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 9599 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[-2]);
			}
#line 32372 "gram.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 9608 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 32378 "gram.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 9609 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 32384 "gram.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 9613 "gram.y" /* yacc.c:1646  */
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);
				n->ctename = (yyvsp[-5].str);
				n->aliascolnames = (yyvsp[-4].list);
				n->ctequery = (yyvsp[-1].node);
				n->location = (yylsp[-5]);
				(yyval.node) = (Node *) n;
			}
#line 32397 "gram.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 9624 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = (yyvsp[0].with); }
#line 32403 "gram.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 9625 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = NULL; }
#line 32409 "gram.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 9630 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[0].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				}
#line 32424 "gram.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 9641 "gram.y" /* yacc.c:1646  */
    { (yyval.into) = NULL; }
#line 32430 "gram.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 9650 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 32439 "gram.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 9655 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 32448 "gram.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 9660 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 32457 "gram.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 9665 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 32466 "gram.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 9670 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 32478 "gram.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 9678 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 32490 "gram.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 9686 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
#line 32499 "gram.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 9691 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 32508 "gram.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 9696 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 32517 "gram.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 9702 "gram.y" /* yacc.c:1646  */
    {}
#line 32523 "gram.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 9703 "gram.y" /* yacc.c:1646  */
    {}
#line 32529 "gram.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 9706 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 32535 "gram.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 9707 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 32541 "gram.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 9708 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 32547 "gram.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 9715 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(NIL); }
#line 32553 "gram.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 9716 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 32559 "gram.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 9717 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32565 "gram.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 9718 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32571 "gram.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 9722 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list);}
#line 32577 "gram.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 9723 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32583 "gram.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 9727 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32589 "gram.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 9731 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].sortby)); }
#line 32595 "gram.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 9732 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].sortby)); }
#line 32601 "gram.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 9736 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-3].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = (yyvsp[-1].list);
					(yyval.sortby)->location = (yylsp[-1]);
				}
#line 32614 "gram.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 9745 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-2].node);
					(yyval.sortby)->sortby_dir = (yyvsp[-1].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
#line 32627 "gram.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 9757 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-1].node)); }
#line 32633 "gram.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 9758 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node)); }
#line 32639 "gram.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 9759 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[0].node)); }
#line 32645 "gram.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 9760 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), NULL); }
#line 32651 "gram.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 9764 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32657 "gram.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 9765 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL,NULL); }
#line 32663 "gram.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 9770 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32669 "gram.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 9772 "gram.y" /* yacc.c:1646  */
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[-3]))));
				}
#line 32682 "gram.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 9782 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-2].node); }
#line 32688 "gram.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 9787 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32694 "gram.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 9790 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 32700 "gram.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 9794 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32706 "gram.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 9796 "gram.y" /* yacc.c:1646  */
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 32715 "gram.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 9803 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32721 "gram.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 9813 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0])); }
#line 32727 "gram.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 9814 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 32733 "gram.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 9815 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(1, -1); }
#line 32739 "gram.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 9823 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32745 "gram.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 9827 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 32751 "gram.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 9828 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 32757 "gram.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 9831 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 32763 "gram.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 9832 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 32769 "gram.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 9837 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32775 "gram.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 9838 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32781 "gram.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 9842 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32787 "gram.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 9843 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32793 "gram.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 9847 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32799 "gram.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 9848 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32805 "gram.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 9852 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32811 "gram.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 9853 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32817 "gram.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 9857 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 32823 "gram.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 9858 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 32829 "gram.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 9863 "gram.y" /* yacc.c:1646  */
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[-1].list);
					n->strength = (yyvsp[-2].ival);
					n->noWait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 32841 "gram.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 9873 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORUPDATE; }
#line 32847 "gram.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 9874 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORNOKEYUPDATE; }
#line 32853 "gram.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 9875 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORSHARE; }
#line 32859 "gram.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 9876 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORKEYSHARE; }
#line 32865 "gram.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 9880 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32871 "gram.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 9881 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32877 "gram.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 9887 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->valuesLists = list_make1((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 32887 "gram.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 9893 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[-2].node);
					n->valuesLists = lappend(n->valuesLists, (yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 32897 "gram.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 9910 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32903 "gram.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 9911 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32909 "gram.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 9915 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 32915 "gram.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 9916 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 32921 "gram.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 9923 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-1].range)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-1].range);
				}
#line 32930 "gram.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 9928 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 32941 "gram.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 9935 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->lateral = true;
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 32953 "gram.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 9943 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = false;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 32992 "gram.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 9978 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = true;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/* same comment as above */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 33021 "gram.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 10003 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) (yyvsp[0].jexpr);
				}
#line 33029 "gram.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 10007 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].jexpr)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-2].jexpr);
				}
#line 33038 "gram.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 10033 "gram.y" /* yacc.c:1646  */
    {
					(yyval.jexpr) = (yyvsp[-1].jexpr);
				}
#line 33046 "gram.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 10037 "gram.y" /* yacc.c:1646  */
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
#line 33062 "gram.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 10049 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-3].jtype);
					n->isNatural = FALSE;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 33079 "gram.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 10062 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 33097 "gram.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 10076 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-2].jtype);
					n->isNatural = TRUE;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 33112 "gram.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 10087 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = TRUE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 33128 "gram.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 10102 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 33138 "gram.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 10108 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 33147 "gram.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 10113 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 33157 "gram.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 10119 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 33166 "gram.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 10125 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = (yyvsp[0].alias); }
#line 33172 "gram.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 10126 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = NULL; }
#line 33178 "gram.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 10135 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].alias), NIL);
				}
#line 33186 "gram.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 10139 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[-1].list));
				}
#line 33194 "gram.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 10143 "gram.y" /* yacc.c:1646  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 33204 "gram.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 10149 "gram.y" /* yacc.c:1646  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 33214 "gram.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 10155 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, NIL);
				}
#line 33222 "gram.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 10160 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_FULL; }
#line 33228 "gram.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 10161 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_LEFT; }
#line 33234 "gram.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 10162 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_RIGHT; }
#line 33240 "gram.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 10163 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_INNER; }
#line 33246 "gram.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 10167 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 33252 "gram.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 10168 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 33258 "gram.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 10180 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 33264 "gram.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 10181 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33270 "gram.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 10187 "gram.y" /* yacc.c:1646  */
    {
					/* default inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inhOpt = INH_DEFAULT;
					(yyval.range)->alias = NULL;
				}
#line 33281 "gram.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 10194 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inhOpt = INH_YES;
					(yyval.range)->alias = NULL;
				}
#line 33292 "gram.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 10201 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
#line 33303 "gram.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 10208 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
#line 33314 "gram.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 10218 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 33320 "gram.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 10219 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 33326 "gram.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 10233 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 33334 "gram.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 10237 "gram.y" /* yacc.c:1646  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-1].range)->alias = alias;
					(yyval.range) = (yyvsp[-1].range);
				}
#line 33345 "gram.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 10244 "gram.y" /* yacc.c:1646  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-2].range)->alias = alias;
					(yyval.range) = (yyvsp[-2].range);
				}
#line 33356 "gram.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 10265 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = false;
					n->functions = list_make1(list_make2((yyvsp[-1].node), NIL));
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 33370 "gram.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 10275 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = true;
					n->functions = (yyvsp[-2].list);
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 33384 "gram.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 10287 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].list)); }
#line 33390 "gram.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 10291 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 33396 "gram.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 10292 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 33402 "gram.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 10295 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33408 "gram.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 10296 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33414 "gram.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 10299 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 33420 "gram.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 10300 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 33426 "gram.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 10305 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33432 "gram.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 10306 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 33438 "gram.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 10311 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33444 "gram.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 10313 "gram.y" /* yacc.c:1646  */
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[0].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
#line 33456 "gram.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 10320 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 33462 "gram.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 10325 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33468 "gram.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 10326 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33474 "gram.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 10331 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 33482 "gram.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 10335 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 33490 "gram.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 10341 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-2].str);
					n->typeName = (yyvsp[-1].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[0].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 33512 "gram.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 10371 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
				}
#line 33521 "gram.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 10376 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
					(yyval.typnam)->setof = TRUE;
				}
#line 33531 "gram.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 10383 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
				}
#line 33540 "gram.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 10388 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
					(yyval.typnam)->setof = TRUE;
				}
#line 33550 "gram.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 10394 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
#line 33559 "gram.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 10399 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = TRUE;
				}
#line 33569 "gram.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 10408 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-2].list), makeInteger(-1)); }
#line 33575 "gram.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 10410 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-3].list), makeInteger((yyvsp[-1].ival))); }
#line 33581 "gram.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 10412 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = NIL; }
#line 33587 "gram.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 10416 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 33593 "gram.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 10417 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 33599 "gram.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 10418 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 33605 "gram.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 10419 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 33611 "gram.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 10420 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 33617 "gram.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 10422 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->typmods = (yyvsp[0].list);
				}
#line 33626 "gram.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 10427 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						if (list_length((yyvsp[0].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[-4]))));
						(yyval.typnam)->typmods = lappend((yyvsp[0].list), makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					}
					else
						(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												 makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
				}
#line 33646 "gram.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 10456 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 33652 "gram.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 10457 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 33658 "gram.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 10458 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 33664 "gram.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 10459 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 33670 "gram.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 10471 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeName((yyvsp[-1].str));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 33680 "gram.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 10477 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-2].str)), (yyvsp[-1].list)));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-2]);
				}
#line 33690 "gram.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 10484 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33696 "gram.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 10485 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33702 "gram.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 10492 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 33711 "gram.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 10497 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 33720 "gram.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 10502 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 33729 "gram.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 10507 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 33738 "gram.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 10512 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 33747 "gram.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 10517 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 33756 "gram.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 10522 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 33765 "gram.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 10527 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 33775 "gram.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 10533 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 33785 "gram.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 10539 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 33795 "gram.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 10545 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 33804 "gram.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 10552 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[-1].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[-1]))));
					else if ((yyvsp[-1].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[-1].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[-1]))));
				}
#line 33829 "gram.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 10573 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
#line 33837 "gram.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 10583 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 33845 "gram.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 10587 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 33853 "gram.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 10595 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 33861 "gram.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 10599 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 33870 "gram.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 10607 "gram.y" /* yacc.c:1646  */
    {
					char *typname;

					typname = (yyvsp[-3].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[-1].list);
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 33883 "gram.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 10619 "gram.y" /* yacc.c:1646  */
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[0].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 33901 "gram.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 10640 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 33909 "gram.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 10644 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 33917 "gram.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 10650 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 33925 "gram.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 10654 "gram.y" /* yacc.c:1646  */
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 33940 "gram.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 10667 "gram.y" /* yacc.c:1646  */
    {
					if (((yyvsp[0].str) != NULL) && (strcmp((yyvsp[0].str), "sql_text") != 0))
						(yyvsp[-4].str) = psprintf("%s_%s", (yyvsp[-4].str), (yyvsp[0].str));

					(yyval.typnam) = SystemTypeName((yyvsp[-4].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 33953 "gram.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 10678 "gram.y" /* yacc.c:1646  */
    {
					if (((yyvsp[0].str) != NULL) && (strcmp((yyvsp[0].str), "sql_text") != 0))
						(yyvsp[-1].str) = psprintf("%s_%s", (yyvsp[-1].str), (yyvsp[0].str));

					(yyval.typnam) = SystemTypeName((yyvsp[-1].str));

					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[-1].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));

					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 33970 "gram.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 10693 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 33976 "gram.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 10695 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 33982 "gram.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 10697 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "varchar"; }
#line 33988 "gram.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 10699 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 33994 "gram.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 10701 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 34000 "gram.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 10703 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 34006 "gram.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 10707 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 34012 "gram.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 10708 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 34018 "gram.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 10712 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34024 "gram.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 10713 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 34030 "gram.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 10721 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 34043 "gram.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 10730 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 34055 "gram.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 10738 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 34068 "gram.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 10747 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 34080 "gram.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 10758 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 34089 "gram.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 10765 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 34095 "gram.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 10766 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 34101 "gram.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 10767 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 34107 "gram.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 10772 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[0]))); }
#line 34113 "gram.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 10774 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[0]))); }
#line 34119 "gram.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 10776 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[0]))); }
#line 34125 "gram.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 10778 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[0]))); }
#line 34131 "gram.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 10780 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[0]))); }
#line 34137 "gram.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 10782 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34143 "gram.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 10784 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[-2])));
				}
#line 34152 "gram.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 10789 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[-2])));
				}
#line 34161 "gram.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 10794 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 34171 "gram.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 10800 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 34183 "gram.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 10808 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 34192 "gram.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 10813 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 34203 "gram.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 10820 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 34213 "gram.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 10826 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34219 "gram.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 10831 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[0])));
				}
#line 34227 "gram.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 10835 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[-3])),
									makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 34236 "gram.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 10864 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 34242 "gram.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 10866 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 34248 "gram.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 10868 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = (yyvsp[-2].node);
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 34260 "gram.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 10876 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make2((yyvsp[0].node), (yyvsp[-4].node)),
											   (yylsp[-3]));
				}
#line 34270 "gram.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 10891 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 34276 "gram.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 10893 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 34282 "gram.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 10895 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34288 "gram.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 10897 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34294 "gram.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 10899 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34300 "gram.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 10901 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34306 "gram.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 10903 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34312 "gram.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 10905 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34318 "gram.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 10907 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34324 "gram.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 10909 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34330 "gram.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 10911 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34336 "gram.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 10914 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34342 "gram.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 10916 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 34348 "gram.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 10918 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 34354 "gram.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 10921 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL, (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34360 "gram.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 10923 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL, (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34366 "gram.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 10925 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 34372 "gram.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 10928 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34378 "gram.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 10930 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 34389 "gram.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 10937 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2])); }
#line 34395 "gram.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 10939 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 34406 "gram.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 10946 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34412 "gram.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 10948 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 34423 "gram.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 10955 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2])); }
#line 34429 "gram.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 10957 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 34440 "gram.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 10965 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[0].node), makeNullAConst(-1)),
											   (yylsp[-2]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[-3].node), (Node *) n, (yylsp[-2]));
				}
#line 34451 "gram.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 10972 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 34462 "gram.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 10979 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[0].node), makeNullAConst(-1)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 34473 "gram.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 10986 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-5]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[-6].node), (Node *) n, (yylsp[-5]));
				}
#line 34484 "gram.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 11003 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-2].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				}
#line 34495 "gram.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 11010 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				}
#line 34506 "gram.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 11017 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-3].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				}
#line 34517 "gram.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 11024 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				}
#line 34528 "gram.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 11031 "gram.y" /* yacc.c:1646  */
    {
					if (list_length((yyvsp[-2].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 parser_errposition((yylsp[-2]))));
					if (list_length((yyvsp[0].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlaps"),
											   list_concat((yyvsp[-2].list), (yyvsp[0].list)),
											   (yylsp[-1]));
				}
#line 34548 "gram.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 11047 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_TRUE;
					(yyval.node) = (Node *)b;
				}
#line 34559 "gram.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 11054 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_TRUE;
					(yyval.node) = (Node *)b;
				}
#line 34570 "gram.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 11061 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_FALSE;
					(yyval.node) = (Node *)b;
				}
#line 34581 "gram.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 11068 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_FALSE;
					(yyval.node) = (Node *)b;
				}
#line 34592 "gram.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 11075 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_UNKNOWN;
					(yyval.node) = (Node *)b;
				}
#line 34603 "gram.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 11082 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					(yyval.node) = (Node *)b;
				}
#line 34614 "gram.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 11089 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 34622 "gram.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 11093 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
									(Node *) makeSimpleA_Expr(AEXPR_DISTINCT,
															  "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])),
											 (yylsp[-4]));

				}
#line 34634 "gram.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 11101 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 34642 "gram.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 11105 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 34650 "gram.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 11115 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-5].node), (yyvsp[-2].node), (yylsp[-4])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])),
											 (yylsp[-4]));
				}
#line 34661 "gram.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 11122 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-6].node), (yyvsp[-2].node), (yylsp[-5])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-6].node), (yyvsp[0].node), (yylsp[-5])),
											 (yylsp[-5]));
				}
#line 34672 "gram.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 11129 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeA_Expr(AEXPR_AND, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-5].node), (yyvsp[-2].node), (yylsp[-4])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])),
											(yylsp[-4])),
						(Node *) makeA_Expr(AEXPR_AND, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-5].node), (yyvsp[-2].node), (yylsp[-4])),
											(yylsp[-4])),
											 (yylsp[-4]));
				}
#line 34689 "gram.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 11142 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeA_Expr(AEXPR_OR, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-6].node), (yyvsp[-2].node), (yylsp[-5])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-6].node), (yyvsp[0].node), (yylsp[-5])),
											(yylsp[-5])),
						(Node *) makeA_Expr(AEXPR_OR, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-6].node), (yyvsp[0].node), (yylsp[-5])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-6].node), (yyvsp[-2].node), (yylsp[-5])),
											(yylsp[-5])),
											 (yylsp[-5]));
				}
#line 34706 "gram.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 11155 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[-2].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[-1]);
						(yyval.node) = (Node *)n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
					}
				}
#line 34729 "gram.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 11174 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[-3].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[-1]);
						/* Stick a NOT on top */
						(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (Node *) n, (yylsp[-2]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
					}
				}
#line 34754 "gram.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 11195 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = (yyvsp[-1].ival);
					n->testexpr = (yyvsp[-3].node);
					n->operName = (yyvsp[-2].list);
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 34768 "gram.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 11205 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-3].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
				}
#line 34779 "gram.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 11212 "gram.y" /* yacc.c:1646  */
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[-1]))));
				}
#line 34799 "gram.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 11228 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 34808 "gram.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 11233 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[-3].node)), (yylsp[-2])),
											 (yylsp[-2]));
				}
#line 34819 "gram.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 11251 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 34825 "gram.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 11253 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 34831 "gram.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 11255 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 34837 "gram.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 11257 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 34843 "gram.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 11259 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34849 "gram.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 11261 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34855 "gram.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 11263 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34861 "gram.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 11265 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34867 "gram.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 11267 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34873 "gram.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 11269 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34879 "gram.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 11271 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34885 "gram.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 11273 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34891 "gram.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 11275 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34897 "gram.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 11277 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34903 "gram.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 11279 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 34909 "gram.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 11281 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 34915 "gram.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 11283 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 34923 "gram.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 11287 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL,
						NULL, (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])), (yylsp[-4]));
				}
#line 34932 "gram.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 11292 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 34940 "gram.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 11296 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 34948 "gram.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 11300 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 34957 "gram.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 11305 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[-3].node)), (yylsp[-2])),
											 (yylsp[-2]));
				}
#line 34968 "gram.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 11321 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 34974 "gram.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 11322 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 34980 "gram.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 11324 "gram.y" /* yacc.c:1646  */
    {
					ParamRef *p = makeNode(ParamRef);
					p->number = (yyvsp[-1].ival);
					p->location = (yylsp[-1]);
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
#line 34999 "gram.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 11339 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (yyvsp[-2].node);
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *)n;
					}
					else
						(yyval.node) = (yyvsp[-2].node);
				}
#line 35015 "gram.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 11351 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35021 "gram.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 11353 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35027 "gram.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 11355 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXPR_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 35041 "gram.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 11365 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);
					n->subLinkType = EXPR_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[-1].node);
					n->location = (yylsp[-1]);
					a->arg = (Node *)n;
					a->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.node) = (Node *)a;
				}
#line 35068 "gram.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 11388 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXISTS_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 35082 "gram.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 11398 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = ARRAY_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 35096 "gram.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 11408 "gram.y" /* yacc.c:1646  */
    {
					A_ArrayExpr *n = (A_ArrayExpr *) (yyvsp[0].node);
					Assert(IsA(n, A_ArrayExpr));
					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 35108 "gram.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 11416 "gram.y" /* yacc.c:1646  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 35121 "gram.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 11427 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall((yyvsp[-2].list), NIL, (yylsp[-2]));
				}
#line 35129 "gram.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 11431 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-4].list), (yyvsp[-2].list), (yylsp[-4]));
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 35139 "gram.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 11437 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), list_make1((yyvsp[-2].node)), (yylsp[-5]));
					n->func_variadic = TRUE;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 35150 "gram.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 11444 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-7].list), lappend((yyvsp[-5].list), (yyvsp[-2].node)), (yylsp[-7]));
					n->func_variadic = TRUE;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 35161 "gram.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 11451 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					(yyval.node) = (Node *)n;
				}
#line 35175 "gram.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 11461 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					n->agg_distinct = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 35186 "gram.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 11468 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall *n = makeFuncCall((yyvsp[-3].list), NIL, (yylsp[-3]));
					n->agg_star = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 35206 "gram.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 11496 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = (FuncCall *) (yyvsp[-3].node);
					/*
					 * The order clause for WITHIN GROUP and the one for
					 * plain-aggregate ORDER BY share a field, so we have to
					 * check here that at most one is present.  We also check
					 * for DISTINCT and VARIADIC here to give a better error
					 * location.  Other consistency checks are deferred to
					 * parse analysis.
					 */
					if ((yyvsp[-2].list) != NIL)
					{
						if (n->agg_order != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use multiple ORDER BY clauses with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->agg_distinct)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use DISTINCT with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->func_variadic)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use VARIADIC with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						n->agg_order = (yyvsp[-2].list);
						n->agg_within_group = TRUE;
					}
					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) n;
				}
#line 35245 "gram.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 11531 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35251 "gram.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 11541 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35257 "gram.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 11542 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35263 "gram.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 11550 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("pg_collation_for"),
											   list_make1((yyvsp[-1].node)),
											   (yylsp[-4]));
				}
#line 35273 "gram.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 11556 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::date".
					 *
					 * We cannot use "'now'::date" because coerce_type() will
					 * immediately reduce that to a constant representing
					 * today's date.  We need to delay the conversion until
					 * runtime, else the wrong things will happen when
					 * CURRENT_DATE is used in a column default value or rule.
					 *
					 * This could be simplified if we had a way to generate
					 * an expression tree representing runtime application
					 * of type-input conversion functions.  (As of PG 7.3
					 * that is actually possible, but not clear that we want
					 * to rely on it.)
					 *
					 * The token location is attached to the run-time
					 * typecast, not to the Const, for the convenience of
					 * pg_stat_statements (which doesn't want these constructs
					 * to appear to be replaceable constants).
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("date"), (yylsp[0]));
				}
#line 35303 "gram.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 11582 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timetz".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timetz"), (yylsp[0]));
				}
#line 35317 "gram.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 11592 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timetz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("timetz");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast(n, d, (yylsp[-3]));
				}
#line 35334 "gram.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 11605 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "now()", since we have a function that
					 * does exactly what is needed.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("now"), NIL, (yylsp[0]));
				}
#line 35346 "gram.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 11613 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timestamptz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("timestamptz");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast(n, d, (yylsp[-3]));
				}
#line 35363 "gram.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 11626 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::time".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast((Node *)n, SystemTypeName("time"), (yylsp[0]));
				}
#line 35377 "gram.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 11636 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::time(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("time");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast((Node *)n, d, (yylsp[-3]));
				}
#line 35394 "gram.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 11649 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timestamp".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timestamp"), (yylsp[0]));
				}
#line 35408 "gram.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 11659 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timestamp(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("timestamp");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast(n, d, (yylsp[-3]));
				}
#line 35425 "gram.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 11672 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_user"), NIL, (yylsp[0]));
				}
#line 35433 "gram.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 11676 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_user"), NIL, (yylsp[0]));
				}
#line 35441 "gram.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 11680 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("session_user"), NIL, (yylsp[0]));
				}
#line 35449 "gram.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 11684 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_user"), NIL, (yylsp[0]));
				}
#line 35457 "gram.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 11688 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_database"), NIL, (yylsp[0]));
				}
#line 35465 "gram.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 11692 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_schema"), NIL, (yylsp[0]));
				}
#line 35473 "gram.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 11696 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-3].node), (yyvsp[-1].typnam), (yylsp[-5])); }
#line 35479 "gram.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 11698 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("date_part"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 35487 "gram.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 11702 "gram.y" /* yacc.c:1646  */
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to
					 * overlay(A, B, C, D)
					 * overlay(A PLACING B FROM C) is converted to
					 * overlay(A, B, C)
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlay"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 35500 "gram.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 11711 "gram.y" /* yacc.c:1646  */
    {
					/* position(A in B) is converted to position(B, A) */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("position"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 35509 "gram.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 11716 "gram.y" /* yacc.c:1646  */
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("substring"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 35520 "gram.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 11723 "gram.y" /* yacc.c:1646  */
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 *
					 * Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName(((Value *)llast((yyvsp[-1].typnam)->names))->val.str),
												list_make1((yyvsp[-3].node)),
												(yylsp[-5]));
				}
#line 35539 "gram.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 11738 "gram.y" /* yacc.c:1646  */
    {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 35550 "gram.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 11745 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("ltrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 35558 "gram.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 11749 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("rtrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 35566 "gram.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 11753 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 35574 "gram.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 11757 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[-3].node), (yyvsp[-1].node), (yylsp[-5]));
				}
#line 35582 "gram.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 11761 "gram.y" /* yacc.c:1646  */
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);
					c->args = (yyvsp[-1].list);
					c->location = (yylsp[-3]);
					(yyval.node) = (Node *)c;
				}
#line 35593 "gram.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 11768 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 35605 "gram.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 11776 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_LEAST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 35617 "gram.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 11784 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 35625 "gram.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 11788 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-1].str), NIL, NIL, (yylsp[-4]));
				}
#line 35633 "gram.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 11792 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), (yyvsp[-1].list), NIL, (yylsp[-6]));
				}
#line 35641 "gram.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 11796 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), NIL, (yyvsp[-1].list), (yylsp[-6]));
				}
#line 35649 "gram.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 11800 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-5].str), (yyvsp[-3].list), (yyvsp[-1].list), (yylsp[-8]));
				}
#line 35657 "gram.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 11804 "gram.y" /* yacc.c:1646  */
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("xmlexists"), list_make2((yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-4]));
				}
#line 35667 "gram.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 11810 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[-1].list), NIL, (yylsp[-3]));
				}
#line 35675 "gram.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 11814 "gram.y" /* yacc.c:1646  */
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[-2].node), makeBoolAConst((yyvsp[-1].boolean), -1)),
									(yylsp[-5]));
					x->xmloption = (yyvsp[-3].ival);
					(yyval.node) = (Node *)x;
				}
#line 35688 "gram.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 11823 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-1].str), NULL, NIL, (yylsp[-4]));
				}
#line 35696 "gram.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 11827 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-3].str), NULL, list_make1((yyvsp[-1].node)), (yylsp[-6]));
				}
#line 35704 "gram.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 11831 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-6]));
				}
#line 35713 "gram.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 11836 "gram.y" /* yacc.c:1646  */
    {
					XmlSerialize *n = makeNode(XmlSerialize);
					n->xmloption = (yyvsp[-4].ival);
					n->expr = (yyvsp[-3].node);
					n->typeName = (yyvsp[-1].typnam);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 35726 "gram.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 11850 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35732 "gram.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 11852 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNullAConst(-1); }
#line 35738 "gram.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 11856 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
#line 35744 "gram.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 11858 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
#line 35750 "gram.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 11860 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
#line 35756 "gram.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 11862 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
#line 35762 "gram.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 11865 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35768 "gram.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 11868 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 35774 "gram.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 11869 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 35780 "gram.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 11873 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 35792 "gram.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 11881 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 35804 "gram.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 11890 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
#line 35810 "gram.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 11891 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_CONTENT; }
#line 35816 "gram.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 11894 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 35822 "gram.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 11895 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 35828 "gram.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 11896 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 35834 "gram.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 11902 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 35842 "gram.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 11906 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 35850 "gram.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 11910 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 35858 "gram.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 11914 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 35866 "gram.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 11924 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35872 "gram.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 11925 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35878 "gram.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 11929 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 35884 "gram.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 11930 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 35890 "gram.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 11938 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35896 "gram.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 11939 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35902 "gram.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 11943 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].windef)); }
#line 35908 "gram.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 11945 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].windef)); }
#line 35914 "gram.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 11950 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->name = (yyvsp[-2].str);
					(yyval.windef) = n;
				}
#line 35924 "gram.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 11958 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = (yyvsp[0].windef); }
#line 35930 "gram.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 11960 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = (yyvsp[0].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[0]);
					(yyval.windef) = n;
				}
#line 35947 "gram.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 11973 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = NULL; }
#line 35953 "gram.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 11978 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = NULL;
					n->refname = (yyvsp[-4].str);
					n->partitionClause = (yyvsp[-3].list);
					n->orderClause = (yyvsp[-2].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[-1].windef)->frameOptions;
					n->startOffset = (yyvsp[-1].windef)->startOffset;
					n->endOffset = (yyvsp[-1].windef)->endOffset;
					n->location = (yylsp[-5]);
					(yyval.windef) = n;
				}
#line 35971 "gram.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 12003 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35977 "gram.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 12004 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 35983 "gram.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 12007 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35989 "gram.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 12008 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35995 "gram.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 12020 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_PRECEDING |
										   FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE PRECEDING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[-1]))));
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_FOLLOWING |
										   FRAMEOPTION_END_VALUE_FOLLOWING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE FOLLOWING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[-1]))));
					(yyval.windef) = n;
				}
#line 36017 "gram.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 12038 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					(yyval.windef) = n;
				}
#line 36027 "gram.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 12044 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 36039 "gram.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 12054 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[0]))));
					if (n->frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[0]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
#line 36060 "gram.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 12071 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n1 = (yyvsp[-2].windef);
					WindowDef *n2 = (yyvsp[0].windef);
					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[-2]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_VALUE_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
#line 36101 "gram.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 12116 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 36113 "gram.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 12124 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 36125 "gram.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 12132 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 36137 "gram.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 12140 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_PRECEDING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 36149 "gram.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 12148 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_FOLLOWING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 36161 "gram.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 12168 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36167 "gram.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 12169 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36173 "gram.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 12170 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 36179 "gram.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 12173 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 36185 "gram.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 12174 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 36191 "gram.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 12175 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ALL_SUBLINK; }
#line 36197 "gram.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 12178 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36203 "gram.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 12179 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36209 "gram.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 12182 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "+"; }
#line 36215 "gram.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 12183 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "-"; }
#line 36221 "gram.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 12184 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "*"; }
#line 36227 "gram.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 12185 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "/"; }
#line 36233 "gram.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 12186 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "%"; }
#line 36239 "gram.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 12187 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "^"; }
#line 36245 "gram.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 12188 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<"; }
#line 36251 "gram.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 12189 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">"; }
#line 36257 "gram.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 12190 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "="; }
#line 36263 "gram.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 12194 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36269 "gram.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 12196 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36275 "gram.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 12201 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36281 "gram.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 12203 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36287 "gram.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 12208 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36293 "gram.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 12210 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36299 "gram.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 12212 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~")); }
#line 36305 "gram.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 12214 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~")); }
#line 36311 "gram.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 12216 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~*")); }
#line 36317 "gram.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 12218 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~*")); }
#line 36323 "gram.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 12230 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 36331 "gram.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 12234 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 36339 "gram.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 12241 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 36347 "gram.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 12245 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 36355 "gram.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 12251 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 36363 "gram.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 12255 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 36376 "gram.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 12265 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 36382 "gram.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 12266 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 36388 "gram.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 12270 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 36396 "gram.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 12274 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 36404 "gram.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 12278 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[-1]));
				}
#line 36412 "gram.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 12283 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36418 "gram.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 12284 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 36424 "gram.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 12290 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[-2].str), (yylsp[-2])), (yyvsp[0].node));
				}
#line 36432 "gram.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 12293 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36438 "gram.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 12300 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36444 "gram.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 12301 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "year"; }
#line 36450 "gram.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 12302 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "month"; }
#line 36456 "gram.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 12303 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "day"; }
#line 36462 "gram.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 12304 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "hour"; }
#line 36468 "gram.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 12305 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "minute"; }
#line 36474 "gram.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 12306 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "second"; }
#line 36480 "gram.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 12307 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36486 "gram.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 12318 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make4((yyvsp[-3].node), (yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 36494 "gram.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 12322 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 36502 "gram.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 12329 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36508 "gram.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 12335 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-2].node)); }
#line 36514 "gram.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 12336 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36520 "gram.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 12353 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 36528 "gram.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 12357 "gram.y" /* yacc.c:1646  */
    {
					/* not legal per SQL99, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[0].node), (yyvsp[-1].node));
				}
#line 36537 "gram.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 12362 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node));
				}
#line 36545 "gram.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 12366 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[-1].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[0].node),
												 SystemTypeName("int4"), -1));
				}
#line 36564 "gram.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 12381 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
				}
#line 36572 "gram.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 12385 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36578 "gram.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 12389 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36584 "gram.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 12392 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36590 "gram.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 12395 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[0].list), (yyvsp[-2].node)); }
#line 36596 "gram.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 12396 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36602 "gram.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 12397 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36608 "gram.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 12401 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subselect = (yyvsp[0].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *)n;
				}
#line 36619 "gram.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 12407 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[-1].list); }
#line 36625 "gram.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 12418 "gram.y" /* yacc.c:1646  */
    {
					CaseExpr *c = makeNode(CaseExpr);
					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[-3].node);
					c->args = (yyvsp[-2].list);
					c->defresult = (Expr *) (yyvsp[-1].node);
					c->location = (yylsp[-4]);
					(yyval.node) = (Node *)c;
				}
#line 36639 "gram.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 12431 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36645 "gram.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 12432 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 36651 "gram.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 12437 "gram.y" /* yacc.c:1646  */
    {
					CaseWhen *w = makeNode(CaseWhen);
					w->expr = (Expr *) (yyvsp[-2].node);
					w->result = (Expr *) (yyvsp[0].node);
					w->location = (yylsp[-3]);
					(yyval.node) = (Node *)w;
				}
#line 36663 "gram.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 12447 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36669 "gram.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 12448 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 36675 "gram.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 12451 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36681 "gram.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 12452 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 36687 "gram.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 12456 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[0].str), NIL, (yylsp[0]), yyscanner);
				}
#line 36695 "gram.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 12460 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 36703 "gram.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 12467 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 36711 "gram.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 12471 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
#line 36719 "gram.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 12475 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = NULL;
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 36730 "gram.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 12482 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = (yyvsp[-3].node);
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 36741 "gram.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 12491 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36747 "gram.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 12492 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 36753 "gram.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 12496 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36759 "gram.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 12497 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 36765 "gram.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 12512 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 36771 "gram.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 12514 "gram.y" /* yacc.c:1646  */
    {
					SetToDefault *n = makeNode(SetToDefault);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 36781 "gram.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 12522 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36787 "gram.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 12523 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 36793 "gram.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 12531 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36799 "gram.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 12541 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36805 "gram.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 12542 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36811 "gram.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 12546 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 36817 "gram.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 12547 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 36823 "gram.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 12551 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 36835 "gram.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 12567 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-1].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 36847 "gram.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 12575 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 36859 "gram.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 12583 "gram.y" /* yacc.c:1646  */
    {
					ColumnRef *n = makeNode(ColumnRef);
					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[0]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)n;
					(yyval.target)->location = (yylsp[0]);
				}
#line 36875 "gram.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 12604 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 36881 "gram.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 12605 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 36887 "gram.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 12617 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[0].str), (yylsp[0]));
				}
#line 36895 "gram.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 12621 "gram.y" /* yacc.c:1646  */
    {
					check_qualified_name((yyvsp[0].list), yyscanner);
					(yyval.range) = makeRangeVar(NULL, NULL, (yylsp[-1]));
					switch (list_length((yyvsp[0].list)))
					{
						case 1:
							(yyval.range)->catalogname = NULL;
							(yyval.range)->schemaname = (yyvsp[-1].str);
							(yyval.range)->relname = strVal(linitial((yyvsp[0].list)));
							break;
						case 2:
							(yyval.range)->catalogname = (yyvsp[-1].str);
							(yyval.range)->schemaname = strVal(linitial((yyvsp[0].list)));
							(yyval.range)->relname = strVal(lsecond((yyvsp[0].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)))),
									 parser_errposition((yylsp[-1]))));
							break;
					}
				}
#line 36924 "gram.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 12648 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36930 "gram.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 12650 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 36936 "gram.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 12654 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36942 "gram.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 12657 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36948 "gram.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 12660 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36954 "gram.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 12662 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36960 "gram.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 12664 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36966 "gram.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 12666 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36972 "gram.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 12677 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36978 "gram.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 12679 "gram.y" /* yacc.c:1646  */
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
											 yyscanner);
					}
#line 36987 "gram.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 12690 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0]));
				}
#line 36995 "gram.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 12694 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeFloatConst((yyvsp[0].str), (yylsp[0]));
				}
#line 37003 "gram.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 12698 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 37011 "gram.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 12702 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 37019 "gram.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 12706 "gram.y" /* yacc.c:1646  */
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 37032 "gram.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 12715 "gram.y" /* yacc.c:1646  */
    {
					/* generic type 'literal' syntax */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-1].list));
					t->location = (yylsp[-1]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 37043 "gram.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 12722 "gram.y" /* yacc.c:1646  */
    {
					/* generic syntax with a type modifier */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-5].list));
					ListCell *lc;

					/*
					 * We must use func_arg_list and opt_sort_clause in the
					 * production to avoid reduce/reduce conflicts, but we
					 * don't actually wish to allow NamedArgExpr in this
					 * context, nor ORDER BY.
					 */
					foreach(lc, (yyvsp[-3].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					if ((yyvsp[-2].list) != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have ORDER BY"),
									 parser_errposition((yylsp[-2]))));

					t->typmods = (yyvsp[-3].list);
					t->location = (yylsp[-5]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 37079 "gram.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 12754 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), (yyvsp[-1].typnam));
				}
#line 37087 "gram.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 12758 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 37097 "gram.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 12764 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-5].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						if (list_length((yyvsp[0].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[-5]))));
						t->typmods = lappend((yyvsp[0].list), makeIntConst((yyvsp[-3].ival), (yylsp[-3])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[-3].ival), (yylsp[-3])));
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 37118 "gram.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 12781 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(TRUE, (yylsp[0]));
				}
#line 37126 "gram.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 12785 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(FALSE, (yylsp[0]));
				}
#line 37134 "gram.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 12789 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 37142 "gram.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 12794 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 37148 "gram.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 12795 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37154 "gram.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 12796 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37160 "gram.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 12799 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 37166 "gram.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 12801 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 37172 "gram.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 12804 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 37178 "gram.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 12805 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = + (yyvsp[0].ival); }
#line 37184 "gram.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 12806 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = - (yyvsp[0].ival); }
#line 37190 "gram.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 12822 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37196 "gram.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 12823 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37202 "gram.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 12824 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37208 "gram.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 12829 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37214 "gram.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 12830 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37220 "gram.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 12831 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37226 "gram.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 12836 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37232 "gram.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 12837 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37238 "gram.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 12838 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37244 "gram.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 12839 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37250 "gram.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 12845 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37256 "gram.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 12846 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37262 "gram.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 12847 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37268 "gram.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 12848 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37274 "gram.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 12849 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 37280 "gram.c" /* yacc.c:1646  */
    break;


#line 37284 "gram.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, yyscanner);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 13311 "gram.y" /* yacc.c:1906  */


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int		nfields = 0;
	ListCell *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast *n = makeNode(TypeCast);
	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Integer;
	n->val.val.ival = val;
	n->location = location;

	return (Node *)n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Float;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_BitString;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Null;
	n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Value *v, int location)
{
	Node *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(v->val.str, location);
			break;

		case T_Integer:
			n = makeIntConst(v->val.ival, location);
			break;

		case T_String:
		default:
			n = makeStringConst(v->val.str, location);
			break;
	}

	return n;
}

/* makeBoolAConst()
 * Create an A_Const string node and put it inside a boolean cast.
 */
static Node *
makeBoolAConst(bool state, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = (state ? "t" : "f");
	n->location = location;

	return makeTypeCast((Node *)n, SystemTypeName("bool"), -1);
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* extractAggrArgTypes()
 * As above, but work from the output of the aggr_args production.
 */
static List *
extractAggrArgTypes(List *aggrargs)
{
	Assert(list_length(aggrargs) == 2);
	return extractArgTypes((List *) linitial(aggrargs));
}

/* makeOrderedSetArgs()
 * Build the result of the aggr_args production (which see the comments for).
 * This handles only the case where both given lists are nonempty, so that
 * we have to deal with multiple VARIADIC arguments.
 */
static List *
makeOrderedSetArgs(List *directargs, List *orderedargs,
				   core_yyscan_t yyscanner)
{
	FunctionParameter *lastd = (FunctionParameter *) llast(directargs);
	int			ndirectargs;

	/* No restriction unless last direct arg is VARIADIC */
	if (lastd->mode == FUNC_PARAM_VARIADIC)
	{
		FunctionParameter *firsto = (FunctionParameter *) linitial(orderedargs);

		/*
		 * We ignore the names, though the aggr_arg production allows them;
		 * it doesn't allow default values, so those need not be checked.
		 */
		if (list_length(orderedargs) != 1 ||
			firsto->mode != FUNC_PARAM_VARIADIC ||
			!equal(lastd->argType, firsto->argType))
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 errmsg("an ordered-set aggregate with a VARIADIC direct argument must have one VARIADIC aggregated argument of the same data type"),
					 parser_errposition(exprLocation((Node *) firsto))));

		/* OK, drop the duplicate VARIADIC argument from the internal form */
		orderedargs = NIL;
	}

	/* don't merge into the next line, as list_concat changes directargs */
	ndirectargs = list_length(directargs);

	return list_make2(list_concat(directargs, orderedargs),
					  makeInteger(ndirectargs));
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					Node *limitOffset, Node *limitCount,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitOffset))));
		stmt->limitOffset = limitOffset;
	}
	if (limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitCount))));
		stmt->limitCount = limitCount;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const *con = (A_Const *)n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (con->val.type == T_Integer)
		{
			con->val.val.ival = -con->val.val.ival;
			return n;
		}
		if (con->val.type == T_Float)
		{
			doNegateFloat(&con->val);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Value *v)
{
	char   *oldval = v->val.str;

	Assert(IsA(v, Float));
	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->val.str = oldval+1;	/* just strip the '-' */
	else
		v->val.str = psprintf("-%s", oldval);
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_IN && p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = (TypeName *) copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;
	ListCell   *prev;
	ListCell   *next;

	*collClause = NULL;
	prev = NULL;
	for (cell = list_head(qualList); cell; cell = next)
	{
		Node   *n = (Node *) lfirst(cell);

		next = lnext(cell);
		if (IsA(n, Constraint))
		{
			/* keep it in list */
			prev = cell;
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = list_delete_cell(qualList, cell, prev);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}
