/* A Bison parser, made by GNU Bison 3.0.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2013 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs

#define yylval          base_yylval
#define yychar          base_yychar
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */
#line 5 "preproc.y" /* yacc.c:339  */

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

/*
 * Handle parsing errors and warnings
 */
static void __attribute__((format(PG_PRINTF_ATTRIBUTE, 3, 0)))
vmmerror(int error_code, enum errortype type, const char *error, va_list ap)
{
	/* internationalize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, base_yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	vfprintf(stderr, error, ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
	}
}

void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, type, error, ap);
	va_end(ap);
}

void
mmfatal(int error_code, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, ET_ERROR, error, ap);
	va_end(ap);

	if (base_yyin)
		fclose(base_yyin);
	if (base_yyout)
		fclose(base_yyout);

	if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
		fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
	exit(error_code);
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(base_yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essentially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = ((name[0] == ':' || name[0] == '"') ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}

#line 645 "preproc.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "preproc.h".  */
#ifndef YY_BASE_YY_PREPROC_H_INCLUDED
# define YY_BASE_YY_PREPROC_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    SQL_ALLOCATE = 258,
    SQL_AUTOCOMMIT = 259,
    SQL_BOOL = 260,
    SQL_BREAK = 261,
    SQL_CALL = 262,
    SQL_CARDINALITY = 263,
    SQL_CONNECT = 264,
    SQL_COUNT = 265,
    SQL_DATETIME_INTERVAL_CODE = 266,
    SQL_DATETIME_INTERVAL_PRECISION = 267,
    SQL_DESCRIBE = 268,
    SQL_DESCRIPTOR = 269,
    SQL_DISCONNECT = 270,
    SQL_FOUND = 271,
    SQL_FREE = 272,
    SQL_GET = 273,
    SQL_GO = 274,
    SQL_GOTO = 275,
    SQL_IDENTIFIED = 276,
    SQL_INDICATOR = 277,
    SQL_KEY_MEMBER = 278,
    SQL_LENGTH = 279,
    SQL_LONG = 280,
    SQL_NULLABLE = 281,
    SQL_OCTET_LENGTH = 282,
    SQL_OPEN = 283,
    SQL_OUTPUT = 284,
    SQL_REFERENCE = 285,
    SQL_RETURNED_LENGTH = 286,
    SQL_RETURNED_OCTET_LENGTH = 287,
    SQL_SCALE = 288,
    SQL_SECTION = 289,
    SQL_SHORT = 290,
    SQL_SIGNED = 291,
    SQL_SQL = 292,
    SQL_SQLERROR = 293,
    SQL_SQLPRINT = 294,
    SQL_SQLWARNING = 295,
    SQL_START = 296,
    SQL_STOP = 297,
    SQL_STRUCT = 298,
    SQL_UNSIGNED = 299,
    SQL_VAR = 300,
    SQL_WHENEVER = 301,
    S_ADD = 302,
    S_AND = 303,
    S_ANYTHING = 304,
    S_AUTO = 305,
    S_CONST = 306,
    S_DEC = 307,
    S_DIV = 308,
    S_DOTPOINT = 309,
    S_EQUAL = 310,
    S_EXTERN = 311,
    S_INC = 312,
    S_LSHIFT = 313,
    S_MEMPOINT = 314,
    S_MEMBER = 315,
    S_MOD = 316,
    S_MUL = 317,
    S_NEQUAL = 318,
    S_OR = 319,
    S_REGISTER = 320,
    S_RSHIFT = 321,
    S_STATIC = 322,
    S_SUB = 323,
    S_VOLATILE = 324,
    S_TYPEDEF = 325,
    CSTRING = 326,
    CVARIABLE = 327,
    CPP_LINE = 328,
    IP = 329,
    DOLCONST = 330,
    ECONST = 331,
    NCONST = 332,
    UCONST = 333,
    UIDENT = 334,
    IDENT = 335,
    FCONST = 336,
    SCONST = 337,
    BCONST = 338,
    XCONST = 339,
    Op = 340,
    ICONST = 341,
    PARAM = 342,
    TYPECAST = 343,
    DOT_DOT = 344,
    COLON_EQUALS = 345,
    ABORT_P = 346,
    ABSOLUTE_P = 347,
    ACCESS = 348,
    ACTION = 349,
    ADD_P = 350,
    ADMIN = 351,
    AFTER = 352,
    AGGREGATE = 353,
    ALL = 354,
    ALSO = 355,
    ALTER = 356,
    ALWAYS = 357,
    ANALYSE = 358,
    ANALYZE = 359,
    AND = 360,
    ANY = 361,
    ARRAY = 362,
    AS = 363,
    ASC = 364,
    ASSERTION = 365,
    ASSIGNMENT = 366,
    ASYMMETRIC = 367,
    AT = 368,
    ATTRIBUTE = 369,
    AUTHORIZATION = 370,
    BACKWARD = 371,
    BEFORE = 372,
    BEGIN_P = 373,
    BETWEEN = 374,
    BIGINT = 375,
    BINARY = 376,
    BIT = 377,
    BOOLEAN_P = 378,
    BOTH = 379,
    BY = 380,
    CACHE = 381,
    CALLED = 382,
    CASCADE = 383,
    CASCADED = 384,
    CASE = 385,
    CAST = 386,
    CATALOG_P = 387,
    CHAIN = 388,
    CHAR_P = 389,
    CHARACTER = 390,
    CHARACTERISTICS = 391,
    CHECK = 392,
    CHECKPOINT = 393,
    CLASS = 394,
    CLOSE = 395,
    CLUSTER = 396,
    COALESCE = 397,
    COLLATE = 398,
    COLLATION = 399,
    COLUMN = 400,
    COMMENT = 401,
    COMMENTS = 402,
    COMMIT = 403,
    COMMITTED = 404,
    CONCURRENTLY = 405,
    CONFIGURATION = 406,
    CONNECTION = 407,
    CONSTRAINT = 408,
    CONSTRAINTS = 409,
    CONTENT_P = 410,
    CONTINUE_P = 411,
    CONVERSION_P = 412,
    COPY = 413,
    COST = 414,
    CREATE = 415,
    CROSS = 416,
    CSV = 417,
    CURRENT_P = 418,
    CURRENT_CATALOG = 419,
    CURRENT_DATE = 420,
    CURRENT_ROLE = 421,
    CURRENT_SCHEMA = 422,
    CURRENT_TIME = 423,
    CURRENT_TIMESTAMP = 424,
    CURRENT_USER = 425,
    CURSOR = 426,
    CYCLE = 427,
    DATA_P = 428,
    DATABASE = 429,
    DAY_P = 430,
    DEALLOCATE = 431,
    DEC = 432,
    DECIMAL_P = 433,
    DECLARE = 434,
    DEFAULT = 435,
    DEFAULTS = 436,
    DEFERRABLE = 437,
    DEFERRED = 438,
    DEFINER = 439,
    DELETE_P = 440,
    DELIMITER = 441,
    DELIMITERS = 442,
    DESC = 443,
    DICTIONARY = 444,
    DISABLE_P = 445,
    DISCARD = 446,
    DISTINCT = 447,
    DO = 448,
    DOCUMENT_P = 449,
    DOMAIN_P = 450,
    DOUBLE_P = 451,
    DROP = 452,
    EACH = 453,
    ELSE = 454,
    ENABLE_P = 455,
    ENCODING = 456,
    ENCRYPTED = 457,
    END_P = 458,
    ENUM_P = 459,
    ESCAPE = 460,
    EVENT = 461,
    EXCEPT = 462,
    EXCLUDE = 463,
    EXCLUDING = 464,
    EXCLUSIVE = 465,
    EXECUTE = 466,
    EXISTS = 467,
    EXPLAIN = 468,
    EXTENSION = 469,
    EXTERNAL = 470,
    EXTRACT = 471,
    FALSE_P = 472,
    FAMILY = 473,
    FETCH = 474,
    FILTER = 475,
    FIRST_P = 476,
    FLOAT_P = 477,
    FOLLOWING = 478,
    FOR = 479,
    FORCE = 480,
    FOREIGN = 481,
    FORWARD = 482,
    FREEZE = 483,
    FROM = 484,
    FULL = 485,
    FUNCTION = 486,
    FUNCTIONS = 487,
    GLOBAL = 488,
    GRANT = 489,
    GRANTED = 490,
    GREATEST = 491,
    GROUP_P = 492,
    HANDLER = 493,
    HAVING = 494,
    HEADER_P = 495,
    HOLD = 496,
    HOUR_P = 497,
    IDENTITY_P = 498,
    IF_P = 499,
    ILIKE = 500,
    IMMEDIATE = 501,
    IMMUTABLE = 502,
    IMPLICIT_P = 503,
    IN_P = 504,
    INCLUDING = 505,
    INCREMENT = 506,
    INDEX = 507,
    INDEXES = 508,
    INHERIT = 509,
    INHERITS = 510,
    INITIALLY = 511,
    INLINE_P = 512,
    INNER_P = 513,
    INOUT = 514,
    INPUT_P = 515,
    INSENSITIVE = 516,
    INSERT = 517,
    INSTEAD = 518,
    INT_P = 519,
    INTEGER = 520,
    INTERSECT = 521,
    INTERVAL = 522,
    INTO = 523,
    INVOKER = 524,
    IS = 525,
    ISNULL = 526,
    ISOLATION = 527,
    JOIN = 528,
    KEY = 529,
    LABEL = 530,
    LANGUAGE = 531,
    LARGE_P = 532,
    LAST_P = 533,
    LATERAL_P = 534,
    LC_COLLATE_P = 535,
    LC_CTYPE_P = 536,
    LEADING = 537,
    LEAKPROOF = 538,
    LEAST = 539,
    LEFT = 540,
    LEVEL = 541,
    LIKE = 542,
    LIMIT = 543,
    LISTEN = 544,
    LOAD = 545,
    LOCAL = 546,
    LOCALTIME = 547,
    LOCALTIMESTAMP = 548,
    LOCATION = 549,
    LOCK_P = 550,
    MAPPING = 551,
    MATCH = 552,
    MATERIALIZED = 553,
    MAXVALUE = 554,
    MINUTE_P = 555,
    MINVALUE = 556,
    MODE = 557,
    MONTH_P = 558,
    MOVE = 559,
    NAME_P = 560,
    NAMES = 561,
    NATIONAL = 562,
    NATURAL = 563,
    NCHAR = 564,
    NEXT = 565,
    NO = 566,
    NONE = 567,
    NOT = 568,
    NOTHING = 569,
    NOTIFY = 570,
    NOTNULL = 571,
    NOWAIT = 572,
    NULL_P = 573,
    NULLIF = 574,
    NULLS_P = 575,
    NUMERIC = 576,
    OBJECT_P = 577,
    OF = 578,
    OFF = 579,
    OFFSET = 580,
    OIDS = 581,
    ON = 582,
    ONLY = 583,
    OPERATOR = 584,
    OPTION = 585,
    OPTIONS = 586,
    OR = 587,
    ORDER = 588,
    ORDINALITY = 589,
    OUT_P = 590,
    OUTER_P = 591,
    OVER = 592,
    OVERLAPS = 593,
    OVERLAY = 594,
    OWNED = 595,
    OWNER = 596,
    PARSER = 597,
    PARTIAL = 598,
    PARTITION = 599,
    PASSING = 600,
    PASSWORD = 601,
    PLACING = 602,
    PLANS = 603,
    POSITION = 604,
    PRECEDING = 605,
    PRECISION = 606,
    PRESERVE = 607,
    PREPARE = 608,
    PREPARED = 609,
    PRIMARY = 610,
    PRIOR = 611,
    PRIVILEGES = 612,
    PROCEDURAL = 613,
    PROCEDURE = 614,
    PROGRAM = 615,
    QUOTE = 616,
    RANGE = 617,
    READ = 618,
    REAL = 619,
    REASSIGN = 620,
    RECHECK = 621,
    RECURSIVE = 622,
    REF = 623,
    REFERENCES = 624,
    REFRESH = 625,
    REINDEX = 626,
    RELATIVE_P = 627,
    RELEASE = 628,
    RENAME = 629,
    REPEATABLE = 630,
    REPLACE = 631,
    REPLICA = 632,
    RESET = 633,
    RESTART = 634,
    RESTRICT = 635,
    RETURNING = 636,
    RETURNS = 637,
    REVOKE = 638,
    RIGHT = 639,
    ROLE = 640,
    ROLLBACK = 641,
    ROW = 642,
    ROWS = 643,
    RULE = 644,
    SAVEPOINT = 645,
    SCHEMA = 646,
    SCROLL = 647,
    SEARCH = 648,
    SECOND_P = 649,
    SECURITY = 650,
    SELECT = 651,
    SEQUENCE = 652,
    SEQUENCES = 653,
    SERIALIZABLE = 654,
    SERVER = 655,
    SESSION = 656,
    SESSION_USER = 657,
    SET = 658,
    SETOF = 659,
    SHARE = 660,
    SHOW = 661,
    SIMILAR = 662,
    SIMPLE = 663,
    SMALLINT = 664,
    SNAPSHOT = 665,
    SOME = 666,
    STABLE = 667,
    STANDALONE_P = 668,
    START = 669,
    STATEMENT = 670,
    STATISTICS = 671,
    STDIN = 672,
    STDOUT = 673,
    STORAGE = 674,
    STRICT_P = 675,
    STRIP_P = 676,
    SUBSTRING = 677,
    SYMMETRIC = 678,
    SYSID = 679,
    SYSTEM_P = 680,
    TABLE = 681,
    TABLES = 682,
    TABLESPACE = 683,
    TEMP = 684,
    TEMPLATE = 685,
    TEMPORARY = 686,
    TEXT_P = 687,
    THEN = 688,
    TIME = 689,
    TIMESTAMP = 690,
    TO = 691,
    TRAILING = 692,
    TRANSACTION = 693,
    TREAT = 694,
    TRIGGER = 695,
    TRIM = 696,
    TRUE_P = 697,
    TRUNCATE = 698,
    TRUSTED = 699,
    TYPE_P = 700,
    TYPES_P = 701,
    UNBOUNDED = 702,
    UNCOMMITTED = 703,
    UNENCRYPTED = 704,
    UNION = 705,
    UNIQUE = 706,
    UNKNOWN = 707,
    UNLISTEN = 708,
    UNLOGGED = 709,
    UNTIL = 710,
    UPDATE = 711,
    USER = 712,
    USING = 713,
    VACUUM = 714,
    VALID = 715,
    VALIDATE = 716,
    VALIDATOR = 717,
    VALUE_P = 718,
    VALUES = 719,
    VARCHAR = 720,
    VARIADIC = 721,
    VARYING = 722,
    VERBOSE = 723,
    VERSION_P = 724,
    VIEW = 725,
    VIEWS = 726,
    VOLATILE = 727,
    WHEN = 728,
    WHERE = 729,
    WHITESPACE_P = 730,
    WINDOW = 731,
    WITH = 732,
    WITHIN = 733,
    WITHOUT = 734,
    WORK = 735,
    WRAPPER = 736,
    WRITE = 737,
    XML_P = 738,
    XMLATTRIBUTES = 739,
    XMLCONCAT = 740,
    XMLELEMENT = 741,
    XMLEXISTS = 742,
    XMLFOREST = 743,
    XMLPARSE = 744,
    XMLPI = 745,
    XMLROOT = 746,
    XMLSERIALIZE = 747,
    YEAR_P = 748,
    YES_P = 749,
    ZONE = 750,
    NULLS_FIRST = 751,
    NULLS_LAST = 752,
    WITH_ORDINALITY = 753,
    WITH_TIME = 754,
    POSTFIXOP = 755,
    UMINUS = 756
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE YYSTYPE;
union YYSTYPE
{
#line 579 "preproc.y" /* yacc.c:355  */

	double	dval;
	char	*str;
	int		ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;

#line 1202 "preproc.c" /* yacc.c:355  */
};
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


extern YYSTYPE base_yylval;
extern YYLTYPE base_yylloc;
int base_yyparse (void);

#endif /* !YY_BASE_YY_PREPROC_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1231 "preproc.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   112288

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  521
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  719
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2850
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  5251

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   756

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   508,     2,     2,
     513,   514,   506,   504,   516,   505,   515,   507,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   518,   517,
     501,   500,   502,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   511,     2,   512,   509,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   519,     2,   520,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   503,   510
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1512,  1512,  1515,  1517,  1519,  1521,  1523,  1525,  1527,
    1529,  1531,  1533,  1535,  1537,  1539,  1541,  1543,  1545,  1547,
    1549,  1551,  1553,  1555,  1557,  1559,  1561,  1563,  1565,  1567,
    1569,  1571,  1573,  1591,  1593,  1595,  1597,  1599,  1601,  1603,
    1605,  1607,  1609,  1611,  1613,  1615,  1617,  1619,  1621,  1623,
    1625,  1627,  1629,  1631,  1633,  1635,  1637,  1639,  1641,  1643,
    1645,  1647,  1649,  1651,  1655,  1657,  1659,  1661,  1663,  1665,
    1667,  1669,  1671,  1673,  1675,  1677,  1679,  1681,  1683,  1685,
    1687,  1689,  1691,  1693,  1695,  1697,  1699,  1701,  1703,  1705,
    1707,  1709,  1711,  1713,  1715,  1717,  1719,  1721,  1723,  1730,
    1732,  1734,  1736,  1738,  1740,  1742,  1744,  1746,  1748,  1750,
    1752,  1758,  1760,  1762,  1764,  1766,  1768,  1770,  1772,  1774,
    1780,  1790,  1794,  1800,  1804,  1814,  1824,  1825,  1839,  1846,
    1852,  1863,  1869,  1878,  1885,  1891,  1900,  1907,  1915,  1920,
    1928,  1933,  1939,  1944,  1950,  1955,  1961,  1965,  1969,  1973,
    1977,  1981,  1985,  1989,  1993,  2001,  2005,  2009,  2013,  2017,
    2021,  2029,  2037,  2046,  2048,  2056,  2060,  2068,  2076,  2080,
    2088,  2092,  2100,  2104,  2112,  2120,  2128,  2132,  2140,  2144,
    2152,  2156,  2160,  2165,  2174,  2179,  2185,  2190,  2196,  2200,
    2204,  2208,  2212,  2216,  2224,  2228,  2232,  2240,  2244,  2248,
    2256,  2260,  2264,  2268,  2269,  2273,  2277,  2281,  2286,  2290,
    2294,  2298,  2302,  2306,  2310,  2318,  2322,  2330,  2334,  2342,
    2346,  2360,  2364,  2368,  2372,  2380,  2384,  2388,  2392,  2400,
    2404,  2408,  2412,  2416,  2420,  2424,  2432,  2436,  2441,  2447,
    2451,  2459,  2467,  2471,  2475,  2479,  2487,  2491,  2499,  2503,
    2511,  2515,  2523,  2527,  2531,  2535,  2539,  2548,  2556,  2560,
    2568,  2572,  2580,  2588,  2592,  2596,  2600,  2604,  2612,  2616,
    2620,  2624,  2628,  2632,  2636,  2640,  2644,  2648,  2652,  2656,
    2660,  2664,  2668,  2672,  2680,  2684,  2692,  2696,  2700,  2704,
    2708,  2712,  2716,  2720,  2724,  2728,  2732,  2736,  2740,  2744,
    2748,  2752,  2756,  2760,  2764,  2768,  2772,  2776,  2780,  2784,
    2788,  2792,  2796,  2800,  2804,  2808,  2812,  2816,  2820,  2824,
    2828,  2832,  2836,  2840,  2844,  2848,  2852,  2856,  2860,  2864,
    2872,  2876,  2884,  2888,  2893,  2899,  2904,  2910,  2915,  2921,
    2925,  2929,  2933,  2941,  2949,  2954,  2960,  2964,  2972,  2976,
    2980,  2984,  2992,  3000,  3004,  3012,  3016,  3020,  3024,  3032,
    3037,  3045,  3053,  3061,  3065,  3073,  3078,  3084,  3088,  3092,
    3100,  3104,  3112,  3117,  3123,  3127,  3131,  3135,  3139,  3143,
    3147,  3151,  3155,  3159,  3163,  3167,  3171,  3175,  3183,  3188,
    3194,  3199,  3205,  3210,  3216,  3221,  3227,  3231,  3239,  3247,
    3251,  3255,  3259,  3264,  3270,  3274,  3282,  3290,  3294,  3298,
    3302,  3310,  3314,  3318,  3322,  3326,  3330,  3334,  3339,  3345,
    3350,  3356,  3361,  3367,  3371,  3379,  3383,  3391,  3395,  3399,
    3407,  3411,  3419,  3427,  3435,  3440,  3446,  3450,  3454,  3458,
    3466,  3470,  3474,  3478,  3482,  3486,  3490,  3498,  3502,  3506,
    3510,  3518,  3526,  3530,  3535,  3541,  3545,  3549,  3553,  3557,
    3561,  3569,  3573,  3581,  3585,  3589,  3593,  3597,  3601,  3605,
    3613,  3618,  3624,  3629,  3635,  3639,  3647,  3655,  3659,  3664,
    3669,  3675,  3679,  3687,  3691,  3699,  3704,  3710,  3714,  3718,
    3722,  3727,  3733,  3741,  3749,  3753,  3757,  3761,  3765,  3773,
    3778,  3784,  3788,  3792,  3797,  3803,  3807,  3811,  3816,  3822,
    3827,  3833,  3838,  3844,  3852,  3860,  3864,  3869,  3875,  3883,
    3891,  3896,  3902,  3910,  3914,  3918,  3926,  3930,  3934,  3938,
    3942,  3946,  3954,  3959,  3965,  3969,  3977,  3981,  3985,  3989,
    3993,  3997,  4001,  4005,  4009,  4013,  4017,  4021,  4029,  4034,
    4040,  4044,  4048,  4052,  4060,  4064,  4072,  4076,  4084,  4089,
    4095,  4099,  4107,  4112,  4118,  4122,  4130,  4135,  4141,  4145,
    4153,  4158,  4164,  4172,  4177,  4183,  4187,  4195,  4199,  4207,
    4212,  4218,  4222,  4226,  4234,  4242,  4247,  4253,  4261,  4265,
    4269,  4273,  4277,  4281,  4285,  4289,  4293,  4297,  4301,  4305,
    4309,  4313,  4317,  4321,  4325,  4329,  4333,  4337,  4341,  4345,
    4349,  4353,  4361,  4369,  4373,  4377,  4381,  4389,  4393,  4401,
    4406,  4412,  4416,  4424,  4428,  4436,  4441,  4447,  4451,  4459,
    4467,  4471,  4479,  4483,  4487,  4491,  4499,  4507,  4515,  4523,
    4531,  4536,  4542,  4546,  4554,  4559,  4565,  4569,  4577,  4581,
    4585,  4593,  4597,  4605,  4609,  4617,  4625,  4629,  4633,  4641,
    4645,  4653,  4661,  4665,  4673,  4677,  4681,  4689,  4693,  4701,
    4705,  4709,  4713,  4717,  4725,  4730,  4736,  4741,  4747,  4751,
    4759,  4764,  4770,  4774,  4779,  4785,  4789,  4793,  4797,  4805,
    4810,  4817,  4819,  4827,  4831,  4835,  4839,  4843,  4847,  4855,
    4859,  4867,  4871,  4879,  4883,  4891,  4899,  4903,  4911,  4919,
    4923,  4927,  4931,  4939,  4948,  4957,  4961,  4965,  4969,  4973,
    4977,  4981,  4985,  4989,  4993,  4997,  5001,  5005,  5009,  5017,
    5025,  5029,  5037,  5041,  5049,  5053,  5057,  5061,  5065,  5073,
    5081,  5085,  5093,  5101,  5106,  5112,  5116,  5124,  5128,  5132,
    5140,  5145,  5151,  5159,  5163,  5171,  5175,  5179,  5183,  5187,
    5195,  5200,  5206,  5211,  5217,  5221,  5226,  5232,  5238,  5244,
    5252,  5256,  5264,  5268,  5276,  5280,  5288,  5292,  5300,  5304,
    5312,  5320,  5328,  5332,  5336,  5340,  5348,  5352,  5356,  5360,
    5364,  5368,  5372,  5376,  5380,  5384,  5388,  5392,  5396,  5400,
    5404,  5408,  5412,  5420,  5424,  5432,  5436,  5444,  5448,  5456,
    5464,  5468,  5473,  5479,  5483,  5487,  5491,  5495,  5499,  5503,
    5507,  5511,  5515,  5519,  5523,  5527,  5535,  5539,  5543,  5547,
    5551,  5555,  5559,  5563,  5567,  5571,  5575,  5579,  5583,  5587,
    5591,  5595,  5599,  5603,  5607,  5611,  5615,  5619,  5623,  5631,
    5635,  5643,  5647,  5651,  5655,  5659,  5667,  5672,  5678,  5682,
    5686,  5690,  5694,  5698,  5702,  5706,  5710,  5714,  5718,  5722,
    5726,  5734,  5738,  5746,  5750,  5754,  5758,  5764,  5770,  5776,
    5782,  5788,  5794,  5800,  5810,  5821,  5832,  5843,  5854,  5865,
    5876,  5892,  5908,  5924,  5935,  5951,  5962,  5978,  5993,  5997,
    6005,  6010,  6016,  6024,  6028,  6036,  6040,  6044,  6048,  6052,
    6060,  6064,  6072,  6076,  6080,  6084,  6092,  6096,  6100,  6104,
    6108,  6112,  6116,  6120,  6124,  6128,  6132,  6136,  6140,  6144,
    6148,  6152,  6160,  6164,  6172,  6176,  6184,  6189,  6195,  6199,
    6207,  6215,  6223,  6227,  6235,  6240,  6246,  6251,  6257,  6265,
    6270,  6276,  6280,  6284,  6292,  6296,  6300,  6308,  6312,  6316,
    6320,  6328,  6336,  6341,  6347,  6352,  6358,  6363,  6369,  6374,
    6380,  6384,  6392,  6396,  6400,  6408,  6413,  6419,  6423,  6428,
    6434,  6438,  6443,  6449,  6453,  6458,  6464,  6468,  6472,  6480,
    6485,  6491,  6495,  6503,  6507,  6515,  6519,  6527,  6531,  6539,
    6543,  6547,  6551,  6555,  6563,  6567,  6571,  6575,  6579,  6587,
    6595,  6603,  6607,  6611,  6619,  6623,  6627,  6635,  6644,  6648,
    6652,  6656,  6664,  6668,  6676,  6680,  6688,  6692,  6696,  6700,
    6704,  6708,  6712,  6716,  6720,  6724,  6728,  6732,  6736,  6740,
    6744,  6752,  6756,  6760,  6764,  6772,  6776,  6784,  6789,  6795,
    6803,  6807,  6815,  6823,  6827,  6835,  6840,  6846,  6850,  6858,
    6862,  6870,  6874,  6882,  6886,  6890,  6894,  6902,  6906,  6914,
    6922,  6926,  6934,  6938,  6946,  6950,  6954,  6962,  6966,  6971,
    6977,  6985,  6990,  6996,  7000,  7004,  7012,  7016,  7024,  7029,
    7035,  7039,  7047,  7051,  7055,  7059,  7063,  7067,  7071,  7075,
    7079,  7083,  7087,  7091,  7095,  7099,  7103,  7107,  7111,  7115,
    7119,  7123,  7127,  7131,  7135,  7139,  7143,  7147,  7151,  7155,
    7159,  7163,  7167,  7171,  7175,  7179,  7183,  7187,  7191,  7195,
    7199,  7203,  7207,  7211,  7215,  7219,  7223,  7231,  7236,  7242,
    7247,  7253,  7257,  7261,  7265,  7269,  7273,  7277,  7281,  7285,
    7289,  7293,  7297,  7301,  7305,  7309,  7313,  7317,  7321,  7325,
    7329,  7333,  7337,  7341,  7345,  7353,  7357,  7361,  7365,  7369,
    7373,  7377,  7381,  7385,  7389,  7393,  7397,  7401,  7405,  7409,
    7413,  7417,  7421,  7425,  7433,  7441,  7445,  7449,  7457,  7461,
    7469,  7473,  7477,  7481,  7485,  7493,  7498,  7504,  7508,  7512,
    7516,  7524,  7528,  7533,  7539,  7543,  7551,  7559,  7564,  7570,
    7578,  7582,  7590,  7594,  7598,  7602,  7606,  7610,  7614,  7618,
    7622,  7626,  7630,  7634,  7638,  7642,  7650,  7654,  7659,  7665,
    7669,  7673,  7677,  7681,  7689,  7693,  7697,  7705,  7710,  7716,
    7720,  7724,  7729,  7738,  7742,  7746,  7751,  7757,  7765,  7773,
    7778,  7784,  7788,  7792,  7796,  7800,  7804,  7808,  7812,  7816,
    7820,  7824,  7828,  7832,  7836,  7840,  7844,  7852,  7857,  7863,
    7867,  7875,  7883,  7888,  7894,  7902,  7906,  7914,  7918,  7926,
    7934,  7938,  7942,  7946,  7950,  7954,  7958,  7966,  7971,  7977,
    7985,  7989,  7993,  7997,  8001,  8005,  8013,  8021,  8025,  8029,
    8037,  8042,  8048,  8052,  8056,  8060,  8064,  8072,  8076,  8084,
    8088,  8092,  8096,  8104,  8108,  8116,  8120,  8128,  8133,  8139,
    8144,  8150,  8155,  8161,  8166,  8172,  8176,  8180,  8184,  8192,
    8196,  8200,  8204,  8208,  8212,  8216,  8220,  8224,  8232,  8236,
    8244,  8252,  8256,  8264,  8268,  8273,  8279,  8285,  8295,  8300,
    8306,  8310,  8314,  8318,  8326,  8328,  8336,  8341,  8347,  8355,
    8359,  8363,  8371,  8375,  8383,  8391,  8396,  8402,  8410,  8415,
    8421,  8429,  8434,  8440,  8444,  8448,  8452,  8456,  8460,  8464,
    8468,  8476,  8481,  8487,  8495,  8499,  8507,  8511,  8519,  8527,
    8535,  8543,  8547,  8555,  8608,  8612,  8625,  8627,  8631,  8635,
    8639,  8648,  8654,  8658,  8666,  8670,  8678,  8682,  8690,  8694,
    8698,  8702,  8706,  8710,  8714,  8718,  8726,  8730,  8738,  8742,
    8746,  8750,  8754,  8758,  8766,  8770,  8778,  8782,  8790,  8798,
    8803,  8809,  8814,  8816,  8822,  8826,  8830,  8834,  8838,  8842,
    8846,  8850,  8854,  8862,  8867,  8873,  8877,  8882,  8888,  8892,
    8896,  8901,  8907,  8912,  8918,  8926,  8930,  8938,  8942,  8950,
    8954,  8958,  8962,  8970,  8975,  8981,  8985,  8990,  8998,  9002,
    9010,  9014,  9022,  9030,  9034,  9039,  9045,  9053,  9057,  9065,
    9069,  9077,  9082,  9088,  9093,  9099,  9103,  9111,  9116,  9122,
    9126,  9134,  9142,  9146,  9150,  9154,  9162,  9167,  9173,  9177,
    9185,  9190,  9196,  9200,  9208,  9212,  9216,  9220,  9227,  9234,
    9238,  9246,  9250,  9254,  9258,  9262,  9266,  9274,  9278,  9282,
    9286,  9294,  9299,  9305,  9309,  9313,  9317,  9322,  9328,  9332,
    9336,  9340,  9348,  9353,  9359,  9363,  9371,  9375,  9379,  9383,
    9391,  9395,  9403,  9407,  9411,  9419,  9423,  9431,  9439,  9443,
    9451,  9456,  9462,  9467,  9473,  9478,  9484,  9488,  9494,  9500,
    9505,  9511,  9515,  9523,  9531,  9533,  9535,  9539,  9543,  9547,
    9555,  9565,  9576,  9585,  9589,  9593,  9597,  9601,  9605,  9609,
    9617,  9621,  9625,  9629,  9637,  9641,  9649,  9654,  9660,  9664,
    9668,  9672,  9676,  9680,  9684,  9688,  9692,  9696,  9700,  9708,
    9713,  9719,  9723,  9731,  9735,  9743,  9751,  9759,  9763,  9771,
    9775,  9783,  9791,  9799,  9803,  9807,  9811,  9815,  9819,  9827,
    9832,  9838,  9843,  9849,  9853,  9857,  9861,  9869,  9877,  9881,
    9886,  9892,  9896,  9900,  9904,  9908,  9912,  9916,  9920,  9924,
    9928,  9932,  9936,  9940,  9945,  9951,  9955,  9963,  9967,  9971,
    9975,  9979,  9983,  9987,  9991,  9995,  9999, 10003, 10007, 10011,
   10015, 10019, 10023, 10027, 10031, 10035, 10039, 10043, 10047, 10051,
   10055, 10059, 10063, 10067, 10071, 10075, 10079, 10083, 10087, 10091,
   10095, 10099, 10103, 10107, 10111, 10115, 10119, 10123, 10127, 10131,
   10135, 10139, 10143, 10147, 10151, 10155, 10159, 10163, 10167, 10171,
   10175, 10179, 10183, 10187, 10192, 10196, 10204, 10208, 10212, 10216,
   10220, 10224, 10228, 10232, 10236, 10240, 10244, 10248, 10252, 10256,
   10260, 10264, 10268, 10272, 10276, 10280, 10284, 10288, 10296, 10300,
   10304, 10308, 10312, 10316, 10320, 10324, 10328, 10332, 10336, 10340,
   10348, 10352, 10356, 10360, 10364, 10368, 10372, 10380, 10384, 10392,
   10396, 10404, 10408, 10412, 10416, 10420, 10424, 10428, 10432, 10436,
   10440, 10444, 10448, 10452, 10456, 10460, 10464, 10468, 10472, 10476,
   10480, 10484, 10488, 10492, 10496, 10500, 10504, 10508, 10512, 10516,
   10520, 10524, 10528, 10532, 10536, 10540, 10544, 10548, 10552, 10556,
   10560, 10564, 10568, 10576, 10580, 10588, 10592, 10596, 10601, 10607,
   10615, 10619, 10627, 10631, 10639, 10643, 10651, 10655, 10660, 10666,
   10670, 10674, 10678, 10686, 10691, 10697, 10702, 10708, 10713, 10719,
   10723, 10731, 10739, 10743, 10748, 10754, 10762, 10766, 10773, 10778,
   10784, 10789, 10794, 10800, 10804, 10812, 10816, 10820, 10824, 10828,
   10836, 10840, 10844, 10852, 10856, 10860, 10868, 10872, 10880, 10884,
   10888, 10892, 10896, 10900, 10904, 10908, 10912, 10920, 10924, 10932,
   10936, 10944, 10948, 10952, 10956, 10960, 10964, 10972, 10976, 10984,
   10988, 10996, 11000, 11008, 11012, 11020, 11024, 11028, 11036, 11040,
   11048, 11053, 11059, 11063, 11067, 11071, 11075, 11079, 11083, 11087,
   11095, 11099, 11107, 11115, 11120, 11126, 11130, 11134, 11138, 11142,
   11147, 11153, 11161, 11169, 11173, 11177, 11185, 11189, 11197, 11205,
   11209, 11217, 11225, 11230, 11236, 11241, 11247, 11251, 11259, 11263,
   11267, 11271, 11279, 11283, 11292, 11294, 11302, 11307, 11313, 11317,
   11325, 11329, 11337, 11345, 11350, 11356, 11360, 11368, 11372, 11376,
   11380, 11388, 11392, 11400, 11404, 11412, 11416, 11424, 11432, 11440,
   11448, 11456, 11464, 11472, 11476, 11484, 11488, 11492, 11496, 11500,
   11504, 11508, 11512, 11516, 11520, 11524, 11528, 11532, 11536, 11537,
   11542, 11548, 11556, 11560, 11568, 11572, 11573, 11577, 11585, 11589,
   11593, 11597, 11605, 11609, 11613, 11617, 11621, 11625, 11629, 11633,
   11637, 11641, 11645, 11649, 11653, 11657, 11661, 11665, 11669, 11673,
   11677, 11681, 11685, 11689, 11693, 11697, 11701, 11705, 11709, 11713,
   11717, 11721, 11725, 11729, 11733, 11737, 11741, 11745, 11749, 11753,
   11757, 11761, 11765, 11769, 11773, 11777, 11781, 11785, 11789, 11793,
   11797, 11801, 11805, 11809, 11813, 11817, 11821, 11825, 11829, 11833,
   11837, 11841, 11845, 11849, 11853, 11857, 11861, 11865, 11869, 11873,
   11877, 11881, 11885, 11889, 11893, 11897, 11901, 11905, 11909, 11913,
   11917, 11921, 11925, 11929, 11933, 11937, 11941, 11945, 11949, 11953,
   11957, 11961, 11965, 11969, 11973, 11977, 11981, 11985, 11989, 11993,
   11997, 12001, 12005, 12009, 12013, 12017, 12021, 12025, 12029, 12033,
   12037, 12041, 12045, 12049, 12053, 12057, 12061, 12065, 12069, 12073,
   12077, 12081, 12085, 12089, 12093, 12097, 12101, 12105, 12109, 12113,
   12117, 12121, 12125, 12129, 12133, 12137, 12141, 12145, 12149, 12153,
   12157, 12161, 12165, 12169, 12173, 12177, 12181, 12185, 12189, 12193,
   12197, 12201, 12205, 12209, 12213, 12217, 12221, 12225, 12229, 12233,
   12237, 12241, 12245, 12249, 12253, 12257, 12261, 12265, 12269, 12273,
   12277, 12281, 12285, 12289, 12293, 12297, 12301, 12305, 12309, 12313,
   12317, 12321, 12325, 12329, 12333, 12337, 12341, 12345, 12349, 12353,
   12357, 12361, 12365, 12369, 12373, 12377, 12381, 12385, 12389, 12393,
   12397, 12401, 12405, 12409, 12413, 12417, 12421, 12425, 12429, 12433,
   12437, 12441, 12445, 12449, 12453, 12457, 12461, 12465, 12469, 12473,
   12477, 12481, 12485, 12489, 12493, 12497, 12501, 12505, 12509, 12513,
   12517, 12521, 12525, 12529, 12533, 12537, 12541, 12545, 12549, 12553,
   12557, 12561, 12565, 12569, 12573, 12577, 12581, 12585, 12589, 12593,
   12597, 12601, 12609, 12613, 12617, 12621, 12625, 12629, 12633, 12637,
   12641, 12645, 12649, 12653, 12657, 12661, 12665, 12669, 12673, 12677,
   12681, 12685, 12689, 12693, 12697, 12701, 12705, 12709, 12713, 12717,
   12721, 12725, 12729, 12733, 12737, 12741, 12745, 12749, 12753, 12757,
   12761, 12765, 12769, 12773, 12777, 12781, 12789, 12793, 12797, 12801,
   12805, 12809, 12813, 12817, 12821, 12825, 12829, 12833, 12837, 12841,
   12845, 12849, 12853, 12857, 12861, 12865, 12869, 12873, 12881, 12885,
   12889, 12893, 12897, 12901, 12905, 12909, 12913, 12917, 12921, 12925,
   12929, 12933, 12937, 12941, 12945, 12949, 12953, 12957, 12961, 12965,
   12969, 12973, 12977, 12981, 12985, 12989, 12993, 12997, 13001, 13005,
   13009, 13013, 13017, 13021, 13025, 13029, 13033, 13037, 13041, 13045,
   13049, 13053, 13057, 13061, 13065, 13069, 13073, 13077, 13081, 13085,
   13089, 13093, 13097, 13101, 13105, 13109, 13113, 13117, 13121, 13125,
   13129, 13133, 13137, 13141, 13145, 13149, 13153, 13157, 13161, 13165,
   13169, 13173, 13177, 13187, 13188, 13191, 13192, 13193, 13199, 13200,
   13201, 13202, 13203, 13216, 13216, 13225, 13240, 13242, 13245, 13247,
   13251, 13263, 13279, 13283, 13294, 13295, 13298, 13310, 13319, 13320,
   13323, 13324, 13325, 13328, 13329, 13332, 13333, 13336, 13337, 13340,
   13342, 13344, 13346, 13350, 13357, 13364, 13380, 13414, 13424, 13427,
   13431, 13444, 13445, 13447, 13449, 13453, 13467, 13474, 13535, 13544,
   13546, 13547, 13550, 13552, 13553, 13556, 13557, 13558, 13559, 13560,
   13567, 13566, 13576, 13578, 13580, 13581, 13584, 13585, 13586, 13587,
   13590, 13591, 13595, 13594, 13611, 13609, 13625, 13624, 13638, 13644,
   13645, 13648, 13650, 13651, 13654, 13655, 13656, 13657, 13660, 13661,
   13664, 13672, 13689, 13697, 13720, 13826, 13860, 13862, 13864, 13868,
   13872, 13871, 13922, 13924, 13923, 13938, 13944, 13951, 13956, 13962,
   13963, 13966, 13967, 13968, 13969, 13970, 13971, 13972, 13980, 13988,
   13991, 13992, 13993, 13994, 13995, 13996, 14004, 14012, 14013, 14014,
   14017, 14018, 14021, 14023, 14032, 14120, 14121, 14128, 14129, 14130,
   14136, 14145, 14148, 14149, 14150, 14151, 14154, 14155, 14156, 14159,
   14161, 14169, 14170, 14176, 14184, 14185, 14188, 14189, 14192, 14197,
   14204, 14209, 14216, 14223, 14223, 14225, 14232, 14233, 14236, 14237,
   14238, 14239, 14240, 14241, 14242, 14243, 14244, 14250, 14257, 14269,
   14275, 14282, 14290, 14291, 14303, 14314, 14325, 14329, 14330, 14333,
   14338, 14342, 14343, 14346, 14352, 14360, 14366, 14373, 14377, 14378,
   14381, 14384, 14388, 14389, 14392, 14398, 14407, 14412, 14422, 14432,
   14444, 14445, 14446, 14447, 14448, 14449, 14450, 14451, 14452, 14453,
   14454, 14455, 14456, 14457, 14458, 14465, 14466, 14469, 14470, 14477,
   14478, 14479, 14486, 14485, 14502, 14503, 14510, 14509, 14579, 14585,
   14591, 14599, 14605, 14611, 14617, 14623, 14629, 14635, 14641, 14647,
   14658, 14659, 14662, 14663, 14664, 14665, 14666, 14667, 14668, 14669,
   14670, 14671, 14672, 14673, 14674, 14675, 14676, 14677, 14678, 14679,
   14680, 14681, 14682, 14683, 14684, 14685, 14688, 14689, 14690, 14691,
   14692, 14693, 14697, 14698, 14699, 14700, 14701, 14702, 14703, 14706,
   14709, 14710, 14711, 14712, 14713, 14714, 14715, 14716, 14729, 14730,
   14731, 14732, 14733, 14734, 14735, 14740, 14741, 14742, 14743, 14744,
   14745, 14751, 14752, 14753, 14754, 14755, 14756, 14757, 14758, 14759,
   14760, 14761, 14764, 14765, 14766, 14767, 14768, 14771, 14772, 14773,
   14774, 14777, 14778, 14779, 14780, 14781, 14782, 14783, 14800, 14801,
   14802, 14805, 14806, 14807, 14808, 14809, 14810, 14814, 14814, 14817,
   14823, 14824, 14827, 14829, 14834, 14844, 14855, 14862, 14863, 14864,
   14867, 14900, 14902, 14904, 14907, 14917, 14927, 14937, 14938, 14941,
   14943, 14944, 14945, 14948, 14950, 14958, 14959, 14960, 14964, 14965,
   14969, 14970, 14973, 14974, 14977, 14978, 14979, 14980, 14981, 14984,
   14985, 14986, 14987, 14988, 14989, 14990, 14991, 14992, 14993, 14994,
   14995, 14996, 14997, 14998, 14999, 15000, 15001, 15002, 15003, 15004,
   15005, 15006, 15007, 15008, 15009, 15010, 15011, 15012, 15013, 15014,
   15015, 15016, 15017, 15018, 15019, 15020, 15021, 15022, 15023, 15024,
   15025, 15026, 15027, 15028, 15029, 15030, 15031, 15032, 15033, 15034,
   15035, 15036, 15037, 15038, 15039, 15042, 15043, 15044, 15045, 15048,
   15049, 15050, 15051, 15052, 15053, 15054, 15055, 15056, 15057, 15064,
   15065, 15066, 15067, 15070, 15071, 15074, 15075, 15078, 15079, 15090,
   15091
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQL", "SQL_SQLERROR", "SQL_SQLPRINT",
  "SQL_SQLWARNING", "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED",
  "SQL_VAR", "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO",
  "S_CONST", "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN",
  "S_INC", "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL",
  "S_NEQUAL", "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB",
  "S_VOLATILE", "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP",
  "DOLCONST", "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST",
  "SCONST", "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST",
  "DOT_DOT", "COLON_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION",
  "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED",
  "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COMMENT", "COMMENTS",
  "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONNECTION",
  "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P",
  "COPY", "COST", "CREATE", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG",
  "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME",
  "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P",
  "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE",
  "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P",
  "DELIMITER", "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P", "DISCARD",
  "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH",
  "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE",
  "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE",
  "EXISTS", "EXPLAIN", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P",
  "FAMILY", "FETCH", "FILTER", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR",
  "FORCE", "FOREIGN", "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION",
  "FUNCTIONS", "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P",
  "HANDLER", "HAVING", "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P",
  "ILIKE", "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING",
  "INCREMENT", "INDEX", "INDEXES", "INHERIT", "INHERITS", "INITIALLY",
  "INLINE_P", "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE", "INSERT",
  "INSTEAD", "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO",
  "INVOKER", "IS", "ISNULL", "ISOLATION", "JOIN", "KEY", "LABEL",
  "LANGUAGE", "LARGE_P", "LAST_P", "LATERAL_P", "LC_COLLATE_P",
  "LC_CTYPE_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL", "LIKE",
  "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME", "LOCALTIMESTAMP",
  "LOCATION", "LOCK_P", "MAPPING", "MATCH", "MATERIALIZED", "MAXVALUE",
  "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES",
  "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO", "NONE", "NOT", "NOTHING",
  "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC",
  "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR",
  "OPTION", "OPTIONS", "OR", "ORDER", "ORDINALITY", "OUT_P", "OUTER_P",
  "OVER", "OVERLAPS", "OVERLAY", "OWNED", "OWNER", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POSITION",
  "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY",
  "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROGRAM", "QUOTE",
  "RANGE", "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF",
  "REFERENCES", "REFRESH", "REINDEX", "RELATIVE_P", "RELEASE", "RENAME",
  "REPEATABLE", "REPLACE", "REPLICA", "RESET", "RESTART", "RESTRICT",
  "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROW",
  "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCROLL", "SEARCH", "SECOND_P",
  "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER",
  "SESSION", "SESSION_USER", "SET", "SETOF", "SHARE", "SHOW", "SIMILAR",
  "SIMPLE", "SMALLINT", "SNAPSHOT", "SOME", "STABLE", "STANDALONE_P",
  "START", "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE",
  "STRICT_P", "STRIP_P", "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P",
  "TABLE", "TABLES", "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY",
  "TEXT_P", "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING", "TRANSACTION",
  "TREAT", "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P",
  "TYPES_P", "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE",
  "UNKNOWN", "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING",
  "VACUUM", "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES",
  "VARCHAR", "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW",
  "VIEWS", "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH",
  "WITHIN", "WITHOUT", "WORK", "WRAPPER", "WRITE", "XML_P",
  "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS", "XMLFOREST",
  "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE", "YEAR_P", "YES_P",
  "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_ORDINALITY", "WITH_TIME",
  "'='", "'<'", "'>'", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'",
  "'^'", "UMINUS", "'['", "']'", "'('", "')'", "'.'", "','", "';'", "':'",
  "'{'", "'}'", "$accept", "prog", "stmt", "CreateRoleStmt", "opt_with",
  "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "AlterUserStmt",
  "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "DropGroupStmt", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "generic_set", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "NonReservedWord_or_Sconst", "VariableResetStmt",
  "reset_rest", "generic_reset", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "replica_identity", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "opt_oids",
  "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "AlterForeignTableStmt", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem", "DropTrigStmt",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "old_aggr_definition", "old_aggr_list", "old_aggr_elem",
  "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type", "any_name_list", "any_name", "attrs", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default", "aggr_arg",
  "aggr_args", "aggr_args_list", "createfunc_opt_list",
  "common_func_opt_item", "createfunc_opt_item", "func_as",
  "opt_definition", "table_func_column", "table_func_column_list",
  "AlterFunctionStmt", "alterfunc_opt_list", "opt_restrict",
  "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt", "oper_argtypes",
  "any_operator", "DoStmt", "dostmt_opt_list", "dostmt_opt_item",
  "CreateCastStmt", "cast_context", "DropCastStmt", "opt_if_exists",
  "ReindexStmt", "reindex_type", "opt_force", "AlterTblSpcStmt",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "AlterSystemStmt",
  "CreateDomainStmt", "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "opt_all", "opt_distinct",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "func_table", "rowsfrom_item",
  "rowsfrom_list", "opt_col_def_list", "opt_ordinality", "where_clause",
  "where_or_current_clause", "OptTableFuncElementList",
  "TableFuncElementList", "TableFuncElement", "Typename",
  "opt_array_bounds", "SimpleTypename", "ConstTypename", "GenericType",
  "opt_type_modifiers", "Numeric", "opt_float", "Bit", "ConstBit",
  "BitWithLength", "BitWithoutLength", "Character", "ConstCharacter",
  "CharacterWithLength", "CharacterWithoutLength", "character",
  "opt_varying", "opt_charset", "ConstDatetime", "ConstInterval",
  "opt_timezone", "opt_interval", "interval_second", "a_expr", "b_expr",
  "c_expr", "func_application", "func_expr", "func_expr_windowless",
  "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "sub_type", "all_Op", "MathOp", "qual_Op",
  "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "opt_target_list", "target_list", "target_el",
  "qualified_name_list", "qualified_name", "name_list", "name",
  "database_name", "access_method", "attr_name", "index_name", "file_name",
  "func_name", "AexprConst", "Iconst", "RoleId", "role_list",
  "SignedIconst", "NonReservedWord", "unreserved_keyword",
  "col_name_keyword", "type_func_name_keyword", "reserved_keyword",
  "statements", "statement", "CreateAsStmt", "$@1", "at", "ECPGConnect",
  "connection_target", "opt_database_name", "db_prefix", "server",
  "opt_server", "server_name", "opt_port", "opt_connection_name",
  "opt_user", "ora_user", "user_name", "char_variable", "opt_options",
  "connect_options", "opt_opt_value", "prepared_name", "ECPGCursorStmt",
  "ECPGExecuteImmediateStmt", "ECPGVarDeclaration",
  "single_vt_declaration", "precision", "opt_scale", "ecpg_interval",
  "ECPGDeclaration", "$@2", "sql_startdeclare", "sql_enddeclare",
  "var_type_declarations", "vt_declarations", "variable_declarations",
  "type_declaration", "$@3", "var_declaration", "$@4", "$@5",
  "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "opt_ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
      61,    60,    62,   755,    43,    45,    42,    47,    37,    94,
     756,    91,    93,    40,    41,    46,    44,    59,    58,   123,
     125
};
# endif

#define YYPACT_NINF -4568

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-4568)))

#define YYTABLE_NINF -2690

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2690)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   -4568,   447,  8884, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, 27764, -4568,
   -4568, -4568, -4568, -4568,101428,   849, -4568, -4568, -4568,105882,
   -4568, -4568, -4568,   379, 68598, -4568, 71538,   901, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, 75458, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, 57315,  1483, -4568,
     410, -4568, -4568, -4568, -4568, -4568, -4568, -4568,    -3,  4600,
   -4568, -4568, 72028, -4568,   283, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, 72518,   780, -4568, -4568,   843,  1398, -4568,    96,
   15189, -4568, -4568, 65168, 69578, -4568, -4568, 75948,   546,  2073,
    3518,    -3, 27270, 76438, -4568,  1803, -4568, 53838, -4568, -4568,
   -4568, 69088, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, 83788,  2373,   865, 54338, -4568, -4568,
   -4568, -4568, 83788, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, 76928, -4568,  1300,  1358,  1108, 84278, 84768, 66638,
   -4568,  1418, -4568, 83788,  1395,  1200, 56333, -4568, 85258, -4568,
   -4568,  1264, -4568, 77418, -4568, -4568, -4568, -4568,   865, -4568,
   57315, 52854,    92,  1274, -4568, -4568, 85748, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568,  2039,  1283, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568,   780, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568,  1130, -4568,   799,  1256,  2057,   232,  1442,
   -4568, -4568, -4568,  9968, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568,102889,  1489, -4568, -4568, -4568,  1470, -4568,  1474, -4568,
   -4568, -4568,  1598, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
     712, -4568, -4568, -4568, -4568,  2027,101915, 75458, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, 64678, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568,   184, -4568, -4568, -4568,
   -4568, -4568, 75458, 75458, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   75458,  1627, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568,   496,  1787, -4568, -4568, 57315,  2598,  2598,  2087,
  102889, -4568, -4568, -4568, 58788, 83788, 83788, 83788,  1765, 83788,
    1705, 83788,   352, 58788,110105, 77908,  1837,  1725, 48341, -4568,
  108839, 83788, 83788, 86238, 83788,  1502, 73008, 83788,  1819, 83788,
   83788,109261, 86728,  1946, -4568,  2204,  1166, -4568, -4568, -4568,
   83788, 14530,  2373, -4568, -4568, 83788,  1815, 58788, 83788,  1781,
   83788,  1835, 83788, -4568, 83788,  1870, 87218,   663,  1986,110105,
    2002, 48845,  1945,110105, 87708, 83788, 83788, -4568, -4568,  1963,
   83788, 83788, -4568,  2040,110527,  1593,  2091,  2241,  2150,   942,
   -4568, -4568,  2327,  1900, -4568, -4568,  2352, 75458, -4568, 73498,
   -4568, -4568, -4568,  2232, -4568, -4568, -4568, -4568, -4568, -4568,
  107151,  2073, -4568, -4568, 59279, 83788,  2195, -4568, -4568, 88198,
   -4568,  2006, -4568,   715, 59770,110949,  2313,  1997, 49349,  2345,
  111371, 88688, -4568, -4568, 89178, -4568, 89668,  2059, 90158, -4568,
  111793, -4568,  2197, 90648, -4568,  9236, -4568,  1966,  2111,  1969,
    1975, 75458, 75458,  1280,103739, -4568, -4568,   780, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568,   277,  1608, 54838,  1015,
   55338, -4568, -4568,  1326,  1343,  1432,   277,  2408,  2408,    91,
   75458, -4568, -4568,  1608, -4568,   600,   -20,  1978,  1978,  1978,
    2187,   -31, -4568,  1978, -4568, -4568, -4568, -4568, 77418, 54838,
   55338, -4568,  2003,  2373,    20,  2401,  2060, 83788, -4568, 83788,
   -4568, 83788, 83788, -4568, -4568, -4568,  2428,  2052,  2279, -4568,
    2061, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
    2224,  2228,  2242,    19,  2373,  2147, -4568,  2348, -4568,  2252,
   32281,   983, 75458,  2373, 55838, 78398, 98488,   312,107151,  2373,
   91138,  2093,   841,  2280, -4568, -4568, -4568,   247, -4568,  2501,
    2128,  2354,    37,  1166, 45857, -4568,  2145,  1201, 77418, 20537,
   -4568, -4568, -4568, -4568,   126,  2431, 32790, -4568, 83788,  2165,
   -4568,  2180,  2171,  2221,  2057, -4568, 83788,  1338,  1338,  2593,
    1338,  1724,  1872, -4568,  1814, -4568,  2507,  2471, 77418,  1274,
      -3,  2227, -4568, -4568, -4568,  2239, -4568,  2233,  2249, -4568,
     778,  2496, -4568, -4568, -4568, -4568,  2325,  2328,  2333,  2339,
    2267,  2371,   237, -4568, -4568, -4568, -4568,  2581, -4568, -4568,
   -4568, -4568, -4568, -4568,  2717,  2701,106307,106307,   552,   645,
     149,   197, -4568, -4568, -4568,  2577, -4568, -4568,  2572, 83788,
    2417, 83788, -4568, -4568, -4568, 91628, -4568, -4568,  2598,  2239,
    2343, -4568,   213, -4568,  1201, -4568,   254,   296,   347,  1595,
    2347,  1759,  1896, -4568,   266, 83788,  2469,   128,   383,  2387,
   78888,  4077,  2364,   595,  2637,  2685,  4104,   237, 79378, -4568,
   83788, 83788, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568,  2388, -4568, -4568,  2392,  2665,  1125,  2588,   921,  2706,
    5880,  1344, 92118, 98978,  2677,  2715,  5153,  1541,   798,  2596,
     828,  2665,  2707,  1337,  2726,  5201, 83788,  2422, -4568,  2659,
    2768,    47, -4568,   161, -4568,  2503,  2638,   897, 58788,  2455,
   -4568, -4568, 83788, -4568, -4568, -4568,  2532, -4568,   726, 58788,
   -4568,  2649,  2523, 49853, -4568, 83788, -4568, -4568, -4568, -4568,
   -4568,  2582, 83788, -4568, -4568,  2724, 83788, -4568,  1978,  2645,
    2493,  2872, 62225,    97, 83788,  2538,  2904, 83788,  2740,  2538,
    2568, 92608, -4568, -4568,  2538, -4568, -4568, 83788, 83788,  2556,
    2043,  2538,  2774,  2921,  2949,  2643,  2750,   866,  1529,   116,
    2876,  2538,  2650, 83788, 93098, 83788,  2656, 83788,  2979, 58788,
   83788, -4568,  2780, 79868, -4568,  2614,  2327, -4568, -4568, -4568,
   -4568, -4568,   850, -4568, -4568, -4568, -4568,  2927,  2343,   403,
    2930,  2635,  2945, -4568, -4568,  2687, -4568,  2959,  2364,  2965,
   -4568,  2673, 93588, -4568, 94078, 94568,  2969,  2388,110105,  2988,
    2673,  2995,  2866,  2996,   403,  3003, -4568,   985,  3017,  2909,
    3027,  1961,  2673,107573,  3028,   138, -4568, 12980,  9236, -4568,
   16039,  1807, -4568, -4568, -4568, -4568, -4568, -4568, 36353,   651,
    2819, -4568, -4568, -4568,  1992, -4568,105026, -4568,  1280,  1608,
   -4568, 75458,  1608, 75458,    91,  1608, 75458,  1608, 75458,    91,
    1608, 75458, 75458, 75458,  1608, -4568, -4568,  1811,  1902, -4568,
   -4568, -4568, -4568, -4568, 75458,  2737, 83788, 83788, -4568, -4568,
   -4568, 70068,110105, 70558, -4568, -4568,   208, 75458, -4568, 75458,
   -4568,  2373, -4568, -4568,  2111, 62225,  3149,110105,  2979,  3036,
    3036,  3036, -4568, -4568, -4568,  2982, 83788,  3048,  3053, 70068,
  110105, -4568, 95058,107151,  2962,  2779, -4568, -4568, -4568, -4568,
    2004,  2736,   422,  3007, 36353,  2795,   176,   176,  2796,  3073,
   -4568, -4568, -4568,   389,  2800,  2808, -4568,   430,   430,  2953,
    2809,  2822, -4568,   438,  2823, -4568,  3208,   461,  2833,  2840,
    2845,  2344,   176, 36353, -4568,  2851,   430,  2863,  2865,  2867,
    3274,  2869, -4568,  3284,  2873,   275,   334,  2874,  2875, -4568,
    2809, -4568,   405,  2877,  2879,  2881,  2882,  2885,  2887,  2888,
    2890, 36353, 36353, -4568, 31263,  1201,  2373, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568,    85, -4568,   500,  5295, -4568,  2849,
   -4568, -4568,  3004, 36353, -4568, -4568,  3099,  2889, -4568,   515,
   -4568, -4568,  1201, -4568, -4568,  1482, -4568, -4568, -4568, -4568,
    1511,  1511,   202, -4568, 72028, 72028, -4568, -4568,  1405,  2891,
   -4568,   315, -4568, -4568, -4568, -4568, -4568, -4568,106729,  3271,
   -4568,  2590,  2373,   161,  1762,  3222,104164,104595,  3121,  3121,
    3120, -4568, -4568, 83788, -4568, -4568, 36353, 51870, -4568,  1201,
     130,  3138, -4568, -4568, -4568,  2017, -4568, -4568, -4568,   780,
   -4568, 11305, -4568,  2028,  2165, 83788, 83788,  3302, -4568, -4568,
    2180, -4568, -4568,  2057,  2057, 36353,  2057,   674,  1516, 33299,
   36353,  3190,  3090,   182,  1014,  3192, -4568,  3094,  1724,  1872,
   77418, 83788, 95548,  3019, -4568, -4568,  2239,  2917,  2082, -4568,
   64188,102402,102402,  3160, -4568, -4568,  1093,   140,  3032,  3125,
    2408,  1207,  1929,  1929, -4568, -4568,  2913, -4568,  3251, 72028,
    2978,106307, -4568, -4568, 83788, -4568, -4568, 80358, -4568, -4568,
   -4568,   359,  2920, -4568,  2937, 83788,  3424, -4568,  1929,  1929,
   -4568, -4568,  2923, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568,102889,  2928, 83788, -4568,  2931,  2933, -4568, 20537, 52362,
    1766,  1201,  3011,  3012,  3049, 57315,  2934,  3014,  3015,  3052,
    3016,  3018, 99468, -4568, -4568, -4568, -4568,  1443,   602,   813,
    3020,   205,   646,  3300, -4568,  1294,  3066, -4568, -4568, -4568,
    1173, 83788,  3246,  6600,  3133,   237,  3068, -4568, -4568,  3178,
    3029,  3030,  3146,   237,   200, 99958, -4568, -4568, -4568, -4568,
   -4568, -4568,  3588, 29762, -4568,  3031,  3013,  3041, 83788, 65658,
    1990,  3144,  1180,  2215,   267, 83788,  3218,  3150, 83788,  2963,
    3039,  3043,  3237,  2970,  1549,  3332,  2971, -4568, -4568,  3147,
    3240,  3278,  7241,  3042,  3045, 61243,  1156, 50357,  3323,  1776,
    3063, -4568,  1776, 83788,  3069,  3070, 83788,   237, -4568,  3379,
     237,   237,  1476,  3383,  3076,   227,  2351,  2538,  2971,  3051,
    2791, -4568,  3078,  3079,  1810, -4568,  3185, -4568, -4568,  1089,
    3089, 77418,   281,  2360,  2971,  3083,  3087,  2970,  2970, 83788,
   83788, 83788, 83788, 83788,   123,  3411,  3412,  3092,   119,  3139,
    3022, -4568,  1776,107995,  3093, -4568,  1776, 83788,  3095,  2382,
    2971,  1812, -4568,  1915, -4568, -4568, -4568,  1166, -4568, 83788,
   -4568, 83788,  2343, 62225,  3205, -4568,  3054, -4568,  2364,   237,
   -4568, 83788, 83788,  2388,  1216,  1047,  3206, 83788,  3264,  3059,
   -4568,  1016, 52362, -4568,  2556,  3024, -4568,  3072, -4568,  3072,
    3072,  3033,  3033,  3034, -4568, -4568,  2344,  3072,  3033, -4568,
   63207, -4568,  1665,  1710, -4568,  3432,  3435, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568,  1683, -4568,  2033, -4568,
   -4568, -4568, 83788, 57315, -4568,  3448, -4568, -4568, 62225,  3221,
    3337, -4568, 83788,  3241,  3037, -4568,  3373,  3097, -4568, -4568,
     478, -4568,  3344,110105,  1420,  2373,  3096, 83788,  3265, 83788,
   83788, 83788, 83788, -4568, -4568,  3235,  1026,    66, -4568,107995,
   -4568, 83788,  2466,  3248,  3456,   599,  1978, 83788,  3342, -4568,
   83788,  3056,  3459,  3295, -4568, -4568,  3057,  2408, -4568,  2614,
   -4568,  2080, -4568,  3181, -4568, 58788,   403, -4568, -4568, -4568,
   -4568, 62225, 83788, 96038, 58788,   403,110105,110105,  3362,   138,
    3363,  3119,  3367,  3122, 50357,   403,   143,110105, 83788, 83788,
   83788, -4568, 83788, -4568, -4568, -4568, -4568, 83788, 83788,110105,
  107995,  3370,  3374,   403, 83788, 83788, -4568, -4568, 15026,  1849,
   -4568,  9236, -4568, 11305,  2047,  3121, -4568,  1627, 83788,  1518,
    1280,108417, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   75458, -4568, 75458,    91, -4568, -4568, 75458, -4568, 75458,    91,
   -4568, 75458, -4568, -4568, -4568, 75458, 83788,  3571,  3081, -4568,
    1482, -4568, 83788,  2068, -4568, -4568,  2075,  1181, 83788, 83788,
     431, 58788, 83788,  3276, 83788, 83788, 83788, 83788, 83788,  3163,
    2891,  1328, -4568,   534, 77418,  3285, -4568, -4568, -4568, -4568,
   -4568,  2081,  2039,   787, 83788, -4568, -4568, -4568, -4568, -4568,
   -4568, 70558, 69088,  3376,   132, 83788, -4568, -4568,  3816, 36353,
   31772, -4568, -4568, -4568,  3098, 11305,  3130, 36353, -4568, -4568,
   36353,  3101,  2408,  2408, 36353, -4568, -4568, -4568, -4568,  2999,
    2408, -4568, 36353, 36353,  2408,  2408,  3072,  3072, -4568,  5771,
   36353, -4568, 50357, 36353, 37880, 29252, 36353,  3172,  3112,  2408,
   -4568,  2408, -4568, 36353, 30754, -4568, 36353,  3305, 38898, 36353,
    1762,  3307, 36353,  1762,  3527,  3527,  1274,  2321,  6356,  3102,
    1201, -4568,  3220,  2408, -4568,  2408,  1293,   178, 62225, 36353,
   57315,  3191,   134, 83788, 36353,  3113,  1657, -4568, 36353,   948,
   -4568,  3114, 36353,  3194, 36353, 36353, 36353, 36353, 36353, 36353,
   36353, 36353, 36353, -4568, 39888,   221, -4568,  3395,  3413,   807,
     817, 71048,  3406, -4568, 32281, 28742, -4568,   185, 75458, -4568,
   -4568,  1201, -4568, -4568, -4568, -4568, -4568,   359,  3124, -4568,
    3137, -4568, -4568, -4568, -4568, -4568, 83788,  3271, -4568, -4568,
    3200, -4568, -4568, -4568, -4568,   538, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568,  3126, -4568, -4568, -4568, -4568,  3126,
   -4568, -4568,  3121,  3134,  2315, -4568, -4568, -4568, -4568,  3407,
    3409,   403,102889, 83788,   126, 73988, -4568, 32790, -4568,  2113,
   -4568,  3140, -4568,  3389, -4568,  3141, -4568, 10649,  3389, -4568,
   -4568,   153,  3253,  3382,  3331, -4568, -4568, -4568,  3145, 11305,
   -4568,  2245, 11305,  2302, -4568, -4568, -4568, -4568, -4568, -4568,
     770, -4568, 83788,  3285,  3190,  1014,  3202,   757, 83788, -4568,
   46352,  2103, -4568,  2239, -4568, -4568, 26355, -4568, 28252, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,  3151, -4568,
   -4568, -4568, -4568, -4568,   237,  3152,  3629, -4568,106307, -4568,
   -4568, -4568,  3571, -4568,  2352, -4568,  2352,  3654, -4568, 75458,
   -4568, -4568, -4568, -4568,  1203, -4568,  9236, -4568,  9236, -4568,
    3336, -4568,  3542, -4568, 63207, -4568,  3158, -4568, 62716, 60261,
   -4568, -4568,  1172, -4568,   701,  3244,  3245,  3282,110105, 83788,
   83788, -4568, 57315,110105, 83788, 83788,110105, 83788, 83788, -4568,
    3524,   -15, 69088,  3286, 67128, -4568, -4568,  3170, 83788,  3226,
    3416,  3417,  1269, -4568, -4568, 96528, -4568,  3369,110105, 83788,
   83788, 36353,  3381, 83788, 83788, -4568,   195,  3249,  3266, -4568,
   83788,  3267, 58788,  3187, 83788, 83788, 83788,  3261,   733, 58788,
    3234, 50861, 83788, 83788, 83788, 83788,  3312, 83788, 83788,  3430,
    1204, 77418,   172,  2443,  2971,  3390, -4568,   693, -4568,110105,
   83788,  3385, -4568, -4568, -4568, 67618,  3595,  3304, -4568, -4568,
  100448, -4568, -4568, -4568,  2125, -4568,110105,110105, 83788,  7576,
   83788,  1298, -4568, -4568, 62225, -4568, 83788, 83788, 83788, 83788,
   74478, 97018, 97508,  1613,  1661, 83788, 74968, -4568, 83788, -4568,
   -4568, 57806,110105, 83788,   702, 57315, -4568, 83788,  3396,   274,
   -4568, 83788,  4113,  3287,  3299, 83788,   301,  2505,  2971, 83788,
   83788,  3212,  2129,  3293,  3340, -4568, 83788, 98488, -4568,110105,
    1004, -4568,  3360,110105, 83788,  9465, -4568, -4568,   237, -4568,
   -4568, -4568, -4568, -4568, 83788, 83788,   237, 83788,   237, 83788,
    1477, -4568,110105, 83788, -4568, -4568, -4568, 83788,  8031, 83788,
   83788, 83788, 83788,110105, 83788, -4568, -4568,  1400,   869,  1271,
    1767,  3361, 83788,  3492, 83788, 97998,110105, 83788, 83788, 83788,
    1537, -4568, -4568, -4568,  3338, -4568,110105,  1004, -4568,  8255,
   83788, 83788,  3301,  3306,   133,  3380, -4568, -4568, -4568, -4568,
   -4568, -4568,  3478,  3642, 83788, -4568,  3481,  3482,  3296,  3298,
    3483,  2054, 83788, -4568, -4568, -4568, -4568, 83788,  3487,  2054,
    3433,    75, -4568, -4568,  2538, -4568,  2136, -4568,  3258, -4568,
   36353,  3653, 62225,  3252,  3254,  3326, -4568,  3328,  2408, -4568,
    2160, -4568, -4568,  2142, -4568,  3268,  1026,  1936, -4568, 57315,
   83788,   716,  1018,  3554, 66148,  3472,  3545, 83788,  3303, 83788,
    3472, 83788, -4568,  2248, 69088, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568,  3548, -4568,  2373,  2556,  2556,  2556,
    2556, -4568, -4568, -4568, -4568,  3452,  1952, -4568,  3269,  2556,
   83788,  3371,  3472,  3270,  3320,  2466,  3568,  3570, 83788, 66148,
    2207,  3308,  3676,  1978,  2373,  3460, -4568, 30258,  2839,  3461,
  107151, 79868, -4568,  3279,  3549,  3550,  3565, -4568,  2343, -4568,
    3684, -4568,  3581,   403,  2364, -4568,  2673, -4568, 83788, -4568,
   83788, 83788, 83788, 83788,  2388, -4568, -4568,  2673,  3467,   403,
     403, -4568,  3468,   403,  2673,  3397,  3572,107151, -4568,   138,
   -4568, -4568, -4568, -4568, -4568, 36353, -4568, -4568, -4568,  1978,
    2080, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, 75458,  2352, -4568,  2182, -4568, 83788, -4568,  3551,
    3552,  3553,  3289,  3291,  3317, 83788,  3294, -4568,  3289,   237,
    3289,  2891,  2891,  3289,  3291,109683,  3715,  3577,   700, -4568,
     710,   522,  3511, -4568, -4568, -4568, -4568, 62225, -4568, -4568,
   -4568, -4568, -4568, 83788,  3343,    26,  3488,  3309,109683,  3689,
     403, -4568, 58788, -4568, -4568, -4568,  3377,  3393, 58788,  3499,
    3352, -4568, -4568, -4568, -4568, -4568, -4568, -4568,  3547, 83788,
    2200, -4568,  1866, -4568,  1926, 36353, 36353,   285, -4568, 10996,
    2205, 36353,  3310,  3313,  2243, -4568, -4568, -4568, -4568, -4568,
   -4568,  3314,  3597, -4568, -4568,  3315,  2260,  2276,  3318,  3319,
   -4568, -4568,  5567,  3325, 11202,  3329, 37880, 37880,  1499, -4568,
   -4568, 37880,  3330, -4568,  2288, 10684,  3321,  3334,  3339, -4568,
    3335,  3341, 11317, 33808, 36353, 33808, 33808, 11910,  3321,  3347,
    2324, 57315,  3495, 11982,  2332, -4568, 36353, 57315,  6251, 36353,
   -4568, 36353, 83788,  3348,  3350, -4568, -4568,  5771, -4568,  3355,
   -4568, 37880, 37880, -4568,  4004, 31263, -4568, -4568,  3613, -4568,
   -4568,  1880, -4568,  3353, -4568, -4568,  4995,   135, 36353,  3113,
   36353,  3431, 50357,  5438, 36353,  7456,  6051,  6051,   593,   593,
     293,   293,   293,  1982,   817, -4568, -4568, -4568,  3357,  3359,
    3364,  3508,  2869, 36353, -4568,  2400,  2423, 83788, 10074, 11854,
   12338, -4568, -4568, 41401,  3394, -4568, 36353, 36353, 36353,  3365,
   -4568,  3783, 11305,   -26, -4568,  3788, -4568, -4568, -4568,  1155,
    3654,   359, -4568,  1166,  2408,  1293,105026, -4568, -4568, -4568,
   36353, -4568, -4568, -4568, -4568,  2180, -4568, -4568, -4568, -4568,
   -4568, 83788,  2039, 36353, -4568, -4568,   806,  2167, 36353,  2245,
   -4568, -4568,  3425, -4568, 36353, -4568, -4568, -4568,  2891, -4568,
   -4568, -4568, 41401,  3410,  3419, 45362,  3504, -4568, -4568, 83788,
      64, -4568, -4568, -4568,  3386, -4568, -4568, -4568,  1220, -4568,
   -4568, -4568, -4568, -4568, -4568,  3375, -4568,  3372, -4568,  3391,
   -4568, -4568, -4568, -4568,   174,  3366,  3378,  3384,   845, -4568,
   60261,  2033, -4568, 62716, -4568, 62716, -4568,  2033,  3765, -4568,
   60261,  1818,110105, 83788, 83788, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568,  3611, -4568,110105,110105,  3575,
   83788,  3574,  3579, 36353,   688, 83788,  3400,  3403,  1460,  3656,
   83788, -4568,  3705,   403, -4568, -4568,  3484, -4568, 11305, -4568,
   -4568, -4568, -4568, -4568,110105, 83788, -4568,107151, -4568,  2343,
   62225, -4568, -4568, -4568, 83788,  3441, 83788, -4568, 83788, 83788,
   83788,  2388, -4568, -4568, -4568, -4568,  1147, -4568, -4568, 83788,
   83788,    27,  3490,  3494, 83788, -4568,   505,  3185,  8469, 83788,
   83788, 83788,  3663, -4568, -4568, -4568, -4568,  3606, -4568, -4568,
   60261, -4568,  2673,   544,  3500,  2971, -4568,  3600, -4568,   898,
   -4568, -4568, -4568, -4568, -4568,  3723,   403,  3726,   403, 83788,
   83788, 83788, 83788, -4568, -4568, -4568, -4568, -4568, 57315, 57315,
   57315,  2349, -4568, -4568,  2373, -4568, -4568, -4568, -4568, -4568,
   -4568,  3687, -4568,  2353, -4568,  1567, -4568, -4568, -4568, -4568,
   -4568, -4568,110105, 83788,  9562, 83788, 83788, 83788,  1797, -4568,
     476, 62225, -4568, 61734,110105, 83788, -4568, -4568,  3655,  3596,
   -4568,  2143,  3599,110105,  3486, -4568, -4568,  3513, -4568, -4568,
    3515,  2555,  2971,  3496,  2791, -4568, -4568, -4568, -4568, -4568,
   -4568,  3475, -4568, -4568,  1365,   309,  2594,  2971,  3517, -4568,
    3519, -4568, -4568, -4568,  3660,  3661,  3664,  3523,  3526,  3573,
    3529,  3531,  3578, -4568,  3535,  3582,  3536,  3586,  3543,   403,
   62225,  3665,  2373,  3584,  3768,   403, -4568,  3546, -4568, -4568,
    3867, -4568, 83788, -4568,  3556,  2725,  2971, -4568, -4568,110105,
   83788, -4568, -4568, -4568,  2054, 62225,  3714,  2054,  2054, 83788,
   83788,  2054, -4568, -4568, -4568,  3719,  3724,  2054, -4568, -4568,
   -4568, -4568,  2645,  3489, -4568,  2232, 47837,  6563,  3485,  3254,
    3491,  2408, 43877,  1413,  3692,  3493, -4568, -4568, 57315, 47837,
    2010,  3711,  3506,  3506,  3506,  3506,  3506,  3506,  3506, -4568,
    2837,   280,  2538,107151, 83788,107151, -4568,  1018,  3600, 83788,
   83788,  3498,  3501, -4568, -4568, -4568, -4568,110105,   125,110105,
    2408, -4568, -4568,  3564, -4568, 83788,  1978,  3895,  2949,  1420,
    3638,  1697,  3842,  3308, -4568, -4568, -4568, -4568, 83788, 83788,
    1026,  2373, -4568,  3502,  3505, -4568, 83788, 83788, 83788, 83788,
   83788,  2039,  3510,  3516, 62225,   473,  3699,  3691,  2970,  3919,
    2039,  3308,  3598, 83788, -4568,  2386,    88, -4568,  2373,107151,
   60752, -4568,  3956, -4568, -4568,   776,  3795, -4568, 83788, -4568,
   -4568, 44867,   403, 62225, 83788, -4568,   403,   138,  3585,   403,
    3587,   403,   403, 83788, -4568, -4568, 83788, -4568, 83788,107995,
     403, -4568, 11305,  3811, -4568, -4568, -4568, -4568,  3646,  3658,
    3659, 83788,  3289, 58788, -4568,  3528,110105,  1571, -4568, -4568,
    3725, -4568, -4568, -4568, -4568, -4568,  3844,  3846, -4568, -4568,
   -4568,   694, -4568,110105, 70068,   168,110105, -4568,  2343, -4568,
   -4568,  2364,   237, -4568, 83788,  3789, -4568, -4568, -4568,  3555,
    2405, 12430, 36353, -4568,  3855, 62225, -4568,  6688, -4568, -4568,
   -4568, -4568, 36353, -4568, -4568, -4568, -4568, -4568, 36353, -4568,
   36353,  3832, -4568,  3974,  3974, 62225, 37880,  1672,  2863, 37880,
   37880, 37880, 37880, 37880, 37880, 37880, 37880, 37880, 40397,   641,
   -4568, -4568, 36353, 36353,  3839,  3832, -4568, -4568,  1755,  1755,
   62225,  3557,  3321,  3558,  3559, 36353, -4568, -4568,  2416, 39393,
    3560, 57315, -4568, 36353, 10723,  2421,  3607, 13711,  1201,  7021,
   -4568,  3930,  2373, 36353,  1846,  1886, 36353,  2437, 36353,  3840,
   -4568, -4568, -4568,  3562, -4568, -4568, 62225, 36353, 37880, 37880,
    6767, -4568,  6994, 36353,  3563,  7931, 31263, -4568,  3735,  3604,
   46847, -4568,   865,   865,   865,   865, -4568, 83788, 83788, 83788,
   41896,  3850, 40906, 80848,  3566,  2072, -4568, 80848, 81338, -4568,
    3583, -4568,  3567,  1201, 36353,  3849,   485,   485,  3735, -4568,
   36353, 34317,  3576, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,  3580,
   -4568,  3591, -4568, -4568,   161,  3589, -4568, -4568, 10186,   174,
   -4568, -4568,  3593, -4568,  3592, -4568,  2167, -4568, -4568, -4568,
    7291,  3759, -4568, -4568,  3566, 34826,  3504, -4568,  2446, -4568,
   -4568, 32281, -4568, -4568,  2462, 46352,  3410, 32790,  1201,  2408,
    3594, -4568,  2352,  1155, -4568, -4568, -4568, -4568, -4568,  2465,
    2014, -4568, -4568, 60261, -4568,  3650, -4568, -4568, -4568,  3506,
    2673,  2673,   744,  3289,  3873,   744,  7377, -4568, -4568, 42391,
   83788, 83788, -4568, 83788,  2475,  1508, 83788, -4568, 83788, -4568,
   -4568, -4568, -4568,  3991, -4568, 83788, -4568, -4568,  3652,  3662,
   -4568, 83788, 83788, 83788, 83788, -4568, -4568,  2347, -4568, -4568,
  110105, 83788, -4568, -4568, -4568,   313,  2745,  2971, -4568,  3677,
   -4568, -4568,  3856, -4568,  3975,  3690, 83788,  3608, -4568,  1508,
     238,  2970,  1077, -4568, -4568,  3680, 83788, -4568, 83788, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, 57806, -4568,
   -4568, 83788, -4568, 57315, 47837, 57315, -4568,  1427,   314,  2852,
    2971, -4568,  3693, -4568,  3695,  3696,  3737,   109,   190,  3698,
    3700,  3744,  3623,  3624,  3626, -4568, -4568,   277,  2373, -4568,
   -4568,  2373,  2673,  2373, 83788, 83788, 83788, 83788,  2970,  4016,
    3716, 83788, 83788, 83788, 83788, 83788,  3918,  1094,  2044,110105,
   83788, 83788,110105, 83788, 83788, 83788, 83788, 83788, 83788, 83788,
   -4568,  4000,  3933,  2172,  3973,  3703, 83788, -4568, 83788,  3185,
   83788, 83788, -4568, -4568, -4568,  3637,  2054, -4568, -4568,  3884,
    3885, -4568,  2054,  2054, -4568,  1016, 57315, -4568,  2815, -4568,
    3258,  3592,  1929,  1929, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568,  2408,  2517,  3644, -4568, 44372, -4568,  3647, -4568,  2691,
    1293, -4568, -4568, 83788,  3506, -4568,  2629,  2723,  2981,  3021,
   81828, 82318, 82808,  3648, 83788, 83788, 37880, -4568,  1629,  1070,
   -4568,  3890, 83788,  3688, -4568, -4568, -4568,  3807, 83788, -4568,
   -4568, -4568, -4568, -4568,  3657, -4568,  3767, 66148,  2673,110105,
  110105,  2673, -4568, 62225,  3666,  3308,110105,  1420,  1563, 93098,
    3697, -4568,  3667,  3953, -4568,  3668,  3669, -4568, -4568, 83788,
    3600,  2483,  3704,   618,  1969,  3343, 68108,  2207,  3925, -4568,
   -4568, -4568,  4039,  3760, -4568,  2039,  3343,  3760,  2373,  3226,
   -4568, 60261, 36353, 36353, -4568,  3673, -4568,  3679,  5195, -4568,
    2556, -4568, -4568, -4568, -4568, -4568, -4568,  3754, 83788,  4108,
   -4568, -4568, -4568,  3681,   403, -4568, -4568, 83788, -4568, 83788,
   -4568, -4568,   403,   403, -4568,  3794, -4568,  2039, 83788, 83788,
   83788,  3289, -4568,   237, -4568,  3963,109683, -4568, -4568, -4568,
   -4568, -4568,  4029,   132,  3977, -4568, -4568,  3940,  3941,  3945,
    3948,  2183, -4568, -4568, 36353, 11305, -4568,  3706, -4568, 11305,
    7826, 11305,  3839, -4568,  2658,  3990, -4568,  1561,  3708,  2658,
    2678,  2678,   289,   289,   121,   121,   121,  3974,   641, 11305,
   11305, -4568, -4568, -4568, -4568,  3710, -4568, -4568, -4568,  3321,
   -4568, 36862,  3857,  4101, -4568, -4568, -4568,  3752,  3753,  3720,
   -4568, 36353, 37371,  3713, 63207, -4568, -4568,  1293,  1841, 37880,
   37880,  1606, -4568,  1254, 36353, 62225,  2513,  1606,  2383,  2404,
   36353, 36353,  8549,   240, 36353,  7942,  3721, 36353,100938, -4568,
   -4568, 83788, 83788, 83788, 83788, -4568, -4568, -4568, 80848, 81338,
    3717, 43381,  2072,  3729, 83788, -4568, -4568,  3727, 41401,  3964,
    3902, -4568, 41401,  3902,  1694,  3902,  3979, -4568, 47342, -4568,
   -4568,  3733, -4568, -4568, 28742,  1793, 11305,  4122,  4011, 36353,
    3742,  3743,  3745, 11305, 36353, -4568,  2373,  1155,   922,  2373,
   -4568, -4568, -4568, 50357, -4568, -4568, -4568,  3935, 11305, -4568,
    2039, 83788,  1201,    87,  3762, 83788, -4568,  3504, -4568, -4568,
    9236, -4568, -4568, -4568, -4568,  3818,  2514, -4568,   277, -4568,
   -4568, -4568, -4568,  3830, 69088,  4038, -4568, 36353,  2521, -4568,
    3796,  4133,    84,  2525,  2531,  1508, -4568,  3688, -4568,  1650,
    4023,   291, -4568,   403, -4568, 62225, -4568, 83788, 83788, -4568,
   -4568, -4568, -4568,  2934, -4568, -4568, 83788, 83788, 83788, 83788,
   -4568,110105, 83788, -4568, 57315,  2837,  3960, -4568, -4568,  3961,
     277, 83788, -4568, 62225,   403,   403, -4568, -4568, -4568, -4568,
    3780,  4156,  3854, 83788, 83788, 83788, 83788,110105, 83788, 83788,
    2408,  2408, 62225,  3769, -4568,  2408,  2408,  3773, -4568,110105,
   83788, 83788, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568,  3819, -4568,110105, 83788, -4568,  3848, -4568, -4568,
   -4568, 83788, 83788, 83788, 83788,  4081, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, 83788, -4568, -4568,
    2373,  2373, 62225,   403,   403, -4568, -4568, -4568,  4025, -4568,
    2054,  2054, -4568, -4568,   115,  2536, -4568,103311, -4568, -4568,
    2904,  2373,  2904,  1728, -4568, -4568,  2904, -4568,  2904, -4568,
    1508,  3785,   201,  4067, -4568,  2705,102889, 44372, 44372, 44372,
   44372, 44372, -4568, -4568,  4071,   277, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, 36353, -4568,   677,  2658, -4568, -4568, -4568, -4568,  3688,
    1978,  3847, 58788,  1154, -4568,  4057,   716, 66148,  1682, 83788,
   -4568,  2673,  2673,  3851, 83788,  4199, -4568,   679, 83788,  4114,
    3841, -4568,  2373, -4568, -4568,  3308,  2970, 83788, 66148,  3343,
   -4568,  2546, -4568, -4568, -4568,  3838,  3691,  3803,  2207,  1277,
   83788, -4568,  3852, -4568, -4568,  4088,  3805, -4568, 11305, 11305,
    2373, 63698,  3956, -4568, 83788,  4064, 83788, -4568,   403, -4568,
     403,   403, -4568, -4568, 83788,  3289,  3289,  3289, -4568,  3993,
   -4568, -4568,   403,109683,  2183,  2183,  2183,  2183, -4568, -4568,
   -4568, 11305, -4568, -4568, -4568, 37880,  4097, -4568,  3822, 62225,
   -4568,  3823,  2551,  2603, 38898,  3972, -4568, -4568, -4568,  8224,
    3868, 11305,  3928,  3828,  3829, -4568,  1364,  1364,  1254,  2611,
   -4568, 37880, 37880,  1606,  1606, 36353,  1606, -4568, -4568,  8263,
    4001, -4568, -4568, -4568, -4568, -4568, -4568, -4568, 58297, 80848,
    3833, 83788,  2072, 41401, -4568, -4568,  1268, -4568, 41401,  4075,
   -4568, 41401, 83788,  3837, 83788,   -26, 36353, 36353,  3877, -4568,
   -4568, -4568,  3735, -4568, -4568,  1929, -4568, -4568, -4568, -4568,
    1293,  3843, 75458, -4568, -4568, -4568,  1274, -4568, -4568, -4568,
   -4568, -4568, -4568,109683,  4027,109683,  1508,  9094,  3688, 42391,
   51365, 83788, 83298, 83298,  3986,  3688,  3847, -4568, -4568, -4568,
   -4568, -4568, -4568,  3858, -4568, -4568, -4568,  3920, -4568, -4568,
     547,  3285,  2621, -4568, -4568, -4568, -4568, -4568,  4000, -4568,
   -4568, 47837,110105, 83788, -4568,  3926, -4568, -4568, -4568, -4568,
   -4568, 42886, 50357, -4568,   109,  3853,  3860,   190, -4568, -4568,
   -4568,  2970,   827,  3285, 83788,  1582,   448,  3887,  3289,  4141,
   -4568, -4568, -4568,  4000, -4568, -4568,  2054, -4568, -4568, -4568,
    2538,  4183, -4568, 57315, -4568,105457, -4568, -4568, -4568,  2373,
   -4568,  2373,  4053, 83788, 53346,  2373,  2373, -4568, 58788,  4266,
    4266, -4568,  3861,  2029,  2029, -4568, -4568, -4568, 83788, -4568,
   -4568,  9537,  4060, -4568,  3847,  4082,  4129, -4568,  3869, 83788,
    4024,  3872,  3874,   736,   736,  3600, 83788,  2633,  2039,  1420,
   66148,  3600, -4568,  1437,  3876,  4175, -4568,  4279, -4568,  3510,
    3878, -4568, -4568, 68108,  4062,  3760, 83788,  3691,  4003, -4568,
    4006, -4568,  1490, -4568, 83788, 42391, -4568, 62716, -4568,  2640,
   -4568, -4568,  3394, 83788,    24, -4568,  3896, -4568, -4568, -4568,
   -4568, -4568, -4568,   168, -4568, -4568, -4568, -4568,   939, 37880,
   62225,  2674, 36353, -4568, 36353, -4568,  4272, -4568, -4568, -4568,
     554, -4568, -4568, -4568,  1364,  1364,  1606, -4568,  4273,  3735,
   -4568,  2700,  4292, -4568, 83788,  2709, -4568, 36353,  3892, -4568,
   -4568, 41401,  1268,  2712, 83788,  2721, 62225,  3893,  3321, 11305,
   83788, -4568,  3894, -4568, -4568, -4568, -4568, -4568, -4568,  1571,
     744,   168,  4133,  3847, -4568,  3897, -4568, -4568, 83788, -4568,
    1454,  1454, 83788,  3847, -4568, -4568, 83788,  3978, -4568, -4568,
   57315,  3951, -4568,   871,  3285, 83788, 62225,  2364,    52, -4568,
   62225, 62225, -4568, -4568,  3984, -4568, -4568, 83788, 83788, 83788,
   83788, 83788,   403, -4568,  3489,  2373, -4568, -4568,  2738, -4568,
   -4568, -4568, 83788,  3667, -4568,  3667, -4568, -4568,  4266,  1013,
   -4568, -4568, -4568, -4568,  1584,  4102, -4568,  1177,  4089,  3992,
    3905, -4568, 58788,  4339,  4031, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568,  4207,  3308,  3852, -4568, -4568, -4568,
   -4568, 36353,  4078,  2039,  2207,  3925, -4568, -4568, -4568,  2739,
    3760, -4568, -4568,  4301,  4110,  4304, -4568,  2746, -4568, -4568,
    5195, 63698,  4249, -4568,  3981, 83788, -4568, -4568,  2535,  4361,
   -4568,   939,  2751, -4568,  2755,  2759,  4079,  3985, -4568, 36353,
    1334,  3583, 58297,  3936, -4568,  2784, -4568, 11305, 83788, -4568,
   -4568, -4568,  2787, -4568, -4568,  3942, -4568,  4344, -4568, -4568,
    4227, -4568, 83298,  3987, 50357, -4568,  2167,  2167,  1978, -4568,
    1508, -4568, 83788, -4568, 36353, -4568,  4032, -4568, -4568,  2798,
   -4568,  1308,  4098,  4239,  2814,  2818, 83788,  3291,  3989,  3291,
   -4568,  3289, -4568, -4568, -4568, -4568,105457,  3667, -4568, -4568,
   -4568,  4269,  4215, -4568, -4568, -4568, -4568,   211, -4568,  4143,
    4144, 83788, -4568,  3962, -4568,  2825, 83788, 83788,  4365,  4366,
   -4568,  9591, 58788,  3852,  3691,  2207,  2837, -4568, -4568,  4146,
   -4568,  4147,  3308, 42391,  3956, -4568,   729, -4568, -4568, -4568,
   -4568, -4568, 83788, -4568, -4568, -4568, -4568, -4568,  3321, 35335,
   35335,  3965, -4568, -4568, 83788, -4568,  2829, -4568, 83788,  3970,
  109683,  1454,  3971, -4568,  3982, -4568, -4568,  4082,  1508,  3285,
   11305, 83788, 58788,  4360, -4568, -4568, -4568,  4098, -4568, -4568,
    3285, 83788, -4568,  4105, -4568,   857,   857,  4303, -4568,  4037,
   -4568, -4568,  3988, -4568,  4418,  3600, -4568,   109,  2039, -4568,
    4002, -4568,  3760,  3691, -4568, -4568,  3760, -4568, -4568, -4568,
   -4568,  1983, -4568, 38389,  4117,  1082, 10756, -4568, -4568, -4568,
   -4568,  2854, -4568, -4568, -4568,   168,  2167, 36353,  1508, -4568,
    4089, -4568,  3285,  2364, 83788, -4568, -4568, -4568,  3841, -4568,
    4407, -4568,   900, -4568, -4568, -4568, -4568, -4568,  3769,  3852,
   56824, -4568,  3760,  3394, -4568,  2178, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568,  4401, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, 10147, -4568, -4568, -4568, -4568,  4306, -4568, -4568,
   -4568, -4568,  2857, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
    1768, -4568, -4568,  1853,  2221, 35844, -4568,  1508,  4159, -4568,
   56824, -4568,  2178, -4568, 58788, -4568, -4568,  4007, 56824,  2858,
   -4568
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2373,     0,     2,     1,  2803,  2807,  2811,  2812,  2729,  2813,
    2814,  2779,  2780,  2781,  2782,  2783,  2784,  2785,  2786,  2787,
    2788,  2789,  2790,  2792,  2791,  2793,  2794,  2795,  2796,  2797,
    2798,  2799,  2800,  2802,  2801,  2751,  2380,  2748,  2745,  2746,
    2747,  2752,  2750,  2743,  2744,  1970,  2816,  2804,  2817,  2805,
    2806,  2808,  2809,  2778,  2810,  2818,  2819,  2820,  2815,  2823,
    2774,  2775,  2773,  2776,  2777,  2821,  2822,  2765,  2766,  2767,
    2768,  2824,  2381,  2382,  2770,  2374,  2378,  2440,  2511,  2771,
    2772,  2769,  2379,  2764,  2511,     0,  2632,  2633,  2634,     0,
    2635,  2636,  2637,  2563,  2525,  2638,     0,     0,  2639,  2640,
    2641,  2642,  2643,  2644,  2645,  2646,     0,  2647,  2648,  2649,
    2650,  2510,  2651,  2652,  2653,  2654,  2655,  2487,  2493,  2616,
       0,  2467,  2468,  2464,  2466,  2465,  2469,  2452,  1228,   571,
    1316,  1315,     0,  2276,  1228,  2232,  2233,  2277,  2234,  2235,
    2236,   262,     0,  1318,  2237,  2278,     0,  1228,  2279,   389,
     990,  2280,  2281,  2395,     0,  2238,  2239,     0,     0,     0,
     571,  1228,     0,     0,  2240,  1430,  2241,     0,  2242,  2282,
    2283,     0,  2243,  2284,  2285,  2244,  2245,  2246,  2286,  2287,
    2288,  2247,  2289,  2290,     0,     0,  1444,     0,  2248,  2291,
    2249,  2250,     0,  2292,  2251,  2252,  2253,  2293,  2294,  2254,
    2255,  2256,     0,  2257,     0,     0,     0,     0,     0,     0,
    2295,  1228,  2258,     0,     0,  1451,     0,  2259,     0,  2296,
    2260,     0,  2261,     0,  2262,  2263,  2264,  2265,  1444,  2612,
    2488,     0,  1320,     0,  2266,  2297,     0,  2267,  2268,  2269,
    2270,  2271,  2272,  2273,  2274,  2275,     0,     0,    59,    60,
      24,    23,    29,    28,    82,    83,    47,    15,    73,    53,
     116,   115,   117,    35,    31,    67,    20,    22,    32,    36,
      55,    48,    94,    54,    18,    52,    77,    56,    80,    42,
       9,    10,    43,    71,    11,    44,    72,    12,    45,    13,
      61,    84,    27,    57,    81,    58,     3,    38,    69,    65,
       8,    49,    50,    51,    74,    75,    76,    99,    79,   111,
      34,   108,    88,    89,   105,    90,   106,     6,    91,    46,
      14,   102,   101,   103,    68,    39,    70,   100,    21,   104,
      16,    17,   107,    78,    97,    93,   112,   110,   118,    95,
      62,     4,     5,    85,    19,    41,     7,    26,    25,    40,
      33,   114,    30,  1318,    87,    98,    86,    92,    66,    96,
     113,    64,   109,  1417,  1404,  1453,  1416,  1429,     0,  1419,
    2708,  2709,    37,  1430,   120,   121,   126,  2377,  2429,  2430,
    2431,  2511,  2462,  2463,  2456,  2472,  2482,  2471,  2475,  2483,
    2470,  2489,     0,   123,   125,   127,   130,   124,   119,   122,
     129,   134,   128,   133,   131,   132,   135,   136,   137,  2710,
    1644,  2707,    63,  2447,  2446,     0,  2511,     0,  2740,  1982,
    1983,  1984,  1985,  1986,  1987,  1988,  1989,  1990,  1991,  1992,
    1993,  1994,  1995,  1996,  1997,  1998,  1999,  2000,  2001,  2002,
    2003,  2004,  2005,  2006,  2007,  2008,  2009,  2010,  2011,  2012,
    2013,  2014,  2015,  2016,  2017,  2018,  2019,  2020,  2021,  2022,
    2023,  2024,  2025,  2026,  2027,  2028,  2029,  2030,  2031,  2032,
    2033,  2034,  2035,  2036,  2037,  2038,  2039,  2040,  2041,  2042,
    2043,  2044,  2045,  2046,  2047,  2048,  2049,  2050,  2051,  2052,
    2053,  2054,  2055,  2056,  2057,  2058,  2059,  2060,  2061,  2062,
    2063,  2064,  2065,  2066,  2067,  2068,  2069,  2070,  2071,  2072,
    2073,  2074,  2075,  2076,  2077,  2078,  2079,  2080,  2081,  2082,
    2083,  2084,  2085,  2086,  2087,  2088,  2089,  2090,  2091,  2092,
    2093,  2094,  2095,  2096,  2097,  2098,  2099,  2100,  2101,  2102,
    2103,  2104,  2105,  2106,  2107,  2108,  2109,  2110,  2111,  2112,
    2113,  2114,  2115,  2116,  2117,  2118,  2119,  2120,  2121,  2122,
    2123,  2124,  2125,  2126,  2127,  2128,  2129,  2130,  2131,  2132,
    2133,  2136,  2134,  2135,  2137,  2138,  2139,  2140,  2141,  2142,
    2143,  2144,  2145,  2146,  2147,  2148,  2149,  2150,  2151,  2152,
    2153,  2154,  2155,  2156,  2157,  2158,  2159,  2160,  2161,  2162,
    2163,  2164,  2165,  2166,  2167,  2168,  2169,  2170,  2171,  2172,
    2173,  2174,  2175,  2176,  2177,  2178,  2179,  2180,  2181,  2182,
    2183,  2184,  2185,  2186,  2187,  2188,  2189,  2190,  2191,  2192,
    2193,  2194,  2195,  2196,  2197,  2198,  2395,  2199,  2200,  2201,
    2202,  2203,  2204,  2205,  2206,  2207,  2208,  2209,  2210,  2211,
    2212,  2213,  2214,  2215,  2216,  2217,  2218,  2219,  2220,  2221,
    2222,  2223,  2224,  2225,  2226,  2227,  2228,  2229,  2230,  2231,
    2413,  1971,  1979,  1980,  1981,  2388,  2409,  2415,  2736,  2414,
    1978,  2562,     0,     0,  2656,  2657,  2658,  2659,  2660,  2661,
    2711,  2712,  2713,  2714,  2715,  2717,  2716,  2524,  2683,  2720,
    2523,  2721,  2527,  2722,  2723,  2724,  2725,  2684,  2726,  2526,
    2718,  2680,  2528,  2521,  2522,  2681,  2630,  2631,  1948,  2682,
    2679,  2719,  2416,  2678,  2532,  2531,  1394,  2735,  1947,  1395,
       0,  2534,  2662,  2663,  2664,  2665,  2667,  2666,  2668,  2298,
    2299,  2300,  2301,  2302,  2303,  2304,  2305,  2306,  2307,  2308,
    2309,  2693,  2310,  2311,  2312,  2706,  2313,  2314,  2694,  2315,
    2316,  2317,  2318,  2319,  2320,  2321,  2322,  2323,  2324,  2325,
    2326,  2327,  2328,  2329,  2330,  2331,  2332,  2333,  2334,  2335,
    2336,  2337,  2338,  2695,  2696,  2339,  2340,  2341,  2342,  2343,
    2344,  2345,  2346,  2347,  2348,  2349,  2350,  2351,  2352,  2353,
    2354,  2355,  2356,  2357,  2358,  2359,  2360,  2361,  2362,  2697,
    2363,  2364,  2698,  2365,  2366,  2367,  2699,  2368,  2369,  2370,
    2371,  2372,  2703,  2704,  2705,  2692,  2485,  2669,  2691,  2702,
    2700,  2701,  2495,  2491,  2499,  2494,     0,     0,     0,     0,
    2511,  1227,  1226,  1212,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   570,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2385,     0,  1238,   360,   359,  1317,
    1298,   571,     0,  1215,   388,     0,     0,     0,     0,     0,
       0,     0,     0,   760,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   185,     0,     0,   412,   411,     0,
       0,     0,   962,   417,     0,     0,     0,     0,     0,   559,
    2394,  2389,  2399,     0,  2392,  2393,  2678,     0,  2827,  2134,
    2425,  2426,  2825,  2184,  1396,   263,   266,   267,   264,   265,
       0,  1069,  1070,  1072,     0,     0,  1082,   795,   796,     0,
     794,     0,   798,     0,     0,     0,   790,     0,     0,     0,
       0,     0,   797,   787,     0,   786,     0,     0,     0,   793,
       0,   788,     0,     0,  1216,     0,  2477,  2478,  2072,  1357,
     418,     0,     0,  1430,     0,  1335,  1336,  1318,  1325,  1337,
    1330,  1332,  1331,  1333,  1329,  1334,  1983,   901,  1997,   901,
    2062,   898,   899,   901,   901,   901,  2151,     0,     0,   873,
       0,   884,  1974,   901,  1975,  2736,   906,   473,   473,   473,
       0,   905,   910,   473,  1209,  1247,  1952,  1443,     0,  1997,
    2062,   874,  1208,  2199,  1349,     0,     0,     0,  1086,     0,
    1087,     0,  2166,  1220,   247,  2676,  2175,  2262,  2199,  2677,
     246,   241,   242,  2671,  2672,  2674,   215,  2675,  2673,  2670,
    1987,     0,     0,   905,     0,  1217,  1218,   857,  1450,  1448,
    1934,     0,     0,  2005,     0,  2017,  2098,   238,  2162,  2167,
    2175,  2262,  2199,  2229,   194,   204,   199,     0,   256,  2175,
    2262,  2199,     0,  1238,     0,  1420,  1536,  1943,     0,     0,
    2486,  1211,  1210,  1319,     0,  1322,     0,  1498,  2147,  1424,
    1426,  1324,  1417,     0,     0,  2376,  1313,  1447,  1447,     0,
    1447,     0,  1409,  1417,  1412,  1416,     0,     0,     0,     0,
    1228,     0,  2454,  2482,  2461,  2517,  2458,     0,     0,  2507,
    2503,  2500,  2508,  2509,  2502,  2490,  1633,  1634,  1635,  1632,
    1645,  1631,     0,  2435,  1636,  2474,  2441,     0,  2449,  2448,
    2753,  2754,  2564,  2387,  2406,     0,     0,     0,     0,     0,
       0,     0,  2533,  2535,  2537,  2497,  2496,  2492,     0,     0,
       0,     0,  2622,  2623,  2621,     0,  2618,  2620,     0,  2517,
       0,  2687,  2681,  2690,     0,  1953,  2682,  2679,  2678,     0,
     805,     0,   141,   950,     0,     0,     0,     0,  1947,     0,
       0,     0,     0,     0,     0,  2071,     0,     0,     0,  1846,
    2009,  2057,  1856,  1854,  1855,  1848,  1849,  1850,  1851,  1852,
    1853,     0,  1067,  1847,     0,   163,   141,     0,     0,  2071,
     533,     0,     0,     0,     0,  2071,     0,     0,     0,     0,
       0,   163,  2101,   141,  2071,     0,     0,     0,  1232,     0,
       0,     0,  1234,  1237,  1213,  1301,     0,  1943,     0,     0,
     836,   826,     0,   837,   827,   832,     0,   839,     0,     0,
     829,     0,     0,     0,   840,     0,   828,   830,   842,   831,
     838,     0,     0,   833,   834,     0,     0,  1224,   473,   366,
       0,     0,     0,     0,     0,   141,  1288,     0,  2071,   141,
       0,     0,   416,   415,   141,   414,   413,  2009,  2057,     0,
     989,   141,  2071,     0,   187,   641,   574,     0,     0,   719,
    2101,   141,     0,     0,     0,     0,     0,     0,   965,     0,
       0,   558,   571,     0,  2398,  2404,     0,  2396,  2565,  2828,
    2826,  2520,     0,  1073,   239,   240,  1071,  2071,     0,   334,
       0,     0,  2071,  1275,   792,     0,   791,  2071,     0,  2071,
    1972,   178,     0,   789,  2009,  2057,  2071,     0,     0,  2071,
     170,  2071,     0,  2071,   334,  2071,   575,     0,  2071,     0,
    2071,  2101,   172,     0,  2071,   334,   803,     0,     0,  2758,
    2762,     0,  2760,  2755,  2476,  2530,  2529,  2428,     0,  2839,
       0,  1396,  1327,  1342,     0,  1338,  1345,  1341,  1430,   901,
     900,     0,   901,     0,  2849,   901,     0,   901,     0,  2849,
     901,     0,     0,     0,   901,  1976,  1977,     0,     0,  2848,
    2844,  2847,   875,   885,     0,   907,     0,     0,   914,   913,
     912,     0,     0,     0,   915,  1540,  1372,     0,   882,     0,
     880,     0,  1206,  1223,     0,     0,     0,     0,   965,  1089,
    1089,  1089,  1219,   245,   243,     0,     0,     0,     0,     0,
       0,  1225,     0,     0,     0,     0,  2742,  1959,  1857,  2741,
       0,  2233,  2234,  2235,  1915,     0,  2683,  2236,  2237,  2278,
    1765,  1752,  1761,  1766,  1753,  1755,  1762,  2238,  2239,  2041,
    2240,  2241,  1966,  2242,  2243,  1588,  2245,  2246,  2247,  1757,
    1759,  2248,  2249,     0,  1967,  2251,  2252,  2120,  2254,  2255,
    2257,  2258,  1763,  2260,  2261,  2262,  2263,  2264,  2265,  1965,
       0,  1764,  2266,  2268,  2269,  2270,  2271,  2272,  2273,  2274,
    2275,     0,     0,  1940,     0,  1734,     0,  1580,  1581,  1603,
    1604,  1582,  1609,  1610,  1622,  1583,     0,  1939,  1647,  1814,
    1733,  1748,  1739,     0,  1732,  1728,  1433,  1933,  1935,     0,
    1729,  1955,  1916,  1969,  1968,  2736,  1924,  1958,  1956,  1957,
       0,     0,     0,   207,     0,     0,  2611,   258,     0,   259,
    1941,  2175,   195,   237,   209,   236,   210,   208,     0,  2007,
     196,     0,     0,   197,     0,     0,     0,     0,     0,     0,
       0,   252,  1214,     0,  1538,  1537,     0,     0,  1922,  1944,
     812,     0,  1311,  1312,  1310,     0,  1307,  1309,  1321,  1318,
    1929,  1928,  1930,     0,  1425,     0,     0,     0,  1407,  1406,
    1324,  1445,  1446,     0,     0,     0,     0,     0,     0,     0,
       0,  1488,  1461,  1462,  1464,  1485,  1489,  1497,     0,  1413,
       0,     0,  1542,     0,  1499,  2375,  2517,  2518,     0,  2512,
       0,  2511,  2511,  2505,  2504,  2501,     0,     0,     0,     0,
       0,     0,     0,     0,  2432,   553,  2434,   550,     0,     0,
    2408,     0,  2412,  2410,     0,  2557,  2560,     0,  2558,  2559,
    2561,     0,  2566,  2567,     0,     0,     0,  2749,     0,     0,
    2548,  2536,  2543,  2545,  2547,  2546,  2555,  2551,  2554,  2556,
    2498,  2511,  2629,     0,  2624,  2627,     0,  2619,     0,     0,
       0,  1954,     0,     0,     0,     0,   806,     0,     0,     0,
       0,     0,     0,   140,  1273,   249,  1271,     0,     0,     0,
       0,     0,     0,     0,  1280,     0,     0,   176,   177,   586,
     571,     0,  2071,     0,     0,     0,     0,  1029,  1036,     0,
       0,     0,     0,     0,     0,     0,  1030,  1028,  1031,   251,
    1040,  1053,  1056,     0,   940,     0,     0,     0,     0,     0,
    1138,     0,     0,  1138,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   272,   284,   329,     0,
       0,  2071,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   145,     0,     0,     0,     0,     0,     0,   537,   549,
       0,     0,     0,     0,     0,   546,     0,   141,   276,     0,
     526,   534,     0,     0,     0,   650,   649,  1278,  1277,     0,
       0,     0,  1138,     0,   268,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     352,   353,     0,     0,     0,   145,     0,     0,     0,     0,
     278,     0,  2442,     0,  1233,  1230,  1231,     0,  1236,     0,
    1297,     0,     0,     0,     0,   844,     0,   841,     0,     0,
     835,  2009,  2057,     0,     0,     0,     0,     0,     0,   391,
     365,     0,     0,   716,     0,     0,  1591,  1620,  1598,  1620,
    1620,  1587,  1587,  1600,  1589,  1627,     0,  1620,  1587,  1592,
       0,  1590,  1630,  1630,  1615,     0,  1572,  1573,  1574,  1575,
    1601,  1602,  1576,  1607,  1608,  1577,  1644,  2688,  1587,  2689,
    2686,  2685,     0,     0,   727,     0,  1250,  1287,     0,     0,
       0,   580,     0,  2071,     0,   143,   761,     0,   717,   417,
       0,   143,     0,     0,   181,     0,   645,     0,     0,     0,
       0,     0,     0,   665,   664,     0,     0,     0,   718,     0,
     143,     0,   533,  2071,     0,   473,   473,     0,     0,   964,
     967,     0,     0,     0,  2402,  2397,  2400,     0,  2390,  2404,
    1399,  1401,  1400,     0,  1398,     0,   334,   332,   333,   714,
    1081,     0,     0,     0,     0,   334,     0,     0,  2071,   334,
    2071,     0,  2071,     0,     0,   334,   334,     0,     0,     0,
       0,   646,     0,   802,   800,   799,   801,     0,     0,     0,
       0,     0,  2071,   334,     0,     0,   783,  2756,     0,     0,
    2759,     0,  2479,  1867,     0,  2845,  1354,  2842,     0,     0,
    1430,     0,   226,   227,   225,  1343,   228,  1344,  1340,  1326,
       0,   893,     0,  2849,  2850,   878,     0,   888,     0,  2849,
     876,     0,   889,   886,   887,     0,     0,     0,  2843,  2727,
    2733,   892,     0,     0,   474,   476,     0,     0,  2027,  2040,
       0,  2063,  2089,  2090,  2167,  2171,     0,  2194,  2203,     0,
     916,   945,   911,     0,     0,  1382,   883,   881,  1207,  1347,
    1873,     0,  1430,     0,     0,  1088,  1085,  1084,  1083,   244,
     216,     0,     0,     0,   947,  2166,  1222,   856,   571,     0,
       0,  1737,  1738,  1619,  1606,  1914,     0,     0,  1614,  1613,
       0,     0,     0,     0,     0,  1596,  1595,  1594,  1736,  1881,
       0,  1593,     0,     0,     0,     0,  1620,  1620,  1618,  1667,
       0,  1597,     0,     0,  1894,     0,  1900,     0,     0,     0,
    1626,     0,  1624,     0,     0,  1703,     0,     0,     0,     0,
       0,     0,     0,     0,  1651,  1652,  2684,  1734,  1867,     0,
    1735,  1962,     0,     0,  1612,     0,  1644,  1857,     0,     0,
       0,     0,  1927,     0,  1865,     0,     0,  1681,  1863,     0,
    1683,     0,     0,     0,  1856,  1854,  1855,  1848,  1849,  1850,
    1851,  1852,  1853,  1861,  1664,     0,  1938,     0,  1816,     0,
    1663,     0,  1501,  1432,     0,     0,  1960,  1917,     0,  2734,
    2737,  1730,  2608,  2607,  2606,  2605,  2576,     0,  2570,  2571,
       0,  2609,  2610,   260,   261,   257,     0,     0,   212,   211,
       0,   234,   235,   206,   233,     0,   229,   230,   214,  1805,
    1804,   213,   205,   202,   200,   217,   219,   220,   203,   201,
     255,   253,     0,     0,     0,  1919,  1918,  1950,  1923,     0,
       0,   334,  2511,  1305,     0,  1302,  1932,     0,  1427,     0,
    1945,     0,  1314,  1423,  1422,  1454,  1455,   982,  1421,  1479,
    1480,  1475,     0,     0,     0,  1494,  1492,  1471,  1465,  1470,
    1468,     0,  1472,  1647,  1487,  1411,  1459,  1460,  1463,  1410,
       0,  1490,     0,  1382,  1488,  1464,  1369,     0,     0,  1543,
       0,     0,  2519,  2517,  2457,  1572,  2511,  2450,  2511,  2506,
    2438,  1638,  1639,  1640,  1641,  1642,  1643,  2439,     0,  2436,
    1637,  2437,   551,   552,     0,     0,     0,  2405,     0,  2386,
    2411,  2542,  2651,  2574,     0,  2575,     0,     0,  2539,     0,
    2549,  2552,  2550,  2553,     0,  1572,  2730,  2625,  2730,  1572,
    1004,  1006,     0,  1005,     0,  1008,     0,  1017,     0,     0,
    1003,  1022,     0,  1011,  1009,     0,     0,     0,     0,     0,
       0,   807,     0,     0,     0,     0,     0,     0,  2194,   248,
    1269,     0,     0,     0,     0,   949,   948,     0,     0,   969,
       0,     0,     0,  1283,   462,     0,   331,     0,     0,     0,
       0,     0,     0,     0,     0,   712,   709,     0,     0,   708,
       0,   584,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     620,     0,  1138,     0,   653,     0,  1038,     0,  1037,     0,
       0,     0,  1039,  1034,  1035,  2167,  2175,  2199,   250,  1055,
       0,  1054,  1052,   992,     0,   993,     0,     0,     0,     0,
       0,  2050,   286,   299,     0,  1137,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   320,     0,   323,
     322,     0,     0,     0,     0,     0,   327,     0,     0,     0,
     326,     0,     0,     0,     0,     0,  1138,     0,   280,     0,
       0,     0,     0,     0,     0,  1068,     0,     0,   166,     0,
     162,   165,     0,     0,     0,   533,   536,   548,     0,   540,
     541,   538,   542,   543,     0,     0,     0,     0,     0,     0,
       0,   535,     0,     0,   643,   642,   648,     0,     0,     0,
       0,     0,     0,     0,     0,  1091,  1090,     0,     0,     0,
       0,     0,     0,   751,     0,     0,     0,     0,     0,     0,
       0,   169,   656,   657,     0,   658,     0,   167,   168,     0,
       0,     0,     0,     0,     0,     0,   224,  1229,  1235,  1300,
    1951,  1299,     0,     0,     0,   843,     0,     0,     0,     0,
       0,     0,     0,   845,   846,   847,   848,     0,     0,     0,
       0,     0,   368,   369,   141,   367,     0,   740,  2685,   715,
       0,  1572,     0,  1568,  1564,  1633,  1632,  1631,     0,  1578,
    1587,  1584,   728,     0,   730,   733,     0,  1248,   435,     0,
       0,   577,   620,     0,   420,   174,     0,     0,     0,     0,
     139,   185,   187,   418,     0,   186,   188,   190,   191,   192,
     189,   193,   640,   644,     0,   573,     0,     0,     0,     0,
       0,   666,   670,   669,   673,   671,     0,   667,     0,     0,
    1560,     0,   161,     0,   523,   532,     0,  2383,     0,   420,
     504,   345,     0,   473,     0,     0,   966,     0,     0,     0,
       0,     0,  2403,     0,     0,     0,     0,  1397,     0,  1059,
       0,  1276,  2071,   334,     0,  1057,   179,  1973,     0,   784,
       0,     0,     0,     0,     0,  1061,   780,   171,     0,   334,
     334,   576,     0,   334,   173,     0,     0,     0,   568,   334,
     804,  2757,  2763,  2761,  1356,     0,  2846,  2840,  2841,   473,
    1401,  1328,  1339,   890,   897,   879,   896,   895,   877,   894,
     891,  2541,     0,     0,  2732,     0,   908,     0,   472,     0,
       0,     0,   922,   923,     0,     0,   921,   938,   924,     0,
     926,   918,   917,   927,   928,     0,     0,   947,     0,  1379,
       0,  1377,     0,  1541,  1381,  1370,  1348,     0,  1346,  1351,
    1353,  1352,  1350,     0,   517,     0,     0,   905,     0,     0,
     334,  1221,     0,   858,   859,   865,     0,     0,     0,     0,
       0,   866,   862,   863,   864,   867,   868,   869,     0,     0,
       0,  1877,     0,  1878,     0,     0,     0,  1913,  1909,     0,
       0,     0,     0,     0,     0,  1885,  1886,  1887,  1884,  1888,
    1883,     0,     0,  1889,  1882,     0,     0,     0,     0,     0,
    1617,  1616,     0,     0,     0,     0,     0,     0,     0,  1706,
    1739,     0,     0,  1841,     0,  1867,  1899,     0,     0,  1628,
       0,     0,     0,     0,     0,     0,     0,  1867,  1905,     0,
       0,     0,     0,  1803,     0,  1800,     0,     0,     0,     0,
    1924,     0,     0,     0,     0,  1963,  1648,  1665,  1937,     0,
    1926,     0,     0,  1649,  1672,     0,  1906,  1699,     0,  1704,
    1687,     0,  1680,     0,  1685,  1689,  1668,  1927,  1866,     0,
    1864,     0,     0,  1666,     0,  1661,  1659,  1660,  1653,  1654,
    1655,  1656,  1657,  1658,  1662,  1845,  1843,  1844,     0,     0,
       0,  1824,     0,     0,  1684,  2065,  2098,     0,  1444,  1444,
    1444,  1431,  1442,     0,  1555,  1936,     0,     0,     0,     0,
    1740,     0,  1871,  1453,  1869,  1953,  2739,  2738,  1925,     0,
       0,     0,  1942,     0,     0,  1644,     0,   254,  1539,  1920,
       0,   810,   811,   809,  1572,  1324,  1308,  1304,  1303,  1931,
    1323,     0,  1430,     0,   980,   981,     0,   985,     0,     0,
    1473,  1495,     0,  1486,     0,  1477,  1478,  1469,  1496,  1491,
    1415,  1414,     0,  1558,     0,     0,  1366,  1359,  1544,     0,
    1501,  1384,  1386,  1387,     0,  1924,  2455,  2513,  2460,  2481,
    2451,  2484,  1646,  2433,  2473,     0,  2407,  2577,  2578,     0,
    2568,  2569,  2538,  2544,  2615,     0,  2731,     0,     0,  1007,
       0,  1587,  1018,     0,  1002,     0,  1001,  1587,     0,  1019,
       0,  1587,     0,     0,     0,  1166,  1093,  1142,   808,  1167,
    1094,  1143,  1168,  1095,  1270,     0,  1272,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   691,  2071,   334,  1281,  1169,     0,  1096,   330,  1282,
    1144,  1286,   711,   710,     0,     0,  1145,     0,   585,     0,
       0,   590,   591,   592,     0,     0,     0,   593,     0,  2009,
    2057,     0,   598,   605,   610,   600,     0,   611,   606,     0,
       0,     0,     0,     0,     0,   617,   619,     0,     0,     0,
       0,     0,     0,  1032,  1033,  1170,  1099,     0,  1146,   991,
       0,  1100,   175,     0,     0,   273,   287,   626,   691,  1140,
     306,   319,   314,   315,   313,  2071,   334,  2071,   334,     0,
       0,     0,     0,   316,   311,   312,   308,   321,  1986,  2042,
    2176,     0,   630,   632,     0,   637,   324,  1114,   341,   340,
     339,     0,   328,     0,   346,   349,   325,   304,   307,   305,
     301,   285,     0,     0,     0,     0,     0,     0,     0,  1949,
       0,     0,  1063,     0,     0,     0,   164,  1128,     0,     0,
     150,     0,     0,     0,     0,   144,   154,     0,  1176,  1104,
       0,     0,   277,     0,   529,   539,   544,  1108,   547,  1156,
     545,   527,  1182,  1105,     0,  1138,     0,   269,     0,  1106,
       0,  1150,  1178,  1130,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1289,     0,     0,     0,     0,     0,   334,
       0,     0,     0,  1140,  2071,   334,  1177,     0,  1135,  1164,
       0,   354,     0,  1129,     0,     0,   279,  1110,  1158,     0,
       0,   222,   221,   223,     0,     0,     0,     0,     0,     0,
       0,     0,   850,   819,   849,     0,     0,     0,   813,   390,
     363,   364,   366,   373,   739,     0,     0,     0,  1569,  1565,
       0,     0,     0,     0,     0,     0,  1585,   729,     0,     0,
       0,     0,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1249,
    1279,     0,   141,     0,     0,     0,   579,   619,   626,     0,
       0,     0,   419,   423,   427,   428,   429,     0,     0,     0,
       0,   155,   142,     0,   769,     0,   473,     0,   187,   180,
       0,     0,     0,   345,   726,   724,   723,   725,     0,     0,
       0,   744,   722,     0,  1559,  1561,     0,     0,     0,     0,
       0,     0,   422,     0,   476,     0,     0,   508,     0,     0,
       0,   345,     0,     0,   996,     0,  1014,   997,     0,     0,
       0,  1043,  1048,  1044,  1024,     0,   556,  2401,  2395,  1402,
    1403,     0,   334,     0,     0,   621,   334,   334,     0,   334,
       0,   334,   334,     0,  1204,   647,     0,   699,     0,     0,
     334,   782,  1868,     0,  2540,  2728,   909,   475,     0,     0,
       0,     0,   920,     0,   554,   925,     0,   937,   932,   934,
       0,   941,  1380,  1373,  1375,  1374,     0,     0,  1371,  1874,
     781,     0,   522,     0,     0,   334,     0,   942,     0,   860,
     861,     0,     0,   870,     0,     0,  1449,  1875,  1876,     0,
       0,     0,     0,  1910,     0,     0,  1778,     0,  1754,  1756,
    1586,  1768,     0,  1599,  1779,  1780,  1758,  1760,     0,  1858,
       0,     0,  1769,  1708,  1709,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1721,  1720,
    1770,  1840,     0,     0,  1897,  1898,  1771,  1629,  1630,  1630,
       0,     0,  1904,     0,     0,     0,  1776,  1781,     0,     0,
       0,     0,  1787,     0,  1808,     0,     0,     0,  1731,  1868,
    1621,  1622,     0,     0,     0,     0,     0,     0,     0,     0,
    1705,  1688,  1682,     0,  1686,  1690,     0,     0,     0,     0,
    1674,  1700,  1670,     0,     0,  1676,     0,  1701,     0,     0,
       0,  1747,  1444,  1444,  1444,  1444,  1441,     0,     0,     0,
       0,  2164,     0,  1522,  1500,  1502,  1509,  1522,  1527,  1749,
    1553,  1750,     0,  1943,     0,  1482,  1453,  1453,  1453,  1746,
       0,     0,     0,  1452,  2590,  2592,  2593,  2594,  2595,  2596,
    2598,  2599,  2601,  2602,  2603,  2591,  2597,  2600,  2604,  2581,
    2582,     0,  2572,  2573,   198,     0,   231,   218,     0,  2615,
    1306,  1946,     0,  1456,     0,  1859,   985,   983,   984,  1458,
       0,     0,  1493,  1466,  1368,     0,  1366,  1361,     0,  1362,
    1924,     0,  1358,  1391,     0,     0,  1558,     0,  1390,     0,
    2515,  2443,     0,     0,  2614,  2617,  2628,  2626,  2453,     0,
    1587,   999,  1000,     0,  1023,     0,  1165,  1092,  1141,  1268,
     952,   953,     0,   951,     0,     0,     0,   461,   968,     0,
       0,     0,   691,     0,     0,   465,     0,  1284,     0,  1183,
    1127,   587,   588,     0,   599,     0,   608,   607,     0,     0,
     595,     0,     0,     0,     0,   594,   613,   560,   614,   616,
       0,     0,   615,   618,   623,  1138,     0,   654,  1116,     0,
    1162,  1026,     0,   994,     0,     0,     0,     0,   435,   300,
       0,     0,     0,   288,   298,     0,     0,   303,     0,   296,
     317,   309,   318,   310,   634,   635,   633,   629,     0,   636,
     638,     0,   343,     0,     0,     0,  1172,     0,  1138,     0,
     281,  1112,     0,  1160,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1173,  1147,     0,     0,   147,
     146,     0,   153,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     355,   336,     0,   747,     0,     0,     0,   357,     0,     0,
       0,     0,  1171,  1101,   814,     0,     0,   815,   823,     0,
       0,   816,     0,     0,   825,     0,     0,   362,   370,   741,
       0,  2120,  1848,  1849,   737,   742,   734,   736,   735,   738,
     691,     0,     0,     0,  1570,     0,  2829,  2837,  2836,     0,
    1644,   731,   732,     0,  1268,  1267,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   447,     0,     0,
     441,     0,     0,  1048,   434,   437,   438,     0,     0,   580,
     583,   581,   582,   612,     0,   454,     0,     0,   157,     0,
       0,   158,   156,     0,     0,   345,     0,   183,   418,     0,
       0,   572,   672,   675,   668,     0,   743,   745,   720,     0,
     626,     0,   524,     0,  1357,   517,     0,   504,   500,   502,
     501,   503,     0,   510,   344,     0,   517,   510,     0,   969,
     995,     0,     0,     0,  1041,  1045,  1042,     0,     0,  1010,
       0,  1025,   988,  1199,  1200,  1197,  1198,     0,     0,  2418,
    1393,  2427,  1060,     0,   334,  1058,   785,     0,   776,     0,
     778,  1062,   334,   334,   659,     0,   569,     0,     0,     0,
       0,   919,   939,     0,   935,     0,     0,   902,   944,  1378,
    1376,   515,     0,   947,     0,   903,   946,     0,     0,     0,
       0,     0,  1879,  1605,     0,  1912,  1908,     0,  1751,  1880,
       0,  1892,  1891,  1707,  1893,     0,  1726,     0,     0,  1718,
    1716,  1717,  1710,  1711,  1712,  1713,  1714,  1715,  1719,  1902,
    1901,  1895,  1896,  1625,  1623,     0,  1773,  1774,  1775,  1903,
    1782,     0,  2000,  1809,  1786,  1802,  1801,     0,     0,     0,
    1789,     0,     0,  1798,     0,  1842,  1611,  1644,  1650,     0,
       0,  1673,  1907,  1691,     0,     0,     0,  1669,     0,     0,
       0,     0,  1678,  1858,     0,     0,     0,     0,  1827,  1822,
    1823,     0,     0,     0,     0,  1435,  1434,  1440,  1522,  1527,
       0,  1417,     0,  1509,     0,  1521,  1507,  1520,     0,     0,
    1533,  1531,     0,  1533,     0,  1533,     0,  1504,     0,  1523,
    1505,  1520,  1552,  1545,     0,  1944,  1554,     0,  1484,     0,
       0,     0,     0,  1872,     0,  1870,  1741,     0,     0,     0,
    1921,  2613,  1428,     0,  1457,  1474,  1467,     0,  1556,  1367,
       0,     0,  1364,  2845,     0,     0,  1385,  1366,  1388,  2459,
       0,  2514,  2579,  2580,  1020,     0,     0,  1012,     0,   958,
     959,   957,   960,     0,     0,     0,   691,     0,     0,   481,
       0,   976,   976,     0,     0,   467,   513,  1048,   694,     0,
       0,     0,   692,   334,  1097,     0,   609,     0,     0,   604,
     602,   601,   603,   561,  1181,  1098,     0,     0,     0,     0,
    1027,     0,     0,  1115,     0,   432,     0,   293,  1139,     0,
       0,     0,   292,     0,   334,   334,   631,   342,   347,   348,
     351,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   770,   753,     0,     0,   771,   772,     0,
       0,     0,  1065,  1066,  1064,   151,   148,   149,   152,  1125,
    1109,  1157,   530,   528,     0,     0,  1107,     0,  1151,  1122,
    1118,     0,     0,     0,     0,     0,  1180,  1134,  1155,  1179,
    1132,  1153,  1131,  1152,  1133,  1154,  1126,     0,  1563,   750,
       0,     0,     0,   334,   334,   661,  1111,  1159,     0,   817,
       0,     0,   818,   820,   393,     0,   396,   403,   374,   379,
    1288,     0,  1288,     0,   376,   380,  1288,   375,  1288,   372,
     713,     0,     0,     0,  1566,     0,  2511,     0,     0,     0,
       0,     0,  1571,  1579,   690,     0,  1259,  1258,  1257,  1261,
    1260,  1263,  1262,  1254,  1253,  1266,  1265,  1252,  1251,  1256,
    1255,     0,   439,     0,   445,   449,   450,   448,   440,  1048,
     473,   512,     0,     0,   703,     0,   578,   420,   451,     0,
     424,   160,   159,     0,     0,     0,   187,     0,     0,   677,
     681,   721,     0,  1562,   655,   345,     0,     0,   420,   517,
    2384,     0,   425,   430,   431,     0,   508,     0,   504,     0,
       0,   514,  1246,   518,   519,     0,     0,   998,  1015,  1016,
       0,     0,  1048,  1047,     0,   563,     0,  2391,   334,   622,
     334,   334,  1205,   700,     0,   931,   930,   929,   555,     0,
     933,   516,   334,     0,     0,     0,     0,     0,   872,   851,
     871,  1911,  1767,  1777,  1890,     0,     0,  1727,     0,     0,
    1772,  2267,     0,     0,     0,     0,  1806,  1807,  1788,     0,
    2111,  1793,     0,     0,     0,  1964,  1697,  1695,  1692,     0,
    1693,     0,     0,  1675,  1671,     0,  1677,  1702,  1813,     0,
    1829,  1826,  1439,  1438,  1437,  1436,  1508,  1506,     0,  1511,
    1518,     0,  1503,     0,  1532,  1528,     0,  1529,     0,     0,
    1530,     0,     0,  1518,     0,  1453,     0,     0,  1818,  1744,
    1745,  1742,  1453,  1961,  2583,     0,  2586,  2584,  2585,  2589,
    1644,     0,     0,  1360,  1363,  1365,     0,  1392,  1383,  2516,
    1013,  1021,  1274,     0,     0,     0,   463,     0,  1048,     0,
       0,     0,   979,   979,     0,  1048,   512,   696,   695,   698,
     693,   697,  1285,     0,   596,   597,  1117,     0,  1163,  1123,
       0,  1382,     0,   627,   289,   290,   291,   294,   336,   302,
     295,     0,     0,     0,  1113,     0,  1161,  1120,  1174,  1102,
    1148,     0,     0,   759,     0,     0,     0,     0,  1175,  1103,
    1149,     0,     0,  1382,     0,     0,     0,     0,  1294,     0,
     335,   749,   748,   336,   356,  1136,     0,   821,   822,   394,
     141,     0,   371,     0,   401,     0,   399,   398,   400,     0,
     387,     0,     0,     0,     0,     0,     0,  1567,     0,  1079,
    1079,  2830,     0,  2831,  2832,  2833,  2834,  2835,     0,   691,
    1264,     0,     0,   436,   512,   480,     0,   442,     0,     0,
       0,     0,     0,     0,     0,   626,     0,     0,     0,   182,
     420,   626,   676,     0,     0,     0,   746,     0,   525,   422,
       0,  1355,   421,     0,     0,   510,     0,   508,     0,   505,
       0,   509,     0,  1239,     0,     0,  1046,     0,  1050,     0,
    1009,   986,  1555,     0,   567,  2417,  2421,  1080,   777,   779,
     660,   936,   943,   334,   852,   853,   854,   855,  1722,     0,
       0,     0,     0,  1783,     0,  1784,  1811,  1810,  1790,  1794,
       0,  1791,  1792,  1694,  1698,  1696,  1679,  1815,     0,  1453,
    1548,     0,  1551,  1510,     0,     0,  1512,     0,     0,  1514,
    1516,     0,     0,     0,     0,     0,  1947,     0,  1481,  1483,
       0,  1418,     0,  2588,  2587,   232,  1860,  1557,  1389,   937,
       0,   334,   976,   512,   482,  2120,   483,   975,     0,   977,
     982,   982,     0,   512,   691,   589,     0,     0,   274,   625,
       0,   338,   350,     0,  1382,     0,     0,     0,   766,   754,
       0,     0,   773,   531,     0,   270,  1119,     0,     0,     0,
       0,     0,   334,   824,   373,     0,   397,   406,     0,   404,
     377,   382,     0,   386,   384,   383,   378,   381,  1079,     0,
    1076,  1075,  2838,   689,     0,   471,   443,     0,   491,     0,
       0,   704,     0,     0,     0,   460,   459,   456,   455,   457,
     458,   453,   452,   651,   763,   345,  1246,   639,   678,   679,
     674,     0,     0,     0,   504,   500,   426,   435,   409,     0,
     510,   506,   507,     0,     0,     0,  1296,     0,   970,  1049,
       0,     0,     0,   562,     0,     0,   566,   557,     0,  2419,
     904,  1723,     0,  1724,     0,     0,     0,  1796,  1795,     0,
    1832,  1553,     0,     0,  1547,     0,  1519,  1535,     0,  1515,
    1513,  1524,     0,  1526,  1741,  1817,  1819,     0,  1743,   954,
       0,   955,   979,   486,     0,   978,   985,   985,   473,   691,
     464,  1124,     0,   628,     0,   297,     0,   282,  1121,     0,
     757,     0,   768,   766,     0,     0,     0,  1290,     0,  1291,
    1292,  1295,   358,   361,   392,   402,     0,   385,  1074,  1078,
    1077,     0,     0,   444,   477,   478,   479,     0,   446,   487,
     488,     0,   701,     0,   706,     0,     0,     0,     0,     0,
    1240,     0,     0,  1246,   508,   504,   433,   499,   407,     0,
    1243,     0,   345,     0,  1048,  1051,  1203,   565,   564,  2422,
    2424,  2423,     0,  1725,  1799,  1785,  1812,  1797,  1828,     0,
       0,     0,  1546,  1549,     0,  1517,     0,  1525,     0,     0,
       0,   982,     0,   691,     0,   973,   972,   480,   466,  1382,
     337,     0,     0,     0,   764,   767,   755,   768,   775,   774,
    1382,     0,   405,     0,   470,     0,     0,     0,   489,     0,
     490,   511,     0,   705,     0,   626,   762,     0,     0,   680,
       0,  1241,   510,   508,  1244,  1245,   510,   971,   987,  1202,
    1201,  1430,  2420,  2232,     0,  2205,     0,  1830,  1833,  1831,
    1825,     0,  1534,  1820,  1821,   334,   985,     0,   468,   484,
     491,   275,  1382,     0,     0,   756,   271,  1293,   681,   496,
       0,   495,     0,   493,   492,   702,   707,   652,   752,  1246,
     684,   410,   510,  1555,  1185,  1430,  1184,  1186,  1194,  1191,
    1193,  1192,  1190,     0,  1837,  1836,  1835,  1839,  1838,  1550,
     956,   974,     0,   691,   283,   758,   765,     0,   494,   498,
     497,  1242,     0,   682,   685,   688,   686,   687,   408,   961,
       0,  1195,  1189,  1417,  1404,     0,   485,   469,     0,   662,
       0,  1187,  1430,  1834,     0,   683,  1188,     0,   684,     0,
     663
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4568, -4568,  4149, -4568, -1198,  -444,  2634, -1063, -4568, -4568,
   -4568,  1064, -4568, -4568, -4568, -4568, -4568, -4568, -4568,  3311,
   -4568, -4568,  1816, -2627, -4568, -4568,   -41,  3280, -1620,   -47,
    2908,  1480, -4568, -1395, -4568, -4568,  -819,    18, -4568,  3288,
     454, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -1154,
    1967,  1299,  2225, -3531, -4568, -4568, -1714, -3352, -4568,   678,
   -4568, -4568,  1904, -4568, -4568, -4568,  1150,   601,  -359, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568,  -164, -4568, -4568,  -496,
     260,  -100, -2625,  -218, -4568, -4568,   548,  -220, -1622, -4568,
   -3682, -4568,   101, -4568, -4568, -4568,  -194, -1725,  1393, -4568,
    -982, -1418,  1727,  -552, -4568,   -73, -4568,  -613,  -492,  -488,
    -564,  -381, -3865, -4299, -3873, -3664,  1408, -4568, -3818,   263,
   -4568, -4568,   264,   287, -4568, -1829, -1816, -1738, -4568, -1050,
   -4568, -4568, -4568, -3124, -4568, -4568, -4568, -4568,   -87, -4568,
   -4568, -4568, -4568,   578, -4568, -4568, -4568, -4568, -4568, -4568,
   -2914,  1867,  1868, -4568, -4568, -3315, -4568, -1218, -4568,   720,
   -3153,  1322, -4568, -4568, -4568,  2586, -4568, -4568, -4568, -4568,
   -4568, -4568, -1911, -4568, -4568,   290, -4568,  1877,  1127, -4568,
   -4568, -4568,  -600,  -673,  -661, -4568, -3047, -4568, -4568, -4568,
   -4568,  -159, -4568, -4568, -4568, -4568, -4568, -4568, -1272, -4568,
    1184, -3267, -4568, -4568,  1198, -4568, -4568, -4568, -4568, -4568,
    -553,   -89,  2612, -4568,  -436,  -527, -4568, -4568, -4568,   -86,
   -4568, -4568, -4568, -4568, -4568, -4568, -1367, 12708, -1874, -4568,
   -4568, -4568, -4568, -2592, -4568, -4568, -4568, -1777, -4568,  4409,
      11,   117,   298, -4568,  -197,   -96,  3148, -1423, -2819,   512,
    -250, -4568, -2082, -4568, -4568, -4568, -2712, -4568, -4568, -4568,
   -4568, -3623,   302, -4568,  3132, -4568,   563, -4568, -4511, -4075,
   -4401, -4039, -3606, -4568, -4568, -1364, -4568, -4568, -4568, -1769,
    2174, -2172, -4568, -2366,   564,  1479, -1252, -2948, -3889, -1028,
   -3365, -4568, -3828,  -357, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -1360,  -900, -4568, -4568,  3670, -4568, -3536, -4568, -4568,
   -4568, -4568,  1239, -4568, -4568, -1734,  1263, -4568, -4568, -4568,
   -4568, -4568,  -537,  -629, -4568, -4568, -4568,   319, -4568, -4568,
   -4568, -4568,  1798, -1210, -1018,  3522,   320, -4130, -4568, -4568,
   -4568, -4568, -3163, -4568, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -2025, -4568, -4568, -4568, -4568, -4568, -4568, -4568,  2292,
    2293,  -113,  -217, -4568, -4568, -1528, -4568,  -835, -4568,  2541,
   -4568, -4568, -4568, -4568,  1555,   322,   604,   -59, -4568, -4568,
     378, -3548,   -58, -4568, -4568, -4568, -4568, -2312,   -52, -4568,
     879, -4568, -4568, -2951, -4568,   349,   -74,  3214,  1822,   -49,
     255,  -238,  -236,  -228,   -67,  3521,  2989, -4568, -4568, -4568,
    -169,  1994, -4568, -1121,  -340, -4568,  1570,  -930,  2261,  2972,
    2977, -4568,  1566, -4568, -4568,  1572, -4568, -4568, -4568,  -928,
    2278, -4568,  2980, -4568, -4568, -4568,  1553,  1562, -3522,   974,
   -3534, -3477,   459,   445,  -828,  -182,  -158,  3569,  2984,   981,
    -327, -4568, -4568,  -325, -4567,   911, -4568, -4391, -2497,  1451,
   -2193, -1898, -4568, -4568, -1436, 10597, -4568, -4568, -4568, 15349,
   20448, -4568, -4568, 21427, 21877, -4568, -1312,  1027, 22452,  9510,
   -1482, -1916, -1578, 19852,  -866,  1666, -2689, -4568, -3650, -2641,
   -4568, -4568, -4568,  -141,  1039,   249, -4568, -4568, -4568, -4568,
   -4568, -4568,  -435, -4568,  -434, -4568, -4568, -4568,  -426, -3800,
    1681, -4568,  -831, -4568, 21386,  1602, -4568, -1110, -2869, -2886,
   -3503, -2036, -4568, -4568, -4568, -4568, -4568, -4568, -4568, -2447,
   -3402,  -538,  1684, -4568, -4568,  1773, -4568, -4568, -4568, -1585,
   -1163, -2794,  1685, -2233, -4568, -1115, -4568,   930,  2410, -1069,
    6352, -1568, 17159,  -119, -2251, -1566, -1818, -4568,  -559, -4568,
    2711,  3776,  -856,  -157,  -938,  7038,  3968,  5614, -3252, -4568,
   -4568,   361, -4568, -4568, -4568,  4040,  1189, -4568,  3345, -4568,
    1917,  2661, -4568, -4568,  2283,  -971,    36, -4568,  -400, -4568,
    -136, -4568, -4568, -4568,   152, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568, -4568, -4568,  3001, -4568, -4568, -1512, -4568, -4568,
   -4568, -4568, -4568,  4302,  -368, -4568,  3712,  -365, -4568, -4568,
   -4568, -4568, -4568, -4568, -4568, -4568, -4568,  3026,  2314, -4568,
    3503, -4568, -4568, -4568,   -27,  3224, -4568, -4568, -4568, -1229,
    -605,  3525,  3537,  2281, -4568, -4568, -4568, -4568, -4568, -4568,
   -4568, -4568,  2287, -4568, -4568,  1656, -2188,  2290, -4568, -4568,
     953, -4568, -4568,   480, -4568,   947, -4568,  3117, -4568, -4568,
   -4568,   990, -4568, -4568, -4568,  -603, 15293,   -17,   183,    57,
    1209, -4568,  9724,  5864,     1,  3035,   -69, 12790, 19638,  2268,
   -4568,  4296,  2294,  1890, -1034, -4568,  4152,  2604, 19319, -4568,
   -1030,     5,  1708, -4568,    -2,  -670, -1206,  3322,  -767, -2026,
   -4568,  4715, -4568, -3705, -4568, -1049,   475,  3718, -1253
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   247,   248,  1754,  2705,  2580,  3431,  3432,   249,
     250,  1829,   251,   252,   253,   254,   255,   256,   257,  1770,
     258,   259,  1323,  1984,  2715,   260,  2449,  1085,  1086,  1087,
    2304,  2305,  2647,  2306,  2293,  1604,  2086,  1789,  1051,  1052,
    1756,  1790,   262,   263,  1598,  2285,   264,   265,   266,  1816,
    1817,  1764,  2029,  4378,  5015,  3262,  2560,  3469,  3263,  3264,
     267,  1880,  1881,   268,   269,  3382,  1921,  2674,  3937,  3938,
    4409,   885,  2671,  4700,  4701,  4395,  4396,  4707,  4898,  4899,
    2716,  1980,  3463,  4027,  3422,  4481,  3423,  4482,  3424,  4483,
    3410,  3984,  3985,  3986,  3425,  4458,  4931,  3426,  2464,  5043,
    2750,  2116,  2114,  4918,  4268,  4269,  5103,  5048,  5049,  5050,
    5183,  4488,  3467,  4033,  4491,  4737,  3161,  2004,  3542,   985,
    2752,   916,   986,  2717,   274,  1849,  1850,  1851,  2588,  3944,
    3525,   275,  1342,  3806,  4784,  4966,  4967,   276,   873,   277,
    1988,   278,   279,  2701,  3416,   280,  2481,  3178,   281,   282,
    3205,  3206,  3207,   283,   284,  3828,  4652,  1818,  3251,  3252,
    3253,  3254,  3849,   285,  1986,  1856,  2724,   286,   287,   288,
     289,   290,  2634,   291,   292,  2718,  1996,  2736,  2737,  4470,
    4753,  4940,  4755,  5222,  5223,  4729,  3785,  4282,   294,   295,
    4453,  4454,  5055,   296,  2479,   297,   298,   299,  1964,  2693,
    2694,  3945,  1923,  2676,  2677,  4015,  4016,   300,  3342,   301,
    4333,  4334,   917,  5058,  5022,  5116,   302,   303,  4337,  4338,
     304,   305,   306,   307,   308,   973,  1395,  1396,  1746,   309,
    2321,   310,  1296,  3373,   311,  1484,  2889,  4529,   312,  1009,
    1420,  1421,  2719,   314,  1020,  2867,  1022,  2129,  3527,  3528,
    4087,  2836,  1211,   315,   316,  2847,  2870,   317,  1757,  2455,
    2456,  4263,  2720,   918,  2010,  2755,  3156,  4957,  4270,  4632,
    4860,  3067,  3729,   319,   919,  1794,  2524,  2758,  3475,  2427,
    2428,  2429,  4048,  2430,  3477,  2431,  1740,  2432,  3482,  3483,
    3484,  4044,  4052,  4778,  4779,   320,  1792,  2522,   321,   322,
     323,  1826,  1231,   324,   941,   942,   325,  4910,   326,  1361,
     327,  1041,  2146,   328,   329,  2537,  3835,   330,   331,   332,
    5196,  5230,  5231,  5232,  4057,  5151,   333,  5198,  1462,   335,
     336,   337,   876,  1262,  1263,  1264,  2721,  4773,   339,   340,
    2697,  3409,  3966,   341,   342,  2450,  3146,   343,   344,   345,
     346,  1968,   347,   348,   349,   350,  1900,   351,  1635,  1636,
     352,   353,   880,  1105,  1639,  1647,   354,   988,  1414,  1415,
    1416,  2088,   355,  1466,  2858,   989,  1409,   990,  3086,  3738,
    3739,  3742,   991,  3083,   359,  2135,  2852,  2855,   992,  3090,
    3091,  3092,  3093,  3094,  3744,   993,  1011,  1352,  2766,   994,
    1555,   364,   365,   366,  1114,  1109,  1110,   368,  2262,  3021,
    1028,  1653,  1070,  1121,  3693,  2335,  2336,  2358,  2359,  1662,
    1663,  2348,  2350,  3069,  2351,  3077,  2341,  4218,  4598,  2354,
    2355,  1665,  1666,  1667,  2363,   369,  3024,  3674,  3675,  3676,
    4195,  4196,  4210,  4206,  4585,  4829,  3677,  1456,  1673,  3678,
    4820,  4821,  4984,  4213,  3685,  3736,  3453,  3454,  3455,  2433,
    2684,  1946,  1556,  1947,  2691,  1557,  2181,  1949,  1558,  1559,
    1560,  1952,  1561,  1562,  1563,  1564,  2164,  2224,  1565,  1566,
    2200,  1153,  1154,  2073,  2928,  1568,  1569,  1570,  3680,  1571,
    4153,  4553,  4542,  2954,  2955,  2301,  4149,  3620,  2258,  3011,
    4841,  4995,  4996,  3661,  4179,  4570,  4819,  5091,  5157,  5158,
    1572,  3008,  2253,  1233,  1573,  3947,  2255,  2948,  3033,  3034,
    2141,  2162,  2894,  2911,  2912,  2925,  3581,  2932,  2937,  3604,
    3605,  2949,  2977,  1574,  2897,  2898,  3564,  2166,  1575,  1628,
    1629,  2271,  2972,  1642,  1643,  1107,  1576,  1577,  1578,  2130,
    1096,  4825,   726,   709,  3278,  2316,  1266,  1025,  1579,  1580,
    1581,  1370,  1371,  1695,   671,   710,   711,  1191,   823,     2,
      75,   995,  3461,   373,   374,   921,   922,   923,  1344,  1345,
    2015,  2018,  1700,  2399,   675,   676,   727,  4507,  4785,  4969,
     979,   375,   376,   377,   378,  1696,  2395,  1155,    76,    84,
      77,  1156,   415,   416,  2376,   379,   840,   380,  1676,  1135,
    3750,   381,   382,   383,   384,   385,   976,   386,  1137,   387,
    1138,   388,   389,   390,   391,  1145,   392,  1678,  1679,  4251,
    1680,   393,   394,   713,   714,  1407,   395,   396,  1172,  1173,
    1439,  1440,  1706,  1721,  1722,  1723,   397,   683,   398,   399,
     400,  1712,  1713,   401,  2278,  2279,  2404,  2280,   402,  3107,
    3108,   403,  3709,  3710,  4607,  3711,   404,  2274,   405,   406,
    1099,  3755,   407,   836,   408,  1186,   715,   716,   717,  1193,
     826,  1056,   728,  1195,  3255,   828,   829,   719,   720,   721,
    2108,    78,  3115,  2109,  1583,   729,  1584,  2269,  1585,  1586,
    1587,  1588,  1589,  1729,   723,  1162,  1399,  1400,  3116,  1402,
      82,  1403,   412,  3959,  2076,  1441,  2807,  2094,  2095
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      81,  1319,  1354,  1668,  2035,  2039,  1599,    79,  1113,   410,
    1013,   367,  1062,  1132,  1674,   410,  1133,  2045,   932,   357,
     358,  2085,   725,  1855,  2525,  1122,   360,  1232,  2113,   362,
    1013,  1741,   731,  2463,   920,  1448,  1449,  1450,  1831,  2837,
    2689,  1454,  2681,  1621,  2318,  2803,  1417,  1978,  1924,  3545,
     915,  3079,   987,  1898,  2202,  1885,  2153,  1998,  1377,  1098,
    1170,   409,  3124,  3126,  1613,  1095,  1034,   409,   878,  2542,
    1232,  2175,  2176,   972,  2533,  1021,   411,  3378,  2329,  3421,
    3812,  2649,   411,   934,  2690,  3439,  1848,   680,  2741,  3039,
    2191,  4011,  1864,  3031,  3059,  3844,   261,  3846,   367,  2556,
     409,  1890,  1694,  3993,  1380,   874,  2026,  1966,  2383,  2385,
    2386,  1971,  2601,  1063,  1392,   411,  1975,  4051,   827,  4037,
    4234,  1353,  2332,  1981,  2893,  3339,  1174,  1232,  2611,  4271,
     712,  1124,  3962,  2000,  3948,  3531,  1116,  1724,  3743,  1125,
    1354,  1726,  3688,  4166,  4209,   409,  4305,  3948,  1412,  2795,
    4192,   926,  4265,  2615,  2616,  4451,  2318,  3686,  3687,  4502,
     411,  1050,  4486,   827,  4494,  2518,  3628,  1819,   712,  2377,
    2377,  1092,  3759,  2744,   825,  1084,  2100,  2532,  1010,  2441,
    2075,  3829,  3098,  1791,  2168,  2169,  2745,  4765,  4239,   924,
     931,  1661,  2756,  1664,  2070,  1702,  1703,  4633,  1010,   931,
    4207,  4833,  4131,  4835,  3754,  1165,  1059,  4480,  1401,  3585,
    2188,  1715,  2276,   409,  1059,  4962,  1059,   884,  4493,   825,
    2222,   418,  3114,  1767,  1997,   418,  3118,  4631,   411,   130,
     131,   827,  4861,  2627,  1716,  1187,   414,  2622,   931,    45,
    3967,  3968,  3969,  3970,  3971,  3972,  2970,  2970,  1480,  1464,
    4415, -1620, -1620, -1620, -1620,  3543,  3123,  1348, -1620,  1606,
   -1954, -1954, -1954, -1954,  4958,  3808,  2027, -1954,  4042,   418,
    2738,  2027,    37,    38,    39,    40,  5021, -1846,    43,    44,
    1486,  1717,  3361,    45, -1846,  1190,  2319,   825, -2688, -2688,
   -2688, -2688,  3813,  3023,  1212, -2688,  2027,  3172,  2074,  -141,
     824,  3748,  -395, -2688,  3380,  1437,   367,  1119,  -141,   418,
    2965, -1620,   410,  -141,   357,   358,  1919,  2535,    43,  3280,
    3005,   360,  1103,    45,   362,  1768,  1962,  3006,  1300, -2689,
   -2689, -2689, -2689,   363,  3679,  4964, -2689,  1445,   270, -1862,
    4330,   271,   272,  1258, -2689,   824, -1862,   410,  3311,   418,
   -1630, -1630, -1630, -1630,  1632,  1437,  1633, -1630,  2469,  1437,
    2077,  1758,  3999,    45,   409,   273,  2087,  2869,   293,  2543,
    3147, -2686, -2686, -2686, -2686,  1895,   313,  3585, -2686,   411,
     318,  2228,  3681,  1913,  2513,  1358, -2686,    37,    38,    39,
      40,   261,  2220,  3679,    44,  1368,  5125,   334,   338,   409,
     356,  1657,  1592,  1898,   886,  1452,  2231,  3187,   681, -1630,
   -1630, -1630, -1630,   824,   411,  3268, -1630,  1126,  2466,  2267,
     363,  4335, -2685, -2685, -2685, -2685,  2535,   361,  2739, -2685,
    1608,   418,  4718,  1259,  2609,   841,  2233, -2685,  4331,   372,
    2384,  3681,  3148,  4992,  2219,    45,  2535,     3,   837,  4636,
     838,  2287,  1232,  1161,  2535,  1354,  3434,  2133,  2535,  2535,
    4719,  2202,   875,  1759, -2281, -2281, -2281, -2281,  4950,  2514,
    1659, -2281,  1189,  4640,  1260,  1133,  1615,   842,  1354, -2281,
   -1615, -1615, -1615, -1615,  3562,  1453,  4965, -1615,  3389,  3809,
    3691,  3987,  1603,  1446,  1127,  2175,  2176, -1620, -1620, -1620,
   -1620,  1112,  2191,  3813, -1620, -1587, -1587, -1587, -1587,  2320,
    4000,  3381, -1587, -1600, -1600, -1600, -1600,   920,  2028,  4336,
   -1600,  1175,  2046,  2028,  1261,  1209,  2681,  2263,  4332,  1896,
    3499,  2027,  3501,  1465,  1150,  1453, -1627, -1627, -1627, -1627,
   -1615, -2109,  1453, -1627,  2656,  1354,  1168,  1169,  2028,  1438,
    2832,  4306,  1476,  2660,  2838,  2628,  2840,  2971,  3648,  2843,
    3131,  2294,  5147,  1705,  1708,  1825,  2307,  2307,  1159,  2310,
    2311,  3867,  3173,  4699,  2063,    37,    38,    39,    40,  2740,
    3745,  3362,    44,  2089,  1769,  1737,  2623,  4319,  4043, -1846,
      37,    38,    39,    40,  1634,  1626,  2131,    44,  2223,  1627,
    3269,  5101,  3948,  2264,  2834,  1104,  4258,  1760,  3209,   246,
    1963,  2143,  1711,    37,    38,    39,    40,  2168,  2169,  2504,
      44,  4734,  1123,  4767,  2154,  2188,  5229,  2848,   363,  1963,
    3597,  2069,  3007,   270,   926,  2318,   271,   272,  2606,   682,
    1761,  2470,  1166,  2163,  2544,   935,  2134,  2596,  2037,  2598,
    2652, -1862,  2679,  4465,  2065,  4209,  2545,  1007,  1008,  2037,
     273,  4761,  4559,   293,  2157,  2277,  3068,  5126,  2568,  1762,
    1354,   313,   924,  3868,  4781,   318,  4582,  1897,  1354,  1354,
    4586,  2228,  2318,  1616,  4086,  3392,  3038,  2648,  1128, -1620,
    1767,  1167,   334,   338,  2825,   356,  1626,  2799, -1954,  4618,
    1627,  1718,  1719,  5161,  1753,  4474,  2231,  2546,  1246,  1902,
    4534,  4576,  4723,  4724,  4725,  4726,  4727,  2610,   931,   931,
    1908,   841,   361,   839,  2134,  2506, -2688,  1763,  1202,  3585,
    2400,  -141,  -141,  2512,   372,  4275,  2233,  3275,  2364,  2457,
    2365,  1692,  1693,  3200,  2849,  3891,  1113,  1617, -2109,  4296,
    4323,  4641,  2833,  3988,  2197,  2458,  3303,  3761,  2896,  3762,
    1176,  2844,  1476,   842,  2521,  5142,  1161, -2689,  3210,  3304,
    1418,   410,  3924,  1305,  2198,  3927,  3928,  5002,  1210,  3931,
    2011,  1007,  1008,  2028,  1669,  3934,  -805,  2586,  2199,  2289,
    2589,  2590,  1768,  1350,  1295,  3594,  3595,  3596,  3597,  4029,
    4853,  4425,  2252,  1683,  1174,  4225,  5060,  4863, -1587, -2686,
    2459,  4007, -2109,  2197,  3973,  4256,  3201,  3869,  1119,   409,
    1704,  5006,  5007,   409,  4888,  2457,  2471, -2109,  2460,  5149,
    1363,  2835,  3276,  2198,   411,  4925,  1310,  1178,   411,  1419,
    2815,  1425,  1198,  1430,  5192,  2708,  2818,  2201,  2808,  1434,
    3870,  1198,   680,  3713,  3031,  3031,  3031,  3976,   680,  2657,
   -2685,  3719,  2070,   417,  3100,  4977,  3100,  4091, -2416,   680,
    1455,  1413,  1425,  1430,  2920,  2921,  3138,  3213,  1124,  3871,
    1410, -1587,  3258,  4926,  3824,  1198,  1125,  1146,  1365,  2163,
    4927,  1219,  4948,   825,   936,  2339,  2459,   680,  1745,  1906,
    2518,   680, -2281,  4410,  3778,  2228,  3185,  1411,  3226,  3536,
    3532,  3587,   680,  1707,  2460,   730,   367,  4928, -1615,  1437,
    3534,  2850,  2748,  1874,  1424,  4889,  1429,  2575,  4822,  1875,
    2231,  1351,  3259,  5141,  4505, -1620,  1443,  3084,   680,  2851,
    1455,  4477,  1198,  2174,   937,  3413,  4242,  3825,  2709,  1869,
    4867,  2180,  1198,   680,  1147,  1458,  1460,  2461,   680,  2472,
    2233,  4053,  3214,  1161,  3061,   931,  2465,  3204,   680,  1795,
    1672,  2020,  4864,    81, -1627,   938,  4259,   939,  3537,  4271,
      79,  3679,   680,  3679,  2340,  5179,  2555,  1870,  3476,  4929,
    4732,  1637,  5150,  2466,   418,  3980,  1232,    37,    38,    39,
      40,  4219,  2748,    43,    44,  4092,  1117,  2601,    45,  1423,
    1438,  1428,  1148,  2225,  1406,  1149,  3260,  1989,   931,   824,
    3946,  2021,  -624,  1258,  2751,  1876,  2806,  3585,  2265,  3681,
    1631,  3681,  3981,  3946, -1587,  1602,  4801,  2473,  4054,  1610,
    1457,  1459,  1684,  2461,  2342,  4823,  3982,  1596,  4978,  2890,
    2892,  3044,  1773,  2462,  2220,  1990,  2841,  2842, -2416,  5221,
    2900,  4826,  5166,  2037,  2904,  1118,  4830,  2987,  1198,  4832,
    4916,  5074,  2916,  2917,  1059,    35,   680,  5068,  1059,  5064,
    5219,  2343,   409,    41,    42,  2934,  2936,  2236,  2237,  1311,
    3679,    37,    38,    39,    40,  3830,  2950,   411,    44,  2249,
    2250,  2251,  2252,  1438,  1198,  3533,  1150,  3414,  1161,  1171,
     712,  2022,  2749,  1259,  4049,  3535,  1426, -2416,  3929,  3930,
    1431,  1432,  1433,  4757,  5039,  4271,  2467,  4871,  3983,  3716,
    1444,  4478,  1119,  2240,  4112,  3724,  2053,  4051,  3681,  2462,
    1871,  1366,  4260,  1417,  2784,  3592,  3593,  3594,  3595,  3596,
    3597,  4653,  1907,   215,  1260,  4930,  3288,  1697,  4132,  3186,
    3261,  2023,  4892,  3694,   680,   680,  3695,  3696,  5180,  1877,
     881,  4261,  4055,  1339,  2054,  2345,  1727,  3697,  3698,  3699,
    2776,  3700,  3701,   223,  4911,  3415,  3702,  3703,  3704,  5003,
    4262,  2787,  4750,  2988,  3012,  1050,  1859,  2989,  2663,  5009,
    5143, -1587,  1878,  2794,  1261,  1151,  3289,  4022,  1991, -2690,
    3330,  2732, -1587,  1232,  2174, -1587,  1745, -1587,  5220,  4626,
    1755,   233,  1697,  2863, -1951,  1152,  2346,  5000,  1872,  1809,
    4884,  1879,  4056,  1657,   236,  2990,  2664,  5181,   363,  1112,
    1059,  1059,  2024,  3331,  1001,  2811,  5148,  3760,   879,  1120,
    4308,  1612,  4447,  3131,  3396,  2013,  3200,  2471,  3290,  4739,
    5182,  5040,  1834,  3047,  1002,  5066,  1198,  3522,  2380,  5191,
    3085,  2482,  3332,  5193,  5016,   418,  3831,  1198,    37,    38,
      39,    40,  1037, -2059,    43,    44,  1486,  1717,  2733,    45,
   -1405,  1027,  2923,  3078,  4617,  1835,  1992,  4972,  3801,  1068,
    1961,  3832,  1659,  2037,  2483,  5205,  1222,  1223,  1224,  4989,
    1225,  1226,  1227,  1228,  1229,  1230,  1113,  2484,  4362,  5228,
    3013,  2247,  2248,  2249,  2250,  2251,  2252,  2055,  3705,  3201,
    2485,  1340,  4822,  4225,  4389,  2381,  3802,  1198,  4602,  1660,
    4392,  4393,  2228,  2037,  3103,  4595,  3333,  2091,  1258,  2093,
    3291,   367,  2097,  5203,  2099,  2991,  3392,  2102,  2103,  2104,
    1038,  1232,  3758,  2415, -1405,  4740,  1133,  2231,  2486,  1123,
    2111,   977,  5038,  5019,  1828,  3225,   680,  5024,  5025,  2487,
    1724,  4522,  1963,  2136,  1726,  2137,  1341,  2037,  4448,  2665,
    4309,   680,  1069,  2382,  4872,    81,    81,  2233,    81,  2488,
    5105,  5106,    79,    79,  2489,    79,  1198,  5044,  1626,  3948,
    3496,  3497,  1627,  2829,   680,  2056, -1408,  2333,  2334,  1590,
    2338,  1697,  2325,  4271,  3502,  1125,  1125,  4605,  1125,  4199,
    4933,  3302,  5206,  2672,  2673,  5243,  4937,  1651,  1259,  1100,
     980,  4082,  3200,  3592,  3593,  3594,  3595,  3596,  3597,  1488,
     680,  3823,  3585,  3292,  3317,  3444,  3445,  3446,  3447,   981,
    3706,  3293,  4768,  1961,  3294,   680,  2768,  3452,  2685,  2734,
    4363,  2490,  1174, -2059,  4769,  2774,  3383,  2666,   680,  1260,
    3204,   680,  2735,  1591,  2475,  3356,  2661,  1150,  3946,  3803,
   -1408,   982,  1198,  4310,  2476,  3324,  4311,  2573,  4200,  1830,
    1406,  3325,  2491,  -163,  2268,  3128,  3707,  2389,   832,  3679,
    2390, -1405,  1672,  3679,  4248,  3201,  3492,  3295,   833,  3031,
    5045,  1198,  4473,  4102, -2690,  1616,  4201,  3720,  -163,  1261,
    1652,   859, -2059,  1039,  1040,  1147,  2090,  2710,  3305,  2092,
     122,  4202,  2096,  2662,  2098,  3202,  3308,  2101,  3310,  1198,
    1198,  2105,  1198,  4203,   418,  1001,  2742,  3681,   126,  2574,
    5211,  3681,  1212,  3064,  2492,  2256,  2601,  2281,  2282,  2539,
    2493,  1198,  1001,  2494,  3295,  1002,  4204,  3804,  3203,  2830,
    2713,  3892,  3773,  5059,  1488,  5046,  1828,  3585,  2283,  1617,
    2555,  3191,  1002,  1148, -2091,  4827,  2686,  3326,  4075,  2495,
    3708,  2391,  1753,  1139,  1476,  2496,   680, -1405,  2831,  2297,
     409, -2110,   410,   410,   680,   680,  1697,   834,  2497,  4953,
    2540,  1697,  1697,  1140,  1198,   411,  1993,  4954,  2317,  4770,
     712,   712,  3350,  1141,  3587,  2477,  4352, -1408,  1875,  2020,
    1035,  5113,  3065,  2498, -1405,  3334,  1994, -1405,  2591,  2591,
     205,  2284,  4205,  1198,  2714,  2381,  1036,  1198,  1198,  4963,
    1232,  1001,   410,   409,   409,   409,  3204,  2451,  2478,  2419,
    1067,  3222,  2397,   363,  3335,  1809,   215,  2452,   411,   411,
     411,  1002,  4914,  2499,   825,  1852,  3129,  1150,  3130,  2810,
    4278,  2227,  2453,  3588,  2228,  3396,  5089,  2392,  2393,   680,
   -2137,  5114,  1093,  2608,  4793,  3889,   223,  1718,  1719,  4051,
      80,  1884,  1626,  2382,   409,  -163,  1627,  5013,  1853,  2231,
    5146,   409,  5090,  2411,  2413,  2232,  4828,  3159,   409,   411,
    2548,  3392,  1142, -1408,  1876,   712,   411,  1961,  3749,  3112,
    -163,  3327,  3784,   411,   233,  2161,  2317,   835,  3586,  2233,
    1059,  4030,   882,  4536,  4034,  4537,  3155,   236,  2247,  2248,
    2249,  2250,  2251,  2252,  4279,  2178,  4278,  4321,  3890,  3587,
   -1408,  3471,  1064, -1408,  3328,  2592,  2592,  2593,  2593,  2022,
    1697,  4955,  3160,  1059, -2091,  3560,  2687,  1106,  1697,  3524,
    2342,  1961,  1995,   246,  1143,  2205,   898,   679,  4697,  4698,
    1115, -2110,   825,  3329,  4849,  2846,  4851,  1150,  5041,  2217,
     824,  -969,  4445,  1854,  1753,  2383,  4510,  5010,  4511,  4280,
    5187,  4281,  1354,  1961,  4938,  2106,  2454,  2343,  3588,  2023,
    4322,  3800,  4742,  4637,  3612,  2272,   841,  1001,  2273,  4749,
    4279,  5078,  1697, -2091,  2037,  1697,  1697,  1755,  2107,  2978,
    1755,  2979,  4939,  4760,   900,  2235,   841,  1002,  2685,  1354,
   -2110,   925,  1144,   824,  4115,  3637,  4116,   943,  3592,  3593,
    3594,  3595,  3596,  3597,  2980,  4446,  2236,  2237,   842,  2344,
    1242,   680,  1865,   418,  4538,    37,    38,    39,    40,  3679,
   -2137,  4743,    44,  1026,  3679,  4280,  4638,  4281,   842,  3679,
    1755,  1961,  3679,  2219,  1755,  1243,   130,   131,  1123,  1123,
    2024,  1123,  3692,  2771,  1697,  1866,  1715,  2299,  3159,  1867,
    2678,  2345,  2240,  3179,  4200,  1147,   843,  3792,   824,  2228,
    1212,  1488,  4744,  4293,  3585,  2241,  1742,  3681,  1961,  1716,
    3679,  3486,  3681,  1657,  1868,   883,   409,  3681,  1658, -2137,
    3681,  4159,  4201,  4081,  3054,  2866,  2300,  1133,  1129,   974,
    1332,   411,  5108,   980,  2695,  4276,  1961,  4588,  1413,  1743,
    2981,  1488,  2346,  3781,  3585,  2982,  2853,  2557,  3510,  4203,
    2983,   680,   981,  1148,  2233,  4117,  2686,  1136,  3681,  3814,
    1333,  4160,   907, -2480,   908,  4118,  2307,   680,  1744,  3589,
    3590,  3591,  3239,  3592,  3593,  3594,  3595,  3596,  3597,  1065,
      43,  3834,  1659,   367,   982,    45,  2813,  1979,  2814,  1334,
     825,  1117,  2816,  1198,  2817,  3714,  2558,  2819,  2559,  1961,
    4012,  2820,  1198, -1453,   680,   680,  4644,  4645, -1453,  4021,
    4606,  4712,  3031,  3038,  4423,   680,  4713,  3031,  4085,  1660,
    3241,  1177,  3031,  3240,  3817,  2865,  5168,   680,   680,  4887,
    3583,  3584,  2555,  1335,  1332,  3599,    81,  3854,     8,    81,
    2228,  2888,  3639,    79,  3640,   367,    79,  1150,  4205,   680,
    1118,  4297,  3855,  2859,  2860,  1171,  3679,  4086,  3401,  4714,
    2861, -1452,  3654,  2862,  1333,  2231, -1452,  3641,  3061,  2984,
    1747,  3242, -1453,  1188,  4893,  3634,  3635,  2435,  1354,  2985,
    2247,  2248,  2249,  2250,  2251,  2252,  3587,  4307,  4312,  1198,
    3860,  4094,  1203,  4009,  4324,  2233,  4133,  4134,  2604,    37,
      38,    39,    40,  1748,  3681,  2535,    44,  3402,  3864, -1453,
    2436,  3336,  3679,  2536,  2197,  1205,   824,  1119,    37,    38,
      39,    40,  3514,  2642,   208,    44,  3587,  1198,  1198,  1217,
   -1452,  1232,  1749,  3038,  2198,  1198,  5237,  1335,  1198,  2437,
    3337,  3865,  1198,   205,  4353,  3588,  2687,  2914,  2199,  2577,
    1198,  1198,  1405,   418,  3070,  2060,  2643,  4098,  1198,  2197,
    3681,  1198,  1198,  1198,  1198,  1218,  2688, -1452,  3642,   215,
    3866,  1198,  1198,  3643,  1198,  2061,  1198,  1198,   898,  2198,
    1198,  1637,  1248,   409,  3989,  3588,  3403,  3404,    37,    38,
      39,    40,  1256,  2201,  4619,    44,  1961,  1198,   411,   223,
    3405,  2968,  1198,  4199,  2197,  3725,  1198,  1750,  1257,  1354,
    1198,  4555,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,
    1198,  1299,  1198,   410,  2198,  3149,  4554,  3152,    37,    38,
      39,    40,  1198,  1198,  1120,    44,   900,   233,  4364,  4380,
    1751,   983,  3476,  -521,   208,  1304,   898,  3406,  2644,  3449,
     236,  5165,  5241,  2578,  3450,  5242,  2581,   825,  4365,  4381,
    2645,  3770,  3771,  3679,  1302,  3946,  4097,  5194,   192,  1752,
    1832,  4484,  4200,    35,  1626,   409, -1954,   410,  1627,   410,
    1307,    41,    42,  3548,  2646,  1882,   984,  1886,  3087,  3551,
     411,  1320,  3644,  2071,  3396,  1198,  3765,  2072,  3143,  4777,
    4201,  2174,  3645,  2442,   900,   363,  2631,  3963,  -520,  4868,
    2638,  3681,  3450,  3208,   925,  4202,  3589,  3590,  3591,   940,
    3592,  3593,  3594,  3595,  3596,  3597,  1327,  4203,  3791,   409,
    2535,   409,  4273,  4274,  3407,  2071,  3408,  1648,  2541,  2802,
   -1405,  4885,  3372,  1753,   411,  4709,   411,  4711,  3557,   215,
    4204,  4715,  2805,  4716,  3679,   831,  3589,  3590,  3591,  1336,
    3592,  3593,  3594,  3595,  3596,  3597,   680,   363,  1337,  1697,
    2227,   891,  1338,  2228,   907,  3611,   908,  3613,  3614,   223,
    -418,  4959,  1343,   824,    81,  1312,    81,  1313,  1346,  1727,
    2229,    79,  1961,    79,   418,   409,  1961,  1961,  2231,   913,
     831,  1315,  3681,  1316,  2232,   215,   680,  3882,  3558,  1360,
     411,   680,  3559,  2317,   680,  1161,  1364,   233,    37,    38,
      39,    40,  1387,   215,  4005,    44,  4205,  3286,  2233,  2956,
     236,  3879,  2959,  1372,  3682,   223,   680,  1373,  1488,  1198,
    1378,  3585,   907,  1393,   908,  1354,  1058,  1354,  2186,  2187,
    1198,   898,  1408,   223,  1058,   975,  1058,  1198,  4561,  1488,
    2976,  1447,  3585,   192,    45,  4934,  5195,  1979,   831,   825,
    -963,  4528,  4099,   233,  1898,  4139,  2080,   680,  2081,  4562,
    4515,  4516,  4517,  -418,  1451,  2160,   236,   246,  1059,  1461,
    4215,   233,  4255,  3682,   680,   680,  1467,  2174, -1417,  2442,
    1468,  2323,  1961,  2324,   409,  4419,  4420,  4421,   409,   900,
   -1417,  1354,  2326,  1473,  2327, -1417,  2174,  1474,  1745,   411,
     680,  1475,   246,   411,  1477,  3725,  3265,  2764,  1478,  2765,
    2234,  2804,  5017,  2805,  2235,  4220,  4221,  4222,  3725,  1479,
     246,  3998,  1483,  4001,   215,  1059,  1476,   680,  3296,  1485,
    3440,   680,  2826,  1482,  2827,  2236,  2237, -1417,  1611,  2828,
    1297,  2827,  1837,  1697,  3990,  2856,  3992,  2857,  2373,  2374,
     680,  1697,  2238,  1697,   223,  1179,    35,   418,   825, -1417,
    1614,   680,   825,  3441,    41,    42,  1618,  1180,  1181,  2373,
    3096,    45,   363,  1619,   680,   824,  1620,  3060,  2239,  3061,
    2318,  2240,  3075,  3076,   680,  3296,  4908,  1182,  1838,  3219,
    1183,  3220,   233,  3282,  2241,  3283, -1417,  2242,  1355,   943,
    3384,  1625,  3385,  3587, -1417,   236,  3397,  3038,  3398,  1638,
    4046,    35,   418,  3727,  3728,    37,    38,    39,    40,    41,
      42,    43,    44,  2174,  3587,  2442,    45,   907,  1198,   908,
    1961,  1645,   409,    80,  3465,  1648,  3466,  4093,   910, -1476,
   -1476,   246, -1196,  1646,  4845, -1196,  3516,   411,  2827,   912,
    3411,  4385,  1979,  3296,    37,    38,    39,    40,  3296,  2147,
    2148,    44,  3588,    74,  3556,    45,  2805,  1839,  1655,  3566,
    4114,  2805,  2243,  4119,  4120,  4121,  4122,  4123,  4124,  4125,
    4126,  4127,  4128,  3588,   824,  1649,  1670,  1113,   824,  1671,
    3296,  1463,  2597,  1488,  1675,  1677,  3585,  4794,  4795,  4796,
    4797,  2612,  1681,  1945,  1184,  1961,   825,  3570,   680,  2805,
    1685,  1686,  4758,  1488,  1687,  1840,  3585,  1841,  1682,  1688,
    2291, -1417,  1481,  2641,  3574,  1689,  2805,  2600,  4503,  2557,
    1690,  1593,  4168,  4169,  1698,  1605,  1355,  1607,  2557,  4777,
    3575,  1185,  2805,  4685,  4686,   680,  4688,  5171,    37,    38,
      39,    40,  3601,  1198,  2805,    44,  1843,  1691,  5176,  4426,
    2557, -1591, -1591, -1591, -1591,  2244,  2245,  2246, -1591,  2247,
    2248,  2249,  2250,  2251,  2252,  1699,  1701,  3049,  2558,  3662,
    2559,  3663,  1626,  3050,  3211,  1648,  1627,  2558,  3617,  2559,
    2805,  1730,  1731,   680,  1697,  1845,  3622,  1113,  3623,  3667,
    3668,  3669,  3664,  1733,  3665,  1961,  1739,  1935,  1161,  2558,
    5214,  2559,  1745,  3847,  2555,  3848,   680,  3852,  1771,  3853,
    1198,  2557,  1766,  2555,   679,   679,  1198,  1793,  1012,  1728,
    1847,  2292,   824,  3589,  3590,  3591,  1797,  3592,  3593,  3594,
    3595,  3596,  3597,  1198,  1198,  2555,  3277,  1798,  1012,  1198,
    4040,  1825,  4041,  4429,  3589,  3590,  3591,  1827,  3592,  3593,
    3594,  3595,  3596,  3597,  1828,  1833,  2140,  1837,  1836,  4103,
    2558,  2805,  2559,  1873,  1198,  1198,  1860,  1861,  3587,  1198,
    4140,  1883,  4141,  2557,   409,  4150,  4398,  4151,  1887,  1892,
     409,  1198,  1198,  1198,  1198,  1893,  3886,  3478,  3587,   411,
    1894,  4162,  3618,  2805,  1198,   411,  2555,  1198,  3625,  1198,
    4240,  1899,  4241,  1838,  1212,  1901,  1774,  4883,  1903,  1198,
    1198,  1909,  1905,  1198,  3973,  1915,  4244,  4399,  4245,  4254,
    3974,  3130,  2558,  2557,  2559,  3893,  1198,  3588,  1198,  4277,
    3975,  2827,  1198,  1910,  4412,   367,  4413,  4475,  1775,  2827,
    1917,  4400,  4706,  2859,  2860,  1920,  1922,  3588,   825,  1925,
    2861,  1198,  1967,  2862,   825,  1753,  4401,  3976,  2555,  3977,
    4402,  1198,  2557,  3725,  1198,  1198,  1198,  4560,  4621,  2857,
    3130,  4543,  2558,  4518,  2559,  4628,  1983,  4629,  4484,  4634,
    4403,  2827,  1839,  4404,   680,  4635,  4747,  2827,  1198,  1972,
    4702,  1697,  4703,  1970,  1776,  4405,    37,    38,    39,    40,
    4762,  1198,  4763,    44,  -184,  4803,  1198,  4804,  2555,  1963,
      35,  2558,  1198,  2559,    37,    38,    39,    40,    41,    42,
    1198,    44, -1598, -1598, -1598, -1598,  1777,  1982,  1985, -1598,
    1840,  1987,  1841,  3978,  1692,  1693,    37,    38,    39,    40,
    1999,  1355,  2600,    44,   831,    80,    80,  2555,    80,  1741,
    4444,  3682,  1654,  3682,  1656,  3479,  3921,  4805,  1961,  2805,
    2001,  1961,  1778,  1961,  1355,  4813,  2007,  2857,  1961,  2009,
     680,  1843,  2017,  4406,   824,  4869,  4298,  4870,   859,  2025,
     824,  4407,  2030,  4461,  4462,   680,   680,  4935,  2031,  2827,
    3979,  1198,  1779,  2557,  4960,  3980,  4961,  2032,  3589,  3590,
    3591,  4431,  3592,  3593,  3594,  3595,  3596,  3597,  2033,  2138,
    1845,  2034,   680,  2557,  2905,   680,  4408,  2036,  1961, -2690,
   -2690,  2044,  3592,  3593,  3594,  3595,  3596,  3597,  4973,  2037,
    2857,  1355,  3981,  2049,  2806,  4417,  4418,  4419,  4420,  4421,
    2047,  4433,  2558,  4422,  2559,  1847,  3982,  2048,  2050,  4417,
    4418,  4419,  4420,  4421,  4981,  2052,  4982,   208,  1961,  4721,
    3682,  3480,  2558,  4986,  2559,  3061,  4991,  1783,  4019,  2057,
    2217,   409,   409,   409,  1784,  4993,  2058,  4019,  2555,  2059,
    2064,  2906,  2520,  4325,  2976,  2078,   411,   411,   411,  -532,
    2112,  1786,  5035,  5067,  5036,  2286,  4985,  2142,  2555,  1787,
    5072,  2145,  5073,  3657,  2221,  5083,  4985,  2857,  2149,  5084,
     680,  3623,  2151,  5085,  2226,  2805,  2572,  2152,  3673,  1961,
    2557,  1961,   680, -1589, -1589, -1589, -1589,  2266,  3983,  2158,
   -1589,   680,  2159,  4556,  4557,  4903,  4905,  2171,  5095,  2907,
    3061,  5097,  2908,  4019,  2177,   825,   825,   825,  2167,  2170,
    4897,  1788,  5112,  2172,  2857,  3481,  1355,   363,  4176,  2296,
    2298,  2173,   246,  5031,  1355,  1355,  2353,  2257,  5118,  2558,
    2857,  2559,  5119,  4611,  2857,  2179,  2182,  3673,  1961,  5133,
    1112,  5134,  2259,  5162,  1058,  3061,  2183,  4708,  1058, -1592,
   -1592, -1592, -1592,  2184,  2653,  4061, -1592,   680,  2185, -1590,
   -1590, -1590, -1590,  1961,  2190,  2555, -1590,  2261,  5209,   920,
    4019,  5239,  5250,  5240,  5240,  4587,  2192,  4590,  2193,  2290,
    2194,   409,  2195,  3940,  1961,  2302,  2196,  2203,  2204,  1437,
    2206,  1697,  2207,  2909,  2208,  2209,   411,  1961,  2210,  2695,
    2211,  2212,  1232,  2213,  1697,  2264,  2312,  2286,  2322,   679,
    2331,   680,  4025,   680,  1658,  1660,  2360,  2362,  1113,  2698,
    5096,  4036,  2370,  2372,  2379,   680,  1150,   680,  2387,  2394,
    2396,   824,   824,   824,  1113,  2398,  2406,  2407,  2409,  2414,
    2440,  2416,  4060,  2445, -2632,  4650,  2418,  2438,  2439,  2442,
    2443,  2444,  2446,  2474,  2447,   825,  2468,  2480,  2501,  1354,
    2505,  2508,  1961,  2507,  2511,  2509,  2510,  2526,  4735,  2528,
    2527,  2538,  2548,  2549,  4837,  2552,  2551,   680,  1961,  2553,
    2554,  4842,  2770,  2555,  5037,  2561,  4838,  2562,  2563,  2564,
    2565,  1961,  2910,  4181,  4182,  4183,  4184,  2576,  4682,  2579,
    2569,  4848,  4894,  2570,  2587,  2583,  2584,   680,  2594,  2599,
    1058,  1058,  2595,  5020,  2602,  2603,  1809,  2607,  5023,  2613,
    5027,  1198,  5029,  2614,   680,  2624,  2625,   931,  2626,  2636,
    2629,  2640,  2654,  2667,  2669,  2655,  2670,  2680,  2630,  2163,
    2682,   680,  2683,    35,   680,  2696,  2174,  2180,  2699,  2700,
    2704,    41,    42,   893,  2703,  2707,  2711,  1697,  2731,  2726,
    1198,  2746,  2605,  1961,  2747,  1854,  2754,  2759,  3427,  2757,
    1198,  2760,  2761,  2767,  2778,  2780,  1198,  2781,  1198,  2782,
    2783,   824,  2796,  1961,  1198,  2822,  2797,  1198,  1198,  1198,
    1198,  1198,  1198,  1198,  1198,  1198,  1198,  2823,  2839,  2845,
    1198,  1198,  2854,  2896,   409,  2868,  2938,  2939,  1961,  2051,
    2951,  2895,  2957,  1198,  2901,  2228,   944,  1198,  2961,   411,
    2066,  1198,  4145,  2962,  3288,  2969,  2975,  2992,   945,  2675,
    2994,  1198,  3009,  3010,  1198,  3023,  1198,  3041,  3043,  3682,
    3040,  4897,  3046,  3682,  1961,  1198,  1198,  1198,  3048,   946,
    3051,  1198,  3052,  3062,  1198,  1118,  3072,  3063,  3071,  3073,
    3082,  3074,   947,  3105,  2276,  3102,  3104,  3120,  1198,  4798,
    1198,  3119,  3122,  3134,  3289,   948,  3145,  3150,   825,  2966,
    3132,  3133,  1198,  3153,  3155,  3174,    74,  3164,  1198,  1198,
    3157,  3158,   949,  2722,  4975,  4814,  4815,  4949,  4980,  3169,
    3180,  3184,  3175,  3177,  3188,  3196,  3199,  1012,  3212,  1012,
    1608,  1012,  3217,   950,  1612,  1774,   363,  1012,  1435,  1436,
    4345,  3428,  3267,  3272,   951,   363,  3290,  3273,  3281,  3284,
    4856,  3285,   952,  1198,  3297,  3338,  3341,  3359,  3352,  1198,
    1012,  1012,  3360,  3363,   953,  1198,   363,  1775,  3364,   954,
    3365,  3367,  3368,  3371,  3369,   955,  3370,  3377,  3386,  3379,
    3388,  1961,  3393,  3391,  3394,  3392,  3419,  1354,  3399,  3433,
     956,  3456,  4878,  3435,  3442,  3448,    80,  1198,  3458,    80,
    3459,  3460,  3451,  3457,  3470,  3468,  3488,  3473,  3485,  3491,
    3489,  3490,  3493,  3494,  3503,  3506,  3509,  3508,  3521,  1232,
    3518,  3519,  3520,  1776,   824,  3061,  4873,  2065,   680,  5215,
    3523,  3530,  2869,  3538,  3546,  3544,   957,  3549,  3291,  3550,
    3541,  3552,  3553,  3554,  3568,  1453,  3572,  3569,  3571,  3573,
    3725,   409,  3576,  3577,  3607,  1777,   409,  2805,   409,  3579,
    3619,  1232,  3638,  3582,  3600,  3660,   411,   958,  3606,  3608,
    3633,   411,  1961,   411,  3265,  3609,  4320,  3429,   959,  1697,
    2929,  3616,  3631,  1012,  3632,   670,  3646,  3653,  3684,  5088,
    3656,  1778,  3658,  3690,  2952,  2930,   859,  3659, -1009,  3689,
    3756,  3732,  1720,  3737,  3735,  3741,  3747,  2913,  3752,  2930,
    3763,  3753,  3751,  4738,  2071,   831,  3430,   680,  3757,  3769,
     680,  1779,  3772,   960,  3774,   825,  3775,   961,  3783,   962,
     825,  2217,   825,  3779,  2872,   963,  3780,  3786,   964,   409,
    3788,  3292,  3795,  3821,  3822,  4188,  3810,  4191,  1012,  3293,
    3811,  3827,  3294,  4971,   411,  3836,  3826,  4397,  3838,  3851,
    3014,  3883,  3878,  3877,   965,  3881,   966,  2392,  2393,  3884,
     967,  3885,  3888,  3894,  3887,  3895,  3896,  3897,   968,  3899,
    3898,  2873,  3900,   969,  3901,  3902,   208,  3903,  2519,  3904,
    1782,  3905,  3907,  3906,  1198,   970,  1783,  3908,  3912,  3909,
    3916,  2622,  3918,  1784,  3926,  3227,  4492,  3914,   971,  3932,
    2874,  2520,  3920,   825,  3933,  2390,  3951,   680,   680,  3964,
    1786,  1961,  3936,  3045,   680,  3952,  3965,  3960,  1787,  4003,
    4006,  2875,  3996,   831,  4008,  4010,  4018,  3997,  4032,  3682,
    1058,  4019,  2876,  4026,  3682,  4031,  5107,  4035,  4060,  3682,
    4028,   824,  3682,  4058,  4038,  4077,   824,  4078,   824,  1961,
    1198,  1198,  2877,  4067,  4083,  4069,   370,  2878,  4722,  4079,
    4080,  1133,   370,  1058,  4089,  4088,  4090,   673,  4106,  4101,
    1788,  3603,  3585,  3602,  3478,  2222,  2160,  4624,  1119,  4164,
    3682,  4136,  4137,  4138,  4144,  4165,  4152,  4173,  4177,  4190,
    4214,  4212,  4198,  1774,   680,   370,  4217,  4236,  1697,  2227,
    4226,  4228,  2228,  2879,  4250,  4257,  4227,  4264,  1354,  4285,
    4301,  4622,  1198,  4229,  5104,  4233,   679,  4232,    74,    74,
    4287,    74,  4877,  4299,  2880,  1775,  4300,  2231,  4302,   824,
    4288,  4304,  1728,  2232,    80,  4313,    80,  1012,  4329,  4326,
     370,  4327,  4328,  3390,  4339,  4341,  4340,  4342,  4343,  1198,
    4344,  4354,  4361,  4377,  4355,  4379,  4308,  2233,  4382,  1198,
    1198,  4388,  1961,  4656,  4390,  4391,  4414,  1198,  1198,  1212,
    4416,  4441,  1198,  1961,  4449,  4050,  4452,  4459,  1198,  1198,
    4457,  1776,  1198,  1232,   859,  1198,  1054,  4469,  4468,  4464,
    4487,  4476,  4471,  2827,  1054,  4472,  1054,  4489,  4490,  4500,
    4504,  4613,  4501,  4506,  4514,  4508,  1198,  4519,   370,  1799,
    1198,  2881,  4521,  1777,  1774,  1800,  4523,  2882,  1799,  3636,
    4524,  4525,  1198,  2883,  1800,  4526,  3682,  1198,  4527,  4535,
    4532,  4539,  1198,  1607,  4540,  4544,  4545,  4546,  4547,  4552,
    4578,   831,  3479,  4608,  4548,  4568,  1775,  4583,  4584,  1778,
    4581,   677,  2884,  4579,  2885,  1801,  4594,  4596,    81, -2690,
    4597,  2769,  4591,  2235,  1801,    79,  4599,  4600,  4612,  4601,
    2775,  2886,  4616,  4620,  2779,  1198,  4623,  4625,  4730,  1779,
    2785,  2786,  3682,  4630,  2236,  2237,  4631,  4639,  4654,  4655,
    4661,  4662,  4663,  1961,  4684,  4674,  2887,   409,  2798,  4677,
     363, -2690,  1776,  4689,  1802,  4696,  4681,  4717,  4720,   680,
    4728,  1803,   411,  1802,  1804,  4736,  4741,  4748,  3539,  4746,
    1803,  1961,  4752,  1804,  4754,  4764,  4766,  4774,  4775,  1014,
    2240,  4783,  1012,  4791,  1777,   680,  4799,  1012,  1012,  4772,
    1961,  4809,   363,  2241,   208,  4800,  4802,   680,  1782,  1014,
    4807,  4810,  4811,  4812,  1783,  4818,  4824,   410,  4831,   370,
    4834,  1784,   680,  4840,  4850,  4862,  4866,  4846,  1805,  2520,
    1778,   825,  4875,  5053,  4890,  4891,  4880,  1805,  1786,  3374,
    4895,  4902,  4865,  4881,  4909,  4912,  1787,  3374,  4448,  4917,
    1961,  4919,  4920,  4922,   370,  4923,  4942,  4943,  4924,  4941,
    1779,  4951,  4945,  4947,  4952,   680,  4968,  4976,  4979,   409,
    4983,  2388,  1697,  1435,  1436,  4988,  5012,  4994,  4998,  5014,
    5004, -2690,  5026,  5042,   411,  1806,  5047,  1807,  1780,  5052,
    5051,  5054,  2403,  3682,  1806,  5057,  1807,  1808,  1788,  2410,
    2412,  5056,  3481,  4050,  3443,  1809,  1808,  5062,  5069,  1198,
    5070,  5071,  5076,  5077,  1809,  1810,  5082,  5086,  5087,  5094,
    1198,  1781,  5099,  3673,  1810,   208,  5100,  3673,  5098,  1782,
    5111,  5102,  3472,  5021,  5115,  1783,  5121,  5123,  1355,  5124,
    5127,  5129,  1784,  5137,  5138,  5132,  5144,  5145,  1811,  5160,
    1785,  1812,  1813,  4178,  5167,  5174,  1012,   824,  5125,  1786,
    1812,  1813,  5178,  5126,  1012,   363,  5169,  1787,   831,  1961,
    5186,  5218,  5185,  5140,  5204,  1355,  5235,  1814,  2247,  2248,
    2249,  2250,  2251,  2252,  3682,  5190,  1814,  5238,  5244,  2637,
    5248,   680,  1131,  1858,  1796,  2309,  3717,  3437,  3833,  3271,
    1857,  4318,  3935,  1198,  3351,  5033,  4394,  1961,  4847,  4896,
    5122,  4944,  1198,  4946,  4733,  4460,  3053,  3777,  1012,  1788,
    4932,  1012,  1012,  5173,  3517,  5170,  4854,  5213,  5130,  1198,
    1198,  5128,  5184,  1198,  5065,  1815,  3782,  4456,  4316,  3417,
    3418,  3845,  2723,  3400,  1815,  5249,  1198,  4014,  5217,  5245,
    4921,  1198,  3961,  3939,  5188,  4879,  1198,  5117,  2706,  1198,
    5175,  4882,  2929,  2929,  1198,  1198,  1031,  2929,  4520,  4999,
    2144,  2132,  4496,  3125,  5075,  4497,  3915,  2930,  2930,  3764,
    4844,  1356,  2930,  5246,  5197,  1622,  3056,  3722,  3057,  4614,
    1012,   680,  2812,   680,  4246,  2079,  3081,  1198,  4479,  1644,
    1213,  3793,  3513,  3723,  2328,  2357,  1236,  2929,  2929,  2356,
    3733,  3731,  3080,  3746,  3734,  2361,  4193,  1253,  4577,  4589,
    4990,  4189,  2930,  2930,  2366,  5093,  5092,  4247,  4156,  1961,
     680,  4974,  4146,  5163,  5159,  5164,  1697,  1630,  3726,  1198,
    3563,  4243,  3649,  3651,  3025,  1314,  1164,  4059,  3487,  1321,
    2763,  3106,  5152,  2378,  1134,  5247,   409,  3097,  2139,  1404,
    1331,  2019,  1738,  3110,  1709,  3113,  3712,  3111,   844,  4936,
    4253,   411,  2371,   680,  4397,  4252,  1710,  4604,  2275,  4231,
     831,  1157,  3117,  3515,  2824,  2375,  1198,    83,  4615,  2068,
       0,     0,     0,     0,     0,     0,     0,  1442,  2762,     0,
       0,     0,  3872,     0,  3874,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   845,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1355,     0,     0,   846,     0,     0,
     825,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1198,   847,  1961,     0,     0,     0,    74,
     848,     0,    74,     0,     0,     0,     0,     0,  1058,     0,
       0,  3911,     0,     0,     0,   849,     0,  1198,  1961,     0,
    1198,     0,  1198,     0,   370,     0,   850,     0,   370,     0,
       0,     0,     0,     0,   851,     0,  3925,     0,     0,   831,
       0,     0,   673,   831,     0,  1198,   852,     0,   673,  1198,
       0,   853,     0,     0,  1961,     0,     0,   854,  3673,   673,
       0,     0,     0,  3673,     0,  1058,  3673,     0,     0,     0,
       0,     0,   855,   409,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   673,   411,     0,
       0,   673,     0,     0,  1961,     0,     0,   856,  1961,  1961,
       0,     0,   673,  2902,  2903,  1355,   824,     0,     0,     0,
       0,  2915,     0,     0,  5063,  2918,  2919,     0,   857,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   673,     0,
    2940,     0,  2941,     0,     0,  3227,     0,     0,     0,     0,
    1198,     0,     0,   673,     0,     0,     0,   825,   673,   858,
       0,     0,     0,     0,  2963,     0,  2964,     0,   673,  1198,
       0,     0,   670,   670,  4063,     0,     0,     0,     0,     0,
       0,     0,   673,     0,     0,     0,     0,  5234,   859,  1961,
       0,     0,  3850,     0,     0,     0,  5081,   831,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1198,     0,     0,
    1198,     0,     0,     0,     0,   860,     0,     0,  2403,   861,
       0,   862,     0,     0,     0,     0,     0,   863,  3495,  3880,
     864,     0,     0,   363,     0,     0,     0,     0,     0,     0,
       0,     0,  1198,     0,  3504,  3505,  4107,     0,  3507,     0,
       0,     0,     0,     0,  3511,   865,   866,     0,   867,     0,
       0,     0,   868,     0,   680,     0,  4113,     0,     0,     0,
     869,     0,     0,     0,  1054,   870,   673,     0,  1054,     0,
    3913,     0,  1012,   824,     0,     0,     0,   871,     0,     0,
    1198,  4135,     0,     0,     0,     0,     0,   370,     0,     0,
     872,  1198,  3374,     0,     0,  3374,  3374,     0,     0,  3374,
    2227,     0,     0,  2228,   367,  3374,  3673,  1198,  1198,  5189,
       0,     0,  5199,  5200,  3949,  3547,     0,  2140,   680,  5201,
    3958,     0,  5202,     0,     0,  1012,     0,  3949,  2231,     0,
    1198,     0,     0,     0,  2232,     0,     0,     0,     0,     0,
       0,  1355,     0,  1355,     0,  1720,     0,    74,   367,    74,
       0,     0,     0,     0,   673,   673,  5199,  5200,  2233,     0,
       0,     0,     0,  5201,     0,     0,  5202,     0,  1014,     0,
    1014,  1198,  1014,     0,     0,     0,     0,     0,  1014,  4017,
       0,     0,     0,     0,     0,  1198,     0,     0,     0,     0,
       0,     0,     0,   409,     0,   367,     0,     0,     0,     0,
       0,  1014,  1014,  5199,  5200,     0,  4045,  1355,   411,     0,
    5201,  5225,     0,  5202,     0,  5226,     0,     0,   363,     0,
    3647,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1054,  1054,     0,     0,     0,     0,     0,     0,     0,   831,
       0,     0,     0,   409,     0,   831,     0,     0,     0,     0,
       0,   409,     0,  1198,     0,     0,     0,     0,   411,     0,
   -2690,  5225,  1198,     0,  2235,  5226,   411,   825,  1799,  5225,
       0,     0,  2929,  5226,  1800,  2929,  2929,  2929,  2929,  2929,
    2929,  2929,  2929,  2929,  2929,  2236,  2237,  2930,     0,     0,
    2930,  2930,  2930,  2930,  2930,  2930,  2930,  2930,  2930,  2930,
       0,     0, -2690,     0,     0,  4143,     0,     0,     0,     0,
       0,     0,     0,     0,  1801,     0,  1799,   825,     0,  1012,
    2930,     0,  1800,  3478,  1014,   825,     0,  1012,     0,  1012,
       0,  2240,     0,     0,  2929,  2929,     0,     0,   677,   677,
       0,     0,  1774,  1725,  2241,     0,     0,     0,     0,  2930,
    2930,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4157,     0,  1801,  1802,     0,     0,   673,     0,     0,     0,
    1803,     0,     0,  1804,  1775,     0,     0,     0,     0,     0,
       0,   673,     0,     0,     0,     0,    35,     0,     0,  1014,
       0,     0,     0,   824,    41,    42,     0,     0,     0,     0,
    2227,     0,     0,  2228,   673,     0,     0,     0,  3787,     0,
       0,  1802,     0,   363,     0,     0,     0,     0,  1803,  3395,
    2229,  1804, -2690,  2230,     0,     0,   363,  1805,  2231,     0,
    1776,     0,     0,     0,  2232,     0,     0,     0,     0,     0,
     673,     0,     0,   824,     0,     0,     0,     0,     0,     0,
       0,   824,     0,     0,     0,   673,     0,     0,  2233,     0,
       0,     0,  1777,     0,     0,     0,     0,     0,   673,     0,
    5233,   673,     0,     0,  4463,  1805,     0,     0,     0,     0,
       0,  3837,     0,  3839,  1806,     0,  1807,     0,     0,     0,
       0,  3479,     0,     0,     0,     0,  1808,   670,  1778,     0,
       0,     0,     0,     0,  1809,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1810,     0,     0,   363,     0,  2247,
    2248,  2249,  2250,  2251,  2252,     0,     0,     0,  1779,     0,
       0,     0,  1806,     0,  1807,     0,   831,   831,   831,     0,
       0,     0,     0,  2227,  1808,     0,  2228,  1862,     0,     0,
    1812,  1813,  1809,     0,     0,     0,     0,     0,     0,     0,
    2234,     0,  1810,  2229,  2235,     0,     0,     0,     0,     0,
    1012,  2231,     0,     0,     0,     0,  1863,  2232,     0,     0,
       0,     0,  3949,     0,  3910,  2236,  2237,     0,  1014,     0,
    3917,     0,     0,   208,     0,  1888,   673,  1782,  1812,  1813,
       0,  2233,  2238,  1783,   673,   673,  4346,     0,     0,  4347,
    1784,  4348,     0,     0,     0,   370,     0,     0,  2520,     0,
       0,     0,     0,     0,  1889,     0,     0,  1786,  2239,     0,
       0,  2240,     0,     0,  1815,  1787,  2140,     0,     0,     0,
       0,     0,     0,     0,  2241,     0,     0,  2242,     0,     0,
       0,     0,     0,     0,  3374,     0,     0,     0,     0,     0,
    3374,  3374,  2929,  2675,     0,     0,     0,     0,   370,   370,
     370,     0,  2227,     0,     0,  2228,     0,  2930,     0,  2635,
       0,     0,  1815,  3958,     0,     0,   831,  1788,     0,   673,
       0,  3481,  2229,     0,  4428,  4430,  4432,  4434,     0,     0,
    2231,     0,     0,  2234,     0,     0,  2232,  2235,     0,     0,
       0,     0,   371,     0,     0,     0,     0,     0,   371,   370,
       0,     0,  2243,   674,     0,     0,   370,     0,  2236,  2237,
    2233,     0,     0,   370,     0,     0,     0,  4062,     0,     0,
    1054,  4065,  4066,     0,  4068,  2238,  4070,  4071,     0,     0,
       0,   371,     0,     0,     0,  4076,  4643,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4495,     0,     0,     0,
       0,  2239,  2403,  1054,  2240,  3715,     0,  1012,     0,  2712,
       0,     0,     0,  1014,  4658,     0,     0,  2241,  1014,  1014,
    4095,     0,     0,     0,     0,  2635,   371,     0,     0,     0,
       0,     0,     0,  4673,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2244,  2245,  2246,     0,  2247,
    2248,  2249,  2250,  2251,  2252,     0,     0,     0,     0,  4530,
       0,     0,  2234,  2777,     0,     0,  2235,     0,     0,     0,
       0,     0,     0,     0,     0,  2929,  2929,     0,     0,     0,
       0,     0,     0,  4693,     0,     0,  2635,  2236,  2237,     0,
    2930,  2930,     0,     0,   371,  2243,     0,     0,     0,     0,
       0,   673,     0,   677,  2238,     0,  2227,     0,     0,  2228,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2239,     0,     0,  2240,  2231,     0,     0,     0,     0,   831,
    2232,     0,     0,     0,     0,     0,  2241,     0,     0,  2242,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2233,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1014,     0,     0,
       0,   370,     0,     0,  4603,  1014,  4609,  4610,  2244,  2245,
    2246,     0,  2247,  2248,  2249,  2250,  2251,  2252,     0,     0,
       0,   673,     0,     0,     0,     0,     0,     0,    80,     0,
       0,     0,     0,     0,     0,     0,     0,   673,     0,     0,
       0,     0,     0,     0,  2243,  1799,     0,     0,     0,     0,
       0,  1800,     0,     0,     0,     0,     0,     0,     0,  1014,
    2140,     0,  1014,  1014,     0,   371,     0,     0,     0,     0,
       0,     0,     0,     0,   673,   673,  1837,     0,     0,     0,
       0,     0,     0,     0,     0,   673,  2234,     0,     0,     0,
    2235,  1801,     0,     0,     0,     0,     0,   673,   673,     0,
     371,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2236,  2237,     0,     0,     0,     0,     0,     0,   673,
       0,     0,  1838,     0,     0,     0,     0,     0,  2238,     0,
       0,  1014,     0,     0,     0,     0,     0,  2244,  2245,  2246,
    1802,  2247,  2248,  2249,  2250,  2251,  2252,  1803,     0,     0,
    1804,     0,     0,  3578,  2239,     0,     0,  2240,  4691,  4692,
       0,     0,     0,     0,     0,     0,     0,  1012,  3374,  3374,
    2241,     0,  3953,  3956,     0,  1355,     0,     0,     0,  4710,
    1012,     0,     0,     0,     0,     0,   831,     0,     0,     0,
       0,   831,     0,   831,     0,  3958,  3958,  3958,  3958,  3958,
       0,  1839,     0,     0,  1805,     0,  2227,     0,     0,  2228,
       0,  4002,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2231,     0,     0,     0,     0,     0,
    2232,     0,     0,     0,   670,     0,     0,     0,  2243,  1840,
    4756,  1841,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1842,     0,  1807,  2233,     0,     0,     0,   370,     0,
       0,  2929,     0,  1808,   831,     0,     0,     0,  4776,     0,
    4806,  1809,     0,     0,  3135,     0,  2930,     0,     0,  3139,
    1843,  1810,  3142,     0,     0,  2930,     0,  2929,  2929,     0,
       0,     0,  4530,  4530,  4530,  4530,     0,     0,     0,     0,
       0,     0,  2930,  2930,  3165,     0,     0,     0,     0,     0,
       0,  2140,     0,     0,  1844,     0,     0,  1812,  1813,  1845,
       0,     0,     0,  1012,     0,     0,     0,     0,     0,     0,
       0,  2244,  2245,  2246,     0,  2247,  2248,  2249,  2250,  2251,
    2252,     0,     0,  1846,     0,  3215,     0,  3911,     0,  4509,
     370,     0,     0,     0,  1847,     0,  2234,  4512,  4513,     0,
    2235,     0,  3221,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2236,  2237,     0,     0,     0,     0,  2140,  3256,     0,
       0,  2140,  2140,     0,     0,     0,  2227,     0,  2238,  2228,
       0,  1815,     0,     0,   370,     0,   370,     0,     0,     0,
       0,     0,     0,     0,     0,  3287,  2229,     0,     0,  3298,
       0,     0,     0,     0,  2231,     0,   673,  2240,     0,  3949,
    2232,     0,     0,     0,     0,     0,     0,     0,  3312,     0,
    2241,     0,     0,     0,     0,     0,     0,     0,     0,  3322,
       0,     0,     0,     0,  2233,     0,     0,     0,     0,     0,
       0,     0,  3346,     0,  3374,     0,   673,     0,     0,     0,
     370,   673,  3353,  1355,   673,     0,     0,  4900,     0,  4901,
       0,     0,     0,  4906,  4907,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   673,     0,     0,     0,
       0,  2227,     0,     0,  2228,     0,     0,     0,     0,     0,
     371,     0,     0,     0,   371,     0,     0,     0,  2243,     0,
    4249,  2229,     0,     0,     0,  2929,     0,     0,   674,  2231,
       0,     0,     0,     0,   674,  2232,     0,   673,     0,     0,
    2930,     0,     0,     0,     0,   674,     0,     0,  1054,     0,
       0,     0,     0,  1014,   673,   673,  2234,     0,     0,  2233,
    2235,     0,     0,     0,     0,     0,     0,     0,  4642,     0,
       0,     0,     0,   674,     0,     0,     0,   674,     0,   370,
     673,  2236,  2237,   370,     0,     0,     0,     0,   674,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2238,  4659,
    4660,     0,     0,     0,     0,  1054,  1014,   673,     0,     0,
     677,   673, -2690, -2690,   674,  2247,  2248,  2249,  2250,  2251,
    2252,     0,     0,     0,  2239,  1012,  1725,  2240,     0,   674,
     673,     0,   831,     0,   674,     0,     0,     0,     0,     0,
    2241,   673,     0,  2242,   674,     0,     0,     0,  1012,     0,
       0,     0,     0,     0,   673,     0,     0,     0,   674,     0,
       0,  2234,     0,  5034,   673,  2235,     0,     0,  4694,  4695,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3529,     0,     0,     0,     0,  2236,  2237,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2238,  3529,     0,     0,     0,  2227,     0,
       0,  2228,     0,  1435,  1436,     0,     0,     0,  2243,     0,
       0,     0,  4411,     0,     0,     0,  3956,   370,  2229,  2239,
       0,     0,  2240,     0,     0,     0,  2231,  4427,     0,     0,
       0,     0,  2232,     0,     0,  2241,     0,     0,  2242,     0,
       0,     0,   674,     0,     0,  1799,     0,     0,     0,     0,
       0,  1800,     0,     0,     0,     0,  2233,     0,     0,     0,
       0,     0,     0,   371,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   673,     0,
       0,     0,     0,  4787,     0,  4788,  4789,     0,     0,     0,
    1014,  1801,     0,     0,  1355,     0,     0,  4792,  1014,     0,
    1014,  2244,  2245,  2246,     0,  2247,  2248,  2249,  2250,  2251,
    2252,     0,     0,  2243,     0,   673,     0,  3626,     0,     0,
       0,     0,     0,  2227,     0,     0,  2228,     0,     0,     0,
     674,   674,     0,     0,     0,     0,     0,     0,     0,     0,
    1802,     0,     0,  2229,  1012,     0,     0,  1803,     0,     0,
    1804,  2231,     0,     0,     0,     0,     0,  2232,  2234,     0,
       0,     0,  2235,   673,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2233,     0,  2236,  2237,     0,   673,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2238,     0,  2227,     0,  1805,  2228,  2244,  2245,  2246,     0,
    2247,  2248,  2249,  2250,  2251,  2252,     0,     0,     0,     0,
    2960,     0,     0,     0,     0,     0,  2239,     0,     0,  2240,
    2231,     0,     0,     0,     0,     0,  2232,     0,     0,     0,
       0,     0,  2241,     0,     0,  2242,     0,     0,  5227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3766,     0,
    2233,  1806,     0,  1807,     0,     0,     0,     0,     0,   370,
       0,     0,     0,  1808,     0,   370,     0,     0,     0,     0,
       0,  1809,     0,  2234,     0,     0,     0,  2235,     0,  2403,
       0,  1810,     0,     0,     0,     0,     0,     0,  5227,     0,
    3789,     0,     0,     0,     0,     0,  5227,     0,  2236,  2237,
       0,    74,     0,     0,     0,     0,     0,     0,     0,  1012,
    2243,   831,  4170,     0,  2502,  2238,     0,  1812,  1813,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1014,   674,     0,     0,     0,     0,     0,     0,     0,
       0,  2239,     0,  2503,  2240,     0,     0,   674,     0,     0,
       0,     0, -2690,     0,   673,     0,  2235,  2241,  4970,     0,
    2242,  1012,     0,     0,     0,     0,     0,     0,     0,     0,
     674,     0,     0,     0,     0,     0,     0,  2236,  2237,     0,
       0,  4671,  4672,     0,     0,     0,  4675,  4676,  3856,     0,
       0,     0,     0,     0, -2690,     0,     0,     0,     0,     0,
    3875,  1815,     0,  2244,  2245,  2246,   674,  2247,  2248,  2249,
    2250,  2251,  2252,     0,     0,     0,  5001,  3950,     0,  2227,
       0,   674,  2228,  2240,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   674,  2243,  2241,   674,     0,     0,
     673,     0,     0,     0,     0,     0,  2227,  2231,  1012,  2228,
       0,     0,     0,  2232,     0,   673,   673,  5032,     0,     0,
       0,     0,     0,     0,     0,     0,  2229,   672,  3956,  3956,
    3956,  3956,  3956,     0,  2231,  3922,  1012,  2233,   831,     0,
    2232,     0,   673,     0,     0,   673,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   822,     0,     0,     0,     0,
       0,     0,     0,     0,  2233,     0,  1958,     0,     0,     0,
       0,     0,     0,     0, -2690,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2244,  2245,
    2246,     0,  2247,  2248,  2249,  2250,  2251,  2252,  1014,  4171,
     822,     0,  4108,     0,     0,     0,     0,  1216,     0,     0,
       0,     0,     0,     0,     0,  1240,   370,   370,   370,     0,
       0,     0,   674,     0,  1255,     0,     0,     0,     0,     0,
     674,   674,  1265,     0,     0,     0,     0,  1298,     0, -2690,
     673,   371,     0,  2235,     0,     0,  1053,     0,     0,     0,
       0,     0,   673,     0,  1053,     0,  1053,     0,     0,     0,
       0,   673,     0,     0,  2236,  2237,  2234,     0,   822,     0,
    2235,  2247,  2248,  2249,  2250,  2251,  2252,     0,     0,     0,
       0, -2690,     0,     0,     0,  2635,     0,     0,     0,     0,
       0,  2236,  2237,     0,   371,   371,   371,     0,     0,     0,
       0,     0,  4084,     0,     0,     0,     0,     0,  2238,     0,
    2240,     0,     0,     0,     0,   674,  4843,     0,     0,     0,
       0,     0,  4096,  2241,     0,     0,     0,   673,     0,  1958,
       0,     0,     0,     0,  2239,     0,  1799,  2240,     0,     0,
       0,     0,  1800,     0,     0,   371,     0,     0,     0,     0,
    2241,     0,   371,  2242,     0,     0,     0,     0,     0,   371,
       0,     0,     0,     0,     0,     0,   370,     0,     0,     0,
       0,     0,  1012,     0,     0,     0,  2227,     0,     0,  2228,
       0,   673,  1801,   673,     0,     0,     0,     0,     0,     0,
    5210,     0,     0,  1471,     0,   673,  2229,   673,     0,     0,
       0, -2690,     0,     0,  2231,     0,     0,     0,     0,     0,
    2232,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1600,  2243,     0,
       0,  1802,     0,     0,  2233,     0,     0,     0,  1803,     0,
       0,  1804,     0,     0,     0,     0,  1624,   673,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   831,     0,
       0,     0,  2227,     0,     0,  2228,     0,     0,  1650,     0,
       0,     0,     0,     0,     0,     0,     0,   673,     0,     0,
       0,     0,  2229,     0,     0,     0,     0,     0,     0,     0,
    2231,     0,     0,     0,   673,  1805,  2232,   674,  2247,  2248,
    2249,  2250,  2251,  2252,     0,     0,     0,     0,   831,     0,
       0,   673,     0,     0,   673,     0,   831,     0,     0,     0,
    2233,  2244,  2245,  2246,     0,  2247,  2248,  2249,  2250,  2251,
    2252,     0,     0,     0,     0,  4155,  2234,     0,  1014,     0,
    2235,  2227,     0,     0,  2228,     0,     0,     0,     0,     0,
       0,  1014,  1806,     0,  1807,     0,     0,     0,     0,     0,
       0,  2236,  2237,     0,  1808,     0,     0,     0,     0,  2231,
    1822,     0,  1809,     0,     0,  2232,     0,   371,  2238,     0,
       0,     0,  1810,     0,     0,     0,  4294,     0,     0,   370,
       0,     0,     0,     0,     0,     0,     0,   674,     0,  2233,
       0,     0,     0,  2434,  2239,     0,     0,  2240,     0,     0,
       0,     0,     0,   674,     0,  2566,     0,     0,  1812,  1813,
    2241,     0,  2234,  2242,     0,     0,  2235,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2567,     0,     0,  2236,  2237,     0,
     674,   674,     0,     0,     0,     0,     0,  2434,     0,     0,
       0,   674,     0,  1974,  2238,     0,     0,     0,     0,     0,
       0,  1799,     0,   674,   674,  4366,     0,  1800,  4369,  5079,
       0,     0,     0,     0,     0,  2002,  2005,  2006,     0,  1958,
    2239,     0,     0,  2240,     0,   674,     0,     0,  2243,     0,
       0,  2234,  1815,     0,  1014,  2235,  2241,     0,     0,  2242,
       0,     0,     0,     0,     0,     0,     0,  1801,     0,     0,
       0,     0,     0,     0,     0,     0,  2236,  2237,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2238,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1802,  1958,     0,     0,
       0,     0,  2240,  1803,     0,     0,  1804,     0,   673,     0,
       0,     0,  4466,     0,  2243,  2241,  2434,     0,     0,     0,
       0,  2244,  2245,  2246,     0,  2247,  2248,  2249,  2250,  2251,
    2252,     0,     0,  1600,  1958,  4235,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   370,     0,     0,     0,
       0,   370,     0,   370,     0,     0,     0,     0,     0,     0,
    1805,  1600,  1958,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   371,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3529,  2243,     0,     0,     0,   673,     0,     0,
     673,     0,     0,     0,   822,     0,     0,  2244,  2245,  2246,
       0,  2247,  2248,  2249,  2250,  2251,  2252,  1806,     0,  1807,
       0,  4266,   672,     0,     0,  1958,     0,     0,   672,  1808,
       0,  5224,     0,     0,   370,     0,     0,  1809,     0,   672,
       0,  2227,     0,     0,  2228,     0,     0,  1810,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2229,     0,     0,     0,     0,   371,   672,     0,  2231,
       0,   672,     0,     0,     0,  2232,     0,     0,     0,     0,
    3224,  5224,   672,  1812,  1813,     0,  2244,  2245,  2246,  5224,
    2247,  2248,  2249,  2250,  2251,  2252,     0,   673,   673,  2233,
       0,     0,     0,     0,   673,  2313,     0,     0,   672,  1814,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     371,     0,   371,   672,     0,     0,     0,     0,   672,     0,
       0,     0,     0,     0,     0,     0,  1014,     0,   672,     0,
       0,     0,   674,     0,     0,     0,  2227,     0,     0,  2228,
       0,     0,   672,  2367,     0,     0,     0,  2227,     0,  1014,
    2228,     0,     0,     0,     0,     0,     0,  1815,     0,     0,
       0,     0,     0,     0,  2231,     0,     0,  2229,     0,     0,
    2232,     0,   674,     0,   673,  2231,   371,   674,     0,     0,
     674,  2232,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2234,     0,     0,  2233,  2235,     0,     0,     0,     0,
       0,     0,   674,     0,     0,  2233,     0,     0,     0,     0,
       0,     0,  1958,     0,     0,     0,  2236,  2237,     0,     0,
       0,     0,     0,  4668,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2238,  1053,  4678,   672,     0,  1053,     0,
       0,     0,     0,   674,     0,     0,  1799,     0,     0,  3035,
       0,     0,  1800,     0,     0,     0,  4174,     0,     0,  2239,
     674,   674,  2240,     0,     0,     0,     0,     0,     0,     0,
    2529,     0,     0,     0,     0,  2241,     0,  2547,  2242,     0,
       0,     0,     0,     0,     0,   371,   674,     0,     0,   371,
       0,     0,  1801,     0,     0,     0, -2690,     0,     0,     0,
    2235,     0,     0,     0,     0,  2582,     0,  2234,  2585,     0,
       0,  2235,     0,   674,     0,     0,     0,   674,     0,     0,
       0,  2236,  2237,     0,   672,   672,     0,     0,     0,     0,
       0,     0,  2236,  2237,     0,     0,   674,     0, -2690,     0,
       0,  1802,     0,     0,     0,  2621,     0,   674,  1803,  2238,
       0,  1804,     0,  2243,     0,  1014,     0,     0,     0,  2639,
     674,     0,     0,     0,     0,     0,     0,  2240,     0,     0,
     674,     0,     0,  2651,     0,  2239,     0,     0,  2240,     0,
    2241,     0,     0,     0,     0,     0,     0,     0,     0,   673,
       0,  2241,   370,     0,  2242,     0,     0,     0,     0,     0,
    1053,  1053,     0,     0,     0,  1805,     0,     0,  3121,     0,
       0,     0,  2434,  3127,     0,   673,     0,     0,     0,  3529,
       0,     0,     0,     0,     0,     0,     0,   673,     0,  2227,
       0,     0,  2228,   371,     0,     0,     0,     0,     0,     0,
       0,     0,   673,     0,     0,     0,  2244,  2245,  2246,  2229,
    2247,  2248,  2249,  2250,  2251,  2252,     0,  2231, -2690,     0,
    4533,     0,  1806,  2232,  1807,     0,     0,     0,  2227,  2243,
    1799,  2228,     0,  2743,  1808,     0,  1800,     0,     0,  2753,
       0,     0,  1809,     0,     0,   673,     0,  2233,  2229,     0,
       0,     0,  1810,     0,   674,     0,  2231,     0,     0,     0,
       0,     0,  2232,     0,   370,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1801,     0,  1958,  3529,
       0,  3529,     0,     0,     0,  3315,  2233,     0,  1812,  1813,
    1014,   674,     0,     0,     0,     0,   672,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2809,   672,     0,     0,  3316,  2247,  2248,  2249,  2250,  2251,
    2252,     0,  2244,  2245,  2246,  1802,  2247,  2248,  2249,  2250,
    2251,  2252,  1803,     0,   672,  1804,  4567,     0,     0,   674,
       0,     0,  1014,     0,     0,     0,     0,     0,     0,  2234,
       0,     0,     0,  2235,     0,     0,     0,  1600,  1600,     0,
       0,     0,   674,     0,     0,     0,     0,     0,     0,     0,
     672,   673,  1815,     0,  2236,  2237,  2864,     0,     0,     0,
       0,     0,     0,     0,     0,   672,     0,     0,  2234,  1805,
       0,  2238,  2235,     0,     0,     0,     0,     0,   672,     0,
       0,   672,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2236,  2237,     0,     0,  2239,     0,     0,
    2240,     0,     0,     0,     0,     0,  1958,     0,     0,  1014,
    2238,     0,     0,  2241,     0,     0,  2242,     0,     0,     0,
       0,     0,     0,     0,  1799,   371,  1806,     0,  1807,     0,
    1800,   371,     0,     0,     0,     0,  2239,  1014,  1808,  2240,
       0,     0,     0,     0,     0,     0,  1809,     0,     0,     0,
       0,   673,  2241,   673,     0,  2242,  1810,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1801,     0,     0,  3022,     0,     0,     0,     0,     0,     0,
       0,  2434,     0,     0,     0,     0,     0,     0,     0,  3354,
     673,  2243,  1812,  1813,  2227,     0,     0,  2228,  3042,     0,
       0,     0,     0,     0,     0,     0,   672,     0,     0,     0,
       0,     0,     0,     0,   672,   672,     0,     0,  3355,  1802,
     674,     0,  2231,     0,     0,   822,  1803,     0,  2232,  1804,
    2243,   370,     0,   673,     0,  3055,     0,  3058,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2233,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1600,     0,  1815,     0,   822,     0,
       0,  1958,     0,  1805,  2244,  2245,  2246,     0,  2247,  2248,
    2249,  2250,  2251,  2252,     0,     0,     0,     0,  4808,   672,
       0,     0,     0,     0,     0,     0,   674,     0,     0,     0,
       0,     0,     0,     0,  4565,     0,     0,     0,     0,     0,
       0,   674,   674,  2244,  2245,  2246,     0,  2247,  2248,  2249,
    2250,  2251,  2252,     0,     0,     0,     0,  4817,     0,     0,
    1806,     0,  1807,   822,     0,     0,     0,     0,   674,     0,
    1053,   674,  1808,     0, -2690,     0,     0,     0,  2235,     0,
    1809,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1810,     0,     0,  1014,     0,     0,     0,     0,     0,  2236,
    2237,     0,     0,  1053,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0, -2690,     0,   370,     0,
       0,     0,     0,  3815,     0,     0,  1812,  1813,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   371,   371,   371,  2240,     0,     0,     0,     0,
       0,     0,  3816,     0,     0,     0,  3529,     0,  2241,     0,
       0,     0,     0,     0,     0,     0,   674,     0,     0,     4,
    3035,  3035,  3035,     0,     0,     0,     0,     0,   674,     0,
    3247,     0,     0,     0,     0,     0,     0,   674,     0,     5,
       0,     0,     0,     0,     0,     0,     0,  3274,     0,     6,
       7,   672,     0,     0,     0,     8,     0,     9,    10,     0,
    1815,    11,    12,    13,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35, -2690,    36,     0,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,     0,
      45,     0,     0,   674,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2434,     0,     0,  3127,     0,  3127,
       0,     0,     0,     0,  2434,     0,     0,     0,     0,     0,
       0,   822,     0,     0,   673,     0,     0,     0,     0,     0,
       0,     0,   371,     0,     0,     0,     0,     0,    46,     0,
       0,   672,     0,     0,     0,     0,     0,   674,     0,   674,
       0,     0,     0,     0,     0,     0,     0,   672,     0,     0,
       0,   674,     0,   674,  1958,     0,     0,     0,     0,     0,
       0,     0,     0,  2247,  2248,  2249,  2250,  2251,  2252,     0,
       0,  3436,     0,     0,     0,     0,     0,     0,   673,     0,
       0,     0,     0,     0,   672,   672,     0,     0,     0,     0,
       0,     0,     0,     0,  2434,   672,     0,     0,    47,     0,
       0,     0,     0,   674,     0,     0,     0,   672,   672,     0,
       0,     0,     0,     0,     0,     0,    48,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   672,
    5080,     0,     0,   674,     0,     0,    49,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     674,     0,     0,     0,     0,  1958,     0,  1958,    50,     0,
       0,     0,     0,     0,     0,     0,     0,   674,   370,     0,
     674,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2227,
       0,     0,  2228,     0,    51,     0,     0,    52,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2229,
       0,     0,    53,     0,  1958,     0,     0,  2231,   370,     0,
       0,     0,     0,  2232,     0,     0,   370,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1958,
       0,     0,     0,     0,     0,   371,     0,  2233,     0,     0,
       0,     4,     0,     0,     0,     0,     0,     0,     0,     0,
    3127,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     5,     0,  3127,     0,     0,     0,     0,   822,     0,
       0,     6,     7,     0,     0,     0,     0,     0,    54,     9,
      10,     0,     0,    11,    12,    13,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,     0,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
      55,     0,    45,     0,     0,     0,     0,     0,  1958,     0,
       0,     0,     0,     0,    56,     0,     0,     0,     0,  2234,
       0,     0,     0,  2235,  3127,     0,     0,     0,     0,    57,
       0,     0,     0,     0,     0,     0,     0,  1958,     0,     0,
       0,     0,     0,     0,  2236,  2237,     0,     0,     0,  3666,
      46,     0,     0,     0,     0,     0,     0,    58,     0,     0,
       0,  2238,     0,     0,    59,     0,     0,     0,    60,    61,
      62,    63,    64,     0,     0,    65,    66,    67,    68,     0,
      69,    70,    71,    72,    73,     0,     0,  2239,     0,     0,
    2240,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2241,   674,     0,  2242,     0,     0,  1958,
       0,     0,     0,     0,     0,     0,   672,     0,     0,     0,
      47,     0,     0,     0,     0,     0,     0,     0,     0,  1958,
       0,     0,     0,     0,     0,     0,     0,     0,    48,     0,
       0,     0,   371,     0,     0,     0,     0,   371,     0,   371,
       0,     0,     0,     0,  1958,     0,   672,     0,    49,     0,
     822,   672,     0,     0,   672,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      50,  2243,     0,     0,     0,     0,   672,     0,     0,     0,
    1958,     0,     0,   674,     0,     0,   674,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    51,     0,     0,    52,
       0,     0,     0,     0,     0,     0,     0,   672,     0,     0,
     371,     0,     0,     0,    53,  3035,     0,     0,  1053,     0,
    1799,     0,     0,     0,   672,   672,  1800,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   822,
     672,  1837,     0,   822,  2244,  2245,  2246,     0,  2247,  2248,
    2249,  2250,  2251,  2252,     0,     0,  1801,     0,  4852,     0,
       0,     0,     0,   674,   674,  1053,     0,   672,     0,     0,
     674,   672,  2227,     0,     0,  2228,     0,  2434,     0,     0,
      54,     0,     0,     0,     0,     0,     0,  1838,     0,     0,
     672,     0,  2229,     0,     0,     0,     0,     0,     0,     0,
    2231,   672,     0,     0,     0,  1802,  2232,  1799,     0,     0,
       0,     0,  1803,  1800,   672,  1804,     0,     0,     0,     0,
       0,     0,    55,     0,   672,     0,  2227,     0,     0,  2228,
    2233,     0,     0,     0,     0,     0,    56,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2229,     0,     0,     0,
     674,    57,     0,  1801,  2231,     0,     0,     0,     0,     0,
    2232,     0,     0,     0,     0,     0,  1839,     0,  3127,  1805,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    58,
       0,     0,     0,     0,  2233,     0,    59,   822,     0,     0,
      60,    61,    62,    63,    64,     0,     0,    65,    66,  1397,
       0,     0,  1802,     0,    71,  1398,     0,     0,     0,  1803,
       0,     0,  1804,     0,  1840,     0,  1841,     0,     0,     0,
       0,  3994,  3995,     0,     0,     0,  1842,     0,  1807,     0,
       0,     0,  2234,     0,     0,     0,  2235,  4004,  1808,     0,
       0,     0,     0,     0,     0,     0,  1809,     0,   672,     0,
       0,  4013,     0,     0,     0,  1843,  1810,  2236,  2237,     0,
       0,  4023,     0,     0,     0,     0,  1805,     0,   718,     0,
       0,     0,     0,     0,  2238,  4039,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   672,  2234,     0,     0,  3300,
    2235,     0,  1812,  1813,  1845,     0,     0,     0,     0,     0,
    2239,     0,     0,  2240,     0,     0,   718,     0,     0,     0,
       0,  2236,  2237,     0,     0,     0,  2241,  1958,  3301,  2242,
       0,     0,     0,  1806,     0,  1807,     0,   718,  2238,  1847,
       0,     0,     0,   672,     0,  1808,     0,     0,     0,     0,
       0,     0,     0,  1809,     0,  1023,  1600,     0,     0,     0,
       0,     0,     0,  1810,  2239,  2434,   672,  2240,  1024,     0,
       0,     0,     0,     0,     0,   674,  1032,     0,   371,     0,
    2241,     0,     0,  2242,     0,     0,  1815,     0,     0,     0,
       0,  1043,     0,  1023,     0,     0,  3858,  1066,     0,  1812,
    1813,   674,     0,     0,  2243,     0,     0,  1097,     0,     0,
       0,     0,     0,   674,     0,  1102,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3859,     0,     0,   674,     0,
       0,    85,     0,     0,     0,     0,     0,    89,     0,     0,
       0,    93,     0,    94,     0,    96,    97,     0,     0,   822,
       0,     0,     0,     0,     0,   822,   106,     0,  2243,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   674,     0,   119,   120,     0,     0,     0,  1958,  4185,
    4186,  4187,     0,  1815,     0,     0,     0,     0,     0,  1958,
     371,     0,     0,     0,     0,     0,     0,  2244,  2245,  2246,
       0,  2247,  2248,  2249,  2250,  2251,  2252,     0,     0,     0,
       0,  4915,     0,     0,     0,     0,     0,     0,     0,   128,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   129,
       0,   130,   131,     0,     0,     0,     0,     0,  3035,     0,
       0,     0,     0,  3035,   672,     0,  1130,     0,  3035,     0,
       0,  2244,  2245,  2246,     0,  2247,  2248,  2249,  2250,  2251,
    2252,     0,     0,     0,     0,  5139,   141,     0,   142,   143,
       0,     0,     0,     0,   146,     0,   147,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   149,     0,   150,     0,
       0,     0,     0,     0,     0,     0,     0,   674,     0,     0,
       0,     0,   153,     0,   154,     0,     0,   157,     0,  1958,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   158,
       0,   159,     0,     0,     0,   160,     0,     0,     0,     0,
     672,   161,     0,     0,     0,     0,     0,  1958,     0,   163,
       0,   165,     0,     0,     0,   672,   672,   167,     0,     0,
       0,     0,     0,     0,     0,     0,  1958,     0,     0,     0,
       0,     0,   171,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   672,     0,     0,   672,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2227,     0, -2195,  2228,     0,   674,     0,   674,
       0,     0,     0,     0,     0,     0,  1958,     0,     0,     0,
       0,     0,  2229,     0,     0,     0,     0,   184,   185,     0,
    2231,     0,     0,   186,     0,     0,  2232,     0,     0,     0,
       0,  2227,   187,     0,  2228,     0,   674,     0,     0,     0,
       0, -2195,     0,   192,     0,     0,   822,   822,   822,     0,
    2233,  2229,     0, -2195,     0,     0,     0,     0, -2195,  2231,
       0,     0,     0, -2195,     0,  2232,     0,     0, -2195,     0,
     672, -2195,     0, -2195,     0,  4424,     0,   371,     0,   674,
       0,   202,   672,     0,     0,     0,     0,     0,     0,  2233,
       0,   672,     0,   204,  4450,     0,     0,     0,   205,   206,
   -2195,   207,     0,     0,     0,     0,   208,     0,     0,     0,
       0,   209,     0,     0,   211,     0,     0,     0,   213,     0,
     718,  4467, -2195,   214,   215,  4780,     0,     0,     0,     0,
       0,   216,     0,     0,   218,     0,     0,     0,     0,     0,
       0,     0,   221,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2234,     0,   223,     0,  2235,   672,     0, -2195,
       0,     0,     0,  1958,     0,     0,     0, -2195,     0,     0,
       0,   228,     0,   229,     0,     0,     0,  2236,  2237,     0,
       0,   231,     0,     0,     0,     0,     0,   232,     0,     0,
       0,  2234,   233,     0,  2238,  2235,   822,     0,     0,     0,
       0,     0,     0,     0,     0,   236,     0,     0,     0,     0,
       0,   672,     0,   672,     0, -2195,  2236,  2237,     0,     0,
    2239,     0,     0,  2240,     0,   672,     0,   672,     0,     0,
       0,     0,     0,  2238,     0,     0,  2241,     0,     0,  2242,
       0,   246,     0,     0,   371,  -138,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2239,
    1027,     0,  2240,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2241,     0,   672,  2242,     0,
       0,     0,     0,     0, -2195,  3127,     0,     0,     0,     0,
       0,     0,     0,  4572,  4573,  4574,  4575,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   672, -2195,     0,
   -2195, -2195,     0,     0,  2243,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   672,     0,     0,     0,  1194,  1200,
    1200,   718,     0,  1200,     0,  1208,     0,  1194,     0,  1097,
       0,   672,  1234,     0,   672, -2195,     0,  1097, -2195, -2195,
    1097, -2195,     0,  2243,  1200,     0,  1097,     0,     0,     0,
       0,     0,     0,     0,  1267,     0,     0,     0,     0,  1097,
       0,  1194,     0,     0,  1200,     0,   718,     0,  1200,     0,
       0,     0,     0,     0,     0,  1234,     0,     0,  1324,     0,
       0,     0,     0,     0,     0,  1200,     0,     0,     0,     0,
       0,  3127,     0,     0,     0,     0,     0,  2244,  2245,  2246,
     674,  2247,  2248,  2249,  2250,  2251,  2252,     0,     0,   822,
       0,  5236,     0,     0,  1958,     0,     0,     0,  1194,     0,
       0,     0,     0,   718,     0,     0,     0,     0,  1194,     0,
       0,     0,  1234,     0,     0,     0,  2244,  2245,  2246,     0,
    2247,  2248,  2249,  2250,  2251,  2252,     0,  1200,  4230,     0,
    1958,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   674,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2227,     0,     0,  2228,     0,     0,
    1958,     0,     0,     0,  1958,  1958,     0,     0,     0,     0,
       0,     0,  1097,     0,  2229,     0,     0,     0,  3064,     0,
       0,     0,  2231,     0,     0,  1097,  1472,     0,  2232,  2227,
       0,     0,  2228,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2229,
       0,     0,  2233,     0,  1582,     0,     0,  2231,   718,  1097,
       0,     0,     0,  2232,   371,     0,     0,     0,  2227,     0,
       0,  2228,  1956,     0,     0,     0,     0,     0,  1097,     0,
       0,     0,  1097,     0,     0,  4780,     0,  2233,  2229,     0,
    1582,     0,     0,     0,     0,     0,  2231,  3065,     0,     0,
    1097,  2227,  2232,     0,  2228,     0,     0,     0,   672,     0,
       0,     0,  1097,     0,   371,     0,  4782,     0,     0,     0,
       0,  2229,   371,     0,     0,     0,  2233,     0,     0,  2231,
       0,     0,     0,     0,     0,  2232,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   822,     0,     0,     0,
       0,   822,     0,   822,  2234,     0,     0,     0,  2235,  2233,
       0,     0,     0,     0,     0,     0,     0,     0,  3602,     0,
       0,     0,     0,  3603,     0,     0,     0,     0,     0,  2236,
    2237,     0,     0,     0,     0,     0,     0,     0,     0,  2234,
       0,     0,     0,  2235,  1097,     0,  2238,   672,     0,     0,
     672,     0,  1097,     0,  1200,  1200,     0,     0,     0,     0,
       0,     0,     0,     0,  2236,  2237,     0,     0,     0,     0,
       0,     0,  2239,     0,     0,  2240,     0,     0,  2234,     0,
       0,  2238,  2235,     0,   822,  1956,     0,     0,  2241,  5207,
       0,  2242,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1194,  2236,  2237,     0,     0,  2239,     0,     0,
    2240,  2234,     0,  1194,     0,  2235,     0,  1234,     0,     0,
    2238,     0,     0,  2241,     0,     0,  2242,     0,     0,     0,
    1200,     0,     0,     0,     0,     0,  2236,  2237,     0,     0,
       0,     0,     0,     0,     0,  1097,  2239,   672,   672,  2240,
       0,  1200,  1200,  2238,   672,     0,     0,     0,     0,     0,
       0,     0,  2241,     0,     0,  2242,  2243,  1097,  1097,  1097,
       0,  1200,     0,  1194,     0,     0,     0,  2016,     0,  2239,
       0,     0,  2240,     0,     0,  4147,     0,     0,     0,     0,
    4913,  2227,     0,     0,  2228,  2241,     0,     0,  2242,     0,
       0,  2243,     0,     0,     0,     0,  1200,     0,  1200,  1200,
       0,  2229,     0,     0,  3565,     0,  5208,  3066,     0,  2231,
       0,     0,     0,     0,     0,  2232,     0,     0,  1600,     0,
       0,  2295,     0,     0,   672,     0,     0,     0,     0,     0,
    2243,     0,  1582,     0,     0,     0,     0,     0,     0,  2233,
       0,     0,     0,     0,  4148,     0,     0,     0,     0,  2244,
    2245,  2246,     0,  2247,  2248,  2249,  2250,  2251,  2252,     0,
       0,     0,     0,  2243,     0,     0,     0,     0,     0,     0,
    2115,  2115,     0,     0,     0,  1097,     0,  1023,     0,     0,
       0,     0,     0,     0,  2244,  2245,  2246,     0,  2247,  2248,
    2249,  2250,  2251,  2252,     0,     0,     0,     0,     0,     0,
    2150,     0,     0,  1097,     0,     0,  2156,     0,     0,     0,
       0,     0,     0,     0,  5008,     0,     0,     0,  1582,     0,
       0,     0,     0,  2244,  2245,  2246,     0,  2247,  2248,  2249,
    2250,  2251,  2252,     0,     0,     0,     0,     0,     0,     0,
       0,  2234,     0,     0,     0,  2235,     0,  1582,     0,  1956,
       0,     0,     0,     0,     0,     0,  2244,  2245,  2246,     0,
    2247,  2248,  2249,  2250,  2251,  2252,  2236,  2237,     0,     0,
       0,     0,     0,     0,     0,  1582,  1582,     0,  1582,     0,
       0,     0,     0,  2238,     0,     0,     0,  2227,     0,     0,
    2228,     0,     0,     0,     0,     0,     0,  1582,     0,     0,
       0,     0,     0,  1956,     0,     0,     0,  2229,     0,  2239,
       0,     0,  2240,     0,     0,  2231,     0,     0,   718,   718,
       0,  2232,     0,     0,     0,  2241,     0,     0,  2242,     0,
       0,     0,     0,     0,     0,  1956,     0,     0,     0,   672,
       0,     0,   822,     0,     0,  2233,     0,  1097,     0,     0,
    1582,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   672,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   672,     0,  1582,
       0,     0,     0,  1582,  1582,     0,     0,     0,     0,     0,
    2227,     0,   672,  2228,  1097,  1097,  2369,     0,     0,     0,
       0,     0,  2227,  2243,     0,  2228,     0,     0,     0,     0,
    2229,     0,     0,  1956,     0,     0,     0,     0,  2231,     0,
       0,     0,  2229,   718,  2232,  3610,     0,     0,     0,     0,
    2231,     0,  1956,     0,     0,   672,  2232,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2234,  2233,     0,
    1956,  2235,     0,     0,     0,     0,     0,     0,     0,     0,
    2233,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2236,  2237,     0,     0,     0,     0,  1956,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2238,
       0,     0,     0,     0,     0,     0,  2244,  2245,  2246,     0,
    2247,  2248,  2249,  2250,  2251,  2252,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2239,     0,     0,  2240,     0,
       0,     0,  1097,  2534,     0,     0,     0,     0,     0,  1097,
       0,  2241,  1200,     0,  2242,     0,     0,     0,     0,     0,
       0,  1956,     0,     0,     0,     0,     0,     0,     0,  3580,
    2234,  1234,     0,     0,  2235,     0,     0,  1097,     0,     0,
    1097,   672,  2234,     0,     0,     0,  2235,     0,     0,     0,
       0,     0,     0,     0,     0,  2236,  2237,     0,     0,     0,
       0,     0,     0,     0,     0,  1097,     0,  2236,  2237,     0,
       0,     0,  2238,  1200,  1200,  1200,  1200,  1097,     0,     0,
       0,     0,     0,     0,  2238,     0,     0,     0,     0,  2243,
       0,  1097,     0,     0,     0,     0,     0,     0,  2239,     0,
       0,  2240,     0,  2650,     0,  1097,     0,     0,     0,     0,
    2239,     0,     0,  2240,  2241,  1200,  1200,  2242,     0,     0,
       0,  1200,     0,     0,     0,     0,  2241,     0,     0,  2242,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   672,     0,   672,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     672,     0,  2244,  2245,  2246,     0,  2247,  2248,  2249,  2250,
    2251,  2252,  2243,  1200,  1200,  1200,  1200,     0,     0,     0,
       0,     0,     0,     0,  2243,  1097,     0,     0,     0,     0,
       0,  1097,     0,     0,  2650,     0,     0,     0,  1956,     0,
       0,   822,     0,   672,     0,     0,     0,     0,     0,  1194,
       0,     0,     0,     0,     0,     0,   718,     0,  1194,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1234,     0,
       0,     0,     0,  1200,     0,     0,     0,     0,     0,     0,
       0,     0,  1200,     0,     0,     0,     0,     0,  1200,  1200,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1097,     0,     0,  2244,  2245,  2246,     0,  2247,
    2248,  2249,  2250,  2251,  2252,     0,     0,  2244,  2245,  2246,
       0,  2247,  2248,  2249,  2250,  2251,  2252,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2115,     0,     0,     0,
       0,     0,     0,  1200,     0,  1194,     0,     0,     0,  1097,
    1097,     0,  1200,     0,     0,     0,     0,     0,  1097,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1097,     0,
       0,     0,     0,     0,     0,  1023,  1023,     0,     0,  2871,
       0,     0,     0,  1582,  1582,     0,     0,     0,     0,     0,
       0,  1582,     0,     0,  1582,     0,     0,     0,  1582,  1948,
       0,     0,     0,     0,     0,     0,  1582,  1582,   822,     0,
       0,     0,     0,     0,  1582,     0,  1234,  1582,  1582,  1582,
    1582,     0,     0,     0,     0,     0,     0,  1582,  1582,     0,
    1582,     0,  1582,  1582,  1956,     0,  1582,     0,  1956,  1956,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1582,     0,     0,     0,  1200,  1582,     0,
       0,     0,  1582,     0,     0,     0,  1582,     0,  1582,  1582,
    1582,  1582,  1582,  1582,  1582,  1582,  1582,     0,  1582,     0,
       0,     0,     0,     0,     0,  1097,     0,     0,  1582,  1582,
       0,     0,     0,     0,     0,  2227,     0,     0,  2228,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1097,     0,     0,     0, -2197,  2229,     0,     0,     0,     0,
       0,     0,     0,  2231,     0,     0,     0,     0,     0,  2232,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1956,     0,     0,  1097,     0,  1097,
       0,  1582,     0,  2233,     0,     0,     0,     0,     0,     0,
       0, -2197,  1948,     0,     0,     0,     0,  2227,     0,     0,
    2228,     0,     0, -2197,   672,     0,     0,     0, -2197,     0,
       0,     0,     0, -2197,     0,     0,  1097,  2229, -2197,     0,
    3621, -2197,  3088, -2197,  3095,  2231,     0,     0,     0,     0,
       0,  2232,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
   -2197,     0,     0,     0,     0,  2233,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   672,  3615,
       0,     0, -2197,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2234,     0,     0,     0,  2235,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   718,     0,     0,     0,     0,  1023,     0,  1023, -2197,
    2236,  2237,     0,     0,     0,     0,     0, -2197,     0,     0,
       0,     0,  1956,     0,     0,  1582,     0,  2238,     0,     0,
       0,     0,     0,     0,     0,     0,  1194,     0,  1200,  1200,
    1200,     0,     0,  1194,     0,  1234,     0,  1200,     0,  1200,
       0,  1200,  1200,  2239,     0,  1097,  2240,  2234,   822,     0,
       0,  2235,     0,     0,     0, -2197,     0,     0,     0,  2241,
       0,     0,  2242,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2236,  2237,  2534,     0,     0,     0,     0,     0,
       0,  3229,     0,     0,     0,     0,  3238,  1956,     0,  2238,
       0,     0,  1097,     0,     0,     0,     0,     0,   822,     0,
    1027,     0,     0,     0,     0,     0,   822,     0,     0,  1097,
       0,     0,     0,  3279,  3279,  2239,     0,     0,  2240,     0,
     718,     0,     0,     0, -2197,     0,     0,     0,     0,     0,
       0,  2241,     0,     0,  2242,     0,     0,  2243,  1200,     0,
       0,     0,     0,  3279,     0,     0,     0,     0, -2197,     0,
   -2197, -2197,     0,     0,     0,     0,  1948,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3340,     0,  3343,  3345,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0, -2197,     0,  1956, -2197, -2197,
       0, -2197,     0,     0,     0,     0,     0,     0,  1200,     0,
       0,     0,     0,     0,     0,     0,  1200,     0,     0,  2243,
    1948,  1200,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1582,     0,     0,     0,     0,     0,
    2244,  2245,  2246,     0,  2247,  2248,  2249,  2250,  2251,  2252,
       0,     0,  1948,     0,     0,     0,     0,     0,  2534,     0,
       0,  3279,     0,  1097,     0,  3438,     0,     0,  1023,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3340,     0,     0,     0,     0,     0,
       0,     0,  1200,  3464,     0,     0,     0,     0,     0,     0,
       0,     0,  2244,  2245,  2246,  2016,  2247,  2248,  2249,  2250,
    2251,  2252,     0,     0,     0,     0,     0,     0, -2210,     0,
    1948,     0,  1200,     0,  1200,  3279,  1200,  3279,     0,     0,
       0,     0,     0,     0,     0,  2227,     0,     0,  2228,  1948,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1582,
       0,     0,     0,     0,     0,  2229,     0,  1948,     0,     0,
       0,     0,     0,  2231,     0, -2210,     0,     0,     0,  2232,
       0,  2115,     0,     0,     0,     0,     0, -2210,     0,     0,
       0,     0, -2210,     0,     0,  1948,     0, -2210,     0,     0,
       0,     0, -2210,  2233,     0, -2210,     0, -2210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1194,     0,     0,     0,
       0,     0,  1194,     0, -2210,     0,     0,     0,     0,     0,
       0,     0,     0,  1200,     0,     0,     0,     0,     0,  1582,
    1582,     0,     0,     0,     0,  1582, -2210,     0,  1948,     0,
    1956,     0,     0,  1956,     0,  1956,     0,     0,     0,     0,
    1956,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1582,  1582,     0,     0,     0,  1582,     0,     0,     0,     0,
       0,     0,     0, -2210,     0,     0,     0,  1582,  1582,  1582,
    1582, -2210,     0,     0,     0,  2234,     0,     0,     0,  2235,
    1582,     0,     0,  1582,     0,  1582,  3630,     0,     0,     0,
    1956,     0,     0,     0,     0,  1582,  1582,     0,     0,  1582,
    2236,  2237,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1582,     0,  1582,     0,  1234,  2238,  1582, -2210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1956,     0,     0,     0,     0,     0,     0,  1582,     0,     0,
       0,  1097,     0,  2239,     0,     0,  2240,  3683,     0,     0,
    1582,  1582,  1582,     0,     0,     0,     0,     0,     0,  2241,
       0,     0,  2242,     0,  1027,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1582,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1582, -2210,     0,
       0,  1956,  1582,  1956,     0,     0,     0,     0,  1582,     0,
       0,     0,     0,     0,     0,     0,  3683,     0,     0,  3740,
       0,     0, -2210,  3095, -2210, -2210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1948,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2243,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0, -2210,
    1956,     0, -2210, -2210,     0, -2210,     0,     0,     0,     0,
       0,     0,     0,  4104,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1956,     0,  1582,     0,  3279,
       0,     0,     0,     0,  2115,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1956,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   830,     0,  1956,
    1200,     0,  1200,  1200,  1200,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2244,  2245,  2246,     0,  2247,  2248,  2249,  2250,  2251,  2252,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   830,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1956,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     4,     0,     0,     0,     0,
    1956,     0,     0,     0,     0,     0,     0,     0,  1057,     0,
       0,     0,     0,  1956,     0,     5,  1057,     0,  1057,     0,
       0,     0,     0,     0,     0,     6,     7,     0,     0,     0,
     830,  1948,     0,     9,    10,  1948,  1948,    11,    12,    13,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,     0,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,     0,    45,     0,     0,     0,
       0,     0,     0,     0,     0,  1956,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3279,  3279,  1956,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    46,     0,  3957,     0,     0,     0,
    1956,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1948,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1097,  1097,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1956,     0,     0,  1097,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2115,  1097,     0,     0,     0,     0,     0,     0,
       0,  2115,  3279,  1097,    47,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1097,     0,     0,
       0,     0,    48,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   718,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    49,     0,     0,     0,     0,  1200,     0,     0,
    1200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    50,     0,     0,  1194,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1097,     0,
       0,     0,     0,  1956,     0,     0,     0,     0,  1200,  1948,
      51,     0,     0,    52,     0,     0,  1582,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1582,     0,    53,     0,
       0,     0,  1582,     0,  1582,     0,     0,     0,     0,     0,
    1582,     0,     0,  1582,  1582,  1582,  1582,  1582,  1582,  1582,
    1582,  1582,  1582,     0,     0,     0,  1582,  1582,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1582,
       0,     0,     0,  1582,     0,     0,     0,  1582,     0,     0,
       0,     0,     0,     0,  1948,     0,     0,  1582,     0,     0,
    1582,     0,  1582,     0,  1956,     0,     0,     0,     0,     0,
       0,  1582,  1582,  1582,    54,     0,     0,  1582,     0,     0,
    1582,     0,     0,     0,  4180,     0,     0,     0,     0,     0,
       0,  1097,  1097,  1097,  1194,     0,  3683,  4197,     0,     0,
       0,  4197,  4211,     0,     0,     0,     0,     0,  1582,     0,
       0,     0,     0,     0,  1582,  1582,    55,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      56,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    57,     0,     0,     0,     0,
       0,     0,     0,     0,  1948,     0,     0,     0,     0,  1582,
       0,     0,     0,     0,     0,  1582,     0,     0,     0,  3095,
       0,  1582,     0,    58,     0,     0,     0,     0,     0,     0,
      59,     0,     0,     0,    60,    61,    62,    63,    64,     0,
       0,    65,    66,  1397,  2067,     0,     0,     0,    71,     0,
       0,     0,     0,  4272,  2115,  2115,     0,  2650,     0,     0,
       0,     0,     0,  1956,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1200,  1200,  1200,  1200,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1956,     0,  1199,  1201,     0,     0,  1204,     0,  1206,
       0,     0,  4315,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1250,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1303,     0,
       0,     0,  1306,     0,     0,     0,     0,     0,     0,     0,
       0,  3279,     0,     0,     0,     0,     0,     0,     0,  1329,
       0,     0,     0,     0,     0,     0,   830,     0,     0,     0,
       0,     0,     0,     0,  1196,     0,     0,     0,     0,     0,
    4383,     0,     0,  1196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1956,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1956,     0,  1196,     0,  3957,
       0,     0,     0,     0,     0,     0,     0,  1097,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1200,     0,
    1582,     0,     0,     0,     0,     0,  1097,     0,     0,     0,
       0,     0,  4455,     0,     0,     0,     0,  1948,     0,     0,
    1948,  2534,  1948,     0,     0,     0,     0,  1948,     0,     0,
       0,     0,     0,  1097,  1196,     0,     0,     0,     0,     0,
       0,     0,     0,  3340,  1196,     0,     0,     0,     0,     0,
    4485,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1582,  1582,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1948,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3279,     0,  3279,     0,  1956,  2227,     0,     0,  2228,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2229,  1948,     0,  4154,
       0,     0,     0,  1956,  2231,     0,     0,     0,  1582,     0,
    2232,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1956,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2233,     0,     0,     0,     0,     0,
    1196,     0,     0,     0,     0,  1582,  1057,     0,     0,     0,
    1057,     0,     0,     0,     0,  1582,  1582,     0,  1948,     0,
    1948,     0,     0,  1582,  1582,     0,     0,     0,  1582,     0,
       0,     0,  1956,     0,  1582,  1582,  1196,     0,  1582,     0,
       0,  1582,  4571,     0,     0,  1097,  1097,  1097,  1097,     0,
       0,     0,  4197,  4211,     0,  4197,     0,     0,  4580,     0,
       0,     0,  3683,     0,     0,     0,  3683,     0,  1823,  1824,
       0,     0,  4593,     0,     0,     0,     0,  1948,  1582,     0,
       0,     0,     0,  1582,     0,     0,     0,     0,  1582,     0,
       0,     0,     0,     0,     0,     0,  2234,  1234,     0,     0,
    2235,     0,  1948,     0,     0,  3740,     0,     0,     0,  3095,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2236,  2237,  1948,     0,     0,     0,     0,  1023,     0,
       0,  1582,     0,     0,     0,     0,  1948,     0,  2238,     0,
       0,     0,     0,     0,  1918,     0,     0,     0,     0,     0,
       0,  3279,  3279,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2239,  1976,  1977,  2240,     0,     0,
       0,     0,  1057,  1057,     0,  4657,     0,     0,     0,     0,
    2241,     0,     0,  2242,     0,  2008,     0,     0,     0,  1956,
       0,     0,     0,     0,     0,     0,     0,     0,  1196,     0,
       0,  1948,     0,     0,     0,     0,     0,     0,     0,  1196,
       0,     0,     0,     0,     0,     0,     0,  1948,     0,     0,
       0,     0,  2041,  2043,     0,     0,     0,  1200,     0,     0,
    1948,     0,  1959,     0,     0,     0,     0,     0,     0,     0,
       0,  1200,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2243,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1196,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3957,  3957,  3957,  3957,  3957,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1948,     0,     0,  1582,     0,     0,     0,     0,
       0,  1956,     0,     0,     0,     0,  1194,     0,     0,     0,
       0,  2534,  1948,     0,     0,     0,     0,     0,  2115,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1196,     0,
       0,  1200,  2534,     0,     0,     0,     0,  1948,     0,     0,
       0,  2244,  2245,  2246,     0,  2247,  2248,  2249,  2250,  2251,
    2252,     0,     0,     0,     0,     0,     0,     0,  1097,     0,
    4786,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1948,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1959,     0,     0,     0,  1582,
       0,     0,     0,     0,     0,     0,     0,     0,  1582,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1196,  1582,  1582,  1956,     0,  1582,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1194,  4197,     0,     0,     0,  3683,     0,     0,
    1956,     0,  3683,  1196,     0,  3683,  3340,     0,  4836,     0,
    1582,  1582,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1196,  1196,     0,  1196,     0,  1956,     0,     0,     0,
       0,     0,     0,  4272,  1234,  1200,  1200,  1200,     0,     0,
    1948,     0,     0,  1196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1956,     0,     0,     0,
    1956,  1956,     0,     0,     0,  1194,  1234,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1196,   830,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2115,  2115,     0,
       0,     0,  1194,     0,     0,  1196,     0,     0,     0,  1196,
    1196,  1948,  1097,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4455,     0,     0,     0,     0,     0,     0,
    3279,     0,     0,     0,  2534,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4485,     0,     0,
    1097,     0,     0,     0,     0,     0,     0,     0,  1200,  4272,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2550,     0,     0,     0,
       0,     0,     0,  1582,     0,     0,  1582,     0,  1582,  1959,
       0,     0,     0,     0,     0,   830,     0,     0,     0,     0,
       0,     0,  1057,     0,     0,     0,     0,     0,     0,     0,
       0,  1582,     0,     0,     0,  3683,     0,     0,  4836,     0,
       0,     0,     0,     0,  4997,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1057,     0,  2617,  2618,  2619,
    2620,     0,  1200,  1959,     0,     0,  1097,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1948,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1200,  1200,  1200,  1200,  1959,     0,     0,     0,  2658,
    2659,     0,     0,     0,     0,  2668,  2115,     0,  1268,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1948,     0,
       0,     0,     0,     0,     0,     0,  1194,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1269,     0,     0,     0,  1582,     0,     0,     0,     0,
    2692,     0,     0,     0,  1270,  1271,     0,     0,     0,     0,
       0,     0,     0,  1272,     0,     0,     0,  1273,     0,     0,
       0,     0,     0,  1959,     0,     0,     0,  2727,  2728,  2729,
    2730,     0,     0,  1582,  1274,     0,  1194,     0,     0,     0,
       0,     0,  1959,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1275,  1200,     0,  1234,     0,
    1959,     0,     0,     0,     0,     0,  1276,     0,  1582,     0,
       0,     0,     0,     0,  1277,     0,     0,     0,     0,     0,
       0,  1948,     0,   830,     0,     0,  1278,  2789,  1959,     0,
       0,  1279,  1948,     0,     0,     0,  2793,     0,     0,     0,
       0,     0,     0,  2800,     0,     0,     0,     0,     0,     0,
       0,  1200,  1280,     0,     0,     0,  1194,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4272,     0,     0,
       0,     0,     0,     0,     0,     0,  4786,  1281,     0,     0,
       0,     0,     0,  1582,  1582,  1196,     0,     0,  3340,     0,
       0,  1959,  4997,     0,  1196,     0,     0,     0,  1282,     0,
       0,     0,     0,     0,     0,     0,  1194,     0,     0,     0,
       0,     0,     0,     0,     0,  1200,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1283,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1582,     0,     0,
       0,     0,  1948,     0,     0,     0,     0,     0,   859,     0,
       0,  1582,     0,     0,     0,     0,     0,     0,  1200,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1948,  1196,     0,     0,     0,  1284,     0,     0,     0,  1285,
       0,  1286,     0,     0,     0,     0,     0,  1287,     0,  1948,
    1288,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2973,     0,     0,     0,     0,     0,     0,     0,  1196,
    1196,     0,     0,     0,     0,     0,  1289,  1196,  1290,  1582,
    1196,     0,  1291,     0,  1196,     0,     0,     0,  1194,     0,
    1292,     0,  1196,  1196,     0,  1293,     0,     0,     0,  1948,
    1196,     0,     0,  1196,  1196,  1196,  1196,     0,     0,     0,
       0,     0,     0,  1196,  1196,     0,  1196,     0,  1196,  1196,
    1294,     0,  1196,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1959,  1196,
     830,     0,     0,     0,  1196,     0,     0,     0,  1196,     0,
       0,     4,  1196,     0,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,     0,  1196,     0,     0,     0,     0,     0,
       0,     5,     0,     0,  1196,  1196,     0,     0,     0,     0,
       0,     6,     7,     0,     0,     0,     0,     0,     0,     9,
      10,     0,     0,    11,    12,    13,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,     0,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,     0,  1196,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1948,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      46,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3181,  3182,  3183,     0,     0,     0,     0,     0,
       0,  3193,     0,  3195,     0,  3197,  3198,     0,     0,     0,
       0,     0,     0,     0,  1959,     0,     0,     0,  1959,  1959,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      47,     0,   830,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    48,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1948,     0,
       0,  1196,     0,     0,     0,     0,     0,     0,    49,     0,
       0,     0,  1196,     0,     0,     0,     0,     0,     0,  1196,
       0,     0,     0,     0,     0,     0,     0,   887,     0,     0,
      50,     0,     0,     0,     0,     0,     0,     0,     0,   888,
       0,     0,  3306,     0,     0,     0,     0,     0,     0,     0,
    1057,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     889,     0,     0,     0,  1959,     0,    51,     0,     0,    52,
       0,     0,     0,   890,     0,     0,     0,     0,     0,     0,
       0,   830,   891,     0,    53,   830,  -761,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3366,   892,     0,     0,     0,  1057,     0,   893,
    3375,     0,     0,     0,  1948,  3376,     0,     0,     0,     0,
       0,     0,     0,     0,   894,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   895,     0,  1948,     0,     0,
       0,     0,     0,   896,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   897,     0,     0,     0,     0,
      54,     0,   898,     0,     0,     0,   899,     0,     0,     0,
       0,     0,     0,  1948,     0,     0,     0,     0,     0,     0,
       0,  -963,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3462,     0,     0,     0,
       0,     0,    55,     0,     0,     0,     0,     0,     0,     0,
    1196,     0,  1959,  1948,     0,     0,    56,  1948,  1948,     0,
     900,     0,     0,     0,     0,     0,     0,  -521,  3498,   830,
    3500,    57,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1055,     0,     0,     0,     0,     0,     0,     0,  1055,
       0,  1055,     0,     0,     0,     0,     0,     0,   901,    58,
       0,   902,     0,     0,     0,     0,    59,     0,     0,     0,
      60,    61,    62,    63,    64,     0,     0,    65,    66,  1397,
    2801,     0,     0,     0,    71,     0,     0,  1959,     0,     0,
       0,     0,     0,     0,     0,     0,  -418,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   903,     0,     0,     0,     0,     0,
     904,     0,     0,     0,     0,     0,  -418,     0,     0,   905,
       0,     0,     0,     0,     0,  1196,     0,  3555,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  -418,     0,   906,   907,     0,
     908,   909,     0,     0,     0,     0,     0,     0,     0,   910,
       0,     0,     0,     0,   911,     0,     0,     0,     0,     0,
     912,     0,     0,   913,     0,     0,   914,  1959,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  -418,
       0,     0,  1196,     0,     0,     0,     0,     0,  1196,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1196,  1196,     0,     0,     0,
       0,  1196,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1196,  1196,     0,     0,
       0,  1196,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1196,  1196,  1196,  1196,     0,     0,     0,
       0,   830,     0,     0,     0,     0,  1196,   830,     0,  1196,
       0,  1196,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1196,  1196,     0,     0,  1196,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1196,     0,
    1196,     0,     0,     0,  1196,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1196,     0,     0,  1196,  1196,  1196,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1196,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1196,     0,     0,     0,     0,  1196,     0,
       0,     0,     0,     0,  1196,     0,     0,     0,     0,     0,
       0,     0,  1196,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3796,     0,  3797,  3798,  3799,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1959,     0,     0,  1959,     0,  1959,     0,     0,     0,     0,
    1959,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1959,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1959,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   830,   830,
     830,     0,     0,     0,     4,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     5,     0,     0,     0,     0,     0,
       0,  1959,     0,  1959,     6,     7,     0,     0,     0,     0,
       0,     0,     9,    10,     0,     0,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,     0,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,     0,    45,     0,     0,     0,     0,
    1959,     0,     0,     0,     0,     0,     0,  1192,     0,     0,
       0,     0,     0,     0,     0,     0,  1192,     0,     0,     0,
       0,     0,     0,     0,     0,  1959,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    46,     0,     0,  1959,     0,     0,     0,
    1192,     0,     0,     0,     0,     0,     0,     0,   830,  1959,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4072,     0,     0,  4073,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1192,     0,     0,
       0,     0,     0,    47,     0,     0,     0,  1192,     0,     0,
       0,     0,     0,     0,  1959,     0,     0,     0,     0,     0,
       0,    48,  4100,     0,     0,     0,     0,     0,     0,     0,
    1959,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    49,     0,  1959,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    50,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    51,
       0,     0,    52,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1196,     0,     0,  1959,     0,    53,     0,     0,
       0,     0,  1196,  1192,     0,     0,     0,     0,  1196,  1055,
    1196,     0,     0,  1055,     0,  1959,  1196,     0,     0,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,     0,
       0,     0,  1196,  1196,     0,     0,     0,     0,     0,  1192,
    1959,     0,     0,     0,     0,  1196,     0,     0,     0,  1196,
       0,   830,     0,  1196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1196,     0,     0,  1196,     0,  1196,     0,
       0,     0,     0,    54,     0,     0,  1959,  1196,  1196,  1196,
       0,     0,     0,  1196,     0,     0,  1196,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1196,     0,  1196,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1196,    55,     0,     0,     0,     0,
    1196,  1196,     0,     0,     0,     0,     0,     0,     0,    56,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    57,     0,     0,     0,     0,  4289,
    4290,  4291,  4292,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1196,     0,     0,     0,     0,
       0,  1196,    58,     0,     0,  1055,  1055,  1196,     0,    59,
       0,     0,     0,    60,    61,    62,    63,    64,     0,     0,
      65,    66,  1397,  1959,     0,     0,     0,    71,     0,     0,
       0,  1192,     0,     0,     0,     0,     0,     0,     0,  1196,
       0,     0,  1192,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1957,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1192,     0,     0,     0,     0,     0,   830,     0,
       0,     0,     0,   830,  1959,   830,     0,     0,     0,     0,
       0,  1950,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4442,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1192,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   830,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1957,     0,
       0,     0,     0,     0,     0,     0,  1196,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1192,     0,     0,
       0,     0,     0,  1959,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1950,     0,  1192,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1959,  1196,  1196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1192,  1192,     0,  1192,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1192,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1196,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1192,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1196,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1196,  1196,     0,  1959,     0,     0,     0,  1192,  1196,
    1196,     0,  1192,  1192,  1196,  1959,     0,     0,     0,     0,
    1196,  1196,     0,     0,  1196,     0,     0,  1196,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1196,     0,
       0,     0,  1196,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1196,     0,     0,     0,     0,  1196,
       0,     0,     0,     0,  1196,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1957,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1055,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1196,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4687,     0,     0,     0,  1959,     0,     0,  1055,     0,
       0,     0,     0,     0,     0,  4690,  1957,     0,  1950,     0,
       0,     0,     0,     0,   830,     0,     0,     0,     0,     0,
       0,     0,     0,  1959,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1957,     0,
       0,     0,  1959,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1950,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1959,     0,  1950,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4759,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1957,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1957,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1196,     0,  1957,     0,     0,     0,     0,     0,     0,
       0,     0,  1196,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1950,     0,     0,     0,     0,     0,     0,     0,
       0,  1957,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1950,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1950,
       0,  1959,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   930,     0,     0,     0,  1950,  1192,     0,
       0,     0,   930,     0,  1957,  1196,     0,  1192,     0,  1959,
       0,     0,     0,     0,  1196,     0,     0,     0,     0,  4857,
    4859,  4859,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1196,  1196,     0,     0,  1196,     0,     0,     0,     0,
       0,   930,     0,     0,     0,     0,     0,     0,  1196,     0,
       0,     0,     0,  1196,     0,     0,     0,     0,  1196,     0,
    1950,  1196,     0,     0,     0,     0,  1196,  1196,     0,     0,
       0,     0,     0,     0,     0,  1111,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1192,     0,     0,     0,     0,  1196,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1959,  1192,  1192,     0,     0,     0,     0,     0,     0,
    1192,  1196,     0,  1192,     0,     0,     0,  1192,     0,     0,
       0,     0,     0,     0,     0,  1192,  1192,     0,     0,     0,
       0,     0,  4956,  1192,     0,     0,  1192,  1192,  1192,  1192,
       0,     0,     0,   830,     0,     0,  1192,  1192,     0,  1192,
       0,  1192,  1192,     0,     0,  1192,     0,     0,  1196,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1957,  1192,     0,     0,     0,     0,  1192,     0,     0,
       0,  1192,     0,     0,     0,  1192,     0,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,     0,  1192,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1192,  1192,     0,
       0,     0,     0,     0,     0,  1196,  5005,  1959,     0,     0,
       0,     0,     0,     0,     0,     0,  1160,  1950,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1196,
    1959,     0,  1196,     0,  1196,     0,  5028,     0,  5030,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1196,     0,     0,
    1192,  1196,     0,     0,     0,     0,  1959,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     830,     0,     0,     0,     0,     0,  1959,     0,     0,     0,
    1959,  1959,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4859,     0,  1196,     0,     0,     0,     0,  1957,     0,     0,
       0,  1957,  1957,     0,     0,     0,     0,     0,     0,     0,
       0,  1196,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1959,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1192,  5136,     0,     0,     0,  1196,
       0,     0,  1196,  1950,     0,  1192,     0,  1950,  1950,     0,
       0,     0,  1192,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1196,     0,     0,     0,     0,     0,
       0,     0,     0,  1055,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1957,     0,  5177,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   930,   930,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1196,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1196,     0,     0,     0,     0,     0,     0,
    1055,     0,     0,     0,     0,     0,     0,     0,     0,  1196,
    1196,     0,  5216,  1950,     0,     0,     0,     0,     0,  1160,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1196,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1196,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1192,     0,  1957,     0,     0,     0,     0,
     830,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1207,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1237,  1238,     0,  1241,     0,  1196,  1247,     0,  1249,     0,
     830,  1950,     0,     0,  1196,     0,     0,     0,   830,     0,
       0,     0,     0,     0,     0,     0,     0,  1301,     0,     0,
    1957,     0,     0,     0,     0,  1309,     0,     0,     0,     0,
       0,     0,     0,     0,  1325,  1326,     0,     0,     0,  1328,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1160,     0,   930,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1192,     0,
       0,     0,     0,     0,  1359,     0,  1950,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1382,     0,     0,  1384,     0,  1386,     0,  1389,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   930,     0,     0,     0,     0,     0,     0,     0,     0,
    1957,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1192,     0,     0,     0,     0,
       0,  1192,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1192,  1192,
       0,     0,     0,     0,  1192,     0,  1469,     0,  1470,     0,
       0,     0,     0,     0,     0,     0,  1950,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1192,
    1192,     0,     0,     0,  1192,     0,     0,     0,     0,     0,
       0,  1160,     0,     0,     0,     0,  1192,  1192,  1192,  1192,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1192,
       0,     0,  1192,     0,  1192,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1192,  1192,     0,  1111,  1192,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1192,     0,  1192,     0,     0,     0,  1192,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1192,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1192,     0,     0,  1192,
    1192,  1192,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1732,     0,
    1734,     0,     0,  1192,  1736,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1192,     0,     0,     0,
       0,  1192,     0,     0,  1765,     0,     0,  1192,     0,     0,
       0,     0,     0,     0,     0,  1192,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1957,     0,  1891,  1957,     0,  1957,     0,
       0,     0,     0,  1957,     0,     0,     0,     0,     0,     0,
       0,  1904,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1914,     0,  1192,     0,     0,     0,
       0,  1916,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1965,     0,     0,  1969,     0,     0,  1950,
       0,     0,  1950,  1957,  1950,     0,     0,     0,     0,  1950,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2012,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1957,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1950,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1950,
       0,     0,     0,     0,  1957,     0,  1957,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1950,     0,  1950,  1957,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1957,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1957,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1950,
       0,     0,  1957,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1950,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1950,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1950,     0,
       0,     0,     0,     0,     0,     0,     0,  1957,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1957,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1957,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1111,  2330,     0,     0,     0,     0,
       0,     0,     0,  1950,     0,     0,  1192,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1950,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1950,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1192,     0,     0,  1957,     0,
       0,     0,     0,  2401,     0,  1192,  2401,     0,     0,     0,
       0,  1192,     0,  1192,  2408,     0,     0,     0,  1957,  1192,
       0,     0,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  2417,     0,     0,  1192,  1192,     0,     0,     0,
       0,     0,     0,  1957,     0,     0,     0,     0,  1192,     0,
       0,     0,  1192,     0,  1950,     0,  1192,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1192,     0,     0,  1192,
    2500,  1192,     0,     0,  1950,     0,     0,     0,     0,  1957,
    1192,  1192,  1192,     0,     0,     0,  1192,     0,     0,  1192,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1950,
       0,     0,     0,  1192,     0,  1192,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1192,     0,     0,
       0,     0,     0,  1192,  1192,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1950,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1192,     0,
       0,     0,     0,     0,  1192,     0,     0,     0,     0,     0,
    1192,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1957,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1192,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1950,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2702,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2725,  1957,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2773,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1950,     0,     0,     0,  2788,     0,  2790,
       0,  2791,     0,     0,     0,     0,  2792,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2821,     0,     0,     0,  1192,
       0,     0,     0,     0,     0,     0,     0,  2330,     0,     0,
       0,  2330,     0,  2330,     0,     0,  2330,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1957,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1957,  1192,  1192,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1950,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1950,     0,     0,     0,     0,     0,     0,  1192,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   678,     0,
       0,     0,     0,   722,     0,   722,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   722,     0,  3036,     0,     0,
       0,     0,     0,     0,  1192,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1192,  1192,     0,  1957,     0,     0,
       0,   722,  1192,  1192,     0,     0,     0,  1192,  1957,     0,
       0,   722,     0,  1192,  1192,     0,     0,  1192,     0,     0,
    1192,     0,   722,   722,     0,     0,   722,     0,     0,     0,
       0,     0,   722,     0,     0,     0,  1015,     0,     0,     0,
       0,  1192,     0,     0,     0,  1192,     0,     0,     0,     0,
       0,     0,     0,  1950,     0,     0,  1015,  1192,     0,     0,
       0,     0,  1192,     0,  1950,     0,     0,  1192,     0,     0,
       0,   722,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1192,     0,     0,     0,     0,     0,     0,     0,  1160,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1957,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3136,  3137,
       0,     0,     0,  3140,  3141,     0,  1957,  3144,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3154,     0,     0,
       0,     0,     0,     0,  3163,  1957,     0,     0,  3166,  3167,
       0,     0,  3170,  3171,  1950,     0,     0,     0,     0,  3176,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3192,     0,  3194,     0,     0,     0,     0,     0,     0,
       0,     0,  1950,     0,     0,     0,     0,     0,     0,  3216,
       0,     0,     0,     0,  3218,  1957,     0,     0,     0,     0,
       0,  1950,     0,     0,     0,     0,     0,  3223,     0,     0,
       0,     0,     0,     0,     0,  3228,     0,  3230,  3231,  3234,
    3236,     0,     0,     0,  3243,  3246,     0,     0,     0,     0,
       0,     0,  3257,     0,     0,     0,  3266,     0,     0,     0,
    3270,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1950,     0,     0,  1192,     0,   722,     0,     0,     0,
       0,     0,     0,  3299,     0,  1192,     0,     0,     0,     0,
       0,     0,     0,     0,  3307,     0,  3309,     0,     0,     0,
       0,     0,  3313,     0,     0,     0,  3314,     0,  3318,  3319,
    3320,  3321,     0,  3323,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3347,  3348,  3349,     0,
       0,     0,     0,     0,  1957,     0,     0,     0,     0,  3357,
    3358,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1192,     0,
       0,     0,  1957,     0,     0,     0,     0,  1192,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1192,  1192,     0,     0,  1192,  3412,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1192,     0,     0,     0,     0,  1192,     0,     0,     0,
       0,  1192,     0,     0,  1192,     0,     0,     0,  1950,  1192,
    1192,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1192,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1957,   722,     0,     0,     0,     0,
       0,     0,     0,     0,  1192,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1160,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2330,     0,     0,     0,     0,     0,
       0,   722,   722,     0,     0,     0,     0,     0,     0,     0,
    1950,  1192,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3540,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   722,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1192,     0,
    1957,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1192,  1957,     0,  1192,     0,  1192,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1192,     0,     0,     0,  1192,     0,  1950,     0,     0,  1957,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1950,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1957,
       0,     0,     0,  1957,  1957,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1950,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1192,     0,     0,     0,     0,
    3721,     0,     0,     0,     0,  1950,     0,     0,     0,  1950,
    1950,     0,     0,     0,  1192,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1347,   722,     0,   722,     0,
       0,     0,     0,     0,  1957,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1192,     0,     0,  1192,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3767,  3768,     0,     0,     0,   722,     0,     0,
     722,   722,     0,     0,     0,     0,     0,  1192,     0,  2330,
       0,     0,     0,     0,     0,   678,     0,  1015,     0,  1015,
       0,     0,     0,     0,     0,   678,     0,     0,     0,   722,
       0,     0,     0,     0,  3790,     0,     0,     0,     0,     0,
       0,     0,     0,  3794,     0,     0,     0,     0,  1015,  1015,
       0,     0,     0,     0,     0,  1192,     0,     0,  3805,  3807,
       0,     0,     0,  3807,     0,     0,  1192,     0,  3818,  3819,
    3820,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1192,  1192,     0,     0,     0,     0,     0,     0,
       0,   722,     0,   722,     0,     0,     0,     0,  3840,  3841,
    3842,  3843,     0,     0,     0,  1192,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3857,     0,  3861,  3862,  3863,     0,     0,     0,
       0,     0,     0,     0,  3876,     0,  1192,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1192,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1197,     0,     0,   678,   678,     0,     0,  1714,
       0,  1197,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3919,     0,     0,     0,     0,     0,     0,     0,  3923,
       0,     0,     0,     0,     0,  1197,     0,     0,  1192,     0,
       0,     0,     0,     0,     0,     0,   678,  1192,     0,     0,
       0,     0,     0,    86,    87,    88,     0,    90,    91,    92,
       0,     0,     0,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,     0,     0,     0,   107,   108,
     109,   110,     0,  3991,   112,   113,   114,   115,     0,   116,
       0,     0,  1197,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1197,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    35,     0,
       0,     0,     0,     0,     0,  4020,    41,    42,     0,  4024,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     930,     0,   133,  4064,     0,     0,   135,   136,   137,   138,
     139,     0,     0,     0,     0,     0,     0,  4074,     0,     0,
       0,     0,   140,     0,     0,     0,     0,     0,     0,   144,
    2330,   145,     0,     0,     0,     0,     0,   148,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   151,     0,
       0,     0,     0,     0,   152,     0,     0,     0,  1197,     0,
       0,     0,     0,     0,   155,   156,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   678,     0,     0,     0,     0,
     722,     0,   722,     0,  1197,   722,     0,   722,     0,   164,
     722,   722,   722,   166,     0,     0,  2110,     0,     0,   168,
       0,     0,     0,   722,     0,   169,     0,   170,     0,     0,
       0,     0,     0,   172,     0,     0,   722,     0,   722,     0,
       0,     0,   173,   722,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   174,   175,     0,     0,     0,
       0,     0,   176,     0,   177,     0,     0,   178,   179,     0,
     180,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   181,   182,     0,   183,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   188,   189,   190,     0,     0,   191,
       0,     0,     0,   193,     0,     0,   194,     0,   195,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   196,   197,     0,   198,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,     0,   201,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   203,     0,     0,  2270,     0,  1197,     0,     0,     0,
       0,     0,     0,   722,   722,     0,     0,  1197,     0,     0,
       0,   210,  1567,     0,   212,     0,     0,     0,     0,     0,
     678,     0,     0,     0,     0,   678,   678,     0,     0,     0,
    1960,   217,     0,     0,   219,  4283,   220,  4284,     0,     0,
       0,     0,     0,     0,  4286,     0,     0,     0,  1641,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4295,   224,   225,     0,     0,     0,   226,  1197,   227,     0,
       0,     0,     0,     0,     0,  4303,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4314,     0,     0,     0,     0,
       0,     0,   234,     0,     0,   235,     0,     0,     0,     0,
    4317,     0,     0,     0,     0,     0,     0,     0,   722,     0,
     678,   237,   238,   239,   240,   241,   242,   243,   244,   245,
    2405,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4349,  4350,  4351,  1197,     0,     0,     0,
    4356,  4357,  4358,  4359,  4360,     0,     0,     0,     0,  4367,
    4368,     0,  4370,  4371,  4372,  4373,  4374,  4375,  4376,     0,
       0,     0,     0,     0,     0,     0,     0,  4384,     0,  4386,
    4387,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   678,     0,     0,     0,     0,     0,
       0,     0,   678,  1960,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4436,
    4438,  4440,  1197,     0,  4443,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   678,     0,     0,   678,
     678,  1197,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1197,
    1197,     0,  1197,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1197,     0,     0,     0,     0,     0,  3807,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   678,     0,
       0,     0,     0,     0,     0,     0,     0,  2330,  2330,  2330,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1197,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1197,     0,     0,     0,  1197,  1197,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2165,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2189,     0,  1960,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2214,  2215,     0,  2218,     0,     0,   722,
       0,   722,     0,     0,     0,   722,     0,   722,     0,     0,
     722,     0,     0,     0,   722,  2260,     0,     0,     0,  2270,
       0,  1960,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4646,  4647,  4648,  4649,     0,
       0,  4651,     0,  1960,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2314,     0,
       0,     0,  4664,  4665,  4666,  4667,     0,  4669,  4670,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4679,
    4680,     0,     0,     0,     0,     0,     0,  2337,     0,     0,
       0,  2349,  2352,     0,  4683,     0,     0,     0,     0,     0,
    2330,  2330,     0,  2330,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1960,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1960,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1960,     0,
    2110,     0,     0,     0,     0,     0,     0,  3037,     0,     0,
       0,     0,     0,     0,     0,     0,  2405,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1960,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4745,     0,
       0,     0,     0,     0,     0,     0,     0,  4751,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4771,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     678,     0,     0,  1197,     0,     0,     0,     0,     0,  1960,
       0,     0,  1197,  4790,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,     0,     0,   678,     0,     0,
       0,     0,     0,  3109,     0,  1714,     0,     0,   722,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2330,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1951,     0,     0,  2330,     0,     0,     0,     0,     0,  1197,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1197,  1197,     0,
       0,     0,     0,     0,     0,  1197,     0,     0,  1197,     0,
       0,     0,  1197,     0,     0,     0,     0,     0,     0,     0,
    1197,  1197,  4874,     0,     0,     0,     0,     0,  1197,     0,
       0,  1197,  1197,  1197,  1197,     0,     0,     0,     0,     0,
       0,  1197,  1197,  4886,  1197,     0,  1197,  1197,     0,     0,
    1197,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1960,  1197,     0,     0,
       0,     0,  1197,     0,     0,     0,  1197,     0,     0,     0,
    1197,     0,  1197,  1197,  1197,  1197,  1197,  1197,  1197,  1197,
    1197,     0,  1197,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1197,  1197,     0,     0,     0,   678,     0,     0,
       0,     0,     0,  1951,     0,   678,     0,   678,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3807,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1197,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2330,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2330,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2899,
       0,     0,     0,     0,     0,  5011,     0,     0,     0,     0,
       0,     0,     0,     0,  5018,     0,     0,     0,     0,     0,
       0,     0,  2922,     0,     0,  2924,     0,     0,  2935,     0,
    2330,     0,     0,     0,     0,  2942,  2947,     0,     0,     0,
       0,  2953,  1960,     0,  2958,     0,  1960,  1960,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2967,     0,     0,     0,     0,  2974,     0,     0,     0,
    2986,     0,     0,     0,  2993,     0,  2995,  2996,  2997,  2998,
    2999,  3000,  3001,  3002,  3003,     0,  3004,     0,     0,  1197,
       0,     0,     0,     0,     0,     0,  1567,  3032,     0,     0,
    1197,     0,     0,     0,  3807,     0,     0,  1197,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   722,  2110,     0,     0,     0,     0,  2330,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   678,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5109,  1960,     0,     0,     0,     0,     0,     0,  1641,
       0,     0,     0,     0,     0,  5120,     0,  1951,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5131,     0,     0,     0,     0,  5135,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1951,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5172,     0,     0,  1951,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1197,     0,
    1960,     0,     0,  3168,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1951,     0,     0,     0,     0,     0,     0,     0,     0,
    2405,     0,     0,     0,     0,   678,     0,     0,     0,     0,
    1951,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1951,     0,
       0,     0,     0,     0,     0,  1960,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1951,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1197,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1951,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1960,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1197,     0,     0,     0,     0,     0,  1197,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3387,  1197,  1197,     0,     0,     0,     0,  1197,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1197,  1197,     0,     0,     0,  1197,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1197,  1197,  1197,  1197,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1197,     0,     0,  1197,     0,  1197,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1197,
    1197,     0,     0,  1197,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1197,     0,  1197,     0,
       0,     0,  1197,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1197,     0,     0,     0,     0,     0,  3512,     0,     0,
       0,  1197,     0,     0,  1197,  1197,  1197,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1951,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1197,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1197,     0,     0,     0,   678,  1197,     0,     0,     0,
       0,     0,  1197,     0,     0,     0,     0,     0,   678,     0,
    1197,     0,     0,     0,     0,     0,     0,     0,     0,  1953,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3561,     0,
       0,     0,     0,  3567,     0,     0,     0,     0,  1960,     0,
       0,  1960,     0,  1960,     0,     0,     0,     0,  1960,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1197,     0,     0,     0,  2947,     0,  2947,  2947,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3624,     0,
     722,  3627,     0,  3629,     0,     0,     0,     0,  1960,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3650,     0,  3652,     0,     0,     0,  3655,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1960,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   678,  1951,     0,     0,     0,  1951,  1951,  3032,  3032,
    3032,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1953,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3718,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2337,     0,     0,     0,  1960,
    3730,  1960,     0,     0,     0,     0,  2352,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2254,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1960,     0,
       0,     0,  1951,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1960,     0,  3776,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1960,     0,     0,  2254,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1960,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3109,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1960,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1960,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1951,  1960,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1197,     0,     0,     0,     0,  1953,     0,     0,     0,
       0,     0,     0,   678,     0,     0,     0,     0,     0,  1954,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   678,     0,     0,     0,
    1197,     0,     0,  1960,     0,  1951,     0,     0,     0,     0,
    1197,     0,     0,     0,     0,     0,  1197,     0,  1197,     0,
    1953,     0,     0,  1960,  1197,     0,     0,  1197,  1197,  1197,
    1197,  1197,  1197,  1197,  1197,  1197,  1197,     0,     0,     0,
    1197,  1197,     0,     0,     0,     0,     0,     0,  1960,     0,
       0,     0,  1953,  1197,     0,     0,     0,  1197,     0,     0,
       0,  1197,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1197,     0,     0,  1197,     0,  1197,     0,     0,     0,
       0,     0,     0,     0,  1960,  1197,  1197,  1197,     0,     0,
       0,  1197,     0,     0,  1197,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1951,     0,     0,  1197,     0,
    1197,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1197,     0,     0,     0,     0,     0,  1197,  1197,
    1953,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1954,     0,     0,     0,     0,     0,     0,  1953,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1953,     0,     0,
       0,     0,     0,  1197,     0,     0,     0,     0,     0,  1197,
       0,     0,     0,     0,     0,  1197,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1953,     0,     0,     0,     0,
       0,  1960,   678,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4105,     0,     0,  1197,     0,     0,
       0,     0,     0,     0,  4109,     0,     0,     0,     0,     0,
    4110,     0,  4111,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4129,  4130,     0,     0,  1953,  2254,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2953,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4158,     0,     0,  4161,     0,
    4163,     0,  1960,     0,     0,     0,     0,     0,     0,  4167,
       0,     0,     0,     0,     0,  4172,     0,     0,  4175,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4216,     0,     0,     0,
       0,     0,  4223,  3032,     0,     0,     0,  2405,     0,     0,
       0,  2254,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1951,     0,
       0,  1951,     0,  1951,     0,  2254,     0,   678,  1951,     0,
    2931,     0,     0,     0,     0,     0,     0,  4238,     0,     0,
       0,     0,     0,  1567,     0,     0,     0,     0,     0,  1641,
    2254,  2254,     0,     0,  2254,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1197,     0,  1954,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1951,   678,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1960,     0,     0,     0,     0,  2254,     0,     0,     0,
       0,     0,     0,     0,     0,  1953,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1951,     0,
    1954,     0,     0,     0,     0,     0,     0,     0,     0,  1960,
    1197,  1197,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2254,     0,  1954,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   678,     0,     0,     0,
       0,     0,     0,  2254,     0,     0,     0,     0,     0,  1951,
       0,  1951,     0,     0,     0,  2254,     0,     0,  2254,     0,
       0,     0,  1197,     0,   678,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1955,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1197,
    1954,     0,     0,     0,     0,     0,     0,     0,  1951,  1197,
    1197,     0,  1960,     0,     0,     0,     0,  1197,  1197,  1954,
       0,     0,  1197,  1960,     0,     0,     0,     0,  1197,  1197,
       0,     0,  1197,  1951,     0,  1197,     0,  1954,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1951,     0,  1197,     0,     0,     0,
    1197,     0,     0,     0,     0,  1954,     0,  1951,     0,     0,
       0,  1953,  1197,     0,     0,  1953,  1953,  1197,     0,     0,
       0,     0,  1197,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4498,  4499,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1197,     0,     0,  1954,     0,
       0,     0,  1951,     0,     0,     0,     0,  1955,     0,     0,
       0,     0,     0,  1960,     0,     0,     0,     0,  1951,     0,
       0,   722,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1951,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1960,     0,     0,     0,     0,  4531,     0,     0,     0,
       0,  1953,     0,     0,     0,     0,     0,     0,     0,     0,
    1960,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     678,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4549,  4551,     0,     0,     0,     0,     0,
       0,     0,     0,  1951,     0,     0,  4558,     0,     0,     0,
    1960,     0,  4563,  4564,     0,     0,  4566,     0,     0,  4569,
       0,     0,     0,  1951,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1951,     0,
       0,     0,     0,     0,     0,     0,  3032,     0,     0,     0,
       0,  3032,     0,     0,     0,     0,  3032,     0,     0,  1197,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1197,     0,     0,     0,  1951,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1954,     0,     0,     0,  1953,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4627,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1960,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1197,     0,     0,     0,  1960,     0,     0,
       0,     0,  1197,     0,  1953,     0,     0,     0,     0,     0,
       0,  1955,     0,     0,     0,     0,     0,     0,     0,  1197,
    1197,     0,     0,  1197,     0,     0,     0,     0,     0,     0,
       0,  1951,     0,     0,     0,     0,  1197,     0,     0,     0,
       0,  1197,     0,     0,     0,     0,  1197,     0,     0,  1197,
       0,     0,     0,     0,  1197,  1197,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1955,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1197,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1955,     0,     0,
       0,     0,     0,     0,  1953,  2254,     0,   678,     0,     0,
       0,     0,     0,  4731,     0,     0,     0,     0,     0,  1960,
       0,  1954,  1951,     0,     0,  1954,  1954,     0,  2254,  1197,
    2254,     0,  2931,  2931,  3598,     0,     0,  2931,     0,     0,
       0,  2254,     0,     0,     0,     0,     0,     0,  2254,     0,
       0,     0,     0,  2254,     0,     0,     0,     0,     0,  2254,
       0,     0,     0,     0,  2254,     0,     0,     0,     0,     0,
       0,     0,     0,  2254,     0,  1955,  1197,  2931,  2931,     0,
    2254,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2254,     0,  1955,     0,     0,     0,     0,  2254,
       0,  2254,  2254,  2254,  2254,  2254,  2254,  2254,  2254,  2254,
    2254,     0,  1955,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1954,     0,  1197,     0,  1960,     0,  4816,  2254,     0,
    1955,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1197,  1960,     0,
    1197,     0,  1197,     0,     0,     0,     0,     0,     0,  4839,
       0,  1951,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1197,     0,     0,     0,  1197,
       0,     0,     0,     0,  1960,     0,     0,     0,     0,     0,
       0,     0,     0,  1955,     0,     0,     0,     0,     0,  1951,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1960,     0,     0,     0,  1960,  1960,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1953,     0,     0,
    1953,     0,  1953,     0,  2254,     0,     0,  1953,     0,  1954,
    1197,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1197,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1960,
       0,     0,  1951,     0,     0,     0,     0,  1953,     0,     0,
       0,     0,     0,  1951,     0,     0,     0,  1197,     0,     0,
    1197,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1954,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1953,     0,     0,
       0,     0,  1197,     0,  2953,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4987,
    1955,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1197,     0,     0,     0,     0,     0,     0,     0,  1953,     0,
    1953,  1197,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1197,  1197,     0,
       0,     0,     0,  1951,  1954,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1197,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1951,     0,     0,     0,     0,     0,  1953,     0,     0,
       0,     0,     0,  2254,     0,     0,     0,     0,     0,     0,
    1951,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1197,  1953,  5061,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1197,     0,     0,     0,     0,
       0,     0,     0,  1953,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1953,     0,     0,     0,
    1951,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5110,     0,     0,     0,
       0,     0,     0,  1197,     0,     0,  1955,     0,     0,     0,
    1955,  1955,  1197,     0,     0,     0,     0,     0,     0,     0,
       0,  1953,     0,     0,     0,     0,     0,     0,  2254,     0,
       0,     0,     0,     0,     0,     0,     0,  1953,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1953,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5156,  5156,     0,     0,     0,     0,  2254,     0,     0,
       0,     0,     0,  2254,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3598,
    3598,     0,  2931,     0,     0,  2931,  2931,  2931,  2931,  2931,
    2931,  2931,  2931,  2931,  2931,  3598,  1955,  1951,     0,     0,
       0,     0,  1953,     0,     0,     0,     0,  1954,     0,     0,
    1954,     0,  1954,     0,     0,  5156,     0,  1954,     0,     0,
    2254,     0,  1953,  2254,     0,  2254,     0,     0,     0,  5212,
    3598,  3598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2931,  2931,  2254,  1953,  2254,     0,
       0,  2254,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1954,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1953,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5156,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1954,     0,     0,
       0,     0,     0,     0,  2254,     0,     0,     0,     0,  1951,
       0,     0,     0,     0,     0,     0,  2254,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1955,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1954,     0,
    1954,     0,  2254,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1953,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1955,
       0,     0,     0,     0,     0,     0,     0,  1954,     0,     0,
       0,     0,     0,     0,     0,  1951,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1954,     0,     0,     0,     0,     0,  1951,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1954,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1954,     0,     0,     0,
       0,  1953,     0,     0,  1951,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1955,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1951,     0,     0,     0,  1951,  1951,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1954,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1954,     0,     0,
       0,     0,  2931,     0,     0,     0,     0,     0,     0,     0,
    1954,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1953,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1954,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1954,     0,     0,     0,     0,     0,  1953,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1954,     0,     0,
       0,  2254,     0,     0,     0,  2254,  2254,  2254,     0,     0,
    3598,     0,     0,     0,     0,  3598,  3598,  3598,  3598,  3598,
    3598,  3598,  3598,  3598,  3598,  2254,  2254,     0,     0,     0,
       0,     0,     0,  1954,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2254,  2931,  2931,  2254,     0,  2254,
       0,     0,     0,  2254,  3598,  3598,     0,     0,  2254,     0,
       0,  2254,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1955,     0,     0,  1955,     0,  1955,     0,     0,
       0,  1953,  1955,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1953,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2254,     0,     0,     0,     0,     0,     0,  2254,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2254,     0,     0,     0,     0,     0,
       0,     0,  1955,     0,     0,     0,     0,     0,     0,     0,
    1954,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1955,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1953,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1954,     0,  1955,     0,  1955,     0,     0,     0,     0,
    1953,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1953,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1955,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1953,
       0,     0,     0,     0,     0,     0,     0,  1955,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3598,     0,     0,     0,     0,     0,     0,     0,  1955,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1955,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1954,     0,     0,     0,  2254,  2254,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1955,  2254,  1954,     0,
       0,  2931,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1955,     0,     0,  2254,     0,  2254,     0,     0,
       0,     0,  3598,  3598,  2254,  1955,     0,  2931,  2931,  2254,
    2254,     0,  2254,     0,     0,  2254,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1953,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2254,     0,     0,     0,  1955,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1954,     0,     0,     0,     0,     0,  1955,     0,     0,
       0,     0,  1954,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1955,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1953,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1955,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2254,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1954,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3598,  2931,     0,     0,     0,     0,
    1954,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3598,  3598,  2254,     0,  1953,     0,     0,     0,     0,  1954,
       0,     0,     0,     0,     0,  1955,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2254,     0,  1953,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1954,
       0,     0,     0,  1953,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1953,     0,     0,  1955,  1953,  1953,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3598,     0,     0,
       0,    86,    87,    88,     0,    90,    91,    92,     0,     0,
       0,    95,     0,  2254,    98,    99,   100,   101,   102,   103,
       0,   104,   105,     0,     0,     0,   107,   108,   109,   110,
       0,   111,   112,   113,   114,   115,     0,   116,   117,   118,
       0,     0,     0,     0,     0,   121,   122,     0,     0,     0,
       0,   123,     0,     0,     0,     0,  1954,     0,     0,     0,
     124,     0,   125,     0,   126,     0,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2254,     0,     0,
       0,     0,     0,     0,     0,  1955,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     133,     0,     0,     0,   135,   136,   137,   138,   139,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     140,     0,     0,  1955,     0,     0,  2254,   144,     0,   145,
       0,     0,     0,     0,     0,   148,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   151,     0,     0,     0,
       0,     0,   152,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   155,   156,     0,     0,     0,     0,  1954,     0,
       0,     0,  2254,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   162,
       0,     0,     0,     0,     0,     0,     0,   164,     0,     0,
       0,   166,     0,     0,     0,     0,     0,   168,     0,     0,
       0,     0,     0,   169,     0,   170,     0,     0,     0,     0,
       0,   172,     0,     0,     0,     0,     0,     0,  2254,     0,
     173,     0,     0,     0,     0,     0,  1955,     0,     0,     0,
       0,     0,     0,   174,   175,     0,     0,  1955,     0,     0,
     176,     0,   177,     0,     0,   178,   179,     0,   180,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   181,
     182,     0,   183,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1954,     0,     0,     0,     0,     0,
       0,     0,   188,   189,   190,     0,     0,   191,     0,     0,
       0,   193,     0,     0,   194,     0,   195,  1954,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     196,   197,     0,   198,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,     0,   201,     0,     0,     0,
       0,     0,     0,  1954,     0,     0,     0,     0,     0,   203,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1955,     0,   210,
       0,     0,   212,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1954,     0,     0,     0,  1954,  1954,   217,
       0,     0,   219,     0,   220,  1955,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   222,     0,     0,
       0,     0,     0,     0,  1955,     0,     0,     0,     0,   224,
     225,     0,     0,     0,   226,     0,   227,     0,     0,     0,
       0,     0,     0,     0,     0,   230,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     234,     0,     0,   235,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1955,     0,     0,     0,     0,   237,
     238,   239,   240,   241,   242,   243,   244,   245,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3099,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1955,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1955,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1955,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1955,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   732,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,  1955,    98,
      99,   100,   101,   102,   103,   733,   104,   105,   687,   734,
       0,   107,   108,   109,   110,   735,   736,   112,   113,   114,
     115,     0,   116,   737,   738,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,  1955,     0,
       0,     0,  1955,  1955,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,   739,
     427,   428,   429,   740,   741,   742,   743,   744,   745,   746,
     430,   431,   747,   432,   433,   133,   434,   435,   436,   135,
     136,   137,   138,   139,   748,   437,   438,   439,   440,   441,
     749,   750,   442,   443,   751,   140,   444,   752,   445,   446,
     447,   448,   144,   753,   145,   754,   449,   450,   451,   452,
     148,   453,   755,   756,   454,   455,   456,   457,   458,   459,
     757,   151,   460,   758,   759,   760,   761,   152,   762,   763,
     764,   461,   462,   463,   464,   701,   465,   155,   156,   466,
     765,   467,   766,   468,   469,   470,   471,   472,   767,   473,
     474,   475,   768,   769,   476,   477,   478,   479,   480,   770,
     481,   482,   483,   771,   484,   485,   486,   772,   487,   488,
     489,   490,   164,   491,   492,   493,   166,   773,   494,   774,
     495,   496,   168,   497,   775,   498,   776,   499,   169,   777,
     170,   500,   501,   502,   778,   503,   172,   779,   504,   780,
     505,   506,   703,   507,   508,   173,   509,   510,   511,   781,
     512,   513,   514,   515,   516,   517,   782,   518,   174,   175,
     783,   519,   520,   521,   784,   176,   785,   177,   786,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,   787,
     529,   530,   788,   531,   181,   182,   532,   183,   789,   533,
     534,   535,   790,   791,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,   189,   190,
     547,   548,   191,   792,   549,   550,   193,   551,   793,   194,
     552,   195,   553,   554,   555,   794,   556,   795,   796,   557,
     558,   559,   797,   798,   560,   196,   197,   561,   198,   199,
     562,   563,   564,   565,   566,   567,   568,   799,   569,   200,
     570,   201,   571,   572,   573,   800,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,   801,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,   802,   597,   598,   210,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,   803,   608,   609,   610,
     611,   612,   804,   613,   217,   614,   615,   219,   616,   220,
     617,   805,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,   806,   628,   629,   807,   630,   631,   632,
     633,   634,   635,   808,   224,   225,   809,   810,   637,   226,
     638,   227,   811,   639,   640,   641,   642,   643,   644,   645,
     812,   813,   646,   647,   648,   649,   650,   814,   815,   651,
     652,   653,   654,   655,   816,   234,   817,   656,   235,   657,
     658,   659,   660,   818,   819,   661,   820,   821,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,     0,    85,     0,     0,
      86,    87,    88,    89,    90,    91,    92,    93,     0,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   975,
     104,   105,   106,     0,     0,   107,   108,   109,   110,     0,
     111,   112,   113,   114,   115,     0,   116,   117,   118,   119,
     120,     0,     0,     0,   121,   122,     0,     0,     0,     0,
     123,     0,     0,     0,     0,     0,     0,     0,     0,   124,
       0,   125,     0,   126,   127,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   128,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   129,     0,   130,   131,     0,
       0,     0,     0,     0,     0,     0,     0,   132,     0,   133,
       0,     0,   134,   135,   136,   137,   138,   139,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   140,
       0,     0,   141,     0,   142,   143,   144,     0,   145,     0,
     146,     0,   147,     0,   148,     0,     0,     0,     0,     0,
       0,     0,   149,     0,   150,   151,     0,     0,     0,     0,
       0,   152,     0,     0,     0,     0,     0,     0,   153,     0,
     154,   155,   156,   157,     0,     0,     0,     0,     0, -1430,
       0,     0,     0,     0,     0,   158,     0,   159,     0,     0,
       0,   160,     0,     0,     0,     0,     0,   161,   162,     0,
       0,     0,     0,     0,     0,   163,   164,   165,     0,     0,
     166,     0,     0,   167,     0,     0,   168,     0,     0,     0,
       0,     0,   169,     0,   170,     0,     0,     0,   171,     0,
     172,     0,     0,     0,     0,     0,     0,     0,     0,   173,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   174,   175,     0,     0, -1430,     0,     0,   176,
       0,   177,     0,     0,   178,   179,     0,   180,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   181,   182,
       0,   183,     0,   184,   185,     0,     0,     0,     0,   186,
       0,     0,     0,     0,     0,     0,     0,     0,   187,     0,
       0,   188,   189,   190,     0,     0,   191,     0,     0,   192,
     193,     0,     0,   194,     0,   195,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   196,
     197,     0,   198,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,     0,   201,     0,   202,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   203,   204,
       0,     0,     0,     0,   205,   206,     0,   207,     0,     0,
       0,     0,   208,     0,     0,     0,     0,   209,   210,     0,
     211,   212,     0,     0,   213,     0,     0,     0,     0,   214,
     215,     0,     0,     0,     0,     0,     0,   216,   217,     0,
     218,   219,     0,   220,     0,     0,     0,     0,   221,     0,
       0,     0,     0,     0,     0,     0,   222,     0,     0,     0,
     223,     0,     0,     0,     0,     0,     0,     0,   224,   225,
       0,     0,     0,   226,     0,   227,     0,   228,     0,   229,
       0,     0,     0,     0,   230,     0,     0,   231,     0,     0,
   -1430,     0,     0,   232,     0,     0,     0,     0,   233,   234,
       0,     0,   235,     0,     0,     0,     0,     0,     0,     0,
       0,   236,     0,     0,     0,     0,     0,     0,   237,   238,
     239,   240,   241,   242,   243,   244,   245,     0,    86,    87,
      88,     0,    90,    91,    92,     0,     0,     0,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   246,   104,   105,
       0,  -138,     0,   107,   108,   109,   110,     0,   111,   112,
     113,   114,   115,     0,   116,   117,   118,     0,     0,     0,
       0,     0,   121,   122,     0,     0,     0,     0,   123,     0,
       0,     0,     0,     0,     0,     0,     0,   124,     0,   125,
       0,   126,     0,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   133,     0,     0,
       0,   135,   136,   137,   138,   139,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   140,     0,     0,
       0,     0,     0,     0,   144,     0,   145,     0,     0,     0,
       0,     0,   148,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   151,     0,     0,     0,     0,     0,   152,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   155,
     156,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   162,     0,     0,     0,
       0,     0,     0,     0,   164,     0,     0,     0,   166,     0,
       0,     0,     0,     0,   168,     0,     0,     0,     0,     0,
     169,     0,   170,     0,     0,     0,     0,     0,   172,     0,
       0,     0,     0,     0,     0,     0,     0,   173,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     174,   175,     0,     0,     0,     0,     0,   176,     0,   177,
       0,     0,   178,   179,     0,   180,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   181,   182,     0,   183,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   188,
     189,   190,     0,     0,   191,     0,     0,     0,   193,     0,
       0,   194,     0,   195,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   196,   197,     0,
     198,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,     0,   201,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   203,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   210,     0,     0,   212,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   217,     0,     0,   219,
       0,   220,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   222,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,   225,     0,     0,
       0,   226,     0,   227,     0,     0,     0,     0,     0,     0,
       0,     0,   230,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   234,     0,     0,
     235,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   237,   238,   239,   240,
     241,   242,   243,   244,   245,     0,     0,   732,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   733,   104,   105,
     687,   734,  3101,   107,   108,   109,   110,   735,   736,   112,
     113,   114,   115,     0,   116,   737,   738,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,   418,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1486,  1487,  1488,    45,  1489,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,  3026,   427,   428,   429,     0,     0,     0,     0,  1490,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,  1491,   137,  1492,  1493,     0,   437,   438,   439,
     440,   441,  1494,  1495,   442,   443,  1496,  1497,   444,     0,
     445,   446,   447,   448,  1498,     0,  1499,     0,   449,   450,
     451,   452,   148,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,  1500,  1501,  1502,  1503,
    1504,  1505,  1506,   461,   462,   463,   464,   701,   465,  1507,
    1508,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,  3027,     0,   476,   477,  1509,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,  1510,   491,   492,   493,  1511,  1512,
     494,     0,   495,   496,  1513,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,  1514,     0,
     504,     0,   505,   506,   703,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,  1515,  1516,     0,  1517,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,  1518,   182,   532,   183,
       0,   533,   534,   535,  1519,  1520,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,  1521,
     189,  1522,   547,   548,   191,  1523,   549,   550,   193,   551,
    1524,  1525,   552,  1526,   553,   554,   555,     0,   556,     0,
       0,  1527,   558,   559,     0,     0,   560,   196,   197,   561,
     198,  1528,   562,   563,   564,   565,   566,   567,   568,     0,
     569,  1529,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,  1530,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,  1531,
     601,   602,   603,   604,   605,   606,   706,   607,     0,   608,
     609,   610,   611,   612,  1532,   613,   217,   614,   615,   219,
     616,  1533,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,  1534,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,  1535,  1536,     0,     0,
     637,  1537,   638,  1538,  1539,   639,   640,   641,   642,   643,
     644,   645,     0,  1540,   646,   647,   648,   649,   650,  1541,
       0,   651,   652,   653,   654,   655,   707,  1542,  3028,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,  1543,  1544,  1545,
    1546,  1547,  1548,  1549,  1550,   708,   668,   669,     0,     0,
       0,     0,     0,     0,     0,     0,  1551,  1552,  3029,     0,
       0,     0,     0,     0,     0,  1554,  3030,   732,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   733,   104,   105,
     687,   734,     0,   107,   108,   109,   110,   735,   736,   112,
     113,   114,   115,     0,   116,   737,   738,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,   418,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1486,  1487,  1488,    45,  1489,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,  1490,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,  1491,   137,  1492,  1493,     0,   437,   438,   439,
     440,   441,  1494,  1495,   442,   443,  1496,  1497,   444,     0,
     445,   446,   447,   448,  1498,     0,  1499,     0,   449,   450,
     451,   452,   148,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,  1500,  1501,  1502,  1503,
    1504,  1505,  1506,   461,   462,   463,   464,   701,   465,  1507,
    1508,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,  1509,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,  1510,   491,   492,   493,  1511,  1512,
     494,     0,   495,   496,  1513,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,  1514,     0,
     504,     0,   505,   506,   703,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,  1515,  1516,     0,  1517,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,  1518,   182,   532,   183,
       0,   533,   534,   535,  1519,  1520,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,  1521,
     189,  1522,   547,   548,   191,  1523,   549,   550,   193,   551,
    1524,  1525,   552,  1526,   553,   554,   555,     0,   556,     0,
       0,  1527,   558,   559,     0,     0,   560,   196,   197,   561,
     198,  1528,   562,   563,   564,   565,   566,   567,   568,     0,
     569,  1529,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,  1530,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,  1531,
     601,   602,   603,   604,   605,   606,   706,   607,     0,   608,
     609,   610,   611,   612,  1532,   613,   217,   614,   615,   219,
     616,  1533,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,  1534,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,  1535,  1536,     0,     0,
     637,  1537,   638,  1538,  1539,   639,   640,   641,   642,   643,
     644,   645,     0,  1540,   646,   647,   648,   649,   650,  1541,
       0,   651,   652,   653,   654,   655,   707,  1542,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,  1543,  1544,  1545,
    1546,  1547,  1548,  1549,  1550,   708,   668,   669,     0,     0,
       0,     0,     0,     0,     0,     0,  1551,  1552,     0,     0,
       0,     0,     0,     0,     0,  1554,  2933,   732,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   733,   104,   105,
     687,   734,     0,   107,   108,   109,   110,   735,   736,   112,
     113,   114,   115,     0,   116,   737,   738,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,     0,  1926,   137,  1927,  1928,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,  1929,  1930,   444,     0,
     445,   446,   447,   448,     0,     0,   145,     0,   449,   450,
     451,   452,   148,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,     0,     0,     0,   152,
       0,     0,     0,   461,   462,   463,   464,   701,   465,  1931,
    1932,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,  1509,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,     0,   491,   492,   493,     0,     0,
     494,     0,   495,   496,  1933,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,     0,     0,
     504,     0,   505,   506,   703,   507,   508,   173,   509,   510,
     511,  2420,   512,   513,   514,   515,   516,   517,     0,   518,
     174,  2421,     0,   519,   520,   521,  1515,  1934,     0,  1935,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,     0,   182,   532,   183,
       0,   533,   534,   535,     0,     0,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,  1936,
     189,  1937,   547,   548,     0,     0,   549,   550,   193,   551,
       0,     0,   552,  1938,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,  2423,   197,   561,
     198,     0,   562,   563,   564,   565,   566,   567,   568,     0,
     569,     0,   570,     0,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,  1939,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   706,   607,     0,   608,
     609,   610,   611,   612,     0,   613,  2424,   614,   615,   219,
     616,  1941,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,     0,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,  1942,  1943,     0,     0,
     637,     0,   638,     0,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,     0,  1944,  2425,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   708,   668,   669,     0,     0,
       0,     0,     0,   732,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,  2523,    98,    99,   100,
     101,   102,   103,   733,   104,   105,   687,   734,     0,   107,
     108,   109,   110,   735,   736,   112,   113,   114,   115,     0,
     116,   737,   738,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,     0,  1926,   137,
    1927,  1928,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,  1929,  1930,   444,     0,   445,   446,   447,   448,
       0,     0,   145,     0,   449,   450,   451,   452,   148,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,     0,     0,     0,   152,     0,     0,     0,   461,
     462,   463,   464,   701,   465,  1931,  1932,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,  1509,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
       0,   491,   492,   493,     0,     0,   494,     0,   495,   496,
    1933,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,     0,     0,   504,     0,   505,   506,
     703,   507,   508,   173,   509,   510,   511,  2420,   512,   513,
     514,   515,   516,   517,     0,   518,   174,  2421,     0,   519,
     520,   521,  1515,  1934,     0,  1935,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,     0,   182,   532,   183,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,  1936,   189,  1937,   547,   548,
       0,     0,   549,   550,   193,   551,     0,     0,   552,  1938,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,  2423,   197,   561,   198,     0,   562,   563,
     564,   565,   566,   567,   568,     0,   569,     0,   570,     0,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,  1939,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,  2424,   614,   615,   219,   616,  1941,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
       0,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,  1942,  1943,     0,     0,   637,     0,   638,     0,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,     0,  1944,  2425,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   708,   668,   669,     0,     0,     0,     0,     0,   732,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,  3474,    98,    99,   100,   101,   102,   103,   733,
     104,   105,   687,   734,     0,   107,   108,   109,   110,   735,
     736,   112,   113,   114,   115,     0,   116,   737,   738,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1486,  1487,  1488,
      45,  1489,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,  1490,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,   135,  1491,   137,  1492,  1493,  2943,   437,
     438,   439,   440,   441,  1494,  1495,   442,   443,  1496,  1497,
     444,     0,   445,   446,   447,   448,  1498,     0,  1499,     0,
     449,   450,   451,   452,   148,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,  1500,  1501,
    1502,  1503,  1504,  1505,  1506,   461,   462,   463,   464,   701,
     465,  1507,  1508,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
    1509,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,  1510,   491,   492,   493,
    1511,  1512,   494,     0,   495,   496,  1513,   497,     0,   498,
       0,   499,   169,  2944,   170,   500,   501,   502,     0,   503,
    1514,     0,   504,     0,   505,   506,   703,   507,   508,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,  1515,  1516,
       0,  1517,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,  2945,   531,  1518,   182,
     532,   183,     0,   533,   534,   535,  1519,  1520,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,  1521,   189,  1522,   547,   548,   191,  1523,   549,   550,
     193,   551,  1524,  1525,   552,  1526,   553,   554,   555,     0,
     556,     0,     0,  1527,   558,   559,     0,     0,   560,   196,
     197,   561,   198,  1528,   562,   563,   564,   565,   566,   567,
     568,     0,   569,  1529,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,  1530,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,  1531,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,  1532,   613,   217,   614,
     615,   219,   616,  1533,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,  1534,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,  1535,  1536,
       0,  2946,   637,  1537,   638,  1538,  1539,   639,   640,   641,
     642,   643,   644,   645,     0,  1540,   646,   647,   648,   649,
     650,  1541,     0,   651,   652,   653,   654,   655,   707,  1542,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,  1543,
    1544,  1545,  1546,  1547,  1548,  1549,  1550,   708,   668,   669,
       0,     0,     0,     0,     0,     0,     0,     0,  1551,  1552,
       0,     0,     0,     0,     0,     0,     0,  1554,   732,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   733,   104,
     105,   687,   734,     0,   107,   108,   109,   110,   735,   736,
     112,   113,   114,   115,     0,   116,   737,   738,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,   418,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1486,  1487,  1488,    45,
    1489,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
    1490,     0,     0,   430,   431,     0,   432,   433,   133,   434,
     435,   436,   135,  1491,   137,  1492,  1493,     0,   437,   438,
     439,   440,   441,  1494,  1495,   442,   443,  1496,  1497,   444,
       0,   445,   446,   447,   448,  1498,     0,  1499,     0,   449,
     450,   451,   452,   148,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,   151,   460,     0,  1500,  1501,  1502,
    1503,  1504,  1505,  1506,   461,   462,   463,   464,   701,   465,
    1507,  1508,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,  1509,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,  1510,   491,   492,   493,  1511,
    1512,   494,     0,   495,   496,  1513,   497,     0,   498,     0,
     499,   169,     0,   170,   500,   501,   502,     0,   503,  1514,
       0,   504,     0,   505,   506,   703,   507,   508,   173,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,   174,   175,     0,   519,   520,   521,  1515,  1516,     0,
    1517,     0,   522,   178,   179,   523,   180,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,  1518,   182,   532,
     183,     0,   533,   534,   535,  1519,  1520,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
    1521,   189,  1522,   547,   548,   191,  1523,   549,   550,   193,
     551,  1524,  1525,   552,  1526,   553,   554,   555,     0,   556,
       0,     0,  1527,   558,   559,     0,     0,   560,   196,   197,
     561,   198,  1528,   562,   563,   564,   565,   566,   567,   568,
       0,   569,  1529,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,  1530,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,   210,   599,   600,
    1531,   601,   602,   603,   604,   605,   606,   706,   607,   215,
     608,   609,   610,   611,   612,  1532,   613,   217,   614,   615,
     219,   616,  1533,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,  1534,     0,   628,   629,   223,
     630,   631,   632,   633,   634,   635,     0,  1535,  1536,     0,
       0,   637,  1537,   638,  1538,  1539,   639,   640,   641,   642,
     643,   644,   645,     0,  1540,   646,   647,   648,   649,   650,
    1541,     0,   651,   652,   653,   654,   655,  2216,  1542,     0,
     656,   235,   657,   658,   659,   660,     0,     0,   661,     0,
     236,   662,   663,   664,   665,   666,   667,   237,  1543,  1544,
    1545,  1546,  1547,  1548,  1549,  1550,   708,   668,   669,     0,
       0,     0,     0,     0,     0,     0,     0,  1551,  1552,     0,
       0,     0,     0,     0,     0,     0,  1554,   732,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   733,   104,   105,
     687,   734,     0,   107,   108,   109,   110,   735,   736,   112,
     113,   114,   115,     0,   116,   737,   738,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,   418,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1486,  1487,  1488,    45,  1489,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,  1490,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,  1491,   137,  1492,  1493,     0,   437,   438,   439,
     440,   441,  1494,  1495,   442,   443,  1496,  1497,   444,     0,
     445,   446,   447,   448,  1498,     0,  1499,     0,   449,   450,
     451,   452,   148,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,  1500,  1501,  1502,  1503,
    1504,  1505,  1506,   461,   462,   463,   464,   701,   465,  1507,
    1508,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,  1509,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,  1510,   491,   492,   493,  1511,  1512,
     494,     0,   495,   496,  1513,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,  1514,     0,
     504,     0,   505,   506,   703,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,  1515,  1516,     0,  1517,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,  1518,   182,   532,   183,
       0,   533,   534,   535,  1519,  1520,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,  1521,
     189,  1522,   547,   548,   191,  1523,   549,   550,   193,   551,
    1524,  1525,   552,  1526,   553,   554,   555,     0,   556,     0,
       0,  1527,   558,   559,     0,     0,   560,   196,   197,   561,
     198,  1528,   562,   563,   564,   565,   566,   567,   568,     0,
     569,  1529,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,  1530,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,  1531,
     601,   602,   603,   604,   605,   606,   706,   607,     0,   608,
     609,   610,   611,   612,  1532,   613,   217,   614,   615,   219,
     616,  1533,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,  1534,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,  1535,  1536,     0,     0,
     637,  1537,   638,  1538,  1539,   639,   640,   641,   642,   643,
     644,   645,     0,  1540,   646,   647,   648,   649,   650,  1541,
       0,   651,   652,   653,   654,   655,   707,  1542,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,  1543,  1544,  1545,
    1546,  1547,  1548,  1549,  1550,   708,   668,   669,     0,     0,
       0,     0,     0,     0,     0,     0,  1551,  1552,     0,     0,
       0,     0,     0,  2160,  2891,  1554,   732,    86,    87,    88,
     684,    90,    91,    92,   685,     0,   686,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   733,   104,   105,   687,
     734,     0,   107,   108,   109,   110,   735,   736,   112,   113,
     114,   115,     0,   116,   737,   738,   688,   689,     0,     0,
       0,   690,   691,     0,     0,     0,     0,   692,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,   694,     0,
     695,   696,    35,   418,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1486,  1487,  1488,    45,  1489,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
       0,   427,   428,   429,     0,     0,     0,     0,  1490,     0,
       0,   430,   431,     0,   432,   433,   133,   434,   435,   436,
     135,  1491,   137,  1492,  1493,     0,   437,   438,   439,   440,
     441,  1494,  1495,   442,   443,  1496,  1497,   444,     0,   445,
     446,   447,   448,  1498,     0,  1499,     0,   449,   450,   451,
     452,   148,   453,   699,     0,   454,   455,   456,   457,   458,
     459,     0,   151,   460,     0,  1500,  1501,  1502,  1503,  1504,
    1505,  1506,   461,   462,   463,   464,   701,   465,  1507,  1508,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,  1509,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,  1510,   491,   492,   493,  1511,  1512,   494,
       0,   495,   496,  1513,   497,     0,   498,     0,   499,   169,
       0,   170,   500,   501,   502,     0,   503,  1514,     0,   504,
       0,   505,   506,   703,   507,   508,   173,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,     0,   518,   174,
     175,     0,   519,   520,   521,  1515,  1516,     0,  1517,     0,
     522,   178,   179,   523,   180,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   531,  1518,   182,   532,   183,     0,
     533,   534,   535,  1519,  1520,   536,   537,   538,   539,   540,
     541,   704,   542,   543,   705,   544,   545,   546,  1521,   189,
    1522,   547,   548,   191,  1523,   549,   550,   193,   551,  1524,
    1525,   552,  1526,   553,   554,   555,     0,   556,     0,     0,
    1527,   558,   559,     0,     0,   560,   196,   197,   561,   198,
    1528,   562,   563,   564,   565,   566,   567,   568,     0,   569,
    1529,   570,   201,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,  1530,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598,   210,   599,   600,  1531,   601,
     602,   603,   604,   605,   606,   706,   607,     0,   608,   609,
     610,   611,   612,  1532,   613,   217,   614,   615,   219,   616,
    1533,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,  1534,     0,   628,   629,     0,   630,   631,
     632,   633,   634,   635,     0,  1535,  1536,     0,     0,   637,
    1537,   638,  1538,  1539,   639,   640,   641,   642,   643,   644,
     645,     0,  1540,   646,   647,   648,   649,   650,  1541,     0,
     651,   652,   653,   654,   655,   707,  1542,     0,   656,   235,
     657,   658,   659,   660,     0,     0,   661,     0,     0,   662,
     663,   664,   665,   666,   667,   237,  1543,  1544,  1545,  1546,
    1547,  1548,  1549,  1550,   708,   668,   669,     0,     0,     0,
       0,     0,     0,     0,     0,  1551,  1552,  1553,     0,     0,
       0,     0,     0,     0,  1554,   732,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   733,   104,   105,   687,   734,
       0,   107,   108,   109,   110,   735,   736,   112,   113,   114,
     115,     0,   116,   737,   738,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,   418,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1486,  1487,  1488,    45,  1489,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,  1490,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,   135,
    1491,   137,  1492,  1493,     0,   437,   438,   439,   440,   441,
    1494,  1495,   442,   443,  1496,  1497,   444,     0,   445,   446,
     447,   448,  1498,     0,  1499,     0,   449,   450,   451,   452,
     148,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,  1500,  1501,  1502,  1503,  1504,  1505,
    1506,   461,   462,   463,   464,   701,   465,  1507,  1508,   466,
    1640,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,  1509,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,  1510,   491,   492,   493,  1511,  1512,   494,     0,
     495,   496,  1513,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,  1514,     0,   504,     0,
     505,   506,   703,   507,   508,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,   175,
       0,   519,   520,   521,  1515,  1516,     0,  1517,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,  1518,   182,   532,   183,     0,   533,
     534,   535,  1519,  1520,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,  1521,   189,  1522,
     547,   548,   191,  1523,   549,   550,   193,   551,  1524,  1525,
     552,  1526,   553,   554,   555,     0,   556,     0,     0,  1527,
     558,   559,     0,     0,   560,   196,   197,   561,   198,  1528,
     562,   563,   564,   565,   566,   567,   568,     0,   569,  1529,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,  1530,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,  1531,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,  1532,   613,   217,   614,   615,   219,   616,  1533,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,  1534,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,  1535,  1536,     0,     0,   637,  1537,
     638,  1538,  1539,   639,   640,   641,   642,   643,   644,   645,
       0,  1540,   646,   647,   648,   649,   650,  1541,     0,   651,
     652,   653,   654,   655,   707,  1542,     0,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,  1543,  1544,  1545,  1546,  1547,
    1548,  1549,  1550,   708,   668,   669,     0,     0,     0,     0,
       0,     0,     0,     0,  1551,  1552,     0,     0,     0,     0,
       0,     0,     0,  1554,   732,    86,    87,    88,   684,    90,
      91,    92,   685,     0,   686,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   733,   104,   105,   687,   734,     0,
     107,   108,   109,   110,   735,   736,   112,   113,   114,   115,
       0,   116,   737,   738,   688,   689,     0,     0,     0,   690,
     691,     0,     0,     0,     0,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   694,     0,   695,   696,
      35,   418,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1486,  1487,  1488,    45,  1489,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,  2347,   427,
     428,   429,     0,     0,     0,     0,  1490,     0,     0,   430,
     431,     0,   432,   433,   133,   434,   435,   436,   135,  1491,
     137,  1492,  1493,     0,   437,   438,   439,   440,   441,  1494,
    1495,   442,   443,  1496,  1497,   444,     0,   445,   446,   447,
     448,  1498,     0,  1499,     0,   449,   450,   451,   452,   148,
     453,   699,     0,   454,   455,   456,   457,   458,   459,     0,
     151,   460,     0,  1500,  1501,  1502,  1503,  1504,  1505,  1506,
     461,   462,   463,   464,   701,   465,  1507,  1508,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,  1509,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,  1510,   491,   492,   493,  1511,  1512,   494,     0,   495,
     496,  1513,   497,     0,   498,     0,   499,   169,     0,   170,
     500,   501,   502,     0,   503,  1514,     0,   504,     0,   505,
     506,   703,   507,   508,   173,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,   174,   175,     0,
     519,   520,   521,  1515,  1516,     0,  1517,     0,   522,   178,
     179,   523,   180,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,  1518,   182,   532,   183,     0,   533,   534,
     535,  1519,  1520,   536,   537,   538,   539,   540,   541,   704,
     542,   543,   705,   544,   545,   546,  1521,   189,  1522,   547,
     548,   191,  1523,   549,   550,   193,   551,  1524,  1525,   552,
    1526,   553,   554,   555,     0,   556,     0,     0,  1527,   558,
     559,     0,     0,   560,   196,   197,   561,   198,  1528,   562,
     563,   564,   565,   566,   567,   568,     0,   569,  1529,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,  1530,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,   210,   599,   600,  1531,   601,   602,   603,
     604,   605,   606,   706,   607,     0,   608,   609,   610,   611,
     612,  1532,   613,   217,   614,   615,   219,   616,  1533,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,  1534,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,  1535,  1536,     0,     0,   637,  1537,   638,
    1538,  1539,   639,   640,   641,   642,   643,   644,   645,     0,
    1540,   646,   647,   648,   649,   650,  1541,     0,   651,   652,
     653,   654,   655,   707,  1542,     0,   656,   235,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,   237,  1543,  1544,  1545,  1546,  1547,  1548,
    1549,  1550,   708,   668,   669,     0,     0,     0,     0,     0,
       0,     0,     0,  1551,  1552,     0,     0,     0,     0,     0,
       0,     0,  1554,   732,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   733,   104,   105,   687,   734,     0,   107,
     108,   109,   110,   735,   736,   112,   113,   114,   115,     0,
     116,   737,   738,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
     418,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1486,  1487,  1488,    45,  1489,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,  1490,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,   135,  1491,   137,
    1492,  1493,     0,   437,   438,   439,   440,   441,  1494,  1495,
     442,   443,  1496,  1497,   444,     0,   445,   446,   447,   448,
    1498,     0,  1499,     0,   449,   450,   451,   452,   148,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,  1500,  1501,  1502,  1503,  1504,  1505,  1506,   461,
     462,   463,   464,   701,   465,  1507,  1508,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,  1509,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
    1510,   491,   492,   493,  1511,  1512,   494,     0,   495,   496,
    1513,   497,     0,   498,     0,   499,   169,  2944,   170,   500,
     501,   502,     0,   503,  1514,     0,   504,     0,   505,   506,
     703,   507,   508,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,   175,     0,   519,
     520,   521,  1515,  1516,     0,  1517,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,  1518,   182,   532,   183,     0,   533,   534,   535,
    1519,  1520,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,  1521,   189,  1522,   547,   548,
     191,  1523,   549,   550,   193,   551,  1524,  1525,   552,  1526,
     553,   554,   555,     0,   556,     0,     0,  1527,   558,   559,
       0,     0,   560,   196,   197,   561,   198,  1528,   562,   563,
     564,   565,   566,   567,   568,     0,   569,  1529,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,  1530,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,  1531,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
    1532,   613,   217,   614,   615,   219,   616,  1533,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
    1534,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,  1535,  1536,     0,     0,   637,  1537,   638,  1538,
    1539,   639,   640,   641,   642,   643,   644,   645,     0,  1540,
     646,   647,   648,   649,   650,  1541,     0,   651,   652,   653,
     654,   655,   707,  1542,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,  1543,  1544,  1545,  1546,  1547,  1548,  1549,
    1550,   708,   668,   669,     0,     0,     0,     0,     0,     0,
       0,     0,  1551,  1552,     0,     0,     0,     0,     0,     0,
       0,  1554,   732,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   733,   104,   105,   687,   734,     0,   107,   108,
     109,   110,   735,   736,   112,   113,   114,   115,     0,   116,
     737,   738,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,   418,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1486,  1487,  1488,    45,  1489,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,  1490,     0,     0,   430,   431,     0,
     432,   433,   133,   434,   435,   436,   135,  1491,   137,  1492,
    1493,     0,   437,   438,   439,   440,   441,  1494,  1495,   442,
     443,  1496,  1497,   444,     0,   445,   446,   447,   448,  1498,
       0,  1499,     0,   449,   450,   451,   452,   148,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,   151,   460,
       0,  1500,  1501,  1502,  1503,  1504,  1505,  1506,   461,   462,
     463,   464,   701,   465,  1507,  1508,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,  1509,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,  1510,
     491,   492,   493,  1511,  1512,   494,     0,   495,   496,  1513,
     497,     0,   498,     0,   499,   169,     0,   170,   500,   501,
     502,     0,   503,  1514,     0,   504,     0,   505,   506,   703,
     507,   508,   173,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,   174,   175,     0,   519,   520,
     521,  1515,  1516,     0,  1517,     0,   522,   178,   179,   523,
     180,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,  1518,   182,   532,   183,     0,   533,   534,   535,  1519,
    1520,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,  1521,   189,  1522,   547,   548,   191,
    1523,   549,   550,   193,   551,  1524,  1525,   552,  1526,   553,
     554,   555,     0,   556,     0,     0,  1527,   558,   559,     0,
       0,   560,   196,   197,   561,   198,  1528,   562,   563,   564,
     565,   566,   567,   568,     0,   569,  1529,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,  1530,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,   210,   599,   600,  1531,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,  1532,
     613,   217,   614,   615,   219,   616,  1533,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,  1534,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,  1535,  1536,     0,     0,   637,  1537,   638,  1538,  1539,
     639,   640,   641,   642,   643,   644,   645,     0,  1540,   646,
     647,   648,   649,   650,  1541,     0,   651,   652,   653,   654,
     655,   707,  1542,  4224,   656,   235,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,  1543,  1544,  1545,  1546,  1547,  1548,  1549,  1550,
     708,   668,   669,     0,     0,     0,     0,     0,     0,     0,
       0,  1551,  1552,     0,     0,     0,     0,     0,     0,     0,
    1554,   732,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   733,   104,   105,   687,   734,     0,   107,   108,   109,
     110,   735,   736,   112,   113,   114,   115,     0,   116,   737,
     738,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,   418,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1486,
    1487,  1488,    45,  1489,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,  1490,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,   135,  1491,   137,  1492,  1493,
       0,   437,   438,   439,   440,   441,  1494,  1495,   442,   443,
    1496,  1497,   444,     0,   445,   446,   447,   448,  1498,     0,
    1499,     0,   449,   450,   451,   452,   148,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,  4237,
    1500,  1501,  1502,  1503,  1504,  1505,  1506,   461,   462,   463,
     464,   701,   465,  1507,  1508,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,  1509,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,  1510,   491,
     492,   493,  1511,  1512,   494,     0,   495,   496,  1513,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,  1514,     0,   504,     0,   505,   506,   703,   507,
     508,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,   175,     0,   519,   520,   521,
    1515,  1516,     0,  1517,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
    1518,   182,   532,   183,     0,   533,   534,   535,  1519,  1520,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,  1521,   189,  1522,   547,   548,   191,  1523,
     549,   550,   193,   551,  1524,  1525,   552,  1526,   553,   554,
     555,     0,   556,     0,     0,  1527,   558,   559,     0,     0,
     560,   196,   197,   561,   198,  1528,   562,   563,   564,   565,
     566,   567,   568,     0,   569,  1529,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
    1530,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,  1531,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,  1532,   613,
     217,   614,   615,   219,   616,  1533,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,  1534,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
    1535,  1536,     0,     0,   637,  1537,   638,  1538,  1539,   639,
     640,   641,   642,   643,   644,   645,     0,  1540,   646,   647,
     648,   649,   650,  1541,     0,   651,   652,   653,   654,   655,
     707,  1542,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,  1543,  1544,  1545,  1546,  1547,  1548,  1549,  1550,   708,
     668,   669,     0,     0,     0,     0,     0,     0,     0,     0,
    1551,  1552,     0,     0,     0,     0,     0,     0,     0,  1554,
     732,    86,    87,    88,   684,    90,    91,    92,   685,     0,
     686,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     733,   104,   105,   687,   734,     0,   107,   108,   109,   110,
     735,   736,   112,   113,   114,   115,     0,   116,   737,   738,
     688,   689,     0,     0,     0,   690,   691,     0,     0,     0,
       0,   692,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,   694,     0,   695,   696,    35,   418,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1486,  1487,
    1488,    45,  1489,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,     0,   427,   428,   429,     0,     0,
       0,     0,  1490,     0,     0,   430,   431,     0,   432,   433,
     133,   434,   435,   436,  5153,  1491,   137,  1492,  1493,     0,
     437,   438,   439,   440,   441,  1494,  1495,   442,   443,  1496,
    1497,   444,     0,   445,   446,   447,   448,  1498,     0,  1499,
       0,   449,   450,   451,   452,   148,   453,   699,     0,   454,
     455,   456,   457,   458,   459,     0,   151,   460,  5154,  1500,
    1501,  1502,  1503,  1504,  1505,  1506,   461,   462,   463,   464,
     701,   465,  1507,  1508,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,  1509,   479,   480,     0,   481,   482,   483,     0,   484,
     485,   486,     0,   487,   488,   489,   490,  1510,   491,   492,
     493,  1511,  1512,   494,     0,   495,   496,  1513,   497,     0,
     498,     0,   499,   169,     0,   170,   500,   501,   502,     0,
     503,  1514,     0,   504,     0,   505,   506,   703,   507,   508,
     173,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,     0,   518,   174,   175,     0,   519,   520,   521,  1515,
    1516,     0,  1517,     0,   522,   178,   179,   523,   180,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   531,  1518,
     182,   532,   183,     0,   533,   534,   535,  1519,  1520,   536,
     537,   538,   539,   540,   541,   704,   542,   543,   705,   544,
     545,   546,  1521,   189,  1522,   547,   548,   191,  1523,   549,
     550,   193,   551,  1524,  1525,   552,  1526,   553,   554,   555,
       0,   556,     0,     0,  1527,   558,   559,     0,     0,   560,
     196,   197,   561,   198,  1528,   562,   563,   564,   565,   566,
     567,   568,     0,   569,  1529,   570,   201,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,  1530,
     582,   583,   584,   585,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,     0,   597,   598,   210,
     599,   600,  1531,   601,   602,   603,   604,   605,   606,   706,
     607,     0,   608,   609,   610,   611,   612,  1532,   613,   217,
     614,   615,   219,   616,  1533,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,  1534,     0,   628,
     629,     0,   630,   631,   632,   633,   634,   635,     0,  1535,
    1536,     0,     0,   637,  1537,   638,  1538,  1539,   639,   640,
     641,   642,  5155,   644,   645,     0,  1540,   646,   647,   648,
     649,   650,  1541,     0,   651,   652,   653,   654,   655,   707,
    1542,     0,   656,   235,   657,   658,   659,   660,     0,     0,
     661,     0,     0,   662,   663,   664,   665,   666,   667,   237,
    1543,  1544,  1545,  1546,  1547,  1548,  1549,  1550,   708,   668,
     669,     0,     0,     0,     0,     0,     0,     0,     0,  1551,
    1552,     0,     0,     0,     0,     0,     0,     0,  1554,   732,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   733,
     104,   105,   687,   734,     0,   107,   108,   109,   110,   735,
     736,   112,   113,   114,   115,     0,   116,   737,   738,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1486,  1487,  1488,
      45,  1489,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,  1490,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,   135,  1491,   137,  1492,  1493,     0,   437,
     438,   439,   440,   441,  1494,  1495,   442,   443,  1496,  1497,
     444,     0,   445,   446,   447,   448,  1498,     0,  1499,     0,
     449,   450,   451,   452,   148,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,  5154,  1500,  1501,
    1502,  1503,  1504,  1505,  1506,   461,   462,   463,   464,   701,
     465,  1507,  1508,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
    1509,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,  1510,   491,   492,   493,
    1511,  1512,   494,     0,   495,   496,  1513,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
    1514,     0,   504,     0,   505,   506,   703,   507,   508,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,  1515,  1516,
       0,  1517,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,  1518,   182,
     532,   183,     0,   533,   534,   535,  1519,  1520,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,  1521,   189,  1522,   547,   548,   191,  1523,   549,   550,
     193,   551,  1524,  1525,   552,  1526,   553,   554,   555,     0,
     556,     0,     0,  1527,   558,   559,     0,     0,   560,   196,
     197,   561,   198,  1528,   562,   563,   564,   565,   566,   567,
     568,     0,   569,  1529,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,  1530,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,  1531,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,  1532,   613,   217,   614,
     615,   219,   616,  1533,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,  1534,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,  1535,  1536,
       0,     0,   637,  1537,   638,  1538,  1539,   639,   640,   641,
     642,  5155,   644,   645,     0,  1540,   646,   647,   648,   649,
     650,  1541,     0,   651,   652,   653,   654,   655,   707,  1542,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,  1543,
    1544,  1545,  1546,  1547,  1548,  1549,  1550,   708,   668,   669,
       0,     0,     0,     0,     0,     0,     0,     0,  1551,  1552,
       0,     0,     0,     0,     0,     0,     0,  1554,   732,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   733,   104,
     105,   687,   734,     0,   107,   108,   109,   110,   735,   736,
     112,   113,   114,   115,     0,   116,   737,   738,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,   418,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1486,  1487,  1488,    45,
    1489,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
    1490,     0,     0,   430,   431,     0,   432,   433,   133,   434,
     435,   436,   135,  1491,   137,  1492,  1493,     0,   437,   438,
     439,   440,   441,  1494,  1495,   442,   443,  1496,  1497,   444,
       0,   445,   446,   447,   448,  1498,     0,  1499,     0,   449,
     450,   451,   452,   148,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,   151,   460,     0,  1500,  1501,  1502,
    1503,  1504,  1505,  1506,   461,   462,   463,   464,   701,   465,
    1507,  1508,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,  1509,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,  1510,   491,   492,   493,  1511,
    1512,   494,     0,   495,   496,  1513,   497,     0,   498,     0,
     499,   169,     0,   170,   500,   501,   502,     0,   503,  1514,
       0,   504,     0,   505,   506,   703,   507,   508,   173,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,   174,   175,     0,   519,   520,   521,  1515,  1516,     0,
    1517,     0,   522,   178,   179,   523,   180,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,  1518,   182,   532,
     183,     0,   533,   534,   535,  1519,  1520,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
    1521,   189,  1522,   547,   548,   191,  1523,   549,   550,   193,
     551,  1524,  1525,   552,  1526,   553,   554,   555,     0,   556,
       0,     0,  1527,   558,   559,     0,     0,   560,   196,   197,
     561,   198,  1528,   562,   563,   564,   565,   566,   567,   568,
       0,   569,  1529,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,  1530,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,   210,   599,   600,
    1531,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,  1532,   613,   217,   614,   615,
     219,   616,  1533,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,  1534,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,  1535,  1536,     0,
       0,   637,  1537,   638,  1538,  1539,   639,   640,   641,   642,
     643,   644,   645,     0,  1540,   646,   647,   648,   649,   650,
    1541,     0,   651,   652,   653,   654,   655,   707,  1542,     0,
     656,   235,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,  1543,  1544,
    1545,  1546,  1547,  1548,  1549,  1550,   708,   668,   669,     0,
       0,     0,     0,     0,     0,     0,     0,  1551,  1552,     0,
       0,     0,     0,     0,     0,     0,  1554,   732,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   733,   104,   105,
     687,   734,     0,   107,   108,   109,   110,   735,   736,   112,
     113,   114,   115,     0,   116,   737,   738,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,   418,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1486,  1487,  1488,    45,  1489,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,  1490,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,  1491,   137,  1492,  1493,     0,   437,   438,   439,
     440,   441,  1494,  1495,   442,   443,  1496,  1497,   444,     0,
     445,   446,   447,   448,  1498,     0,  1499,     0,   449,   450,
     451,   452,   148,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,  1500,  1501,  1502,  1503,
    1504,  1505,  1506,   461,   462,   463,   464,   701,   465,  1507,
    1508,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,  1509,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,  1510,   491,   492,   493,  1511,  1512,
     494,     0,   495,   496,  1513,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,  1514,     0,
     504,     0,   505,   506,   703,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,  1515,  1516,     0,  1517,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,  1518,   182,   532,   183,
       0,   533,   534,   535,  1519,  1520,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,  1521,
     189,  1522,   547,   548,   191,  1523,   549,   550,   193,   551,
    1524,  1525,   552,  1526,   553,   554,   555,     0,   556,     0,
       0,  1527,   558,   559,     0,     0,   560,   196,   197,   561,
     198,  1528,   562,   563,   564,   565,   566,   567,   568,     0,
     569,  1529,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,  1530,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,  1531,
     601,   602,   603,   604,   605,   606,   706,   607,     0,   608,
     609,   610,   611,   612,  1532,   613,   217,   614,   615,   219,
     616,  1533,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,  1534,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,  1535,  1536,     0,     0,
     637,  1537,   638,  1538,  1539,   639,   640,   641,   642,   643,
     644,   645,     0,  1540,   646,   647,   648,   649,   650,  1541,
       0,   651,   652,   653,   654,   655,   707,  1542,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,  4541,  1543,  1544,  1545,
    1546,  1547,  1548,  1549,  1550,   708,   668,   669,     0,     0,
       0,     0,     0,     0,     0,     0,  1551,  1552,     0,     0,
       0,     0,     0,     0,     0,  1554,   732,    86,    87,    88,
     684,    90,    91,    92,   685,     0,   686,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   733,   104,   105,   687,
     734,     0,   107,   108,   109,   110,   735,   736,   112,   113,
     114,   115,     0,   116,   737,   738,   688,   689,     0,     0,
       0,   690,   691,     0,     0,     0,     0,   692,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,   694,     0,
     695,   696,    35,   418,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1486,  1487,  1488,    45,  1489,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
       0,   427,   428,   429,     0,     0,     0,     0,  1490,     0,
       0,   430,   431,     0,   432,   433,   133,   434,   435,   436,
     135,  1491,   137,  1492,  1493,     0,   437,   438,   439,   440,
     441,  1494,  1495,   442,   443,  1496,  1497,   444,     0,   445,
     446,   447,   448,  1498,     0,  1499,     0,   449,   450,   451,
     452,   148,   453,   699,     0,   454,   455,   456,   457,   458,
     459,     0,   151,   460,     0,  1500,  1501,  1502,  1503,  1504,
    1505,  1506,   461,   462,   463,   464,   701,   465,  1507,  1508,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,  1509,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,  1510,   491,   492,   493,  1511,  1512,   494,
       0,   495,   496,  1513,   497,     0,   498,     0,   499,   169,
       0,   170,   500,   501,   502,     0,   503,  1514,     0,   504,
       0,   505,   506,   703,   507,   508,   173,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,     0,   518,   174,
     175,     0,   519,   520,   521,  1515,  1516,     0,  1517,     0,
     522,   178,   179,   523,   180,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   531,  1518,   182,   532,   183,     0,
     533,   534,   535,  1519,  1520,   536,   537,   538,   539,   540,
     541,   704,   542,   543,   705,   544,   545,   546,  1521,   189,
    1522,   547,  4550,   191,  1523,   549,   550,   193,   551,  1524,
    1525,   552,  1526,   553,   554,   555,     0,   556,     0,     0,
    1527,   558,   559,     0,     0,   560,   196,   197,   561,   198,
    1528,   562,   563,   564,   565,   566,   567,   568,     0,   569,
    1529,   570,   201,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,  1530,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598,   210,   599,   600,  1531,   601,
     602,   603,   604,   605,   606,   706,   607,     0,   608,   609,
     610,   611,   612,  1532,   613,   217,   614,   615,   219,   616,
    1533,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,  1534,     0,   628,   629,     0,   630,   631,
     632,   633,   634,   635,     0,  1535,  1536,     0,     0,   637,
    1537,   638,  1538,  1539,   639,   640,   641,   642,   643,   644,
     645,     0,  1540,   646,   647,   648,   649,   650,  1541,     0,
     651,   652,   653,   654,   655,   707,  1542,     0,   656,   235,
     657,   658,   659,   660,     0,     0,   661,     0,     0,   662,
     663,   664,   665,   666,   667,   237,  1543,  1544,  1545,  1546,
    1547,  1548,  1549,  1550,   708,   668,   669,     0,     0,     0,
       0,     0,     0,     0,     0,  1551,  1552,     0,     0,     0,
       0,     0,     0,     0,  1554,   732,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   733,   104,   105,   687,   734,
       0,   107,   108,   109,   110,   735,   736,   112,   113,   114,
     115,     0,   116,   737,   738,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,   418,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1486,  1487,  1488,    45,  1489,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,  1490,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,   135,
    1491,   137,  1492,  1493,     0,   437,   438,   439,   440,   441,
    1494,  1495,   442,   443,  1496,  1497,   444,     0,   445,   446,
     447,   448,  1498,     0,  1499,     0,   449,   450,   451,   452,
     148,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,  1500,  1501,  1502,  1503,  1504,  1505,
    1506,   461,   462,   463,   464,   701,   465,  1507,  1508,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,  1509,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,  1510,   491,   492,   493,  1511,  1512,   494,     0,
     495,   496,  1513,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,  1514,     0,   504,     0,
     505,   506,   703,   507,   508,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,   175,
       0,   519,   520,   521,  1515,  1516,     0,  1517,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,  1518,   182,   532,   183,     0,   533,
     534,   535,  1519,  1520,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,  1521,   189,  1522,
     547,   548,   191,     0,   549,   550,   193,   551,  1524,  1525,
     552,  1526,   553,   554,   555,     0,   556,     0,     0,  1527,
     558,   559,     0,     0,   560,   196,   197,   561,   198,  1528,
     562,   563,   564,   565,   566,   567,   568,     0,   569,  1529,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,  1530,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,  1531,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,  1532,   613,   217,   614,   615,   219,   616,  1533,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,  1534,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,  1535,  1536,     0,     0,   637,  1537,
     638,  1538,  1539,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,  1541,     0,   651,
     652,   653,   654,   655,   707,  1542,     0,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,  1543,  1544,  1545,  1546,  1547,
    1548,  1549,  1550,   708,   668,   669,     0,     0,     0,     0,
       0,     0,     0,     0,  2926,  2927,     0,     0,     0,     0,
       0,     0,     0,  1554,   732,    86,    87,    88,   684,    90,
      91,    92,   685,     0,   686,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   733,   104,   105,   687,   734,     0,
     107,   108,   109,   110,   735,   736,   112,   113,   114,   115,
       0,   116,   737,   738,   688,   689,     0,     0,     0,   690,
     691,     0,     0,     0,     0,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   694,     0,   695,   696,
      35,   418,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1486,  1487,  1488,    45,  1489,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,  1490,     0,     0,   430,
     431,     0,   432,   433,   133,   434,   435,   436, -2690,  1491,
     137,  1492,  1493,     0,   437,   438,   439,   440,   441,  1494,
    1495,   442,   443,  1496,  1497,   444,     0,   445,   446,   447,
     448,  1498,     0,  1499,     0,   449,   450,   451,   452,   148,
     453,   699,     0,   454,   455,   456,   457,   458,   459,     0,
     151,   460,  5154,  1500,  1501,  1502,  1503,  1504,  1505,  1506,
     461,   462,   463,   464,   701,   465,  1507,  1508,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,  1509,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,  1510,   491,   492,   493,  1511,  1512,   494,     0,   495,
     496,  1513,   497,     0,   498,     0,   499,   169,     0,   170,
     500,   501,   502,     0,   503,  1514,     0,   504,     0,   505,
     506,   703,   507,   508,     0,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,   174,   175,     0,
     519,   520,   521,  1515,  1516,     0,  1517,     0,   522,   178,
     179,   523,   180,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,  1518,   182,   532,     0,     0,   533,   534,
     535,  1519,  1520,   536,   537,   538,   539,   540,   541,   704,
     542,   543,   705,   544,   545,   546,  1521,   189,  1522,   547,
     548,   191,     0,   549,   550,   193,   551,  1524,  1525,   552,
    1526,   553,   554,   555,     0,   556,     0,     0,  1527,   558,
     559,     0,     0,   560,   196,   197,   561,   198,  1528,   562,
     563,   564,   565,   566,   567,   568,     0,   569,  1529,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,  1530,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,   210,   599,   600,  1531,   601,   602,   603,
     604,   605,   606,   706,   607,     0,   608,   609,   610,   611,
     612,  1532,   613,   217,   614,   615,     0,   616,  1533,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,  1534,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,  1535,  1536,     0,     0,   637,  1537,   638,
    1538,  1539,   639,   640,   641,   642,  5155,   644,   645,     0,
    1540,   646,   647,   648,   649,   650,  1541,     0,   651,   652,
     653,   654,   655,   707,  1542,     0,   656,   235,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,   237,  1543,  1544,  1545,  1546,  1547,  1548,
    1549,  1550,   708,   668,   669,     0,     0,     0,     0,     0,
       0,     0,     0,  1551,  1552,     0,     0,     0,     0,     0,
       0,     0,  1554,   732,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   733,   104,   105,   687,   734,     0,   107,
     108,   109,   110,   735,   736,   112,   113,   114,   115,     0,
     116,   737,   738,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
     418,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1486,  1487,     0,    45,  1489,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,  1490,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,   135,  1491,   137,
    1492,  1493,     0,   437,   438,   439,   440,   441,  1494,  1495,
     442,   443,  1496,  1497,   444,     0,   445,   446,   447,   448,
    1498,     0,  1499,     0,   449,   450,   451,   452,   148,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,  1500,  1501,  1502,  1503,  1504,  1505,  1506,   461,
     462,   463,   464,   701,   465,  1507,  1508,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,  1509,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
    1510,   491,   492,   493,  1511,  1512,   494,     0,   495,   496,
    1513,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,  1514,     0,   504,     0,   505,   506,
     703,   507,   508,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,   175,     0,   519,
     520,   521,  1515,  1516,     0,  1517,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,  1518,   182,   532,   183,     0,   533,   534,   535,
    1519,  1520,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,  1521,   189,  1522,   547,   548,
     191,     0,   549,   550,   193,   551,  1524,  1525,   552,  1526,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,   197,   561,   198,  1528,   562,   563,
     564,   565,   566,   567,   568,     0,   569,  1529,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,  1530,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,  1531,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
    1532,   613,   217,   614,   615,   219,   616,  1533,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
    1534,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,  1535,  1536,     0,     0,   637,  1537,   638,  1538,
    1539,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,  1541,     0,   651,   652,   653,
     654,   655,   707,  1542,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,  1543,  1544,  1545,  1546,  1547,  1548,  1549,
    1550,   708,   668,   669,     0,     0,     0,     0,   732,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,  1554,    98,    99,   100,   101,   102,   103,   733,   104,
     105,   687,   734,     0,   107,   108,   109,   110,   735,   736,
     112,   113,   114,   115,     0,   116,   737,   738,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,   418,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1486,  1487,     0,    45,
    1489,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
    1490,     0,     0,   430,   431,     0,   432,   433,   133,   434,
     435,   436,   135,  1491,   137,  1492,  1493,     0,  4142,   438,
     439,   440,   441,  1494,  1495,   442,   443,  1496,  1497,   444,
       0,   445,   446,   447,   448,  1498,     0,  1499,     0,   449,
     450,   451,   452,   148,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,   151,   460,     0,  1500,  1501,  1502,
    1503,  1504,  1505,  1506,   461,   462,   463,   464,   701,   465,
    1507,  1508,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,  1509,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,  1510,   491,   492,   493,  1511,
    1512,   494,     0,   495,   496,  1513,   497,     0,   498,     0,
     499,   169,     0,   170,   500,   501,   502,     0,   503,  1514,
       0,   504,     0,   505,   506,   703,   507,   508,   173,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,   174,   175,     0,   519,   520,   521,  1515,  1516,     0,
    1517,     0,   522,   178,   179,   523,   180,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,  1518,   182,   532,
     183,     0,   533,   534,   535,  1519,  1520,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
    1521,   189,  1522,   547,   548,   191,     0,   549,   550,   193,
     551,  1524,  1525,   552,  1526,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,   197,
     561,   198,  1528,   562,   563,   564,   565,   566,   567,   568,
       0,   569,  1529,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,  1530,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,   210,   599,   600,
    1531,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,  1532,   613,   217,   614,   615,
     219,   616,  1533,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,  1534,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,  1535,  1536,     0,
       0,   637,  1537,   638,  1538,  1539,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
    1541,     0,   651,   652,   653,   654,   655,   707,  1542,     0,
     656,   235,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,  1543,  1544,
    1545,  1546,  1547,  1548,  1549,  1550,   708,   668,   669,     0,
       0,     0,     0,   732,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,  1554,    98,    99,   100,
     101,   102,   103,   733,   104,   105,   687,   734,     0,   107,
     108,   109,   110,   735,   736,   112,   113,   114,   115,     0,
     116,   737,   738,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
     418,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1486,  1487,  1488,    45,  1489,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,  1490,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,     0,  1491,   137,
    1492,  1493,     0,   437,   438,   439,   440,   441,  1494,  1495,
     442,   443,  1496,  1497,   444,     0,   445,   446,   447,   448,
    1498,     0,  1499,     0,   449,   450,   451,   452,   148,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,  1500,  1501,  1502,  1503,  1504,  1505,  1506,   461,
     462,   463,   464,   701,   465,  1507,  1508,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,  1509,   479,   480,     0,   481,   482,
     483,     0,   484,     0,   486,     0,   487,   488,   489,   490,
    1510,   491,   492,   493,  1511,  1512,   494,     0,   495,   496,
    1513,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,  1514,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,   175,     0,   519,
     520,   521,  1515,  1516,     0,  1517,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,  1518,   182,   532,     0,     0,   533,   534,   535,
    1519,  1520,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,  1521,   189,  1522,   547,   548,
     191,     0,   549,   550,   193,   551,  1524,  1525,   552,  1526,
     553,   554,   555,     0,   556,     0,     0,  1527,   558,   559,
       0,     0,   560,   196,   197,   561,   198,  1528,   562,   563,
     564,   565,   566,   567,   568,     0,   569,  1529,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,  1530,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,  1531,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
    1532,   613,   217,   614,   615,     0,   616,  1533,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
    1534,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,  1535,  1536,     0,     0,   637,  1537,   638,  1538,
    1539,   639,   640,   641,   642,   643,   644,   645,     0,  1540,
     646,   647,   648,   649,   650,  1541,     0,   651,   652,   653,
     654,   655,   707,  1542,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,  1543,  1544,  1545,  1546,  1547,  1548,  1549,
    1550,   708,   668,   669,     0,     0,     0,     0,     0,     0,
       0,     0,  1551,  1552,     0,     0,     0,     0,     0,     0,
       0,  1554,   732,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   733,   104,   105,   687,   734,     0,   107,   108,
     109,   110,   735,   736,   112,   113,   114,   115,     0,   116,
     737,   738,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,   418,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1486,  1487,  1488,    45,  1489,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,  1490,     0,     0,   430,   431,     0,
     432,   433,   133,   434,   435,   436,     0,  1491,   137,  1492,
    1493,     0,   437,   438,   439,   440,   441,  1494,  1495,   442,
     443,  1496,  1497,   444,     0,   445,   446,   447,   448,  1498,
       0,  1499,     0,   449,   450,   451,   452,   148,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,   151,   460,
       0,  1500,  1501,  1502,  1503,  1504,  1505,  1506,   461,   462,
     463,   464,   701,   465,  1507,  1508,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,  1509,   479,   480,     0,   481,   482,   483,
       0,   484,     0,   486,     0,   487,   488,   489,   490,  1510,
     491,   492,   493,  1511,  1512,   494,     0,   495,   496,  1513,
     497,     0,   498,     0,   499,   169,     0,   170,   500,   501,
     502,     0,   503,  1514,     0,   504,     0,   505,   506,   703,
     507,   508,     0,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,   174,   175,     0,   519,   520,
     521,  1515,  1516,     0,  1517,     0,   522,   178,   179,   523,
     180,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,  1518,   182,   532,     0,     0,   533,   534,   535,  1519,
    1520,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,  1521,   189,  1522,   547,   548,   191,
       0,   549,   550,   193,   551,  1524,  1525,   552,  1526,   553,
     554,   555,     0,   556,     0,     0,  1527,   558,   559,     0,
       0,   560,   196,   197,   561,   198,  1528,   562,   563,   564,
     565,   566,   567,   568,     0,   569,  1529,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,  1530,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,   210,   599,   600,  1531,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,  1532,
     613,   217,   614,   615,     0,   616,  1533,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,  1534,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,  1535,  1536,     0,     0,   637,  1537,   638,  1538,  1539,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,  1541,     0,   651,   652,   653,   654,
     655,   707,  1542,     0,   656,   235,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,  1543,  1544,  1545,  1546,  1547,  1548,  1549,  1550,
     708,   668,   669,     0,     0,     0,     0,     0,     0,     0,
       0,  2926,  2927,     0,     0,     0,     0,     0,     0,     0,
    1554,   732,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   733,   104,   105,   687,   734,     0,   107,   108,   109,
     110,   735,   736,   112,   113,   114,   115,     0,   116,   737,
     738,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,   135,   136,   137,   138,   139,
       0,   437,   438,   439,   440,   441,     0,  1495,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,  1498,     0,
    1499,     0,   449,   450,   451,   452,   148,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
    1500,  1501,  1502,  1503,  1504,  1505,  1506,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,  1511,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,  1514,     0,   504,     0,   505,   506,   703,   507,
     508,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,  3670,   529,   530,     0,   531,
    1518,   182,   532,   183,     0,   533,   534,   535,  1519,  1520,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,   189,   190,   547,   548,   191,     0,
     549,   550,   193,   551,     0,  1525,   552,   195,   553,   554,
     555,     0,   556,     0,  1094,   557,   558,   559,     0,     0,
     560,   196,   197,   561,   198,  1528,   562,   563,   564,   565,
     566,   567,   568,     0,   569,  1529,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,   212,  3671,   602,   603,   604,   605,   606,
     706,   607,   215,   608,   609,   610,   611,   612,  1532,   613,
     217,   614,   615,   219,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,  1534,     0,
     628,   629,   223,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,  1537,   638,  1538,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,  1541,     0,   651,   652,   653,   654,   655,
    2216,   234,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,   236,   662,   663,   664,   665,   666,   667,
     237,  1543,  1544,  1545,  1546,  1547,  1548,  1549,  1550,   708,
     668,   669,     0,     0,     0,     0,   732,    86,    87,    88,
     684,    90,    91,    92,   685,     0,   686,    95,     0,  3672,
      98,    99,   100,   101,   102,   103,   733,   104,   105,   687,
     734,     0,   107,   108,   109,   110,   735,   736,   112,   113,
     114,   115,     0,   116,   737,   738,   688,   689,     0,     0,
       0,   690,   691,     0,     0,     0,     0,   692,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,   694,     0,
     695,   696,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
       0,   427,   428,   429,     0,     0,     0,     0,     0,     0,
       0,   430,   431,     0,   432,   433,   133,   434,   435,   436,
     135,   136,   137,   138,   139,     0,   437,   438,   439,   440,
     441,     0,  1495,   442,   443,   698,   140,   444,     0,   445,
     446,   447,   448,  1498,     0,  1499,     0,   449,   450,   451,
     452,   148,   453,   699,     0,   454,   455,   456,   457,   458,
     459,     0,   151,   460,     0,  1500,  1501,  1502,  1503,  1504,
    1505,  1506,   461,   462,   463,   464,   701,   465,   155,   156,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,   164,   491,   492,   493,  1511,     0,   494,
       0,   495,   496,   168,   497,     0,   498,     0,   499,   169,
       0,   170,   500,   501,   502,     0,   503,  1514,     0,   504,
       0,   505,   506,   703,   507,   508,   173,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,     0,   518,   174,
     175,     0,   519,   520,   521,     0,   176,     0,   177,     0,
     522,   178,   179,   523,   180,   524,   525,   526,   527,   528,
    3670,   529,   530,     0,   531,  1518,   182,   532,   183,     0,
     533,   534,   535,  1519,  1520,   536,   537,   538,   539,   540,
     541,   704,   542,   543,   705,   544,   545,   546,   188,   189,
     190,   547,   548,   191,     0,   549,   550,   193,   551,     0,
    1525,   552,   195,   553,   554,   555,     0,   556,     0,  1094,
     557,   558,   559,     0,     0,   560,   196,   197,   561,   198,
    1528,   562,   563,   564,   565,   566,   567,   568,     0,   569,
    1529,   570,   201,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   203,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598,   210,   599,   600,   212,  3671,
     602,   603,   604,   605,   606,   706,   607,     0,   608,   609,
     610,   611,   612,  1532,   613,   217,   614,   615,   219,   616,
     220,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,  1534,     0,   628,   629,     0,   630,   631,
     632,   633,   634,   635,     0,   224,   225,     0,     0,   637,
    1537,   638,  1538,     0,   639,   640,   641,   642,   643,   644,
     645,     0,     0,   646,   647,   648,   649,   650,  1541,     0,
     651,   652,   653,   654,   655,   707,   234,     0,   656,   235,
     657,   658,   659,   660,     0,     0,   661,     0,     0,   662,
     663,   664,   665,   666,   667,   237,  1543,  1544,  1545,  1546,
    1547,  1548,  1549,  1550,   708,   668,   669,     0,     0,     0,
       0,   732,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,  3672,    98,    99,   100,   101,   102,
     103,   733,   104,   105,   687,   734,     0,   107,   108,   109,
     110,   735,   736,   112,   113,   114,   115,     0,   116,   737,
     738,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,   135,   136,   137,   138,   139,
       0,   437,   438,   439,   440,   441,     0,  1495,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,  1498,     0,
    1499,     0,   449,   450,   451,   452,   148,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
    1500,  1501,  1502,  1503,  1504,  1505,  1506,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,  1511,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,  1514,     0,   504,     0,   505,   506,   703,   507,
     508,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
    1518,   182,   532,   183,     0,   533,   534,   535,  1519,  1520,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,   189,   190,   547,   548,   191,     0,
     549,   550,   193,   551,     0,  1525,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,   197,   561,   198,  1528,   562,   563,   564,   565,
     566,   567,   568,     0,   569,  1529,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,   212,  3671,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,  1532,   613,
     217,   614,   615,   219,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,  1534,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,  1537,   638,  1538,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,  1541,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,  1543,  1544,  1545,  1546,  1547,  1548,  1549,  1550,   708,
     668,   669,     0,     0,     0,     0,   732,    86,    87,    88,
     684,    90,    91,    92,   685,     0,   686,    95,     0,   246,
      98,    99,   100,   101,   102,   103,   733,   104,   105,   687,
     734,     0,   107,   108,   109,   110,   735,   736,   112,   113,
     114,   115,     0,   116,   737,   738,   688,   689,     0,     0,
       0,   690,   691,     0,     0,     0,     0,   692,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,   694,     0,
     695,   696,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
       0,   427,   428,   429,     0,     0,     0,     0,     0,     0,
       0,   430,   431,     0,   432,   433,   133,   434,   435,   436,
     135,   136,   137,   138,   139,     0,   437,   438,   439,   440,
     441,     0,  1495,   442,   443,   698,   140,   444,     0,   445,
     446,   447,   448,  1498,     0,  1499,     0,   449,   450,   451,
     452,   148,   453,   699,     0,   454,   455,   456,   457,   458,
     459,     0,   151,   460,     0,  1500,  1501,  1502,  1503,  1504,
    1505,  1506,   461,   462,   463,   464,   701,   465,   155,   156,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,   164,   491,   492,   493,  1511,     0,   494,
       0,   495,   496,   168,   497,     0,   498,     0,   499,   169,
       0,   170,   500,   501,   502,     0,   503,  1514,     0,   504,
       0,   505,   506,   703,   507,   508,   173,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,     0,   518,   174,
     175,     0,   519,   520,   521,     0,   176,     0,   177,     0,
     522,   178,   179,   523,   180,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   531,  1518,   182,   532,   183,     0,
     533,   534,   535,  1519,  1520,   536,   537,   538,   539,   540,
     541,   704,   542,   543,   705,   544,   545,   546,   188,   189,
     190,   547,   548,   191,     0,   549,   550,   193,   551,     0,
    1525,   552,   195,   553,   554,   555,     0,   556,     0,     0,
     557,   558,   559,     0,     0,   560,   196,   197,   561,   198,
    1528,   562,   563,   564,   565,   566,   567,   568,     0,   569,
    1529,   570,   201,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   203,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598,   210,   599,   600,   212,   601,
     602,   603,   604,   605,   606,   706,   607,     0,   608,   609,
     610,   611,   612,  1532,   613,   217,   614,   615,   219,   616,
     220,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,  1534,     0,   628,   629,     0,   630,   631,
     632,   633,   634,   635,     0,   224,   225,     0,     0,   637,
    1537,   638,  1538,     0,   639,   640,   641,   642,   643,   644,
     645,     0,     0,   646,   647,   648,   649,   650,  1541,     0,
     651,   652,   653,   654,   655,   707,   234,     0,   656,   235,
     657,   658,   659,   660,     0,     0,   661,     0,     0,   662,
     663,   664,   665,   666,   667,   237,  1543,  1544,  1545,  1546,
    1547,  1548,  1549,  1550,   708,   668,   669,     0,     0,     0,
       0,   732,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,  4267,    98,    99,   100,   101,   102,
     103,   733,   104,   105,   687,   734,     0,   107,   108,   109,
     110,   735,   736,   112,   113,   114,   115,     0,   116,   737,
     738,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,   135,   136,   137,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
     145,     0,   449,   450,   451,   452,   148,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
       0,     0,     0,   152,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,   182,   532,   183,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,   189,   190,   547,   548,   191,     0,
     549,   550,   193,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,   197,   561,   198,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,   219,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,     0,     0,     0,     0,     0,    86,    87,    88,
     684,    90,    91,    92,   685,     0,   686,    95,     0,  4876,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   687,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   688,   689,     0,     0,
       0,   690,   691,     0,     0,     0,     0,   692,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,   694,     0,
     695,   696,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
       0,   427,   428,   429,     0,     0,     0,     0,     0,  4194,
       0,   430,   431,     0,   432,   433,     0,   434,   435,   436,
     135,   136,     0,   138,   139,     0,   437,   438,   439,   440,
     441,     0,     0,   442,   443,   698,   140,   444,     0,   445,
     446,   447,   448,   144,     0,     0,     0,   449,   450,   451,
     452,     0,   453,   699,     0,   454,   455,   456,   457,   458,
     459,     0, -1522,   460,     0,     0,     0,     0,     0,     0,
       0,     0,   461,   462,   463,   464,   701,   465,   155,   156,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,   164,   491,   492,   493,   166,     0,   494,
       0,   495,   496,   168,   497,     0,   498,     0,   499,     0,
       0, -1522,   500,   501,   502,     0,   503,   172,     0,   504,
       0,   505,   506,   703,   507,   508,     0,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,     0,   518, -1522,
     175,     0,   519,   520,   521,     0,   176,     0,   177,     0,
     522,     0,     0,   523, -1522,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   531,   181, -1522,   532,     0,     0,
     533,   534,   535,     0,     0,   536,   537,   538,   539,   540,
     541,   704,   542,   543,   705,   544,   545,   546,   188, -1522,
     190,   547,   548,   191,     0,   549,   550,     0,   551,     0,
     194,   552,   195,   553,   554,   555,     0,   556,     0,     0,
     557,   558,   559,     0,     0,   560,   196,     0,   561,     0,
     199,   562,   563,   564,   565,   566,   567,   568,     0,   569,
     200,   570,   201,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   203,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598, -1522,   599,   600,   212,   601,
     602,   603,   604,   605,   606,   706,   607,     0,   608,   609,
     610,   611,   612,     0,   613,   217,   614,   615,     0,   616,
     220,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   222,     0,   628,   629,     0,   630,   631,
     632,   633,   634,   635,     0,   224,   225,     0,     0,   637,
     226,   638,   227,     0,   639,   640,   641,   642,   643,   644,
     645,     0,     0,   646,   647,   648,   649,   650,     0,     0,
     651,   652,   653,   654,   655,   707,   234,     0,   656,     0,
     657,   658,   659,   660,     0,     0,   661,     0,     0,   662,
     663,   664,   665,   666,   667,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   708,   668,   669,     0,     0,     0,
       0,     0,     0,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,  1648,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   687,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,     0,
       0,     0,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,    45,     0,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,     0,     0,     0,   430,   431,     0,
     432,   433,     0,   434,   435,   436,   135,   136,     0,   138,
     139,     0,   437,   438,   439,   440,   441,     0,     0,   442,
     443,   698,   140,   444,     0,   445,   446,   447,   448,   144,
       0,     0,     0,   449,   450,   451,   452,     0,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,     0,   460,
       0,     0,     0,     0,     0,     0,     0,     0,   461,   462,
     463,   464,   701,   465,   155,   156,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,   164,
     491,   492,   493,   166,     0,   494,     0,   495,   496,   168,
     497,     0,   498,     0,   499,     0,     0,     0,   500,   501,
     502,     0,   503,   172,     0,   504,     0,   505,   506,   703,
     507,   508,     0,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,     0,   175,     0,   519,   520,
     521,     0,   176,     0,   177,     0,   522,     0,     0,   523,
       0,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,   181,     0,   532,     0,     0,   533,   534,   535,     0,
       0,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,   188,     0,   190,   547,   548,   191,
       0,   549,   550,     0,   551,     0,   194,   552,   195,   553,
     554,   555,     0,   556,     0,     0,   557,   558,   559,     0,
       0,   560,   196,     0,   561,     0,   199,   562,   563,   564,
     565,   566,   567,   568,     0,   569,   200,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   203,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,     0,   599,   600,   212,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,     0,
     613,   217,   614,   615,     0,   616,   220,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   222,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,   224,   225,     0,     0,   637,   226,   638,   227,     0,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,     0,     0,   651,   652,   653,   654,
     655,   707,   234,     0,   656,     0,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     708,   668,   669,     0,     0,     0,     0,     0,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,  3954,
    3955,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     687,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,     0,     0,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,    45,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,     0,   434,   435,
     436,   135,   136,     0,   138,   139,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,   698,   140,   444,     0,
     445,   446,   447,   448,   144,     0,     0,     0,   449,   450,
     451,   452,     0,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,     0,   460,     0,     0,     0,     0,     0,
       0,     0,     0,   461,   462,   463,   464,   701,   465,   155,
     156,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,   166,     0,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
       0,     0,     0,   500,   501,   502,     0,   503,   172,     0,
     504,     0,   505,   506,   703,   507,   508,     0,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
       0,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,     0,     0,   523,     0,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,   181,     0,   532,     0,
       0,   533,   534,   535,     0,     0,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,   188,
       0,   190,   547,   548,   191,     0,   549,   550,     0,   551,
       0,   194,   552,   195,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,   196,     0,   561,
       0,   199,   562,   563,   564,   565,   566,   567,   568,     0,
     569,   200,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,     0,   599,   600,   212,
     601,   602,   603,   604,   605,   606,   706,   607,     0,   608,
     609,   610,   611,   612,     0,   613,   217,   614,   615,     0,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   222,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,   224,   225,     0,     0,
     637,   226,   638,   227,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,   707,   234,     0,   656,
       0,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   708,   668,   669,     0,     0,
       0,     0,     0,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,  3955,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   687,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,   418,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,     0,     0,     0,   430,   431,     0,
     432,   433,     0,   434,   435,   436,   135,   136,     0,   138,
     139,     0,   437,   438,   439,   440,   441,     0,     0,   442,
     443,   698,   140,   444,     0,   445,   446,   447,   448,   144,
       0,     0,     0,   449,   450,   451,   452,     0,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,     0,   460,
       0,     0,     0,     0,     0,     0,     0,     0,   461,   462,
     463,   464,   701,   465,   155,   156,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,   164,
     491,   492,   493,   166,     0,   494,     0,   495,   496,   168,
     497,     0,   498,     0,   499,     0,     0,     0,   500,   501,
     502,     0,   503,   172,     0,   504,     0,   505,   506,   703,
     507,   508,     0,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,     0,   175,     0,   519,   520,
     521,     0,   176,     0,   177,     0,   522,     0,     0,   523,
       0,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,   181,     0,   532,     0,     0,   533,   534,   535,     0,
       0,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,   188,     0,   190,   547,   548,   191,
       0,   549,   550,     0,   551,     0,   194,   552,   195,   553,
     554,   555,     0,   556,     0,     0,   557,   558,   559,     0,
       0,   560,   196,     0,   561,     0,   199,   562,   563,   564,
     565,   566,   567,   568,     0,   569,   200,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   203,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,     0,   599,   600,   212,   601,   602,   603,   604,   605,
     606,   706,   607,   215,   608,   609,   610,   611,   612,     0,
     613,   217,   614,   615,     0,   616,   220,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   222,
       0,   628,   629,   223,   630,   631,   632,   633,   634,   635,
       0,   224,   225,     0,     0,   637,   226,   638,   227,     0,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,     0,     0,   651,   652,   653,   654,
     655,  2216,   234,     0,   656,     0,   657,   658,   659,   660,
       0,     0,   661,     0,   236,   662,   663,   664,   665,   666,
     667,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     708,   668,   669,     0,     0,     0,     0,     0,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
     246,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     687,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,     0,   434,   435,
     436,   135,   136,     0,   138,   139,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,   698,   140,   444,     0,
     445,   446,   447,   448,   144,     0,     0,     0,   449,   450,
     451,   452,     0,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,     0,   460,     0,     0,     0,     0,     0,
       0,     0,     0,   461,   462,   463,   464,   701,   465,   155,
     156,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,   166,     0,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
       0,     0,     0,   500,   501,   502,     0,   503,   172,     0,
     504,     0,   505,   506,   703,   507,   508,     0,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
       0,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,     0,     0,   523,     0,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,   181,     0,   532,     0,
       0,   533,   534,   535,     0,     0,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,   188,
       0,   190,   547,   548,   191,     0,   549,   550,     0,   551,
       0,   194,   552,   195,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,   196,     0,   561,
       0,   199,   562,   563,   564,   565,   566,   567,   568,     0,
     569,   200,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,     0,   599,   600,   212,
     601,   602,   603,   604,   605,   606,   706,   607,   215,   608,
     609,   610,   611,   612,     0,   613,   217,   614,   615,     0,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   222,     0,   628,   629,   223,   630,
     631,   632,   633,   634,   635,     0,   224,   225,     0,     0,
     637,   226,   638,   227,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,  2216,   234,     0,   656,
       0,   657,   658,   659,   660,     0,     0,   661,     0,   236,
     662,   663,   664,   665,   666,   667,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   708,   668,   669,     0,     0,
       0,     0,     0,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,   246,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   687,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,     0,     0,     0,   430,   431,     0,
     432,   433,     0,   434,   435,   436,   135,   136,     0,   138,
     139,     0,   437,   438,   439,   440,   441,     0,     0,   442,
     443,   698,   140,   444,     0,   445,   446,   447,   448,   144,
       0,     0,     0,   449,   450,   451,   452,     0,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,     0,   460,
       0,     0,     0,     0,     0,     0,     0,     0,   461,   462,
     463,   464,   701,   465,   155,   156,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,   164,
     491,   492,   493,   166,     0,   494,     0,   495,   496,   168,
     497,     0,   498,     0,   499,     0,     0,     0,   500,   501,
     502,     0,   503,   172,     0,   504,     0,   505,   506,   703,
     507,   508,     0,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,     0,   175,     0,   519,   520,
     521,     0,   176,     0,   177,     0,   522,     0,     0,   523,
       0,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,   181,     0,   532,     0,     0,   533,   534,   535,     0,
       0,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,   188,     0,   190,   547,   548,   191,
       0,   549,   550,     0,   551,     0,   194,   552,   195,   553,
     554,   555,     0,   556,     0,     0,   557,   558,   559,     0,
       0,   560,   196,     0,   561,     0,   199,   562,   563,   564,
     565,   566,   567,   568,     0,   569,   200,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   203,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,     0,   599,   600,   212,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,     0,
     613,   217,   614,   615,     0,   616,   220,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   222,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,   224,   225,     0,     0,   637,   226,   638,   227,     0,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,     0,     0,   651,   652,   653,   654,
     655,   707,   234,     0,   656,     0,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     708,   668,   669,     0,     0,     0,     0,     0,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
    1623,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     687,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,     0,   434,   435,
     436,   135,   136,     0,   138,   139,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,   698,   140,   444,     0,
     445,   446,   447,   448,   144,     0,     0,     0,   449,   450,
     451,   452,     0,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,     0,   460,     0,     0,     0,     0,     0,
       0,     0,     0,   461,   462,   463,   464,   701,   465,   155,
     156,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,   166,     0,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
       0,     0,     0,   500,   501,   502,     0,   503,   172,     0,
     504,     0,   505,   506,   703,   507,   508,     0,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
       0,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,     0,     0,   523,     0,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,   181,     0,   532,     0,
       0,   533,   534,   535,     0,     0,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,   188,
       0,   190,   547,   548,   191,     0,   549,   550,     0,   551,
       0,   194,   552,   195,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,   196,     0,   561,
       0,   199,   562,   563,   564,   565,   566,   567,   568,     0,
     569,   200,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,     0,   599,   600,   212,
     601,   602,   603,   604,   605,   606,   706,   607,     0,   608,
     609,   610,   611,   612,     0,   613,   217,   614,   615,     0,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   222,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,   224,   225,     0,     0,
     637,   226,   638,   227,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,   707,   234,     0,   656,
       0,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   708,   668,   669,     0,     0,
       0,     0,     0,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,  3089,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   687,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,     0,     0,     0,   430,   431,     0,
     432,   433,     0,   434,   435,   436,   135,   136,     0,   138,
     139,     0,   437,   438,   439,   440,   441,     0,     0,   442,
     443,   698,   140,   444,     0,   445,   446,   447,   448,   144,
       0,     0,     0,   449,   450,   451,   452,     0,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,     0,   460,
       0,     0,     0,     0,     0,     0,     0,     0,   461,   462,
     463,   464,   701,   465,   155,   156,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,   164,
     491,   492,   493,   166,     0,   494,     0,   495,   496,   168,
     497,     0,   498,     0,   499,     0,     0,     0,   500,   501,
     502,     0,   503,   172,     0,   504,     0,   505,   506,   703,
     507,   508,     0,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,     0,   175,     0,   519,   520,
     521,     0,   176,     0,   177,     0,   522,     0,     0,   523,
       0,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,   181,     0,   532,     0,     0,   533,   534,   535,     0,
       0,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,   188,     0,   190,   547,   548,   191,
       0,   549,   550,     0,   551,     0,   194,   552,   195,   553,
     554,   555,     0,   556,     0,     0,   557,   558,   559,     0,
       0,   560,   196,     0,   561,     0,   199,   562,   563,   564,
     565,   566,   567,   568,     0,   569,   200,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   203,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,     0,   599,   600,   212,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,     0,
     613,   217,   614,   615,     0,   616,   220,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   222,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,   224,   225,     0,     0,   637,   226,   638,   227,     0,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,     0,     0,   651,   652,   653,   654,
     655,   707,   234,     0,   656,     0,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     708,   668,   669,     0,     0,     0,     0,     0,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
    4178,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     687,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,     0,   434,   435,
     436,   135,   136,     0,   138,   139,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,   698,   140,   444,     0,
     445,   446,   447,   448,   144,     0,     0,     0,   449,   450,
     451,   452,     0,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,     0,   460,     0,     0,     0,     0,     0,
       0,     0,     0,   461,   462,   463,   464,   701,   465,   155,
     156,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,   166,     0,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
       0,     0,     0,   500,   501,   502,     0,   503,   172,     0,
     504,     0,   505,   506,   703,   507,   508,     0,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
       0,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,     0,     0,   523,     0,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,   181,     0,   532,     0,
       0,   533,   534,   535,     0,     0,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,   188,
       0,   190,   547,   548,   191,     0,   549,   550,     0,   551,
       0,   194,   552,   195,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,   196,     0,   561,
       0,   199,   562,   563,   564,   565,   566,   567,   568,     0,
     569,   200,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,     0,   599,   600,   212,
     601,   602,   603,   604,   605,   606,   706,   607,     0,   608,
     609,   610,   611,   612,     0,   613,   217,   614,   615,     0,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   222,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,   224,   225,     0,     0,
     637,   226,   638,   227,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,   707,   234,     0,   656,
       0,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   708,   668,   669,     0,     0,
       0,     0,   732,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,  4592,    98,    99,   100,   101,
     102,   103,   733,   104,   105,   687,   734,     0,   107,   108,
     109,   110,   735,   736,   112,   113,   114,   115,     0,   116,
     737,   738,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,   418,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
       0,     0,  1219,    45,     0,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,   739,   427,   428,   429,
     740,   741,   742,   743,   744,   745,   746,   430,   431,   747,
     432,   433,   133,   434,   435,   436,     0,  1926,   137,  1927,
    1928,   748,   437,   438,   439,   440,   441,   749,   750,   442,
     443,  1929,  1930,   444,   752,   445,   446,   447,   448,     0,
     753,   145,   754,   449,   450,   451,   452,   148,   453,   699,
     756,   454,   455,   456,   457,   458,   459,   757,   151,   460,
       0,   759,   760,   761,   152,   762,   763,   764,   461,   462,
     463,   464,   701,   465,  1931,  1932,   466,   765,   467,   766,
     468,   469,   470,   471,   472,   767,   473,   474,   475,   768,
     769,   476,   477,  1509,   479,   480,   770,   481,   482,   483,
     771,   484,   485,   486,   772,   487,   488,   489,   490,     0,
     491,   492,   493,     0,   773,   494,   774,   495,   496,  1933,
     497,   775,   498,   776,   499,   169,   777,   170,   500,   501,
     502,   778,   503,     0,   779,   504,   780,   505,   506,   703,
     507,   508,   173,   509,   510,   511,   781,   512,   513,   514,
     515,   516,   517,   782,   518,   174,     0,     0,   519,   520,
     521,  1515,  1934,   785,  1935,   786,   522,   178,   179,   523,
     180,   524,   525,   526,   527,   528,   787,   529,   530,   788,
     531,     0,   182,   532,   183,   789,   533,   534,   535,   790,
     791,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,  1936,   189,  1937,   547,   548,     0,
     792,   549,   550,   193,   551,   793,     0,   552,  1938,   553,
     554,   555,   794,   556,   795,   796,  3941,   558,   559,   797,
     798,   560,     0,   197,   561,   198,     0,   562,   563,   564,
     565,   566,   567,   568,   799,   569,     0,   570,     0,   571,
     572,   573,   800,   574,   575,   576,   577,   578,   579,   580,
     581,  1939,   582,   583,   584,   585,   801,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,   802,   597,
     598,   210,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   706,   607,   803,   608,   609,   610,   611,   612,   804,
     613,  2424,   614,   615,   219,   616,  1941,   617,   805,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,     0,
     806,   628,   629,   807,   630,   631,   632,   633,   634,   635,
     808,  1942,  1943,     0,   810,   637,     0,   638,     0,   811,
     639,   640,   641,   642,   643,   644,   645,     0,   813,   646,
     647,   648,   649,   650,   814,   815,   651,   652,   653,   654,
     655,     0,  1944,   817,   656,   235,   657,   658,   659,   660,
     818,   819,   661,   820,   821,   662,   663,   664,   665,   666,
     667,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     708,   668,   669,     0,     0,     0,     0,  1222,  1223,  1224,
       0,  3942,  3943,  1227,  1228,  1229,  1230,    86,    87,    88,
     684,    90,    91,    92,   685,     0,   686,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   687,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   688,   689,     0,     0,
       0,   690,   691,     0,     0,     0,     0,   692,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,   694,     0,
     695,   696,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,  1219,     0,     0,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
       0,   427,   428,   429,     0,     0,     0,     0,     0,     0,
       0,   430,   431,     0,   432,   433,     0,   434,   435,   436,
     135,   136,     0,   138,   139,     0,   437,   438,   439,   440,
     441,     0,     0,   442,   443,   698,   140,   444,     0,   445,
    1220,   447,   448,   144,     0,     0,     0,   449,   450,   451,
     452,     0,   453,   699,     0,   454,   455,   456,   457,   458,
     459,     0,     0,   460,     0,     0,     0,     0,     0,     0,
       0,     0,   461,   462,   463,   464,   701,   465,   155,   156,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,   164,   491,   492,   493,   166,     0,  1221,
       0,   495,   496,   168,   497,     0,   498,     0,   499,     0,
       0,     0,   500,   501,   502,     0,   503,   172,     0,   504,
       0,   505,   506,   703,   507,   508,     0,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,     0,   518,     0,
     175,     0,   519,   520,   521,     0,   176,     0,   177,     0,
     522,     0,     0,   523,     0,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   531,   181,     0,   532,     0,     0,
     533,   534,   535,     0,     0,   536,   537,   538,   539,   540,
     541,   704,   542,   543,   705,   544,   545,   546,   188,     0,
     190,   547,   548,   191,     0,   549,   550,     0,   551,     0,
     194,   552,   195,   553,   554,   555,     0,   556,     0,     0,
     557,   558,   559,     0,     0,   560,   196,     0,   561,     0,
     199,   562,   563,   564,   565,   566,   567,   568,     0,   569,
     200,   570,   201,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   203,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598,     0,   599,   600,   212,   601,
     602,   603,   604,   605,   606,   706,   607,     0,   608,   609,
     610,   611,   612,     0,   613,   217,   614,   615,     0,   616,
     220,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   222,     0,   628,   629,     0,   630,   631,
     632,   633,   634,   635,     0,   224,   225,     0,     0,   637,
     226,   638,   227,     0,   639,   640,   641,   642,   643,   644,
     645,     0,     0,   646,   647,   648,   649,   650,     0,     0,
     651,   652,   653,   654,   655,   707,   234,     0,   656,     0,
     657,   658,   659,   660,     0,     0,   661,     0,     0,   662,
     663,   664,   665,   666,   667,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   708,   668,   669,     0,     0,     0,
       0,  1222,  1223,  1224,     0,  1225,  1226,  1227,  1228,  1229,
    1230,    86,    87,    88,   684,    90,    91,    92,   685,     0,
     686,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   687,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     688,   689,     0,     0,     0,   690,   691,     0,     0,     0,
       0,   692,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,   694,     0,   695,   696,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
    1219,     0,     0,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,     0,   427,   428,   429,     0,     0,
       0,     0,     0,     0,     0,   430,   431,     0,   432,   433,
       0,   434,   435,   436,   135,   136,     0,   138,   139,     0,
     437,   438,   439,   440,   441,     0,     0,   442,   443,   698,
     140,   444,     0,   445,  1317,   447,   448,   144,     0,     0,
       0,   449,   450,   451,   452,     0,   453,   699,     0,   454,
     455,   456,   457,   458,   459,     0,     0,   460,     0,     0,
       0,     0,     0,     0,     0,     0,   461,   462,   463,   464,
     701,   465,   155,   156,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,     0,   484,
     485,   486,     0,   487,   488,   489,   490,   164,   491,   492,
     493,   166,     0,  1318,     0,   495,   496,   168,   497,     0,
     498,     0,   499,     0,     0,     0,   500,   501,   502,     0,
     503,   172,     0,   504,     0,   505,   506,   703,   507,   508,
       0,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,     0,   518,     0,   175,     0,   519,   520,   521,     0,
     176,     0,   177,     0,   522,     0,     0,   523,     0,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   531,   181,
       0,   532,     0,     0,   533,   534,   535,     0,     0,   536,
     537,   538,   539,   540,   541,   704,   542,   543,   705,   544,
     545,   546,   188,     0,   190,   547,   548,   191,     0,   549,
     550,     0,   551,     0,   194,   552,   195,   553,   554,   555,
       0,   556,     0,     0,   557,   558,   559,     0,     0,   560,
     196,     0,   561,     0,   199,   562,   563,   564,   565,   566,
     567,   568,     0,   569,   200,   570,   201,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   203,
     582,   583,   584,   585,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,     0,   597,   598,     0,
     599,   600,   212,   601,   602,   603,   604,   605,   606,   706,
     607,     0,   608,   609,   610,   611,   612,     0,   613,   217,
     614,   615,     0,   616,   220,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   222,     0,   628,
     629,     0,   630,   631,   632,   633,   634,   635,     0,   224,
     225,     0,     0,   637,   226,   638,   227,     0,   639,   640,
     641,   642,   643,   644,   645,     0,     0,   646,   647,   648,
     649,   650,     0,     0,   651,   652,   653,   654,   655,   707,
     234,     0,   656,     0,   657,   658,   659,   660,     0,     0,
     661,     0,     0,   662,   663,   664,   665,   666,   667,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   708,   668,
     669,     0,     0,     0,     0,  1222,  1223,  1224,     0,  1225,
    1226,  1227,  1228,  1229,  1230,    86,    87,    88,   684,    90,
      91,    92,   685,     0,   686,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   687,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   688,   689,     0,     0,     0,   690,
     691,     0,     0,     0,     0,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   694,     0,   695,   696,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,  1219,     0,     0,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,     0,     0,     0,   430,
     431,     0,   432,   433,     0,   434,   435,   436,   135,   136,
       0,   138,   139,     0,   437,   438,   439,   440,   441,     0,
       0,   442,   443,   698,   140,   444,     0,   445,  1374,   447,
     448,   144,     0,     0,     0,   449,   450,   451,   452,     0,
     453,   699,     0,   454,   455,   456,   457,   458,   459,     0,
       0,   460,     0,     0,     0,     0,     0,     0,     0,     0,
     461,   462,   463,   464,   701,   465,   155,   156,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,   164,   491,   492,   493,   166,     0,  1375,     0,   495,
     496,   168,   497,     0,   498,     0,   499,     0,     0,     0,
     500,   501,   502,     0,   503,   172,     0,   504,     0,   505,
     506,   703,   507,  1376,     0,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,     0,   175,     0,
     519,   520,   521,     0,   176,     0,   177,     0,   522,     0,
       0,   523,     0,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,   181,     0,   532,     0,     0,   533,   534,
     535,     0,     0,   536,   537,   538,   539,   540,   541,   704,
     542,   543,   705,   544,   545,   546,   188,     0,   190,   547,
     548,   191,     0,   549,   550,     0,   551,     0,   194,   552,
     195,   553,   554,   555,     0,   556,     0,     0,   557,   558,
     559,     0,     0,   560,   196,     0,   561,     0,   199,   562,
     563,   564,   565,   566,   567,   568,     0,   569,   200,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   203,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,     0,   599,   600,   212,   601,   602,   603,
     604,   605,   606,   706,   607,     0,   608,   609,   610,   611,
     612,     0,   613,   217,   614,   615,     0,   616,   220,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   222,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,   224,   225,     0,     0,   637,   226,   638,
     227,     0,   639,   640,   641,   642,   643,   644,   645,     0,
       0,   646,   647,   648,   649,   650,     0,     0,   651,   652,
     653,   654,   655,   707,   234,     0,   656,     0,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   708,   668,   669,     0,     0,     0,     0,  1222,
    1223,  1224,     0,  1225,  1226,  1227,  1228,  1229,  1230,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,  1219,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,  1911,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,  1912,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,     0,
       0,     0,     0,  1222,  1223,  1224,     0,  1225,  1226,  1227,
    1228,  1229,  1230,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   687,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,  1219,     0,     0,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,     0,     0,     0,   430,   431,     0,
     432,   433,     0,   434,   435,   436,   135,   136,     0,   138,
     139,     0,   437,   438,   439,   440,   441,     0,     0,   442,
     443,   698,   140,   444,     0,   445,   446,   447,   448,   144,
       0,     0,     0,   449,   450,   451,   452,     0,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,     0,   460,
       0,     0,     0,     0,     0,     0,     0,     0,   461,   462,
     463,   464,   701,   465,   155,   156,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,   164,
     491,   492,   493,   166,     0,   494,     0,   495,   496,   168,
     497,     0,   498,     0,   499,     0,     0,     0,   500,   501,
     502,     0,   503,   172,     0,   504,     0,   505,   506,   703,
     507,   508,     0,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,     0,   175,     0,   519,   520,
     521,     0,   176,     0,   177,     0,   522,     0,     0,   523,
       0,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,   181,     0,   532,     0,     0,   533,   534,   535,     0,
       0,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,   188,     0,   190,   547,   548,   191,
       0,   549,   550,     0,   551,     0,   194,   552,   195,   553,
     554,   555,     0,   556,     0,     0,   557,   558,   559,     0,
       0,   560,   196,     0,   561,     0,   199,   562,   563,   564,
     565,   566,   567,   568,     0,   569,   200,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   203,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,     0,   599,   600,   212,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,     0,
     613,   217,   614,   615,     0,   616,   220,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   222,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,   224,   225,     0,     0,   637,   226,   638,   227,     0,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,     0,     0,   651,   652,   653,   654,
     655,   707,   234,     0,   656,     0,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     708,   668,   669,     0,     0,     0,     0,  1222,  1223,  1224,
       0,  1225,  1226,  1227,  1228,  1229,  1230,    86,    87,    88,
     684,    90,    91,    92,   685,     0,   686,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   687,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   688,   689,     0,     0,
       0,   690,   691,     0,     0,     0,     0,   692,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,   694,     0,
     695,   696,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,  1219,     0,     0,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
       0,   427,   428,   429,     0,     0,     0,     0,     0,     0,
       0,   430,   431,     0,   432,   433,     0,   434,   435,   436,
     135,   136,     0,   138,   139,     0,   437,   438,   439,   440,
     441,     0,     0,   442,   443,   698,   140,   444,     0,   445,
    3189,   447,   448,   144,     0,     0,     0,   449,   450,   451,
     452,     0,   453,   699,     0,   454,   455,   456,   457,   458,
     459,     0,     0,   460,     0,     0,     0,     0,     0,     0,
       0,     0,   461,   462,   463,   464,   701,   465,   155,   156,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,   164,   491,   492,   493,   166,     0,  3190,
       0,   495,   496,   168,   497,     0,   498,     0,   499,     0,
       0,     0,   500,   501,   502,     0,   503,   172,     0,   504,
       0,   505,   506,   703,   507,   508,     0,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,     0,   518,     0,
     175,     0,   519,   520,   521,     0,   176,     0,   177,     0,
     522,     0,     0,   523,     0,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   531,   181,     0,   532,     0,     0,
     533,   534,   535,     0,     0,   536,   537,   538,   539,   540,
     541,   704,   542,   543,   705,   544,   545,   546,   188,     0,
     190,   547,   548,   191,     0,   549,   550,     0,   551,     0,
     194,   552,   195,   553,   554,   555,     0,   556,     0,     0,
     557,   558,   559,     0,     0,   560,   196,     0,   561,     0,
     199,   562,   563,   564,   565,   566,   567,   568,     0,   569,
     200,   570,   201,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   203,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598,     0,   599,   600,   212,   601,
     602,   603,   604,   605,   606,   706,   607,     0,   608,   609,
     610,   611,   612,     0,   613,   217,   614,   615,     0,   616,
     220,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   222,     0,   628,   629,     0,   630,   631,
     632,   633,   634,   635,     0,   224,   225,     0,     0,   637,
     226,   638,   227,     0,   639,   640,   641,   642,   643,   644,
     645,     0,     0,   646,   647,   648,   649,   650,     0,     0,
     651,   652,   653,   654,   655,   707,   234,     0,   656,     0,
     657,   658,   659,   660,     0,     0,   661,     0,     0,   662,
     663,   664,   665,   666,   667,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   708,   668,   669,     0,     0,     0,
       0,  1222,  1223,  1224,     0,  1225,  1226,  1227,  1228,  1229,
    1230,    86,    87,    88,   684,    90,    91,    92,   685,     0,
     686,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   687,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     688,   689,     0,     0,     0,   690,   691,     0,     0,     0,
       0,   692,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,   694,     0,   695,   696,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
    1219,     0,     0,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,     0,   427,   428,   429,     0,     0,
       0,     0,     0,     0,     0,   430,   431,     0,   432,   433,
       0,   434,   435,   436,   135,   136,     0,   138,   139,     0,
     437,   438,   439,   440,   441,     0,     0,   442,   443,   698,
     140,   444,     0,   445,   446,   447,   448,   144,     0,     0,
       0,   449,   450,   451,   452,     0,   453,   699,     0,   454,
     455,   456,   457,   458,   459,     0,     0,   460,     0,     0,
       0,     0,     0,     0,     0,     0,   461,   462,   463,   464,
     701,   465,   155,   156,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,     0,   484,
     485,   486,     0,   487,   488,   489,   490,   164,   491,   492,
     493,   166,     0,   494,     0,   495,   496,   168,   497,     0,
     498,     0,   499,     0,     0,     0,   500,   501,   502,     0,
     503,   172,     0,   504,     0,   505,   506,   703,   507,   508,
       0,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,     0,   518,     0,   175,     0,   519,   520,   521,     0,
     176,     0,   177,     0,   522,     0,     0,   523,     0,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   531,   181,
       0,   532,     0,     0,   533,   534,   535,     0,     0,   536,
     537,   538,   539,   540,   541,   704,   542,   543,   705,   544,
     545,   546,   188,     0,   190,   547,   548,   191,     0,   549,
     550,     0,   551,     0,   194,   552,   195,   553,   554,   555,
       0,   556,     0,     0,  4855,   558,   559,     0,     0,   560,
     196,     0,   561,     0,   199,   562,   563,   564,   565,   566,
     567,   568,     0,   569,   200,   570,   201,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   203,
     582,   583,   584,   585,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,     0,   597,   598,     0,
     599,   600,   212,   601,   602,   603,   604,   605,   606,   706,
     607,     0,   608,   609,   610,   611,   612,     0,   613,   217,
     614,   615,     0,   616,   220,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   222,     0,   628,
     629,     0,   630,   631,   632,   633,   634,   635,     0,   224,
     225,     0,     0,   637,   226,   638,   227,     0,   639,   640,
     641,   642,   643,   644,   645,     0,     0,   646,   647,   648,
     649,   650,     0,     0,   651,   652,   653,   654,   655,   707,
     234,     0,   656,     0,   657,   658,   659,   660,     0,     0,
     661,     0,     0,   662,   663,   664,   665,   666,   667,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   708,   668,
     669,     0,     0,     0,     0,  1222,  1223,  1224,     0,  1225,
    1226,  1227,  1228,  1229,  1230,   732,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   733,   104,   105,   687,   734,
       0,   107,   108,   109,   110,   735,   736,   112,   113,   114,
     115,     0,   116,   737,   738,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,   739,
     427,   428,   429,   740,   741,   742,   743,   744,   745,   746,
     430,   431,   747,   432,   433,   133,   434,   435,   436,   135,
     136,   137,   138,   139,   748,   437,   438,   439,   440,   441,
     749,   750,   442,   443,   751,   140,   444,   752,   445,   446,
     447,   448,   144,   753,   145,   754,   449,   450,   451,   452,
     148,   453,   755,   756,   454,   455,   456,   457,   458,   459,
     757,   151,   460,   758,   759,   760,   761,   152,   762,   763,
     764,   461,   462,   463,   464,   701,   465,   155,   156,   466,
     765,   467,   766,   468,   469,   470,   471,   472,   767,   473,
     474,   475,   768,   769,   476,   477,   478,   479,   480,   770,
     481,   482,   483,   771,   484,   485,   486,   772,   487,   488,
     489,   490,   164,   491,   492,   493,   166,   773,   494,   774,
     495,   496,   168,   497,   775,   498,   776,   499,   169,   777,
     170,   500,   501,   502,   778,   503,   172,   779,   504,   780,
     505,   506,   703,   507,   508,   173,   509,   510,   511,   781,
     512,   513,   514,   515,   516,   517,   782,   518,   174,   175,
     783,   519,   520,   521,   784,   176,   785,   177,   786,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,   787,
     529,   530,   788,   531,   181,   182,   532,   183,   789,   533,
     534,   535,   790,   791,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,   189,   190,
     547,   548,   191,   792,   549,   550,   193,   551,   793,   194,
     552,   195,   553,   554,   555,   794,   556,   795,   796,   557,
     558,   559,   797,   798,   560,   196,   197,   561,   198,   199,
     562,   563,   564,   565,   566,   567,   568,   799,   569,   200,
     570,   201,   571,   572,   573,   800,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,   801,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,   802,   597,   598,   210,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,   803,   608,   609,   610,
     611,   612,   804,   613,   217,   614,   615,   219,   616,   220,
     617,   805,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,   806,   628,   629,   807,   630,   631,   632,
     633,   634,   635,   808,   224,   225,   809,   810,   637,   226,
     638,   227,   811,   639,   640,   641,   642,   643,   644,   645,
     812,   813,   646,   647,   648,   649,   650,   814,   815,   651,
     652,   653,   654,   655,   816,   234,   817,   656,   235,   657,
     658,   659,   660,   818,   819,   661,   820,   821,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,     0,   732,    86,    87,
      88,   684,    90,    91,    92,   685,  2315,   686,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   733,   104,   105,
     687,   734,     0,   107,   108,   109,   110,   735,   736,   112,
     113,   114,   115,     0,   116,   737,   738,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,     0,  1926,   137,  1927,  1928,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,  1929,  1930,   444,     0,
     445,   446,   447,   448,     0,     0,   145,     0,   449,   450,
     451,   452,   148,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,     0,     0,     0,   152,
       0,     0,     0,   461,   462,   463,   464,   701,   465,  1931,
    1932,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,  1509,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,     0,   491,   492,   493,     0,     0,
     494,     0,   495,   496,  1933,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,     0,     0,
     504,     0,   505,   506,   703,   507,   508,   173,   509,   510,
     511,  2420,   512,   513,   514,   515,   516,   517,     0,   518,
     174,  2421,     0,   519,   520,   521,  1515,  1934,     0,  1935,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,     0,   182,   532,   183,
       0,   533,   534,   535,     0,     0,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,  1936,
     189,  1937,   547,   548,     0,     0,   549,   550,   193,   551,
       0,     0,   552,  1938,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,  2422,   560,  2423,   197,   561,
     198,     0,   562,   563,   564,   565,   566,   567,   568,     0,
     569,     0,   570,     0,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,  1939,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   706,   607,     0,   608,
     609,   610,   611,   612,     0,   613,  2424,   614,   615,   219,
     616,  1941,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,     0,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,  1942,  1943,     0,     0,
     637,     0,   638,     0,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,     0,  1944,  2425,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   708,   668,   669,     0,     0,
      86,    87,    88,   684,    90,    91,    92,   685,  2426,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
       0,     0,    86,    87,    88,   684,    90,    91,    92,   685,
    1101,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,     0,     0,    86,    87,    88,   684,    90,    91,
      92,   685,  4904,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
     418,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,    45,     0,     0,     0,     0,   419,
     996,   421,   422,   423,   424,   425,   426,   997,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   998,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   999,
     168,   497,     0,   498,     0,  1000,     0,  1001,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,  1002,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,  1003,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,  1004,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,  1005,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
    1006,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,     0,     0,     0,     0,     0,     0,
       0,     0,  1007,  1008,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
     418,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,    45,     0,     0,     0,     0,   419,
     996,   421,   422,   423,   424,   425,   426,   997,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,  1029,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   999,
     168,   497,     0,   498,     0,  1030,     0,  1001,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,  1002,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,  1003,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,  1004,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,  1005,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
    1006,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,     0,     0,     0,     0,     0,     0,
       0,     0,  1007,  1008,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
     418,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,    45,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,  1422,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,  1001,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,  1002,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,     0,     0,     0,     0,     0,     0,
       0,     0,  1007,  1008,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
     418,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,    45,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,  1427,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,  1001,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,  1002,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,     0,     0,     0,     0,     0,     0,
       0,     0,  1007,  1008,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
     418,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,   702,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,  1594,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,     0,     0,     0,  1071,  1595,    86,
      87,    88,   684,    90,    91,    92,   685,  1072,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,  1073,   443,  1045,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,  1074,     0,  1075,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,  1076,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,  1077,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,  1078,   600,
     212,   601,   602,   603,  1079,   605,   606,   706,   607,     0,
     608,   609,   610,   611,  1080,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,  1081,   225,     0,
       0,  1082,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,  1049,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,  1083,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,   732,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   733,
     104,   105,   687,   734,     0,   107,   108,   109,   110,   735,
     736,   112,   113,   114,   115,     0,   116,   737,   738,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,     0,
      45,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,   739,   427,   428,   429,   740,   741,   742,
     743,   744,   745,   746,   430,   431,   747,   432,   433,   133,
     434,   435,   436,   135,   136,   137,   138,   139,   748,   437,
     438,   439,   440,   441,   749,   750,   442,   443,   751,   140,
     444,   752,   445,   446,   447,   448,   144,   753,   145,   754,
     449,   450,   451,   452,   148,   453,   755,   756,   454,   455,
     456,   457,   458,   459,   757,   151,   460,   758,   759,   760,
     761,   152,   762,   763,   764,   461,   462,   463,   464,   701,
     465,   155,   156,   466,   765,   467,   766,   468,   469,   470,
     471,   472,   767,   473,   474,   475,   768,   769,   476,   477,
     478,   479,   480,   770,   481,   482,   483,   771,   484,   485,
     486,   772,   487,   488,   489,   490,   164,   491,   492,   493,
     166,   773,   494,   774,   495,   496,   168,   497,   775,   498,
     776,   499,   169,   777,   170,   500,   501,   502,   778,   503,
     172,   779,   504,   780,   505,   506,   703,   507,   508,   173,
     509,   510,   511,   781,   512,   513,   514,   515,   516,   517,
     782,   518,   174,   175,   783,   519,   520,   521,   784,   176,
     785,   177,   786,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,   787,   529,   530,   788,   531,   181,   182,
     532,   183,   789,   533,   534,   535,   790,   791,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,   189,   190,   547,   548,   191,   792,   549,   550,
     193,   551,   793,   194,   552,   195,   553,   554,   555,   794,
     556,   795,   796,   557,   558,   559,   797,   798,   560,   196,
     197,   561,   198,   199,   562,   563,   564,   565,   566,   567,
     568,   799,   569,   200,   570,   201,   571,   572,   573,   800,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,   801,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,   802,   597,   598,   210,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
     803,   608,   609,   610,   611,   612,   804,   613,   217,   614,
     615,   219,   616,   220,   617,   805,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,   806,   628,   629,
     807,   630,   631,   632,   633,   634,   635,   808,   224,   225,
     809,   810,   637,   226,   638,   227,   811,   639,   640,   641,
     642,   643,   644,   645,   812,   813,   646,   647,   648,   649,
     650,   814,   815,   651,   652,   653,   654,   655,   816,   234,
     817,   656,   235,   657,   658,   659,   660,   818,   819,   661,
     820,   821,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
     732,    86,    87,    88,   684,    90,    91,    92,   685,     0,
     686,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     733,   104,   105,   687,   734,     0,   107,   108,   109,   110,
     735,   736,   112,   113,   114,   115,     0,   116,   737,   738,
     688,   689,     0,     0,     0,   690,   691,     0,     0,     0,
       0,   692,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,   694,     0,   695,   696,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,   739,   427,   428,   429,   740,   741,
     742,   743,   744,   745,   746,   430,   431,   747,   432,   433,
     133,   434,   435,   436,   135,   136,   137,   138,   139,   748,
     437,   438,   439,   440,   441,   749,   750,   442,   443,   751,
     140,   444,   752,   445,   446,   447,   448,   144,   753,   145,
     754,   449,   450,   451,   452,   148,   453,   755,   756,   454,
     455,   456,   457,   458,   459,   757,   151,   460,   758,   759,
     760,   761,   152,   762,   763,   764,   461,   462,   463,   464,
     701,   465,   155,   156,   466,   765,   467,   766,   468,   469,
     470,   471,   472,   767,   473,   474,   475,   768,   769,   476,
     477,   478,   479,   480,   770,   481,   482,   483,   771,   484,
     485,   486,   772,   487,   488,   489,   490,   164,   491,   492,
     493,   166,   773,   494,   774,   495,   496,   168,   497,   775,
     498,   776,   499,   169,   777,   170,   500,   501,   502,   778,
     503,   172,   779,   504,   780,   505,   506,   703,   507,   508,
     173,   509,   510,   511,   781,   512,   513,   514,   515,   516,
     517,   782,   518,   174,   175,   783,   519,   520,   521,   784,
     176,   785,   177,   786,   522,   178,   179,   523,   180,   524,
     525,   526,   527,   528,   787,   529,   530,   788,   531,   181,
     182,   532,   183,   789,   533,   534,   535,   790,   791,   536,
     537,   538,   539,   540,   541,   704,   542,   543,   705,   544,
     545,   546,   188,   189,   190,   547,   548,   191,   792,   549,
     550,   193,   551,   793,   194,   552,   195,   553,   554,   555,
     794,   556,   795,   796,   557,   558,   559,   797,   798,   560,
     196,   197,   561,   198,   199,   562,   563,   564,   565,   566,
     567,   568,   799,   569,   200,   570,   201,   571,   572,   573,
     800,   574,   575,   576,   577,   578,   579,   580,   581,   203,
     582,   583,   584,   585,   801,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,   802,   597,   598,   210,
     599,   600,   212,   601,   602,   603,   604,   605,   606,   706,
     607,   803,   608,   609,   610,   611,   612,   804,   613,   217,
     614,   615,   219,   616,   220,   617,   805,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   222,   806,   628,
     629,   807,   630,   631,   632,   633,   634,   635,   808,   224,
     225,   809,   810,   637,   226,   638,   227,   811,   639,   640,
     641,   642,   643,   644,   645,   812,   813,   646,   647,   648,
     649,   650,   814,   815,   651,   652,   653,   654,   655,   816,
     234,   817,   656,   235,   657,   658,   659,   660,   818,   819,
     661,   820,   821,   662,   663,   664,   665,   666,   667,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   708,   668,
     669,   732,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   733,   104,   105,   687,   734,     0,   107,   108,   109,
     110,   735,   736,   112,   113,   114,   115,     0,   116,   737,
     738,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,  3248,   424,   425,   426,   739,   427,   428,   429,   740,
     741,   742,   743,   744,   745,   746,   430,   431,   747,   432,
     433,   133,   434,   435,   436,   135,   136,   137,   138,   139,
     748,   437,   438,   439,   440,   441,   749,   750,   442,   443,
     751,   140,   444,   752,   445,   446,   447,   448,   144,   753,
     145,   754,   449,   450,   451,   452,   148,   453,   755,   756,
     454,   455,   456,   457,   458,   459,   757,   151,   460,   758,
     759,   760,   761,   152,   762,   763,   764,   461,   462,   463,
     464,   701,   465,   155,   156,   466,   765,   467,   766,   468,
     469,   470,   471,   472,   767,   473,   474,   475,   768,   769,
     476,   477,   478,  3249,   480,   770,   481,   482,   483,   771,
     484,   485,   486,   772,   487,   488,   489,   490,   164,   491,
     492,   493,   166,   773,   494,   774,   495,   496,   168,   497,
     775,   498,   776,   499,   169,   777,   170,   500,   501,   502,
     778,   503,   172,   779,   504,   780,   505,   506,   703,   507,
     508,   173,   509,   510,   511,   781,   512,   513,   514,   515,
     516,   517,   782,   518,   174,   175,   783,   519,   520,   521,
     784,   176,   785,   177,   786,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,   787,   529,   530,   788,   531,
     181,   182,   532,   183,   789,   533,   534,   535,   790,   791,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,   189,   190,   547,   548,   191,   792,
     549,   550,   193,   551,   793,   194,   552,   195,   553,   554,
     555,   794,   556,   795,   796,   557,   558,   559,   797,   798,
     560,   196,   197,   561,   198,   199,   562,   563,   564,   565,
     566,   567,   568,   799,   569,   200,   570,   201,   571,   572,
     573,   800,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,   801,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,   802,   597,   598,
     210,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,   803,   608,   609,   610,   611,   612,   804,  3250,
     217,   614,   615,   219,   616,   220,   617,   805,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,   806,
     628,   629,   807,   630,   631,   632,   633,   634,   635,   808,
     224,   225,   809,   810,   637,   226,   638,   227,   811,   639,
     640,   641,   642,   643,   644,   645,   812,   813,   646,   647,
     648,   649,   650,   814,   815,   651,   652,   653,   654,   655,
     816,   234,   817,   656,   235,   657,   658,   659,   660,   818,
     819,   661,   820,   821,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,   732,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   733,   104,   105,   687,   734,     0,   107,   108,
     109,   110,   735,   736,   112,   113,   114,   115,     0,   116,
     737,   738,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,     0,     0,     0,   430,   431,     0,
     432,   433,   133,   434,   435,   436,   135,   136,   137,   138,
     139,     0,   437,   438,   439,   440,   441,     0,  1495,   442,
     443,   698,   140,   444,     0,   445,   446,   447,   448,  1498,
       0,  1499,     0,   449,   450,   451,   452,   148,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,   151,   460,
       0,  1500,  1501,  1502,  1503,  1504,  1505,  1506,   461,   462,
     463,   464,   701,   465,   155,   156,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,   164,
     491,   492,   493,  1511,     0,   494,     0,   495,   496,   168,
     497,     0,   498,     0,   499,   169,     0,   170,   500,   501,
     502,     0,   503,  1514,     0,   504,     0,   505,   506,   703,
     507,   508,   173,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,   174,   175,     0,   519,   520,
     521,     0,   176,     0,   177,     0,   522,   178,   179,   523,
     180,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,  1518,   182,   532,   183,     0,   533,   534,   535,  1519,
    1520,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,   188,   189,   190,   547,   548,   191,
       0,   549,   550,   193,   551,     0,  1525,   552,   195,   553,
     554,   555,     0,   556,     0,     0,   557,   558,   559,     0,
       0,   560,   196,   197,   561,   198,  1528,   562,   563,   564,
     565,   566,   567,   568,     0,   569,  1529,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   203,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,   210,   599,   600,   212,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,  1532,
     613,   217,   614,   615,   219,   616,   220,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,  1534,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,   224,   225,     0,     0,   637,  1537,   638,  1538,     0,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,  1541,     0,   651,   652,   653,   654,
     655,   707,   234,     0,   656,   235,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,  1543,  1544,  1545,  1546,  1547,  1548,  1549,  1550,
     708,   668,   669,   732,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   733,   104,   105,   687,   734,     0,   107,
     108,   109,   110,   735,   736,   112,   113,   114,   115,     0,
     116,   737,   738,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,   135,   136,   137,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,   145,     0,   449,   450,   451,   452,   148,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,     0,     0,     0,   152,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,   182,   532,   183,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,   189,   190,   547,   548,
     191,     0,   549,   550,   193,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,   197,   561,   198,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,   219,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,   732,    86,    87,    88,   684,    90,
      91,    92,   685,     0,   686,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   733,   104,   105,   687,   734,     0,
     107,   108,   109,   110,   735,   736,   112,   113,   114,   115,
       0,   116,   737,   738,   688,   689,     0,     0,     0,   690,
     691,     0,     0,     0,     0,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   694,     0,   695,   696,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,     0,     0,     0,   430,
     431,     0,   432,   433,   133,   434,   435,   436,   135,   136,
     137,   138,   139,     0,   437,   438,   439,   440,   441,     0,
       0,   442,   443,   698,   140,   444,     0,   445,   446,   447,
     448,   144,     0,   145,     0,   449,   450,   451,   452,   148,
     453,   699,     0,   454,   455,   456,   457,   458,   459,     0,
     151,   460,     0,     0,     0,     0,   152,     0,     0,     0,
     461,   462,   463,   464,   701,   465,   155,   156,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,   164,   491,   492,   493,   166,     0,   494,     0,   495,
     496,   168,   497,     0,   498,     0,   499,   169,     0,   170,
     500,   501,   502,     0,   503,   172,     0,   504,     0,   505,
     506,   703,   507,  1357,   173,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,   174,   175,     0,
     519,   520,   521,     0,   176,     0,   177,     0,   522,   178,
     179,   523,   180,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,   181,   182,   532,   183,     0,   533,   534,
     535,     0,     0,   536,   537,   538,   539,   540,   541,   704,
     542,   543,   705,   544,   545,   546,   188,   189,   190,   547,
     548,   191,     0,   549,   550,   193,   551,     0,   194,   552,
     195,   553,   554,   555,     0,   556,     0,     0,   557,   558,
     559,     0,     0,   560,   196,   197,   561,   198,   199,   562,
     563,   564,   565,   566,   567,   568,     0,   569,   200,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   203,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,   210,   599,   600,   212,   601,   602,   603,
     604,   605,   606,   706,   607,     0,   608,   609,   610,   611,
     612,     0,   613,   217,   614,   615,   219,   616,   220,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   222,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,   224,   225,     0,     0,   637,   226,   638,
     227,     0,   639,   640,   641,   642,   643,   644,   645,     0,
       0,   646,   647,   648,   649,   650,     0,     0,   651,   652,
     653,   654,   655,   707,   234,     0,   656,   235,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   708,   668,   669,   732,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   733,   104,   105,   687,   734,
       0,   107,   108,   109,   110,   735,   736,   112,   113,   114,
     115,     0,   116,   737,   738,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,   135,
     136,   137,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,   145,     0,   449,   450,   451,   452,
     148,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,     0,     0,     0,   152,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,  1367,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,   182,   532,   183,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,   189,   190,
     547,   548,   191,     0,   549,   550,   193,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,   197,   561,   198,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,   219,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,   732,    86,    87,    88,
     684,    90,    91,    92,   685,     0,   686,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   733,   104,   105,   687,
     734,     0,   107,   108,   109,   110,   735,   736,   112,   113,
     114,   115,     0,   116,   737,   738,   688,   689,     0,     0,
       0,   690,   691,     0,     0,     0,     0,   692,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,   694,     0,
     695,   696,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
       0,   427,   428,   429,     0,     0,     0,     0,     0,     0,
       0,   430,   431,     0,   432,   433,   133,   434,   435,   436,
       0,  1926,   137,  1927,  1928,     0,   437,   438,   439,   440,
     441,     0,     0,   442,   443,  1929,  1930,   444,     0,   445,
     446,   447,   448,     0,     0,   145,     0,   449,   450,   451,
     452,   148,   453,   699,     0,   454,   455,   456,   457,   458,
     459,     0,   151,   460,     0,     0,     0,     0,   152,     0,
       0,     0,   461,   462,   463,   464,   701,   465,  1931,  1932,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,  1509,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,     0,   491,   492,   493,     0,     0,   494,
       0,   495,   496,  1933,   497,     0,   498,     0,   499,   169,
       0,   170,   500,   501,   502,     0,   503,     0,     0,   504,
       0,   505,   506,   703,   507,   508,   173,   509,   510,   511,
    2420,   512,   513,   514,   515,   516,   517,     0,   518,   174,
    2421,     0,   519,   520,   521,  1515,  1934,     0,  1935,     0,
     522,   178,   179,   523,   180,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   531,     0,   182,   532,   183,     0,
     533,   534,   535,     0,     0,   536,   537,   538,   539,   540,
     541,   704,   542,   543,   705,   544,   545,   546,  1936,   189,
    1937,   547,   548,     0,     0,   549,   550,   193,   551,     0,
       0,   552,  1938,   553,   554,   555,     0,   556,     0,     0,
     557,   558,   559,     0,     0,   560,  2423,   197,   561,   198,
       0,   562,   563,   564,   565,   566,   567,   568,     0,   569,
       0,   570,     0,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,  1939,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598,   210,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   706,   607,     0,   608,   609,
     610,   611,   612,     0,   613,  2424,   614,   615,   219,   616,
    1941,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,     0,     0,   628,   629,     0,   630,   631,
     632,   633,   634,   635,     0,  1942,  1943,     0,     0,   637,
       0,   638,     0,     0,   639,   640,   641,   642,   643,   644,
     645,     0,     0,   646,   647,   648,   649,   650,     0,     0,
     651,   652,   653,   654,   655,     0,  1944,  2425,   656,   235,
     657,   658,   659,   660,     0,     0,   661,     0,     0,   662,
     663,   664,   665,   666,   667,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   708,   668,   669,   732,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   733,   104,   105,
     687,   734,     0,   107,   108,   109,   110,   735,   736,   112,
     113,   114,   115,     0,   116,   737,   738,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,     0,  1926,   137,  1927,  1928,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,  1929,  1930,   444,     0,
     445,   446,   447,   448,     0,     0,   145,     0,   449,   450,
     451,   452,   148,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,     0,     0,     0,   152,
       0,     0,     0,   461,   462,   463,   464,   701,   465,  1931,
    1932,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,  1509,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,     0,   491,   492,   493,     0,     0,
     494,     0,   495,   496,  1933,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,     0,     0,
     504,     0,   505,   506,   703,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,     0,     0,   519,   520,   521,  1515,  1934,     0,  1935,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,     0,   182,   532,   183,
       0,   533,   534,   535,     0,     0,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,  1936,
     189,  1937,   547,   548,     0,     0,   549,   550,   193,   551,
    2511,     0,   552,  1938,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,     0,   197,   561,
     198,     0,   562,   563,   564,   565,   566,   567,   568,     0,
     569,     0,   570,     0,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,  1939,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   706,   607,     0,   608,
     609,   610,   611,   612,     0,   613,  2424,   614,   615,   219,
     616,  1941,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,     0,     0,   628,   629,  4047,   630,
     631,   632,   633,   634,   635,     0,  1942,  1943,     0,     0,
     637,     0,   638,     0,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,     0,  1944,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   708,   668,   669,   732,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   733,   104,
     105,   687,   734,     0,   107,   108,   109,   110,   735,   736,
     112,   113,   114,   115,     0,   116,   737,   738,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,   133,   434,
     435,   436,     0,  1926,   137,  1927,  1928,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,  1929,  1930,   444,
       0,   445,   446,   447,   448,     0,     0,   145,     0,   449,
     450,   451,   452,   148,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,   151,   460,     0,     0,     0,     0,
     152,     0,     0,     0,   461,   462,   463,   464,   701,   465,
    1931,  1932,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,  1509,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,     0,   491,   492,   493,     0,
       0,   494,     0,   495,   496,  1933,   497,     0,   498,     0,
     499,   169,     0,   170,   500,   501,   502,     0,   503,     0,
       0,   504,     0,   505,   506,   703,   507,   508,   173,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,   174,     0,     0,   519,   520,   521,  1515,  1934,     0,
    1935,     0,   522,   178,   179,   523,   180,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,     0,   182,   532,
     183,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
    1936,   189,  1937,   547,   548,  2571,     0,   549,   550,   193,
     551,     0,     0,   552,  1938,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,     0,   197,
     561,   198,     0,   562,   563,   564,   565,   566,   567,   568,
       0,   569,     0,   570,     0,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,  1939,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,   210,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,  1940,   614,   615,
     219,   616,  1941,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,     0,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,  1942,  1943,     0,
       0,   637,     0,   638,     0,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,     0,  1944,     0,
     656,   235,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   708,   668,   669,   732,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   733,
     104,   105,   687,   734,     0,   107,   108,   109,   110,   735,
     736,   112,   113,   114,   115,     0,   116,   737,   738,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,     0,  1926,   137,  1927,  1928,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,  1929,  1930,
     444,     0,   445,   446,   447,   448,     0,     0,   145,     0,
     449,   450,   451,   452,   148,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,     0,     0,
       0,   152,     0,     0,     0,   461,   462,   463,   464,   701,
     465,  1931,  1932,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
    1509,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,     0,   491,   492,   493,
       0,     0,   494,     0,   495,   496,  1933,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
       0,     0,   504,     0,   505,   506,   703,   507,   508,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,     0,     0,   519,   520,   521,  1515,  1934,
       0,  1935,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,     0,   182,
     532,   183,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,  1936,   189,  1937,   547,   548,  3873,     0,   549,   550,
     193,   551,     0,     0,   552,  1938,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,     0,
     197,   561,   198,     0,   562,   563,   564,   565,   566,   567,
     568,     0,   569,     0,   570,     0,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,  1939,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,  1940,   614,
     615,   219,   616,  1941,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,     0,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,  1942,  1943,
       0,     0,   637,     0,   638,     0,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,     0,  1944,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   708,   668,   669,
     732,    86,    87,    88,   684,    90,    91,    92,   685,     0,
     686,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     733,   104,   105,   687,   734,     0,   107,   108,   109,   110,
     735,   736,   112,   113,   114,   115,     0,   116,   737,   738,
     688,   689,     0,     0,     0,   690,   691,     0,     0,     0,
       0,   692,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,   694,     0,   695,   696,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,     0,   427,   428,   429,     0,     0,
       0,     0,     0,     0,     0,   430,   431,     0,   432,   433,
     133,   434,   435,   436,     0,  1926,   137,  1927,  1928,     0,
     437,   438,   439,   440,   441,     0,     0,   442,   443,  1929,
    1930,   444,     0,   445,   446,   447,   448,     0,     0,   145,
       0,   449,   450,   451,   452,   148,   453,   699,     0,   454,
     455,   456,   457,   458,   459,     0,   151,   460,     0,     0,
       0,     0,   152,     0,     0,     0,   461,   462,   463,   464,
     701,   465,  1931,  1932,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,  1509,   479,   480,     0,   481,   482,   483,     0,   484,
     485,   486,     0,   487,   488,   489,   490,     0,   491,   492,
     493,     0,     0,   494,     0,   495,   496,  1933,   497,     0,
     498,     0,   499,   169,     0,   170,   500,   501,   502,     0,
     503,     0,     0,   504,     0,   505,   506,   703,   507,   508,
     173,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,     0,   518,   174,     0,     0,   519,   520,   521,  1515,
    1934,     0,  1935,     0,   522,   178,   179,   523,   180,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   531,     0,
     182,   532,   183,     0,   533,   534,   535,     0,     0,   536,
     537,   538,   539,   540,   541,   704,   542,   543,   705,   544,
     545,   546,  1936,   189,  1937,   547,   548,     0,     0,   549,
     550,   193,   551,     0,     0,   552,  1938,   553,   554,   555,
       0,   556,     0,     0,   557,   558,   559,     0,     0,   560,
       0,   197,   561,   198,     0,   562,   563,   564,   565,   566,
     567,   568,     0,   569,     0,   570,     0,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,  1939,
     582,   583,   584,   585,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,     0,   597,   598,   210,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   706,
     607,     0,   608,   609,   610,   611,   612,     0,   613,  1940,
     614,   615,   219,   616,  1941,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,     0,     0,   628,
     629,     0,   630,   631,   632,   633,   634,   635,     0,  1942,
    1943,     0,     0,   637,     0,   638,     0,     0,   639,   640,
     641,   642,   643,   644,   645,     0,     0,   646,   647,   648,
     649,   650,     0,     0,   651,   652,   653,   654,   655,     0,
    1944,     0,   656,   235,   657,   658,   659,   660,     0,     0,
     661,     0,     0,   662,   663,   664,   665,   666,   667,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   708,   668,
     669,   732,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   733,   104,   105,   687,   734,     0,   107,   108,   109,
     110,   735,   736,   112,   113,   114,   115,     0,   116,   737,
     738,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,     0,  1926,   137,  1927,  1928,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
    1929,  1930,   444,     0,   445,   446,   447,   448,     0,     0,
     145,     0,   449,   450,   451,   452,   148,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
       0,     0,     0,   152,     0,     0,     0,   461,   462,   463,
     464,   701,   465,  1931,  1932,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,  1509,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,     0,   491,
     492,   493,     0,     0,   494,     0,   495,   496,  1933,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,     0,     0,   504,     0,   505,   506,   703,   507,
     508,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,     0,     0,   519,   520,   521,
    1515,  1934,     0,  1935,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
       0,   182,   532,   183,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,  1936,   189,  1937,   547,   548,     0,     0,
     549,   550,   193,   551,     0,     0,   552,  1938,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,     0,   197,   561,   198,     0,   562,   563,   564,   565,
     566,   567,   568,     0,   569,     0,   570,     0,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
    1939,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
    2424,   614,   615,   219,   616,  1941,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,     0,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
    1942,  1943,     0,     0,   637,     0,   638,     0,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
       0,  1944,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   708,
     668,   669,   732,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   733,   104,   105,   687,   734,     0,   107,   108,
     109,   110,   735,   736,   112,   113,   114,   115,     0,   116,
     737,   738,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,     0,     0,     0,   430,   431,     0,
     432,   433,   133,   434,   435,   436,     0,  1926,   137,  1927,
    1928,     0,   437,   438,   439,   440,   441,     0,     0,   442,
     443,  1929,  1930,   444,     0,   445,   446,   447,   448,     0,
       0,   145,     0,   449,   450,   451,   452,   148,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,   151,   460,
       0,     0,     0,     0,   152,     0,     0,     0,   461,   462,
     463,   464,   701,   465,  1931,  1932,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,  1509,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,     0,
     491,   492,   493,     0,     0,   494,     0,   495,   496,  1933,
     497,     0,   498,     0,   499,   169,     0,   170,   500,   501,
     502,     0,   503,     0,     0,   504,     0,   505,   506,   703,
     507,   508,   173,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,   174,     0,     0,   519,   520,
     521,  1515,  1934,     0,  1935,     0,   522,   178,   179,   523,
     180,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,     0,   182,   532,   183,     0,   533,   534,   535,     0,
       0,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,  1936,   189,  1937,   547,   548,     0,
       0,   549,   550,   193,   551,     0,     0,   552,  1938,   553,
     554,   555,     0,   556,     0,     0,   557,   558,   559,     0,
       0,   560,     0,   197,   561,   198,     0,   562,   563,   564,
     565,   566,   567,   568,     0,   569,     0,   570,     0,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,  1939,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,   210,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,     0,
     613,     0,   614,   615,   219,   616,  1941,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,     0,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,  1942,  1943,     0,     0,   637,     0,   638,     0,     0,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,     0,     0,   651,   652,   653,   654,
     655,     0,  1944,     0,   656,   235,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     708,   668,   669,   732,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   733,   104,   105,   687,   734,     0,   107,
     108,   109,   110,   735,   736,   112,   113,   114,   115,     0,
     116,   737,   738,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,     0,     0,   137,
       0,     0,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,     0,     0,   444,     0,   445,   446,   447,   448,
       0,     0,   145,     0,   449,   450,   451,   452,   148,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,     0,     0,     0,   152,     0,     0,     0,   461,
     462,   463,   464,   701,   465,     0,     0,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
       0,   491,   492,   493,     0,     0,   494,     0,   495,   496,
       0,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,     0,     0,   504,     0,   505,   506,
     703,   507,   508,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,     0,     0,   519,
     520,   521,     0,     0,     0,     0,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,     0,   182,   532,   183,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,     0,   189,     0,   547,   548,
       0,     0,   549,   550,   193,   551,     0,     0,   552,     0,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,     0,   197,   561,   198,     0,   562,   563,
     564,   565,   566,   567,   568,     0,   569,     0,   570,     0,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,     0,   614,   615,   219,   616,     0,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
       0,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,     0,     0,     0,     0,   637,     0,   638,     0,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,     0,     0,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,   739,   427,   428,
     429,   740,   741,   742,   743,   744,   745,   746,   430,   431,
     747,   432,   433,   133,   434,   435,   436,   135,   136,   137,
     138,   139,   748,   437,   438,   439,   440,   441,   749,   750,
     442,   443,     0,   140,   444,   752,   445,   446,   447,   448,
     144,   753,   145,   754,   449,   450,   451,   452,   148,   453,
     755,   756,   454,   455,   456,   457,   458,   459,   757,   151,
     460,     0,   759,   760,   761,   152,   762,   763,   764,   461,
     462,   463,   464,     0,   465,   155,   156,   466,   765,   467,
     766,   468,   469,   470,   471,   472,   767,   473,   474,   475,
     768,   769,   476,   477,   478,   479,   480,   770,   481,   482,
     483,   771,   484,   485,   486,   772,   487,   488,   489,   490,
     164,   491,   492,   493,   166,   773,   494,   774,   495,   496,
     168,   497,   775,   498,   776,   499,   169,   777,   170,   500,
     501,   502,   778,   503,   172,   779,   504,   780,   505,   506,
       0,   507,   508,   173,   509,   510,   511,   781,   512,   513,
     514,   515,   516,   517,   782,   518,   174,   175,     0,   519,
     520,   521,     0,   176,   785,   177,   786,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,   787,   529,   530,
     788,   531,   181,   182,   532,   183,   789,   533,   534,   535,
     790,   791,   536,   537,   538,   539,   540,   541,     0,   542,
     543,     0,   544,   545,   546,   188,   189,   190,   547,   548,
     191,   792,   549,   550,   193,   551,   793,   194,   552,   195,
     553,   554,   555,   794,   556,   795,   796,   557,   558,   559,
     797,   798,   560,   196,   197,   561,   198,   199,   562,   563,
     564,   565,   566,   567,   568,   799,   569,   200,   570,   201,
     571,   572,   573,   800,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,   801,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,   802,
     597,   598,   210,   599,   600,   212,   601,   602,   603,   604,
     605,   606,     0,   607,   803,   608,   609,   610,   611,   612,
     804,   613,   217,   614,   615,   219,   616,   220,   617,   805,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,   806,   628,   629,   807,   630,   631,   632,   633,   634,
     635,   808,   224,   225,     0,   810,   637,   226,   638,   227,
     811,   639,   640,   641,   642,   643,   644,   645,     0,   813,
     646,   647,   648,   649,   650,   814,   815,   651,   652,   653,
     654,   655,     0,   234,   817,   656,   235,   657,   658,   659,
     660,   818,   819,   661,   820,   821,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,     0,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
     418,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,  1163,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
     418,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,  2457,   445,   446,   447,   448,
     144,     0,     0,  2530,   449,   450,   451,   452,     0,   453,
     699,  2458,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,  2531,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,  2460,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,  2461,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,  2462,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,  2457,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,  2458,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,  2531,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,  2460,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,  3420,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,  2461,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,  2462,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,  1060,   425,   426,  1016,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,  1017,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,  1061,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,  1018,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,  1019,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,  1016,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,  1017,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,  3151,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,  1018,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,  1019,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,  2457,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,  2458,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,  2531,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,  2460,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,  2461,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,  2462,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
     418,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,   697,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,   700,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,   702,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,  1016,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,  1017,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,  1018,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,  1019,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,   927,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
     418,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,   928,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   929,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,  2117,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,  2118,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,  2119,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,  2120,   499,     0,     0,     0,  2121,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,  2122,  2123,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,  2124,
     605,   606,   706,   607,     0,  2125,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,  2126,   630,  2127,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,  2128,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,  1017,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,  1018,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,  1019,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,  2106,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,  2402,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
     418,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,  3015,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,  3016,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,  3017,   630,   631,  3018,   633,  3019,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,  3020,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
     418,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,   724,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
     418,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,   702,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
     418,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,   877,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,  1244,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,  1245,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,  1094,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
     418,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,  1349,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,   130,   131,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,  3232,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,  3233,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,  3244,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,  3245,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
     418,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
     418,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   933,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
     418,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   978,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
     418,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,  1033,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,  1094,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,  1214,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,  1215,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,  1597,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,  1772,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,  1094,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,  1820,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,  1821,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,  2014,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,  2106,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,  2402,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,  4194,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,  4208,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,  4435,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,  4437,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,  4439,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,  4858,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,  1042,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,  1044,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,  1045,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
       0,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,  1046,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,  1047,   225,     0,     0,  1048,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,  1049,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,  1088,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,  1045,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
       0,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,  1089,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,  1090,   225,     0,     0,  1091,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,  1049,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,  1108,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,  1239,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,  1254,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,  1308,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,  1322,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,  1362,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,  1381,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,  1383,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,  1385,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,  1388,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,  1394,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,  1608,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
    1073,   443,  1045,   140,  1609,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
       0,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,  1077,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,  1078,   600,   212,   601,   602,   603,  1079,
     605,   606,   706,   607,     0,   608,   609,   610,   611,  1601,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,  1081,   225,     0,     0,  1082,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,  1049,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,  1083,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,  1735,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,  1044,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,  1045,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
       0,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,  1049,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,  1973,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,  2003,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,  2038,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,  2040,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,  2042,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,  2155,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,  2368,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,     0,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,  2772,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,  3162,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,  3235,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,  3237,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,  3344,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
    1073,   443,  1045,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
       0,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,  1077,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,  1078,   600,   212,   601,   602,   603,  1079,
     605,   606,   706,   607,     0,   608,   609,   610,   611,  1601,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,  1081,   225,     0,     0,  1082,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,  1049,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,  1083,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,  1045,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
       0,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,  1049,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
    1073,   443,  1045,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
       0,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,  1077,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,  1078,   600,   212,   601,   602,   603,  1079,
     605,   606,   706,   607,     0,   608,   609,   610,   611,  1601,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,  2448,   632,   633,   634,
     635,     0,  1081,   225,     0,     0,  1082,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,  1049,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,  1083,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
    1073,   443,  1045,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
       0,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,  1077,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,  1078,   600,   212,   601,   602,   603,  2515,
     605,   606,   706,   607,     0,   608,   609,   610,   611,  2516,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,  1081,   225,     0,     0,  2517,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,  1049,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,  1083,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
    1073,   443,  1045,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
       0,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,  1077,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,  1078,   600,   212,   601,   602,   603,  1079,
     605,   606,   706,   607,     0,   608,   609,   610,   611,  2516,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,  1081,   225,     0,     0,  2517,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,  1049,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,  1083,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,     0,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
       0,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,     0,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,    86,    87,    88,     0,    90,    91,
      92,     0,     0,     0,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,     0,     0,     0,   107,
     108,   109,   110,     0,   111,   112,   113,   114,   115, -2444,
     116,   117,   118,     0,     0,     0,     0,     0,   121,   122,
       0,     0,     0,     0,   123,     0,     0,     0,     0,     0,
       0,     0,     0,   124,     0,   125,     0,   126,   127,    35,
       0,   413,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   133,     0,     0,     0,   135,   136,   137,
     138,   139,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   140,     0,     0,     0,     0,     0,     0,
     144,     0,   145,     0,     0,     0,     0,     0,   148,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   151,
       0,     0,     0,     0,     0,   152,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   155,   156,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   162,     0,     0,     0,     0,     0,     0,     0,
     164,     0,     0,     0,   166,     0,     0,     0,     0,     0,
     168,     0,     0,     0,     0,     0,   169,     0,   170,     0,
       0,     0,     0,     0,   172,     0,     0,     0,     0,     0,
       0,     0,     0,   173,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   174,   175,     0,     0,
       0,     0,     0,   176,     0,   177,     0,     0,   178,   179,
       0,   180,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   181,   182,     0,   183,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   188,   189,   190,     0,     0,
     191,     0,     0,     0,   193,     0,     0,   194,     0,   195,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   196,   197,     0,   198,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,     0,   201,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   203,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   210,     0,     0,   212,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   217,     0,     0,   219,     0,   220,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     222,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   224,   225,     0,     0,     0,   226,     0,   227,
       0,     0,     0,     0,     0,     0,     0,     0,   230,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   234,     0,     0,   235,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    86,    87,    88,     0,    90,    91,    92,     0,     0,
       0,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,     0,     0,     0,   107,   108,   109,   110,
       0,   111,   112,   113,   114,   115, -2445,   116,   117,   118,
       0,     0,     0,     0,     0,   121,   122,     0,     0,     0,
       0,   123,     0,     0,     0,     0,     0,     0,     0,     0,
     124,     0,   125,     0,   126,   127,    35,     0,  1158,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     133,     0,     0,     0,   135,   136,   137,   138,   139,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     140,     0,     0,     0,     0,     0,     0,   144,     0,   145,
       0,     0,     0,     0,     0,   148,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   151,     0,     0,     0,
       0,     0,   152,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   155,   156,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   162,
       0,     0,     0,     0,     0,     0,     0,   164,     0,     0,
       0,   166,     0,     0,     0,     0,     0,   168,     0,     0,
       0,     0,     0,   169,     0,   170,     0,     0,     0,     0,
       0,   172,     0,     0,     0,     0,     0,     0,     0,     0,
     173,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   174,   175,     0,     0,     0,     0,     0,
     176,     0,   177,     0,     0,   178,   179,     0,   180,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   181,
     182,     0,   183,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   188,   189,   190,     0,     0,   191,     0,     0,
       0,   193,     0,     0,   194,     0,   195,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     196,   197,     0,   198,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,     0,   201,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   203,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   210,
       0,     0,   212,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   217,
       0,     0,   219,     0,   220,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,     0,     0,     0,   226,     0,   227,     0,     0,     0,
       0,     0,     0,     0,     0,   230,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     234,     0,     0,   235,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    86,    87,
      88,     0,    90,    91,    92,     0,     0,     0,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
       0,     0,     0,   107,   108,   109,   110,     0,   111,   112,
     113,   114,   115,     0,   116,   117,   118,     0,     0,     0,
       0,     0,   121,   122,     0,     0,     0,     0,   123,     0,
       0,     0,     0,     0,     0,     0,     0,   124,     0,   125,
       0,   126,     0,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   133,     0,     0,
       0,   135,   136,   137,   138,   139,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   140,     0,     0,
       0,     0,     0,     0,   144,     0,   145,     0,     0,     0,
       0,     0,   148,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   151,     0,     0,     0,     0,     0,   152,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   155,
     156,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   162,     0,     0,     0,
       0,     0,     0,     0,   164,     0,     0,     0,   166,     0,
       0,     0,     0,     0,   168,     0,     0,     0,     0,     0,
     169,     0,   170,     0,     0,     0,     0,     0,   172,     0,
       0,     0,     0,     0,     0,     0,     0,   173,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     174,   175,     0,     0,     0,     0,     0,   176,     0,   177,
       0,     0,   178,   179,     0,   180,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   181,   182,     0,   183,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   188,
     189,   190,     0,     0,   191,     0,     0,     0,   193,     0,
       0,   194,     0,   195,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   196,   197,     0,
     198,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,     0,   201,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   203,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   210,     0,     0,   212,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   217,     0,     0,   219,
       0,   220,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   222,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,   225,     0,     0,
       0,   226,     0,   227,     0,     0,     0,     0,     0,     0,
       0,     0,   230,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   234,     0,     0,
     235,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    86,    87,    88,     0,    90,
      91,    92,     0,     0,     0,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,     0,     0,     0,
     107,   108,   109,   110,     0,   111,   112,   113,   114,   115,
       0,   116,   117,   118,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   133,     0,     0,     0,   135,   136,
     137,   138,   139,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   140,     0,     0,     0,     0,     0,
       0,   144,     0,   145,     0,     0,     0,     0,     0,   148,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     151,     0,     0,     0,     0,     0,   152,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   155,   156,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   162,     0,     0,     0,     0,     0,     0,
       0,   164,     0,     0,     0,   166,     0,     0,     0,     0,
       0,   168,     0,     0,     0,     0,     0,   169,     0,   170,
       0,     0,     0,     0,     0,   172,     0,     0,     0,     0,
       0,     0,     0,     0,   173,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   174,   175,     0,
       0,     0,     0,     0,   176,     0,   177,     0,     0,   178,
     179,     0,   180,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   181,   182,     0,   183,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   188,   189,   190,     0,
       0,   191,     0,     0,     0,   193,     0,     0,   194,     0,
     195,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   196,   197,     0,   198,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,     0,
     201,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   203,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   210,     0,     0,   212,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   217,     0,     0,   219,     0,   220,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   224,   225,     0,     0,     0,   226,     0,
     227,     0,     0,     0,     0,     0,     0,     0,     0,   230,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   234,     0,     0,   235,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    35,   418,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,     0,     0,     0,    45,     0,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
       0,   427,   428,   429,     0,     0,     0,     0,     0,     0,
       0,   430,   431,     0,   432,   433,   133,   434,   435,   436,
     135,   136,   137,   138,   139,     0,   437,   438,   439,   440,
     441,     0,     0,   442,   443,     0,   140,   444,     0,   445,
     446,   447,   448,   144,     0,   145,     0,   449,   450,   451,
     452,   148,   453,     0,     0,   454,   455,   456,   457,   458,
     459,     0,   151,   460,     0,     0,     0,     0,   152,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   155,   156,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,   164,   491,   492,   493,   166,  2082,   494,
       0,   495,   496,   168,   497,     0,   498,     0,   499,   169,
       0,   170,   500,   501,   502,     0,   503,   172,     0,   504,
       0,   505,   506,     0,   507,   508,   173,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,     0,   518,   174,
     175,     0,   519,   520,   521,     0,   176,     0,   177,     0,
     522,   178,   179,   523,   180,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   531,   181,   182,   532,   183,     0,
     533,   534,   535,     0,     0,   536,   537,   538,   539,   540,
     541,     0,   542,   543,     0,   544,   545,   546,   188,   189,
     190,   547,   548,   191,     0,   549,   550,   193,   551,     0,
     194,   552,   195,   553,   554,   555,     0,   556,  2083,     0,
     557,   558,   559,     0,     0,   560,   196,   197,   561,   198,
     199,   562,   563,   564,   565,   566,   567,   568,     0,   569,
     200,   570,   201,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   203,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598,   210,   599,   600,   212,   601,
     602,   603,   604,   605,   606,     0,   607,     0,   608,   609,
     610,   611,   612,     0,   613,   217,   614,   615,   219,   616,
     220,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   222,     0,   628,   629,     0,   630,   631,
     632,   633,   634,   635,     0,   224,   225,     0,     0,   637,
     226,   638,   227,  2084,   639,   640,   641,   642,   643,   644,
     645,     0,     0,   646,   647,   648,   649,   650,     0,     0,
     651,   652,   653,   654,   655,     0,   234,     0,   656,   235,
     657,   658,   659,   660,     0,     0,   661,     0,     0,   662,
     663,   664,   665,   666,   667,   237,   238,   239,   240,   241,
     242,   243,   244,   245,     0,   668,   669,     0,     0,     0,
      35,     0,     0,     0,     0,  1692,  1693,  4704,    41,    42,
       0,     0,     0,     0,  4705,     0,     0,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,   130,   131,     0,     0,     0,     0,     0,   430,
     431,     0,   432,   433,   133,   434,   435,   436,   135,   136,
     137,   138,   139,     0,   437,   438,   439,   440,   441,     0,
       0,   442,   443,     0,   140,   444,     0,   445,   446,   447,
     448,   144,     0,   145,     0,   449,   450,   451,   452,   148,
     453,     0,     0,   454,   455,   456,   457,   458,   459,     0,
     151,   460,     0,     0,     0,     0,   152,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   155,   156,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,   164,   491,   492,   493,   166,     0,   494,     0,   495,
     496,   168,   497,     0,   498,     0,   499,   169,     0,   170,
     500,   501,   502,     0,   503,   172,     0,   504,     0,   505,
     506,     0,   507,   508,   173,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,   174,   175,     0,
     519,   520,   521,     0,   176,     0,   177,     0,   522,   178,
     179,   523,   180,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,   181,   182,   532,   183,     0,   533,   534,
     535,     0,     0,   536,   537,   538,   539,   540,   541,     0,
     542,   543,     0,   544,   545,   546,   188,   189,   190,   547,
     548,   191,     0,   549,   550,   193,   551,     0,   194,   552,
     195,   553,   554,   555,     0,   556,     0,     0,   557,   558,
     559,     0,     0,   560,   196,   197,   561,   198,   199,   562,
     563,   564,   565,   566,   567,   568,     0,   569,   200,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   203,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,   210,   599,   600,   212,   601,   602,   603,
     604,   605,   606,     0,   607,   215,   608,   609,   610,   611,
     612,     0,   613,   217,   614,   615,   219,   616,   220,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   222,     0,   628,   629,   223,   630,   631,   632,   633,
     634,   635,     0,   224,   225,     0,     0,   637,   226,   638,
     227,     0,   639,   640,   641,   642,   643,   644,   645,     0,
       0,   646,   647,   648,   649,   650,     0,     0,   651,   652,
     653,   654,   655,   233,   234,     0,   656,   235,   657,   658,
     659,   660,     0,     0,   661,     0,   236,   662,   663,   664,
     665,   666,   667,   237,   238,   239,   240,   241,   242,   243,
     244,   245,     0,   668,   669,    35,   418,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,     0,
      45,     0,   246,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,   135,   136,   137,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,     0,   140,
     444,     0,   445,   446,   447,   448,   144,     0,   145,     0,
     449,   450,   451,   452,   148,   453,     0,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,     0,     0,
       0,   152,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   155,   156,   466,  2303,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,  2082,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,     0,   507,   508,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,   182,
     532,   183,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,     0,   542,   543,     0,   544,   545,
     546,   188,   189,   190,   547,   548,   191,     0,   549,   550,
     193,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,  2083,     0,   557,   558,   559,     0,     0,   560,   196,
     197,   561,   198,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,   212,   601,   602,   603,   604,   605,   606,     0,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,   219,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,  2084,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,     0,   234,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,     0,   668,   669,
       0,     0,     0,     0,     0,     0,    35,   418,  1692,  1693,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,     0,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,     0,   427,   428,   429,     0,     0,
       0,     0,     0,     0,     0,   430,   431,     0,   432,   433,
     133,   434,   435,   436,   135,   136,   137,   138,   139,     0,
     437,   438,   439,   440,   441,     0,     0,   442,   443,     0,
     140,   444,     0,   445,   446,   447,   448,   144,     0,   145,
       0,   449,   450,   451,   452,   148,   453,     0,     0,   454,
     455,   456,   457,   458,   459,     0,   151,   460,     0,     0,
       0,     0,   152,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   155,   156,   466,  2308,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,     0,   484,
     485,   486,     0,   487,   488,   489,   490,   164,   491,   492,
     493,   166,  2082,   494,     0,   495,   496,   168,   497,     0,
     498,     0,   499,   169,     0,   170,   500,   501,   502,     0,
     503,   172,     0,   504,     0,   505,   506,     0,   507,   508,
     173,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,     0,   518,   174,   175,     0,   519,   520,   521,     0,
     176,     0,   177,     0,   522,   178,   179,   523,   180,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   531,   181,
     182,   532,   183,     0,   533,   534,   535,     0,     0,   536,
     537,   538,   539,   540,   541,     0,   542,   543,     0,   544,
     545,   546,   188,   189,   190,   547,   548,   191,     0,   549,
     550,   193,   551,     0,   194,   552,   195,   553,   554,   555,
       0,   556,  2083,     0,   557,   558,   559,     0,     0,   560,
     196,   197,   561,   198,   199,   562,   563,   564,   565,   566,
     567,   568,     0,   569,   200,   570,   201,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   203,
     582,   583,   584,   585,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,     0,   597,   598,   210,
     599,   600,   212,   601,   602,   603,   604,   605,   606,     0,
     607,     0,   608,   609,   610,   611,   612,     0,   613,   217,
     614,   615,   219,   616,   220,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   222,     0,   628,
     629,     0,   630,   631,   632,   633,   634,   635,     0,   224,
     225,     0,     0,   637,   226,   638,   227,  2084,   639,   640,
     641,   642,   643,   644,   645,     0,     0,   646,   647,   648,
     649,   650,     0,     0,   651,   652,   653,   654,   655,     0,
     234,     0,   656,   235,   657,   658,   659,   660,     0,     0,
     661,     0,     0,   662,   663,   664,   665,   666,   667,   237,
     238,   239,   240,   241,   242,   243,   244,   245,     0,   668,
     669,     0,     0,     0,     0,     0,     0,    35,   418,  1692,
    1693,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,   135,   136,   137,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
       0,   140,   444,     0,   445,   446,   447,   448,   144,     0,
     145,     0,   449,   450,   451,   452,   148,   453,     0,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
       0,     0,     0,   152,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,  2082,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,     0,   507,
     508,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,   182,   532,   183,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,     0,   542,   543,     0,
     544,   545,   546,   188,   189,   190,   547,   548,   191,     0,
     549,   550,   193,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,  2083,     0,   557,   558,   559,     0,     0,
     560,   196,   197,   561,   198,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,   212,   601,   602,   603,   604,   605,   606,
       0,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,   219,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,  2084,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
       0,   234,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,     0,
     668,   669,     0,     0,     0,     0,     0,     0,    35,     0,
    1692,  1693,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,     0,     0,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,     0,     0,     0,   430,   431,     0,
     432,   433,   133,   434,   435,   436,   135,   136,   137,   138,
     139,     0,   437,   438,   439,   440,   441,     0,     0,   442,
     443,     0,   140,   444,     0,   445,   446,   447,   448,   144,
       0,   145,     0,   449,   450,   451,   452,   148,   453,     0,
       0,   454,   455,   456,   457,   458,   459,     0,   151,   460,
       0,     0,     0,     0,   152,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   155,   156,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,   164,
     491,   492,   493,   166,  2082,   494,     0,   495,   496,   168,
     497,     0,   498,     0,   499,   169,     0,   170,   500,   501,
     502,     0,   503,   172,     0,   504,     0,   505,   506,     0,
     507,   508,   173,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,   174,   175,     0,   519,   520,
     521,     0,   176,     0,   177,     0,   522,   178,   179,   523,
     180,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,   181,   182,   532,   183,     0,   533,   534,   535,     0,
       0,   536,   537,   538,   539,   540,   541,     0,   542,   543,
       0,   544,   545,   546,   188,   189,   190,   547,   548,   191,
       0,   549,   550,   193,   551,     0,   194,   552,   195,   553,
     554,   555,     0,   556,  2083,     0,   557,   558,   559,     0,
       0,   560,   196,   197,   561,   198,   199,   562,   563,   564,
     565,   566,   567,   568,     0,   569,   200,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   203,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,   210,   599,   600,   212,   601,   602,   603,   604,   605,
     606,     0,   607,     0,   608,   609,   610,   611,   612,     0,
     613,   217,   614,   615,   219,   616,   220,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   222,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,   224,   225,     0,     0,   637,   226,   638,   227,  2084,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,     0,     0,   651,   652,   653,   654,
     655,     0,   234,     0,   656,   235,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,   238,   239,   240,   241,   242,   243,   244,   245,
       0,   668,   669,    35,   418,     0,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,   136,   137,   138,   139,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,     0,   140,   444,     0,
     445,   446,   447,   448,   144,     0,   145,     0,   449,   450,
     451,   452,   148,   453,     0,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,     0,     0,     0,   152,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   155,
     156,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,   166,     0,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,   172,     0,
     504,     0,   505,   506,     0,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,   181,   182,   532,   183,
       0,   533,   534,   535,     0,     0,   536,   537,   538,   539,
     540,   541,     0,   542,   543,     0,   544,   545,   546,   188,
     189,   190,   547,   548,   191,     0,   549,   550,   193,   551,
       0,   194,   552,   195,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,   196,   197,   561,
     198,   199,   562,   563,   564,   565,   566,   567,   568,     0,
     569,   200,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,   212,
     601,   602,   603,   604,   605,   606,     0,   607,     0,   608,
     609,   610,   611,   612,     0,   613,   217,   614,   615,   219,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   222,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,   224,   225,   636,     0,
     637,   226,   638,   227,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,     0,   234,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,   238,   239,   240,
     241,   242,   243,   244,   245,     0,   668,   669,    35,   418,
       0,     0,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,     0,     0,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,     0,     0,     0,   430,   431,     0,
     432,   433,   133,   434,   435,   436,   135,   136,   137,   138,
     139,     0,   437,   438,   439,   440,   441,     0,     0,   442,
     443,     0,   140,   444,     0,   445,   446,   447,   448,   144,
       0,   145,     0,   449,   450,   451,   452,   148,   453,     0,
       0,   454,   455,   456,   457,   458,   459,     0,   151,   460,
       0,     0,     0,     0,   152,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   155,   156,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,   164,
     491,   492,   493,   166,     0,   494,     0,   495,   496,   168,
     497,     0,   498,     0,   499,   169,     0,   170,   500,   501,
     502,     0,   503,   172,     0,   504,     0,   505,   506,     0,
     507,   508,   173,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,   174,   175,     0,   519,   520,
     521,     0,   176,     0,   177,     0,   522,   178,   179,   523,
     180,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,   181,   182,   532,   183,     0,   533,   534,   535,     0,
       0,   536,   537,   538,   539,   540,   541,     0,   542,   543,
       0,   544,   545,   546,   188,   189,   190,   547,   548,   191,
       0,   549,   550,   193,   551,     0,   194,   552,   195,   553,
     554,   555,     0,   556,     0,     0,   557,   558,   559,     0,
       0,   560,   196,   197,   561,   198,   199,   562,   563,   564,
     565,   566,   567,   568,     0,   569,   200,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   203,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,   210,   599,   600,   212,   601,   602,   603,   604,   605,
     606,     0,   607,     0,   608,   609,   610,   611,   612,     0,
     613,   217,   614,   615,   219,   616,   220,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   222,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,   224,   225,     0,     0,   637,   226,   638,   227,     0,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,     0,     0,   651,   652,   653,   654,
     655,     0,   234,     0,   656,   235,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      35,   668,   669,     0,    37,    38,    39,    40,    41,    42,
       0,    44,     0,     0,     0,     0,     0,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,     0,     0,     0,   430,
     431,     0,   432,   433,   133,   434,   435,   436,   135,   136,
     137,   138,   139,     0,   437,   438,   439,   440,   441,     0,
       0,   442,   443,     0,   140,   444,     0,   445,   446,   447,
     448,   144,     0,   145,     0,   449,   450,   451,   452,   148,
     453,     0,     0,   454,   455,   456,   457,   458,   459,     0,
     151,   460,     0,     0,     0,     0,   152,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   155,   156,   466,  2288,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,   164,   491,   492,   493,   166,     0,   494,     0,   495,
     496,   168,   497,     0,   498,     0,   499,   169,     0,   170,
     500,   501,   502,     0,   503,   172,     0,   504,     0,   505,
     506,     0,   507,   508,   173,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,   174,   175,     0,
     519,   520,   521,     0,   176,     0,   177,     0,   522,   178,
     179,   523,   180,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,   181,   182,   532,   183,     0,   533,   534,
     535,     0,     0,   536,   537,   538,   539,   540,   541,     0,
     542,   543,     0,   544,   545,   546,   188,   189,   190,   547,
     548,   191,     0,   549,   550,   193,   551,     0,   194,   552,
     195,   553,   554,   555,     0,   556,     0,     0,   557,   558,
     559,     0,     0,   560,   196,   197,   561,   198,   199,   562,
     563,   564,   565,   566,   567,   568,     0,   569,   200,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   203,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,   210,   599,   600,   212,   601,   602,   603,
     604,   605,   606,     0,   607,     0,   608,   609,   610,   611,
     612,     0,   613,   217,   614,   615,   219,   616,   220,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   222,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,   224,   225,     0,     0,   637,   226,   638,
     227,     0,   639,   640,   641,   642,   643,   644,   645,     0,
       0,   646,   647,   648,   649,   650,     0,     0,   651,   652,
     653,   654,   655,     0,   234,     0,   656,   235,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    35,   668,   669,     0,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
       0,   427,   428,   429,     0,     0,     0,     0,     0,     0,
       0,   430,   431,     0,   432,   433,   133,   434,   435,   436,
     135,   136,   137,   138,   139,     0,   437,   438,   439,   440,
     441,     0,     0,   442,   443,     0,   140,   444,     0,   445,
     446,   447,   448,   144,     0,   145,     0,   449,   450,   451,
     452,   148,   453,     0,     0,   454,   455,   456,   457,   458,
     459,     0,   151,   460,     0,     0,     0,     0,   152,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   155,   156,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,   164,   491,   492,   493,   166,     0,   494,
       0,   495,   496,   168,   497,     0,   498,     0,   499,   169,
       0,   170,   500,   501,   502,     0,   503,   172,     0,   504,
       0,   505,   506,     0,   507,   508,   173,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,     0,   518,   174,
     175,     0,   519,   520,   521,     0,   176,     0,   177,     0,
     522,   178,   179,   523,   180,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   531,   181,   182,   532,   183,     0,
     533,   534,   535,     0,     0,   536,   537,   538,   539,   540,
     541,     0,   542,   543,     0,   544,   545,   546,   188,   189,
     190,   547,   548,   191,     0,   549,   550,   193,   551,     0,
     194,   552,   195,   553,   554,   555,     0,   556,     0,     0,
     557,   558,   559,     0,     0,   560,   196,   197,   561,   198,
     199,   562,   563,   564,   565,   566,   567,   568,     0,   569,
     200,   570,   201,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   203,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598,   210,   599,   600,   212,   601,
     602,   603,   604,   605,   606,     0,   607,     0,   608,   609,
     610,   611,   612,     0,   613,   217,   614,   615,   219,   616,
     220,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   222,     0,   628,   629,     0,   630,   631,
     632,   633,   634,   635,     0,   224,   225,     0,     0,   637,
     226,   638,   227,     0,   639,   640,   641,   642,   643,   644,
     645,     0,     0,   646,   647,   648,   649,   650,     0,     0,
     651,   652,   653,   654,   655,     0,   234,     0,   656,   235,
     657,   658,   659,   660,     0,     0,   661,     0,     0,   662,
     663,   664,   665,   666,   667,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    35,   668,   669,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,   133,   434,
     435,   436,   135,   136,   137,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,     0,   140,   444,
       0,   445,   446,   447,   448,   144,     0,   145,     0,   449,
     450,   451,   452,   148,   453,     0,     0,   454,   455,   456,
     457,   458,   459,     0,   151,   460,     0,     0,     0,     0,
     152,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,   169,     0,   170,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,     0,   507,  2062,   173,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,   174,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,   178,   179,   523,   180,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,   182,   532,
     183,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,     0,   542,   543,     0,   544,   545,   546,
     188,   189,   190,   547,   548,   191,     0,   549,   550,   193,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,   197,
     561,   198,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,   210,   599,   600,
     212,   601,   602,   603,   604,   605,   606,     0,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
     219,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,     0,   234,     0,
     656,   235,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    35,   668,   669,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,     0,   427,   428,   429,     0,     0,
       0,     0,     0,     0,     0,   430,   431,     0,   432,   433,
     133,   434,   435,   436,   135,   136,   137,   138,   139,     0,
     437,   438,   439,   440,   441,     0,     0,   442,   443,     0,
     140,   444,     0,   445,   446,   447,   448,   144,     0,   145,
       0,   449,   450,   451,   452,   148,   453,     0,     0,   454,
     455,   456,   457,   458,   459,     0,   151,   460,     0,     0,
       0,     0,   152,     0,     0,  2632,   461,   462,   463,   464,
       0,   465,   155,   156,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,     0,   484,
     485,   486,     0,   487,   488,   489,   490,   164,   491,   492,
     493,   166,     0,   494,     0,   495,   496,   168,   497,     0,
     498,     0,   499,   169,     0,   170,   500,   501,   502,     0,
     503,   172,     0,   504,     0,   505,   506,     0,   507,   508,
     173,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,     0,   518,   174,   175,     0,   519,   520,   521,     0,
     176,     0,   177,     0,   522,   178,   179,   523,   180,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   531,   181,
     182,   532,   183,     0,   533,   534,   535,     0,     0,   536,
     537,   538,   539,   540,   541,     0,   542,   543,     0,   544,
     545,   546,   188,   189,   190,   547,   548,   191,     0,   549,
     550,   193,   551,     0,   194,   552,   195,   553,   554,   555,
       0,   556,     0,     0,   557,   558,   559,     0,     0,   560,
     196,   197,   561,   198,   199,   562,   563,   564,   565,   566,
     567,   568,     0,   569,   200,   570,   201,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   203,
     582,   583,   584,   585,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,     0,   597,   598,   210,
     599,   600,   212,   601,   602,   603,   604,   605,   606,     0,
     607,     0,   608,   609,   610,   611,   612,     0,   613,   217,
     614,   615,   219,   616,   220,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   222,     0,   628,
     629,     0,   630,   631,   632,   633,   634,   635,     0,   224,
     225,     0,     0,   637,   226,   638,   227,     0,   639,   640,
     641,   642,   643,   644,   645,     0,     0,   646,   647,   648,
     649,   650,  2633,     0,   651,   652,   653,   654,   655,     0,
     234,     0,   656,   235,   657,   658,   659,   660,     0,     0,
     661,     0,     0,   662,   663,   664,   665,   666,   667,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    35,   668,
     669,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
     130,   131,     0,     0,     0,     0,     0,   430,   431,     0,
     432,   433,   133,   434,   435,   436,   135,   136,   137,   138,
     139,     0,   437,   438,   439,   440,   441,     0,     0,   442,
     443,     0,   140,   444,     0,   445,   446,   447,   448,   144,
       0,   145,     0,   449,   450,   451,   452,   148,   453,     0,
       0,   454,   455,   456,   457,   458,   459,     0,   151,   460,
       0,     0,     0,     0,   152,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   155,   156,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,   164,
     491,   492,   493,   166,     0,   494,     0,   495,   496,   168,
     497,     0,   498,     0,   499,   169,     0,   170,   500,   501,
     502,     0,   503,   172,     0,   504,     0,   505,   506,     0,
     507,   508,   173,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,   174,   175,     0,   519,   520,
     521,     0,   176,     0,   177,     0,   522,   178,   179,   523,
     180,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,   181,   182,   532,   183,     0,   533,   534,   535,     0,
       0,   536,   537,   538,   539,   540,   541,     0,   542,   543,
       0,   544,   545,   546,   188,   189,   190,   547,   548,   191,
       0,   549,   550,   193,   551,     0,   194,   552,   195,   553,
     554,   555,     0,   556,     0,     0,   557,   558,   559,     0,
       0,   560,   196,   197,   561,   198,   199,   562,   563,   564,
     565,   566,   567,   568,     0,   569,   200,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   203,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,   210,   599,   600,   212,   601,   602,   603,   604,   605,
     606,     0,   607,     0,   608,   609,   610,   611,   612,     0,
     613,   217,   614,   615,   219,   616,   220,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   222,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,   224,   225,     0,     0,   637,   226,   638,   227,     0,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,     0,     0,   651,   652,   653,   654,
     655,     0,   234,     0,   656,   235,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      35,   668,   669,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,  1235,   427,
     428,   429,     0,     0,     0,     0,     0,     0,     0,   430,
     431,     0,   432,   433,   133,   434,   435,   436,   135,   136,
     137,   138,   139,     0,   437,   438,   439,   440,   441,     0,
       0,   442,   443,     0,   140,   444,     0,   445,   446,   447,
     448,   144,     0,   145,     0,   449,   450,   451,   452,   148,
     453,     0,     0,   454,   455,   456,   457,   458,   459,     0,
     151,   460,     0,     0,     0,     0,   152,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   155,   156,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,   164,   491,   492,   493,   166,     0,   494,     0,   495,
     496,   168,   497,     0,   498,     0,   499,   169,     0,   170,
     500,   501,   502,     0,   503,   172,     0,   504,     0,   505,
     506,     0,   507,   508,   173,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,   174,   175,     0,
     519,   520,   521,     0,   176,     0,   177,     0,   522,   178,
     179,   523,   180,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,   181,   182,   532,   183,     0,   533,   534,
     535,     0,     0,   536,   537,   538,   539,   540,   541,     0,
     542,   543,     0,   544,   545,   546,   188,   189,   190,   547,
     548,   191,     0,   549,   550,   193,   551,     0,   194,   552,
     195,   553,   554,   555,     0,   556,     0,     0,   557,   558,
     559,     0,     0,   560,   196,   197,   561,   198,   199,   562,
     563,   564,   565,   566,   567,   568,     0,   569,   200,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   203,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,   210,   599,   600,   212,   601,   602,   603,
     604,   605,   606,     0,   607,     0,   608,   609,   610,   611,
     612,     0,   613,   217,   614,   615,   219,   616,   220,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   222,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,   224,   225,     0,     0,   637,   226,   638,
     227,     0,   639,   640,   641,   642,   643,   644,   645,     0,
       0,   646,   647,   648,   649,   650,     0,     0,   651,   652,
     653,   654,   655,     0,   234,     0,   656,   235,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    35,   668,   669,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
    1251,   427,   428,   429,     0,     0,     0,     0,     0,     0,
       0,   430,   431,     0,   432,   433,   133,   434,   435,   436,
     135,   136,   137,   138,   139,     0,   437,   438,   439,   440,
     441,     0,     0,   442,   443,     0,   140,   444,     0,   445,
     446,   447,   448,   144,     0,   145,     0,   449,   450,   451,
     452,   148,   453,     0,     0,   454,   455,   456,   457,   458,
     459,     0,   151,   460,     0,     0,     0,     0,   152,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   155,   156,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,   164,   491,   492,   493,   166,     0,   494,
       0,   495,   496,   168,   497,     0,   498,     0,   499,   169,
       0,   170,   500,   501,   502,     0,   503,   172,     0,   504,
       0,   505,   506,     0,   507,   508,   173,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,     0,   518,   174,
     175,     0,   519,   520,   521,     0,   176,     0,   177,     0,
     522,   178,   179,   523,   180,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   531,   181,   182,   532,   183,     0,
     533,   534,   535,     0,     0,   536,   537,  1252,   539,   540,
     541,     0,   542,   543,     0,   544,   545,   546,   188,   189,
     190,   547,   548,   191,     0,   549,   550,   193,   551,     0,
     194,   552,   195,   553,   554,   555,     0,   556,     0,     0,
     557,   558,   559,     0,     0,   560,   196,   197,   561,   198,
     199,   562,   563,   564,   565,   566,   567,   568,     0,   569,
     200,   570,   201,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   203,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598,   210,   599,   600,   212,   601,
     602,   603,   604,   605,   606,     0,   607,     0,   608,   609,
     610,   611,   612,     0,   613,   217,   614,   615,   219,   616,
     220,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   222,     0,   628,   629,     0,   630,   631,
     632,   633,   634,   635,     0,   224,   225,     0,     0,   637,
     226,   638,   227,     0,   639,   640,   641,   642,   643,   644,
     645,     0,     0,   646,   647,   648,   649,   650,     0,     0,
     651,   652,   653,   654,   655,     0,   234,     0,   656,   235,
     657,   658,   659,   660,     0,     0,   661,     0,     0,   662,
     663,   664,   665,   666,   667,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    35,   668,   669,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,   133,   434,
     435,   436,   135,   136,   137,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,     0,   140,   444,
       0,   445,   446,   447,   448,   144,     0,   145,     0,   449,
     450,   451,   452,   148,   453,     0,     0,   454,   455,   456,
     457,   458,   459,     0,   151,   460,     0,     0,     0,     0,
     152,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,   169,     0,   170,   500,   501,   502,     0,   503,   172,
    3526,   504,     0,   505,   506,     0,   507,   508,   173,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,   174,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,   178,   179,   523,   180,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,   182,   532,
     183,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,     0,   542,   543,     0,   544,   545,   546,
     188,   189,   190,   547,   548,   191,     0,   549,   550,   193,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,   197,
     561,   198,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,   210,   599,   600,
     212,   601,   602,   603,   604,   605,   606,     0,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
     219,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,     0,   234,     0,
     656,   235,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    35,   668,   669,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,     0,   427,   428,   429,     0,     0,
       0,     0,     0,     0,     0,   430,   431,     0,   432,   433,
     133,   434,   435,   436,   135,   136,   137,   138,   139,     0,
     437,   438,   439,   440,   441,     0,     0,   442,   443,     0,
     140,   444,     0,   445,   446,   447,   448,   144,     0,   145,
       0,   449,   450,   451,   452,   148,   453,     0,     0,   454,
     455,   456,   457,   458,   459,     0,   151,   460,     0,     0,
       0,     0,   152,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   155,   156,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,     0,   484,
     485,   486,     0,   487,   488,   489,   490,   164,   491,   492,
     493,   166,     0,   494,     0,   495,   496,   168,   497,     0,
     498,     0,   499,   169,     0,   170,   500,   501,   502,     0,
     503,   172,     0,   504,     0,   505,   506,     0,   507,   508,
     173,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,     0,   518,   174,   175,     0,   519,   520,   521,     0,
     176,     0,   177,     0,   522,   178,   179,   523,   180,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   531,   181,
     182,   532,   183,     0,   533,   534,   535,     0,     0,   536,
     537,   538,   539,   540,   541,     0,   542,   543,     0,   544,
     545,   546,   188,   189,   190,   547,   548,   191,     0,   549,
     550,   193,   551,     0,   194,   552,   195,   553,   554,   555,
       0,   556,     0,     0,   557,   558,   559,     0,     0,   560,
     196,   197,   561,   198,   199,   562,   563,   564,   565,   566,
     567,   568,     0,   569,   200,   570,   201,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   203,
     582,   583,   584,   585,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,     0,   597,   598,   210,
     599,   600,   212,   601,   602,   603,   604,   605,   606,     0,
     607,     0,   608,   609,   610,   611,   612,     0,   613,   217,
     614,   615,   219,   616,   220,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   222,     0,   628,
     629,     0,   630,   631,   632,   633,   634,   635,     0,   224,
     225,     0,     0,   637,   226,   638,   227,     0,   639,   640,
     641,   642,   643,   644,   645,     0,     0,   646,   647,   648,
     649,   650,     0,     0,   651,   652,   653,   654,   655,     0,
     234,     0,   656,   235,   657,   658,   659,   660,     0,     0,
     661,     0,     0,   662,   663,   664,   665,   666,   667,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    35,   668,
     669,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,     0,     0,     0,   430,   431,     0,
     432,   433,   133,   434,   435,   436,   135,   136,   137,   138,
     139,     0,   437,   438,   439,   440,   441,     0,     0,   442,
     443,     0,   140,   444,     0,   445,   446,   447,   448,   144,
       0,   145,     0,   449,   450,   451,   452,   148,   453,     0,
       0,   454,   455,   456,   457,   458,   459,     0,   151,   460,
       0,     0,     0,     0,   152,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   155,   156,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,   164,
     491,   492,   493,   166,     0,   494,     0,   495,   496,   168,
     497,     0,   498,     0,   499,   169,     0,   170,   500,   501,
     502,     0,   503,   172,     0,   504,     0,   505,   506,     0,
     507,   508,   173,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,   174,   175,     0,   519,   520,
     521,     0,   176,     0,   177,     0,   522,   178,   179,   523,
     180,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,   181,   182,   532,   183,     0,   533,   534,   535,     0,
       0,   536,   537,  1330,   539,   540,   541,     0,   542,   543,
       0,   544,   545,   546,   188,   189,   190,   547,   548,   191,
       0,   549,   550,   193,   551,     0,   194,   552,   195,   553,
     554,   555,     0,   556,     0,     0,   557,   558,   559,     0,
       0,   560,   196,   197,   561,   198,   199,   562,   563,   564,
     565,   566,   567,   568,     0,   569,   200,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   203,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,   210,   599,   600,   212,   601,   602,   603,   604,   605,
     606,     0,   607,     0,   608,   609,   610,   611,   612,     0,
     613,   217,   614,   615,   219,   616,   220,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   222,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,   224,   225,     0,     0,   637,   226,   638,   227,     0,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,     0,     0,   651,   652,   653,   654,
     655,     0,   234,     0,   656,   235,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      35,   668,   669,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,     0,     0,     0,   430,
     431,     0,   432,   433,   133,   434,   435,   436,   135,   136,
     137,   138,   139,     0,   437,   438,   439,   440,   441,     0,
       0,   442,   443,     0,   140,   444,     0,   445,   446,   447,
     448,   144,     0,   145,     0,   449,   450,   451,   452,   148,
     453,     0,     0,   454,   455,   456,   457,   458,   459,     0,
     151,   460,     0,     0,     0,     0,   152,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   155,   156,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,   164,   491,   492,   493,   166,     0,   494,     0,   495,
     496,   168,   497,     0,   498,     0,   499,   169,     0,   170,
     500,   501,   502,     0,   503,   172,     0,   504,     0,   505,
     506,     0,   507,  1369,   173,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,   174,   175,     0,
     519,   520,   521,     0,   176,     0,   177,     0,   522,   178,
     179,   523,   180,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,   181,   182,   532,   183,     0,   533,   534,
     535,     0,     0,   536,   537,   538,   539,   540,   541,     0,
     542,   543,     0,   544,   545,   546,   188,   189,   190,   547,
     548,   191,     0,   549,   550,   193,   551,     0,   194,   552,
     195,   553,   554,   555,     0,   556,     0,     0,   557,   558,
     559,     0,     0,   560,   196,   197,   561,   198,   199,   562,
     563,   564,   565,   566,   567,   568,     0,   569,   200,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   203,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,   210,   599,   600,   212,   601,   602,   603,
     604,   605,   606,     0,   607,     0,   608,   609,   610,   611,
     612,     0,   613,   217,   614,   615,   219,   616,   220,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   222,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,   224,   225,     0,     0,   637,   226,   638,
     227,     0,   639,   640,   641,   642,   643,   644,   645,     0,
       0,   646,   647,   648,   649,   650,     0,     0,   651,   652,
     653,   654,   655,     0,   234,     0,   656,   235,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    35,   668,   669,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
       0,   427,   428,   429,     0,     0,     0,     0,     0,     0,
       0,   430,   431,     0,   432,   433,   133,   434,   435,   436,
     135,   136,   137,   138,   139,     0,   437,   438,   439,   440,
     441,     0,     0,   442,   443,     0,   140,   444,     0,   445,
     446,   447,   448,   144,     0,   145,     0,   449,   450,   451,
     452,   148,   453,     0,     0,   454,   455,   456,   457,   458,
     459,     0,   151,   460,     0,     0,     0,     0,   152,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   155,   156,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,   164,   491,   492,   493,   166,     0,   494,
       0,   495,   496,   168,   497,     0,   498,     0,   499,   169,
       0,   170,   500,   501,   502,     0,   503,   172,     0,   504,
       0,   505,   506,     0,   507,  1379,   173,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,     0,   518,   174,
     175,     0,   519,   520,   521,     0,   176,     0,   177,     0,
     522,   178,   179,   523,   180,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   531,   181,   182,   532,   183,     0,
     533,   534,   535,     0,     0,   536,   537,   538,   539,   540,
     541,     0,   542,   543,     0,   544,   545,   546,   188,   189,
     190,   547,   548,   191,     0,   549,   550,   193,   551,     0,
     194,   552,   195,   553,   554,   555,     0,   556,     0,     0,
     557,   558,   559,     0,     0,   560,   196,   197,   561,   198,
     199,   562,   563,   564,   565,   566,   567,   568,     0,   569,
     200,   570,   201,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   203,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598,   210,   599,   600,   212,   601,
     602,   603,   604,   605,   606,     0,   607,     0,   608,   609,
     610,   611,   612,     0,   613,   217,   614,   615,   219,   616,
     220,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   222,     0,   628,   629,     0,   630,   631,
     632,   633,   634,   635,     0,   224,   225,     0,     0,   637,
     226,   638,   227,     0,   639,   640,   641,   642,   643,   644,
     645,     0,     0,   646,   647,   648,   649,   650,     0,     0,
     651,   652,   653,   654,   655,     0,   234,     0,   656,   235,
     657,   658,   659,   660,     0,     0,   661,     0,     0,   662,
     663,   664,   665,   666,   667,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    35,   668,   669,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,   133,   434,
     435,   436,   135,   136,   137,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,     0,   140,   444,
       0,   445,   446,   447,   448,   144,     0,   145,     0,   449,
     450,   451,   452,   148,   453,     0,     0,   454,   455,   456,
     457,   458,   459,     0,   151,   460,     0,     0,     0,     0,
     152,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,   169,     0,   170,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,     0,   507,  1390,   173,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,   174,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,   178,   179,   523,   180,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,   182,   532,
     183,     0,   533,   534,   535,     0,     0,   536,   537,  1391,
     539,   540,   541,     0,   542,   543,     0,   544,   545,   546,
     188,   189,   190,   547,   548,   191,     0,   549,   550,   193,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,   197,
     561,   198,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,   210,   599,   600,
     212,   601,   602,   603,   604,   605,   606,     0,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
     219,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,     0,   234,     0,
     656,   235,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,     0,   668,   669
};

static const yytype_int16 yycheck[] =
{
       2,   901,   940,  1124,  1368,  1372,  1075,     2,   246,    78,
     167,    78,   209,   381,  1129,    84,   381,  1377,   154,    78,
      78,  1416,    96,  1241,  1793,   365,    78,   858,  1446,    78,
     187,  1194,   106,  1758,   153,  1017,  1018,  1019,  1236,  2121,
    1956,  1023,  1940,  1092,  1629,  2071,   984,  1319,  1300,  2868,
     150,  2363,   165,  1263,  1536,  1253,  1479,  1329,   958,   228,
     730,    78,  2428,  2429,  1082,   223,   202,    84,   142,  1803,
     901,  1507,  1508,   160,  1799,   171,    78,  2669,  1646,  2704,
    3204,  1899,    84,   157,  1958,  2712,  1240,    89,  1999,  2277,
    1526,  3443,  1246,  2265,  2327,  3248,    78,  3250,   165,  1813,
     117,  1255,  1152,  3418,   960,   132,  1358,  1305,  1686,  1687,
    1688,  1309,  1850,   209,   970,   117,  1314,  3482,   117,  3471,
    3726,   940,  1650,  1321,  2160,  2622,   731,   958,  1862,  3779,
      94,   367,  3399,  1331,  3386,  2847,   353,  1171,  3089,   367,
    1078,  1171,  3028,  3646,  3678,   162,  3828,  3399,   983,  2060,
    3672,   153,  3775,  1867,  1868,  3983,  1741,  3026,  3027,  4048,
     162,   208,  4027,   162,  4037,  1785,  2960,  1217,   132,  1681,
    1682,   218,  3120,  2002,   117,   216,  1429,  1799,   167,  1745,
    1409,  3228,  2375,  1211,  1496,  1497,  2002,  4486,  3736,   153,
     154,  1121,  2010,  1121,  1400,  1166,  1167,  4272,   187,   163,
    3677,  4592,  3604,  4594,    30,    21,   208,  4025,   975,    88,
    1522,    14,    10,   230,   216,  4782,   218,   121,  4036,   162,
     135,    72,  2415,    95,   108,    72,  2419,   143,   230,   103,
     104,   230,  4633,   114,    37,   838,    84,   114,   202,    86,
    3403,  3404,  3405,  3406,  3407,  3408,   112,   112,   229,   229,
    3955,    75,    76,    77,    78,   229,  2428,   927,    82,  1078,
      75,    76,    77,    78,  4775,   238,   128,    82,   180,    72,
     204,   128,    75,    76,    77,    78,   224,    99,    81,    82,
      83,    84,   149,    86,   106,   844,   156,   230,    75,    76,
      77,    78,  3206,   229,   853,    82,   128,   102,  1408,    72,
     117,  3095,   187,    90,   229,   268,   373,   333,    81,    72,
    2226,   135,   381,    86,   373,   373,  1298,   145,    81,  2570,
      99,   373,   230,    86,   373,   197,   229,   106,   887,    75,
      76,    77,    78,    78,  3023,   311,    82,   357,    78,    99,
     231,    78,    78,   182,    90,   162,   106,   416,  2599,    72,
      75,    76,    77,    78,   228,   268,   230,    82,   153,   268,
    1409,    95,   237,    86,   381,    78,  1416,   235,    78,   102,
     385,    75,    76,    77,    78,   328,    78,    88,    82,   381,
      78,    88,  3023,  1283,   184,   944,    90,    75,    76,    77,
      78,   373,  1555,  3082,    82,   954,   185,    78,    78,   416,
      78,   219,  1072,  1613,   149,   436,   113,  2489,    29,    75,
      76,    77,    78,   230,   416,   141,    82,   185,   180,  1582,
     165,   231,    75,    76,    77,    78,   145,    78,   362,    82,
     115,    72,   231,   272,   153,   438,   143,    90,   329,    78,
     300,  3082,   457,  4834,  1554,    86,   145,     0,    38,  4277,
      40,   136,  1283,   417,   145,  1393,  2707,   249,   145,   145,
     259,  1943,   179,   197,    75,    76,    77,    78,  4767,   269,
     288,    82,   840,   182,   313,   840,   229,   480,  1416,    90,
      75,    76,    77,    78,   199,   516,   462,    82,  2681,   462,
     516,   211,   180,   513,   262,  1931,  1932,    75,    76,    77,
      78,   246,  1938,  3417,    82,    75,    76,    77,    78,   379,
     385,   436,    82,    75,    76,    77,    78,   636,   380,   329,
      82,    25,  1378,   380,   363,   173,  2424,  1576,   419,   482,
    2781,   128,  2783,   513,   394,   516,    75,    76,    77,    78,
     135,   229,   516,    82,  1908,  1483,   682,   683,   380,   458,
    2118,   313,   515,  1913,  2122,   436,  2124,   423,   423,  2127,
    2434,  1611,  5073,  1168,  1169,   513,  1616,  1617,   416,  1618,
    1619,    95,   377,   458,  1393,    75,    76,    77,    78,   513,
     516,   448,    82,  1418,   456,  1188,   463,  3854,   500,   411,
      75,    76,    77,    78,   468,   511,  1452,    82,   513,   515,
     326,  5002,  3854,   516,   173,   513,  3769,   341,   436,   513,
     513,  1467,   463,    75,    76,    77,    78,  1929,  1930,  1773,
      82,  4449,   367,  4488,  1480,  1937,  5193,    93,   373,   513,
     509,  1398,   411,   373,   636,  2220,   373,   373,  1856,   260,
     374,   436,   458,   467,   377,    99,   516,  1845,   516,  1847,
    1902,   411,  1924,  4005,   516,  4189,   389,   504,   505,   516,
     373,  4479,  4165,   373,  1483,   463,   513,   456,  1822,   403,
    1608,   373,   636,   197,  4502,   373,  4198,   516,  1616,  1617,
    4202,    88,  2267,   436,   516,   511,  2271,  1897,   456,   513,
      95,   507,   373,   373,  2112,   373,   511,  2064,   513,  4247,
     515,   504,   505,  5094,   477,  4020,   113,   440,   866,  1268,
    4112,  4188,  4417,  4418,  4419,  4420,  4421,   436,   682,   683,
    1279,   438,   373,   313,   516,  1775,   513,   461,   847,    88,
    1701,   504,   505,  1783,   373,  3782,   143,   436,  1668,   137,
    1668,   504,   505,   238,   210,   436,   984,   500,   436,   436,
     436,   460,  2119,   473,   479,   153,  2585,  3123,   473,  3125,
     264,  2128,   515,   480,  1792,  5064,   730,   513,  2502,  2585,
     987,   840,  3364,   892,   499,  3367,  3368,  4852,   426,  3371,
    1339,   504,   505,   380,  1124,  3377,   403,  1837,   513,  1608,
    1840,  1841,   197,   929,   881,   506,   507,   508,   509,   326,
    4628,  3964,   509,    25,  1409,  3691,  4936,  4635,   107,   513,
     208,  3438,   500,   479,   137,  3763,   311,   341,   333,   836,
     268,  4860,  4861,   840,   376,   137,   180,   515,   226,   100,
     949,   400,  2566,   499,   836,    99,   173,   836,   840,   996,
    2093,   998,   844,  1000,  5143,   367,  2099,   513,  2077,  1006,
     374,   853,   854,  3041,  3026,  3027,  3028,   180,   860,  1909,
     513,  3054,  2068,    14,  2376,   311,  2378,   173,   268,   871,
    1028,   984,  1029,  1030,  2186,  2187,  2442,   184,  1114,   403,
     980,   180,   180,   147,   340,   887,  1114,   175,   173,   467,
     154,    85,  4765,   836,   348,   221,   208,   899,   515,   173,
    2520,   903,   513,  3950,  3155,    88,   173,   981,  2530,   387,
     210,   270,   914,   268,   226,    14,   983,   181,   513,   268,
     210,   387,   323,    95,   998,   477,  1000,  1827,  4578,   101,
     113,   933,   230,  5063,  4058,   513,  1010,   180,   940,   405,
    1098,   323,   944,   513,   398,   229,  3740,   403,   470,   151,
     403,   513,   954,   955,   242,  1029,  1030,   355,   960,   313,
     143,   185,   269,   927,   516,   929,   153,   462,   970,   374,
    1128,   121,  4636,   975,   513,   429,   232,   431,   456,  4629,
     975,  3670,   984,  3672,   310,   128,   513,   189,  2757,   253,
     313,  1104,   263,   180,    72,   318,  1827,    75,    76,    77,
      78,   516,   323,    81,    82,   311,   207,  2745,    86,   998,
     458,  1000,   300,   513,   978,   303,   314,   151,   982,   836,
    3386,   171,   517,   182,  2006,   197,  2075,    88,   513,  3670,
    1099,  3672,   355,  3399,   333,  1076,  4539,   391,   262,  1080,
    1029,  1030,   264,   355,   274,  4579,   369,  1074,   494,  2159,
    2160,   513,  1210,   451,  2217,   189,  2125,  2126,   458,  5189,
    2170,  4583,  5101,   516,  2174,   266,  4588,   119,  1070,  4591,
    4734,  4960,  2182,  2183,  1076,    71,  1078,  4950,  1080,  4944,
     180,   311,  1099,    79,    80,  2195,  2196,   270,   271,   426,
    3779,    75,    76,    77,    78,   197,  2206,  1099,    82,   506,
     507,   508,   509,   458,  1106,   405,   394,   391,  1072,   458,
    1074,   261,   513,   272,  3480,   405,   999,   517,  3369,  3370,
    1003,  1004,  1005,  4475,   111,  4775,   313,  4658,   451,  3045,
    1013,   513,   333,   316,  3581,   329,   151,  4502,  3779,   451,
     342,   426,   398,  2081,  2044,   504,   505,   506,   507,   508,
     509,  4304,   426,   396,   313,   419,   152,  1152,  3605,   426,
     458,   311,  4693,     8,  1166,  1167,    11,    12,   311,   341,
     327,   427,   396,   231,   189,   405,  1171,    22,    23,    24,
    2036,    26,    27,   426,  4720,   469,    31,    32,    33,  4853,
     446,  2047,   513,   245,   387,  1242,  1243,   249,   151,  4863,
    5065,   500,   374,  2059,   363,   493,   202,  3458,   342,   270,
     341,   185,   511,  2044,   513,   514,   515,   516,   318,  4266,
    1202,   464,  1217,   436,   327,   513,   456,  4850,   430,   331,
     403,   403,   456,   219,   477,   287,   189,   380,   983,   984,
    1242,  1243,   392,   374,   229,  2080,  5074,  3121,   468,   450,
     173,   410,   182,  3127,  2690,  1342,   238,   180,   254,   105,
     403,   248,   341,  2312,   249,  4947,  1268,  2835,   175,  5142,
     513,    98,   403,  5146,   403,    72,   378,  1279,    75,    76,
      77,    78,   174,   268,    81,    82,    83,    84,   262,    86,
     160,   426,  2192,  2362,  4245,   374,   430,  4800,   151,    99,
    1302,   403,   288,   516,   131,   223,   500,   501,   502,  4831,
     504,   505,   506,   507,   508,   509,  1554,   144,   224,  5192,
     513,   504,   505,   506,   507,   508,   509,   342,   173,   311,
     157,   389,  4982,  4219,  3926,   242,   189,  1339,  4224,   325,
    3932,  3933,    88,   516,  2394,  4214,  2618,  1421,   182,  1423,
     346,  1418,  1426,  5153,  1428,   407,   511,  1431,  1432,  1433,
     252,  2192,   517,  1731,   234,   211,  1731,   113,   195,  1114,
    1444,   162,  4908,  4876,   249,  2529,  1378,  4880,  4881,   206,
    2414,  4093,   513,  1457,  2414,  1459,   444,   516,   318,   342,
     313,  1393,   192,   300,  4661,  1397,  1398,   143,  1400,   226,
    5006,  5007,  1397,  1398,   231,  1400,  1408,   230,   511,  4661,
    2774,  2778,   515,   232,  1416,   430,   160,  1653,  1654,   436,
    1656,  1416,  1639,  5073,  2784,  1653,  1654,   505,  1656,   161,
    4745,  2585,   350,   417,   418,  5235,  4751,    99,   272,   230,
     160,  3523,   238,   504,   505,   506,   507,   508,   509,    85,
    1452,  3220,    88,   449,  2608,  2727,  2728,  2729,  2730,   179,
     305,   457,   185,  1465,   460,  1467,  2025,  2739,   175,   443,
     376,   298,  2077,   458,   197,  2034,  2674,   430,  1480,   313,
     462,  1483,   456,   500,   190,  2639,   270,   394,  3854,   342,
     234,   211,  1494,   416,   200,    95,   419,   341,   230,   374,
    1464,   101,   329,   378,    22,   333,   351,   300,    25,  4198,
     303,   381,  1670,  4202,  3747,   311,  2768,  2580,    35,  3691,
     343,  1523,  4019,  3559,   270,   436,   258,  3055,   403,   363,
     192,   358,   517,   425,   426,   242,  1419,  1981,  2588,  1422,
      51,   273,  1425,   327,  1427,   341,  2596,  1430,  2598,  1551,
    1552,  1434,  1554,   285,    72,   229,  2000,  4198,    69,   403,
    5166,  4202,  2121,   109,   391,  1567,  3304,  1594,  1595,   389,
     397,  1573,   229,   400,  2637,   249,   308,   430,   374,   398,
     160,  3315,  3150,  4935,    85,   408,   249,    88,   183,   500,
     513,  2491,   249,   300,   268,   327,   303,   197,  3509,   426,
     445,   394,   477,     5,   515,   432,  1608,   477,   427,  1611,
    1627,   268,  1681,  1682,  1616,  1617,  1611,   134,   445,   129,
     440,  1616,  1617,    25,  1626,  1627,    97,   137,  1627,   352,
    1594,  1595,    95,    35,   270,   341,  3887,   381,   101,   121,
     340,   333,   188,   470,   514,   374,   117,   517,   172,   172,
     370,   246,   384,  1655,   234,   242,   298,  1659,  1660,  4783,
    2491,   229,  1731,  1680,  1681,  1682,   462,   224,   374,  1738,
     275,  2527,  1699,  1418,   403,   331,   396,   234,  1680,  1681,
    1682,   249,  4729,  1770,  1627,   341,   514,   394,   516,   171,
     182,    85,   249,   329,    88,  3131,   362,  1692,  1693,  1701,
     268,   393,   438,  1861,  4523,   340,   426,   504,   505,  5074,
       2,   374,   511,   300,  1731,   378,   515,  4870,   374,   113,
    5072,  1738,   388,  1718,  1719,   119,   458,   458,  1745,  1731,
     254,   511,   134,   477,   197,  1699,  1738,  1739,   518,  2409,
     403,   341,  3160,  1745,   464,  1490,  1745,   264,   249,   143,
    1752,  3465,   354,   192,  3468,   194,   458,   477,   504,   505,
     506,   507,   508,   509,   256,  1510,   182,   340,   403,   270,
     514,  2753,   354,   517,   374,   299,   299,   301,   301,   261,
    1775,   291,   513,  1785,   458,  2895,   493,   513,  1783,  2839,
     274,  1793,   263,   513,   196,  1540,   233,    89,  4390,  4391,
     517,   458,  1745,   403,  4623,   477,  4625,   394,   224,  1554,
    1627,   513,   183,   469,   477,  3393,  4067,  4864,  4069,   311,
    5135,   313,  2760,  1825,   387,    14,   383,   311,   329,   311,
     403,  3191,  4457,   183,  2944,   324,   438,   229,   327,  4466,
     256,  4965,  1837,   517,   516,  1840,  1841,  1829,    37,   192,
    1832,   194,   415,  4478,   291,   249,   438,   249,   175,  2797,
     517,   153,   264,  1680,   192,  2975,   194,   159,   504,   505,
     506,   507,   508,   509,   217,   246,   270,   271,   480,   363,
     378,  1883,   341,    72,   323,    75,    76,    77,    78,  4578,
     458,   209,    82,   185,  4583,   311,   246,   313,   480,  4588,
    1882,  1903,  4591,  3013,  1886,   403,   103,   104,  1653,  1654,
     392,  1656,  3033,  2032,  1909,   374,    14,   155,   458,   378,
    1922,   405,   316,  2482,   230,   242,   128,  3179,  1745,    88,
    2489,    85,   250,  3807,    88,   329,   341,  4578,  1940,    37,
    4629,  2760,  4583,   219,   403,   147,  1963,  4588,   224,   517,
    4591,   105,   258,  3521,  2322,  2152,   194,  2322,   516,   161,
     367,  1963,  5009,   160,  1963,  3783,  1968,   273,  2081,   374,
     313,    85,   456,   513,    88,   318,  2134,   428,  2797,   285,
     323,  1983,   179,   300,   143,   313,   303,   517,  4629,  3207,
     397,   105,   429,   519,   431,   323,  3046,  1999,   403,   500,
     501,   502,   389,   504,   505,   506,   507,   508,   509,   211,
      81,  3229,   288,  2080,   211,    86,  2090,   454,  2092,   426,
    1963,   207,  2096,  2025,  2098,  3043,   477,  2101,   479,  2031,
    3448,  2105,  2034,   219,  2036,  2037,  4287,  4288,   224,  3457,
    4228,   313,  4214,  3628,  3960,  2047,   318,  4219,   477,   325,
     389,   264,  4224,   440,  3208,  2151,  5103,  2059,  2060,   477,
    2926,  2927,   513,   470,   367,  2931,  2068,   500,    41,  2071,
      88,  2158,   192,  2068,   194,  2142,  2071,   394,   384,  2081,
     266,  3815,   515,  2142,  2142,   458,  4775,   516,   152,   361,
    2142,   219,  2992,  2142,   397,   113,   224,   217,   516,   442,
     341,   440,   288,    16,  4696,  2971,  2972,   341,  3046,   452,
     504,   505,   506,   507,   508,   509,   270,  3831,  3832,  2121,
    3274,  3544,   357,   426,  3858,   143,  3608,  3609,   318,    75,
      76,    77,    78,   374,  4775,   145,    82,   201,   341,   325,
     374,   374,  4831,   153,   479,   440,  1963,   333,    75,    76,
      77,    78,  2822,   341,   378,    82,   270,  2159,  2160,   322,
     288,  2992,   403,  3748,   499,  2167,  5213,   470,  2170,   403,
     403,   374,  2174,   370,  3888,   329,   493,  2179,   513,   403,
    2182,  2183,    71,    72,  2341,   224,   374,  3551,  2190,   479,
    4831,  2193,  2194,  2195,  2196,   470,   513,   325,   318,   396,
     403,  2203,  2204,   323,  2206,   244,  2208,  2209,   233,   499,
    2212,  2324,   393,  2230,  3412,   329,   280,   281,    75,    76,
      77,    78,   276,   513,  4250,    82,  2228,  2229,  2230,   426,
     294,  2230,  2234,   161,   479,  3066,  2238,   341,    34,  3177,
    2242,  4157,  2244,  2245,  2246,  2247,  2248,  2249,  2250,  2251,
    2252,   436,  2254,  2322,   499,  2452,  4154,  2454,    75,    76,
      77,    78,  2264,  2265,   450,    82,   291,   464,   224,    97,
     374,   468,  4041,   298,   378,   440,   233,   341,   363,   327,
     477,  5100,   514,  1829,   332,   517,  1832,  2230,   244,   117,
     375,  3147,  3148,  4982,   513,  4661,  3548,   314,   315,   403,
    1236,  4026,   230,    71,   511,  2322,   513,  2376,   515,  2378,
     440,    79,    80,  2872,   399,  1251,   513,  1253,  2367,  2878,
    2322,   376,   442,   516,  3760,  2327,   508,   520,  2447,  4501,
     258,   513,   452,   515,   291,  2080,  1882,   327,   298,  4651,
    1886,  4982,   332,  2501,   636,   273,   500,   501,   502,   276,
     504,   505,   506,   507,   508,   509,   393,   285,  3177,  2376,
     145,  2378,  3780,  3781,   428,   516,   430,   514,   153,   520,
     517,  4683,   318,   477,  2376,  4400,  2378,  4402,   512,   396,
     308,  4406,   516,  4408,  5073,   117,   500,   501,   502,   298,
     504,   505,   506,   507,   508,   509,  2398,  2142,   157,  2394,
      85,   153,   252,    88,   429,  2943,   431,  2945,  2946,   426,
     367,  4777,    85,  2230,  2416,   429,  2418,   431,   518,  2414,
     105,  2416,  2424,  2418,    72,  2442,  2428,  2429,   113,   454,
     162,   429,  5073,   431,   119,   396,  2438,  3293,   512,   244,
    2442,  2443,   516,  2442,  2446,  2409,   440,   464,    75,    76,
      77,    78,   393,   396,  3436,    82,   384,  2576,   143,  2210,
     477,   318,  2213,   150,  3023,   426,  2468,   470,    85,  2471,
     125,    88,   429,   276,   431,  3413,   208,  3415,   134,   135,
    2482,   233,   513,   426,   216,   519,   218,  2489,   105,    85,
    2235,   513,    88,   315,    86,  4746,   513,   454,   230,  2442,
     252,   318,  3552,   464,  3714,  3615,   514,  2509,   516,   105,
    4078,  4079,  4080,   470,   327,   511,   477,   513,  2520,   516,
    3683,   464,   508,  3082,  2526,  2527,   125,   513,   207,   515,
     470,   514,  2534,   516,  2551,   506,   507,   508,  2555,   291,
     219,  3479,   514,   115,   516,   224,   513,   495,   515,  2551,
    2552,   272,   513,  2555,   330,  3386,  2555,   477,   330,   479,
     245,   514,  4874,   516,   249,  3686,  3687,  3688,  3399,   327,
     513,  3427,   224,  3429,   396,  2577,   515,  2579,  2580,   327,
     332,  2583,   514,   436,   516,   270,   271,   266,   495,   514,
     882,   516,   126,  2588,  3413,   514,  3415,   516,   516,   517,
    2602,  2596,   287,  2598,   426,     7,    71,    72,  2551,   288,
     330,  2613,  2555,  2713,    79,    80,   115,    19,    20,   516,
     517,    86,  2367,   495,  2626,  2442,   272,   514,   313,   516,
    4215,   316,   387,   388,  2636,  2637,  4718,    39,   172,   514,
      42,   516,   464,   514,   329,   516,   325,   332,   940,   941,
     514,   506,   516,   270,   333,   477,   514,  4242,   516,   228,
    3479,    71,    72,   496,   497,    75,    76,    77,    78,    79,
      80,    81,    82,   513,   270,   515,    86,   429,  2680,   431,
    2682,   516,  2699,   975,   477,   514,   479,  3543,   440,   387,
     388,   513,   514,   513,  4610,   517,   514,  2699,   516,   451,
    2699,  3919,   454,  2705,    75,    76,    77,    78,  2710,  1470,
    1471,    82,   329,     2,   514,    86,   516,   251,   125,   514,
    3586,   516,   407,  3589,  3590,  3591,  3592,  3593,  3594,  3595,
    3596,  3597,  3598,   329,  2551,   514,   229,  2975,  2555,   268,
    2742,  1033,   391,    85,   517,   506,    88,  4524,  4525,  4526,
    4527,   391,   519,  1302,   156,  2757,  2699,   514,  2760,   516,
     264,   436,  4476,    85,   436,   299,    88,   301,   519,   436,
     180,   450,  1064,   391,   514,   436,   516,   311,  4050,   428,
     513,  1073,  3648,  3649,   203,  1077,  1078,  1079,   428,  4961,
     514,   193,   516,  4361,  4362,  2797,  4364,  5109,    75,    76,
      77,    78,   514,  2805,   516,    82,   340,   436,  5120,   180,
     428,    75,    76,    77,    78,   500,   501,   502,    82,   504,
     505,   506,   507,   508,   509,   108,   125,   512,   477,   429,
     479,   431,   511,   518,   391,   514,   515,   477,   514,   479,
     516,   264,   270,  2845,  2839,   379,   514,  3085,   516,  3018,
    3019,  3020,   429,   436,   431,  2857,   513,   267,  2822,   477,
    5172,   479,   515,   514,   513,   516,  2868,   514,   481,   516,
    2872,   428,   403,   513,  1166,  1167,  2878,   513,   167,  1171,
     414,   291,  2699,   500,   501,   502,   249,   504,   505,   506,
     507,   508,   509,  2895,  2896,   513,   391,   212,   187,  2901,
     514,   513,   516,   180,   500,   501,   502,   515,   504,   505,
     506,   507,   508,   509,   249,   327,  1465,   126,   212,   514,
     477,   516,   479,   327,  2926,  2927,   249,   212,   270,  2931,
     514,   224,   516,   428,  2951,   514,   121,   516,   212,   517,
    2957,  2943,  2944,  2945,  2946,   286,   391,   108,   270,  2951,
     182,   514,  2951,   516,  2956,  2957,   513,  2959,  2957,  2961,
     514,   458,   516,   172,  3523,   327,   127,  4681,   513,  2971,
    2972,   322,   440,  2975,   137,   393,   514,   162,   516,   514,
     143,   516,   477,   428,   479,   391,  2988,   329,  2990,   514,
     153,   516,  2994,   470,   477,  3062,   479,   514,   159,   516,
     276,   186,  4397,  3062,  3062,   360,   513,   329,  2951,   137,
    3062,  3013,   108,  3062,  2957,   477,   201,   180,   513,   182,
     205,  3023,   428,  3854,  3026,  3027,  3028,   514,   514,   516,
     516,  4141,   477,  4083,   479,   514,   115,   516,  4763,   514,
     225,   516,   251,   228,  3046,   514,  4464,   516,  3050,   481,
     514,  3046,   516,   313,   215,   240,    75,    76,    77,    78,
     514,  3063,   516,    82,   115,   514,  3068,   516,   513,   513,
      71,   477,  3074,   479,    75,    76,    77,    78,    79,    80,
    3082,    82,    75,    76,    77,    78,   247,   313,   445,    82,
     299,   341,   301,   256,   504,   505,    75,    76,    77,    78,
     224,  1393,   311,    82,   836,  1397,  1398,   513,  1400,  4272,
    3976,  3670,  1118,  3672,  1120,   276,   391,   514,  3120,   516,
     470,  3123,   283,  3125,  1416,   514,   470,   516,  3130,   150,
    3132,   340,   518,   318,  2951,   514,   391,   516,   358,   212,
    2957,   326,   212,  3999,  4000,  3147,  3148,   514,   513,   516,
     313,  3153,   313,   428,   514,   318,   516,   212,   500,   501,
     502,   180,   504,   505,   506,   507,   508,   509,   481,  1461,
     379,   212,  3174,   428,   175,  3177,   361,   212,  3180,   501,
     502,   212,   504,   505,   506,   507,   508,   509,   514,   516,
     516,  1483,   355,   327,  4243,   504,   505,   506,   507,   508,
     212,   180,   477,   512,   479,   414,   369,   212,   212,   504,
     505,   506,   507,   508,   514,   212,   516,   378,  3220,   514,
    3779,   382,   477,   514,   479,   516,   514,   388,   516,   212,
    2975,  3248,  3249,  3250,   395,   514,   327,   516,   513,   212,
     212,   242,   403,   391,  2989,   426,  3248,  3249,  3250,   458,
     513,   412,   514,   514,   516,   516,  4824,   108,   513,   420,
     514,   225,   516,  3008,  1556,   514,  4834,   516,   286,   514,
    3272,   516,   224,   514,  1566,   516,  1825,   224,  3023,  3281,
     428,  3283,  3284,    75,    76,    77,    78,  1579,   451,   327,
      82,  3293,   513,  4159,  4160,  4713,  4714,   224,   514,   300,
     516,   514,   303,   516,   351,  3248,  3249,  3250,   513,   513,
    4705,   472,   514,   513,   516,   476,  1608,  3062,  3658,  1611,
    1612,   513,   513,  4891,  1616,  1617,  1660,   478,   514,   477,
     516,   479,   514,  4233,   516,   513,   513,  3082,  3340,   514,
    3085,   516,   338,   514,  1076,   516,   513,  4397,  1080,    75,
      76,    77,    78,   513,  1903,  3491,    82,  3359,   513,    75,
      76,    77,    78,  3365,   513,   513,    82,   268,   514,  3488,
     516,   514,   514,   516,   516,  4203,   513,  4205,   513,   108,
     513,  3398,   513,  3385,  3386,   163,   513,   513,   513,   268,
     513,  3386,   513,   394,   513,   513,  3398,  3399,   513,  3398,
     513,   513,  4233,   513,  3399,   516,   286,   516,   270,  1701,
     108,  3413,  3461,  3415,   224,   325,   224,   323,  3656,  1968,
    4988,  3470,   403,   506,   264,  3427,   394,  3429,   303,   516,
     179,  3248,  3249,  3250,  3672,   457,   516,   500,    14,   516,
     391,   513,  3491,   391,   513,  4301,   513,   436,   436,   515,
     436,   436,   436,   153,   436,  3398,   436,   391,   212,  4397,
     327,   283,  3464,   395,   318,   436,   436,   436,  4450,   428,
     457,   327,   254,   323,  4595,   436,   513,  3479,  3480,   436,
     243,  4602,  2031,   513,  4902,   153,  4596,   516,   341,   249,
     212,  3493,   493,  3662,  3663,  3664,  3665,   174,  4354,   436,
     458,  4616,  4700,   458,   125,   436,   436,  3509,   125,   458,
    1242,  1243,   436,  4877,   436,   436,   331,   428,  4878,   436,
    4887,  3523,  4889,   436,  3526,   114,   114,  3491,   436,   436,
     391,   436,   327,   327,   270,   481,   477,   513,   516,   467,
     108,  3543,   107,    71,  3546,    97,   513,   513,   327,   212,
     513,    79,    80,   180,   313,   458,   212,  3552,   323,   294,
    3562,   313,  1854,  3565,   108,   469,   224,   108,    96,   513,
    3572,   276,   515,   392,   212,   212,  3578,   458,  3580,   212,
     458,  3398,   212,  3585,  3586,    14,   212,  3589,  3590,  3591,
    3592,  3593,  3594,  3595,  3596,  3597,  3598,   516,   322,   436,
    3602,  3603,   317,   473,  3621,   229,   434,   495,  3610,  1384,
     305,   513,   305,  3615,   513,    88,    98,  3619,   516,  3621,
    1395,  3623,  3621,   403,   152,   434,   513,   513,   110,  1921,
     436,  3633,   237,   220,  3636,   229,  3638,   500,   438,  4198,
     516,  5036,   516,  4202,  3646,  3647,  3648,  3649,   514,   131,
     243,  3653,   243,   513,  3656,   266,   274,   516,   405,   328,
     458,   516,   144,    34,    10,   514,   514,   125,  3670,  4535,
    3672,   335,   514,   391,   202,   157,   152,   391,  3621,  2228,
     436,   436,  3684,   513,   458,   436,   975,   318,  3690,  3691,
     274,   274,   174,  1985,  4804,  4561,  4562,  4766,  4819,   318,
     513,   440,   436,   436,   470,   393,   276,   996,   318,   998,
     115,  1000,   327,   195,   410,   127,  3461,  1006,  1007,  1008,
    3877,   249,   326,   436,   206,  3470,   254,   428,   516,   436,
    4630,   391,   214,  3735,   374,   374,   244,   436,   400,  3741,
    1029,  1030,   436,   363,   226,  3747,  3491,   159,   270,   231,
     108,   270,   270,   270,   458,   237,   458,   270,   500,   326,
     107,  3763,   436,   511,   436,   511,   212,  4705,   500,   224,
     252,   400,  4672,   470,   226,   323,  2068,  3779,   458,  2071,
     212,   211,   513,   513,   108,   477,   507,   327,   327,   224,
     241,   241,   108,   212,   327,   327,   224,   400,   481,  4630,
     249,   249,   249,   215,  3621,   516,  4662,   516,  3810,  5173,
     516,    96,   235,   302,   125,   327,   298,   440,   346,   426,
     477,   322,   470,   276,   514,   516,   229,   514,   514,   514,
    4661,  3848,   514,   514,   495,   247,  3853,   516,  3855,   514,
     345,  4672,   229,   514,   514,   337,  3848,   329,   514,   514,
     495,  3853,  3854,  3855,  3853,   514,  3855,   385,   340,  3854,
    2194,   514,   514,  1152,   514,    89,   513,   436,   474,  4979,
     513,   283,   513,    90,  2208,  2194,   358,   513,    90,   514,
     514,   456,  1171,   464,   474,   381,   500,  2179,   516,  2208,
     125,   500,   517,  4452,   516,  1627,   424,  3899,   514,   288,
    3902,   313,   327,   385,   330,  3848,   327,   389,   252,   391,
    3853,  3656,  3855,   513,    98,   397,   513,   212,   400,  3936,
     436,   449,   481,   260,   318,  3670,   436,  3672,  1217,   457,
     436,   331,   460,  4799,  3936,   212,   436,  3936,   212,   252,
    2259,   455,   346,   288,   426,   346,   428,  3942,  3943,   436,
     432,   436,   477,   436,   458,   436,   296,   296,   440,   436,
     296,   145,   436,   445,   391,   436,   378,   436,   380,   391,
     382,   436,   436,   391,  3976,   457,   388,   391,   313,   436,
     212,   114,   436,   395,   270,  2534,  4035,   403,   470,   270,
     174,   403,   436,  3936,   270,   303,   511,  3999,  4000,   288,
     412,  4003,   513,  2295,  4006,   514,   500,   514,   420,   445,
     115,   195,   514,  1745,   376,   173,   514,   516,   327,  4578,
    1752,   516,   206,   513,  4583,   326,  5008,   108,  4077,  4588,
     514,  3848,  4591,   238,   436,   224,  3853,   391,  3855,  4041,
    4042,  4043,   226,   458,   516,   458,    78,   231,  4416,   391,
     391,  4416,    84,  1785,   210,   330,   210,    89,   203,   270,
     472,   229,    88,   224,   108,   135,   511,  4264,   333,   229,
    4629,   514,   514,   514,   514,   513,   469,   514,   474,   229,
     513,   498,   516,   127,  4086,   117,   237,   328,  4083,    85,
     514,   500,    88,   277,   500,   445,   516,   224,  5036,   108,
     125,  4258,  4104,   514,  5004,   513,  2398,   514,  1397,  1398,
     458,  1400,  4671,   436,   298,   159,   260,   113,   428,  3936,
     458,   513,  2414,   119,  2416,   445,  2418,  1416,   391,   436,
     162,   436,   436,  2682,   436,   391,   436,   514,   514,  4141,
     514,   125,   224,   143,   428,   212,   173,   143,   445,  4151,
    4152,   514,  4154,  4310,   270,   270,   512,  4159,  4160,  4718,
     513,   513,  4164,  4165,   274,   477,   359,   400,  4170,  4171,
     513,   215,  4174,  5004,   358,  4177,   208,   224,   481,   513,
     255,   477,   514,   516,   216,   516,   218,   148,   428,   516,
     436,  4240,   513,    85,   400,   514,  4198,   234,   230,    95,
    4202,   385,   173,   247,   127,   101,   229,   391,    95,   205,
     270,   270,  4214,   397,   101,   270,  4775,  4219,   270,   229,
     514,   513,  4224,  2515,   514,   368,   125,   475,   475,   516,
     513,  1963,   276,  4228,   514,   514,   159,   273,   336,   283,
     513,    89,   426,   514,   428,   141,   513,   125,  4250,   245,
     239,  2026,   273,   249,   141,  4250,   514,   514,   323,   514,
    2035,   445,   500,   445,  2039,  4267,   436,   229,  4425,   313,
    2045,  2046,  4831,   477,   270,   271,   143,   254,   318,   318,
     500,   125,   428,  4285,   436,   516,   470,  4304,  2063,   516,
    4035,   287,   215,   212,   190,   270,   477,   512,   231,  4301,
     229,   197,  4304,   190,   200,   458,   249,   108,  2857,   458,
     197,  4313,   198,   200,   473,   477,   513,   229,   513,   167,
     316,   257,  1611,   330,   247,  4327,   229,  1616,  1617,   477,
    4332,   463,  4077,   329,   378,   513,   513,  4339,   382,   187,
     368,   413,   514,   514,   388,   344,   513,  4416,   273,   381,
     513,   395,  4354,   476,   327,   369,   436,   514,   254,   403,
     283,  4304,   436,  4922,   477,   224,   513,   254,   412,  2661,
     187,   318,   514,   513,   108,   514,   420,  2669,   318,   297,
    4382,   252,   513,   359,   416,   513,   211,   108,   514,   513,
     313,   388,   514,   331,   388,  4397,   500,   125,   125,  4416,
     108,  1690,  4397,  1692,  1693,   513,   428,   514,   514,   458,
     513,   407,   428,   311,  4416,   311,   327,   313,   341,   514,
     428,    82,  1711,  4982,   311,   218,   313,   323,   472,  1718,
    1719,   400,   476,   477,  2726,   331,   323,   359,   137,  4441,
     330,   137,   193,   462,   331,   341,    85,   368,   463,   513,
    4452,   374,   108,  4198,   341,   378,   229,  4202,   516,   382,
     428,   474,  2754,   224,   366,   388,   477,   198,  2760,   254,
     327,   327,   395,   108,   108,   513,   330,   330,   374,   514,
     403,   377,   378,   513,   513,   125,  1775,  4304,   185,   412,
     377,   378,   387,   456,  1783,  4240,   514,   420,  2230,  4501,
      82,    94,   514,  5062,   387,  2797,   105,   403,   504,   505,
     506,   507,   508,   509,  5073,   513,   403,   211,   359,  1885,
     513,  4523,   373,  1243,  1213,  1617,  3046,  2711,  3229,  2562,
    1242,  3853,  3382,  4535,  2630,  4894,  3935,  4539,  4612,  4703,
    5036,  4759,  4544,  4763,  4443,  3997,  2321,  3154,  1837,   472,
    4744,  1840,  1841,  5112,  2827,  5107,  4629,  5170,  5050,  4561,
    4562,  5049,  5126,  4565,  4945,   461,  3158,  3989,  3848,  2702,
    2702,  3249,  1986,  2696,   461,  5248,  4578,  3450,  5178,  5240,
    4739,  4583,  3398,  3385,  5137,  4674,  4588,  5023,  1976,  4591,
    5117,  4677,  2926,  2927,  4596,  4597,   187,  2931,  4086,  4849,
    1468,  1453,  4039,  2429,  4961,  4041,  3343,  2926,  2927,  3130,
    4605,   941,  2931,  5242,  5151,  1093,  2324,  3062,  2325,  4241,
    1909,  4623,  2081,  4625,  3745,  1411,  2365,  4629,  4024,  1108,
     854,  3180,  2810,  3063,  1645,  1663,   860,  2971,  2972,  1662,
    3074,  3069,  2364,  3090,  3082,  1665,  3672,   871,  4189,  4204,
    4832,  3670,  2971,  2972,  1670,  4982,  4981,  3746,  3631,  4661,
    4662,  4802,  3623,  5098,  5090,  5099,  4661,  1098,  3066,  4671,
    2897,  3741,  2987,  2989,  2264,   899,   636,  3488,  2761,   903,
    2019,  2398,  5082,  1682,   382,  5244,  4703,  2373,  1464,   977,
     914,  1346,  1189,  2406,  1169,  2414,  3040,  2407,    98,  4748,
    3753,  4703,  1676,  4705,  4703,  3752,  1169,  4227,  1591,  3719,
    2442,   415,  2418,  2823,  2110,  1680,  4718,     2,  4243,  1397,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1009,  2017,    -1,
      -1,    -1,  3281,    -1,  3283,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   144,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3046,    -1,    -1,   157,    -1,    -1,
    4703,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4775,   174,  4777,    -1,    -1,    -1,  2068,
     180,    -1,  2071,    -1,    -1,    -1,    -1,    -1,  2520,    -1,
      -1,  3340,    -1,    -1,    -1,   195,    -1,  4799,  4800,    -1,
    4802,    -1,  4804,    -1,   836,    -1,   206,    -1,   840,    -1,
      -1,    -1,    -1,    -1,   214,    -1,  3365,    -1,    -1,  2551,
      -1,    -1,   854,  2555,    -1,  4827,   226,    -1,   860,  4831,
      -1,   231,    -1,    -1,  4836,    -1,    -1,   237,  4583,   871,
      -1,    -1,    -1,  4588,    -1,  2577,  4591,    -1,    -1,    -1,
      -1,    -1,   252,  4870,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   899,  4870,    -1,
      -1,   903,    -1,    -1,  4876,    -1,    -1,   277,  4880,  4881,
      -1,    -1,   914,  2172,  2173,  3177,  4703,    -1,    -1,    -1,
      -1,  2180,    -1,    -1,  4943,  2184,  2185,    -1,   298,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   940,    -1,
    2199,    -1,  2201,    -1,    -1,  3464,    -1,    -1,    -1,    -1,
    4922,    -1,    -1,   955,    -1,    -1,    -1,  4870,   960,   329,
      -1,    -1,    -1,    -1,  2223,    -1,  2225,    -1,   970,  4941,
      -1,    -1,  1166,  1167,  3493,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   984,    -1,    -1,    -1,    -1,  5195,   358,  4961,
      -1,    -1,  3254,    -1,    -1,    -1,  4968,  2699,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4979,    -1,    -1,
    4982,    -1,    -1,    -1,    -1,   385,    -1,    -1,  2277,   389,
      -1,   391,    -1,    -1,    -1,    -1,    -1,   397,  2773,  3291,
     400,    -1,    -1,  4748,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5014,    -1,  2789,  2790,  3565,    -1,  2793,    -1,
      -1,    -1,    -1,    -1,  2799,   425,   426,    -1,   428,    -1,
      -1,    -1,   432,    -1,  5036,    -1,  3585,    -1,    -1,    -1,
     440,    -1,    -1,    -1,  1076,   445,  1078,    -1,  1080,    -1,
    3342,    -1,  2341,  4870,    -1,    -1,    -1,   457,    -1,    -1,
    5062,  3610,    -1,    -1,    -1,    -1,    -1,  1099,    -1,    -1,
     470,  5073,  3364,    -1,    -1,  3367,  3368,    -1,    -1,  3371,
      85,    -1,    -1,    88,  5151,  3377,  4831,  5089,  5090,  5138,
      -1,    -1,  5151,  5151,  3386,  2870,    -1,  3646,  5100,  5151,
    3392,    -1,  5151,    -1,    -1,  2394,    -1,  3399,   113,    -1,
    5112,    -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,
      -1,  3413,    -1,  3415,    -1,  2414,    -1,  2416,  5195,  2418,
      -1,    -1,    -1,    -1,  1166,  1167,  5195,  5195,   143,    -1,
      -1,    -1,    -1,  5195,    -1,    -1,  5195,    -1,   996,    -1,
     998,  5153,  1000,    -1,    -1,    -1,    -1,    -1,  1006,  3451,
      -1,    -1,    -1,    -1,    -1,  5167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5190,    -1,  5242,    -1,    -1,    -1,    -1,
      -1,  1029,  1030,  5242,  5242,    -1,  3478,  3479,  5190,    -1,
    5242,  5190,    -1,  5242,    -1,  5190,    -1,    -1,  4943,    -1,
     205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1242,  1243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2951,
      -1,    -1,    -1,  5240,    -1,  2957,    -1,    -1,    -1,    -1,
      -1,  5248,    -1,  5235,    -1,    -1,    -1,    -1,  5240,    -1,
     245,  5240,  5244,    -1,   249,  5240,  5248,  5190,    95,  5248,
      -1,    -1,  3586,  5248,   101,  3589,  3590,  3591,  3592,  3593,
    3594,  3595,  3596,  3597,  3598,   270,   271,  3586,    -1,    -1,
    3589,  3590,  3591,  3592,  3593,  3594,  3595,  3596,  3597,  3598,
      -1,    -1,   287,    -1,    -1,  3619,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   141,    -1,    95,  5240,    -1,  2588,
    3619,    -1,   101,   108,  1152,  5248,    -1,  2596,    -1,  2598,
      -1,   316,    -1,    -1,  3648,  3649,    -1,    -1,  1166,  1167,
      -1,    -1,   127,  1171,   329,    -1,    -1,    -1,    -1,  3648,
    3649,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3632,    -1,   141,   190,    -1,    -1,  1378,    -1,    -1,    -1,
     197,    -1,    -1,   200,   159,    -1,    -1,    -1,    -1,    -1,
      -1,  1393,    -1,    -1,    -1,    -1,    71,    -1,    -1,  1217,
      -1,    -1,    -1,  5190,    79,    80,    -1,    -1,    -1,    -1,
      85,    -1,    -1,    88,  1416,    -1,    -1,    -1,  3163,    -1,
      -1,   190,    -1,  5138,    -1,    -1,    -1,    -1,   197,  2688,
     105,   200,   407,   108,    -1,    -1,  5151,   254,   113,    -1,
     215,    -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,
    1452,    -1,    -1,  5240,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5248,    -1,    -1,    -1,  1467,    -1,    -1,   143,    -1,
      -1,    -1,   247,    -1,    -1,    -1,    -1,    -1,  1480,    -1,
    5195,  1483,    -1,    -1,  4003,   254,    -1,    -1,    -1,    -1,
      -1,  3236,    -1,  3238,   311,    -1,   313,    -1,    -1,    -1,
      -1,   276,    -1,    -1,    -1,    -1,   323,  1701,   283,    -1,
      -1,    -1,    -1,    -1,   331,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   341,    -1,    -1,  5242,    -1,   504,
     505,   506,   507,   508,   509,    -1,    -1,    -1,   313,    -1,
      -1,    -1,   311,    -1,   313,    -1,  3248,  3249,  3250,    -1,
      -1,    -1,    -1,    85,   323,    -1,    88,   374,    -1,    -1,
     377,   378,   331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     245,    -1,   341,   105,   249,    -1,    -1,    -1,    -1,    -1,
    2839,   113,    -1,    -1,    -1,    -1,   403,   119,    -1,    -1,
      -1,    -1,  3854,    -1,  3339,   270,   271,    -1,  1416,    -1,
    3345,    -1,    -1,   378,    -1,   374,  1608,   382,   377,   378,
      -1,   143,   287,   388,  1616,  1617,  3878,    -1,    -1,  3881,
     395,  3883,    -1,    -1,    -1,  1627,    -1,    -1,   403,    -1,
      -1,    -1,    -1,    -1,   403,    -1,    -1,   412,   313,    -1,
      -1,   316,    -1,    -1,   461,   420,  4165,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   329,    -1,    -1,   332,    -1,    -1,
      -1,    -1,    -1,    -1,  3926,    -1,    -1,    -1,    -1,    -1,
    3932,  3933,  3976,  3935,    -1,    -1,    -1,    -1,  1680,  1681,
    1682,    -1,    85,    -1,    -1,    88,    -1,  3976,    -1,  1883,
      -1,    -1,   461,  3955,    -1,    -1,  3398,   472,    -1,  1701,
      -1,   476,   105,    -1,  3966,  3967,  3968,  3969,    -1,    -1,
     113,    -1,    -1,   245,    -1,    -1,   119,   249,    -1,    -1,
      -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,    84,  1731,
      -1,    -1,   407,    89,    -1,    -1,  1738,    -1,   270,   271,
     143,    -1,    -1,  1745,    -1,    -1,    -1,  3492,    -1,    -1,
    1752,  3496,  3497,    -1,  3499,   287,  3501,  3502,    -1,    -1,
      -1,   117,    -1,    -1,    -1,  3510,  4285,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4038,    -1,    -1,    -1,
      -1,   313,  3041,  1785,   316,  3044,    -1,  3046,    -1,  1983,
      -1,    -1,    -1,  1611,  4313,    -1,    -1,   329,  1616,  1617,
    3545,    -1,    -1,    -1,    -1,  1999,   162,    -1,    -1,    -1,
      -1,    -1,    -1,  4332,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   500,   501,   502,    -1,   504,
     505,   506,   507,   508,   509,    -1,    -1,    -1,    -1,  4101,
      -1,    -1,   245,  2037,    -1,    -1,   249,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4159,  4160,    -1,    -1,    -1,
      -1,    -1,    -1,  4382,    -1,    -1,  2060,   270,   271,    -1,
    4159,  4160,    -1,    -1,   230,   407,    -1,    -1,    -1,    -1,
      -1,  1883,    -1,  1701,   287,    -1,    85,    -1,    -1,    88,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     313,    -1,    -1,   316,   113,    -1,    -1,    -1,    -1,  3621,
     119,    -1,    -1,    -1,    -1,    -1,   329,    -1,    -1,   332,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1775,    -1,    -1,
      -1,  1963,    -1,    -1,  4226,  1783,  4228,  4229,   500,   501,
     502,    -1,   504,   505,   506,   507,   508,   509,    -1,    -1,
      -1,  1983,    -1,    -1,    -1,    -1,    -1,    -1,  4250,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1999,    -1,    -1,
      -1,    -1,    -1,    -1,   407,    95,    -1,    -1,    -1,    -1,
      -1,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1837,
    4539,    -1,  1840,  1841,    -1,   381,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2036,  2037,   126,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2047,   245,    -1,    -1,    -1,
     249,   141,    -1,    -1,    -1,    -1,    -1,  2059,  2060,    -1,
     416,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   270,   271,    -1,    -1,    -1,    -1,    -1,    -1,  2081,
      -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,   287,    -1,
      -1,  1909,    -1,    -1,    -1,    -1,    -1,   500,   501,   502,
     190,   504,   505,   506,   507,   508,   509,   197,    -1,    -1,
     200,    -1,    -1,   516,   313,    -1,    -1,   316,  4380,  4381,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3386,  4390,  4391,
     329,    -1,  3391,  3392,    -1,  4397,    -1,    -1,    -1,  4401,
    3399,    -1,    -1,    -1,    -1,    -1,  3848,    -1,    -1,    -1,
      -1,  3853,    -1,  3855,    -1,  4417,  4418,  4419,  4420,  4421,
      -1,   251,    -1,    -1,   254,    -1,    85,    -1,    -1,    88,
      -1,  3430,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,
     119,    -1,    -1,    -1,  2398,    -1,    -1,    -1,   407,   299,
    4472,   301,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   311,    -1,   313,   143,    -1,    -1,    -1,  2230,    -1,
      -1,  4535,    -1,   323,  3936,    -1,    -1,    -1,  4500,    -1,
    4544,   331,    -1,    -1,  2438,    -1,  4535,    -1,    -1,  2443,
     340,   341,  2446,    -1,    -1,  4544,    -1,  4561,  4562,    -1,
      -1,    -1,  4524,  4525,  4526,  4527,    -1,    -1,    -1,    -1,
      -1,    -1,  4561,  4562,  2468,    -1,    -1,    -1,    -1,    -1,
      -1,  4800,    -1,    -1,   374,    -1,    -1,   377,   378,   379,
      -1,    -1,    -1,  3552,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   500,   501,   502,    -1,   504,   505,   506,   507,   508,
     509,    -1,    -1,   403,    -1,  2509,    -1,  4836,    -1,  4064,
    2322,    -1,    -1,    -1,   414,    -1,   245,  4072,  4073,    -1,
     249,    -1,  2526,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   270,   271,    -1,    -1,    -1,    -1,  4876,  2552,    -1,
      -1,  4880,  4881,    -1,    -1,    -1,    85,    -1,   287,    88,
      -1,   461,    -1,    -1,  2376,    -1,  2378,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2579,   105,    -1,    -1,  2583,
      -1,    -1,    -1,    -1,   113,    -1,  2398,   316,    -1,  4661,
     119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2602,    -1,
     329,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2613,
      -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2626,    -1,  4696,    -1,  2438,    -1,    -1,    -1,
    2442,  2443,  2636,  4705,  2446,    -1,    -1,  4709,    -1,  4711,
      -1,    -1,    -1,  4715,  4716,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2468,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,
     836,    -1,    -1,    -1,   840,    -1,    -1,    -1,   407,    -1,
    3749,   105,    -1,    -1,    -1,  4799,    -1,    -1,   854,   113,
      -1,    -1,    -1,    -1,   860,   119,    -1,  2509,    -1,    -1,
    4799,    -1,    -1,    -1,    -1,   871,    -1,    -1,  2520,    -1,
      -1,    -1,    -1,  2341,  2526,  2527,   245,    -1,    -1,   143,
     249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4283,    -1,
      -1,    -1,    -1,   899,    -1,    -1,    -1,   903,    -1,  2551,
    2552,   270,   271,  2555,    -1,    -1,    -1,    -1,   914,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   287,  4314,
    4315,    -1,    -1,    -1,    -1,  2577,  2394,  2579,    -1,    -1,
    2398,  2583,   501,   502,   940,   504,   505,   506,   507,   508,
     509,    -1,    -1,    -1,   313,  3854,  2414,   316,    -1,   955,
    2602,    -1,  4304,    -1,   960,    -1,    -1,    -1,    -1,    -1,
     329,  2613,    -1,   332,   970,    -1,    -1,    -1,  3877,    -1,
      -1,    -1,    -1,    -1,  2626,    -1,    -1,    -1,   984,    -1,
      -1,   245,    -1,  4895,  2636,   249,    -1,    -1,  4383,  4384,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2845,    -1,    -1,    -1,    -1,   270,   271,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   287,  2868,    -1,    -1,    -1,    85,    -1,
      -1,    88,    -1,  3942,  3943,    -1,    -1,    -1,   407,    -1,
      -1,    -1,  3951,    -1,    -1,    -1,  3955,  2699,   105,   313,
      -1,    -1,   316,    -1,    -1,    -1,   113,  3966,    -1,    -1,
      -1,    -1,   119,    -1,    -1,   329,    -1,    -1,   332,    -1,
      -1,    -1,  1078,    -1,    -1,    95,    -1,    -1,    -1,    -1,
      -1,   101,    -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,
      -1,    -1,    -1,  1099,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2760,    -1,
      -1,    -1,    -1,  4508,    -1,  4510,  4511,    -1,    -1,    -1,
    2588,   141,    -1,    -1,  5036,    -1,    -1,  4522,  2596,    -1,
    2598,   500,   501,   502,    -1,   504,   505,   506,   507,   508,
     509,    -1,    -1,   407,    -1,  2797,    -1,   516,    -1,    -1,
      -1,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,    -1,
    1166,  1167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     190,    -1,    -1,   105,  4083,    -1,    -1,   197,    -1,    -1,
     200,   113,    -1,    -1,    -1,    -1,    -1,   119,   245,    -1,
      -1,    -1,   249,  2845,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   143,    -1,   270,   271,    -1,  2868,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     287,    -1,    85,    -1,   254,    88,   500,   501,   502,    -1,
     504,   505,   506,   507,   508,   509,    -1,    -1,    -1,    -1,
     514,    -1,    -1,    -1,    -1,    -1,   313,    -1,    -1,   316,
     113,    -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,
      -1,    -1,   329,    -1,    -1,   332,    -1,    -1,  5190,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3132,    -1,
     143,   311,    -1,   313,    -1,    -1,    -1,    -1,    -1,  2951,
      -1,    -1,    -1,   323,    -1,  2957,    -1,    -1,    -1,    -1,
      -1,   331,    -1,   245,    -1,    -1,    -1,   249,    -1,  4228,
      -1,   341,    -1,    -1,    -1,    -1,    -1,    -1,  5240,    -1,
    3174,    -1,    -1,    -1,    -1,    -1,  5248,    -1,   270,   271,
      -1,  4250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4258,
     407,  4703,   205,    -1,   374,   287,    -1,   377,   378,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2839,  1378,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   313,    -1,   403,   316,    -1,    -1,  1393,    -1,    -1,
      -1,    -1,   245,    -1,  3046,    -1,   249,   329,  4793,    -1,
     332,  4310,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1416,    -1,    -1,    -1,    -1,    -1,    -1,   270,   271,    -1,
      -1,  4330,  4331,    -1,    -1,    -1,  4335,  4336,  3272,    -1,
      -1,    -1,    -1,    -1,   287,    -1,    -1,    -1,    -1,    -1,
    3284,   461,    -1,   500,   501,   502,  1452,   504,   505,   506,
     507,   508,   509,    -1,    -1,    -1,  4851,   514,    -1,    85,
      -1,  1467,    88,   316,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1480,   407,   329,  1483,    -1,    -1,
    3132,    -1,    -1,    -1,    -1,    -1,    85,   113,  4397,    88,
      -1,    -1,    -1,   119,    -1,  3147,  3148,  4892,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   105,    89,  4417,  4418,
    4419,  4420,  4421,    -1,   113,  3359,  4425,   143,  4870,    -1,
     119,    -1,  3174,    -1,    -1,  3177,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   117,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   143,    -1,  1302,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   407,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   500,   501,
     502,    -1,   504,   505,   506,   507,   508,   509,  3046,   205,
     162,    -1,   514,    -1,    -1,    -1,    -1,   855,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   863,  3248,  3249,  3250,    -1,
      -1,    -1,  1608,    -1,   872,    -1,    -1,    -1,    -1,    -1,
    1616,  1617,   880,    -1,    -1,    -1,    -1,   885,    -1,   245,
    3272,  1627,    -1,   249,    -1,    -1,   208,    -1,    -1,    -1,
      -1,    -1,  3284,    -1,   216,    -1,   218,    -1,    -1,    -1,
      -1,  3293,    -1,    -1,   270,   271,   245,    -1,   230,    -1,
     249,   504,   505,   506,   507,   508,   509,    -1,    -1,    -1,
      -1,   287,    -1,    -1,    -1,  3509,    -1,    -1,    -1,    -1,
      -1,   270,   271,    -1,  1680,  1681,  1682,    -1,    -1,    -1,
      -1,    -1,  3526,    -1,    -1,    -1,    -1,    -1,   287,    -1,
     316,    -1,    -1,    -1,    -1,  1701,  4605,    -1,    -1,    -1,
      -1,    -1,  3546,   329,    -1,    -1,    -1,  3359,    -1,  1465,
      -1,    -1,    -1,    -1,   313,    -1,    95,   316,    -1,    -1,
      -1,    -1,   101,    -1,    -1,  1731,    -1,    -1,    -1,    -1,
     329,    -1,  1738,   332,    -1,    -1,    -1,    -1,    -1,  1745,
      -1,    -1,    -1,    -1,    -1,    -1,  3398,    -1,    -1,    -1,
      -1,    -1,  4661,    -1,    -1,    -1,    85,    -1,    -1,    88,
      -1,  3413,   141,  3415,    -1,    -1,    -1,    -1,    -1,    -1,
    5165,    -1,    -1,  1041,    -1,  3427,   105,  3429,    -1,    -1,
      -1,   407,    -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,
     119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1075,   407,    -1,
      -1,   190,    -1,    -1,   143,    -1,    -1,    -1,   197,    -1,
      -1,   200,    -1,    -1,    -1,    -1,  1094,  3479,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5190,    -1,
      -1,    -1,    85,    -1,    -1,    88,    -1,    -1,  1116,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3509,    -1,    -1,
      -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,    -1,    -1,    -1,  3526,   254,   119,  1883,   504,   505,
     506,   507,   508,   509,    -1,    -1,    -1,    -1,  5240,    -1,
      -1,  3543,    -1,    -1,  3546,    -1,  5248,    -1,    -1,    -1,
     143,   500,   501,   502,    -1,   504,   505,   506,   507,   508,
     509,    -1,    -1,    -1,    -1,   514,   245,    -1,  3386,    -1,
     249,    85,    -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,
      -1,  3399,   311,    -1,   313,    -1,    -1,    -1,    -1,    -1,
      -1,   270,   271,    -1,   323,    -1,    -1,    -1,    -1,   113,
    1218,    -1,   331,    -1,    -1,   119,    -1,  1963,   287,    -1,
      -1,    -1,   341,    -1,    -1,    -1,  3810,    -1,    -1,  3621,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1983,    -1,   143,
      -1,    -1,    -1,  1739,   313,    -1,    -1,   316,    -1,    -1,
      -1,    -1,    -1,  1999,    -1,   374,    -1,    -1,   377,   378,
     329,    -1,   245,   332,    -1,    -1,   249,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   403,    -1,    -1,   270,   271,    -1,
    2036,  2037,    -1,    -1,    -1,    -1,    -1,  1793,    -1,    -1,
      -1,  2047,    -1,  1311,   287,    -1,    -1,    -1,    -1,    -1,
      -1,    95,    -1,  2059,  2060,  3899,    -1,   101,  3902,  4968,
      -1,    -1,    -1,    -1,    -1,  1333,  1334,  1335,    -1,  1825,
     313,    -1,    -1,   316,    -1,  2081,    -1,    -1,   407,    -1,
      -1,   245,   461,    -1,  3552,   249,   329,    -1,    -1,   332,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   141,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   270,   271,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   287,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   190,  1903,    -1,    -1,
      -1,    -1,   316,   197,    -1,    -1,   200,    -1,  3810,    -1,
      -1,    -1,  4006,    -1,   407,   329,  1922,    -1,    -1,    -1,
      -1,   500,   501,   502,    -1,   504,   505,   506,   507,   508,
     509,    -1,    -1,  1451,  1940,   514,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3848,    -1,    -1,    -1,
      -1,  3853,    -1,  3855,    -1,    -1,    -1,    -1,    -1,    -1,
     254,  1479,  1968,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2230,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4086,   407,    -1,    -1,    -1,  3899,    -1,    -1,
    3902,    -1,    -1,    -1,   836,    -1,    -1,   500,   501,   502,
      -1,   504,   505,   506,   507,   508,   509,   311,    -1,   313,
      -1,   514,   854,    -1,    -1,  2031,    -1,    -1,   860,   323,
      -1,  5190,    -1,    -1,  3936,    -1,    -1,   331,    -1,   871,
      -1,    85,    -1,    -1,    88,    -1,    -1,   341,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   105,    -1,    -1,    -1,    -1,  2322,   899,    -1,   113,
      -1,   903,    -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,
     374,  5240,   914,   377,   378,    -1,   500,   501,   502,  5248,
     504,   505,   506,   507,   508,   509,    -1,  3999,  4000,   143,
      -1,    -1,    -1,    -1,  4006,  1623,    -1,    -1,   940,   403,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2376,    -1,  2378,   955,    -1,    -1,    -1,    -1,   960,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3854,    -1,   970,    -1,
      -1,    -1,  2398,    -1,    -1,    -1,    85,    -1,    -1,    88,
      -1,    -1,   984,  1671,    -1,    -1,    -1,    85,    -1,  3877,
      88,    -1,    -1,    -1,    -1,    -1,    -1,   461,    -1,    -1,
      -1,    -1,    -1,    -1,   113,    -1,    -1,   105,    -1,    -1,
     119,    -1,  2438,    -1,  4086,   113,  2442,  2443,    -1,    -1,
    2446,   119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   245,    -1,    -1,   143,   249,    -1,    -1,    -1,    -1,
      -1,    -1,  2468,    -1,    -1,   143,    -1,    -1,    -1,    -1,
      -1,    -1,  2228,    -1,    -1,    -1,   270,   271,    -1,    -1,
      -1,    -1,    -1,  4327,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   287,  1076,  4339,  1078,    -1,  1080,    -1,
      -1,    -1,    -1,  2509,    -1,    -1,    95,    -1,    -1,  2265,
      -1,    -1,   101,    -1,    -1,    -1,   205,    -1,    -1,   313,
    2526,  2527,   316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1798,    -1,    -1,    -1,    -1,   329,    -1,  1805,   332,    -1,
      -1,    -1,    -1,    -1,    -1,  2551,  2552,    -1,    -1,  2555,
      -1,    -1,   141,    -1,    -1,    -1,   245,    -1,    -1,    -1,
     249,    -1,    -1,    -1,    -1,  1833,    -1,   245,  1836,    -1,
      -1,   249,    -1,  2579,    -1,    -1,    -1,  2583,    -1,    -1,
      -1,   270,   271,    -1,  1166,  1167,    -1,    -1,    -1,    -1,
      -1,    -1,   270,   271,    -1,    -1,  2602,    -1,   287,    -1,
      -1,   190,    -1,    -1,    -1,  1873,    -1,  2613,   197,   287,
      -1,   200,    -1,   407,    -1,  4083,    -1,    -1,    -1,  1887,
    2626,    -1,    -1,    -1,    -1,    -1,    -1,   316,    -1,    -1,
    2636,    -1,    -1,  1901,    -1,   313,    -1,    -1,   316,    -1,
     329,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4301,
      -1,   329,  4304,    -1,   332,    -1,    -1,    -1,    -1,    -1,
    1242,  1243,    -1,    -1,    -1,   254,    -1,    -1,  2424,    -1,
      -1,    -1,  2428,  2429,    -1,  4327,    -1,    -1,    -1,  4523,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4339,    -1,    85,
      -1,    -1,    88,  2699,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4354,    -1,    -1,    -1,   500,   501,   502,   105,
     504,   505,   506,   507,   508,   509,    -1,   113,   407,    -1,
     514,    -1,   311,   119,   313,    -1,    -1,    -1,    85,   407,
      95,    88,    -1,  2001,   323,    -1,   101,    -1,    -1,  2007,
      -1,    -1,   331,    -1,    -1,  4397,    -1,   143,   105,    -1,
      -1,    -1,   341,    -1,  2760,    -1,   113,    -1,    -1,    -1,
      -1,    -1,   119,    -1,  4416,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   141,    -1,  2534,  4623,
      -1,  4625,    -1,    -1,    -1,   374,   143,    -1,   377,   378,
    4258,  2797,    -1,    -1,    -1,    -1,  1378,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2078,  1393,    -1,    -1,   403,   504,   505,   506,   507,   508,
     509,    -1,   500,   501,   502,   190,   504,   505,   506,   507,
     508,   509,   197,    -1,  1416,   200,   514,    -1,    -1,  2845,
      -1,    -1,  4310,    -1,    -1,    -1,    -1,    -1,    -1,   245,
      -1,    -1,    -1,   249,    -1,    -1,    -1,  2125,  2126,    -1,
      -1,    -1,  2868,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1452,  4523,   461,    -1,   270,   271,  2144,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1467,    -1,    -1,   245,   254,
      -1,   287,   249,    -1,    -1,    -1,    -1,    -1,  1480,    -1,
      -1,  1483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   270,   271,    -1,    -1,   313,    -1,    -1,
     316,    -1,    -1,    -1,    -1,    -1,  2682,    -1,    -1,  4397,
     287,    -1,    -1,   329,    -1,    -1,   332,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    95,  2951,   311,    -1,   313,    -1,
     101,  2957,    -1,    -1,    -1,    -1,   313,  4425,   323,   316,
      -1,    -1,    -1,    -1,    -1,    -1,   331,    -1,    -1,    -1,
      -1,  4623,   329,  4625,    -1,   332,   341,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     141,    -1,    -1,  2261,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2757,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   374,
    4662,   407,   377,   378,    85,    -1,    -1,    88,  2286,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1608,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1616,  1617,    -1,    -1,   403,   190,
    3046,    -1,   113,    -1,    -1,  1627,   197,    -1,   119,   200,
     407,  4703,    -1,  4705,    -1,  2323,    -1,  2325,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2362,    -1,   461,    -1,  1680,    -1,
      -1,  2857,    -1,   254,   500,   501,   502,    -1,   504,   505,
     506,   507,   508,   509,    -1,    -1,    -1,    -1,   514,  1701,
      -1,    -1,    -1,    -1,    -1,    -1,  3132,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   205,    -1,    -1,    -1,    -1,    -1,
      -1,  3147,  3148,   500,   501,   502,    -1,   504,   505,   506,
     507,   508,   509,    -1,    -1,    -1,    -1,   514,    -1,    -1,
     311,    -1,   313,  1745,    -1,    -1,    -1,    -1,  3174,    -1,
    1752,  3177,   323,    -1,   245,    -1,    -1,    -1,   249,    -1,
     331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     341,    -1,    -1,  4661,    -1,    -1,    -1,    -1,    -1,   270,
     271,    -1,    -1,  1785,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   287,    -1,  4870,    -1,
      -1,    -1,    -1,   374,    -1,    -1,   377,   378,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3248,  3249,  3250,   316,    -1,    -1,    -1,    -1,
      -1,    -1,   403,    -1,    -1,    -1,  5100,    -1,   329,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3272,    -1,    -1,     5,
    3026,  3027,  3028,    -1,    -1,    -1,    -1,    -1,  3284,    -1,
    2548,    -1,    -1,    -1,    -1,    -1,    -1,  3293,    -1,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2565,    -1,    35,
      36,  1883,    -1,    -1,    -1,    41,    -1,    43,    44,    -1,
     461,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,   407,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    -1,    -1,
      86,    -1,    -1,  3359,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3120,    -1,    -1,  3123,    -1,  3125,
      -1,    -1,    -1,    -1,  3130,    -1,    -1,    -1,    -1,    -1,
      -1,  1963,    -1,    -1,  5036,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3398,    -1,    -1,    -1,    -1,    -1,   134,    -1,
      -1,  1983,    -1,    -1,    -1,    -1,    -1,  3413,    -1,  3415,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1999,    -1,    -1,
      -1,  3427,    -1,  3429,  3180,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   504,   505,   506,   507,   508,   509,    -1,
      -1,  2709,    -1,    -1,    -1,    -1,    -1,    -1,  5100,    -1,
      -1,    -1,    -1,    -1,  2036,  2037,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3220,  2047,    -1,    -1,   204,    -1,
      -1,    -1,    -1,  3479,    -1,    -1,    -1,  2059,  2060,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   222,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2081,
    4968,    -1,    -1,  3509,    -1,    -1,   242,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3526,    -1,    -1,    -1,    -1,  3281,    -1,  3283,   264,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3543,  5190,    -1,
    3546,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    88,    -1,   300,    -1,    -1,   303,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
      -1,    -1,   318,    -1,  3340,    -1,    -1,   113,  5240,    -1,
      -1,    -1,    -1,   119,    -1,    -1,  5248,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3365,
      -1,    -1,    -1,    -1,    -1,  3621,    -1,   143,    -1,    -1,
      -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3386,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    25,    -1,  3399,    -1,    -1,    -1,    -1,  2230,    -1,
      -1,    35,    36,    -1,    -1,    -1,    -1,    -1,   394,    43,
      44,    -1,    -1,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
     436,    -1,    86,    -1,    -1,    -1,    -1,    -1,  3464,    -1,
      -1,    -1,    -1,    -1,   450,    -1,    -1,    -1,    -1,   245,
      -1,    -1,    -1,   249,  3480,    -1,    -1,    -1,    -1,   465,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3493,    -1,    -1,
      -1,    -1,    -1,    -1,   270,   271,    -1,    -1,    -1,  3017,
     134,    -1,    -1,    -1,    -1,    -1,    -1,   493,    -1,    -1,
      -1,   287,    -1,    -1,   500,    -1,    -1,    -1,   504,   505,
     506,   507,   508,    -1,    -1,   511,   512,   513,   514,    -1,
     516,   517,   518,   519,   520,    -1,    -1,   313,    -1,    -1,
     316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   329,  3810,    -1,   332,    -1,    -1,  3565,
      -1,    -1,    -1,    -1,    -1,    -1,  2398,    -1,    -1,    -1,
     204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3585,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   222,    -1,
      -1,    -1,  3848,    -1,    -1,    -1,    -1,  3853,    -1,  3855,
      -1,    -1,    -1,    -1,  3610,    -1,  2438,    -1,   242,    -1,
    2442,  2443,    -1,    -1,  2446,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     264,   407,    -1,    -1,    -1,    -1,  2468,    -1,    -1,    -1,
    3646,    -1,    -1,  3899,    -1,    -1,  3902,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   300,    -1,    -1,   303,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2509,    -1,    -1,
    3936,    -1,    -1,    -1,   318,  3691,    -1,    -1,  2520,    -1,
      95,    -1,    -1,    -1,  2526,  2527,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2551,
    2552,   126,    -1,  2555,   500,   501,   502,    -1,   504,   505,
     506,   507,   508,   509,    -1,    -1,   141,    -1,   514,    -1,
      -1,    -1,    -1,  3999,  4000,  2577,    -1,  2579,    -1,    -1,
    4006,  2583,    85,    -1,    -1,    88,    -1,  3763,    -1,    -1,
     394,    -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,    -1,
    2602,    -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,  2613,    -1,    -1,    -1,   190,   119,    95,    -1,    -1,
      -1,    -1,   197,   101,  2626,   200,    -1,    -1,    -1,    -1,
      -1,    -1,   436,    -1,  2636,    -1,    85,    -1,    -1,    88,
     143,    -1,    -1,    -1,    -1,    -1,   450,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,
    4086,   465,    -1,   141,   113,    -1,    -1,    -1,    -1,    -1,
     119,    -1,    -1,    -1,    -1,    -1,   251,    -1,  3854,   254,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,
      -1,    -1,    -1,    -1,   143,    -1,   500,  2699,    -1,    -1,
     504,   505,   506,   507,   508,    -1,    -1,   511,   512,   513,
      -1,    -1,   190,    -1,   518,   519,    -1,    -1,    -1,   197,
      -1,    -1,   200,    -1,   299,    -1,   301,    -1,    -1,    -1,
      -1,  3419,  3420,    -1,    -1,    -1,   311,    -1,   313,    -1,
      -1,    -1,   245,    -1,    -1,    -1,   249,  3435,   323,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   331,    -1,  2760,    -1,
      -1,  3449,    -1,    -1,    -1,   340,   341,   270,   271,    -1,
      -1,  3459,    -1,    -1,    -1,    -1,   254,    -1,    94,    -1,
      -1,    -1,    -1,    -1,   287,  3473,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2797,   245,    -1,    -1,   374,
     249,    -1,   377,   378,   379,    -1,    -1,    -1,    -1,    -1,
     313,    -1,    -1,   316,    -1,    -1,   132,    -1,    -1,    -1,
      -1,   270,   271,    -1,    -1,    -1,   329,  4003,   403,   332,
      -1,    -1,    -1,   311,    -1,   313,    -1,   153,   287,   414,
      -1,    -1,    -1,  2845,    -1,   323,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   331,    -1,   171,  3544,    -1,    -1,    -1,
      -1,    -1,    -1,   341,   313,  4041,  2868,   316,   184,    -1,
      -1,    -1,    -1,    -1,    -1,  4301,   192,    -1,  4304,    -1,
     329,    -1,    -1,   332,    -1,    -1,   461,    -1,    -1,    -1,
      -1,   207,    -1,   209,    -1,    -1,   374,   213,    -1,   377,
     378,  4327,    -1,    -1,   407,    -1,    -1,   223,    -1,    -1,
      -1,    -1,    -1,  4339,    -1,   231,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   403,    -1,    -1,  4354,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,     9,    -1,    -1,
      -1,    13,    -1,    15,    -1,    17,    18,    -1,    -1,  2951,
      -1,    -1,    -1,    -1,    -1,  2957,    28,    -1,   407,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4397,    -1,    45,    46,    -1,    -1,    -1,  4154,  3667,
    3668,  3669,    -1,   461,    -1,    -1,    -1,    -1,    -1,  4165,
    4416,    -1,    -1,    -1,    -1,    -1,    -1,   500,   501,   502,
      -1,   504,   505,   506,   507,   508,   509,    -1,    -1,    -1,
      -1,   514,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   101,
      -1,   103,   104,    -1,    -1,    -1,    -1,    -1,  4214,    -1,
      -1,    -1,    -1,  4219,  3046,    -1,   118,    -1,  4224,    -1,
      -1,   500,   501,   502,    -1,   504,   505,   506,   507,   508,
     509,    -1,    -1,    -1,    -1,   514,   138,    -1,   140,   141,
      -1,    -1,    -1,    -1,   146,    -1,   148,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   158,    -1,   160,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4523,    -1,    -1,
      -1,    -1,   174,    -1,   176,    -1,    -1,   179,    -1,  4285,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   191,
      -1,   193,    -1,    -1,    -1,   197,    -1,    -1,    -1,    -1,
    3132,   203,    -1,    -1,    -1,    -1,    -1,  4313,    -1,   211,
      -1,   213,    -1,    -1,    -1,  3147,  3148,   219,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4332,    -1,    -1,    -1,
      -1,    -1,   234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3174,    -1,    -1,  3177,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    85,    -1,   160,    88,    -1,  4623,    -1,  4625,
      -1,    -1,    -1,    -1,    -1,    -1,  4382,    -1,    -1,    -1,
      -1,    -1,   105,    -1,    -1,    -1,    -1,   289,   290,    -1,
     113,    -1,    -1,   295,    -1,    -1,   119,    -1,    -1,    -1,
      -1,    85,   304,    -1,    88,    -1,  4662,    -1,    -1,    -1,
      -1,   207,    -1,   315,    -1,    -1,  3248,  3249,  3250,    -1,
     143,   105,    -1,   219,    -1,    -1,    -1,    -1,   224,   113,
      -1,    -1,    -1,   229,    -1,   119,    -1,    -1,   234,    -1,
    3272,   237,    -1,   239,    -1,  3963,    -1,  4703,    -1,  4705,
      -1,   353,  3284,    -1,    -1,    -1,    -1,    -1,    -1,   143,
      -1,  3293,    -1,   365,  3982,    -1,    -1,    -1,   370,   371,
     266,   373,    -1,    -1,    -1,    -1,   378,    -1,    -1,    -1,
      -1,   383,    -1,    -1,   386,    -1,    -1,    -1,   390,    -1,
     636,  4009,   288,   395,   396,  4501,    -1,    -1,    -1,    -1,
      -1,   403,    -1,    -1,   406,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   414,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   245,    -1,   426,    -1,   249,  3359,    -1,   325,
      -1,    -1,    -1,  4539,    -1,    -1,    -1,   333,    -1,    -1,
      -1,   443,    -1,   445,    -1,    -1,    -1,   270,   271,    -1,
      -1,   453,    -1,    -1,    -1,    -1,    -1,   459,    -1,    -1,
      -1,   245,   464,    -1,   287,   249,  3398,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   477,    -1,    -1,    -1,    -1,
      -1,  3413,    -1,  3415,    -1,   381,   270,   271,    -1,    -1,
     313,    -1,    -1,   316,    -1,  3427,    -1,  3429,    -1,    -1,
      -1,    -1,    -1,   287,    -1,    -1,   329,    -1,    -1,   332,
      -1,   513,    -1,    -1,  4870,   517,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   313,
     426,    -1,   316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   329,    -1,  3479,   332,    -1,
      -1,    -1,    -1,    -1,   450,  4661,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4181,  4182,  4183,  4184,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3509,   474,    -1,
     476,   477,    -1,    -1,   407,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3526,    -1,    -1,    -1,   844,   845,
     846,   847,    -1,   849,    -1,   851,    -1,   853,    -1,   855,
      -1,  3543,   858,    -1,  3546,   511,    -1,   863,   514,   515,
     866,   517,    -1,   407,   870,    -1,   872,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   880,    -1,    -1,    -1,    -1,   885,
      -1,   887,    -1,    -1,   890,    -1,   892,    -1,   894,    -1,
      -1,    -1,    -1,    -1,    -1,   901,    -1,    -1,   904,    -1,
      -1,    -1,    -1,    -1,    -1,   911,    -1,    -1,    -1,    -1,
      -1,  4777,    -1,    -1,    -1,    -1,    -1,   500,   501,   502,
    5036,   504,   505,   506,   507,   508,   509,    -1,    -1,  3621,
      -1,   514,    -1,    -1,  4800,    -1,    -1,    -1,   944,    -1,
      -1,    -1,    -1,   949,    -1,    -1,    -1,    -1,   954,    -1,
      -1,    -1,   958,    -1,    -1,    -1,   500,   501,   502,    -1,
     504,   505,   506,   507,   508,   509,    -1,   973,   512,    -1,
    4836,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5100,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,
    4876,    -1,    -1,    -1,  4880,  4881,    -1,    -1,    -1,    -1,
      -1,    -1,  1028,    -1,   105,    -1,    -1,    -1,   109,    -1,
      -1,    -1,   113,    -1,    -1,  1041,  1042,    -1,   119,    85,
      -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
      -1,    -1,   143,    -1,  1070,    -1,    -1,   113,  1074,  1075,
      -1,    -1,    -1,   119,  5190,    -1,    -1,    -1,    85,    -1,
      -1,    88,  1302,    -1,    -1,    -1,    -1,    -1,  1094,    -1,
      -1,    -1,  1098,    -1,    -1,  4961,    -1,   143,   105,    -1,
    1106,    -1,    -1,    -1,    -1,    -1,   113,   188,    -1,    -1,
    1116,    85,   119,    -1,    88,    -1,    -1,    -1,  3810,    -1,
      -1,    -1,  1128,    -1,  5240,    -1,  4504,    -1,    -1,    -1,
      -1,   105,  5248,    -1,    -1,    -1,   143,    -1,    -1,   113,
      -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3848,    -1,    -1,    -1,
      -1,  3853,    -1,  3855,   245,    -1,    -1,    -1,   249,   143,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,    -1,
      -1,    -1,    -1,   229,    -1,    -1,    -1,    -1,    -1,   270,
     271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   245,
      -1,    -1,    -1,   249,  1210,    -1,   287,  3899,    -1,    -1,
    3902,    -1,  1218,    -1,  1220,  1221,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   270,   271,    -1,    -1,    -1,    -1,
      -1,    -1,   313,    -1,    -1,   316,    -1,    -1,   245,    -1,
      -1,   287,   249,    -1,  3936,  1465,    -1,    -1,   329,   223,
      -1,   332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1268,   270,   271,    -1,    -1,   313,    -1,    -1,
     316,   245,    -1,  1279,    -1,   249,    -1,  1283,    -1,    -1,
     287,    -1,    -1,   329,    -1,    -1,   332,    -1,    -1,    -1,
    1296,    -1,    -1,    -1,    -1,    -1,   270,   271,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1311,   313,  3999,  4000,   316,
      -1,  1317,  1318,   287,  4006,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   329,    -1,    -1,   332,   407,  1333,  1334,  1335,
      -1,  1337,    -1,  1339,    -1,    -1,    -1,  1343,    -1,   313,
      -1,    -1,   316,    -1,    -1,   352,    -1,    -1,    -1,    -1,
    4728,    85,    -1,    -1,    88,   329,    -1,    -1,   332,    -1,
      -1,   407,    -1,    -1,    -1,    -1,  1372,    -1,  1374,  1375,
      -1,   105,    -1,    -1,   108,    -1,   350,   458,    -1,   113,
      -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,  4766,    -1,
      -1,  1611,    -1,    -1,  4086,    -1,    -1,    -1,    -1,    -1,
     407,    -1,  1408,    -1,    -1,    -1,    -1,    -1,    -1,   143,
      -1,    -1,    -1,    -1,   421,    -1,    -1,    -1,    -1,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,    -1,
      -1,    -1,    -1,   407,    -1,    -1,    -1,    -1,    -1,    -1,
    1446,  1447,    -1,    -1,    -1,  1451,    -1,  1453,    -1,    -1,
      -1,    -1,    -1,    -1,   500,   501,   502,    -1,   504,   505,
     506,   507,   508,   509,    -1,    -1,    -1,    -1,    -1,    -1,
    1476,    -1,    -1,  1479,    -1,    -1,  1482,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4862,    -1,    -1,    -1,  1494,    -1,
      -1,    -1,    -1,   500,   501,   502,    -1,   504,   505,   506,
     507,   508,   509,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   245,    -1,    -1,    -1,   249,    -1,  1523,    -1,  1739,
      -1,    -1,    -1,    -1,    -1,    -1,   500,   501,   502,    -1,
     504,   505,   506,   507,   508,   509,   270,   271,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1551,  1552,    -1,  1554,    -1,
      -1,    -1,    -1,   287,    -1,    -1,    -1,    85,    -1,    -1,
      88,    -1,    -1,    -1,    -1,    -1,    -1,  1573,    -1,    -1,
      -1,    -1,    -1,  1793,    -1,    -1,    -1,   105,    -1,   313,
      -1,    -1,   316,    -1,    -1,   113,    -1,    -1,  1594,  1595,
      -1,   119,    -1,    -1,    -1,   329,    -1,    -1,   332,    -1,
      -1,    -1,    -1,    -1,    -1,  1825,    -1,    -1,    -1,  4301,
      -1,    -1,  4304,    -1,    -1,   143,    -1,  1623,    -1,    -1,
    1626,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4327,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4339,    -1,  1655,
      -1,    -1,    -1,  1659,  1660,    -1,    -1,    -1,    -1,    -1,
      85,    -1,  4354,    88,  1670,  1671,  1672,    -1,    -1,    -1,
      -1,    -1,    85,   407,    -1,    88,    -1,    -1,    -1,    -1,
     105,    -1,    -1,  1903,    -1,    -1,    -1,    -1,   113,    -1,
      -1,    -1,   105,  1699,   119,   108,    -1,    -1,    -1,    -1,
     113,    -1,  1922,    -1,    -1,  4397,   119,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   245,   143,    -1,
    1940,   249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   270,   271,    -1,    -1,    -1,    -1,  1968,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   287,
      -1,    -1,    -1,    -1,    -1,    -1,   500,   501,   502,    -1,
     504,   505,   506,   507,   508,   509,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   313,    -1,    -1,   316,    -1,
      -1,    -1,  1798,  1799,    -1,    -1,    -1,    -1,    -1,  1805,
      -1,   329,  1808,    -1,   332,    -1,    -1,    -1,    -1,    -1,
      -1,  2031,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   347,
     245,  1827,    -1,    -1,   249,    -1,    -1,  1833,    -1,    -1,
    1836,  4523,   245,    -1,    -1,    -1,   249,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   270,   271,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1861,    -1,   270,   271,    -1,
      -1,    -1,   287,  1869,  1870,  1871,  1872,  1873,    -1,    -1,
      -1,    -1,    -1,    -1,   287,    -1,    -1,    -1,    -1,   407,
      -1,  1887,    -1,    -1,    -1,    -1,    -1,    -1,   313,    -1,
      -1,   316,    -1,  1899,    -1,  1901,    -1,    -1,    -1,    -1,
     313,    -1,    -1,   316,   329,  1911,  1912,   332,    -1,    -1,
      -1,  1917,    -1,    -1,    -1,    -1,   329,    -1,    -1,   332,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4623,    -1,  4625,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1962,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4662,    -1,   500,   501,   502,    -1,   504,   505,   506,   507,
     508,   509,   407,  1989,  1990,  1991,  1992,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   407,  2001,    -1,    -1,    -1,    -1,
      -1,  2007,    -1,    -1,  2010,    -1,    -1,    -1,  2228,    -1,
      -1,  4703,    -1,  4705,    -1,    -1,    -1,    -1,    -1,  2025,
      -1,    -1,    -1,    -1,    -1,    -1,  2032,    -1,  2034,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2044,    -1,
      -1,    -1,    -1,  2049,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2058,    -1,    -1,    -1,    -1,    -1,  2064,  2065,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2078,    -1,    -1,   500,   501,   502,    -1,   504,
     505,   506,   507,   508,   509,    -1,    -1,   500,   501,   502,
      -1,   504,   505,   506,   507,   508,   509,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2112,    -1,    -1,    -1,
      -1,    -1,    -1,  2119,    -1,  2121,    -1,    -1,    -1,  2125,
    2126,    -1,  2128,    -1,    -1,    -1,    -1,    -1,  2134,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2144,    -1,
      -1,    -1,    -1,    -1,    -1,  2151,  2152,    -1,    -1,  2155,
      -1,    -1,    -1,  2159,  2160,    -1,    -1,    -1,    -1,    -1,
      -1,  2167,    -1,    -1,  2170,    -1,    -1,    -1,  2174,  1302,
      -1,    -1,    -1,    -1,    -1,    -1,  2182,  2183,  4870,    -1,
      -1,    -1,    -1,    -1,  2190,    -1,  2192,  2193,  2194,  2195,
    2196,    -1,    -1,    -1,    -1,    -1,    -1,  2203,  2204,    -1,
    2206,    -1,  2208,  2209,  2424,    -1,  2212,    -1,  2428,  2429,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2229,    -1,    -1,    -1,  2233,  2234,    -1,
      -1,    -1,  2238,    -1,    -1,    -1,  2242,    -1,  2244,  2245,
    2246,  2247,  2248,  2249,  2250,  2251,  2252,    -1,  2254,    -1,
      -1,    -1,    -1,    -1,    -1,  2261,    -1,    -1,  2264,  2265,
      -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,    88,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2286,    -1,    -1,    -1,   160,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,   119,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2534,    -1,    -1,  2323,    -1,  2325,
      -1,  2327,    -1,   143,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   207,  1465,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      88,    -1,    -1,   219,  5036,    -1,    -1,    -1,   224,    -1,
      -1,    -1,    -1,   229,    -1,    -1,  2362,   105,   234,    -1,
     108,   237,  2368,   239,  2370,   113,    -1,    -1,    -1,    -1,
      -1,   119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     266,    -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5100,   229,
      -1,    -1,   288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,   249,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2447,    -1,    -1,    -1,    -1,  2452,    -1,  2454,   325,
     270,   271,    -1,    -1,    -1,    -1,    -1,   333,    -1,    -1,
      -1,    -1,  2682,    -1,    -1,  2471,    -1,   287,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2482,    -1,  2484,  2485,
    2486,    -1,    -1,  2489,    -1,  2491,    -1,  2493,    -1,  2495,
      -1,  2497,  2498,   313,    -1,  2501,   316,   245,  5190,    -1,
      -1,   249,    -1,    -1,    -1,   381,    -1,    -1,    -1,   329,
      -1,    -1,   332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   270,   271,  2530,    -1,    -1,    -1,    -1,    -1,
      -1,  2537,    -1,    -1,    -1,    -1,  2542,  2757,    -1,   287,
      -1,    -1,  2548,    -1,    -1,    -1,    -1,    -1,  5240,    -1,
     426,    -1,    -1,    -1,    -1,    -1,  5248,    -1,    -1,  2565,
      -1,    -1,    -1,  2569,  2570,   313,    -1,    -1,   316,    -1,
    2576,    -1,    -1,    -1,   450,    -1,    -1,    -1,    -1,    -1,
      -1,   329,    -1,    -1,   332,    -1,    -1,   407,  2594,    -1,
      -1,    -1,    -1,  2599,    -1,    -1,    -1,    -1,   474,    -1,
     476,   477,    -1,    -1,    -1,    -1,  1739,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2622,    -1,  2624,  2625,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   511,    -1,  2857,   514,   515,
      -1,   517,    -1,    -1,    -1,    -1,    -1,    -1,  2654,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2662,    -1,    -1,   407,
    1793,  2667,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2680,    -1,    -1,    -1,    -1,    -1,
     500,   501,   502,    -1,   504,   505,   506,   507,   508,   509,
      -1,    -1,  1825,    -1,    -1,    -1,    -1,    -1,  2704,    -1,
      -1,  2707,    -1,  2709,    -1,  2711,    -1,    -1,  2714,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2740,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2748,  2749,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   500,   501,   502,  2761,   504,   505,   506,   507,
     508,   509,    -1,    -1,    -1,    -1,    -1,    -1,   160,    -1,
    1903,    -1,  2778,    -1,  2780,  2781,  2782,  2783,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,    88,  1922,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2805,
      -1,    -1,    -1,    -1,    -1,   105,    -1,  1940,    -1,    -1,
      -1,    -1,    -1,   113,    -1,   207,    -1,    -1,    -1,   119,
      -1,  2827,    -1,    -1,    -1,    -1,    -1,   219,    -1,    -1,
      -1,    -1,   224,    -1,    -1,  1968,    -1,   229,    -1,    -1,
      -1,    -1,   234,   143,    -1,   237,    -1,   239,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2872,    -1,    -1,    -1,
      -1,    -1,  2878,    -1,   266,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2889,    -1,    -1,    -1,    -1,    -1,  2895,
    2896,    -1,    -1,    -1,    -1,  2901,   288,    -1,  2031,    -1,
    3120,    -1,    -1,  3123,    -1,  3125,    -1,    -1,    -1,    -1,
    3130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2926,  2927,    -1,    -1,    -1,  2931,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   325,    -1,    -1,    -1,  2943,  2944,  2945,
    2946,   333,    -1,    -1,    -1,   245,    -1,    -1,    -1,   249,
    2956,    -1,    -1,  2959,    -1,  2961,  2962,    -1,    -1,    -1,
    3180,    -1,    -1,    -1,    -1,  2971,  2972,    -1,    -1,  2975,
     270,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2988,    -1,  2990,    -1,  2992,   287,  2994,   381,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3220,    -1,    -1,    -1,    -1,    -1,    -1,  3013,    -1,    -1,
      -1,  3017,    -1,   313,    -1,    -1,   316,  3023,    -1,    -1,
    3026,  3027,  3028,    -1,    -1,    -1,    -1,    -1,    -1,   329,
      -1,    -1,   332,    -1,   426,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3050,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3063,   450,    -1,
      -1,  3281,  3068,  3283,    -1,    -1,    -1,    -1,  3074,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3082,    -1,    -1,  3085,
      -1,    -1,   474,  3089,   476,   477,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2228,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   407,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   511,
    3340,    -1,   514,   515,    -1,   517,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   433,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3365,    -1,  3153,    -1,  3155,
      -1,    -1,    -1,    -1,  3160,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3386,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   117,    -1,  3399,
    3186,    -1,  3188,  3189,  3190,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     500,   501,   502,    -1,   504,   505,   506,   507,   508,   509,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3464,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     5,    -1,    -1,    -1,    -1,
    3480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   208,    -1,
      -1,    -1,    -1,  3493,    -1,    25,   216,    -1,   218,    -1,
      -1,    -1,    -1,    -1,    -1,    35,    36,    -1,    -1,    -1,
     230,  2424,    -1,    43,    44,  2428,  2429,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3565,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3369,  3370,  3585,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   134,    -1,  3392,    -1,    -1,    -1,
    3610,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3419,  3420,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3646,    -1,    -1,  3435,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3448,  3449,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3457,  3458,  3459,   204,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3473,    -1,    -1,
      -1,    -1,   222,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3488,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   242,    -1,    -1,    -1,    -1,  3503,    -1,    -1,
    3506,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   264,    -1,    -1,  3523,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3544,    -1,
      -1,    -1,    -1,  3763,    -1,    -1,    -1,    -1,  3554,  2682,
     300,    -1,    -1,   303,    -1,    -1,  3562,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3572,    -1,   318,    -1,
      -1,    -1,  3578,    -1,  3580,    -1,    -1,    -1,    -1,    -1,
    3586,    -1,    -1,  3589,  3590,  3591,  3592,  3593,  3594,  3595,
    3596,  3597,  3598,    -1,    -1,    -1,  3602,  3603,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3615,
      -1,    -1,    -1,  3619,    -1,    -1,    -1,  3623,    -1,    -1,
      -1,    -1,    -1,    -1,  2757,    -1,    -1,  3633,    -1,    -1,
    3636,    -1,  3638,    -1,  3854,    -1,    -1,    -1,    -1,    -1,
      -1,  3647,  3648,  3649,   394,    -1,    -1,  3653,    -1,    -1,
    3656,    -1,    -1,    -1,  3660,    -1,    -1,    -1,    -1,    -1,
      -1,  3667,  3668,  3669,  3670,    -1,  3672,  3673,    -1,    -1,
      -1,  3677,  3678,    -1,    -1,    -1,    -1,    -1,  3684,    -1,
      -1,    -1,    -1,    -1,  3690,  3691,   436,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   465,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2857,    -1,    -1,    -1,    -1,  3735,
      -1,    -1,    -1,    -1,    -1,  3741,    -1,    -1,    -1,  3745,
      -1,  3747,    -1,   493,    -1,    -1,    -1,    -1,    -1,    -1,
     500,    -1,    -1,    -1,   504,   505,   506,   507,   508,    -1,
      -1,   511,   512,   513,   514,    -1,    -1,    -1,   518,    -1,
      -1,    -1,    -1,  3779,  3780,  3781,    -1,  3783,    -1,    -1,
      -1,    -1,    -1,  4003,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3801,  3802,  3803,  3804,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4041,    -1,   845,   846,    -1,    -1,   849,    -1,   851,
      -1,    -1,  3838,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   870,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   890,    -1,
      -1,    -1,   894,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3887,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   911,
      -1,    -1,    -1,    -1,    -1,    -1,   836,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   844,    -1,    -1,    -1,    -1,    -1,
    3916,    -1,    -1,   853,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4154,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4165,    -1,   887,    -1,  3955,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3963,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3974,    -1,
    3976,    -1,    -1,    -1,    -1,    -1,  3982,    -1,    -1,    -1,
      -1,    -1,  3988,    -1,    -1,    -1,    -1,  3120,    -1,    -1,
    3123,  3997,  3125,    -1,    -1,    -1,    -1,  3130,    -1,    -1,
      -1,    -1,    -1,  4009,   944,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4019,   954,    -1,    -1,    -1,    -1,    -1,
    4026,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4042,  4043,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3180,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4067,    -1,  4069,    -1,  4285,    85,    -1,    -1,    88,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   105,  3220,    -1,   108,
      -1,    -1,    -1,  4313,   113,    -1,    -1,    -1,  4104,    -1,
     119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,
    1070,    -1,    -1,    -1,    -1,  4141,  1076,    -1,    -1,    -1,
    1080,    -1,    -1,    -1,    -1,  4151,  4152,    -1,  3281,    -1,
    3283,    -1,    -1,  4159,  4160,    -1,    -1,    -1,  4164,    -1,
      -1,    -1,  4382,    -1,  4170,  4171,  1106,    -1,  4174,    -1,
      -1,  4177,  4178,    -1,    -1,  4181,  4182,  4183,  4184,    -1,
      -1,    -1,  4188,  4189,    -1,  4191,    -1,    -1,  4194,    -1,
      -1,    -1,  4198,    -1,    -1,    -1,  4202,    -1,  1220,  1221,
      -1,    -1,  4208,    -1,    -1,    -1,    -1,  3340,  4214,    -1,
      -1,    -1,    -1,  4219,    -1,    -1,    -1,    -1,  4224,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   245,  4233,    -1,    -1,
     249,    -1,  3365,    -1,    -1,  4241,    -1,    -1,    -1,  4245,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   270,   271,  3386,    -1,    -1,    -1,    -1,  4264,    -1,
      -1,  4267,    -1,    -1,    -1,    -1,  3399,    -1,   287,    -1,
      -1,    -1,    -1,    -1,  1296,    -1,    -1,    -1,    -1,    -1,
      -1,  4287,  4288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   313,  1317,  1318,   316,    -1,    -1,
      -1,    -1,  1242,  1243,    -1,  4311,    -1,    -1,    -1,    -1,
     329,    -1,    -1,   332,    -1,  1337,    -1,    -1,    -1,  4539,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1268,    -1,
      -1,  3464,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1279,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3480,    -1,    -1,
      -1,    -1,  1374,  1375,    -1,    -1,    -1,  4363,    -1,    -1,
    3493,    -1,  1302,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4377,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   407,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1339,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4417,  4418,  4419,  4420,  4421,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3565,    -1,    -1,  4441,    -1,    -1,    -1,    -1,
      -1,  4661,    -1,    -1,    -1,    -1,  4452,    -1,    -1,    -1,
      -1,  4457,  3585,    -1,    -1,    -1,    -1,    -1,  4464,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1408,    -1,
      -1,  4477,  4478,    -1,    -1,    -1,    -1,  3610,    -1,    -1,
      -1,   500,   501,   502,    -1,   504,   505,   506,   507,   508,
     509,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4504,    -1,
    4506,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3646,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1465,    -1,    -1,    -1,  4535,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4544,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1494,  4561,  4562,  4777,    -1,  4565,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4578,  4579,    -1,    -1,    -1,  4583,    -1,    -1,
    4800,    -1,  4588,  1523,    -1,  4591,  4592,    -1,  4594,    -1,
    4596,  4597,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1551,  1552,    -1,  1554,    -1,  4836,    -1,    -1,    -1,
      -1,    -1,    -1,  4629,  4630,  4631,  4632,  4633,    -1,    -1,
    3763,    -1,    -1,  1573,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4876,    -1,    -1,    -1,
    4880,  4881,    -1,    -1,    -1,  4671,  4672,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1626,  1627,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4713,  4714,    -1,
      -1,    -1,  4718,    -1,    -1,  1655,    -1,    -1,    -1,  1659,
    1660,  3854,  4728,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4739,    -1,    -1,    -1,    -1,    -1,    -1,
    4746,    -1,    -1,    -1,  4750,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4763,    -1,    -1,
    4766,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4774,  4775,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1808,    -1,    -1,    -1,
      -1,    -1,    -1,  4799,    -1,    -1,  4802,    -1,  4804,  1739,
      -1,    -1,    -1,    -1,    -1,  1745,    -1,    -1,    -1,    -1,
      -1,    -1,  1752,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4827,    -1,    -1,    -1,  4831,    -1,    -1,  4834,    -1,
      -1,    -1,    -1,    -1,  4840,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1785,    -1,  1869,  1870,  1871,
    1872,    -1,  4858,  1793,    -1,    -1,  4862,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4003,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4887,  4888,  4889,  4890,  1825,    -1,    -1,    -1,  1911,
    1912,    -1,    -1,    -1,    -1,  1917,  4902,    -1,    98,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4041,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4922,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   131,    -1,    -1,    -1,  4941,    -1,    -1,    -1,    -1,
    1962,    -1,    -1,    -1,   144,   145,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   153,    -1,    -1,    -1,   157,    -1,    -1,
      -1,    -1,    -1,  1903,    -1,    -1,    -1,  1989,  1990,  1991,
    1992,    -1,    -1,  4979,   174,    -1,  4982,    -1,    -1,    -1,
      -1,    -1,  1922,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   195,  5002,    -1,  5004,    -1,
    1940,    -1,    -1,    -1,    -1,    -1,   206,    -1,  5014,    -1,
      -1,    -1,    -1,    -1,   214,    -1,    -1,    -1,    -1,    -1,
      -1,  4154,    -1,  1963,    -1,    -1,   226,  2049,  1968,    -1,
      -1,   231,  4165,    -1,    -1,    -1,  2058,    -1,    -1,    -1,
      -1,    -1,    -1,  2065,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5057,   252,    -1,    -1,    -1,  5062,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5073,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5082,   277,    -1,    -1,
      -1,    -1,    -1,  5089,  5090,  2025,    -1,    -1,  5094,    -1,
      -1,  2031,  5098,    -1,  2034,    -1,    -1,    -1,   298,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5112,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5121,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   329,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5153,    -1,    -1,
      -1,    -1,  4285,    -1,    -1,    -1,    -1,    -1,   358,    -1,
      -1,  5167,    -1,    -1,    -1,    -1,    -1,    -1,  5174,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4313,  2121,    -1,    -1,    -1,   385,    -1,    -1,    -1,   389,
      -1,   391,    -1,    -1,    -1,    -1,    -1,   397,    -1,  4332,
     400,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2233,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2159,
    2160,    -1,    -1,    -1,    -1,    -1,   426,  2167,   428,  5235,
    2170,    -1,   432,    -1,  2174,    -1,    -1,    -1,  5244,    -1,
     440,    -1,  2182,  2183,    -1,   445,    -1,    -1,    -1,  4382,
    2190,    -1,    -1,  2193,  2194,  2195,  2196,    -1,    -1,    -1,
      -1,    -1,    -1,  2203,  2204,    -1,  2206,    -1,  2208,  2209,
     470,    -1,  2212,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2228,  2229,
    2230,    -1,    -1,    -1,  2234,    -1,    -1,    -1,  2238,    -1,
      -1,     5,  2242,    -1,  2244,  2245,  2246,  2247,  2248,  2249,
    2250,  2251,  2252,    -1,  2254,    -1,    -1,    -1,    -1,    -1,
      -1,    25,    -1,    -1,  2264,  2265,    -1,    -1,    -1,    -1,
      -1,    35,    36,    -1,    -1,    -1,    -1,    -1,    -1,    43,
      44,    -1,    -1,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,  2327,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4539,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2484,  2485,  2486,    -1,    -1,    -1,    -1,    -1,
      -1,  2493,    -1,  2495,    -1,  2497,  2498,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2424,    -1,    -1,    -1,  2428,  2429,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     204,    -1,  2442,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   222,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4661,    -1,
      -1,  2471,    -1,    -1,    -1,    -1,    -1,    -1,   242,    -1,
      -1,    -1,  2482,    -1,    -1,    -1,    -1,    -1,    -1,  2489,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    98,    -1,    -1,
     264,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
      -1,    -1,  2594,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2520,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     131,    -1,    -1,    -1,  2534,    -1,   300,    -1,    -1,   303,
      -1,    -1,    -1,   144,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2551,   153,    -1,   318,  2555,   157,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2654,   174,    -1,    -1,    -1,  2577,    -1,   180,
    2662,    -1,    -1,    -1,  4777,  2667,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   195,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   206,    -1,  4800,    -1,    -1,
      -1,    -1,    -1,   214,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   226,    -1,    -1,    -1,    -1,
     394,    -1,   233,    -1,    -1,    -1,   237,    -1,    -1,    -1,
      -1,    -1,    -1,  4836,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2748,    -1,    -1,    -1,
      -1,    -1,   436,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2680,    -1,  2682,  4876,    -1,    -1,   450,  4880,  4881,    -1,
     291,    -1,    -1,    -1,    -1,    -1,    -1,   298,  2780,  2699,
    2782,   465,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   208,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   216,
      -1,   218,    -1,    -1,    -1,    -1,    -1,    -1,   329,   493,
      -1,   332,    -1,    -1,    -1,    -1,   500,    -1,    -1,    -1,
     504,   505,   506,   507,   508,    -1,    -1,   511,   512,   513,
     514,    -1,    -1,    -1,   518,    -1,    -1,  2757,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   367,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   385,    -1,    -1,    -1,    -1,    -1,
     391,    -1,    -1,    -1,    -1,    -1,   397,    -1,    -1,   400,
      -1,    -1,    -1,    -1,    -1,  2805,    -1,  2889,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   426,    -1,   428,   429,    -1,
     431,   432,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   440,
      -1,    -1,    -1,    -1,   445,    -1,    -1,    -1,    -1,    -1,
     451,    -1,    -1,   454,    -1,    -1,   457,  2857,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   470,
      -1,    -1,  2872,    -1,    -1,    -1,    -1,    -1,  2878,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2895,  2896,    -1,    -1,    -1,
      -1,  2901,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2926,  2927,    -1,    -1,
      -1,  2931,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2943,  2944,  2945,  2946,    -1,    -1,    -1,
      -1,  2951,    -1,    -1,    -1,    -1,  2956,  2957,    -1,  2959,
      -1,  2961,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2971,  2972,    -1,    -1,  2975,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2988,    -1,
    2990,    -1,    -1,    -1,  2994,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3013,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3023,    -1,    -1,  3026,  3027,  3028,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3050,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3063,    -1,    -1,    -1,    -1,  3068,    -1,
      -1,    -1,    -1,    -1,  3074,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3082,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3186,    -1,  3188,  3189,  3190,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3120,    -1,    -1,  3123,    -1,  3125,    -1,    -1,    -1,    -1,
    3130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3153,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3180,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3248,  3249,
    3250,    -1,    -1,    -1,     5,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    25,    -1,    -1,    -1,    -1,    -1,
      -1,  3281,    -1,  3283,    35,    36,    -1,    -1,    -1,    -1,
      -1,    -1,    43,    44,    -1,    -1,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,
    3340,    -1,    -1,    -1,    -1,    -1,    -1,   844,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   853,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3365,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   134,    -1,    -1,  3386,    -1,    -1,    -1,
     887,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3398,  3399,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3503,    -1,    -1,  3506,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   944,    -1,    -1,
      -1,    -1,    -1,   204,    -1,    -1,    -1,   954,    -1,    -1,
      -1,    -1,    -1,    -1,  3464,    -1,    -1,    -1,    -1,    -1,
      -1,   222,  3554,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   242,    -1,  3493,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   264,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3523,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   300,
      -1,    -1,   303,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3562,    -1,    -1,  3565,    -1,   318,    -1,    -1,
      -1,    -1,  3572,  1070,    -1,    -1,    -1,    -1,  3578,  1076,
    3580,    -1,    -1,  1080,    -1,  3585,  3586,    -1,    -1,  3589,
    3590,  3591,  3592,  3593,  3594,  3595,  3596,  3597,  3598,    -1,
      -1,    -1,  3602,  3603,    -1,    -1,    -1,    -1,    -1,  1106,
    3610,    -1,    -1,    -1,    -1,  3615,    -1,    -1,    -1,  3619,
      -1,  3621,    -1,  3623,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3633,    -1,    -1,  3636,    -1,  3638,    -1,
      -1,    -1,    -1,   394,    -1,    -1,  3646,  3647,  3648,  3649,
      -1,    -1,    -1,  3653,    -1,    -1,  3656,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3670,    -1,  3672,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3684,   436,    -1,    -1,    -1,    -1,
    3690,  3691,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   450,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   465,    -1,    -1,    -1,    -1,  3801,
    3802,  3803,  3804,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3735,    -1,    -1,    -1,    -1,
      -1,  3741,   493,    -1,    -1,  1242,  1243,  3747,    -1,   500,
      -1,    -1,    -1,   504,   505,   506,   507,   508,    -1,    -1,
     511,   512,   513,  3763,    -1,    -1,    -1,   518,    -1,    -1,
      -1,  1268,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3779,
      -1,    -1,  1279,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1302,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1339,    -1,    -1,    -1,    -1,    -1,  3848,    -1,
      -1,    -1,    -1,  3853,  3854,  3855,    -1,    -1,    -1,    -1,
      -1,  1302,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3974,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3936,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1465,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3976,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1494,    -1,    -1,
      -1,    -1,    -1,  4003,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1465,    -1,  1523,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4041,  4042,  4043,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1551,  1552,    -1,  1554,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1573,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1626,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4141,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4151,  4152,    -1,  4154,    -1,    -1,    -1,  1655,  4159,
    4160,    -1,  1659,  1660,  4164,  4165,    -1,    -1,    -1,    -1,
    4170,  4171,    -1,    -1,  4174,    -1,    -1,  4177,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4198,    -1,
      -1,    -1,  4202,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4214,    -1,    -1,    -1,    -1,  4219,
      -1,    -1,    -1,    -1,  4224,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1739,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1752,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4267,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4363,    -1,    -1,    -1,  4285,    -1,    -1,  1785,    -1,
      -1,    -1,    -1,    -1,    -1,  4377,  1793,    -1,  1739,    -1,
      -1,    -1,    -1,    -1,  4304,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4313,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1825,    -1,
      -1,    -1,  4332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1793,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4382,    -1,  1825,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4477,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1903,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1922,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4441,    -1,  1940,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4452,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1903,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1968,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1922,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1940,
      -1,  4501,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   154,    -1,    -1,    -1,  1968,  2025,    -1,
      -1,    -1,   163,    -1,  2031,  4535,    -1,  2034,    -1,  4539,
      -1,    -1,    -1,    -1,  4544,    -1,    -1,    -1,    -1,  4631,
    4632,  4633,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4561,  4562,    -1,    -1,  4565,    -1,    -1,    -1,    -1,
      -1,   202,    -1,    -1,    -1,    -1,    -1,    -1,  4578,    -1,
      -1,    -1,    -1,  4583,    -1,    -1,    -1,    -1,  4588,    -1,
    2031,  4591,    -1,    -1,    -1,    -1,  4596,  4597,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   236,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2121,    -1,    -1,    -1,    -1,  4629,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4661,  2159,  2160,    -1,    -1,    -1,    -1,    -1,    -1,
    2167,  4671,    -1,  2170,    -1,    -1,    -1,  2174,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2182,  2183,    -1,    -1,    -1,
      -1,    -1,  4774,  2190,    -1,    -1,  2193,  2194,  2195,  2196,
      -1,    -1,    -1,  4703,    -1,    -1,  2203,  2204,    -1,  2206,
      -1,  2208,  2209,    -1,    -1,  2212,    -1,    -1,  4718,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2228,  2229,    -1,    -1,    -1,    -1,  2234,    -1,    -1,
      -1,  2238,    -1,    -1,    -1,  2242,    -1,  2244,  2245,  2246,
    2247,  2248,  2249,  2250,  2251,  2252,    -1,  2254,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2264,  2265,    -1,
      -1,    -1,    -1,    -1,    -1,  4775,  4858,  4777,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   417,  2228,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4799,
    4800,    -1,  4802,    -1,  4804,    -1,  4888,    -1,  4890,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4827,    -1,    -1,
    2327,  4831,    -1,    -1,    -1,    -1,  4836,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4870,    -1,    -1,    -1,    -1,    -1,  4876,    -1,    -1,    -1,
    4880,  4881,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5002,    -1,  4922,    -1,    -1,    -1,    -1,  2424,    -1,    -1,
      -1,  2428,  2429,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4941,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4961,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2471,  5057,    -1,    -1,    -1,  4979,
      -1,    -1,  4982,  2424,    -1,  2482,    -1,  2428,  2429,    -1,
      -1,    -1,  2489,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5014,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2520,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2534,    -1,  5121,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   682,   683,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5062,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5073,    -1,    -1,    -1,    -1,    -1,    -1,
    2577,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5089,
    5090,    -1,  5174,  2534,    -1,    -1,    -1,    -1,    -1,   730,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5112,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5153,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2680,    -1,  2682,    -1,    -1,    -1,    -1,
    5190,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     851,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     861,   862,    -1,   864,    -1,  5235,   867,    -1,   869,    -1,
    5240,  2682,    -1,    -1,  5244,    -1,    -1,    -1,  5248,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   888,    -1,    -1,
    2757,    -1,    -1,    -1,    -1,   896,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   905,   906,    -1,    -1,    -1,   910,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   927,    -1,   929,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2805,    -1,
      -1,    -1,    -1,    -1,   945,    -1,  2757,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     961,    -1,    -1,   964,    -1,   966,    -1,   968,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   982,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2857,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2872,    -1,    -1,    -1,    -1,
      -1,  2878,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2895,  2896,
      -1,    -1,    -1,    -1,  2901,    -1,  1037,    -1,  1039,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2857,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2926,
    2927,    -1,    -1,    -1,  2931,    -1,    -1,    -1,    -1,    -1,
      -1,  1072,    -1,    -1,    -1,    -1,  2943,  2944,  2945,  2946,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2956,
      -1,    -1,  2959,    -1,  2961,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2971,  2972,    -1,  1108,  2975,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2988,    -1,  2990,    -1,    -1,    -1,  2994,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3013,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3023,    -1,    -1,  3026,
    3027,  3028,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1179,    -1,
    1181,    -1,    -1,  3050,  1185,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3063,    -1,    -1,    -1,
      -1,  3068,    -1,    -1,  1205,    -1,    -1,  3074,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3082,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3120,    -1,  1256,  3123,    -1,  3125,    -1,
      -1,    -1,    -1,  3130,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1272,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1285,    -1,  3153,    -1,    -1,    -1,
      -1,  1292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1304,    -1,    -1,  1307,    -1,    -1,  3120,
      -1,    -1,  3123,  3180,  3125,    -1,    -1,    -1,    -1,  3130,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1340,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3220,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3180,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3220,
      -1,    -1,    -1,    -1,  3281,    -1,  3283,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3281,    -1,  3283,  3340,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3365,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3386,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3340,
      -1,    -1,  3399,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3365,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3386,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3399,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3464,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3480,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3493,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1645,  1646,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3464,    -1,    -1,  3523,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3480,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3562,    -1,    -1,  3565,    -1,
      -1,    -1,    -1,  1704,    -1,  3572,  1707,    -1,    -1,    -1,
      -1,  3578,    -1,  3580,  1715,    -1,    -1,    -1,  3585,  3586,
      -1,    -1,  3589,  3590,  3591,  3592,  3593,  3594,  3595,  3596,
    3597,  3598,  1733,    -1,    -1,  3602,  3603,    -1,    -1,    -1,
      -1,    -1,    -1,  3610,    -1,    -1,    -1,    -1,  3615,    -1,
      -1,    -1,  3619,    -1,  3565,    -1,  3623,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3633,    -1,    -1,  3636,
    1771,  3638,    -1,    -1,  3585,    -1,    -1,    -1,    -1,  3646,
    3647,  3648,  3649,    -1,    -1,    -1,  3653,    -1,    -1,  3656,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3610,
      -1,    -1,    -1,  3670,    -1,  3672,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3684,    -1,    -1,
      -1,    -1,    -1,  3690,  3691,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3646,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3735,    -1,
      -1,    -1,    -1,    -1,  3741,    -1,    -1,    -1,    -1,    -1,
    3747,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3763,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3779,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3763,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1972,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1987,  3854,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2033,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3854,    -1,    -1,    -1,  2048,    -1,  2050,
      -1,  2052,    -1,    -1,    -1,    -1,  2057,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2106,    -1,    -1,    -1,  3976,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2118,    -1,    -1,
      -1,  2122,    -1,  2124,    -1,    -1,  2127,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4003,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4041,  4042,  4043,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4003,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4041,    -1,    -1,    -1,    -1,    -1,    -1,  4104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    89,    -1,
      -1,    -1,    -1,    94,    -1,    96,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   106,    -1,  2268,    -1,    -1,
      -1,    -1,    -1,    -1,  4141,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4151,  4152,    -1,  4154,    -1,    -1,
      -1,   132,  4159,  4160,    -1,    -1,    -1,  4164,  4165,    -1,
      -1,   142,    -1,  4170,  4171,    -1,    -1,  4174,    -1,    -1,
    4177,    -1,   153,   154,    -1,    -1,   157,    -1,    -1,    -1,
      -1,    -1,   163,    -1,    -1,    -1,   167,    -1,    -1,    -1,
      -1,  4198,    -1,    -1,    -1,  4202,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4154,    -1,    -1,   187,  4214,    -1,    -1,
      -1,    -1,  4219,    -1,  4165,    -1,    -1,  4224,    -1,    -1,
      -1,   202,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4267,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2409,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4285,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2439,  2440,
      -1,    -1,    -1,  2444,  2445,    -1,  4313,  2448,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2458,    -1,    -1,
      -1,    -1,    -1,    -1,  2465,  4332,    -1,    -1,  2469,  2470,
      -1,    -1,  2473,  2474,  4285,    -1,    -1,    -1,    -1,  2480,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2492,    -1,  2494,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4313,    -1,    -1,    -1,    -1,    -1,    -1,  2510,
      -1,    -1,    -1,    -1,  2515,  4382,    -1,    -1,    -1,    -1,
      -1,  4332,    -1,    -1,    -1,    -1,    -1,  2528,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2536,    -1,  2538,  2539,  2540,
    2541,    -1,    -1,    -1,  2545,  2546,    -1,    -1,    -1,    -1,
      -1,    -1,  2553,    -1,    -1,    -1,  2557,    -1,    -1,    -1,
    2561,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4382,    -1,    -1,  4441,    -1,   417,    -1,    -1,    -1,
      -1,    -1,    -1,  2584,    -1,  4452,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2595,    -1,  2597,    -1,    -1,    -1,
      -1,    -1,  2603,    -1,    -1,    -1,  2607,    -1,  2609,  2610,
    2611,  2612,    -1,  2614,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2627,  2628,  2629,    -1,
      -1,    -1,    -1,    -1,  4501,    -1,    -1,    -1,    -1,  2640,
    2641,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4535,    -1,
      -1,    -1,  4539,    -1,    -1,    -1,    -1,  4544,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4561,  4562,    -1,    -1,  4565,  2700,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4578,    -1,    -1,    -1,    -1,  4583,    -1,    -1,    -1,
      -1,  4588,    -1,    -1,  4591,    -1,    -1,    -1,  4539,  4596,
    4597,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4629,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4661,   636,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4671,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2822,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2835,    -1,    -1,    -1,    -1,    -1,
      -1,   682,   683,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4661,  4718,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2863,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   730,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4775,    -1,
    4777,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4799,  4800,    -1,  4802,    -1,  4804,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4827,    -1,    -1,    -1,  4831,    -1,  4777,    -1,    -1,  4836,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4800,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4876,
      -1,    -1,    -1,  4880,  4881,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4836,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4922,    -1,    -1,    -1,    -1,
    3061,    -1,    -1,    -1,    -1,  4876,    -1,    -1,    -1,  4880,
    4881,    -1,    -1,    -1,  4941,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   926,   927,    -1,   929,    -1,
      -1,    -1,    -1,    -1,  4961,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4979,    -1,    -1,  4982,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3133,  3134,    -1,    -1,    -1,   978,    -1,    -1,
     981,   982,    -1,    -1,    -1,    -1,    -1,  5014,    -1,  3150,
      -1,    -1,    -1,    -1,    -1,   996,    -1,   998,    -1,  1000,
      -1,    -1,    -1,    -1,    -1,  1006,    -1,    -1,    -1,  1010,
      -1,    -1,    -1,    -1,  3175,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3184,    -1,    -1,    -1,    -1,  1029,  1030,
      -1,    -1,    -1,    -1,    -1,  5062,    -1,    -1,  3199,  3200,
      -1,    -1,    -1,  3204,    -1,    -1,  5073,    -1,  3209,  3210,
    3211,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5089,  5090,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1072,    -1,  1074,    -1,    -1,    -1,    -1,  3239,  3240,
    3241,  3242,    -1,    -1,    -1,  5112,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3273,    -1,  3275,  3276,  3277,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3285,    -1,  5153,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   844,    -1,    -1,  1166,  1167,    -1,    -1,  1170,
      -1,   853,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3352,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3360,
      -1,    -1,    -1,    -1,    -1,   887,    -1,    -1,  5235,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1217,  5244,    -1,    -1,
      -1,    -1,    -1,     6,     7,     8,    -1,    10,    11,    12,
      -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,
      33,    34,    -1,  3414,    37,    38,    39,    40,    -1,    42,
      -1,    -1,   944,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   954,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    71,    -1,
      -1,    -1,    -1,    -1,    -1,  3456,    79,    80,    -1,  3460,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3491,    -1,   115,  3494,    -1,    -1,   119,   120,   121,   122,
     123,    -1,    -1,    -1,    -1,    -1,    -1,  3508,    -1,    -1,
      -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,   142,
    3521,   144,    -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,  1070,    -1,
      -1,    -1,    -1,    -1,   177,   178,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1416,    -1,    -1,    -1,    -1,
    1421,    -1,  1423,    -1,  1106,  1426,    -1,  1428,    -1,   212,
    1431,  1432,  1433,   216,    -1,    -1,  1437,    -1,    -1,   222,
      -1,    -1,    -1,  1444,    -1,   228,    -1,   230,    -1,    -1,
      -1,    -1,    -1,   236,    -1,    -1,  1457,    -1,  1459,    -1,
      -1,    -1,   245,  1464,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   258,   259,    -1,    -1,    -1,
      -1,    -1,   265,    -1,   267,    -1,    -1,   270,   271,    -1,
     273,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   284,   285,    -1,   287,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   307,   308,   309,    -1,    -1,   312,
      -1,    -1,    -1,   316,    -1,    -1,   319,    -1,   321,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   335,   336,    -1,   338,   339,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   349,    -1,   351,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   364,    -1,    -1,  1585,    -1,  1268,    -1,    -1,    -1,
      -1,    -1,    -1,  1594,  1595,    -1,    -1,  1279,    -1,    -1,
      -1,   384,  1070,    -1,   387,    -1,    -1,    -1,    -1,    -1,
    1611,    -1,    -1,    -1,    -1,  1616,  1617,    -1,    -1,    -1,
    1302,   404,    -1,    -1,   407,  3786,   409,  3788,    -1,    -1,
      -1,    -1,    -1,    -1,  3795,    -1,    -1,    -1,  1106,   422,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3811,   434,   435,    -1,    -1,    -1,   439,  1339,   441,    -1,
      -1,    -1,    -1,    -1,    -1,  3826,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3836,    -1,    -1,    -1,    -1,
      -1,    -1,   465,    -1,    -1,   468,    -1,    -1,    -1,    -1,
    3851,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1699,    -1,
    1701,   484,   485,   486,   487,   488,   489,   490,   491,   492,
    1711,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3884,  3885,  3886,  1408,    -1,    -1,    -1,
    3891,  3892,  3893,  3894,  3895,    -1,    -1,    -1,    -1,  3900,
    3901,    -1,  3903,  3904,  3905,  3906,  3907,  3908,  3909,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3918,    -1,  3920,
    3921,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1775,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1783,  1465,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3970,
    3971,  3972,  1494,    -1,  3975,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1837,    -1,    -1,  1840,
    1841,  1523,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1551,
    1552,    -1,  1554,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1573,    -1,    -1,    -1,    -1,    -1,  4058,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1909,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4078,  4079,  4080,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1626,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1655,    -1,    -1,    -1,  1659,  1660,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1494,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1523,    -1,  1739,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1551,  1552,    -1,  1554,    -1,    -1,  2090,
      -1,  2092,    -1,    -1,    -1,  2096,    -1,  2098,    -1,    -1,
    2101,    -1,    -1,    -1,  2105,  1573,    -1,    -1,    -1,  2110,
      -1,  1793,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4296,  4297,  4298,  4299,    -1,
      -1,  4302,    -1,  1825,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1626,    -1,
      -1,    -1,  4323,  4324,  4325,  4326,    -1,  4328,  4329,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4340,
    4341,    -1,    -1,    -1,    -1,    -1,    -1,  1655,    -1,    -1,
      -1,  1659,  1660,    -1,  4355,    -1,    -1,    -1,    -1,    -1,
    4361,  4362,    -1,  4364,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1903,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1922,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1940,    -1,
    2261,    -1,    -1,    -1,    -1,    -1,    -1,  2268,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2277,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1968,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4459,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4468,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4490,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2341,    -1,    -1,  2025,    -1,    -1,    -1,    -1,    -1,  2031,
      -1,    -1,  2034,  4514,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2394,    -1,    -1,    -1,  2398,    -1,    -1,
      -1,    -1,    -1,  2404,    -1,  2406,    -1,    -1,  2409,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4581,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1302,    -1,    -1,  4594,    -1,    -1,    -1,    -1,    -1,  2121,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2159,  2160,    -1,
      -1,    -1,    -1,    -1,    -1,  2167,    -1,    -1,  2170,    -1,
      -1,    -1,  2174,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2182,  2183,  4663,    -1,    -1,    -1,    -1,    -1,  2190,    -1,
      -1,  2193,  2194,  2195,  2196,    -1,    -1,    -1,    -1,    -1,
      -1,  2203,  2204,  4684,  2206,    -1,  2208,  2209,    -1,    -1,
    2212,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2228,  2229,    -1,    -1,
      -1,    -1,  2234,    -1,    -1,    -1,  2238,    -1,    -1,    -1,
    2242,    -1,  2244,  2245,  2246,  2247,  2248,  2249,  2250,  2251,
    2252,    -1,  2254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2264,  2265,    -1,    -1,    -1,  2588,    -1,    -1,
      -1,    -1,    -1,  1465,    -1,  2596,    -1,  2598,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4783,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2327,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4824,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4834,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2167,
      -1,    -1,    -1,    -1,    -1,  4866,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4875,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2190,    -1,    -1,  2193,    -1,    -1,  2196,    -1,
    4891,    -1,    -1,    -1,    -1,  2203,  2204,    -1,    -1,    -1,
      -1,  2209,  2424,    -1,  2212,    -1,  2428,  2429,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2229,    -1,    -1,    -1,    -1,  2234,    -1,    -1,    -1,
    2238,    -1,    -1,    -1,  2242,    -1,  2244,  2245,  2246,  2247,
    2248,  2249,  2250,  2251,  2252,    -1,  2254,    -1,    -1,  2471,
      -1,    -1,    -1,    -1,    -1,    -1,  2264,  2265,    -1,    -1,
    2482,    -1,    -1,    -1,  4965,    -1,    -1,  2489,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2822,  2823,    -1,    -1,    -1,    -1,  4988,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2839,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5012,  2534,    -1,    -1,    -1,    -1,    -1,    -1,  2327,
      -1,    -1,    -1,    -1,    -1,  5026,    -1,  1739,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5051,    -1,    -1,    -1,    -1,  5056,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1793,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5111,    -1,    -1,  1825,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2680,    -1,
    2682,    -1,    -1,  2471,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1903,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3041,    -1,    -1,    -1,    -1,  3046,    -1,    -1,    -1,    -1,
    1922,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1940,    -1,
      -1,    -1,    -1,    -1,    -1,  2757,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1968,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2805,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2031,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2857,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2872,    -1,    -1,    -1,    -1,    -1,  2878,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2680,  2895,  2896,    -1,    -1,    -1,    -1,  2901,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2926,  2927,    -1,    -1,    -1,  2931,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2943,  2944,  2945,  2946,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2956,    -1,    -1,  2959,    -1,  2961,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2971,
    2972,    -1,    -1,  2975,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2988,    -1,  2990,    -1,
      -1,    -1,  2994,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3013,    -1,    -1,    -1,    -1,    -1,  2805,    -1,    -1,
      -1,  3023,    -1,    -1,  3026,  3027,  3028,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2228,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3050,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3063,    -1,    -1,    -1,  3386,  3068,    -1,    -1,    -1,
      -1,    -1,  3074,    -1,    -1,    -1,    -1,    -1,  3399,    -1,
    3082,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1302,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2896,    -1,
      -1,    -1,    -1,  2901,    -1,    -1,    -1,    -1,  3120,    -1,
      -1,  3123,    -1,  3125,    -1,    -1,    -1,    -1,  3130,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3153,    -1,    -1,    -1,  2943,    -1,  2945,  2946,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2956,    -1,
    3491,  2959,    -1,  2961,    -1,    -1,    -1,    -1,  3180,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2988,    -1,  2990,    -1,    -1,    -1,  2994,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3220,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3552,  2424,    -1,    -1,    -1,  2428,  2429,  3026,  3027,
    3028,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1465,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3050,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3063,    -1,    -1,    -1,  3281,
    3068,  3283,    -1,    -1,    -1,    -1,  3074,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1567,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3340,    -1,
      -1,    -1,  2534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3365,    -1,  3153,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3386,    -1,    -1,  1641,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3399,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3752,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3464,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3480,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2682,  3493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3523,    -1,    -1,    -1,    -1,  1739,    -1,    -1,    -1,
      -1,    -1,    -1,  3854,    -1,    -1,    -1,    -1,    -1,  1302,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3877,    -1,    -1,    -1,
    3562,    -1,    -1,  3565,    -1,  2757,    -1,    -1,    -1,    -1,
    3572,    -1,    -1,    -1,    -1,    -1,  3578,    -1,  3580,    -1,
    1793,    -1,    -1,  3585,  3586,    -1,    -1,  3589,  3590,  3591,
    3592,  3593,  3594,  3595,  3596,  3597,  3598,    -1,    -1,    -1,
    3602,  3603,    -1,    -1,    -1,    -1,    -1,    -1,  3610,    -1,
      -1,    -1,  1825,  3615,    -1,    -1,    -1,  3619,    -1,    -1,
      -1,  3623,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3633,    -1,    -1,  3636,    -1,  3638,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3646,  3647,  3648,  3649,    -1,    -1,
      -1,  3653,    -1,    -1,  3656,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2857,    -1,    -1,  3670,    -1,
    3672,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3684,    -1,    -1,    -1,    -1,    -1,  3690,  3691,
    1903,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1465,    -1,    -1,    -1,    -1,    -1,    -1,  1922,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1940,    -1,    -1,
      -1,    -1,    -1,  3735,    -1,    -1,    -1,    -1,    -1,  3741,
      -1,    -1,    -1,    -1,    -1,  3747,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1968,    -1,    -1,    -1,    -1,
      -1,  3763,  4083,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3562,    -1,    -1,  3779,    -1,    -1,
      -1,    -1,    -1,    -1,  3572,    -1,    -1,    -1,    -1,    -1,
    3578,    -1,  3580,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3602,  3603,    -1,    -1,  2031,  2073,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3623,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3633,    -1,    -1,  3636,    -1,
    3638,    -1,  3854,    -1,    -1,    -1,    -1,    -1,    -1,  3647,
      -1,    -1,    -1,    -1,    -1,  3653,    -1,    -1,  3656,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3684,    -1,    -1,    -1,
      -1,    -1,  3690,  3691,    -1,    -1,    -1,  4228,    -1,    -1,
      -1,  2165,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3120,    -1,
      -1,  3123,    -1,  3125,    -1,  2189,    -1,  4258,  3130,    -1,
    2194,    -1,    -1,    -1,    -1,    -1,    -1,  3735,    -1,    -1,
      -1,    -1,    -1,  3741,    -1,    -1,    -1,    -1,    -1,  3747,
    2214,  2215,    -1,    -1,  2218,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3976,    -1,  1739,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3180,  4310,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4003,    -1,    -1,    -1,    -1,  2260,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2228,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3220,    -1,
    1793,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4041,
    4042,  4043,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2314,    -1,  1825,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4397,    -1,    -1,    -1,
      -1,    -1,    -1,  2337,    -1,    -1,    -1,    -1,    -1,  3281,
      -1,  3283,    -1,    -1,    -1,  2349,    -1,    -1,  2352,    -1,
      -1,    -1,  4104,    -1,  4425,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1302,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4141,
    1903,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3340,  4151,
    4152,    -1,  4154,    -1,    -1,    -1,    -1,  4159,  4160,  1922,
      -1,    -1,  4164,  4165,    -1,    -1,    -1,    -1,  4170,  4171,
      -1,    -1,  4174,  3365,    -1,  4177,    -1,  1940,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3386,    -1,  4198,    -1,    -1,    -1,
    4202,    -1,    -1,    -1,    -1,  1968,    -1,  3399,    -1,    -1,
      -1,  2424,  4214,    -1,    -1,  2428,  2429,  4219,    -1,    -1,
      -1,    -1,  4224,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4042,  4043,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4267,    -1,    -1,  2031,    -1,
      -1,    -1,  3464,    -1,    -1,    -1,    -1,  1465,    -1,    -1,
      -1,    -1,    -1,  4285,    -1,    -1,    -1,    -1,  3480,    -1,
      -1,  4612,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4313,    -1,    -1,    -1,    -1,  4104,    -1,    -1,    -1,
      -1,  2534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4661,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4151,  4152,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3565,    -1,    -1,  4164,    -1,    -1,    -1,
    4382,    -1,  4170,  4171,    -1,    -1,  4174,    -1,    -1,  4177,
      -1,    -1,    -1,  3585,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3610,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4214,    -1,    -1,    -1,
      -1,  4219,    -1,    -1,    -1,    -1,  4224,    -1,    -1,  4441,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4452,    -1,    -1,    -1,  3646,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2228,    -1,    -1,    -1,  2682,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4267,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4501,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4535,    -1,    -1,    -1,  4539,    -1,    -1,
      -1,    -1,  4544,    -1,  2757,    -1,    -1,    -1,    -1,    -1,
      -1,  1739,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4561,
    4562,    -1,    -1,  4565,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3763,    -1,    -1,    -1,    -1,  4578,    -1,    -1,    -1,
      -1,  4583,    -1,    -1,    -1,    -1,  4588,    -1,    -1,  4591,
      -1,    -1,    -1,    -1,  4596,  4597,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1793,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4629,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1825,    -1,    -1,
      -1,    -1,    -1,    -1,  2857,  2899,    -1,  4968,    -1,    -1,
      -1,    -1,    -1,  4441,    -1,    -1,    -1,    -1,    -1,  4661,
      -1,  2424,  3854,    -1,    -1,  2428,  2429,    -1,  2922,  4671,
    2924,    -1,  2926,  2927,  2928,    -1,    -1,  2931,    -1,    -1,
      -1,  2935,    -1,    -1,    -1,    -1,    -1,    -1,  2942,    -1,
      -1,    -1,    -1,  2947,    -1,    -1,    -1,    -1,    -1,  2953,
      -1,    -1,    -1,    -1,  2958,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2967,    -1,  1903,  4718,  2971,  2972,    -1,
    2974,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2986,    -1,  1922,    -1,    -1,    -1,    -1,  2993,
      -1,  2995,  2996,  2997,  2998,  2999,  3000,  3001,  3002,  3003,
    3004,    -1,  1940,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2534,    -1,  4775,    -1,  4777,    -1,  4565,  3032,    -1,
    1968,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4799,  4800,    -1,
    4802,    -1,  4804,    -1,    -1,    -1,    -1,    -1,    -1,  4597,
      -1,  4003,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4827,    -1,    -1,    -1,  4831,
      -1,    -1,    -1,    -1,  4836,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2031,    -1,    -1,    -1,    -1,    -1,  4041,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4876,    -1,    -1,    -1,  4880,  4881,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3120,    -1,    -1,
    3123,    -1,  3125,    -1,  3168,    -1,    -1,  3130,    -1,  2682,
    4922,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4941,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4961,
      -1,    -1,  4154,    -1,    -1,    -1,    -1,  3180,    -1,    -1,
      -1,    -1,    -1,  4165,    -1,    -1,    -1,  4979,    -1,    -1,
    4982,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2757,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3220,    -1,    -1,
      -1,    -1,  5014,    -1,  4802,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4827,
    2228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5062,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3281,    -1,
    3283,  5073,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5089,  5090,    -1,
      -1,    -1,    -1,  4285,  2857,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5112,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4313,    -1,    -1,    -1,    -1,    -1,  3340,    -1,    -1,
      -1,    -1,    -1,  3387,    -1,    -1,    -1,    -1,    -1,    -1,
    4332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5153,  3365,  4941,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3386,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3399,    -1,    -1,    -1,
    4382,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5014,    -1,    -1,    -1,
      -1,    -1,    -1,  5235,    -1,    -1,  2424,    -1,    -1,    -1,
    2428,  2429,  5244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3464,    -1,    -1,    -1,    -1,    -1,    -1,  3512,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3480,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5089,  5090,    -1,    -1,    -1,    -1,  3561,    -1,    -1,
      -1,    -1,    -1,  3567,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3583,
    3584,    -1,  3586,    -1,    -1,  3589,  3590,  3591,  3592,  3593,
    3594,  3595,  3596,  3597,  3598,  3599,  2534,  4539,    -1,    -1,
      -1,    -1,  3565,    -1,    -1,    -1,    -1,  3120,    -1,    -1,
    3123,    -1,  3125,    -1,    -1,  5153,    -1,  3130,    -1,    -1,
    3624,    -1,  3585,  3627,    -1,  3629,    -1,    -1,    -1,  5167,
    3634,  3635,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3648,  3649,  3650,  3610,  3652,    -1,
      -1,  3655,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3180,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3646,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5235,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3220,    -1,    -1,
      -1,    -1,    -1,    -1,  3718,    -1,    -1,    -1,    -1,  4661,
      -1,    -1,    -1,    -1,    -1,    -1,  3730,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2682,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3281,    -1,
    3283,    -1,  3776,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3763,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2757,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3340,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4777,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3365,    -1,    -1,    -1,    -1,    -1,  4800,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3386,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3399,    -1,    -1,    -1,
      -1,  3854,    -1,    -1,  4836,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2857,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4876,    -1,    -1,    -1,  4880,  4881,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3464,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3480,    -1,    -1,
      -1,    -1,  3976,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4003,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3565,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3585,    -1,    -1,    -1,    -1,    -1,  4041,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3610,    -1,    -1,
      -1,  4105,    -1,    -1,    -1,  4109,  4110,  4111,    -1,    -1,
    4114,    -1,    -1,    -1,    -1,  4119,  4120,  4121,  4122,  4123,
    4124,  4125,  4126,  4127,  4128,  4129,  4130,    -1,    -1,    -1,
      -1,    -1,    -1,  3646,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4158,  4159,  4160,  4161,    -1,  4163,
      -1,    -1,    -1,  4167,  4168,  4169,    -1,    -1,  4172,    -1,
      -1,  4175,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3120,    -1,    -1,  3123,    -1,  3125,    -1,    -1,
      -1,  4154,  3130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4165,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4216,    -1,    -1,    -1,    -1,    -1,    -1,  4223,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4238,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3180,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3763,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3854,    -1,  3281,    -1,  3283,    -1,    -1,    -1,    -1,
    4313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4332,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3340,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4382,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3365,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4444,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3386,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3399,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4003,    -1,    -1,    -1,  4498,  4499,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3464,  4531,  4041,    -1,
      -1,  4535,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3480,    -1,    -1,  4549,    -1,  4551,    -1,    -1,
      -1,    -1,  4556,  4557,  4558,  3493,    -1,  4561,  4562,  4563,
    4564,    -1,  4566,    -1,    -1,  4569,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4539,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4627,    -1,    -1,    -1,  3565,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4154,    -1,    -1,    -1,    -1,    -1,  3585,    -1,    -1,
      -1,    -1,  4165,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3610,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4661,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3646,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4731,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4798,  4799,    -1,    -1,    -1,    -1,
    4313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4814,  4815,  4816,    -1,  4777,    -1,    -1,    -1,    -1,  4332,
      -1,    -1,    -1,    -1,    -1,  3763,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4839,    -1,  4800,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4382,
      -1,    -1,    -1,  4836,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4876,    -1,    -1,  3854,  4880,  4881,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4971,    -1,    -1,
      -1,     6,     7,     8,    -1,    10,    11,    12,    -1,    -1,
      -1,    16,    -1,  4987,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,    34,
      -1,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      -1,    -1,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,  4539,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    -1,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5061,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4003,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     115,    -1,    -1,    -1,   119,   120,   121,   122,   123,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     135,    -1,    -1,  4041,    -1,    -1,  5110,   142,    -1,   144,
      -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   177,   178,    -1,    -1,    -1,    -1,  4661,    -1,
      -1,    -1,  5156,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,
      -1,   216,    -1,    -1,    -1,    -1,    -1,   222,    -1,    -1,
      -1,    -1,    -1,   228,    -1,   230,    -1,    -1,    -1,    -1,
      -1,   236,    -1,    -1,    -1,    -1,    -1,    -1,  5212,    -1,
     245,    -1,    -1,    -1,    -1,    -1,  4154,    -1,    -1,    -1,
      -1,    -1,    -1,   258,   259,    -1,    -1,  4165,    -1,    -1,
     265,    -1,   267,    -1,    -1,   270,   271,    -1,   273,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   284,
     285,    -1,   287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4777,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   307,   308,   309,    -1,    -1,   312,    -1,    -1,
      -1,   316,    -1,    -1,   319,    -1,   321,  4800,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     335,   336,    -1,   338,   339,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   349,    -1,   351,    -1,    -1,    -1,
      -1,    -1,    -1,  4836,    -1,    -1,    -1,    -1,    -1,   364,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4285,    -1,   384,
      -1,    -1,   387,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4876,    -1,    -1,    -1,  4880,  4881,   404,
      -1,    -1,   407,    -1,   409,  4313,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   422,    -1,    -1,
      -1,    -1,    -1,    -1,  4332,    -1,    -1,    -1,    -1,   434,
     435,    -1,    -1,    -1,   439,    -1,   441,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   450,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     465,    -1,    -1,   468,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4382,    -1,    -1,    -1,    -1,   484,
     485,   486,   487,   488,   489,   490,   491,   492,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   520,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4539,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4661,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4777,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4800,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,  4836,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,  4876,    -1,
      -1,    -1,  4880,  4881,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,    -1,     3,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,   519,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   101,    -1,   103,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,   115,
      -1,    -1,   118,   119,   120,   121,   122,   123,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,
      -1,    -1,   138,    -1,   140,   141,   142,    -1,   144,    -1,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   158,    -1,   160,   161,    -1,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,
     176,   177,   178,   179,    -1,    -1,    -1,    -1,    -1,   185,
      -1,    -1,    -1,    -1,    -1,   191,    -1,   193,    -1,    -1,
      -1,   197,    -1,    -1,    -1,    -1,    -1,   203,   204,    -1,
      -1,    -1,    -1,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,    -1,    -1,   219,    -1,    -1,   222,    -1,    -1,    -1,
      -1,    -1,   228,    -1,   230,    -1,    -1,    -1,   234,    -1,
     236,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   245,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   258,   259,    -1,    -1,   262,    -1,    -1,   265,
      -1,   267,    -1,    -1,   270,   271,    -1,   273,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   284,   285,
      -1,   287,    -1,   289,   290,    -1,    -1,    -1,    -1,   295,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   304,    -1,
      -1,   307,   308,   309,    -1,    -1,   312,    -1,    -1,   315,
     316,    -1,    -1,   319,    -1,   321,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   335,
     336,    -1,   338,   339,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   349,    -1,   351,    -1,   353,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   364,   365,
      -1,    -1,    -1,    -1,   370,   371,    -1,   373,    -1,    -1,
      -1,    -1,   378,    -1,    -1,    -1,    -1,   383,   384,    -1,
     386,   387,    -1,    -1,   390,    -1,    -1,    -1,    -1,   395,
     396,    -1,    -1,    -1,    -1,    -1,    -1,   403,   404,    -1,
     406,   407,    -1,   409,    -1,    -1,    -1,    -1,   414,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   422,    -1,    -1,    -1,
     426,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,   435,
      -1,    -1,    -1,   439,    -1,   441,    -1,   443,    -1,   445,
      -1,    -1,    -1,    -1,   450,    -1,    -1,   453,    -1,    -1,
     456,    -1,    -1,   459,    -1,    -1,    -1,    -1,   464,   465,
      -1,    -1,   468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   477,    -1,    -1,    -1,    -1,    -1,    -1,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    -1,     6,     7,
       8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,   513,    26,    27,
      -1,   517,    -1,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    -1,    -1,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,
      -1,   119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,
      -1,    -1,    -1,    -1,   142,    -1,   144,    -1,    -1,    -1,
      -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,
     178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   212,    -1,    -1,    -1,   216,    -1,
      -1,    -1,    -1,    -1,   222,    -1,    -1,    -1,    -1,    -1,
     228,    -1,   230,    -1,    -1,    -1,    -1,    -1,   236,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   245,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     258,   259,    -1,    -1,    -1,    -1,    -1,   265,    -1,   267,
      -1,    -1,   270,   271,    -1,   273,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   284,   285,    -1,   287,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   307,
     308,   309,    -1,    -1,   312,    -1,    -1,    -1,   316,    -1,
      -1,   319,    -1,   321,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   335,   336,    -1,
     338,   339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   349,    -1,   351,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   364,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   384,    -1,    -1,   387,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   404,    -1,    -1,   407,
      -1,   409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   422,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   434,   435,    -1,    -1,
      -1,   439,    -1,   441,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   465,    -1,    -1,
     468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   484,   485,   486,   487,
     488,   489,   490,   491,   492,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,   520,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,   192,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,    -1,   451,   452,   453,   454,   455,   456,   457,
      -1,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   504,   505,   506,    -1,
      -1,    -1,    -1,    -1,    -1,   513,   514,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,    -1,   451,   452,   453,   454,   455,   456,   457,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   504,   505,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   513,   514,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,    -1,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,    -1,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,    -1,   213,   214,   215,    -1,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,    -1,    -1,
     238,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,    -1,   314,   315,   316,   317,
      -1,    -1,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,    -1,   350,    -1,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,    -1,   440,    -1,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   493,   494,   495,    -1,    -1,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   514,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,    -1,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
      -1,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
      -1,   213,   214,   215,    -1,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,    -1,    -1,   238,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,    -1,   314,   315,   316,   317,    -1,    -1,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,    -1,   350,    -1,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,    -1,   440,    -1,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   514,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,   229,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,   455,
     456,   457,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,   228,    -1,   230,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,   245,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,   426,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,    -1,   451,   452,   453,   454,   455,   456,
     457,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,   470,   471,   472,    -1,    -1,   475,    -1,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   513,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,    -1,   451,   452,   453,   454,   455,   456,   457,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   504,   505,    -1,    -1,
      -1,    -1,    -1,   511,   512,   513,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,   228,
      -1,   230,   231,   232,   233,    -1,   235,   236,    -1,   238,
      -1,   240,   241,   242,   243,   244,   245,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,    -1,    -1,
     329,   330,   331,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,    -1,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,    -1,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,    -1,   451,   452,   453,   454,   455,   456,   457,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   504,   505,   506,    -1,    -1,
      -1,    -1,    -1,    -1,   513,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,   455,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   504,   505,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   513,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,   228,    -1,   230,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,   242,   243,   244,   245,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,    -1,
     451,   452,   453,   454,   455,   456,   457,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   504,   505,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   513,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,   229,   230,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,    -1,   451,
     452,   453,   454,   455,   456,   457,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   504,   505,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   513,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,    -1,   230,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,    -1,   451,   452,
     453,   454,   455,   456,   457,    -1,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   504,   505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     513,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,    -1,   451,   452,   453,
     454,   455,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     504,   505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,   221,   222,   223,    -1,
     225,    -1,   227,   228,    -1,   230,   231,   232,   233,    -1,
     235,   236,    -1,   238,    -1,   240,   241,   242,   243,   244,
     245,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,    -1,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,   434,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,    -1,   451,   452,   453,   454,
     455,   456,   457,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,   470,   471,   472,    -1,    -1,
     475,    -1,    -1,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,
     505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,   455,
     456,   457,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,   228,    -1,   230,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,   245,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,    -1,   451,   452,   453,   454,   455,   456,
     457,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   513,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,    -1,   451,   452,   453,   454,   455,   456,   457,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   504,   505,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   513,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,   228,
      -1,   230,   231,   232,   233,    -1,   235,   236,    -1,   238,
      -1,   240,   241,   242,   243,   244,   245,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,    -1,    -1,
     329,   330,   331,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,    -1,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,    -1,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,    -1,   451,   452,   453,   454,   455,   456,   457,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   504,   505,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   513,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   504,   505,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   513,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,   228,    -1,   230,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,    -1,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,    -1,
     451,   452,   453,   454,   455,   456,   457,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   504,   505,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   513,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,    -1,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   513,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    -1,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,   228,    -1,   230,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,   245,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   513,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,    -1,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,    -1,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,    -1,   451,
     452,   453,   454,   455,   456,   457,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   504,   505,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   513,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,    -1,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,    -1,   230,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,   285,   286,    -1,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,    -1,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   504,   505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     513,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,    -1,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,   426,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,    -1,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   513,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,   228,
      -1,   230,   231,   232,   233,    -1,   235,   236,    -1,   238,
      -1,   240,   241,   242,   243,   244,   245,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,    -1,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,    -1,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,    -1,    -1,   438,
     439,   440,   441,    -1,   443,   444,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,    -1,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   513,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,    -1,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   513,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,   228,
      -1,   230,   231,   232,   233,    -1,   235,   236,    -1,   238,
      -1,   240,   241,   242,   243,   244,   245,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,    -1,   326,    -1,    -1,
     329,   330,   331,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,    -1,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,    -1,    -1,   438,
     439,   440,   441,    -1,   443,   444,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,    -1,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   513,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,    -1,    -1,    -1,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   513,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,   108,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,    -1,
      -1,   230,   231,   232,   233,    -1,   235,   236,    -1,   238,
      -1,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,    -1,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,    -1,   317,    -1,
     319,   320,   321,   322,   323,   324,    -1,   326,    -1,    -1,
     329,   330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,    -1,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,    -1,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,    -1,    -1,   438,
     439,   440,   441,    -1,   443,   444,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,    -1,
     469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,    -1,    -1,    -1,
      -1,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   514,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,    -1,   259,    -1,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,
      -1,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,    -1,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,    -1,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,    -1,   337,    -1,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,    -1,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,    -1,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,    -1,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,   512,
     513,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    75,    76,    77,
      78,    79,    80,    -1,    82,    -1,    -1,    -1,    86,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
      -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
      -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,    -1,   286,    -1,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,   337,
      -1,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,    -1,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,    -1,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
      -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,    -1,    -1,
      -1,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   513,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,    -1,   259,    -1,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,
      -1,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,    -1,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,    -1,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,    -1,   337,    -1,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,    -1,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,   426,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,    -1,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,    -1,   469,   470,   471,   472,
      -1,    -1,   475,    -1,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     513,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
      -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
      -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,    -1,   286,    -1,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,   337,
      -1,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,    -1,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,    -1,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,   426,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
      -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,    -1,    -1,
      -1,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   513,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,    -1,   259,    -1,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,
      -1,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,    -1,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,    -1,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,    -1,   337,    -1,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,    -1,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,    -1,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,    -1,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     513,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
      -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
      -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,    -1,   286,    -1,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,   337,
      -1,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,    -1,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,    -1,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
      -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,    -1,    -1,
      -1,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   513,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,    -1,   259,    -1,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,
      -1,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,    -1,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,    -1,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,    -1,   337,    -1,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,    -1,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,    -1,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,    -1,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     513,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
      -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
      -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,    -1,   286,    -1,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,   337,
      -1,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,    -1,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,    -1,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
      -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,    -1,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   513,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,    -1,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,    -1,    -1,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,    -1,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,    -1,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,    -1,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,    -1,   437,   438,    -1,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,   449,    -1,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     493,   494,   495,    -1,    -1,    -1,    -1,   500,   501,   502,
      -1,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,    -1,
      -1,    -1,   231,   232,   233,    -1,   235,   236,    -1,   238,
      -1,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,    -1,
     259,    -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,    -1,    -1,   272,    -1,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,    -1,
     309,   310,   311,   312,    -1,   314,   315,    -1,   317,    -1,
     319,   320,   321,   322,   323,   324,    -1,   326,    -1,    -1,
     329,   330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,    -1,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,    -1,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,    -1,    -1,   438,
     439,   440,   441,    -1,   443,   444,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,    -1,
     469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,    -1,    -1,    -1,
      -1,   500,   501,   502,    -1,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      85,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,    -1,
     225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,
     235,   236,    -1,   238,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,   284,
      -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,    -1,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,    -1,   319,   320,   321,   322,   323,   324,
      -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,
     335,    -1,   337,    -1,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,    -1,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,    -1,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,   434,
     435,    -1,    -1,   438,   439,   440,   441,    -1,   443,   444,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,    -1,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,
     475,    -1,    -1,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,    -1,    -1,    -1,    -1,   500,   501,   502,    -1,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,    -1,   259,    -1,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,
      -1,   272,    -1,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,    -1,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,    -1,   319,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,    -1,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,   439,   440,
     441,    -1,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,    -1,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,    -1,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,   500,   501,   502,    -1,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,    -1,   259,    -1,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,
      -1,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,    -1,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,    -1,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,    -1,   337,    -1,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,    -1,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,    -1,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,    -1,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,   500,   501,   502,
      -1,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,    -1,
      -1,    -1,   231,   232,   233,    -1,   235,   236,    -1,   238,
      -1,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,    -1,
     259,    -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,    -1,    -1,   272,    -1,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,    -1,
     309,   310,   311,   312,    -1,   314,   315,    -1,   317,    -1,
     319,   320,   321,   322,   323,   324,    -1,   326,    -1,    -1,
     329,   330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,    -1,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,    -1,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,    -1,    -1,   438,
     439,   440,   441,    -1,   443,   444,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,    -1,
     469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,    -1,    -1,    -1,
      -1,   500,   501,   502,    -1,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      85,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,    -1,
     225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,
     235,   236,    -1,   238,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,   284,
      -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,    -1,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,    -1,   319,   320,   321,   322,   323,   324,
      -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,
     335,    -1,   337,    -1,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,    -1,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,    -1,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,   434,
     435,    -1,    -1,   438,   439,   440,   441,    -1,   443,   444,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,    -1,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,
     475,    -1,    -1,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,    -1,    -1,    -1,    -1,   500,   501,   502,    -1,   504,
     505,   506,   507,   508,   509,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,   506,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,    -1,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,    -1,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,    -1,   213,   214,   215,    -1,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,    -1,    -1,
     238,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,    -1,   314,   315,   316,   317,
      -1,    -1,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,    -1,   350,    -1,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,    -1,   440,    -1,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   493,   494,   495,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,   506,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
     506,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,   506,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,   229,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   504,   505,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,   229,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   504,   505,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,   229,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   504,   505,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,   229,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   504,   505,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,   436,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,    -1,    -1,    -1,     4,   500,     6,
       7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    -1,    -1,
      86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,    -1,   230,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,    -1,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,   228,    -1,   230,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,   242,   243,   244,   245,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,   439,   440,
     441,    -1,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,    -1,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
      -1,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,    -1,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,    -1,   213,   214,   215,    -1,    -1,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,   228,
      -1,   230,   231,   232,   233,    -1,   235,    -1,    -1,   238,
      -1,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,    -1,   314,   315,   316,   317,    -1,
      -1,   320,   321,   322,   323,   324,    -1,   326,    -1,    -1,
     329,   330,   331,    -1,    -1,   334,   335,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
      -1,   350,    -1,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,    -1,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,    -1,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,    -1,    -1,   438,
      -1,   440,    -1,    -1,   443,   444,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   493,   494,   495,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,    -1,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,    -1,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,    -1,   213,   214,   215,    -1,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,    -1,    -1,
     238,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,    -1,    -1,   261,   262,   263,   264,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,    -1,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,    -1,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,    -1,   350,    -1,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,    -1,   424,   425,   426,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,    -1,   440,    -1,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   493,   494,   495,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,    -1,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,    -1,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,    -1,   213,   214,   215,    -1,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,   228,    -1,   230,   231,   232,   233,    -1,   235,    -1,
      -1,   238,    -1,   240,   241,   242,   243,   244,   245,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,    -1,    -1,   261,   262,   263,   264,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,    -1,    -1,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,    -1,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,    -1,   350,    -1,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,    -1,   440,    -1,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   493,   494,   495,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,    -1,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,    -1,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,    -1,   213,   214,   215,
      -1,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
      -1,    -1,   238,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,    -1,    -1,   261,   262,   263,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,   285,
     286,   287,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,    -1,    -1,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,    -1,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,    -1,   350,    -1,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,    -1,   440,    -1,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,   494,   495,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,    -1,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,    -1,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,    -1,   213,   214,
     215,    -1,    -1,   218,    -1,   220,   221,   222,   223,    -1,
     225,    -1,   227,   228,    -1,   230,   231,   232,   233,    -1,
     235,    -1,    -1,   238,    -1,   240,   241,   242,   243,   244,
     245,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,    -1,    -1,   261,   262,   263,   264,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
     285,   286,   287,    -1,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,    -1,   314,
     315,   316,   317,    -1,    -1,   320,   321,   322,   323,   324,
      -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,
      -1,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,    -1,   350,    -1,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,    -1,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,    -1,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,   434,
     435,    -1,    -1,   438,    -1,   440,    -1,    -1,   443,   444,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,    -1,    -1,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,   470,   471,   472,    -1,    -1,
     475,    -1,    -1,   478,   479,   480,   481,   482,   483,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,   494,
     495,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,    -1,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,    -1,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,    -1,   213,
     214,   215,    -1,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,    -1,    -1,   238,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,    -1,    -1,   261,   262,   263,
     264,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,    -1,
     314,   315,   316,   317,    -1,    -1,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,    -1,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,    -1,   350,    -1,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,    -1,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,    -1,   440,    -1,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,
     494,   495,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,    -1,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,    -1,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,    -1,
     213,   214,   215,    -1,    -1,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,    -1,   230,   231,   232,
     233,    -1,   235,    -1,    -1,   238,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,    -1,    -1,   261,   262,
     263,   264,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
      -1,   314,   315,   316,   317,    -1,    -1,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,    -1,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,    -1,   350,    -1,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,    -1,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,    -1,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,    -1,   440,    -1,    -1,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,    -1,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     493,   494,   495,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,    -1,    -1,   121,
      -1,    -1,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,    -1,    -1,   136,    -1,   138,   139,   140,   141,
      -1,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,    -1,    -1,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
      -1,   213,   214,   215,    -1,    -1,   218,    -1,   220,   221,
      -1,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,    -1,    -1,   238,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,    -1,    -1,   261,
     262,   263,    -1,    -1,    -1,    -1,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,    -1,   310,   311,
      -1,    -1,   314,   315,   316,   317,    -1,    -1,   320,    -1,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,    -1,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,    -1,   350,    -1,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,    -1,   405,   406,   407,   408,    -1,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,    -1,    -1,    -1,   438,    -1,   440,    -1,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,    -1,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,    -1,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
      -1,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,    -1,   261,
     262,   263,    -1,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,    -1,   301,
     302,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,    -1,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,    -1,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,    -1,    -1,   145,   146,   147,   148,   149,    -1,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,   226,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,   451,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,   226,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,   287,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,   451,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,   160,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,   234,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,   160,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,   234,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,   226,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,   451,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,   160,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    14,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,   226,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,   426,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,   160,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    14,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,   426,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    74,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    14,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,   108,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,   108,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,   458,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,   108,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     6,     7,     8,    -1,    10,    11,
      12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,
      32,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   115,    -1,    -1,    -1,   119,   120,   121,
     122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,
     142,    -1,   144,    -1,    -1,    -1,    -1,    -1,   150,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,
      -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   177,   178,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     212,    -1,    -1,    -1,   216,    -1,    -1,    -1,    -1,    -1,
     222,    -1,    -1,    -1,    -1,    -1,   228,    -1,   230,    -1,
      -1,    -1,    -1,    -1,   236,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   245,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   258,   259,    -1,    -1,
      -1,    -1,    -1,   265,    -1,   267,    -1,    -1,   270,   271,
      -1,   273,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   284,   285,    -1,   287,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   307,   308,   309,    -1,    -1,
     312,    -1,    -1,    -1,   316,    -1,    -1,   319,    -1,   321,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   335,   336,    -1,   338,   339,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   349,    -1,   351,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   364,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   384,    -1,    -1,   387,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   404,    -1,    -1,   407,    -1,   409,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     422,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   434,   435,    -1,    -1,    -1,   439,    -1,   441,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   450,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   465,    -1,    -1,   468,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     6,     7,     8,    -1,    10,    11,    12,    -1,    -1,
      -1,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     115,    -1,    -1,    -1,   119,   120,   121,   122,   123,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     135,    -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,   144,
      -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   177,   178,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,
      -1,   216,    -1,    -1,    -1,    -1,    -1,   222,    -1,    -1,
      -1,    -1,    -1,   228,    -1,   230,    -1,    -1,    -1,    -1,
      -1,   236,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     245,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   258,   259,    -1,    -1,    -1,    -1,    -1,
     265,    -1,   267,    -1,    -1,   270,   271,    -1,   273,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   284,
     285,    -1,   287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   307,   308,   309,    -1,    -1,   312,    -1,    -1,
      -1,   316,    -1,    -1,   319,    -1,   321,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     335,   336,    -1,   338,   339,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   349,    -1,   351,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   364,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   384,
      -1,    -1,   387,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   404,
      -1,    -1,   407,    -1,   409,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   422,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,
     435,    -1,    -1,    -1,   439,    -1,   441,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   450,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     465,    -1,    -1,   468,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     6,     7,
       8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    -1,    -1,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,
      -1,   119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,
      -1,    -1,    -1,    -1,   142,    -1,   144,    -1,    -1,    -1,
      -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,
     178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   212,    -1,    -1,    -1,   216,    -1,
      -1,    -1,    -1,    -1,   222,    -1,    -1,    -1,    -1,    -1,
     228,    -1,   230,    -1,    -1,    -1,    -1,    -1,   236,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   245,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     258,   259,    -1,    -1,    -1,    -1,    -1,   265,    -1,   267,
      -1,    -1,   270,   271,    -1,   273,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   284,   285,    -1,   287,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   307,
     308,   309,    -1,    -1,   312,    -1,    -1,    -1,   316,    -1,
      -1,   319,    -1,   321,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   335,   336,    -1,
     338,   339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   349,    -1,   351,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   364,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   384,    -1,    -1,   387,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   404,    -1,    -1,   407,
      -1,   409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   422,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   434,   435,    -1,    -1,
      -1,   439,    -1,   441,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   465,    -1,    -1,
     468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   484,   485,   486,   487,
     488,   489,   490,   491,   492,     6,     7,     8,    -1,    10,
      11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    -1,    -1,    -1,
      31,    32,    33,    34,    -1,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,   119,   120,
     121,   122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,
      -1,   142,    -1,   144,    -1,    -1,    -1,    -1,    -1,   150,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     161,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   177,   178,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   212,    -1,    -1,    -1,   216,    -1,    -1,    -1,    -1,
      -1,   222,    -1,    -1,    -1,    -1,    -1,   228,    -1,   230,
      -1,    -1,    -1,    -1,    -1,   236,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   258,   259,    -1,
      -1,    -1,    -1,    -1,   265,    -1,   267,    -1,    -1,   270,
     271,    -1,   273,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   284,   285,    -1,   287,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   307,   308,   309,    -1,
      -1,   312,    -1,    -1,    -1,   316,    -1,    -1,   319,    -1,
     321,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   335,   336,    -1,   338,   339,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   349,    -1,
     351,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   364,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   384,    -1,    -1,   387,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   404,    -1,    -1,   407,    -1,   409,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   422,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   434,   435,    -1,    -1,    -1,   439,    -1,
     441,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   450,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   465,    -1,    -1,   468,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   484,   485,   486,   487,   488,   489,   490,
     491,   492,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    -1,    -1,    86,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,    -1,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,    -1,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,   228,
      -1,   230,   231,   232,   233,    -1,   235,   236,    -1,   238,
      -1,   240,   241,    -1,   243,   244,   245,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,    -1,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,    -1,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,    -1,   494,   495,    -1,    -1,    -1,
      71,    -1,    -1,    -1,    -1,   504,   505,   506,    79,    80,
      -1,    -1,    -1,    -1,   513,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,    -1,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,    -1,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,    -1,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,   228,    -1,   230,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,    -1,   243,   244,   245,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,   426,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,   439,   440,
     441,    -1,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,    -1,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,   470,
     471,   472,    -1,    -1,   475,    -1,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,    -1,   494,   495,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    -1,    -1,
      86,    -1,   513,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,    -1,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,    -1,   301,   302,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    -1,   494,   495,
      -1,    -1,    -1,    -1,    -1,    -1,    71,    72,   504,   505,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,    -1,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,   221,   222,   223,    -1,
     225,    -1,   227,   228,    -1,   230,   231,   232,   233,    -1,
     235,   236,    -1,   238,    -1,   240,   241,    -1,   243,   244,
     245,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,    -1,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,   434,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,    -1,    -1,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,   470,   471,   472,    -1,    -1,
     475,    -1,    -1,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,    -1,   494,
     495,    -1,    -1,    -1,    -1,    -1,    -1,    71,    72,   504,
     505,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
      -1,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,    -1,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,    -1,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,    -1,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,    -1,
     494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    71,    -1,
     504,   505,    75,    76,    77,    78,    79,    80,    -1,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,    -1,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,    -1,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,    -1,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,    -1,   230,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,    -1,
     243,   244,   245,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,    -1,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
      -1,   494,   495,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,    -1,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,    -1,   301,   302,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,   436,    -1,
     438,   439,   440,   441,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,    -1,   494,   495,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,    -1,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,    -1,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,    -1,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,    -1,   230,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,    -1,
     243,   244,   245,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,    -1,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,    -1,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
      71,   494,   495,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,    -1,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,    -1,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,    -1,   176,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,   228,    -1,   230,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,    -1,   243,   244,   245,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,   439,   440,
     441,    -1,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,    -1,    -1,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,    71,   494,   495,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,    -1,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,    -1,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,   228,
      -1,   230,   231,   232,   233,    -1,   235,   236,    -1,   238,
      -1,   240,   241,    -1,   243,   244,   245,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,    -1,   326,    -1,    -1,
     329,   330,   331,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,    -1,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,    -1,    -1,   438,
     439,   440,   441,    -1,   443,   444,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,    71,   494,   495,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,    -1,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,   228,    -1,   230,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,    -1,   243,   244,   245,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,    71,   494,   495,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,    -1,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,   170,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,    -1,
     225,    -1,   227,   228,    -1,   230,   231,   232,   233,    -1,
     235,   236,    -1,   238,    -1,   240,   241,    -1,   243,   244,
     245,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
      -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,    -1,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,   434,
     435,    -1,    -1,   438,   439,   440,   441,    -1,   443,   444,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,    -1,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,   470,   471,   472,    -1,    -1,
     475,    -1,    -1,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,    71,   494,
     495,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,   104,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,    -1,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,    -1,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,    -1,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,    -1,   230,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,    -1,
     243,   244,   245,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,    -1,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,    -1,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
      71,   494,   495,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,    -1,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,    -1,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,    -1,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,   228,    -1,   230,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,    -1,   243,   244,   245,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,   439,   440,
     441,    -1,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,    -1,    -1,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,    71,   494,   495,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,    -1,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,    -1,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,   228,
      -1,   230,   231,   232,   233,    -1,   235,   236,    -1,   238,
      -1,   240,   241,    -1,   243,   244,   245,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,    -1,   326,    -1,    -1,
     329,   330,   331,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,    -1,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,    -1,    -1,   438,
     439,   440,   441,    -1,   443,   444,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,    71,   494,   495,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,    -1,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,   228,    -1,   230,   231,   232,   233,    -1,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,   245,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,    71,   494,   495,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,    -1,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,    -1,
     225,    -1,   227,   228,    -1,   230,   231,   232,   233,    -1,
     235,   236,    -1,   238,    -1,   240,   241,    -1,   243,   244,
     245,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
      -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,    -1,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,   434,
     435,    -1,    -1,   438,   439,   440,   441,    -1,   443,   444,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,    -1,    -1,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,   470,   471,   472,    -1,    -1,
     475,    -1,    -1,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,    71,   494,
     495,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,    -1,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,    -1,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,    -1,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,    -1,   230,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,    -1,
     243,   244,   245,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,    -1,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,    -1,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
      71,   494,   495,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,    -1,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,    -1,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,    -1,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,   228,    -1,   230,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,    -1,   243,   244,   245,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,   439,   440,
     441,    -1,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,    -1,    -1,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,    71,   494,   495,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,    -1,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,    -1,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,   228,
      -1,   230,   231,   232,   233,    -1,   235,   236,    -1,   238,
      -1,   240,   241,    -1,   243,   244,   245,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,    -1,   326,    -1,    -1,
     329,   330,   331,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,    -1,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,    -1,    -1,   438,
     439,   440,   441,    -1,   443,   444,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,    71,   494,   495,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,    -1,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,   228,    -1,   230,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,    -1,   243,   244,   245,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,    -1,   494,   495
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   522,  1090,     0,     5,    25,    35,    36,    41,    43,
      44,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    73,    75,    76,    77,
      78,    79,    80,    81,    82,    86,   134,   204,   222,   242,
     264,   300,   303,   318,   394,   436,   450,   465,   493,   500,
     504,   505,   506,   507,   508,   511,   512,   513,   514,   516,
     517,   518,   519,   520,  1081,  1091,  1119,  1121,  1212,  1222,
    1223,  1225,  1231,  1232,  1120,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    40,    42,    43,    44,    45,
      46,    50,    51,    56,    65,    67,    69,    70,    91,   101,
     103,   104,   113,   115,   118,   119,   120,   121,   122,   123,
     135,   138,   140,   141,   142,   144,   146,   148,   150,   158,
     160,   161,   167,   174,   176,   177,   178,   179,   191,   193,
     197,   203,   204,   211,   212,   213,   216,   219,   222,   228,
     230,   234,   236,   245,   258,   259,   265,   267,   270,   271,
     273,   284,   285,   287,   289,   290,   295,   304,   307,   308,
     309,   312,   315,   316,   319,   321,   335,   336,   338,   339,
     349,   351,   353,   364,   365,   370,   371,   373,   378,   383,
     384,   386,   387,   390,   395,   396,   403,   404,   406,   407,
     409,   414,   422,   426,   434,   435,   439,   441,   443,   445,
     450,   453,   459,   464,   465,   468,   477,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   513,   523,   524,   530,
     531,   533,   534,   535,   536,   537,   538,   539,   541,   542,
     546,   558,   563,   564,   567,   568,   569,   581,   584,   585,
     601,   640,   643,   644,   645,   652,   658,   660,   662,   663,
     666,   669,   670,   674,   675,   684,   688,   689,   690,   691,
     692,   694,   695,   696,   709,   710,   714,   716,   717,   718,
     728,   730,   737,   738,   741,   742,   743,   744,   745,   750,
     752,   755,   759,   763,   764,   774,   775,   778,   783,   794,
     816,   819,   820,   821,   824,   827,   829,   831,   834,   835,
     838,   839,   840,   847,   848,   850,   851,   852,   857,   859,
     860,   864,   865,   868,   869,   870,   871,   873,   874,   875,
     876,   878,   881,   882,   887,   893,   896,   898,   903,   905,
     909,   916,   920,   921,   922,   923,   924,   925,   928,   956,
    1087,  1088,  1092,  1094,  1095,  1112,  1113,  1114,  1115,  1126,
    1128,  1132,  1133,  1134,  1135,  1136,  1138,  1140,  1142,  1143,
    1144,  1145,  1147,  1152,  1153,  1157,  1158,  1167,  1169,  1170,
    1171,  1174,  1179,  1182,  1187,  1189,  1190,  1193,  1195,  1198,
    1207,  1225,  1233,    73,  1115,  1123,  1124,    14,    72,    91,
      92,    93,    94,    95,    96,    97,    98,   100,   101,   102,
     110,   111,   113,   114,   116,   117,   118,   125,   126,   127,
     128,   129,   132,   133,   136,   138,   139,   140,   141,   146,
     147,   148,   149,   151,   154,   155,   156,   157,   158,   159,
     162,   171,   172,   173,   174,   176,   179,   181,   183,   184,
     185,   186,   187,   189,   190,   191,   194,   195,   196,   197,
     198,   200,   201,   202,   204,   205,   206,   208,   209,   210,
     211,   213,   214,   215,   218,   220,   221,   223,   225,   227,
     231,   232,   233,   235,   238,   240,   241,   243,   244,   246,
     247,   248,   250,   251,   252,   253,   254,   255,   257,   261,
     262,   263,   269,   272,   274,   275,   276,   277,   278,   280,
     281,   283,   286,   289,   290,   291,   294,   295,   296,   297,
     298,   299,   301,   302,   304,   305,   306,   310,   311,   314,
     315,   317,   320,   322,   323,   324,   326,   329,   330,   331,
     334,   337,   340,   341,   342,   343,   344,   345,   346,   348,
     350,   352,   353,   354,   356,   357,   358,   359,   360,   361,
     362,   363,   365,   366,   367,   368,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   382,   383,   385,
     386,   388,   389,   390,   391,   392,   393,   395,   397,   398,
     399,   400,   401,   403,   405,   406,   408,   410,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   424,   425,
     427,   428,   429,   430,   431,   432,   436,   438,   440,   443,
     444,   445,   446,   447,   448,   449,   452,   453,   454,   455,
     456,   459,   460,   461,   462,   463,   467,   469,   470,   471,
     472,   475,   478,   479,   480,   481,   482,   483,   494,   495,
    1082,  1085,  1086,  1087,  1088,  1105,  1106,  1217,  1219,  1223,
    1225,    29,   260,  1168,     9,    13,    15,    28,    45,    46,
      50,    51,    56,    65,    67,    69,    70,    99,   134,   152,
     163,   175,   180,   242,   300,   303,   394,   464,   493,  1074,
    1086,  1087,  1107,  1154,  1155,  1197,  1198,  1199,  1203,  1208,
    1209,  1210,  1219,  1225,    99,   917,  1073,  1107,  1203,  1216,
      14,   917,     5,    25,    29,    35,    36,    43,    44,    99,
     103,   104,   105,   106,   107,   108,   109,   112,   124,   130,
     131,   134,   137,   143,   145,   152,   153,   160,   163,   164,
     165,   166,   168,   169,   170,   180,   182,   188,   192,   193,
     199,   203,   207,   217,   219,   224,   226,   229,   234,   237,
     239,   249,   256,   260,   264,   266,   268,   279,   282,   288,
     292,   293,   313,   318,   325,   327,   328,   332,   333,   347,
     355,   369,   381,   396,   402,   411,   423,   426,   433,   436,
     437,   442,   450,   451,   457,   458,   464,   466,   473,   474,
     476,   477,  1086,  1089,  1199,  1200,  1201,  1205,  1206,  1207,
    1208,  1210,    25,    35,   134,   264,  1194,    38,    40,   313,
    1127,   438,   480,   853,    98,   144,   157,   174,   180,   195,
     206,   214,   226,   231,   237,   252,   277,   298,   329,   358,
     385,   389,   391,   397,   400,   425,   426,   428,   432,   440,
     445,   457,   470,   659,  1155,   179,   853,    99,   917,   468,
     883,   327,   354,   853,   121,   592,   921,    98,   110,   131,
     144,   153,   174,   180,   195,   206,   214,   226,   233,   237,
     291,   329,   332,   385,   391,   400,   428,   429,   431,   432,
     440,   445,   451,   454,   457,   602,   642,   733,   784,   795,
    1074,  1096,  1097,  1098,  1107,  1223,  1225,    14,    99,   353,
    1073,  1107,  1111,   415,   917,    99,   348,   398,   429,   431,
     276,   825,   826,  1223,    98,   110,   131,   144,   157,   174,
     195,   206,   214,   226,   231,   237,   252,   298,   329,   340,
     385,   389,   391,   397,   400,   426,   428,   432,   440,   445,
     457,   470,   659,   746,   853,   519,  1137,  1201,   246,  1111,
     160,   179,   211,   468,   513,   640,   643,   882,   888,   896,
     898,   903,   909,   916,   920,  1092,    92,    99,   116,   221,
     227,   229,   249,   278,   310,   356,   372,   504,   505,   760,
     761,   917,  1081,  1084,  1217,  1219,    99,   160,   369,   396,
     765,   766,   767,  1203,  1203,  1078,  1223,   426,   931,   116,
     227,   760,  1203,   438,  1111,   340,   298,   174,   252,   425,
     426,   832,   390,  1203,    99,   134,   401,   434,   438,   464,
     550,   559,   560,  1086,  1087,  1197,  1202,  1208,  1210,  1225,
      96,   234,   765,   766,   354,   853,  1203,   275,    99,   192,
     933,     4,    14,   132,   152,   154,   291,   306,   385,   391,
     401,   434,   438,   483,   547,   548,   549,   550,    99,   401,
     434,   438,   550,   438,   328,   967,  1071,  1203,   931,  1191,
    1201,   506,  1203,   230,   513,   884,   513,  1066,   367,   926,
     927,  1073,   921,   922,   925,   517,   883,   207,   266,   333,
     450,   934,   935,   921,   923,   924,   185,   262,   456,   516,
     118,   523,  1135,  1138,  1134,  1130,   517,  1139,  1141,     5,
      25,    35,   134,   196,   264,  1146,   175,   242,   300,   303,
     394,   493,   513,  1002,  1003,  1118,  1122,  1212,    73,  1115,
    1073,  1107,  1226,   180,  1096,    21,   458,   507,  1111,  1111,
    1226,   458,  1159,  1160,  1161,    25,   264,   264,  1205,     7,
      19,    20,    39,    42,   156,   193,  1196,  1196,    16,  1135,
    1079,  1088,  1197,  1200,  1203,  1204,  1208,  1209,  1225,   748,
    1203,   748,  1074,   357,   748,   440,   748,  1073,  1203,   173,
     426,   773,  1079,  1082,    99,   244,  1071,   322,   470,    85,
     139,   218,   500,   501,   502,   504,   505,   506,   507,   508,
     509,   823,  1033,  1034,  1203,    99,  1082,  1073,  1073,   244,
    1071,  1073,   378,   403,    99,   244,   967,  1073,   393,  1073,
     748,    99,   296,  1082,   244,  1071,   276,    34,   182,   272,
     313,   363,   854,   855,   856,  1071,  1077,  1203,    98,   131,
     144,   145,   153,   157,   174,   195,   206,   214,   226,   231,
     252,   277,   298,   329,   385,   389,   391,   397,   400,   426,
     428,   432,   440,   445,   470,   659,   753,  1223,  1071,   436,
    1079,  1073,   513,   748,   440,  1074,   748,   440,   244,  1073,
     173,   426,   429,   431,  1082,   429,   431,   139,   218,   823,
     376,  1082,   244,   543,  1203,  1073,  1073,   393,  1073,   748,
     296,  1082,   367,   397,   426,   470,   298,   157,   252,   231,
     389,   444,   653,    85,  1099,  1100,   518,  1219,  1226,    99,
    1111,  1225,   918,   557,  1085,  1223,   826,   244,  1079,  1073,
     244,   830,   244,  1074,   440,   173,   426,   244,  1079,   244,
    1082,  1083,   150,   470,   139,   218,   244,   823,   125,   244,
    1083,   244,  1073,   244,  1073,   244,  1073,   393,   244,  1073,
     244,   296,  1083,   276,   244,   747,   748,   513,   519,  1227,
    1228,  1229,  1230,  1232,  1137,    71,  1107,  1156,   513,   897,
     602,   917,   888,   882,   889,   890,   891,  1085,   883,  1084,
     761,   762,    99,   761,   917,  1084,   762,    99,   761,   917,
    1084,   762,   762,   762,  1084,  1081,  1081,   268,   458,  1161,
    1162,  1236,  1238,   917,   762,   357,   513,   513,   621,   621,
     621,   327,   436,   516,   621,   967,   968,   761,   917,   761,
     917,   516,   849,  1223,   229,   513,   894,   125,   470,  1073,
    1073,  1071,  1203,   115,   495,   272,   515,   330,   330,   327,
     229,  1223,   436,   224,   756,   327,    83,    84,    85,    87,
     107,   120,   122,   123,   130,   131,   134,   135,   142,   144,
     164,   165,   166,   167,   168,   169,   170,   177,   178,   196,
     212,   216,   217,   222,   236,   264,   265,   267,   284,   292,
     293,   307,   309,   313,   318,   319,   321,   329,   339,   349,
     364,   387,   402,   409,   422,   434,   435,   439,   441,   442,
     451,   457,   465,   485,   486,   487,   488,   489,   490,   491,
     492,   504,   505,   506,   513,   921,   983,   986,   989,   990,
     991,   993,   994,   995,   996,   999,  1000,  1004,  1006,  1007,
    1008,  1010,  1031,  1035,  1054,  1059,  1067,  1068,  1069,  1079,
    1080,  1081,  1203,  1215,  1217,  1219,  1220,  1221,  1222,  1223,
     436,   500,  1226,  1223,   436,   500,  1155,    99,   565,  1070,
    1071,   401,   547,   180,   556,  1223,   557,  1223,   115,   136,
     547,   495,   410,   855,   330,   229,   436,   500,   115,   495,
     272,  1236,   856,   513,  1071,   506,   511,   515,  1060,  1061,
     968,  1207,   228,   230,   468,   879,   880,   882,   228,   885,
     180,  1004,  1064,  1065,   926,   516,   513,   886,   514,   514,
    1071,    99,   192,   932,   932,   125,   932,   219,   224,   288,
     325,   938,   940,   941,   950,   952,   953,   954,   934,   935,
     229,   268,   967,   969,  1066,   517,  1129,   506,  1148,  1149,
    1151,   519,   519,    25,   264,   264,   436,   436,   436,   436,
     513,   436,   504,   505,   650,  1084,  1116,  1222,   203,   108,
    1103,   125,  1106,  1106,   268,  1161,  1163,   268,  1161,  1162,
    1163,   463,  1172,  1173,  1219,    14,    37,    84,   504,   505,
    1081,  1164,  1165,  1166,  1215,  1217,  1221,  1222,  1223,  1224,
     264,   270,  1073,   436,  1073,     6,  1073,  1196,  1151,   513,
     807,  1061,   341,   374,   403,   515,   749,   341,   374,   403,
     341,   374,   403,   477,   525,   558,   561,   779,    95,   197,
     341,   374,   403,   461,   572,  1073,   403,    95,   197,   456,
     540,   481,   244,   967,   127,   159,   215,   247,   283,   313,
     341,   374,   382,   388,   395,   403,   412,   420,   472,   558,
     562,   810,   817,   513,   796,   374,   540,   249,   212,    95,
     101,   141,   190,   197,   200,   254,   311,   313,   323,   331,
     341,   374,   377,   378,   403,   461,   570,   571,   678,   650,
      99,   244,  1071,   748,   748,   513,   822,   515,   249,   532,
     374,   525,   532,   327,   341,   374,   212,   126,   172,   251,
     299,   301,   311,   340,   374,   379,   403,   414,   570,   646,
     647,   648,   341,   374,   469,   678,   686,   560,   548,   550,
     249,   212,   374,   403,   570,   341,   374,   378,   403,   151,
     189,   342,   430,   327,    95,   101,   197,   341,   374,   403,
     582,   583,   532,   224,   374,   525,   532,   212,   374,   403,
     570,  1073,   517,   286,   182,   328,   482,   516,   854,   458,
     877,   327,  1079,   513,  1073,   440,   173,   426,  1079,   322,
     470,   139,   218,   823,  1073,   393,  1073,   276,   748,   621,
     360,   587,   513,   723,   807,   137,   120,   122,   123,   134,
     135,   177,   178,   222,   265,   267,   307,   309,   321,   364,
     404,   409,   434,   435,   465,   980,   982,   984,   986,   988,
     990,   991,   992,   994,   995,   999,  1000,  1197,  1204,  1208,
    1209,  1225,   229,   513,   719,  1073,   525,   108,   872,  1073,
     313,   525,   481,   244,  1071,   525,   748,   748,   719,   454,
     602,   525,   313,   115,   544,   445,   685,   341,   661,   151,
     189,   342,   430,    97,   117,   263,   697,   108,   719,   224,
     525,   470,  1071,   244,   638,  1071,  1071,   470,   748,   150,
     785,  1079,  1073,   659,    74,  1101,  1203,   518,  1102,  1099,
     121,   171,   261,   311,   392,   212,   807,   128,   380,   573,
     212,   513,   212,   481,   212,   796,   212,   516,   244,   747,
     244,   748,   244,   748,   212,   822,  1083,   212,   212,   327,
     212,   573,   212,   151,   189,   342,   430,   212,   327,   212,
     224,   244,   244,   557,   212,   516,   573,   514,  1228,  1229,
    1227,   516,   520,  1004,  1038,  1160,  1235,  1236,   426,   918,
     514,   516,   217,   327,   442,   554,   557,   650,   892,   888,
     762,   917,   762,   917,  1238,  1239,   762,   917,   762,   917,
    1239,   762,   917,   917,   917,   762,    14,    37,  1211,  1214,
    1219,   917,   513,   622,   623,  1203,   622,    99,   174,   195,
     226,   231,   276,   277,   391,   397,   426,   428,   445,   768,
    1070,  1083,   767,   249,   516,   906,   917,   917,  1223,  1156,
     980,  1041,   108,  1083,   785,   225,   833,   833,   833,   286,
    1203,   224,   224,   768,  1083,   390,  1203,   557,   327,   513,
     511,   921,  1042,   467,   997,  1004,  1058,   513,   997,   997,
     513,   224,   513,   513,   513,   985,   985,   351,   921,   513,
     513,   987,   513,   513,   513,   513,   134,   135,   997,  1004,
     513,   985,   513,   513,   513,   513,   513,   479,   499,   513,
    1001,   513,  1001,   513,   513,   921,   513,   513,   513,   513,
     513,   513,   513,   513,  1004,  1004,   464,   921,  1004,  1038,
    1061,  1223,   135,   513,   998,   513,  1223,    85,    88,   105,
     108,   113,   119,   143,   245,   249,   270,   271,   287,   313,
     316,   329,   332,   407,   500,   501,   502,   504,   505,   506,
     507,   508,   509,  1033,  1035,  1037,  1225,   478,  1019,   338,
    1004,   268,   929,  1236,   516,   513,  1223,  1061,    22,  1218,
    1219,  1062,   324,   327,  1188,  1188,    10,   463,  1175,  1176,
    1178,  1155,  1155,   183,   246,   566,   516,   136,   180,   557,
     108,   180,   291,   555,   650,  1000,  1223,  1225,  1223,   155,
     194,  1016,   163,   180,   551,   552,   554,   650,   180,   551,
    1236,  1236,   286,  1071,  1004,   506,  1076,  1205,  1060,   156,
     379,   751,   270,   514,   516,   883,   514,   516,   927,  1072,
    1073,   108,   886,   923,   923,   936,   937,  1004,   923,   221,
     310,   947,   274,   311,   363,   405,   456,    99,   942,  1004,
     943,   945,  1004,  1006,   950,   951,   941,   940,   938,   939,
     224,   953,   323,   955,   938,   950,   969,  1071,   108,  1203,
     403,  1148,   506,   516,   517,  1206,  1125,  1128,  1125,   264,
     175,   242,   300,  1003,   300,  1003,  1003,   303,  1081,   300,
     303,   394,  1222,  1222,   516,  1117,   179,  1155,   457,  1104,
    1106,  1073,    37,  1081,  1177,  1219,   516,   500,  1073,    14,
    1081,  1222,  1081,  1222,   516,  1135,   513,  1073,   513,  1207,
     249,   259,   333,   335,   404,   466,   506,   800,   801,   802,
     804,   806,   808,   980,  1204,   341,   374,   403,   436,   436,
     391,  1076,   515,   436,   436,   391,   436,   436,   428,   547,
     866,   224,   234,   249,   383,   780,   781,   137,   153,   208,
     226,   355,   451,   618,   619,   153,   180,   313,   436,   153,
     436,   180,   313,   391,   153,   190,   200,   341,   374,   715,
     391,   667,    98,   131,   144,   157,   195,   206,   226,   231,
     298,   329,   391,   397,   400,   426,   432,   445,   470,   659,
    1073,   212,   374,   403,   570,   327,   650,   395,   283,   436,
     436,   318,   650,   184,   269,   391,   401,   438,   549,   380,
     403,   810,   818,   514,   797,   800,   436,   457,   428,  1071,
     145,   208,   609,   618,  1203,   145,   153,   836,   327,   389,
     440,   153,   836,   102,   377,   389,   440,  1071,   254,   323,
     748,   513,   436,   436,   243,   513,   577,   428,   477,   479,
     577,   153,   516,   341,   249,   212,   374,   403,   570,   458,
     458,   312,   980,   341,   403,   823,   174,   403,   561,   436,
     527,   561,  1071,   436,   436,  1071,   650,   125,   649,   650,
     650,   172,   299,   301,   125,   436,   525,   391,   525,   458,
     311,   648,   436,   436,   318,  1223,   678,   428,   967,   153,
     436,   836,   391,   436,   436,   577,   577,   748,   748,   748,
     748,  1071,   114,   463,   114,   114,   436,   114,   436,   391,
     516,   561,   170,   457,   693,  1082,   436,   527,   561,  1071,
     436,   391,   341,   374,   363,   375,   399,   553,   854,  1077,
    1203,  1071,   807,   980,   327,   481,   796,   650,   748,   748,
     822,   270,   327,   151,   189,   342,   430,   327,   748,   270,
     477,   593,   417,   418,   588,  1223,   724,   725,  1225,   719,
     513,   982,   108,   107,   981,   175,   303,   493,   513,  1002,
     749,   985,   748,   720,   721,  1205,    97,   861,   980,   327,
     212,   664,  1073,   313,   513,   526,   733,   458,   367,   470,
     526,   212,  1082,   160,   234,   545,   601,   644,   696,   763,
     783,   857,  1223,   686,   687,  1073,   294,   748,   748,   748,
     748,   323,   185,   262,   443,   456,   698,   699,   204,   362,
     513,   693,   526,  1071,   646,   647,   313,   108,   323,   513,
     621,   621,   641,  1071,   224,   786,  1077,   513,   798,   108,
     276,   515,  1081,  1102,   477,   479,   919,   392,  1079,   573,
     980,  1074,   244,  1073,  1079,   573,  1083,  1082,   212,   573,
     212,   458,   212,   458,   823,   573,   573,  1083,  1073,   748,
    1073,  1073,  1073,   748,  1083,   693,   212,   212,   573,   747,
     748,   514,   520,  1230,   514,   516,  1236,  1237,  1160,  1071,
     171,   888,   890,   917,   917,  1239,   917,   917,  1239,   917,
     917,  1073,    14,   516,  1218,   622,   514,   516,   514,   232,
     398,   427,  1072,   747,   173,   400,   772,   773,  1072,   322,
    1072,  1070,  1070,  1072,   747,   436,   477,   776,    93,   210,
     387,   405,   907,   967,   317,   908,   514,   516,   895,   898,
     903,   909,   920,   436,  1071,   766,   765,   766,   229,   235,
     777,  1203,    98,   145,   174,   195,   206,   226,   231,   277,
     298,   385,   391,   397,   426,   428,   445,   470,   659,   757,
    1038,   512,  1038,  1042,  1043,   513,   473,  1055,  1056,  1004,
    1038,   513,  1081,  1081,  1038,   175,   242,   300,   303,   394,
     493,  1044,  1045,  1223,  1225,  1081,  1038,  1038,  1081,  1081,
     997,   997,  1004,   823,  1004,  1046,   504,   505,  1005,  1006,
    1031,  1035,  1048,   514,  1038,  1004,  1038,  1049,   434,   495,
    1081,  1081,  1004,   124,   229,   282,   437,  1004,  1038,  1052,
    1038,   305,  1006,  1004,  1014,  1015,  1016,   305,  1004,  1016,
     514,   516,   403,  1081,  1081,  1002,   980,  1004,  1205,   434,
     112,   423,  1063,   748,  1004,   513,   921,  1053,   192,   194,
     217,   313,   318,   323,   442,   452,  1004,   119,   245,   249,
     287,   407,   513,  1004,   436,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1004,    99,   106,   411,  1032,   237,
     220,  1020,   387,   513,  1031,   233,   291,   426,   429,   431,
     454,   930,  1071,   229,   957,  1069,    99,   192,   466,   506,
     514,   802,  1004,  1039,  1040,  1204,  1073,  1219,  1060,  1177,
     516,   500,  1071,   438,   513,  1223,   516,  1236,   514,   512,
     518,   243,   243,   573,  1135,  1071,   880,   881,  1071,  1064,
     514,   516,   513,   516,   109,   188,   458,   792,   513,   944,
    1084,   405,   274,   328,   516,   387,   388,   946,  1070,   908,
     951,   939,   458,   904,   180,   513,   899,   920,  1203,   513,
     910,   911,   912,   913,   914,  1203,   517,  1149,   981,   520,
    1128,   520,   514,   650,   514,    34,  1105,  1180,  1181,  1219,
    1173,  1178,  1226,  1164,   981,  1213,  1229,  1213,   981,   335,
     125,  1204,   514,   802,   804,   801,   804,  1204,   333,   514,
     516,   749,   436,   436,   391,  1082,  1073,  1073,  1076,  1082,
    1073,  1073,  1082,  1074,  1073,   152,   867,   385,   457,   765,
     391,   234,   765,   513,  1073,   458,   787,   274,   274,   458,
     513,   637,   244,  1073,   318,  1082,  1073,  1073,  1004,   318,
    1073,  1073,   102,   377,   436,   436,  1073,   436,   668,  1079,
     513,   748,   748,   748,   440,   173,   426,   773,   470,   139,
     218,   823,  1073,   748,  1073,   748,   393,   748,   748,   276,
     238,   311,   341,   374,   462,   671,   672,   673,   967,   436,
     836,   391,   318,   184,   269,  1082,  1073,   327,  1073,   514,
     516,  1082,  1083,  1073,   374,   570,   609,   980,  1073,  1203,
    1073,  1073,    99,   457,  1073,   244,  1073,   244,  1203,   389,
     440,   389,   440,  1073,    99,   457,  1073,  1071,    95,   197,
     403,   679,   680,   681,   682,  1205,  1082,  1073,   180,   230,
     314,   458,   576,   579,   580,  1205,  1073,   326,   141,   326,
    1073,   571,   436,   428,  1071,   436,   836,   391,  1075,  1203,
    1075,   516,   514,   516,   436,   391,  1074,  1082,   152,   202,
     254,   346,   449,   457,   460,   528,  1225,   374,  1082,  1073,
     374,   403,   570,   646,   647,   650,   748,  1073,   650,  1073,
     650,  1075,  1082,  1073,  1073,   374,   403,   570,  1073,  1073,
    1073,  1073,  1082,  1073,    95,   101,   197,   341,   374,   403,
     341,   374,   403,   719,   374,   403,   374,   403,   374,   979,
    1203,   244,   729,  1203,   244,  1203,  1082,  1073,  1073,  1073,
      95,   583,   400,  1082,   374,   403,   570,  1073,  1073,   436,
     436,   149,   448,   363,   270,   108,   748,   270,   270,   458,
     458,   270,   318,   754,  1223,   748,   748,   270,   754,   326,
     229,   436,   586,   525,   514,   516,   500,  1004,   107,   981,
     980,   511,   511,   436,   436,  1081,   985,   514,   516,   500,
     698,   152,   201,   280,   281,   294,   341,   428,   430,   862,
     611,  1205,  1073,   229,   391,   469,   665,   672,   673,   212,
     287,   603,   605,   607,   609,   615,   618,    96,   249,   385,
     424,   528,   529,   224,  1075,   470,  1071,   543,  1203,   544,
     332,   602,   226,  1223,   719,   719,   719,   719,   323,   327,
     332,   513,   719,   977,   978,   979,   400,   513,   458,   212,
     211,  1093,   748,   603,  1203,   477,   479,   633,   477,   578,
     108,   621,  1223,   327,   514,   799,   800,   805,   108,   276,
     382,   476,   809,   810,   811,   327,   557,  1101,   507,   241,
     241,   224,   807,   108,   212,   573,   796,   747,   748,  1075,
     748,  1075,   822,   327,   573,   573,   327,   573,   400,   224,
     557,   573,  1004,   919,  1226,  1214,   514,   623,   249,   249,
     249,   481,  1072,   516,   650,   651,   237,   769,   770,  1082,
      96,   777,   210,   405,   210,   405,   387,   456,   302,   980,
    1073,   477,   639,   229,   327,   769,   125,   573,  1079,   440,
     426,  1079,   322,   470,   276,   748,   514,   512,   512,   516,
    1038,  1004,   199,  1056,  1057,   108,   514,  1004,   514,   514,
     514,   514,   229,   514,   514,   514,   514,   514,   516,   514,
     347,  1047,   514,  1005,  1005,    88,   249,   270,   329,   500,
     501,   502,   504,   505,   506,   507,   508,   509,  1035,  1005,
     514,   514,   224,   229,  1050,  1051,   514,   495,   514,   514,
     108,  1052,  1038,  1052,  1052,   229,   514,   514,  1205,   345,
    1018,   108,   514,   516,  1004,  1205,   516,  1004,  1062,  1004,
    1203,   514,   514,   495,  1005,  1005,   205,  1038,   229,   192,
     194,   217,   318,   323,   442,   452,   513,   205,   423,  1063,
    1004,  1053,  1004,   436,   823,  1004,   513,   921,   513,   513,
     337,  1024,   429,   431,   429,   431,  1071,   931,   931,   931,
     279,   388,   513,   921,   958,   959,   960,   967,   970,  1007,
    1009,  1010,  1079,  1203,   474,   975,  1039,  1039,  1040,   514,
      90,   516,   934,   935,     8,    11,    12,    22,    23,    24,
      26,    27,    31,    32,    33,   173,   305,   351,   445,  1183,
    1184,  1186,  1176,  1177,   855,  1081,  1002,   552,  1004,   981,
     886,  1073,   895,   937,   329,  1033,  1036,   496,   497,   793,
    1004,   946,   456,   943,   958,   474,   976,   464,   900,   901,
    1203,   381,   902,   914,   915,   516,   957,   500,  1062,   518,
    1131,   517,   516,   500,    30,  1192,   514,   514,   517,   808,
     749,   804,   804,   125,   806,   508,  1082,  1073,  1073,   288,
    1083,  1083,   327,  1072,   330,   327,  1004,   619,  1075,   513,
     513,   513,   637,   252,   622,   707,   212,   573,   436,  1082,
    1073,   557,   807,   980,  1073,   481,   748,   748,   748,   748,
     822,   151,   189,   342,   430,  1073,   654,  1073,   238,   462,
     436,   436,   654,   671,   678,   374,   403,   570,  1073,  1073,
    1073,   260,   318,   800,   340,   403,   436,   331,   676,   707,
     197,   378,   403,   572,   678,   837,   212,   573,   212,   573,
    1073,  1073,  1073,  1073,   681,   682,   681,   514,   516,   683,
    1223,   252,   514,   516,   500,   515,  1082,  1073,   374,   403,
     570,  1073,  1073,  1073,   341,   374,   403,    95,   197,   341,
     374,   403,   980,   312,   980,  1082,  1073,   288,   346,   318,
    1223,   346,  1083,   455,   436,   436,   391,   458,   477,   340,
     403,   436,   836,   391,   436,   436,   296,   296,   296,   436,
     436,   391,   436,   436,   391,   436,   391,   436,   391,   436,
     573,   980,   313,  1223,   403,   837,   212,   573,   436,  1073,
     436,   391,  1082,  1073,   754,   980,   270,   754,   754,  1075,
    1075,   754,   270,   270,   754,   587,   513,   589,   590,   725,
    1225,   329,   504,   505,   650,   722,   804,  1036,  1089,  1223,
     514,   511,   514,  1081,   512,   513,  1081,  1203,  1223,  1234,
     514,   721,   722,   327,   288,   500,   863,   863,   863,   863,
     863,   863,   863,   137,   143,   153,   180,   182,   256,   313,
     318,   355,   369,   451,   612,   613,   614,   211,   473,   525,
     557,  1073,   557,   676,  1071,  1071,   514,   516,  1083,   237,
     385,  1083,  1081,   445,  1071,   621,   115,   544,   376,   426,
     173,   578,   622,  1071,   699,   726,   727,  1223,   514,   516,
    1073,   622,  1075,  1071,  1073,   920,   513,   604,   514,   326,
     577,   326,   327,   634,   577,   108,   920,   578,   436,  1071,
     514,   516,   180,   500,   812,  1223,   557,   426,   803,   804,
     477,   811,   813,   185,   262,   396,   456,   845,   238,  1097,
     920,  1111,   573,   980,  1073,   573,   573,   458,   573,   458,
     573,   573,   748,   748,  1073,   693,   573,   224,   391,   391,
     391,  1072,   773,   516,  1082,   477,   516,   771,   330,   210,
     210,   173,   311,  1083,   768,   573,  1082,   807,   796,   650,
     748,   270,  1042,   514,   433,  1004,   203,   980,   514,  1004,
    1004,  1004,  1050,   980,  1005,   192,   194,   313,   323,  1005,
    1005,  1005,  1005,  1005,  1005,  1005,  1005,  1005,  1005,  1004,
    1004,  1051,  1050,  1001,  1001,   980,   514,   514,   514,  1038,
     514,   516,   125,  1006,   514,  1205,  1015,   352,   421,  1017,
     514,   516,   469,  1011,   108,   514,   998,  1223,  1004,   105,
     105,  1004,   514,  1004,   229,   513,  1041,  1004,  1005,  1005,
     205,   205,  1004,   514,   205,  1004,   935,   474,   513,  1025,
    1203,   931,   931,   931,   931,  1071,  1071,  1071,   921,   970,
     229,   921,   959,   960,   108,   961,   962,  1203,   516,   161,
     230,   258,   273,   285,   308,   384,   964,   962,   108,   961,
     963,  1203,   498,   974,   513,  1061,  1004,   237,   948,   516,
     934,   934,   934,  1004,   466,  1040,   514,   516,   500,   514,
     512,  1192,   514,   513,   793,   514,   328,   163,  1004,   902,
     514,   516,  1062,  1068,   514,   516,   911,   976,  1064,  1081,
     500,  1150,  1181,  1186,   514,   508,   808,   445,   863,   232,
     398,   427,   446,   782,   224,   782,   514,   513,   625,   626,
     789,  1009,  1203,   622,   622,   707,  1077,   514,   182,   256,
     311,   313,   708,  1073,  1073,   108,  1073,   458,   458,   748,
     748,   748,   748,   749,  1082,  1073,   436,   836,   391,   436,
     260,   125,   428,  1073,   513,   611,   313,   577,   173,   313,
     416,   419,   577,   445,  1073,  1203,   680,  1073,   580,   722,
    1205,   340,   403,   436,   836,   391,   436,   436,   436,   391,
     231,   329,   419,   731,   732,   231,   329,   739,   740,   436,
     436,   391,   514,   514,   514,  1084,  1223,  1223,  1223,  1073,
    1073,  1073,  1075,   577,   125,   428,  1073,  1073,  1073,  1073,
    1073,   224,   224,   376,   224,   244,  1082,  1073,  1073,  1082,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,   143,   574,   212,
      97,   117,   445,  1203,  1073,   678,  1073,  1073,   514,   754,
     270,   270,   754,   754,   588,   596,   597,  1205,   121,   162,
     186,   201,   205,   225,   228,   240,   318,   326,   361,   591,
     707,  1081,   477,   479,   512,  1234,   513,   504,   505,   506,
     507,   508,   512,  1002,  1071,   863,   180,  1081,  1223,   180,
    1223,   180,  1223,   180,  1223,   180,  1073,   180,  1073,   180,
    1073,   513,   748,  1073,  1005,   183,   246,   182,   318,   274,
    1071,   813,   359,   711,   712,  1203,   664,   513,   616,   400,
     607,  1083,  1083,   980,   513,   578,  1082,  1071,   481,   224,
     700,   514,   516,   979,   676,   514,   477,   323,   513,   897,
     639,   606,   608,   610,   618,  1203,   633,   255,   632,   148,
     428,   635,   920,   639,   635,  1223,   787,   805,  1004,  1004,
     516,   513,   809,   719,   436,   654,    85,  1108,   514,   573,
    1075,  1075,   573,   573,   400,  1072,  1072,  1072,   650,   234,
     770,   173,   777,   229,   270,   270,   270,   270,   318,   758,
    1223,  1004,   514,   514,  1051,   229,   192,   194,   323,   513,
     514,   484,  1013,  1038,   368,   125,   475,   475,   514,  1004,
     311,  1004,   516,  1012,   982,  1002,  1005,  1005,  1004,  1041,
     514,   105,   105,  1004,  1004,   205,  1004,   514,   514,  1004,
    1026,  1203,  1071,  1071,  1071,  1071,   962,   963,   513,   514,
    1203,   513,   959,   273,   336,   965,   959,   965,   273,   964,
     965,   273,   513,  1203,   513,  1039,   125,   239,   949,   514,
     514,   514,  1040,  1223,  1184,   505,  1177,  1185,  1222,  1223,
    1223,   823,   323,   920,   901,  1237,   500,   914,   902,  1230,
     445,   514,  1084,   436,   765,   229,   707,  1004,   514,   516,
     477,   143,   790,   790,   514,   514,   813,   183,   246,   254,
     182,   460,   573,   980,  1075,  1075,  1073,  1073,  1073,  1073,
    1083,  1073,   677,   681,   318,   318,  1084,  1203,   980,   573,
     573,   500,   125,   428,  1073,  1073,  1073,  1073,  1082,  1073,
    1073,  1081,  1081,   980,   516,  1081,  1081,   516,  1082,  1073,
    1073,   477,  1083,  1073,   436,  1072,  1072,   748,  1072,   212,
     748,  1223,  1223,   980,   573,   573,   270,   754,   754,   458,
     594,   595,   514,   516,   506,   513,   554,   598,   650,   872,
    1223,   872,   313,   318,   361,   872,   872,   512,   231,   259,
     231,   514,  1135,  1234,  1234,  1234,  1234,  1234,   229,   706,
    1084,  1004,   313,   613,   813,   621,   458,   636,  1079,   105,
     211,   249,   603,   209,   250,  1073,   458,   622,   108,   544,
     513,  1073,   198,   701,   473,   703,  1223,   578,   577,   748,
     603,   639,   514,   516,   477,   634,   513,   633,   185,   197,
     352,  1073,   477,   858,   229,   513,  1223,   802,   814,   815,
    1204,   813,  1071,   257,   655,  1109,  1203,   573,   573,   573,
    1073,   330,   573,   769,   758,   758,   758,   758,  1005,   229,
     513,  1041,   513,   514,   516,   514,  1006,   368,   514,   463,
     413,   514,   514,   514,  1005,  1005,  1004,   514,   344,  1027,
     971,   972,  1009,   961,   513,  1072,   959,   327,   458,   966,
     959,   273,   959,   978,   513,   978,  1203,   934,  1038,  1004,
     476,  1021,   934,  1081,  1222,  1002,   514,   917,  1066,   769,
     327,   769,   514,   813,   626,   329,   823,   748,   458,   748,
     791,   791,   369,   813,   636,   514,   436,   403,   908,   514,
     516,   574,   722,  1083,  1073,   436,   513,  1079,   823,   732,
     513,   513,   740,   577,   403,   908,  1073,   477,   376,   477,
     477,   224,   574,   754,   525,   187,   597,   554,   599,   600,
    1223,  1223,   318,   622,   506,   622,  1223,  1223,   773,   108,
     828,   828,   514,  1071,   707,   514,   636,   297,   624,   252,
     513,   712,   359,   513,   514,    99,   147,   154,   181,   253,
     419,   617,   617,   676,  1075,   514,   920,   676,   387,   415,
     702,   513,   211,   108,   604,   514,   608,   331,   635,  1070,
     634,   388,   388,   129,   137,   291,   748,   788,   789,   804,
     514,   516,   975,   654,   311,   462,   656,   657,   500,  1110,
     573,  1005,  1041,   514,  1014,  1038,   125,   311,   494,   125,
     934,   514,   516,   108,   973,  1072,   514,  1004,   513,   959,
     966,   514,   978,   514,   514,  1022,  1023,  1203,   514,   771,
     782,   573,   790,   636,   513,   748,   792,   792,  1071,   636,
     707,  1073,   428,   681,   458,   575,   403,   908,  1073,  1041,
     796,   224,   735,   822,  1041,  1041,   428,   747,   748,   747,
     748,  1072,   573,   589,  1223,   514,   516,   622,   828,   111,
     248,   224,   311,   620,   230,   343,   408,   327,   628,   629,
     630,   428,   514,  1079,    82,   713,   400,   218,   734,   578,
     858,  1004,   359,   920,   633,   632,   611,   514,   635,   137,
     330,   137,   514,   516,   809,   814,   193,   462,   654,  1081,
    1217,  1225,    85,   514,   514,   514,   368,   463,  1038,   362,
     388,  1028,   974,   971,   513,   514,  1072,   514,   516,   108,
     229,   791,   474,   627,   823,   793,   793,   621,   707,  1073,
    1004,   428,   514,   333,   393,   366,   736,   735,   514,   514,
    1073,   477,   600,   198,   254,   185,   456,   327,   630,   327,
     629,  1073,   513,   514,   516,  1073,   748,   108,   108,   514,
    1079,   858,   634,   633,   330,   330,   578,   789,   813,   100,
     263,   846,  1109,   119,   163,   447,  1004,  1029,  1030,  1029,
     514,   978,   514,  1023,  1025,   769,   792,   513,   707,   514,
     624,   908,  1073,  1079,   125,   736,   908,   748,   387,   128,
     311,   380,   403,   631,   631,   514,    82,   676,   731,   920,
     513,   635,   634,   635,   314,   513,   841,   843,   848,   898,
     903,   909,   920,  1030,   387,   223,   350,   223,   350,   514,
     573,   793,  1004,   628,   908,   796,   748,   703,    94,   180,
     318,   858,   704,   705,  1081,  1205,  1222,  1223,   635,   975,
     842,   843,   844,   921,   922,   105,   514,   707,   211,   514,
     516,   514,   517,  1030,   359,   705,   844,  1079,   513,   704,
     514
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   521,   522,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   524,
     525,   525,   526,   526,   527,   527,   528,   528,   528,   528,
     528,   528,   528,   528,   528,   529,   529,   529,   529,   529,
     529,   530,   531,   532,   532,   533,   533,   534,   535,   535,
     536,   536,   537,   537,   538,   539,   540,   540,   541,   541,
     542,   542,   542,   542,   543,   543,   544,   544,   545,   545,
     545,   545,   545,   545,   546,   546,   546,   547,   547,   547,
     548,   548,   548,   548,   549,   549,   549,   549,   549,   549,
     549,   549,   549,   549,   549,   550,   550,   551,   551,   552,
     552,   553,   553,   553,   553,   554,   554,   554,   554,   555,
     555,   555,   555,   555,   555,   555,   556,   556,   556,   557,
     557,   558,   559,   559,   559,   559,   560,   560,   561,   561,
     562,   562,   563,   563,   563,   563,   563,   564,   565,   565,
     566,   566,   567,   568,   568,   568,   568,   568,   569,   569,
     569,   569,   569,   569,   569,   569,   569,   569,   569,   569,
     569,   569,   569,   569,   570,   570,   571,   571,   571,   571,
     571,   571,   571,   571,   571,   571,   571,   571,   571,   571,
     571,   571,   571,   571,   571,   571,   571,   571,   571,   571,
     571,   571,   571,   571,   571,   571,   571,   571,   571,   571,
     571,   571,   571,   571,   571,   571,   571,   571,   571,   571,
     572,   572,   573,   573,   573,   574,   574,   575,   575,   576,
     576,   576,   576,   577,   578,   578,   579,   579,   580,   580,
     580,   580,   581,   582,   582,   583,   583,   583,   583,   584,
     584,   585,   585,   586,   586,   587,   587,   588,   588,   588,
     589,   589,   590,   590,   591,   591,   591,   591,   591,   591,
     591,   591,   591,   591,   591,   591,   591,   591,   592,   592,
     593,   593,   594,   594,   595,   595,   596,   596,   597,   598,
     598,   598,   598,   598,   599,   599,   600,   601,   601,   601,
     601,   602,   602,   602,   602,   602,   602,   602,   602,   603,
     603,   604,   604,   605,   605,   606,   606,   607,   607,   607,
     608,   608,   609,   610,   611,   611,   612,   612,   612,   612,
     613,   613,   613,   613,   613,   613,   613,   614,   614,   614,
     614,   615,   616,   616,   616,   617,   617,   617,   617,   617,
     617,   618,   618,   619,   619,   619,   619,   619,   619,   619,
     620,   620,   621,   621,   622,   622,   623,   624,   624,   624,
     624,   625,   625,   626,   626,   627,   627,   628,   628,   628,
     628,   628,   629,   630,   631,   631,   631,   631,   631,   632,
     632,   633,   633,   633,   633,   634,   634,   634,   634,   635,
     635,   636,   636,   637,   638,   639,   639,   639,   640,   641,
     642,   642,   643,   644,   644,   644,   645,   645,   645,   645,
     645,   645,   646,   646,   647,   647,   648,   648,   648,   648,
     648,   648,   648,   648,   648,   648,   648,   648,   649,   649,
     650,   650,   650,   650,   651,   651,   652,   652,   653,   653,
     654,   654,   655,   655,   656,   656,   657,   657,   658,   658,
     659,   659,   660,   661,   661,   662,   662,   663,   663,   664,
     664,   665,   665,   665,   666,   667,   667,   668,   669,   669,
     669,   669,   669,   669,   669,   669,   669,   669,   669,   669,
     669,   669,   669,   669,   669,   669,   669,   669,   669,   669,
     669,   669,   670,   671,   671,   671,   671,   672,   672,   673,
     673,   674,   674,   675,   675,   676,   676,   677,   677,   678,
     679,   679,   680,   680,   680,   680,   681,   682,   683,   684,
     685,   685,   686,   686,   687,   687,   688,   688,   689,   689,
     689,   690,   690,   691,   691,   692,   693,   693,   693,   694,
     694,   695,   696,   696,   697,   697,   697,   698,   698,   699,
     699,   699,   699,   699,   700,   700,   701,   701,   702,   702,
     703,   703,   704,   704,   704,   705,   705,   705,   705,   706,
     706,   707,   707,   708,   708,   708,   708,   708,   708,   709,
     709,   710,   710,   711,   711,   712,   713,   713,   714,   715,
     715,   715,   715,   716,   717,   718,   718,   718,   718,   718,
     718,   718,   718,   718,   718,   718,   718,   718,   718,   719,
     720,   720,   721,   721,   722,   722,   722,   722,   722,   723,
     724,   724,   725,   726,   726,   727,   727,   728,   728,   728,
     729,   729,   730,   731,   731,   732,   732,   732,   732,   732,
     733,   733,   734,   734,   735,   735,   735,   736,   736,   737,
     738,   738,   739,   739,   740,   740,   741,   741,   742,   742,
     743,   744,   745,   745,   745,   745,   746,   746,   746,   746,
     746,   746,   746,   746,   746,   746,   746,   746,   746,   746,
     746,   746,   746,   747,   747,   748,   748,   749,   749,   750,
     751,   751,   751,   752,   752,   752,   752,   752,   752,   752,
     752,   752,   752,   752,   752,   752,   753,   753,   753,   753,
     753,   753,   753,   753,   753,   753,   753,   753,   753,   753,
     753,   753,   753,   753,   753,   753,   753,   753,   753,   754,
     754,   755,   755,   755,   755,   755,   756,   756,   757,   757,
     757,   757,   757,   757,   757,   757,   757,   757,   757,   757,
     757,   758,   758,   759,   759,   759,   759,   759,   759,   759,
     759,   759,   759,   759,   760,   760,   760,   760,   760,   760,
     760,   760,   760,   760,   760,   760,   760,   760,   761,   761,
     762,   762,   763,   764,   764,   765,   765,   765,   765,   765,
     766,   766,   767,   767,   767,   767,   768,   768,   768,   768,
     768,   768,   768,   768,   768,   768,   768,   768,   768,   768,
     768,   768,   769,   769,   770,   770,   771,   771,   772,   772,
     773,   774,   775,   775,   776,   776,   777,   777,   778,   779,
     779,   780,   780,   780,   781,   781,   781,   782,   782,   782,
     782,   783,   784,   784,   785,   785,   786,   786,   787,   787,
     788,   788,   789,   789,   789,   790,   790,   791,   791,   791,
     792,   792,   792,   793,   793,   793,   794,   794,   794,   795,
     795,   796,   796,   797,   797,   798,   798,   799,   799,   800,
     800,   800,   800,   800,   801,   801,   801,   801,   801,   802,
     803,   804,   804,   804,   805,   805,   805,   806,   807,   807,
     807,   807,   808,   808,   809,   809,   810,   810,   810,   810,
     810,   810,   810,   810,   810,   810,   810,   810,   810,   810,
     810,   811,   811,   811,   811,   812,   812,   813,   813,   814,
     815,   815,   816,   817,   817,   818,   818,   819,   819,   820,
     820,   821,   821,   822,   822,   822,   822,   823,   823,   824,
     825,   825,   826,   826,   827,   827,   827,   828,   828,   828,
     829,   830,   830,   831,   831,   831,   832,   832,   833,   833,
     834,   834,   835,   835,   835,   835,   835,   835,   835,   835,
     835,   835,   835,   835,   835,   835,   835,   835,   835,   835,
     835,   835,   835,   835,   835,   835,   835,   835,   835,   835,
     835,   835,   835,   835,   835,   835,   835,   835,   835,   835,
     835,   835,   835,   835,   835,   835,   835,   836,   836,   837,
     837,   838,   838,   838,   838,   838,   838,   838,   838,   838,
     838,   838,   838,   838,   838,   838,   838,   838,   838,   838,
     838,   838,   838,   838,   838,   839,   839,   839,   839,   839,
     839,   839,   839,   839,   839,   839,   839,   839,   839,   839,
     839,   839,   839,   839,   840,   841,   841,   841,   842,   842,
     843,   843,   843,   843,   843,   844,   844,   845,   845,   845,
     845,   846,   846,   846,   847,   847,   848,   849,   849,   850,
     851,   851,   852,   852,   852,   852,   852,   852,   852,   852,
     852,   852,   852,   852,   852,   852,   853,   853,   853,   854,
     854,   854,   854,   854,   855,   855,   855,   856,   856,   857,
     857,   857,   857,   858,   858,   858,   858,   859,   860,   861,
     861,   862,   862,   862,   862,   862,   862,   862,   862,   862,
     862,   862,   862,   862,   862,   862,   862,   863,   863,   864,
     864,   865,   866,   866,   867,   868,   868,   869,   869,   870,
     871,   871,   871,   871,   871,   871,   871,   872,   872,   873,
     874,   874,   874,   874,   874,   874,   875,   876,   876,   876,
     877,   877,   878,   878,   878,   878,   878,   879,   879,   880,
     880,   880,   880,   881,   881,   882,   882,   883,   883,   884,
     884,   885,   885,   886,   886,   887,   887,   887,   887,   888,
     888,   888,   888,   888,   888,   888,   888,   888,   889,   889,
     890,   891,   891,   892,   892,   892,   893,   893,   894,   894,
     895,   895,   895,   895,   896,   896,   897,   897,   898,   899,
     899,   899,   900,   900,   901,   902,   902,   903,   904,   904,
     905,   906,   906,   907,   907,   907,   907,   907,   907,   907,
     907,   908,   908,   909,   910,   910,   911,   911,   912,   913,
     914,   915,   915,   916,   917,   917,   918,   918,   918,   918,
     918,   919,   919,   919,   920,   920,   921,   921,   922,   922,
     922,   922,   922,   922,   922,   922,   923,   923,   924,   924,
     924,   924,   924,   924,   925,   925,   926,   926,   927,   928,
     928,   929,   929,   929,   930,   930,   930,   930,   930,   930,
     930,   930,   930,   931,   931,   932,   932,   932,   933,   933,
     933,   933,   934,   934,   935,   936,   936,   937,   937,   938,
     938,   938,   938,   939,   939,   940,   940,   940,   941,   941,
     942,   942,   943,   944,   944,   944,   945,   946,   946,   947,
     947,   948,   948,   949,   949,   950,   950,   951,   951,   952,
     952,   953,   954,   954,   954,   954,   955,   955,   956,   956,
     957,   957,   958,   958,   959,   959,   959,   959,   959,   959,
     959,   960,   960,   960,   960,   960,   960,   961,   961,   961,
     961,   962,   962,   963,   963,   963,   963,   963,   964,   964,
     964,   964,   965,   965,   966,   966,   967,   967,   967,   967,
     968,   968,   969,   969,   969,   970,   970,   971,   972,   972,
     973,   973,   974,   974,   975,   975,   976,   976,   976,   977,
     977,   978,   978,   979,   980,   980,   980,   980,   980,   980,
     981,   981,   981,   982,   982,   982,   982,   982,   982,   982,
     983,   983,   983,   983,   984,   984,   985,   985,   986,   986,
     986,   986,   986,   986,   986,   986,   986,   986,   986,   987,
     987,   988,   988,   989,   989,   990,   991,   992,   992,   993,
     993,   994,   995,   996,   996,   996,   996,   996,   996,   997,
     997,   998,   998,   999,   999,   999,   999,  1000,  1001,  1001,
    1001,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,
    1002,  1002,  1002,  1002,  1002,  1003,  1003,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1004,  1004,  1005,  1005,  1005,  1005,
    1005,  1005,  1005,  1005,  1005,  1005,  1005,  1005,  1005,  1005,
    1005,  1005,  1005,  1005,  1005,  1005,  1005,  1005,  1006,  1006,
    1006,  1006,  1006,  1006,  1006,  1006,  1006,  1006,  1006,  1006,
    1007,  1007,  1007,  1007,  1007,  1007,  1007,  1008,  1008,  1009,
    1009,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,
    1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,
    1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,
    1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,
    1010,  1010,  1010,  1011,  1011,  1012,  1012,  1012,  1012,  1013,
    1014,  1014,  1015,  1015,  1016,  1016,  1017,  1017,  1017,  1018,
    1018,  1018,  1018,  1019,  1019,  1020,  1020,  1021,  1021,  1022,
    1022,  1023,  1024,  1024,  1024,  1025,  1026,  1026,  1027,  1027,
    1028,  1028,  1028,  1029,  1029,  1030,  1030,  1030,  1030,  1030,
    1031,  1031,  1031,  1032,  1032,  1032,  1033,  1033,  1034,  1034,
    1034,  1034,  1034,  1034,  1034,  1034,  1034,  1035,  1035,  1036,
    1036,  1037,  1037,  1037,  1037,  1037,  1037,  1038,  1038,  1039,
    1039,  1040,  1040,  1041,  1041,  1042,  1042,  1042,  1043,  1043,
    1044,  1044,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1046,  1046,  1047,  1048,  1048,  1049,  1049,  1049,  1049,  1049,
    1049,  1050,  1051,  1052,  1052,  1052,  1053,  1053,  1054,  1055,
    1055,  1056,  1057,  1057,  1058,  1058,  1059,  1059,  1060,  1060,
    1060,  1060,  1061,  1061,  1062,  1062,  1063,  1063,  1064,  1064,
    1065,  1065,  1066,  1067,  1067,  1068,  1068,  1069,  1069,  1069,
    1069,  1070,  1070,  1071,  1071,  1072,  1072,  1073,  1074,  1075,
    1076,  1077,  1078,  1079,  1079,  1080,  1080,  1080,  1080,  1080,
    1080,  1080,  1080,  1080,  1080,  1080,  1080,  1080,  1080,  1080,
    1081,  1082,  1083,  1083,  1084,  1084,  1084,  1084,  1085,  1085,
    1085,  1085,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,
    1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,
    1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,
    1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,
    1087,  1087,  1087,  1087,  1087,  1087,  1088,  1088,  1088,  1088,
    1088,  1088,  1088,  1088,  1088,  1088,  1088,  1088,  1088,  1088,
    1088,  1088,  1088,  1088,  1088,  1088,  1088,  1088,  1089,  1089,
    1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1090,  1090,  1091,  1091,  1091,  1091,  1091,
    1091,  1091,  1091,  1093,  1092,  1094,  1095,  1095,  1095,  1095,
    1096,  1096,  1096,  1096,  1097,  1097,  1098,  1099,  1100,  1100,
    1101,  1101,  1101,  1102,  1102,  1103,  1103,  1104,  1104,  1105,
    1105,  1105,  1105,  1106,  1106,  1106,  1107,  1108,  1108,  1109,
    1109,  1110,  1110,  1110,  1110,  1111,  1111,  1112,  1113,  1114,
    1115,  1115,  1116,  1117,  1117,  1118,  1118,  1118,  1118,  1118,
    1120,  1119,  1121,  1122,  1123,  1123,  1124,  1124,  1124,  1124,
    1125,  1125,  1127,  1126,  1129,  1128,  1130,  1128,  1128,  1131,
    1131,  1132,  1132,  1132,  1133,  1133,  1133,  1133,  1134,  1134,
    1135,  1135,  1135,  1135,  1135,  1135,  1136,  1136,  1136,  1137,
    1139,  1138,  1140,  1141,  1140,  1142,  1142,  1143,  1143,  1144,
    1144,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1147,  1147,  1148,  1148,  1149,  1150,  1150,  1151,  1151,  1151,
    1152,  1153,  1154,  1154,  1154,  1154,  1155,  1155,  1155,  1156,
    1156,  1157,  1157,  1158,  1159,  1159,  1160,  1160,  1161,  1161,
    1162,  1162,  1163,  1164,  1164,  1165,  1165,  1165,  1166,  1166,
    1166,  1166,  1166,  1166,  1166,  1166,  1166,  1167,  1167,  1167,
    1167,  1167,  1168,  1168,  1169,  1170,  1171,  1172,  1172,  1173,
    1174,  1175,  1175,  1176,  1177,  1177,  1178,  1179,  1180,  1180,
    1181,  1182,  1183,  1183,  1184,  1185,  1185,  1185,  1185,  1185,
    1186,  1186,  1186,  1186,  1186,  1186,  1186,  1186,  1186,  1186,
    1186,  1186,  1186,  1186,  1186,  1187,  1187,  1188,  1188,  1189,
    1189,  1189,  1191,  1190,  1192,  1192,  1194,  1193,  1195,  1195,
    1195,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1197,  1197,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,
    1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,
    1198,  1198,  1198,  1198,  1198,  1198,  1199,  1199,  1199,  1199,
    1199,  1199,  1200,  1200,  1200,  1200,  1200,  1200,  1200,  1201,
    1202,  1202,  1202,  1202,  1202,  1202,  1202,  1202,  1203,  1203,
    1203,  1203,  1203,  1203,  1203,  1204,  1204,  1204,  1204,  1204,
    1204,  1205,  1205,  1205,  1205,  1205,  1205,  1205,  1205,  1205,
    1205,  1205,  1206,  1206,  1206,  1206,  1206,  1207,  1207,  1207,
    1207,  1208,  1208,  1208,  1208,  1208,  1208,  1208,  1209,  1209,
    1209,  1210,  1210,  1210,  1210,  1210,  1210,  1211,  1211,  1212,
    1213,  1213,  1214,  1214,  1215,  1216,  1217,  1218,  1218,  1218,
    1219,  1220,  1221,  1222,  1223,  1223,  1223,  1223,  1223,  1224,
    1225,  1225,  1225,  1226,  1226,  1227,  1227,  1227,  1228,  1228,
    1229,  1229,  1230,  1230,  1231,  1231,  1231,  1231,  1231,  1232,
    1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,
    1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,
    1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,
    1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,
    1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,
    1232,  1232,  1232,  1232,  1232,  1233,  1233,  1233,  1233,  1234,
    1234,  1234,  1234,  1234,  1234,  1234,  1234,  1234,  1234,  1235,
    1235,  1235,  1235,  1236,  1236,  1237,  1237,  1238,  1238,  1239,
    1239
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     0,     5,
       1,     0,     2,     0,     2,     0,     2,     2,     3,     3,
       1,     3,     3,     2,     1,     1,     2,     2,     2,     3,
       3,     5,     5,     0,     3,     5,     5,     5,     5,     5,
       3,     5,     3,     5,     5,     6,     1,     1,     3,     5,
       6,     4,     9,     7,     1,     0,     2,     0,     1,     1,
       1,     1,     1,     1,     2,     3,     3,     2,     5,     1,
       3,     3,     3,     3,     1,     3,     3,     2,     2,     2,
       2,     3,     3,     3,     3,     1,     3,     1,     3,     1,
       1,     2,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     3,     6,     1,     1,     1,     1,     1,     0,     1,
       1,     2,     1,     2,     3,     2,     1,     1,     2,     1,
       2,     1,     3,     4,     5,     4,     2,     4,     1,     1,
       1,     1,     1,     2,     2,     2,     2,     2,     4,     6,
      10,    13,     4,     6,    10,    13,     4,     6,     4,     6,
       5,     7,    11,    14,     1,     3,     2,     3,     4,     6,
       6,     6,     5,     5,     6,     6,     4,     8,     4,     2,
       4,     3,     6,     4,     3,     3,     3,     3,     3,     4,
       4,     3,     3,     3,     3,     3,     3,     4,     4,     3,
       2,     3,     2,     2,     3,     3,     2,     2,     3,     1,
       3,     2,     1,     1,     0,     2,     0,     2,     0,     1,
       1,     1,     3,     3,     2,     0,     1,     3,     3,     1,
       5,     3,     4,     1,     3,     4,     6,     4,     8,     2,
       2,    11,     7,     1,     1,     1,     0,     1,     1,     1,
       1,     3,     2,     0,     1,     1,     1,     3,     3,     1,
       1,     3,     3,     3,     3,     4,     3,     2,     1,     0,
       2,     0,     3,     0,     1,     0,     1,     3,     2,     1,
       1,     1,     3,     0,     1,     3,     1,    11,    14,    10,
      13,     1,     1,     2,     2,     2,     2,     1,     0,     1,
       0,     3,     0,     1,     3,     1,     3,     1,     1,     1,
       1,     1,     4,     4,     2,     0,     3,     1,     1,     2,
       2,     1,     3,     4,     5,     2,     5,     1,     2,     2,
       2,     3,     3,     3,     0,     1,     1,     1,     1,     1,
       1,     3,     1,     5,     7,     3,     8,     4,     9,    11,
       2,     0,     3,     0,     1,     3,     1,     2,     2,     2,
       0,     1,     3,     3,     6,     4,     0,     1,     1,     2,
       2,     0,     3,     3,     2,     1,     1,     2,     2,     4,
       0,     2,     2,     2,     0,     3,     4,     4,     0,     2,
       0,     4,     0,     3,     5,     2,     3,     0,     8,     4,
       1,     0,     6,     5,     7,     9,     4,     6,     8,     6,
       8,    10,     1,     0,     1,     2,     2,     1,     2,     3,
       2,     2,     2,     2,     3,     3,     1,     3,     1,     0,
       1,     2,     2,     1,     1,     3,     6,    10,     1,     0,
       1,     2,     2,     0,     2,     2,     1,     0,     5,     7,
       1,     0,     7,     2,     0,     3,     5,     5,     8,     2,
       0,     2,     2,     2,     5,     2,     0,     2,     7,    10,
       6,     6,     6,     6,     7,     7,     9,     9,     6,     7,
       6,     8,     8,     8,     8,     6,     6,     7,     7,     8,
       6,     6,     7,     2,     2,     2,     2,     1,     2,     1,
       0,     6,     8,     7,     6,     4,     0,     1,     3,     4,
       1,     3,     1,     2,     2,     2,     2,     1,     1,    10,
       2,     0,     2,     2,     1,     0,     4,     6,     5,     4,
       4,    10,    13,     5,     7,     8,     1,     1,     1,     7,
       9,     8,    15,    20,     1,     1,     2,     1,     3,     1,
       1,     1,     3,     1,     3,     0,     1,     0,     1,     1,
       4,     0,     1,     3,     0,     1,     1,     1,     1,     2,
       0,     0,     2,     2,     1,     2,     2,     2,     2,     6,
       8,    11,    13,     1,     3,     5,     1,     3,     5,     1,
       2,     2,     1,     8,     4,     5,     4,     4,     4,     3,
       7,     8,     6,     6,     6,     6,     6,     4,     5,     3,
       1,     3,     3,     1,     1,     1,     1,     1,     1,     3,
       1,     3,     3,     1,     0,     1,     3,     7,     9,     9,
       3,     0,    13,     1,     3,     5,     6,     4,     7,     2,
       1,     0,     2,     0,     2,     4,     0,     1,     0,     6,
       8,     8,     1,     3,     5,     5,     7,     9,     7,     9,
       5,     6,     6,     4,     5,     7,     1,     1,     1,     2,
       1,     2,     2,     1,     1,     1,     1,     1,     1,     3,
       3,     3,     3,     1,     3,     1,     2,     2,     3,     5,
       2,     2,     0,     6,     7,     7,     7,     8,     8,     6,
       8,     9,     9,     7,    10,     7,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       1,     2,     1,     3,     2,     3,     3,     3,     3,     1,
       1,     8,     9,     9,     9,     9,     2,     0,     1,     1,
       2,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     1,     1,     2,     2,     3,     4,     5,     4,     5,
       3,     4,     3,     4,     1,     2,     3,     3,     3,     3,
       4,     4,     3,     3,     4,     4,     4,     4,     1,     1,
       1,     0,     7,     7,    10,     1,     1,     2,     4,     5,
       1,     3,     2,     2,     2,     2,     1,     2,     2,     4,
       3,     2,     2,     2,     2,     3,     2,     2,     2,     5,
       5,     5,     1,     3,     1,     2,     3,     0,     1,     3,
       2,     6,     6,     9,     3,     0,     3,     0,     5,     2,
       0,     3,     3,     3,     7,     7,    10,     1,     1,     1,
       1,    14,     1,     0,     1,     0,     1,     0,     2,     0,
       1,     3,     5,     5,     7,     2,     0,     1,     2,     0,
       1,     1,     0,     1,     1,     0,     9,    12,     7,     2,
       0,     3,     2,     1,     3,     3,     2,     1,     3,     3,
       3,     2,     2,     1,     1,     1,     1,     2,     1,     1,
       1,     1,     4,     5,     1,     3,     3,     1,     3,     3,
       5,     6,     1,     3,     1,     2,     4,     5,     1,     1,
       1,     1,     3,     3,     2,     2,     1,     2,     2,     2,
       1,     2,     2,     1,     1,     1,     3,     2,     0,     2,
       1,     3,     5,     1,     2,     1,     0,     5,     7,     5,
       7,     5,     7,     3,     5,     5,     5,     1,     3,     2,
       1,     2,     1,     2,    11,    10,    10,     2,     2,     0,
       9,     2,     0,     4,     4,     4,     1,     1,     1,     0,
       5,     5,     7,     6,     6,     6,     6,     8,     8,     6,
       6,     7,     9,     9,     6,     6,     6,     8,     6,     8,
       6,     8,     7,     9,     6,     8,     7,     9,     8,    10,
       9,    11,     8,     9,    11,     8,     8,     7,     6,     6,
       6,     8,     8,     8,     8,     6,     9,     1,     0,     2,
       0,     7,     6,     6,     6,     6,     6,     7,     9,     9,
       6,     8,     8,     8,     8,     8,     6,     8,     6,     8,
       7,     9,     7,     9,     6,     7,     6,     6,     6,     6,
       6,     7,     7,     7,     9,     9,     6,     6,     6,     8,
       8,     8,     6,     7,    13,     1,     1,     3,     3,     1,
       1,     1,     1,     1,     1,     1,     0,     1,     1,     1,
       1,     1,     1,     0,     6,     8,     3,     2,     0,     2,
       2,     2,     2,     3,     3,     2,     2,     2,     2,     3,
       2,     5,     4,     3,     3,     3,     1,     1,     0,     3,
       2,     2,     1,     2,     1,     3,     2,     1,     0,     9,
      11,    12,    14,     3,     4,     4,     0,     2,     5,     2,
       0,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     4,     3,     3,     1,     0,     5,
       6,     4,     2,     0,     4,     3,     5,     4,     4,     6,
       4,     6,     6,     5,     7,     9,     6,     1,     0,     6,
      11,    11,    11,    13,     9,    11,    10,     4,     2,     5,
       2,     0,     4,     5,     5,     4,     6,     1,     3,     1,
       1,     1,     1,     2,     4,     1,     1,     1,     0,     1,
       0,     1,     0,     3,     0,     2,     4,     3,     5,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     3,
       2,     1,     1,     1,     1,     0,     5,     4,     3,     0,
       1,     1,     1,     1,     4,     9,     3,     0,     6,     1,
       4,     2,     1,     3,     2,     3,     0,     7,     2,     0,
       5,     3,     0,     2,     2,     2,     3,     1,     3,     1,
       2,     1,     0,     8,     1,     3,     1,     1,     3,     5,
       2,     1,     3,     7,     1,     1,     0,     3,     2,     2,
       2,     0,     2,     2,     1,     1,     3,     3,     1,     2,
       4,     4,     2,     3,     5,     5,     1,     1,     9,     1,
       2,     4,     4,     4,     2,     3,     1,     3,     6,     1,
       0,     2,     1,     0,     3,     3,     4,     4,     4,     4,
       3,     2,     1,     1,     0,     1,     1,     0,     1,     5,
       1,     0,     1,     0,     3,     1,     3,     4,     3,     2,
       2,     1,     1,     1,     0,     2,     4,     5,     2,     3,
       1,     1,     1,     1,     3,     0,     1,     1,     1,     1,
       1,     3,     0,     2,     0,     1,     3,     1,     0,     1,
       2,     3,     2,     4,     2,     3,     2,     0,     2,     3,
       2,     0,     1,     3,     2,     2,     3,     2,     3,     1,
       4,     3,     4,     5,     4,     5,     4,     5,     2,     4,
       1,     1,     0,     1,     4,     5,     4,     0,     2,     2,
       2,     1,     1,     0,     4,     2,     1,     2,     2,     4,
       1,     3,     1,     2,     3,     2,     6,     2,     1,     3,
       4,     0,     1,     0,     2,     0,     2,     4,     0,     1,
       0,     1,     3,     3,     2,     3,     5,     6,     2,     3,
       3,     4,     0,     1,     1,     1,     1,     1,     2,     5,
       1,     1,     1,     1,     2,     3,     3,     0,     1,     1,
       1,     1,     1,     2,     2,     2,     2,     2,     1,     3,
       0,     1,     1,     1,     1,     5,     2,     1,     1,     1,
       1,     5,     2,     2,     2,     1,     3,     3,     2,     1,
       0,     3,     0,     5,     2,     5,     2,     1,     2,     3,
       0,     1,     1,     1,     1,     1,     1,     3,     3,     3,
       3,     3,     3,     3,     0,     1,     4,     1,     3,     3,
       5,     2,     2,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     2,     2,     3,     3,     2,     3,     5,
       4,     6,     3,     5,     4,     6,     4,     6,     5,     7,
       3,     2,     4,     2,     3,     3,     4,     3,     4,     3,
       4,     5,     6,     6,     7,     6,     7,     6,     7,     3,
       4,     4,     6,     2,     3,     4,     1,     3,     2,     2,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       2,     2,     5,     6,     6,     7,     3,     4,     1,     1,
       2,     4,     1,     1,     1,     2,     2,     2,     2,     1,
       3,     5,     6,     8,     6,     6,     4,     4,     1,     1,
       1,     5,     1,     1,     4,     1,     4,     1,     4,     1,
       4,     1,     1,     1,     1,     1,     1,     6,     4,     4,
       4,     4,     6,     5,     5,     5,     4,     6,     4,     4,
       4,     4,     5,     7,     7,     9,     5,     4,     6,     5,
       7,     7,     7,     2,     3,     3,     3,     4,     0,     4,
       1,     3,     3,     1,     1,     1,     2,     2,     0,     2,
       4,     4,     6,     5,     0,     5,     0,     2,     0,     1,
       3,     3,     2,     2,     0,     6,     1,     0,     3,     0,
       2,     2,     0,     1,     4,     2,     2,     2,     2,     2,
       4,     3,     5,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     1,
       4,     1,     4,     1,     2,     1,     2,     1,     3,     1,
       3,     1,     3,     1,     3,     3,     3,     2,     1,     3,
       3,     0,     1,     1,     1,     1,     1,     1,     1,     1,
       4,     3,     2,     3,     0,     3,     3,     2,     2,     1,
       0,     2,     2,     3,     2,     1,     1,     3,     5,     1,
       2,     4,     2,     0,     1,     0,     1,     2,     2,     2,
       3,     5,     1,     2,     0,     2,     1,     0,     1,     1,
       1,     3,     3,     1,     0,     1,     3,     3,     2,     1,
       1,     1,     3,     1,     2,     1,     3,     1,     1,     1,
       1,     1,     1,     1,     2,     1,     1,     1,     1,     1,
       2,     6,     2,     3,     6,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     1,     2,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     0,     2,     4,     3,     2,     1,     1,
       1,     1,     1,     0,     8,     2,     5,     3,     2,     2,
       3,     7,     1,     1,     1,     0,     2,     2,     1,     0,
       1,     3,     1,     2,     0,     2,     0,     2,     0,     1,
       3,     4,     3,     1,     1,     1,     1,     2,     0,     2,
       4,     0,     2,     2,     2,     1,     1,     7,     3,     1,
       1,     1,     1,     2,     0,     1,     3,     3,     3,     3,
       0,     4,     5,     5,     0,     1,     1,     1,     2,     2,
       1,     2,     0,     7,     0,     5,     0,     4,     2,     2,
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     5,     2,     1,     3,     2,     2,     3,
       0,     5,     1,     0,     5,     2,     2,     1,     1,     1,
       2,     2,     3,     1,     2,     2,     3,     3,     4,     2,
       1,     2,     1,     1,     2,     2,     3,     1,     1,     1,
       1,     0,     1,     3,     5,     0,     2,     0,     1,     2,
       3,     2,     1,     1,     1,     0,     1,     1,     1,     1,
       1,     2,     2,     3,     0,     1,     2,     1,     4,     3,
       4,     3,     2,     1,     3,     1,     1,     1,     1,     2,
       2,     1,     2,     2,     1,     1,     1,     4,     4,     4,
       4,     4,     1,     0,     3,     3,     4,     1,     3,     3,
       4,     1,     3,     3,     1,     1,     1,     6,     1,     3,
       3,     6,     1,     3,     3,     1,     1,     2,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     4,     4,     1,     1,     4,
       4,     3,     0,     7,     1,     0,     0,     7,     3,     4,
       3,     1,     1,     1,     2,     3,     5,     2,     5,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     1,
       0,     1,     2,     1,     2,     1,     1,     1,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     3,     1,     2,
       1,     3,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     3,     2,     3,     1,
       3,     3,     3,     3,     3,     3,     1,     1,     4,     0,
       2,     2,     1,     2,     1,     0,     1,     1,     1,     0,
       1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Location data for the lookahead symbol.  */
YYLTYPE yylloc
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:
#line 1516 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27804 "preproc.c" /* yacc.c:1646  */
    break;

  case 4:
#line 1518 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27810 "preproc.c" /* yacc.c:1646  */
    break;

  case 5:
#line 1520 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27816 "preproc.c" /* yacc.c:1646  */
    break;

  case 6:
#line 1522 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27822 "preproc.c" /* yacc.c:1646  */
    break;

  case 7:
#line 1524 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27828 "preproc.c" /* yacc.c:1646  */
    break;

  case 8:
#line 1526 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27834 "preproc.c" /* yacc.c:1646  */
    break;

  case 9:
#line 1528 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27840 "preproc.c" /* yacc.c:1646  */
    break;

  case 10:
#line 1530 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27846 "preproc.c" /* yacc.c:1646  */
    break;

  case 11:
#line 1532 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27852 "preproc.c" /* yacc.c:1646  */
    break;

  case 12:
#line 1534 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27858 "preproc.c" /* yacc.c:1646  */
    break;

  case 13:
#line 1536 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27864 "preproc.c" /* yacc.c:1646  */
    break;

  case 14:
#line 1538 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27870 "preproc.c" /* yacc.c:1646  */
    break;

  case 15:
#line 1540 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27876 "preproc.c" /* yacc.c:1646  */
    break;

  case 16:
#line 1542 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27882 "preproc.c" /* yacc.c:1646  */
    break;

  case 17:
#line 1544 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27888 "preproc.c" /* yacc.c:1646  */
    break;

  case 18:
#line 1546 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27894 "preproc.c" /* yacc.c:1646  */
    break;

  case 19:
#line 1548 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27900 "preproc.c" /* yacc.c:1646  */
    break;

  case 20:
#line 1550 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27906 "preproc.c" /* yacc.c:1646  */
    break;

  case 21:
#line 1552 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27912 "preproc.c" /* yacc.c:1646  */
    break;

  case 22:
#line 1554 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27918 "preproc.c" /* yacc.c:1646  */
    break;

  case 23:
#line 1556 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27924 "preproc.c" /* yacc.c:1646  */
    break;

  case 24:
#line 1558 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27930 "preproc.c" /* yacc.c:1646  */
    break;

  case 25:
#line 1560 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27936 "preproc.c" /* yacc.c:1646  */
    break;

  case 26:
#line 1562 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27942 "preproc.c" /* yacc.c:1646  */
    break;

  case 27:
#line 1564 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27948 "preproc.c" /* yacc.c:1646  */
    break;

  case 28:
#line 1566 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27954 "preproc.c" /* yacc.c:1646  */
    break;

  case 29:
#line 1568 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27960 "preproc.c" /* yacc.c:1646  */
    break;

  case 30:
#line 1570 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27966 "preproc.c" /* yacc.c:1646  */
    break;

  case 31:
#line 1572 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27972 "preproc.c" /* yacc.c:1646  */
    break;

  case 32:
#line 1574 "preproc.y" /* yacc.c:1646  */
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[0].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[0].str));
				break;
			}
		}

		output_statement((yyvsp[0].str), 0, ECPGst_normal);
	}
#line 27994 "preproc.c" /* yacc.c:1646  */
    break;

  case 33:
#line 1592 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28000 "preproc.c" /* yacc.c:1646  */
    break;

  case 34:
#line 1594 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28006 "preproc.c" /* yacc.c:1646  */
    break;

  case 35:
#line 1596 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28012 "preproc.c" /* yacc.c:1646  */
    break;

  case 36:
#line 1598 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28018 "preproc.c" /* yacc.c:1646  */
    break;

  case 37:
#line 1600 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28024 "preproc.c" /* yacc.c:1646  */
    break;

  case 38:
#line 1602 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28030 "preproc.c" /* yacc.c:1646  */
    break;

  case 39:
#line 1604 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28036 "preproc.c" /* yacc.c:1646  */
    break;

  case 40:
#line 1606 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28042 "preproc.c" /* yacc.c:1646  */
    break;

  case 41:
#line 1608 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28048 "preproc.c" /* yacc.c:1646  */
    break;

  case 42:
#line 1610 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28054 "preproc.c" /* yacc.c:1646  */
    break;

  case 43:
#line 1612 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28060 "preproc.c" /* yacc.c:1646  */
    break;

  case 44:
#line 1614 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28066 "preproc.c" /* yacc.c:1646  */
    break;

  case 45:
#line 1616 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28072 "preproc.c" /* yacc.c:1646  */
    break;

  case 46:
#line 1618 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28078 "preproc.c" /* yacc.c:1646  */
    break;

  case 47:
#line 1620 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28084 "preproc.c" /* yacc.c:1646  */
    break;

  case 48:
#line 1622 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28090 "preproc.c" /* yacc.c:1646  */
    break;

  case 49:
#line 1624 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28096 "preproc.c" /* yacc.c:1646  */
    break;

  case 50:
#line 1626 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28102 "preproc.c" /* yacc.c:1646  */
    break;

  case 51:
#line 1628 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28108 "preproc.c" /* yacc.c:1646  */
    break;

  case 52:
#line 1630 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28114 "preproc.c" /* yacc.c:1646  */
    break;

  case 53:
#line 1632 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28120 "preproc.c" /* yacc.c:1646  */
    break;

  case 54:
#line 1634 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28126 "preproc.c" /* yacc.c:1646  */
    break;

  case 55:
#line 1636 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28132 "preproc.c" /* yacc.c:1646  */
    break;

  case 56:
#line 1638 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28138 "preproc.c" /* yacc.c:1646  */
    break;

  case 57:
#line 1640 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28144 "preproc.c" /* yacc.c:1646  */
    break;

  case 58:
#line 1642 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28150 "preproc.c" /* yacc.c:1646  */
    break;

  case 59:
#line 1644 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28156 "preproc.c" /* yacc.c:1646  */
    break;

  case 60:
#line 1646 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28162 "preproc.c" /* yacc.c:1646  */
    break;

  case 61:
#line 1648 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28168 "preproc.c" /* yacc.c:1646  */
    break;

  case 62:
#line 1650 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28174 "preproc.c" /* yacc.c:1646  */
    break;

  case 63:
#line 1652 "preproc.y" /* yacc.c:1646  */
    {
		output_deallocate_prepare_statement((yyvsp[0].str));
	}
#line 28182 "preproc.c" /* yacc.c:1646  */
    break;

  case 64:
#line 1656 "preproc.y" /* yacc.c:1646  */
    { output_simple_statement((yyvsp[0].str)); }
#line 28188 "preproc.c" /* yacc.c:1646  */
    break;

  case 65:
#line 1658 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28194 "preproc.c" /* yacc.c:1646  */
    break;

  case 66:
#line 1660 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 28200 "preproc.c" /* yacc.c:1646  */
    break;

  case 67:
#line 1662 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 28206 "preproc.c" /* yacc.c:1646  */
    break;

  case 68:
#line 1664 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28212 "preproc.c" /* yacc.c:1646  */
    break;

  case 69:
#line 1666 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28218 "preproc.c" /* yacc.c:1646  */
    break;

  case 70:
#line 1668 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28224 "preproc.c" /* yacc.c:1646  */
    break;

  case 71:
#line 1670 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28230 "preproc.c" /* yacc.c:1646  */
    break;

  case 72:
#line 1672 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28236 "preproc.c" /* yacc.c:1646  */
    break;

  case 73:
#line 1674 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28242 "preproc.c" /* yacc.c:1646  */
    break;

  case 74:
#line 1676 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28248 "preproc.c" /* yacc.c:1646  */
    break;

  case 75:
#line 1678 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28254 "preproc.c" /* yacc.c:1646  */
    break;

  case 76:
#line 1680 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28260 "preproc.c" /* yacc.c:1646  */
    break;

  case 77:
#line 1682 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28266 "preproc.c" /* yacc.c:1646  */
    break;

  case 78:
#line 1684 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28272 "preproc.c" /* yacc.c:1646  */
    break;

  case 79:
#line 1686 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28278 "preproc.c" /* yacc.c:1646  */
    break;

  case 80:
#line 1688 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28284 "preproc.c" /* yacc.c:1646  */
    break;

  case 81:
#line 1690 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28290 "preproc.c" /* yacc.c:1646  */
    break;

  case 82:
#line 1692 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28296 "preproc.c" /* yacc.c:1646  */
    break;

  case 83:
#line 1694 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28302 "preproc.c" /* yacc.c:1646  */
    break;

  case 84:
#line 1696 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28308 "preproc.c" /* yacc.c:1646  */
    break;

  case 85:
#line 1698 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28314 "preproc.c" /* yacc.c:1646  */
    break;

  case 86:
#line 1700 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_execute); }
#line 28320 "preproc.c" /* yacc.c:1646  */
    break;

  case 87:
#line 1702 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28326 "preproc.c" /* yacc.c:1646  */
    break;

  case 88:
#line 1704 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 28332 "preproc.c" /* yacc.c:1646  */
    break;

  case 89:
#line 1706 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28338 "preproc.c" /* yacc.c:1646  */
    break;

  case 90:
#line 1708 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28344 "preproc.c" /* yacc.c:1646  */
    break;

  case 91:
#line 1710 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28350 "preproc.c" /* yacc.c:1646  */
    break;

  case 92:
#line 1712 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 28356 "preproc.c" /* yacc.c:1646  */
    break;

  case 93:
#line 1714 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28362 "preproc.c" /* yacc.c:1646  */
    break;

  case 94:
#line 1716 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28368 "preproc.c" /* yacc.c:1646  */
    break;

  case 95:
#line 1718 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28374 "preproc.c" /* yacc.c:1646  */
    break;

  case 96:
#line 1720 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28380 "preproc.c" /* yacc.c:1646  */
    break;

  case 97:
#line 1722 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28386 "preproc.c" /* yacc.c:1646  */
    break;

  case 98:
#line 1724 "preproc.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].prep).type == NULL || strlen((yyvsp[0].prep).type) == 0)
			output_prepare_statement((yyvsp[0].prep).name, (yyvsp[0].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[0].prep).name, (yyvsp[0].prep).type, mm_strdup("as"), (yyvsp[0].prep).stmt), 0, ECPGst_normal);
	}
#line 28397 "preproc.c" /* yacc.c:1646  */
    break;

  case 99:
#line 1731 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28403 "preproc.c" /* yacc.c:1646  */
    break;

  case 100:
#line 1733 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28409 "preproc.c" /* yacc.c:1646  */
    break;

  case 101:
#line 1735 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28415 "preproc.c" /* yacc.c:1646  */
    break;

  case 102:
#line 1737 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28421 "preproc.c" /* yacc.c:1646  */
    break;

  case 103:
#line 1739 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28427 "preproc.c" /* yacc.c:1646  */
    break;

  case 104:
#line 1741 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28433 "preproc.c" /* yacc.c:1646  */
    break;

  case 105:
#line 1743 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28439 "preproc.c" /* yacc.c:1646  */
    break;

  case 106:
#line 1745 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28445 "preproc.c" /* yacc.c:1646  */
    break;

  case 107:
#line 1747 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28451 "preproc.c" /* yacc.c:1646  */
    break;

  case 108:
#line 1749 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28457 "preproc.c" /* yacc.c:1646  */
    break;

  case 109:
#line 1751 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 28463 "preproc.c" /* yacc.c:1646  */
    break;

  case 110:
#line 1753 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 28473 "preproc.c" /* yacc.c:1646  */
    break;

  case 111:
#line 1759 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28479 "preproc.c" /* yacc.c:1646  */
    break;

  case 112:
#line 1761 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28485 "preproc.c" /* yacc.c:1646  */
    break;

  case 113:
#line 1763 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 28491 "preproc.c" /* yacc.c:1646  */
    break;

  case 114:
#line 1765 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28497 "preproc.c" /* yacc.c:1646  */
    break;

  case 115:
#line 1767 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28503 "preproc.c" /* yacc.c:1646  */
    break;

  case 116:
#line 1769 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28509 "preproc.c" /* yacc.c:1646  */
    break;

  case 117:
#line 1771 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28515 "preproc.c" /* yacc.c:1646  */
    break;

  case 118:
#line 1773 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 28521 "preproc.c" /* yacc.c:1646  */
    break;

  case 119:
#line 1775 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 28531 "preproc.c" /* yacc.c:1646  */
    break;

  case 120:
#line 1781 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(base_yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[0].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 28545 "preproc.c" /* yacc.c:1646  */
    break;

  case 121:
#line 1791 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 28553 "preproc.c" /* yacc.c:1646  */
    break;

  case 122:
#line 1795 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 28563 "preproc.c" /* yacc.c:1646  */
    break;

  case 123:
#line 1801 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 28571 "preproc.c" /* yacc.c:1646  */
    break;

  case 124:
#line 1805 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[0].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", base_yyout);
		fprintf(base_yyout, "}");
		output_line_number();

		free((yyvsp[0].str));
	}
#line 28585 "preproc.c" /* yacc.c:1646  */
    break;

  case 125:
#line 1815 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[0].str) ? (yyvsp[0].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 28599 "preproc.c" /* yacc.c:1646  */
    break;

  case 126:
#line 1824 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_exec_immediate); }
#line 28605 "preproc.c" /* yacc.c:1646  */
    break;

  case 127:
#line 1826 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[0].str), "all") == 0)
			fprintf(base_yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[0].str)[0] == ':')
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[0].str)+1);
		else
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[0].str));

		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 28623 "preproc.c" /* yacc.c:1646  */
    break;

  case 128:
#line 1840 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_get_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 28634 "preproc.c" /* yacc.c:1646  */
    break;

  case 129:
#line 1847 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_get_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 28644 "preproc.c" /* yacc.c:1646  */
    break;

  case 130:
#line 1853 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[0].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
#line 28659 "preproc.c" /* yacc.c:1646  */
    break;

  case 131:
#line 1864 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[0].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 28669 "preproc.c" /* yacc.c:1646  */
    break;

  case 132:
#line 1870 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(base_yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 28682 "preproc.c" /* yacc.c:1646  */
    break;

  case 133:
#line 1879 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_set_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 28693 "preproc.c" /* yacc.c:1646  */
    break;

  case 134:
#line 1886 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_set_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 28703 "preproc.c" /* yacc.c:1646  */
    break;

  case 135:
#line 1892 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(base_yyout, "%s", (yyvsp[0].str));
		free((yyvsp[0].str));
		output_line_number();
	}
#line 28716 "preproc.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1901 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 28727 "preproc.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1908 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 28738 "preproc.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1915 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 28744 "preproc.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28752 "preproc.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 28760 "preproc.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28767 "preproc.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28775 "preproc.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28782 "preproc.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28790 "preproc.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28797 "preproc.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[0].str));
}
#line 28805 "preproc.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password null");
}
#line 28813 "preproc.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[0].str));
}
#line 28821 "preproc.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[0].str));
}
#line 28829 "preproc.c" /* yacc.c:1646  */
    break;

  case 150:
#line 1978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 28837 "preproc.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[0].str));
}
#line 28845 "preproc.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[0].str));
}
#line 28853 "preproc.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[0].str));
}
#line 28861 "preproc.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28869 "preproc.c" /* yacc.c:1646  */
    break;

  case 155:
#line 2002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28877 "preproc.c" /* yacc.c:1646  */
    break;

  case 156:
#line 2006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[0].str));
}
#line 28885 "preproc.c" /* yacc.c:1646  */
    break;

  case 157:
#line 2010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[0].str));
}
#line 28893 "preproc.c" /* yacc.c:1646  */
    break;

  case 158:
#line 2014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 28901 "preproc.c" /* yacc.c:1646  */
    break;

  case 159:
#line 2018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[0].str));
}
#line 28909 "preproc.c" /* yacc.c:1646  */
    break;

  case 160:
#line 2022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[0].str));
}
#line 28917 "preproc.c" /* yacc.c:1646  */
    break;

  case 161:
#line 2030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28925 "preproc.c" /* yacc.c:1646  */
    break;

  case 162:
#line 2038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28933 "preproc.c" /* yacc.c:1646  */
    break;

  case 163:
#line 2046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28940 "preproc.c" /* yacc.c:1646  */
    break;

  case 164:
#line 2049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[0].str));
}
#line 28948 "preproc.c" /* yacc.c:1646  */
    break;

  case 165:
#line 2057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28956 "preproc.c" /* yacc.c:1646  */
    break;

  case 166:
#line 2061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter role all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28964 "preproc.c" /* yacc.c:1646  */
    break;

  case 167:
#line 2069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28972 "preproc.c" /* yacc.c:1646  */
    break;

  case 168:
#line 2077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28980 "preproc.c" /* yacc.c:1646  */
    break;

  case 169:
#line 2081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28988 "preproc.c" /* yacc.c:1646  */
    break;

  case 170:
#line 2089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[0].str));
}
#line 28996 "preproc.c" /* yacc.c:1646  */
    break;

  case 171:
#line 2093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[0].str));
}
#line 29004 "preproc.c" /* yacc.c:1646  */
    break;

  case 172:
#line 2101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[0].str));
}
#line 29012 "preproc.c" /* yacc.c:1646  */
    break;

  case 173:
#line 2105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[0].str));
}
#line 29020 "preproc.c" /* yacc.c:1646  */
    break;

  case 174:
#line 2113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29028 "preproc.c" /* yacc.c:1646  */
    break;

  case 175:
#line 2121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("user"),(yyvsp[0].str));
}
#line 29036 "preproc.c" /* yacc.c:1646  */
    break;

  case 176:
#line 2129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 29044 "preproc.c" /* yacc.c:1646  */
    break;

  case 177:
#line 2133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 29052 "preproc.c" /* yacc.c:1646  */
    break;

  case 178:
#line 2141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[0].str));
}
#line 29060 "preproc.c" /* yacc.c:1646  */
    break;

  case 179:
#line 2145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[0].str));
}
#line 29068 "preproc.c" /* yacc.c:1646  */
    break;

  case 180:
#line 2153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29076 "preproc.c" /* yacc.c:1646  */
    break;

  case 181:
#line 2157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29084 "preproc.c" /* yacc.c:1646  */
    break;

  case 182:
#line 2161 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(5,mm_strdup("create schema if not exists"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29093 "preproc.c" /* yacc.c:1646  */
    break;

  case 183:
#line 2166 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("create schema if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29102 "preproc.c" /* yacc.c:1646  */
    break;

  case 184:
#line 2175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29110 "preproc.c" /* yacc.c:1646  */
    break;

  case 185:
#line 2179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29117 "preproc.c" /* yacc.c:1646  */
    break;

  case 186:
#line 2186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29125 "preproc.c" /* yacc.c:1646  */
    break;

  case 187:
#line 2190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29132 "preproc.c" /* yacc.c:1646  */
    break;

  case 188:
#line 2197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29140 "preproc.c" /* yacc.c:1646  */
    break;

  case 189:
#line 2201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29148 "preproc.c" /* yacc.c:1646  */
    break;

  case 190:
#line 2205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29156 "preproc.c" /* yacc.c:1646  */
    break;

  case 191:
#line 2209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29164 "preproc.c" /* yacc.c:1646  */
    break;

  case 192:
#line 2213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29172 "preproc.c" /* yacc.c:1646  */
    break;

  case 193:
#line 2217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29180 "preproc.c" /* yacc.c:1646  */
    break;

  case 194:
#line 2225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 29188 "preproc.c" /* yacc.c:1646  */
    break;

  case 195:
#line 2229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[0].str));
}
#line 29196 "preproc.c" /* yacc.c:1646  */
    break;

  case 196:
#line 2233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[0].str));
}
#line 29204 "preproc.c" /* yacc.c:1646  */
    break;

  case 197:
#line 2241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[0].str));
}
#line 29212 "preproc.c" /* yacc.c:1646  */
    break;

  case 198:
#line 2245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[0].str));
}
#line 29220 "preproc.c" /* yacc.c:1646  */
    break;

  case 199:
#line 2249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29228 "preproc.c" /* yacc.c:1646  */
    break;

  case 200:
#line 2257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 29236 "preproc.c" /* yacc.c:1646  */
    break;

  case 201:
#line 2261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 29244 "preproc.c" /* yacc.c:1646  */
    break;

  case 202:
#line 2265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("to default"));
}
#line 29252 "preproc.c" /* yacc.c:1646  */
    break;

  case 204:
#line 2270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29260 "preproc.c" /* yacc.c:1646  */
    break;

  case 205:
#line 2274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("from current"));
}
#line 29268 "preproc.c" /* yacc.c:1646  */
    break;

  case 206:
#line 2278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[0].str));
}
#line 29276 "preproc.c" /* yacc.c:1646  */
    break;

  case 207:
#line 2282 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[0].str));
}
#line 29285 "preproc.c" /* yacc.c:1646  */
    break;

  case 208:
#line 2287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 29293 "preproc.c" /* yacc.c:1646  */
    break;

  case 209:
#line 2291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[0].str));
}
#line 29301 "preproc.c" /* yacc.c:1646  */
    break;

  case 210:
#line 2295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 29309 "preproc.c" /* yacc.c:1646  */
    break;

  case 211:
#line 2299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[0].str));
}
#line 29317 "preproc.c" /* yacc.c:1646  */
    break;

  case 212:
#line 2303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization default");
}
#line 29325 "preproc.c" /* yacc.c:1646  */
    break;

  case 213:
#line 2307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[0].str));
}
#line 29333 "preproc.c" /* yacc.c:1646  */
    break;

  case 214:
#line 2311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[0].str));
}
#line 29341 "preproc.c" /* yacc.c:1646  */
    break;

  case 215:
#line 2319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29349 "preproc.c" /* yacc.c:1646  */
    break;

  case 216:
#line 2323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 29357 "preproc.c" /* yacc.c:1646  */
    break;

  case 217:
#line 2331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29365 "preproc.c" /* yacc.c:1646  */
    break;

  case 218:
#line 2335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 29373 "preproc.c" /* yacc.c:1646  */
    break;

  case 219:
#line 2343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29381 "preproc.c" /* yacc.c:1646  */
    break;

  case 220:
#line 2347 "preproc.y" /* yacc.c:1646  */
    { 
		if ((yyvsp[0].str)[0] == '$')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 29395 "preproc.c" /* yacc.c:1646  */
    break;

  case 221:
#line 2361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read uncommitted");
}
#line 29403 "preproc.c" /* yacc.c:1646  */
    break;

  case 222:
#line 2365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read committed");
}
#line 29411 "preproc.c" /* yacc.c:1646  */
    break;

  case 223:
#line 2369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable read");
}
#line 29419 "preproc.c" /* yacc.c:1646  */
    break;

  case 224:
#line 2373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 29427 "preproc.c" /* yacc.c:1646  */
    break;

  case 225:
#line 2381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 29435 "preproc.c" /* yacc.c:1646  */
    break;

  case 226:
#line 2385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 29443 "preproc.c" /* yacc.c:1646  */
    break;

  case 227:
#line 2389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 29451 "preproc.c" /* yacc.c:1646  */
    break;

  case 228:
#line 2393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29459 "preproc.c" /* yacc.c:1646  */
    break;

  case 229:
#line 2401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29467 "preproc.c" /* yacc.c:1646  */
    break;

  case 230:
#line 2405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29475 "preproc.c" /* yacc.c:1646  */
    break;

  case 231:
#line 2409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29483 "preproc.c" /* yacc.c:1646  */
    break;

  case 232:
#line 2413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29491 "preproc.c" /* yacc.c:1646  */
    break;

  case 233:
#line 2417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29499 "preproc.c" /* yacc.c:1646  */
    break;

  case 234:
#line 2421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 29507 "preproc.c" /* yacc.c:1646  */
    break;

  case 235:
#line 2425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 29515 "preproc.c" /* yacc.c:1646  */
    break;

  case 236:
#line 2433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29523 "preproc.c" /* yacc.c:1646  */
    break;

  case 237:
#line 2437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 29531 "preproc.c" /* yacc.c:1646  */
    break;

  case 238:
#line 2441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29538 "preproc.c" /* yacc.c:1646  */
    break;

  case 239:
#line 2448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29546 "preproc.c" /* yacc.c:1646  */
    break;

  case 240:
#line 2452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29554 "preproc.c" /* yacc.c:1646  */
    break;

  case 241:
#line 2460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 29562 "preproc.c" /* yacc.c:1646  */
    break;

  case 242:
#line 2468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29570 "preproc.c" /* yacc.c:1646  */
    break;

  case 243:
#line 2472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time zone");
}
#line 29578 "preproc.c" /* yacc.c:1646  */
    break;

  case 244:
#line 2476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction isolation level");
}
#line 29586 "preproc.c" /* yacc.c:1646  */
    break;

  case 245:
#line 2480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization");
}
#line 29594 "preproc.c" /* yacc.c:1646  */
    break;

  case 246:
#line 2488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29602 "preproc.c" /* yacc.c:1646  */
    break;

  case 247:
#line 2492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 29610 "preproc.c" /* yacc.c:1646  */
    break;

  case 248:
#line 2500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 29618 "preproc.c" /* yacc.c:1646  */
    break;

  case 249:
#line 2504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29626 "preproc.c" /* yacc.c:1646  */
    break;

  case 250:
#line 2512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 29634 "preproc.c" /* yacc.c:1646  */
    break;

  case 251:
#line 2516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29642 "preproc.c" /* yacc.c:1646  */
    break;

  case 252:
#line 2524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[-1].str));
}
#line 29650 "preproc.c" /* yacc.c:1646  */
    break;

  case 253:
#line 2528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show time zone");
}
#line 29658 "preproc.c" /* yacc.c:1646  */
    break;

  case 254:
#line 2532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
}
#line 29666 "preproc.c" /* yacc.c:1646  */
    break;

  case 255:
#line 2536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show session authorization");
}
#line 29674 "preproc.c" /* yacc.c:1646  */
    break;

  case 256:
#line 2540 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
#line 29683 "preproc.c" /* yacc.c:1646  */
    break;

  case 257:
#line 2549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29691 "preproc.c" /* yacc.c:1646  */
    break;

  case 258:
#line 2557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 29699 "preproc.c" /* yacc.c:1646  */
    break;

  case 259:
#line 2561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29707 "preproc.c" /* yacc.c:1646  */
    break;

  case 260:
#line 2569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 29715 "preproc.c" /* yacc.c:1646  */
    break;

  case 261:
#line 2573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 29723 "preproc.c" /* yacc.c:1646  */
    break;

  case 262:
#line 2581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 29731 "preproc.c" /* yacc.c:1646  */
    break;

  case 263:
#line 2589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard all");
}
#line 29739 "preproc.c" /* yacc.c:1646  */
    break;

  case 264:
#line 2593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temp");
}
#line 29747 "preproc.c" /* yacc.c:1646  */
    break;

  case 265:
#line 2597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temporary");
}
#line 29755 "preproc.c" /* yacc.c:1646  */
    break;

  case 266:
#line 2601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard plans");
}
#line 29763 "preproc.c" /* yacc.c:1646  */
    break;

  case 267:
#line 2605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard sequences");
}
#line 29771 "preproc.c" /* yacc.c:1646  */
    break;

  case 268:
#line 2613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29779 "preproc.c" /* yacc.c:1646  */
    break;

  case 269:
#line 2617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29787 "preproc.c" /* yacc.c:1646  */
    break;

  case 270:
#line 2621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter table all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29795 "preproc.c" /* yacc.c:1646  */
    break;

  case 271:
#line 2625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29803 "preproc.c" /* yacc.c:1646  */
    break;

  case 272:
#line 2629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29811 "preproc.c" /* yacc.c:1646  */
    break;

  case 273:
#line 2633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29819 "preproc.c" /* yacc.c:1646  */
    break;

  case 274:
#line 2637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter index all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29827 "preproc.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter index all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29835 "preproc.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29843 "preproc.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29851 "preproc.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29859 "preproc.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29867 "preproc.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29875 "preproc.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29883 "preproc.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29891 "preproc.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29899 "preproc.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29907 "preproc.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 29915 "preproc.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 29923 "preproc.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[0].str));
}
#line 29931 "preproc.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29939 "preproc.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 29947 "preproc.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 29955 "preproc.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 29963 "preproc.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 29971 "preproc.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 29979 "preproc.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set storage"),(yyvsp[0].str));
}
#line 29987 "preproc.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29995 "preproc.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30003 "preproc.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30011 "preproc.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30019 "preproc.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 30027 "preproc.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30035 "preproc.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 30043 "preproc.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30051 "preproc.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30059 "preproc.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set with oids");
}
#line 30067 "preproc.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without oids");
}
#line 30075 "preproc.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[0].str));
}
#line 30083 "preproc.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without cluster");
}
#line 30091 "preproc.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[0].str));
}
#line 30099 "preproc.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[0].str));
}
#line 30107 "preproc.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[0].str));
}
#line 30115 "preproc.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger all");
}
#line 30123 "preproc.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger user");
}
#line 30131 "preproc.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[0].str));
}
#line 30139 "preproc.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger all");
}
#line 30147 "preproc.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger user");
}
#line 30155 "preproc.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[0].str));
}
#line 30163 "preproc.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[0].str));
}
#line 30171 "preproc.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[0].str));
}
#line 30179 "preproc.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[0].str));
}
#line 30187 "preproc.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[0].str));
}
#line 30195 "preproc.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[0].str));
}
#line 30203 "preproc.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 30211 "preproc.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not of");
}
#line 30219 "preproc.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[0].str));
}
#line 30227 "preproc.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 30235 "preproc.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 30243 "preproc.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 30251 "preproc.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("replica identity"),(yyvsp[0].str));
}
#line 30259 "preproc.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30267 "preproc.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[0].str));
}
#line 30275 "preproc.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop default");
}
#line 30283 "preproc.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 30291 "preproc.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 30299 "preproc.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30306 "preproc.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 30314 "preproc.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30321 "preproc.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 30329 "preproc.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30336 "preproc.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 30344 "preproc.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 30352 "preproc.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 30360 "preproc.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 30368 "preproc.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30376 "preproc.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 30384 "preproc.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30391 "preproc.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30399 "preproc.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30407 "preproc.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 30415 "preproc.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30423 "preproc.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("."),(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 30431 "preproc.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 30439 "preproc.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30447 "preproc.c" /* yacc.c:1646  */
    break;

  case 353:
#line 3001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30455 "preproc.c" /* yacc.c:1646  */
    break;

  case 354:
#line 3005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30463 "preproc.c" /* yacc.c:1646  */
    break;

  case 355:
#line 3013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30471 "preproc.c" /* yacc.c:1646  */
    break;

  case 356:
#line 3017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30479 "preproc.c" /* yacc.c:1646  */
    break;

  case 357:
#line 3021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30487 "preproc.c" /* yacc.c:1646  */
    break;

  case 358:
#line 3025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30495 "preproc.c" /* yacc.c:1646  */
    break;

  case 359:
#line 3033 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	}
#line 30504 "preproc.c" /* yacc.c:1646  */
    break;

  case 360:
#line 3038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close all");
}
#line 30512 "preproc.c" /* yacc.c:1646  */
    break;

  case 361:
#line 3046 "preproc.y" /* yacc.c:1646  */
    { 
			if (strcmp((yyvsp[-5].str), "from") == 0 &&
			   (strcmp((yyvsp[-4].str), "stdin") == 0 || strcmp((yyvsp[-4].str), "stdout") == 0))
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(11,mm_strdup("copy"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30524 "preproc.c" /* yacc.c:1646  */
    break;

  case 362:
#line 3054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("copy"),(yyvsp[-5].str),mm_strdup("to"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30532 "preproc.c" /* yacc.c:1646  */
    break;

  case 363:
#line 3062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 30540 "preproc.c" /* yacc.c:1646  */
    break;

  case 364:
#line 3066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("to");
}
#line 30548 "preproc.c" /* yacc.c:1646  */
    break;

  case 365:
#line 3074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 30556 "preproc.c" /* yacc.c:1646  */
    break;

  case 366:
#line 3078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30563 "preproc.c" /* yacc.c:1646  */
    break;

  case 367:
#line 3085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30571 "preproc.c" /* yacc.c:1646  */
    break;

  case 368:
#line 3089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 30579 "preproc.c" /* yacc.c:1646  */
    break;

  case 369:
#line 3093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 30587 "preproc.c" /* yacc.c:1646  */
    break;

  case 370:
#line 3101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30595 "preproc.c" /* yacc.c:1646  */
    break;

  case 371:
#line 3105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30603 "preproc.c" /* yacc.c:1646  */
    break;

  case 372:
#line 3113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30611 "preproc.c" /* yacc.c:1646  */
    break;

  case 373:
#line 3117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30618 "preproc.c" /* yacc.c:1646  */
    break;

  case 374:
#line 3124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 30626 "preproc.c" /* yacc.c:1646  */
    break;

  case 375:
#line 3128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 30634 "preproc.c" /* yacc.c:1646  */
    break;

  case 376:
#line 3132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 30642 "preproc.c" /* yacc.c:1646  */
    break;

  case 377:
#line 3136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30650 "preproc.c" /* yacc.c:1646  */
    break;

  case 378:
#line 3140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30658 "preproc.c" /* yacc.c:1646  */
    break;

  case 379:
#line 3144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 30666 "preproc.c" /* yacc.c:1646  */
    break;

  case 380:
#line 3148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 30674 "preproc.c" /* yacc.c:1646  */
    break;

  case 381:
#line 3152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30682 "preproc.c" /* yacc.c:1646  */
    break;

  case 382:
#line 3156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30690 "preproc.c" /* yacc.c:1646  */
    break;

  case 383:
#line 3160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[0].str));
}
#line 30698 "preproc.c" /* yacc.c:1646  */
    break;

  case 384:
#line 3164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force quote *");
}
#line 30706 "preproc.c" /* yacc.c:1646  */
    break;

  case 385:
#line 3168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[0].str));
}
#line 30714 "preproc.c" /* yacc.c:1646  */
    break;

  case 386:
#line 3172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force null"),(yyvsp[0].str));
}
#line 30722 "preproc.c" /* yacc.c:1646  */
    break;

  case 387:
#line 3176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[0].str));
}
#line 30730 "preproc.c" /* yacc.c:1646  */
    break;

  case 388:
#line 3184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 30738 "preproc.c" /* yacc.c:1646  */
    break;

  case 389:
#line 3188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30745 "preproc.c" /* yacc.c:1646  */
    break;

  case 390:
#line 3195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 30753 "preproc.c" /* yacc.c:1646  */
    break;

  case 391:
#line 3199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30760 "preproc.c" /* yacc.c:1646  */
    break;

  case 392:
#line 3206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("delimiters"),(yyvsp[0].str));
}
#line 30768 "preproc.c" /* yacc.c:1646  */
    break;

  case 393:
#line 3210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30775 "preproc.c" /* yacc.c:1646  */
    break;

  case 394:
#line 3217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 30783 "preproc.c" /* yacc.c:1646  */
    break;

  case 395:
#line 3221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30790 "preproc.c" /* yacc.c:1646  */
    break;

  case 396:
#line 3228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30798 "preproc.c" /* yacc.c:1646  */
    break;

  case 397:
#line 3232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30806 "preproc.c" /* yacc.c:1646  */
    break;

  case 398:
#line 3240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30814 "preproc.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30822 "preproc.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30830 "preproc.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 30838 "preproc.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30846 "preproc.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30853 "preproc.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30861 "preproc.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30869 "preproc.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30877 "preproc.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30885 "preproc.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30893 "preproc.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("table"),(yyvsp[-6].str),mm_strdup("of"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30901 "preproc.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("table if not exists"),(yyvsp[-6].str),mm_strdup("of"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30909 "preproc.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 30917 "preproc.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 30925 "preproc.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temporary");
}
#line 30933 "preproc.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temp");
}
#line 30941 "preproc.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temporary");
}
#line 30949 "preproc.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temp");
}
#line 30957 "preproc.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 30965 "preproc.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30972 "preproc.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30980 "preproc.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30987 "preproc.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30995 "preproc.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31002 "preproc.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31010 "preproc.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 31018 "preproc.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31026 "preproc.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 31034 "preproc.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31042 "preproc.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31050 "preproc.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31058 "preproc.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31066 "preproc.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31074 "preproc.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31082 "preproc.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("with options"),(yyvsp[0].str));
}
#line 31090 "preproc.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31098 "preproc.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31105 "preproc.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31113 "preproc.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31121 "preproc.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31129 "preproc.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 31137 "preproc.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 31145 "preproc.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 31153 "preproc.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31161 "preproc.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31169 "preproc.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 31177 "preproc.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 31185 "preproc.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31193 "preproc.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 31201 "preproc.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 31209 "preproc.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 31217 "preproc.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 31225 "preproc.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31233 "preproc.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("including"),(yyvsp[0].str));
}
#line 31241 "preproc.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("excluding"),(yyvsp[0].str));
}
#line 31249 "preproc.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31256 "preproc.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 31264 "preproc.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 31272 "preproc.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 31280 "preproc.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 31288 "preproc.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 31296 "preproc.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 31304 "preproc.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31312 "preproc.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31320 "preproc.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 31328 "preproc.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("unique ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31336 "preproc.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31344 "preproc.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("primary key ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31352 "preproc.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31360 "preproc.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("exclude"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31368 "preproc.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[-7].str),mm_strdup(") references"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31376 "preproc.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 31384 "preproc.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31391 "preproc.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31399 "preproc.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31406 "preproc.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31414 "preproc.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 31422 "preproc.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31430 "preproc.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match full");
}
#line 31438 "preproc.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3660 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
}
#line 31447 "preproc.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match simple");
}
#line 31455 "preproc.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31462 "preproc.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31470 "preproc.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 31478 "preproc.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 31486 "preproc.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("with operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31494 "preproc.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31502 "preproc.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31509 "preproc.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31517 "preproc.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31525 "preproc.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31533 "preproc.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31541 "preproc.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31548 "preproc.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[0].str));
}
#line 31556 "preproc.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[0].str));
}
#line 31564 "preproc.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no action");
}
#line 31572 "preproc.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 31580 "preproc.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 31588 "preproc.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set null");
}
#line 31596 "preproc.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set default");
}
#line 31604 "preproc.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31612 "preproc.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31619 "preproc.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 31627 "preproc.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 31635 "preproc.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without oids");
}
#line 31643 "preproc.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31650 "preproc.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit drop");
}
#line 31658 "preproc.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
}
#line 31666 "preproc.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
}
#line 31674 "preproc.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31681 "preproc.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 31689 "preproc.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31696 "preproc.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[0].str));
}
#line 31704 "preproc.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31711 "preproc.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 31719 "preproc.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31727 "preproc.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with data");
}
#line 31735 "preproc.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with no data");
}
#line 31743 "preproc.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31750 "preproc.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("materialized view"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31758 "preproc.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31766 "preproc.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 31774 "preproc.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31781 "preproc.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("refresh materialized view"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31789 "preproc.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-3].str),mm_strdup("sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31797 "preproc.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-5].str),mm_strdup("sequence"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 31805 "preproc.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("sequence"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 31813 "preproc.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31821 "preproc.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter sequence"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 31829 "preproc.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter sequence"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 31837 "preproc.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31845 "preproc.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 31853 "preproc.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter sequence if exists"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 31861 "preproc.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31869 "preproc.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31876 "preproc.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31884 "preproc.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31892 "preproc.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[0].str));
}
#line 31900 "preproc.c" /* yacc.c:1646  */
    break;

  case 537:
#line 3982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 31908 "preproc.c" /* yacc.c:1646  */
    break;

  case 538:
#line 3986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no cycle");
}
#line 31916 "preproc.c" /* yacc.c:1646  */
    break;

  case 539:
#line 3990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31924 "preproc.c" /* yacc.c:1646  */
    break;

  case 540:
#line 3994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[0].str));
}
#line 31932 "preproc.c" /* yacc.c:1646  */
    break;

  case 541:
#line 3998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[0].str));
}
#line 31940 "preproc.c" /* yacc.c:1646  */
    break;

  case 542:
#line 4002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no maxvalue");
}
#line 31948 "preproc.c" /* yacc.c:1646  */
    break;

  case 543:
#line 4006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no minvalue");
}
#line 31956 "preproc.c" /* yacc.c:1646  */
    break;

  case 544:
#line 4010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[0].str));
}
#line 31964 "preproc.c" /* yacc.c:1646  */
    break;

  case 545:
#line 4014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31972 "preproc.c" /* yacc.c:1646  */
    break;

  case 546:
#line 4018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 31980 "preproc.c" /* yacc.c:1646  */
    break;

  case 547:
#line 4022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31988 "preproc.c" /* yacc.c:1646  */
    break;

  case 548:
#line 4030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 31996 "preproc.c" /* yacc.c:1646  */
    break;

  case 549:
#line 4034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32003 "preproc.c" /* yacc.c:1646  */
    break;

  case 550:
#line 4041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32011 "preproc.c" /* yacc.c:1646  */
    break;

  case 551:
#line 4045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 32019 "preproc.c" /* yacc.c:1646  */
    break;

  case 552:
#line 4049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 32027 "preproc.c" /* yacc.c:1646  */
    break;

  case 553:
#line 4053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32035 "preproc.c" /* yacc.c:1646  */
    break;

  case 554:
#line 4061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32043 "preproc.c" /* yacc.c:1646  */
    break;

  case 555:
#line 4065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32051 "preproc.c" /* yacc.c:1646  */
    break;

  case 556:
#line 4073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 32059 "preproc.c" /* yacc.c:1646  */
    break;

  case 557:
#line 4077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("language"),(yyvsp[-4].str),mm_strdup("handler"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32067 "preproc.c" /* yacc.c:1646  */
    break;

  case 558:
#line 4085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 32075 "preproc.c" /* yacc.c:1646  */
    break;

  case 559:
#line 4089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32082 "preproc.c" /* yacc.c:1646  */
    break;

  case 560:
#line 4096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32090 "preproc.c" /* yacc.c:1646  */
    break;

  case 561:
#line 4100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32098 "preproc.c" /* yacc.c:1646  */
    break;

  case 562:
#line 4108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[0].str));
}
#line 32106 "preproc.c" /* yacc.c:1646  */
    break;

  case 563:
#line 4112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32113 "preproc.c" /* yacc.c:1646  */
    break;

  case 564:
#line 4119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 32121 "preproc.c" /* yacc.c:1646  */
    break;

  case 565:
#line 4123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 32129 "preproc.c" /* yacc.c:1646  */
    break;

  case 566:
#line 4131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32137 "preproc.c" /* yacc.c:1646  */
    break;

  case 567:
#line 4135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32144 "preproc.c" /* yacc.c:1646  */
    break;

  case 568:
#line 4142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32152 "preproc.c" /* yacc.c:1646  */
    break;

  case 569:
#line 4146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-5].str),mm_strdup("language if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32160 "preproc.c" /* yacc.c:1646  */
    break;

  case 570:
#line 4154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 32168 "preproc.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32175 "preproc.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create tablespace"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("location"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32183 "preproc.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[0].str));
}
#line 32191 "preproc.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32198 "preproc.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[0].str));
}
#line 32206 "preproc.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[0].str));
}
#line 32214 "preproc.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32222 "preproc.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32230 "preproc.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32238 "preproc.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32245 "preproc.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 32253 "preproc.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 32261 "preproc.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 32269 "preproc.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-2].str),mm_strdup("update"),(yyvsp[0].str));
}
#line 32277 "preproc.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32285 "preproc.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32292 "preproc.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 32300 "preproc.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32308 "preproc.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32316 "preproc.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("collation"),(yyvsp[0].str));
}
#line 32324 "preproc.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("conversion"),(yyvsp[0].str));
}
#line 32332 "preproc.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("domain"),(yyvsp[0].str));
}
#line 32340 "preproc.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("function"),(yyvsp[0].str));
}
#line 32348 "preproc.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 32356 "preproc.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32364 "preproc.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator class"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 32372 "preproc.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 32380 "preproc.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("schema"),(yyvsp[0].str));
}
#line 32388 "preproc.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("event trigger"),(yyvsp[0].str));
}
#line 32396 "preproc.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("table"),(yyvsp[0].str));
}
#line 32404 "preproc.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search parser"),(yyvsp[0].str));
}
#line 32412 "preproc.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search dictionary"),(yyvsp[0].str));
}
#line 32420 "preproc.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search template"),(yyvsp[0].str));
}
#line 32428 "preproc.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search configuration"),(yyvsp[0].str));
}
#line 32436 "preproc.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("sequence"),(yyvsp[0].str));
}
#line 32444 "preproc.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("view"),(yyvsp[0].str));
}
#line 32452 "preproc.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("materialized view"),(yyvsp[0].str));
}
#line 32460 "preproc.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("foreign table"),(yyvsp[0].str));
}
#line 32468 "preproc.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 32476 "preproc.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 32484 "preproc.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("type"),(yyvsp[0].str));
}
#line 32492 "preproc.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32500 "preproc.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[0].str));
}
#line 32508 "preproc.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no handler");
}
#line 32516 "preproc.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 32524 "preproc.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 32532 "preproc.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32540 "preproc.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32548 "preproc.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32556 "preproc.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32563 "preproc.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32571 "preproc.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32579 "preproc.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32587 "preproc.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32595 "preproc.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32603 "preproc.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32610 "preproc.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32618 "preproc.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32626 "preproc.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32634 "preproc.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32642 "preproc.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32650 "preproc.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32658 "preproc.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 32666 "preproc.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 32674 "preproc.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[0].str));
}
#line 32682 "preproc.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32690 "preproc.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32698 "preproc.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32706 "preproc.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32714 "preproc.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 32722 "preproc.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32729 "preproc.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 32737 "preproc.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version null");
}
#line 32745 "preproc.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32753 "preproc.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32760 "preproc.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32768 "preproc.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32776 "preproc.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32784 "preproc.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32792 "preproc.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32800 "preproc.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create foreign table"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(") server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32808 "preproc.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create foreign table if not exists"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(") server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32816 "preproc.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32824 "preproc.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32832 "preproc.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32840 "preproc.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 32848 "preproc.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 32856 "preproc.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32864 "preproc.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 32872 "preproc.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 32880 "preproc.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32888 "preproc.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(13,mm_strdup("create trigger"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("on"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32896 "preproc.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create constraint trigger"),(yyvsp[-16].str),mm_strdup("after"),(yyvsp[-14].str),mm_strdup("on"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("for each row"),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32904 "preproc.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 32912 "preproc.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 32920 "preproc.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead of");
}
#line 32928 "preproc.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32936 "preproc.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 32944 "preproc.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 32952 "preproc.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 32960 "preproc.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 32968 "preproc.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[0].str));
}
#line 32976 "preproc.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 32984 "preproc.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32992 "preproc.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32999 "preproc.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 33007 "preproc.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33014 "preproc.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 33022 "preproc.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 33030 "preproc.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33038 "preproc.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33045 "preproc.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33053 "preproc.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33061 "preproc.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33068 "preproc.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33076 "preproc.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33084 "preproc.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33092 "preproc.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33100 "preproc.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 33108 "preproc.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33115 "preproc.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33122 "preproc.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33130 "preproc.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 33138 "preproc.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 33146 "preproc.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 33154 "preproc.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 33162 "preproc.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not valid");
}
#line 33170 "preproc.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 33178 "preproc.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33186 "preproc.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33194 "preproc.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create event trigger"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 33202 "preproc.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create event trigger"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),mm_strdup("when"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 33210 "preproc.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33218 "preproc.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 33226 "preproc.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33234 "preproc.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sconst");
}
#line 33242 "preproc.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup(", sconst"));
}
#line 33250 "preproc.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter event trigger"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33258 "preproc.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 33266 "preproc.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable replica");
}
#line 33274 "preproc.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable always");
}
#line 33282 "preproc.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 33290 "preproc.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4940 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[-5].str),mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 33299 "preproc.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4949 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33308 "preproc.c" /* yacc.c:1646  */
    break;

  case 715:
#line 4958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33316 "preproc.c" /* yacc.c:1646  */
    break;

  case 716:
#line 4962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33324 "preproc.c" /* yacc.c:1646  */
    break;

  case 717:
#line 4966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33332 "preproc.c" /* yacc.c:1646  */
    break;

  case 718:
#line 4970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33340 "preproc.c" /* yacc.c:1646  */
    break;

  case 719:
#line 4974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[0].str));
}
#line 33348 "preproc.c" /* yacc.c:1646  */
    break;

  case 720:
#line 4978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33356 "preproc.c" /* yacc.c:1646  */
    break;

  case 721:
#line 4982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-5].str),mm_strdup("as enum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33364 "preproc.c" /* yacc.c:1646  */
    break;

  case 722:
#line 4986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[-3].str),mm_strdup("as range"),(yyvsp[0].str));
}
#line 33372 "preproc.c" /* yacc.c:1646  */
    break;

  case 723:
#line 4990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33380 "preproc.c" /* yacc.c:1646  */
    break;

  case 724:
#line 4994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33388 "preproc.c" /* yacc.c:1646  */
    break;

  case 725:
#line 4998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33396 "preproc.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33404 "preproc.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33412 "preproc.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 33420 "preproc.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33428 "preproc.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33436 "preproc.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33444 "preproc.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 33452 "preproc.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33460 "preproc.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33468 "preproc.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33476 "preproc.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33484 "preproc.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33492 "preproc.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33500 "preproc.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33508 "preproc.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33516 "preproc.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33524 "preproc.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 33532 "preproc.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33540 "preproc.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33547 "preproc.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33555 "preproc.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33563 "preproc.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[-4].str),mm_strdup("add value"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33571 "preproc.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("before"),(yyvsp[0].str));
}
#line 33579 "preproc.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("after"),(yyvsp[0].str));
}
#line 33587 "preproc.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if not exists");
}
#line 33595 "preproc.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33602 "preproc.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("for type"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 33610 "preproc.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33618 "preproc.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33626 "preproc.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33634 "preproc.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("operator"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33642 "preproc.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33650 "preproc.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("function"),(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33658 "preproc.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[0].str));
}
#line 33666 "preproc.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 33674 "preproc.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33681 "preproc.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[0].str));
}
#line 33689 "preproc.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33696 "preproc.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for search");
}
#line 33704 "preproc.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[0].str));
}
#line 33712 "preproc.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33719 "preproc.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5233 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
}
#line 33728 "preproc.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33735 "preproc.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 33743 "preproc.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 33751 "preproc.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("drop"),(yyvsp[0].str));
}
#line 33759 "preproc.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33767 "preproc.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33775 "preproc.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33783 "preproc.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33791 "preproc.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33799 "preproc.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33807 "preproc.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33815 "preproc.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33823 "preproc.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33831 "preproc.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 33839 "preproc.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33847 "preproc.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33855 "preproc.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33863 "preproc.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33871 "preproc.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 33879 "preproc.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 33887 "preproc.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 33895 "preproc.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 33903 "preproc.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 33911 "preproc.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 33919 "preproc.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 33927 "preproc.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 33935 "preproc.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 33943 "preproc.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 33951 "preproc.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 33959 "preproc.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 33967 "preproc.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 33975 "preproc.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 33983 "preproc.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 33991 "preproc.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 33999 "preproc.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 34007 "preproc.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34015 "preproc.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34023 "preproc.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34031 "preproc.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34039 "preproc.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 34047 "preproc.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 34055 "preproc.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34063 "preproc.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue identity");
}
#line 34071 "preproc.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart identity");
}
#line 34079 "preproc.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34086 "preproc.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34094 "preproc.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on aggregate"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34102 "preproc.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on function"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34110 "preproc.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on operator"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34118 "preproc.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34126 "preproc.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34134 "preproc.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on rule"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34142 "preproc.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34150 "preproc.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34158 "preproc.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34166 "preproc.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34174 "preproc.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[-5].str),mm_strdup("as"),(yyvsp[-3].str),mm_strdup(") is"),(yyvsp[0].str));
}
#line 34182 "preproc.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34190 "preproc.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 34198 "preproc.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 34206 "preproc.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 34214 "preproc.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 34222 "preproc.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 34230 "preproc.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 34238 "preproc.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 34246 "preproc.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 34254 "preproc.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 34262 "preproc.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 34270 "preproc.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 34278 "preproc.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 34286 "preproc.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 34294 "preproc.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 34302 "preproc.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 34310 "preproc.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 34318 "preproc.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 34326 "preproc.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 34334 "preproc.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 34342 "preproc.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 34350 "preproc.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 34358 "preproc.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 34366 "preproc.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 34374 "preproc.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34382 "preproc.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 34390 "preproc.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34398 "preproc.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on aggregate"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34406 "preproc.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on function"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34414 "preproc.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34422 "preproc.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 34430 "preproc.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 34438 "preproc.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34445 "preproc.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 34453 "preproc.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 34461 "preproc.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 34469 "preproc.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 34477 "preproc.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 34485 "preproc.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 34493 "preproc.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 34501 "preproc.c" /* yacc.c:1646  */
    break;

  case 865:
#line 5707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 34509 "preproc.c" /* yacc.c:1646  */
    break;

  case 866:
#line 5711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 34517 "preproc.c" /* yacc.c:1646  */
    break;

  case 867:
#line 5715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 34525 "preproc.c" /* yacc.c:1646  */
    break;

  case 868:
#line 5719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 34533 "preproc.c" /* yacc.c:1646  */
    break;

  case 869:
#line 5723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 34541 "preproc.c" /* yacc.c:1646  */
    break;

  case 870:
#line 5727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 34549 "preproc.c" /* yacc.c:1646  */
    break;

  case 871:
#line 5735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34557 "preproc.c" /* yacc.c:1646  */
    break;

  case 872:
#line 5739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 34565 "preproc.c" /* yacc.c:1646  */
    break;

  case 873:
#line 5747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[0].str));
}
#line 34573 "preproc.c" /* yacc.c:1646  */
    break;

  case 874:
#line 5751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[0].str));
}
#line 34581 "preproc.c" /* yacc.c:1646  */
    break;

  case 875:
#line 5755 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[-1].str));
	}
#line 34589 "preproc.c" /* yacc.c:1646  */
    break;

  case 876:
#line 5759 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	}
#line 34599 "preproc.c" /* yacc.c:1646  */
    break;

  case 877:
#line 5765 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	}
#line 34609 "preproc.c" /* yacc.c:1646  */
    break;

  case 878:
#line 5771 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	}
#line 34619 "preproc.c" /* yacc.c:1646  */
    break;

  case 879:
#line 5777 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	}
#line 34629 "preproc.c" /* yacc.c:1646  */
    break;

  case 880:
#line 5783 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	}
#line 34639 "preproc.c" /* yacc.c:1646  */
    break;

  case 881:
#line 5789 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	}
#line 34649 "preproc.c" /* yacc.c:1646  */
    break;

  case 882:
#line 5795 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	}
#line 34659 "preproc.c" /* yacc.c:1646  */
    break;

  case 883:
#line 5801 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	}
#line 34669 "preproc.c" /* yacc.c:1646  */
    break;

  case 884:
#line 5811 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 34684 "preproc.c" /* yacc.c:1646  */
    break;

  case 885:
#line 5822 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34699 "preproc.c" /* yacc.c:1646  */
    break;

  case 886:
#line 5833 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34714 "preproc.c" /* yacc.c:1646  */
    break;

  case 887:
#line 5844 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34729 "preproc.c" /* yacc.c:1646  */
    break;

  case 888:
#line 5855 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34744 "preproc.c" /* yacc.c:1646  */
    break;

  case 889:
#line 5866 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34759 "preproc.c" /* yacc.c:1646  */
    break;

  case 890:
#line 5877 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34779 "preproc.c" /* yacc.c:1646  */
    break;

  case 891:
#line 5893 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34799 "preproc.c" /* yacc.c:1646  */
    break;

  case 892:
#line 5909 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34819 "preproc.c" /* yacc.c:1646  */
    break;

  case 893:
#line 5925 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34834 "preproc.c" /* yacc.c:1646  */
    break;

  case 894:
#line 5936 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34854 "preproc.c" /* yacc.c:1646  */
    break;

  case 895:
#line 5952 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34869 "preproc.c" /* yacc.c:1646  */
    break;

  case 896:
#line 5963 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34889 "preproc.c" /* yacc.c:1646  */
    break;

  case 897:
#line 5979 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34904 "preproc.c" /* yacc.c:1646  */
    break;

  case 898:
#line 5994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 34912 "preproc.c" /* yacc.c:1646  */
    break;

  case 899:
#line 5998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 34920 "preproc.c" /* yacc.c:1646  */
    break;

  case 900:
#line 6006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34928 "preproc.c" /* yacc.c:1646  */
    break;

  case 901:
#line 6010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34935 "preproc.c" /* yacc.c:1646  */
    break;

  case 902:
#line 6017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34943 "preproc.c" /* yacc.c:1646  */
    break;

  case 903:
#line 6025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34951 "preproc.c" /* yacc.c:1646  */
    break;

  case 904:
#line 6029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34959 "preproc.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34967 "preproc.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 34975 "preproc.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all privileges");
}
#line 34983 "preproc.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34991 "preproc.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34999 "preproc.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35007 "preproc.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35015 "preproc.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[0].str));
}
#line 35023 "preproc.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[0].str));
}
#line 35031 "preproc.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[0].str));
}
#line 35039 "preproc.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35047 "preproc.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35055 "preproc.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 35063 "preproc.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[0].str));
}
#line 35071 "preproc.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 35079 "preproc.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[0].str));
}
#line 35087 "preproc.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[0].str));
}
#line 35095 "preproc.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[0].str));
}
#line 35103 "preproc.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[0].str));
}
#line 35111 "preproc.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 35119 "preproc.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[0].str));
}
#line 35127 "preproc.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 35135 "preproc.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 35143 "preproc.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 35151 "preproc.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[0].str));
}
#line 35159 "preproc.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[0].str));
}
#line 35167 "preproc.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[0].str));
}
#line 35175 "preproc.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35183 "preproc.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35191 "preproc.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35199 "preproc.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[0].str));
}
#line 35207 "preproc.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with grant option");
}
#line 35215 "preproc.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35222 "preproc.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35230 "preproc.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35238 "preproc.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35246 "preproc.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35254 "preproc.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35262 "preproc.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35270 "preproc.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with admin option");
}
#line 35278 "preproc.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35285 "preproc.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[0].str));
}
#line 35293 "preproc.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35300 "preproc.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35308 "preproc.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35316 "preproc.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35323 "preproc.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[0].str));
}
#line 35331 "preproc.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[0].str));
}
#line 35339 "preproc.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[0].str));
}
#line 35347 "preproc.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35355 "preproc.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35363 "preproc.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35371 "preproc.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 35379 "preproc.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 35387 "preproc.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 35395 "preproc.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 35403 "preproc.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(14,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("index"),(yyvsp[-10].str),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35411 "preproc.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 35419 "preproc.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35426 "preproc.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 35434 "preproc.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35441 "preproc.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35449 "preproc.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35456 "preproc.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 35464 "preproc.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35471 "preproc.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35479 "preproc.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35487 "preproc.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35495 "preproc.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35503 "preproc.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35511 "preproc.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 35519 "preproc.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35526 "preproc.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35534 "preproc.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 35542 "preproc.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35549 "preproc.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 35557 "preproc.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 35565 "preproc.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35572 "preproc.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls first");
}
#line 35580 "preproc.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls last");
}
#line 35588 "preproc.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35595 "preproc.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("function"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("returns"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35603 "preproc.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("function"),(yyvsp[-8].str),(yyvsp[-7].str),mm_strdup("returns table ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35611 "preproc.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-5].str),mm_strdup("function"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35619 "preproc.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or replace");
}
#line 35627 "preproc.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35634 "preproc.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35642 "preproc.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 35650 "preproc.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35658 "preproc.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35666 "preproc.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35674 "preproc.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 35682 "preproc.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35690 "preproc.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35698 "preproc.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35706 "preproc.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35714 "preproc.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35722 "preproc.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35730 "preproc.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35738 "preproc.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 35746 "preproc.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 35754 "preproc.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 35762 "preproc.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in out");
}
#line 35770 "preproc.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 35778 "preproc.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35786 "preproc.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35794 "preproc.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35802 "preproc.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 35810 "preproc.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 35818 "preproc.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35826 "preproc.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("default"),(yyvsp[0].str));
}
#line 35834 "preproc.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 35842 "preproc.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6636 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = (yyvsp[0].str);
}
#line 35851 "preproc.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( * )");
}
#line 35859 "preproc.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35867 "preproc.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35875 "preproc.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-4].str),mm_strdup("order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35883 "preproc.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35891 "preproc.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35899 "preproc.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35907 "preproc.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35915 "preproc.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called on null input");
}
#line 35923 "preproc.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns null on null input");
}
#line 35931 "preproc.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 35939 "preproc.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 35947 "preproc.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 6705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 35955 "preproc.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 6709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 35963 "preproc.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 6713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security definer");
}
#line 35971 "preproc.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 6717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security invoker");
}
#line 35979 "preproc.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 6721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security definer");
}
#line 35987 "preproc.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 6725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security invoker");
}
#line 35995 "preproc.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 6729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 36003 "preproc.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 6733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not leakproof");
}
#line 36011 "preproc.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 6737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[0].str));
}
#line 36019 "preproc.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 6741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 36027 "preproc.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 6745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36035 "preproc.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 6753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 36043 "preproc.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 6757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 36051 "preproc.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 6761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 36059 "preproc.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 6765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36067 "preproc.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 6773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36075 "preproc.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 6777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36083 "preproc.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 6785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 36091 "preproc.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 6789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36098 "preproc.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 6796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36106 "preproc.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 6804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36114 "preproc.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 6808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36122 "preproc.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 6816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36130 "preproc.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 6824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36138 "preproc.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 6828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36146 "preproc.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 6836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 36154 "preproc.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 6840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36161 "preproc.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 6847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36169 "preproc.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 6851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36177 "preproc.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 6859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36185 "preproc.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 6863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36193 "preproc.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 6871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36201 "preproc.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 6875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36209 "preproc.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 6883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36217 "preproc.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 6887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36225 "preproc.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 6891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36233 "preproc.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 6895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-3].str),mm_strdup(", none )"));
}
#line 36241 "preproc.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 6903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36249 "preproc.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 6907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 36257 "preproc.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 6915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[0].str));
}
#line 36265 "preproc.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 6923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36273 "preproc.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 6927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36281 "preproc.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 6935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36289 "preproc.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 6939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 36297 "preproc.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 6947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[-7].str),mm_strdup("as"),(yyvsp[-5].str),mm_strdup(") with function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36305 "preproc.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 6951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") without function"),(yyvsp[0].str));
}
#line 36313 "preproc.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 6955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") with inout"),(yyvsp[0].str));
}
#line 36321 "preproc.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 6963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as implicit");
}
#line 36329 "preproc.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 6967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as assignment");
}
#line 36337 "preproc.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 6971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36344 "preproc.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 6978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup("as"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 36352 "preproc.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 6986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if exists");
}
#line 36360 "preproc.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 6990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36367 "preproc.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 6997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reindex"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36375 "preproc.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 7001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex system"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36383 "preproc.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 7005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36391 "preproc.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 7013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 36399 "preproc.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 7017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 36407 "preproc.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 7025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 36415 "preproc.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 7029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36422 "preproc.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 7036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 36430 "preproc.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 7040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 36438 "preproc.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 7048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36446 "preproc.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36454 "preproc.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36462 "preproc.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36470 "preproc.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36478 "preproc.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 36486 "preproc.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36494 "preproc.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36502 "preproc.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36510 "preproc.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36518 "preproc.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36526 "preproc.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36534 "preproc.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36542 "preproc.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36550 "preproc.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36558 "preproc.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36566 "preproc.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36574 "preproc.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36582 "preproc.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36590 "preproc.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36598 "preproc.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36606 "preproc.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36614 "preproc.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36622 "preproc.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36630 "preproc.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36638 "preproc.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36646 "preproc.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 36654 "preproc.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 36662 "preproc.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 36670 "preproc.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 36678 "preproc.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 36686 "preproc.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 36694 "preproc.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 36702 "preproc.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter rule"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36710 "preproc.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36718 "preproc.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36726 "preproc.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36734 "preproc.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36742 "preproc.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36750 "preproc.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36758 "preproc.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36766 "preproc.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36774 "preproc.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36782 "preproc.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 36790 "preproc.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("rename attribute"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36798 "preproc.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 36806 "preproc.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36813 "preproc.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set data");
}
#line 36821 "preproc.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36828 "preproc.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36836 "preproc.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36844 "preproc.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36852 "preproc.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36860 "preproc.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36868 "preproc.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36876 "preproc.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36884 "preproc.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36892 "preproc.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36900 "preproc.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36908 "preproc.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36916 "preproc.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36924 "preproc.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36932 "preproc.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36940 "preproc.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36948 "preproc.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36956 "preproc.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36964 "preproc.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36972 "preproc.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36980 "preproc.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36988 "preproc.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36996 "preproc.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 37004 "preproc.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 37012 "preproc.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 37020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37028 "preproc.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37036 "preproc.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37060 "preproc.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 7374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37068 "preproc.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 7378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37076 "preproc.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37084 "preproc.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 7386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37092 "preproc.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37100 "preproc.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37108 "preproc.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37116 "preproc.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37124 "preproc.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 7406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37132 "preproc.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 7410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37140 "preproc.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 7414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37148 "preproc.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 7418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37156 "preproc.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 7422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37164 "preproc.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 7426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 37172 "preproc.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 7434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("rule"),(yyvsp[-9].str),mm_strdup("as on"),(yyvsp[-6].str),mm_strdup("to"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("do"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37180 "preproc.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 7442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 37188 "preproc.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 7446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37196 "preproc.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 7450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37204 "preproc.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 7458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(";"),(yyvsp[0].str));
}
#line 37212 "preproc.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 7462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37220 "preproc.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 7470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37228 "preproc.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 7474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37236 "preproc.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 7478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37244 "preproc.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 7482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37252 "preproc.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 7486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37260 "preproc.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 7494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37268 "preproc.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 7498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37275 "preproc.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 7505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 37283 "preproc.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 7509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 37291 "preproc.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 7513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 37299 "preproc.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 7517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 37307 "preproc.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 7525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 37315 "preproc.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 7529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 37323 "preproc.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 7533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37330 "preproc.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 7540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37338 "preproc.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 7544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37346 "preproc.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 7552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37354 "preproc.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 7560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[0].str));
}
#line 37362 "preproc.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 7564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37369 "preproc.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 7571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[0].str));
}
#line 37377 "preproc.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 7579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[0].str));
}
#line 37385 "preproc.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 7583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten *");
}
#line 37393 "preproc.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 7591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[0].str));
}
#line 37401 "preproc.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 7595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37409 "preproc.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 7599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[0].str));
}
#line 37417 "preproc.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 7603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[0].str));
}
#line 37425 "preproc.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 7607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[0].str));
}
#line 37433 "preproc.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 7611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[0].str));
}
#line 37441 "preproc.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 7615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[0].str));
}
#line 37449 "preproc.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 7619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[0].str));
}
#line 37457 "preproc.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 7623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[0].str));
}
#line 37465 "preproc.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 7627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-3].str),mm_strdup("to savepoint"),(yyvsp[0].str));
}
#line 37473 "preproc.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 7631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 37481 "preproc.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 7635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[0].str));
}
#line 37489 "preproc.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 7639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[0].str));
}
#line 37497 "preproc.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 7643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[0].str));
}
#line 37505 "preproc.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 7651 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 37513 "preproc.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 7655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 37521 "preproc.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 7659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37528 "preproc.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 7666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[0].str));
}
#line 37536 "preproc.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 7670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read only");
}
#line 37544 "preproc.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 7674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read write");
}
#line 37552 "preproc.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 7678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 37560 "preproc.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 7682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 37568 "preproc.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 7690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37576 "preproc.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 7694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37584 "preproc.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 7698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37592 "preproc.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 7706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37600 "preproc.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 7710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37607 "preproc.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 7717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37615 "preproc.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 7721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37623 "preproc.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 7725 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37632 "preproc.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 7730 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create or replace"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37641 "preproc.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 7739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with check option");
}
#line 37649 "preproc.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 7743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with cascaded check option");
}
#line 37657 "preproc.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 7747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with local check option");
}
#line 37665 "preproc.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 7751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37672 "preproc.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 7758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[0].str));
}
#line 37680 "preproc.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 7766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37688 "preproc.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 7774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37696 "preproc.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 7778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37703 "preproc.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 7785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37711 "preproc.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 7789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 37719 "preproc.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 7793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37727 "preproc.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 7797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 37735 "preproc.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 7801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37743 "preproc.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 7805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 37751 "preproc.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 7809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37759 "preproc.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 7813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37767 "preproc.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 7817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 37775 "preproc.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 7821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37783 "preproc.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 7825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 37791 "preproc.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 7829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37799 "preproc.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 7833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 37807 "preproc.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 7837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37815 "preproc.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 7841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37823 "preproc.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 7845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 37831 "preproc.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 7853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 37839 "preproc.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 7857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37846 "preproc.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 7864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37854 "preproc.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 7868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 37862 "preproc.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 7876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37870 "preproc.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 7884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37878 "preproc.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 7888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37885 "preproc.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 7895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37893 "preproc.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 7903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[0].str));
}
#line 37901 "preproc.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 7907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[0].str));
}
#line 37909 "preproc.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 7915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system set"),(yyvsp[0].str));
}
#line 37917 "preproc.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 7919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system reset"),(yyvsp[0].str));
}
#line 37925 "preproc.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 7927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37933 "preproc.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 7935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37941 "preproc.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 7939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 37949 "preproc.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 7943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 37957 "preproc.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 7947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 37965 "preproc.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 7951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-4].str),mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37973 "preproc.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 7955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-6].str),mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37981 "preproc.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 7959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 37989 "preproc.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 7967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 37997 "preproc.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 7971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38004 "preproc.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 7978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38012 "preproc.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 7986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("add mapping for"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 38020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 7990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping for"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 38028 "preproc.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 7994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping replace"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 38036 "preproc.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 7998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[-8].str),mm_strdup("alter mapping for"),(yyvsp[-4].str),mm_strdup("replace"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 38044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 8002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-4].str),mm_strdup("drop mapping for"),(yyvsp[0].str));
}
#line 38052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("drop mapping if exists for"),(yyvsp[0].str));
}
#line 38060 "preproc.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("conversion"),(yyvsp[-6].str),mm_strdup("for"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 38068 "preproc.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38076 "preproc.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[0].str));
}
#line 38084 "preproc.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("on"),(yyvsp[0].str));
}
#line 38092 "preproc.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 38100 "preproc.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38107 "preproc.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38115 "preproc.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38123 "preproc.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38131 "preproc.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("vacuum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38139 "preproc.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38147 "preproc.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38155 "preproc.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38163 "preproc.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38171 "preproc.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 38179 "preproc.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 38187 "preproc.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 38195 "preproc.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38203 "preproc.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 8109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38211 "preproc.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 8117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 38219 "preproc.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 8121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 38227 "preproc.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 8129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 38235 "preproc.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 8133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38242 "preproc.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 8140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 38250 "preproc.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 8144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38257 "preproc.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 8151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 38265 "preproc.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 8155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38272 "preproc.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 8162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38280 "preproc.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 8166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38287 "preproc.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 8173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[0].str));
}
#line 38295 "preproc.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 8177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38303 "preproc.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 8181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[0].str));
}
#line 38311 "preproc.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 8185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 38319 "preproc.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 8193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38327 "preproc.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 8197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38335 "preproc.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 8201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38343 "preproc.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 8205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38351 "preproc.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 8209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38359 "preproc.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 8213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38367 "preproc.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 8217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38375 "preproc.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 8221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38383 "preproc.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 8225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38391 "preproc.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 8233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38399 "preproc.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 8237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38407 "preproc.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 8245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38415 "preproc.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 8253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38423 "preproc.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 8257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38431 "preproc.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 8265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38439 "preproc.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 8269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38447 "preproc.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 8273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38454 "preproc.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 8280 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-3].str);
		(yyval.prep).type = (yyvsp[-2].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
	}
#line 38464 "preproc.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 8286 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-2].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[0].str);
	}
#line 38474 "preproc.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 8296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38482 "preproc.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 8300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38489 "preproc.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 8307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38497 "preproc.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 8311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38505 "preproc.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 8315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38513 "preproc.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 8319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38521 "preproc.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 8327 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-2].str); }
#line 38527 "preproc.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 8329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("table"),(yyvsp[-5].str),mm_strdup("as execute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38535 "preproc.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 8337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38543 "preproc.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 8341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38550 "preproc.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 8348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("insert into"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38558 "preproc.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 8356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38566 "preproc.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 8360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 38574 "preproc.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 8364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default values");
}
#line 38582 "preproc.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 8372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38590 "preproc.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 8376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38598 "preproc.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 8384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38606 "preproc.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 8392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[-1].str));
}
#line 38614 "preproc.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 8396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38621 "preproc.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 8403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("delete from"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38629 "preproc.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 8411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 38637 "preproc.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 8415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38644 "preproc.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 8422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38652 "preproc.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 8430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[-1].str),mm_strdup("mode"));
}
#line 38660 "preproc.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 8434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38667 "preproc.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 8441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access share");
}
#line 38675 "preproc.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 8445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row share");
}
#line 38683 "preproc.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 8449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row exclusive");
}
#line 38691 "preproc.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 8453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share update exclusive");
}
#line 38699 "preproc.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 8457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 38707 "preproc.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 8461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share row exclusive");
}
#line 38715 "preproc.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 8465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 38723 "preproc.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 8469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access exclusive");
}
#line 38731 "preproc.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 8477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 38739 "preproc.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 8481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38746 "preproc.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 8488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,(yyvsp[-7].str),mm_strdup("update"),(yyvsp[-5].str),mm_strdup("set"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38754 "preproc.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 8496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38762 "preproc.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 8500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38770 "preproc.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 8508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38778 "preproc.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 8512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38786 "preproc.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 8520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 38794 "preproc.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 8528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 38802 "preproc.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 8536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38810 "preproc.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 8544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38818 "preproc.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 8548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38826 "preproc.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 8556 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
			{
				if ((yyvsp[-5].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[-5].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for"), (yyvsp[0].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
#line 38879 "preproc.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 8609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38887 "preproc.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 8613 "preproc.y" /* yacc.c:1646  */
    {
			char *curname = mm_alloc(strlen((yyvsp[0].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[0].str));
			free((yyvsp[0].str));
			(yyvsp[0].str) = curname;
			(yyval.str) = (yyvsp[0].str);
		}
#line 38899 "preproc.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 8625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38906 "preproc.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 8628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("no scroll"));
}
#line 38914 "preproc.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 8632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("scroll"));
}
#line 38922 "preproc.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 8636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("binary"));
}
#line 38930 "preproc.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 8640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("insensitive"));
}
#line 38938 "preproc.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 8648 "preproc.y" /* yacc.c:1646  */
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	}
#line 38949 "preproc.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 8655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with hold");
}
#line 38957 "preproc.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 8659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without hold");
}
#line 38965 "preproc.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 8667 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38973 "preproc.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 8671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38981 "preproc.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 8679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38989 "preproc.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 8683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38997 "preproc.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 8691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39005 "preproc.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 8695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39013 "preproc.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 8699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39021 "preproc.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 8703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39029 "preproc.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 8707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39037 "preproc.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 8711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39045 "preproc.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 8715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39053 "preproc.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 8719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39061 "preproc.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 8727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39069 "preproc.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 8731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39077 "preproc.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 8739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39085 "preproc.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 8743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39093 "preproc.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 8747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 39101 "preproc.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 8751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("union"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39109 "preproc.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 8755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("intersect"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39117 "preproc.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 8759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("except"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39125 "preproc.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 8767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 39133 "preproc.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 8771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[0].str));
}
#line 39141 "preproc.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 8779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39149 "preproc.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 8783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39157 "preproc.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 8791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39165 "preproc.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 8799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39173 "preproc.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 8803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39180 "preproc.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 8810 "preproc.y" /* yacc.c:1646  */
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[0].str));
					}
#line 39189 "preproc.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 8814 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 39195 "preproc.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 8816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39202 "preproc.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 8823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39210 "preproc.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 8827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39218 "preproc.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 8831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39226 "preproc.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 8835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39234 "preproc.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 8839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39242 "preproc.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 8843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39250 "preproc.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 8847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39258 "preproc.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 8851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 39266 "preproc.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 8855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39274 "preproc.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 8863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 39282 "preproc.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 8867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39289 "preproc.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 8874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 39297 "preproc.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 8878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 39305 "preproc.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 8882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39312 "preproc.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 8889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 39320 "preproc.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 8893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39328 "preproc.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 8897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 39336 "preproc.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 8901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39343 "preproc.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 8908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39351 "preproc.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 8912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39358 "preproc.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 8919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[0].str));
}
#line 39366 "preproc.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 8927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39374 "preproc.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 8931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39382 "preproc.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 8939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39390 "preproc.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 8943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39398 "preproc.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 8951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39406 "preproc.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 8955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39414 "preproc.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 8959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39422 "preproc.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 8963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39430 "preproc.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 8971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39438 "preproc.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 8975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 8982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[0].str));
}
#line 39453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 8986 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
	}
#line 39462 "preproc.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 8991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 39470 "preproc.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 8999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[0].str));
}
#line 39478 "preproc.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 9003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39486 "preproc.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 9011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39494 "preproc.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 9015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 39502 "preproc.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 9023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39510 "preproc.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 9031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39518 "preproc.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 9035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39526 "preproc.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 9039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39533 "preproc.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 9046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39541 "preproc.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 9054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 39549 "preproc.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 9058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 39557 "preproc.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 9066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 39565 "preproc.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 9070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 39573 "preproc.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 9078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[0].str));
}
#line 39581 "preproc.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 9082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39588 "preproc.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 9089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[0].str));
}
#line 39596 "preproc.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 9093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39603 "preproc.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 9100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39611 "preproc.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 9104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for read only");
}
#line 39619 "preproc.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 9112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39627 "preproc.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 9116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39634 "preproc.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 9123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39642 "preproc.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 9127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39650 "preproc.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 9135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39658 "preproc.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 9143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for update");
}
#line 39666 "preproc.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 9147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for no key update");
}
#line 39674 "preproc.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 9151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for share");
}
#line 39682 "preproc.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 9155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for key share");
}
#line 39690 "preproc.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 9163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 39698 "preproc.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 9167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39705 "preproc.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 9174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("values"),(yyvsp[0].str));
}
#line 39713 "preproc.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 9178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39721 "preproc.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 9186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 39729 "preproc.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 9190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39736 "preproc.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 9197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39744 "preproc.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 9201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39752 "preproc.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 9209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39760 "preproc.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 9213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39768 "preproc.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 9217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39776 "preproc.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 9221 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39787 "preproc.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 9228 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39798 "preproc.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 9235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39806 "preproc.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 9239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39814 "preproc.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 9247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39822 "preproc.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 9251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("cross join"),(yyvsp[0].str));
}
#line 39830 "preproc.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 9255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39838 "preproc.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 9259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39846 "preproc.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 9263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("natural"),(yyvsp[-2].str),mm_strdup("join"),(yyvsp[0].str));
}
#line 39854 "preproc.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 9267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("natural join"),(yyvsp[0].str));
}
#line 39862 "preproc.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 9275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39870 "preproc.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 9279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 39878 "preproc.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 9283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39886 "preproc.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 9287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39894 "preproc.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 9295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39902 "preproc.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 9299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39909 "preproc.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 9306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39917 "preproc.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 9310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39925 "preproc.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 9314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39933 "preproc.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 9318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39941 "preproc.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 9322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39948 "preproc.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 9329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[0].str));
}
#line 39956 "preproc.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 9333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[0].str));
}
#line 39964 "preproc.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 9337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[0].str));
}
#line 39972 "preproc.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 9341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 39980 "preproc.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 9349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 39988 "preproc.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 9353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39995 "preproc.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 9360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40003 "preproc.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 9364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[0].str));
}
#line 40011 "preproc.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 9372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40019 "preproc.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 9376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("*"));
}
#line 40027 "preproc.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 9380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[0].str));
}
#line 40035 "preproc.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 9384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40043 "preproc.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 9392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40051 "preproc.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 9396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40059 "preproc.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 9404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40067 "preproc.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 9408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40075 "preproc.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 9412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 40083 "preproc.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 9420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40091 "preproc.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 9424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rows from ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40099 "preproc.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 9432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40107 "preproc.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 9440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40115 "preproc.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 9444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40123 "preproc.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 9452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40131 "preproc.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 9456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40138 "preproc.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 9463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with ordinality");
}
#line 40146 "preproc.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 9467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40153 "preproc.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 9474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 40161 "preproc.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 9478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40168 "preproc.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 9485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 40176 "preproc.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 9489 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	}
#line 40185 "preproc.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 9494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40192 "preproc.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 9501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40200 "preproc.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 9505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40207 "preproc.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 9512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40215 "preproc.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 9516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40223 "preproc.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 9524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40231 "preproc.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 9532 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].index).str); }
#line 40237 "preproc.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 9534 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[-1].str), (yyvsp[0].index).str); }
#line 40243 "preproc.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 9536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 40251 "preproc.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 9540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 40259 "preproc.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 9544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("array"));
}
#line 40267 "preproc.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 9548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[-1].str),mm_strdup("array"));
}
#line 40275 "preproc.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 9556 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-2].index).index1;
		(yyval.index).index2 = (yyvsp[-2].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[-2].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[-2].index).str, mm_strdup("[]"));
	}
#line 40289 "preproc.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 9566 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-3].index).index1;
		(yyval.index).index2 = (yyvsp[-3].index).index2;
		if (strcmp((yyvsp[-3].index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup((yyvsp[-1].str));
		else if (strcmp((yyvsp[-3].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup((yyvsp[-1].str));
		(yyval.index).str = cat_str(4, (yyvsp[-3].index).str, mm_strdup("["), (yyvsp[-1].str), mm_strdup("]"));
	}
#line 40303 "preproc.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 9576 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	}
#line 40313 "preproc.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 9586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40321 "preproc.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 9590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40329 "preproc.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 9594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40337 "preproc.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 9598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40345 "preproc.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 9602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40353 "preproc.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 9606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40361 "preproc.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 9610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40369 "preproc.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 9618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40377 "preproc.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 9622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40385 "preproc.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 9626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40393 "preproc.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 9630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40401 "preproc.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 9638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40409 "preproc.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 9642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40417 "preproc.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 9650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40425 "preproc.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 9654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40432 "preproc.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 9661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("int");
}
#line 40440 "preproc.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 9665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 40448 "preproc.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 9669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 40456 "preproc.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 9673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 40464 "preproc.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 9677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 40472 "preproc.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 9681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[0].str));
}
#line 40480 "preproc.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 9685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double precision");
}
#line 40488 "preproc.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 9689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[0].str));
}
#line 40496 "preproc.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 9693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[0].str));
}
#line 40504 "preproc.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 9697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[0].str));
}
#line 40512 "preproc.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 9701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 40520 "preproc.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 9709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40528 "preproc.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 9713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40535 "preproc.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 9720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40543 "preproc.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 9724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40551 "preproc.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 9732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40559 "preproc.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 9736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40567 "preproc.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 9744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40575 "preproc.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 9752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[0].str));
}
#line 40583 "preproc.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 9760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40591 "preproc.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 9764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40599 "preproc.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 9772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40607 "preproc.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 9776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40615 "preproc.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 9784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40623 "preproc.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 9792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40631 "preproc.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 9800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[0].str));
}
#line 40639 "preproc.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 9804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[0].str));
}
#line 40647 "preproc.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 9808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 40655 "preproc.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 9812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[0].str));
}
#line 40663 "preproc.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 9816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[0].str));
}
#line 40671 "preproc.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 9820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[0].str));
}
#line 40679 "preproc.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 9828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 40687 "preproc.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 9832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40694 "preproc.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 9839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character set"),(yyvsp[0].str));
}
#line 40702 "preproc.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 9843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40709 "preproc.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 9850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40717 "preproc.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 9854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[0].str));
}
#line 40725 "preproc.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 9858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40733 "preproc.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 9862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[0].str));
}
#line 40741 "preproc.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 9870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 40749 "preproc.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 9878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with time zone");
}
#line 40757 "preproc.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 9882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without time zone");
}
#line 40765 "preproc.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 9886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40772 "preproc.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 9893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 40780 "preproc.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 9897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 40788 "preproc.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 9901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 40796 "preproc.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 9905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 40804 "preproc.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 9909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 40812 "preproc.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 9913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40820 "preproc.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 9917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year to month");
}
#line 40828 "preproc.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 9921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to hour");
}
#line 40836 "preproc.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 9925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to minute");
}
#line 40844 "preproc.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 9929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[0].str));
}
#line 40852 "preproc.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 9933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour to minute");
}
#line 40860 "preproc.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 9937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[0].str));
}
#line 40868 "preproc.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 9941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[0].str));
}
#line 40876 "preproc.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 9945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40883 "preproc.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 9952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 40891 "preproc.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 9956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40899 "preproc.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 9964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40907 "preproc.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 9968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 40915 "preproc.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 9972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("collate"),(yyvsp[0].str));
}
#line 40923 "preproc.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 9976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("at time zone"),(yyvsp[0].str));
}
#line 40931 "preproc.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 9980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 40939 "preproc.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 9984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 40947 "preproc.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 9988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 40955 "preproc.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 9992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 40963 "preproc.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 9996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 40971 "preproc.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 10000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 40979 "preproc.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 10004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 40987 "preproc.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 10008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 40995 "preproc.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 10012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 41003 "preproc.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 10016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 41011 "preproc.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 10020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 41019 "preproc.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 10024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41027 "preproc.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 10028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41035 "preproc.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 10032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41043 "preproc.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 10036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 41051 "preproc.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 10040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 41059 "preproc.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 10044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 41067 "preproc.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 10048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("like"),(yyvsp[0].str));
}
#line 41075 "preproc.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 10052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 41083 "preproc.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 10056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not like"),(yyvsp[0].str));
}
#line 41091 "preproc.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 10060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 41099 "preproc.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 10064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("ilike"),(yyvsp[0].str));
}
#line 41107 "preproc.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 10068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 41115 "preproc.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 10072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not ilike"),(yyvsp[0].str));
}
#line 41123 "preproc.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 10076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 41131 "preproc.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 10080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("similar to"),(yyvsp[0].str));
}
#line 41139 "preproc.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 10084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 41147 "preproc.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 10088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("not similar to"),(yyvsp[0].str));
}
#line 41155 "preproc.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 10092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 41163 "preproc.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 10096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is null"));
}
#line 41171 "preproc.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 10100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("isnull"));
}
#line 41179 "preproc.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 10104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not null"));
}
#line 41187 "preproc.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 10108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("notnull"));
}
#line 41195 "preproc.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 10112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("overlaps"),(yyvsp[0].str));
}
#line 41203 "preproc.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 10116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is true"));
}
#line 41211 "preproc.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 10120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not true"));
}
#line 41219 "preproc.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 10124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is false"));
}
#line 41227 "preproc.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 10128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not false"));
}
#line 41235 "preproc.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 10132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is unknown"));
}
#line 41243 "preproc.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 10136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not unknown"));
}
#line 41251 "preproc.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 10140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 41259 "preproc.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 10144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 41267 "preproc.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 10148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41275 "preproc.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 10152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41283 "preproc.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 10156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 41291 "preproc.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 10160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("not between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 41299 "preproc.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 10164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 41307 "preproc.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 10168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 41315 "preproc.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 10172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 41323 "preproc.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 10176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not in"),(yyvsp[0].str));
}
#line 41331 "preproc.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 10180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41339 "preproc.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 10184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41347 "preproc.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 10188 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[0].str));
}
#line 41356 "preproc.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 10193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 41364 "preproc.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 10197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 41372 "preproc.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 10205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41380 "preproc.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 10209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 41388 "preproc.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 10213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 41396 "preproc.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 10217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 41404 "preproc.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 10221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 41412 "preproc.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 10225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 41420 "preproc.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 10229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 41428 "preproc.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 10233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 41436 "preproc.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 10237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 41444 "preproc.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 10241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 41452 "preproc.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 10245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 41460 "preproc.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 10249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 41468 "preproc.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 10253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 41476 "preproc.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 10257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41484 "preproc.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 10261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41492 "preproc.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 10265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41500 "preproc.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 10269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 41508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 10273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 41516 "preproc.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 10277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41524 "preproc.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 10281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41532 "preproc.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 10285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 41540 "preproc.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 10289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 41548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 10297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 10301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 10305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41572 "preproc.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 10309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 41580 "preproc.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 10313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41588 "preproc.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 10317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41596 "preproc.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 10321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41604 "preproc.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 10325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41612 "preproc.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 10329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[0].str));
}
#line 41620 "preproc.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 10333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 41628 "preproc.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 10337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 41636 "preproc.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 10341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41644 "preproc.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 10349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("( )"));
}
#line 41652 "preproc.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 10353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41660 "preproc.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 10357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41668 "preproc.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 10361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(", variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41676 "preproc.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 10365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( all"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41684 "preproc.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 10369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( distinct"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41692 "preproc.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 10373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("( * )"));
}
#line 41700 "preproc.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 10381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41708 "preproc.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 10385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41716 "preproc.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 10393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41724 "preproc.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 10397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41732 "preproc.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 10405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41740 "preproc.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 10409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 41748 "preproc.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 10413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 41756 "preproc.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 10417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41764 "preproc.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 10421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 41772 "preproc.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 10425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41780 "preproc.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 10429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 41788 "preproc.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 10433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41796 "preproc.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 10437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 41804 "preproc.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 10441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41812 "preproc.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 10445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 41820 "preproc.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 10449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 41828 "preproc.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 10453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 41836 "preproc.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 10457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 41844 "preproc.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 10461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 41852 "preproc.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 10465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 41860 "preproc.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 10469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41868 "preproc.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 10473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41876 "preproc.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 10477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41884 "preproc.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 10481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41892 "preproc.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 10485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41900 "preproc.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 10489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41908 "preproc.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 10493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41916 "preproc.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 10497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41924 "preproc.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 10501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41932 "preproc.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 10505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41940 "preproc.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 10509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41948 "preproc.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 10513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41956 "preproc.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 10517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41964 "preproc.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 10521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41972 "preproc.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 10525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41980 "preproc.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 10529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41988 "preproc.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 10533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41996 "preproc.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 10537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42004 "preproc.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 10541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[-5].str),mm_strdup(","),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42012 "preproc.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 10545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 10549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42028 "preproc.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 10553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42036 "preproc.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 10557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 10561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 10565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[-4].str),mm_strdup(","),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42060 "preproc.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 10569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42068 "preproc.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 10577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 42076 "preproc.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 10581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version no value");
}
#line 42084 "preproc.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 10589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone yes");
}
#line 42092 "preproc.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 10593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no");
}
#line 42100 "preproc.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 10597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no value");
}
#line 42108 "preproc.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 10601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42115 "preproc.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 10608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42123 "preproc.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 10616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42131 "preproc.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 10620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42139 "preproc.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 10628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 42147 "preproc.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 10632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42155 "preproc.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 10640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 42163 "preproc.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 10644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 42171 "preproc.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 10652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
}
#line 42179 "preproc.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 10656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip whitespace");
}
#line 42187 "preproc.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 10660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42194 "preproc.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 10667 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[0].str));
}
#line 42202 "preproc.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 10671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 42210 "preproc.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 10675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[0].str));
}
#line 42218 "preproc.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 10679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 42226 "preproc.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 10687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("within group ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42234 "preproc.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 10691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42241 "preproc.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 10698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("filter ( where"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42249 "preproc.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 10702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42256 "preproc.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 10709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[0].str));
}
#line 42264 "preproc.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 10713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42271 "preproc.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 10720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42279 "preproc.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 10724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42287 "preproc.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 10732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 42295 "preproc.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 10740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 42303 "preproc.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 10744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 42311 "preproc.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 10748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42318 "preproc.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 10755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42326 "preproc.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 10763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42334 "preproc.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 10767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42341 "preproc.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 10774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[0].str));
}
#line 42349 "preproc.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 10778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42356 "preproc.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 10785 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("range"),(yyvsp[0].str));
}
#line 42365 "preproc.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 10790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 42373 "preproc.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 10794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42380 "preproc.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 10801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42388 "preproc.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 10805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 42396 "preproc.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 10813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
}
#line 42404 "preproc.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 10817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded following");
}
#line 42412 "preproc.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 10821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current row");
}
#line 42420 "preproc.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 10825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("preceding"));
}
#line 42428 "preproc.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 10829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("following"));
}
#line 42436 "preproc.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 10837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42444 "preproc.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 10841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 42452 "preproc.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 10845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42460 "preproc.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 10853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 42468 "preproc.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 10857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 42476 "preproc.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 10861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 42484 "preproc.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 10869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42492 "preproc.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 10873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42500 "preproc.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 10881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("+");
}
#line 42508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 10885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("-");
}
#line 42516 "preproc.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 10889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 42524 "preproc.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 10893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("/");
}
#line 42532 "preproc.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 10897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("%");
}
#line 42540 "preproc.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 10901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("^");
}
#line 42548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 10905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<");
}
#line 42556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 10909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">");
}
#line 42564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 10913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 42572 "preproc.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 10921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42580 "preproc.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 10925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42588 "preproc.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 10933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42596 "preproc.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 10937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42604 "preproc.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 10945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42612 "preproc.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 10949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42620 "preproc.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 10953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 42628 "preproc.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 10957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not like");
}
#line 42636 "preproc.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 10961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 42644 "preproc.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 10965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not ilike");
}
#line 42652 "preproc.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 10973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42660 "preproc.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 10977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42668 "preproc.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 10985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42676 "preproc.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 10989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42684 "preproc.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 10997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42692 "preproc.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 11001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(":="),(yyvsp[0].str));
}
#line 42700 "preproc.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 11009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42708 "preproc.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 11013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42716 "preproc.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 11021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 42724 "preproc.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 11025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 42732 "preproc.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 11029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("[ ]");
}
#line 42740 "preproc.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 11037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42748 "preproc.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 11041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42756 "preproc.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 11049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 42764 "preproc.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 11053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42771 "preproc.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 11060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42779 "preproc.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 11064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 42787 "preproc.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 11068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 42795 "preproc.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 11072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 42803 "preproc.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 11076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 42811 "preproc.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 11080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 42819 "preproc.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 11084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 42827 "preproc.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 11088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42835 "preproc.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 11096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42843 "preproc.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 11100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42851 "preproc.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 11108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[0].str));
}
#line 42859 "preproc.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 11116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 42867 "preproc.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 11120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42874 "preproc.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 11127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42882 "preproc.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 11131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42890 "preproc.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 11135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42898 "preproc.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 11139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42906 "preproc.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 11143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42914 "preproc.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 11147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42921 "preproc.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 11154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 42929 "preproc.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 11162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 42937 "preproc.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 11170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 42945 "preproc.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 11174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 42953 "preproc.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 11178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42961 "preproc.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 11186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42969 "preproc.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 11190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42977 "preproc.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 11198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("end"));
}
#line 42985 "preproc.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 11206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42993 "preproc.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 11210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43001 "preproc.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 11218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 43009 "preproc.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 11226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[0].str));
}
#line 43017 "preproc.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 11230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43024 "preproc.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 11237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43032 "preproc.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 11241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43039 "preproc.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 11248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43047 "preproc.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 11252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43055 "preproc.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 11260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 43063 "preproc.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 11264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(". *");
}
#line 43071 "preproc.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 11268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 43079 "preproc.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 11272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[-3].str),mm_strdup(":"),(yyvsp[-1].str),mm_strdup("]"));
}
#line 43087 "preproc.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 11280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43095 "preproc.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 11284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43103 "preproc.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 11292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43110 "preproc.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 11295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43118 "preproc.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 11303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 43126 "preproc.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 11307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43133 "preproc.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 11314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43141 "preproc.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 11318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 43149 "preproc.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 11326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43157 "preproc.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 11330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43165 "preproc.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 11338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43173 "preproc.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 11346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43181 "preproc.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 11350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43188 "preproc.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 11357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43196 "preproc.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 11361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43204 "preproc.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 11369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 43212 "preproc.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 11373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43220 "preproc.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 11377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43228 "preproc.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 11381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 43236 "preproc.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 11389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43244 "preproc.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 11393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43252 "preproc.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 11401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43260 "preproc.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 11405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43268 "preproc.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 11413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43276 "preproc.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 11417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43284 "preproc.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 11425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43292 "preproc.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 11433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43300 "preproc.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 11441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43308 "preproc.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 11449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43316 "preproc.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 11457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43324 "preproc.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 11465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43332 "preproc.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 11473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43340 "preproc.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 11477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43348 "preproc.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 11485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43356 "preproc.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 11489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43364 "preproc.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 11493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43372 "preproc.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 11497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43380 "preproc.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 11501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xconst");
}
#line 43388 "preproc.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 11505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43396 "preproc.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 11509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43404 "preproc.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 11513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43412 "preproc.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 11517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43420 "preproc.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 11521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43428 "preproc.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 11525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 43436 "preproc.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 11529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 43444 "preproc.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 11533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 43452 "preproc.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 11536 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43458 "preproc.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 11537 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43464 "preproc.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 11543 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 43470 "preproc.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 11549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43478 "preproc.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 11557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43486 "preproc.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 11561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43494 "preproc.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 11569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43502 "preproc.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 11572 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 11574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 43516 "preproc.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 11578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 43524 "preproc.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 11586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43532 "preproc.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 11590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43540 "preproc.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 11594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 11598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 11606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("abort");
}
#line 43564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 11610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absolute");
}
#line 43572 "preproc.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 11614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access");
}
#line 43580 "preproc.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 11618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("action");
}
#line 43588 "preproc.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 11622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 43596 "preproc.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 11626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("admin");
}
#line 43604 "preproc.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 11630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 43612 "preproc.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 11634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("aggregate");
}
#line 43620 "preproc.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 11638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 43628 "preproc.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 11642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("alter");
}
#line 43636 "preproc.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 11646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 43644 "preproc.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 11650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assertion");
}
#line 43652 "preproc.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 11654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assignment");
}
#line 43660 "preproc.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 11658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("at");
}
#line 43668 "preproc.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 11662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attribute");
}
#line 43676 "preproc.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 11666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("backward");
}
#line 43684 "preproc.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 11670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 43692 "preproc.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 11674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("begin");
}
#line 43700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 11678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 43708 "preproc.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 11682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cache");
}
#line 43716 "preproc.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 11686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called");
}
#line 43724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 11690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 43732 "preproc.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 11694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascaded");
}
#line 43740 "preproc.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 11698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("catalog");
}
#line 43748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 11702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("chain");
}
#line 43756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 11706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("characteristics");
}
#line 43764 "preproc.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 11710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 43772 "preproc.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 11714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("class");
}
#line 43780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 11718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close");
}
#line 43788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 11722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cluster");
}
#line 43796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 11726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comment");
}
#line 43804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 11730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 43812 "preproc.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 11734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("commit");
}
#line 43820 "preproc.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 11738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("committed");
}
#line 43828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 11742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("configuration");
}
#line 43836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 11746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 43844 "preproc.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 11750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 43852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 11754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue");
}
#line 43860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 11758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 43868 "preproc.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 11762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("copy");
}
#line 43876 "preproc.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 11766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cost");
}
#line 43884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 11770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 43892 "preproc.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 11774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cursor");
}
#line 43900 "preproc.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 11778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 43908 "preproc.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 11782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("data");
}
#line 43916 "preproc.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 11786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 43924 "preproc.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 11790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deallocate");
}
#line 43932 "preproc.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 11794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("declare");
}
#line 43940 "preproc.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 11798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 43948 "preproc.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 11802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 43956 "preproc.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 11806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("definer");
}
#line 43964 "preproc.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 11810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 43972 "preproc.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 11814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiter");
}
#line 43980 "preproc.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 11818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiters");
}
#line 43988 "preproc.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 11822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dictionary");
}
#line 43996 "preproc.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 11826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 44004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 11830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard");
}
#line 44012 "preproc.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 11834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 44020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 11838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 44028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 11842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double");
}
#line 44036 "preproc.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 11846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 44044 "preproc.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 11850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 44052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 11854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 44060 "preproc.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 11858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 44068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 11862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encrypted");
}
#line 44076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 11866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enum");
}
#line 44084 "preproc.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 11870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("escape");
}
#line 44092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 11874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event");
}
#line 44100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 11878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude");
}
#line 44108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 11882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("excluding");
}
#line 44116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 11886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 44124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 11890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("execute");
}
#line 44132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 11894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("explain");
}
#line 44140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 11898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 44148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 11902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external");
}
#line 44156 "preproc.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 11906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("family");
}
#line 44164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 11910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("filter");
}
#line 44172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 11914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 44180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 11918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("following");
}
#line 44188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 11922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 44196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 11926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("forward");
}
#line 44204 "preproc.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 11930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("function");
}
#line 44212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 11934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 44220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 11938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global");
}
#line 44228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 11942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("granted");
}
#line 44236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 11946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("handler");
}
#line 44244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 11950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 44252 "preproc.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 11954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hold");
}
#line 44260 "preproc.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 11958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 44268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 11962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if");
}
#line 44276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 11966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 44284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 11970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 44292 "preproc.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 11974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("implicit");
}
#line 44300 "preproc.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 11978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("including");
}
#line 44308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 11982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("increment");
}
#line 44316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 11986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 44324 "preproc.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 11990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 44332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 11994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 44340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 11998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherits");
}
#line 44348 "preproc.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 12002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inline");
}
#line 44356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 12006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insensitive");
}
#line 44364 "preproc.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 12010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 44372 "preproc.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 12014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 44380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 12018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("invoker");
}
#line 44388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 12022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isolation");
}
#line 44396 "preproc.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 12026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("key");
}
#line 44404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 12030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("label");
}
#line 44412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 12034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("language");
}
#line 44420 "preproc.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 12038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("large");
}
#line 44428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 12042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("last");
}
#line 44436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 12046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lc_collate");
}
#line 44444 "preproc.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 12050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lc_ctype");
}
#line 44452 "preproc.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 12054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 44460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 12058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("level");
}
#line 44468 "preproc.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 12062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("listen");
}
#line 44476 "preproc.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 12066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("load");
}
#line 44484 "preproc.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 12070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 44492 "preproc.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 12074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 44500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 12078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lock");
}
#line 44508 "preproc.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 12082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mapping");
}
#line 44516 "preproc.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 12086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match");
}
#line 44524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 12090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized");
}
#line 44532 "preproc.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 12094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 44540 "preproc.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 12098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 44548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 12102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mode");
}
#line 44556 "preproc.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 12106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("move");
}
#line 44564 "preproc.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 12110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("name");
}
#line 44572 "preproc.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 12114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("names");
}
#line 44580 "preproc.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 12118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 44588 "preproc.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 12122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no");
}
#line 44596 "preproc.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 12126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 44604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 12130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notify");
}
#line 44612 "preproc.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 12134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 44620 "preproc.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 12138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls");
}
#line 44628 "preproc.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 12142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("object");
}
#line 44636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 12146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("of");
}
#line 44644 "preproc.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 12150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("off");
}
#line 44652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 12154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 44660 "preproc.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 12158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("operator");
}
#line 44668 "preproc.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 12162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("option");
}
#line 44676 "preproc.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 12166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("options");
}
#line 44684 "preproc.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 12170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ordinality");
}
#line 44692 "preproc.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 12174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("over");
}
#line 44700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 12178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owned");
}
#line 44708 "preproc.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 12182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 44716 "preproc.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 12186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parser");
}
#line 44724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 12190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partial");
}
#line 44732 "preproc.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 12194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partition");
}
#line 44740 "preproc.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 12198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("passing");
}
#line 44748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 12202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password");
}
#line 44756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 12206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("plans");
}
#line 44764 "preproc.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 12210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preceding");
}
#line 44772 "preproc.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 12214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepare");
}
#line 44780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 12218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepared");
}
#line 44788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 12222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve");
}
#line 44796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 12226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prior");
}
#line 44804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 12230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("privileges");
}
#line 44812 "preproc.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 12234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 44820 "preproc.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 12238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedure");
}
#line 44828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 12242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 44836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 12246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("quote");
}
#line 44844 "preproc.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 12250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("range");
}
#line 44852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 12254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read");
}
#line 44860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 12258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reassign");
}
#line 44868 "preproc.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 12262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recheck");
}
#line 44876 "preproc.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 12266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recursive");
}
#line 44884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 12270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ref");
}
#line 44892 "preproc.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 12274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("refresh");
}
#line 44900 "preproc.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 12278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reindex");
}
#line 44908 "preproc.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 12282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("relative");
}
#line 44916 "preproc.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 12286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("release");
}
#line 44924 "preproc.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 12290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rename");
}
#line 44932 "preproc.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 12294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable");
}
#line 44940 "preproc.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 12298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replace");
}
#line 44948 "preproc.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 12302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replica");
}
#line 44956 "preproc.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 12306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset");
}
#line 44964 "preproc.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 12310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 44972 "preproc.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 12314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 44980 "preproc.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 12318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns");
}
#line 44988 "preproc.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 12322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("revoke");
}
#line 44996 "preproc.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 12326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 45004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 12330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollback");
}
#line 45012 "preproc.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 12334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 45020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 12338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 45028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 12342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("savepoint");
}
#line 45036 "preproc.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 12346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 45044 "preproc.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 12350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("scroll");
}
#line 45052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 12354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("search");
}
#line 45060 "preproc.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 12358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security");
}
#line 45068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 12362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 45076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 12366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 45084 "preproc.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 12370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 45092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 12374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 45100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 12378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session");
}
#line 45108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 12382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set");
}
#line 45116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 12386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 45124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 12390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show");
}
#line 45132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 12394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("simple");
}
#line 45140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 12398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("snapshot");
}
#line 45148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 12402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 45156 "preproc.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 12406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("standalone");
}
#line 45164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 12410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("start");
}
#line 45172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 12414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 45180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 12418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 45188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 12422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 45196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 12426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 45204 "preproc.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 12430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 45212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 12434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 45220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 12438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip");
}
#line 45228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 12442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sysid");
}
#line 45236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 12446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 45244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 12450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 45252 "preproc.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 12454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 45260 "preproc.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 12458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 45268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 12462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 45276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 12466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 45284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 12470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text");
}
#line 45292 "preproc.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 12474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 45300 "preproc.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 12478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 45308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 12482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 45316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 12486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 45324 "preproc.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 12490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 45332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 12494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 45340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 12498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded");
}
#line 45348 "preproc.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 12502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
#line 45356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 12506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
#line 45364 "preproc.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 12510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unknown");
}
#line 45372 "preproc.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 12514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten");
}
#line 45380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 12518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 45388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 12522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("until");
}
#line 45396 "preproc.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 12526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 45404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 12530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("vacuum");
}
#line 45412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 12534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("valid");
}
#line 45420 "preproc.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 12538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validate");
}
#line 45428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 12542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validator");
}
#line 45436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 12546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("value");
}
#line 45444 "preproc.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 12550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 45452 "preproc.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 12554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version");
}
#line 45460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 12558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 45468 "preproc.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 12562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("views");
}
#line 45476 "preproc.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 12566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 45484 "preproc.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 12570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("whitespace");
}
#line 45492 "preproc.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 12574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("within");
}
#line 45500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 12578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without");
}
#line 45508 "preproc.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 12582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 45516 "preproc.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 12586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("wrapper");
}
#line 45524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 12590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("write");
}
#line 45532 "preproc.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 12594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xml");
}
#line 45540 "preproc.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 12598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("yes");
}
#line 45548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 12602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("zone");
}
#line 45556 "preproc.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 12610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("between");
}
#line 45564 "preproc.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 12614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 45572 "preproc.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 12618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bit");
}
#line 45580 "preproc.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 12622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 45588 "preproc.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 12626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("character");
}
#line 45596 "preproc.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 12630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("coalesce");
}
#line 45604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 12634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dec");
}
#line 45612 "preproc.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 12638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("decimal");
}
#line 45620 "preproc.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 12642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exists");
}
#line 45628 "preproc.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 12646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extract");
}
#line 45636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 12650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("float");
}
#line 45644 "preproc.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 12654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("greatest");
}
#line 45652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 12658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 45660 "preproc.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 12662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 45668 "preproc.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 12666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 45676 "preproc.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 12670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("least");
}
#line 45684 "preproc.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 12674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("national");
}
#line 45692 "preproc.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 12678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nchar");
}
#line 45700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 12682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 45708 "preproc.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 12686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nullif");
}
#line 45716 "preproc.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 12690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("numeric");
}
#line 45724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 12694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 45732 "preproc.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 12698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlay");
}
#line 45740 "preproc.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 12702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("position");
}
#line 45748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 12706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("precision");
}
#line 45756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 12710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 45764 "preproc.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 12714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 45772 "preproc.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 12718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("setof");
}
#line 45780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 12722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 45788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2261:
#line 12726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("substring");
}
#line 45796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2262:
#line 12730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time");
}
#line 45804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 12734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("timestamp");
}
#line 45812 "preproc.c" /* yacc.c:1646  */
    break;

  case 2264:
#line 12738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("treat");
}
#line 45820 "preproc.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 12742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trim");
}
#line 45828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2266:
#line 12746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 45836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 12750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
#line 45844 "preproc.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 12754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
#line 45852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 12758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
#line 45860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 12762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
#line 45868 "preproc.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 12766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
#line 45876 "preproc.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 12770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
#line 45884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 12774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
#line 45892 "preproc.c" /* yacc.c:1646  */
    break;

  case 2274:
#line 12778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
#line 45900 "preproc.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 12782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
#line 45908 "preproc.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 12790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("authorization");
}
#line 45916 "preproc.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 12794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 45924 "preproc.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 12798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 45932 "preproc.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 12802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 45940 "preproc.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 12806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cross");
}
#line 45948 "preproc.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 12810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 45956 "preproc.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 12814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 45964 "preproc.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 12818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 45972 "preproc.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 12822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 45980 "preproc.c" /* yacc.c:1646  */
    break;

  case 2285:
#line 12826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 45988 "preproc.c" /* yacc.c:1646  */
    break;

  case 2286:
#line 12830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("is");
}
#line 45996 "preproc.c" /* yacc.c:1646  */
    break;

  case 2287:
#line 12834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isnull");
}
#line 46004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2288:
#line 12838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("join");
}
#line 46012 "preproc.c" /* yacc.c:1646  */
    break;

  case 2289:
#line 12842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("left");
}
#line 46020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2290:
#line 12846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 46028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2291:
#line 12850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("natural");
}
#line 46036 "preproc.c" /* yacc.c:1646  */
    break;

  case 2292:
#line 12854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notnull");
}
#line 46044 "preproc.c" /* yacc.c:1646  */
    break;

  case 2293:
#line 12858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 46052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2294:
#line 12862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlaps");
}
#line 46060 "preproc.c" /* yacc.c:1646  */
    break;

  case 2295:
#line 12866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("right");
}
#line 46068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2296:
#line 12870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("similar");
}
#line 46076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2297:
#line 12874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 46084 "preproc.c" /* yacc.c:1646  */
    break;

  case 2298:
#line 12882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 46092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2299:
#line 12886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 46100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2300:
#line 12890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 46108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2301:
#line 12894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("and");
}
#line 46116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2302:
#line 12898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 46124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2303:
#line 12902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("array");
}
#line 46132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2304:
#line 12906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 46140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2305:
#line 12910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 46148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2306:
#line 12914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 46156 "preproc.c" /* yacc.c:1646  */
    break;

  case 2307:
#line 12918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("both");
}
#line 46164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2308:
#line 12922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("case");
}
#line 46172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2309:
#line 12926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cast");
}
#line 46180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2310:
#line 12930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("check");
}
#line 46188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2311:
#line 12934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collate");
}
#line 46196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2312:
#line 12938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 46204 "preproc.c" /* yacc.c:1646  */
    break;

  case 2313:
#line 12942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraint");
}
#line 46212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2314:
#line 12946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("create");
}
#line 46220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2315:
#line 12950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 46228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2316:
#line 12954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 46236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2317:
#line 12958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 46244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2318:
#line 12962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 46252 "preproc.c" /* yacc.c:1646  */
    break;

  case 2319:
#line 12966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 46260 "preproc.c" /* yacc.c:1646  */
    break;

  case 2320:
#line 12970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 46268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2321:
#line 12974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 46276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2322:
#line 12978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 46284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2323:
#line 12982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 46292 "preproc.c" /* yacc.c:1646  */
    break;

  case 2324:
#line 12986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 46300 "preproc.c" /* yacc.c:1646  */
    break;

  case 2325:
#line 12990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("do");
}
#line 46308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2326:
#line 12994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("else");
}
#line 46316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2327:
#line 12998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("end");
}
#line 46324 "preproc.c" /* yacc.c:1646  */
    break;

  case 2328:
#line 13002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 46332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2329:
#line 13006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 46340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2330:
#line 13010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("fetch");
}
#line 46348 "preproc.c" /* yacc.c:1646  */
    break;

  case 2331:
#line 13014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for");
}
#line 46356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2332:
#line 13018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign");
}
#line 46364 "preproc.c" /* yacc.c:1646  */
    break;

  case 2333:
#line 13022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 46372 "preproc.c" /* yacc.c:1646  */
    break;

  case 2334:
#line 13026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grant");
}
#line 46380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2335:
#line 13030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("group");
}
#line 46388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2336:
#line 13034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("having");
}
#line 46396 "preproc.c" /* yacc.c:1646  */
    break;

  case 2337:
#line 13038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 46404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2338:
#line 13042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially");
}
#line 46412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2339:
#line 13046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("intersect");
}
#line 46420 "preproc.c" /* yacc.c:1646  */
    break;

  case 2340:
#line 13050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("into");
}
#line 46428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2341:
#line 13054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lateral");
}
#line 46436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2342:
#line 13058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leading");
}
#line 46444 "preproc.c" /* yacc.c:1646  */
    break;

  case 2343:
#line 13062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit");
}
#line 46452 "preproc.c" /* yacc.c:1646  */
    break;

  case 2344:
#line 13066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 46460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2345:
#line 13070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 46468 "preproc.c" /* yacc.c:1646  */
    break;

  case 2346:
#line 13074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not");
}
#line 46476 "preproc.c" /* yacc.c:1646  */
    break;

  case 2347:
#line 13078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 46484 "preproc.c" /* yacc.c:1646  */
    break;

  case 2348:
#line 13082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("offset");
}
#line 46492 "preproc.c" /* yacc.c:1646  */
    break;

  case 2349:
#line 13086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 46500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2350:
#line 13090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("only");
}
#line 46508 "preproc.c" /* yacc.c:1646  */
    break;

  case 2351:
#line 13094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or");
}
#line 46516 "preproc.c" /* yacc.c:1646  */
    break;

  case 2352:
#line 13098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("order");
}
#line 46524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2353:
#line 13102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("placing");
}
#line 46532 "preproc.c" /* yacc.c:1646  */
    break;

  case 2354:
#line 13106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("primary");
}
#line 46540 "preproc.c" /* yacc.c:1646  */
    break;

  case 2355:
#line 13110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("references");
}
#line 46548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2356:
#line 13114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returning");
}
#line 46556 "preproc.c" /* yacc.c:1646  */
    break;

  case 2357:
#line 13118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 46564 "preproc.c" /* yacc.c:1646  */
    break;

  case 2358:
#line 13122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 46572 "preproc.c" /* yacc.c:1646  */
    break;

  case 2359:
#line 13126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 46580 "preproc.c" /* yacc.c:1646  */
    break;

  case 2360:
#line 13130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("symmetric");
}
#line 46588 "preproc.c" /* yacc.c:1646  */
    break;

  case 2361:
#line 13134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 46596 "preproc.c" /* yacc.c:1646  */
    break;

  case 2362:
#line 13138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("then");
}
#line 46604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2363:
#line 13142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trailing");
}
#line 46612 "preproc.c" /* yacc.c:1646  */
    break;

  case 2364:
#line 13146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 46620 "preproc.c" /* yacc.c:1646  */
    break;

  case 2365:
#line 13150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 46628 "preproc.c" /* yacc.c:1646  */
    break;

  case 2366:
#line 13154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 46636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2367:
#line 13158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 46644 "preproc.c" /* yacc.c:1646  */
    break;

  case 2368:
#line 13162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 46652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2369:
#line 13166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when");
}
#line 46660 "preproc.c" /* yacc.c:1646  */
    break;

  case 2370:
#line 13170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("where");
}
#line 46668 "preproc.c" /* yacc.c:1646  */
    break;

  case 2371:
#line 13174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 46676 "preproc.c" /* yacc.c:1646  */
    break;

  case 2372:
#line 13178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 46684 "preproc.c" /* yacc.c:1646  */
    break;

  case 2375:
#line 13191 "preproc.y" /* yacc.c:1646  */
    { connection = NULL; }
#line 46690 "preproc.c" /* yacc.c:1646  */
    break;

  case 2377:
#line 13194 "preproc.y" /* yacc.c:1646  */
    {
					fprintf(base_yyout, "%s", (yyvsp[0].str));
					free((yyvsp[0].str));
					output_line_number();
				}
#line 46700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2379:
#line 13200 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 46706 "preproc.c" /* yacc.c:1646  */
    break;

  case 2380:
#line 13201 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 46712 "preproc.c" /* yacc.c:1646  */
    break;

  case 2381:
#line 13202 "preproc.y" /* yacc.c:1646  */
    { braces_open++; fputs("{", base_yyout); }
#line 46718 "preproc.c" /* yacc.c:1646  */
    break;

  case 2382:
#line 13204 "preproc.y" /* yacc.c:1646  */
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", base_yyout);
		}
#line 46733 "preproc.c" /* yacc.c:1646  */
    break;

  case 2383:
#line 13216 "preproc.y" /* yacc.c:1646  */
    {FoundInto = 0;}
#line 46739 "preproc.c" /* yacc.c:1646  */
    break;

  case 2384:
#line 13217 "preproc.y" /* yacc.c:1646  */
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, mm_strdup("create"), (yyvsp[-6].str), mm_strdup("table"), (yyvsp[-4].str), mm_strdup("as"), (yyvsp[-1].str));
		}
#line 46750 "preproc.c" /* yacc.c:1646  */
    break;

  case 2385:
#line 13226 "preproc.y" /* yacc.c:1646  */
    {
			connection = (yyvsp[0].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		}
#line 46764 "preproc.c" /* yacc.c:1646  */
    break;

  case 2386:
#line 13241 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(5, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str), mm_strdup(","), (yyvsp[-1].str)); }
#line 46770 "preproc.c" /* yacc.c:1646  */
    break;

  case 2387:
#line 13243 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); }
#line 46776 "preproc.c" /* yacc.c:1646  */
    break;

  case 2388:
#line 13246 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[0].str), mm_strdup(", NULL")); }
#line 46782 "preproc.c" /* yacc.c:1646  */
    break;

  case 2389:
#line 13248 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL, NULL, NULL")); }
#line 46788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2390:
#line 13252 "preproc.y" /* yacc.c:1646  */
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[-1].str)) > 0 && *((yyvsp[-1].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[-1].str));

			/* C strings need to be handled differently */
			if ((yyvsp[-2].str)[0] == '\"')
				(yyval.str) = (yyvsp[-2].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[-2].str), (yyvsp[-1].str), (yyvsp[0].str)), mm_strdup("\""));
		}
#line 46804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2391:
#line 13264 "preproc.y" /* yacc.c:1646  */
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[-6].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[-6].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[-4].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[-4].str));

			if (strncmp((yyvsp[-6].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[-4].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[-6].str), mm_strdup(":")), (yyvsp[-4].str), make3_str(make3_str((yyvsp[-3].str), mm_strdup("/"), (yyvsp[-1].str)), (yyvsp[0].str), mm_strdup("\"")));
		}
#line 46824 "preproc.c" /* yacc.c:1646  */
    break;

  case 2392:
#line 13280 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 46832 "preproc.c" /* yacc.c:1646  */
    break;

  case 2393:
#line 13284 "preproc.y" /* yacc.c:1646  */
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[0].str)[0] = '\"';
			(yyvsp[0].str)[strlen((yyvsp[0].str))-1] = '\"';
			(yyval.str) = (yyvsp[0].str);
		}
#line 46845 "preproc.c" /* yacc.c:1646  */
    break;

  case 2394:
#line 13294 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46851 "preproc.c" /* yacc.c:1646  */
    break;

  case 2395:
#line 13295 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46857 "preproc.c" /* yacc.c:1646  */
    break;

  case 2396:
#line 13299 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[0].str), "postgresql") != 0 && strcmp((yyvsp[0].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[0].str));

			if (strcmp((yyvsp[-1].str), "tcp") != 0 && strcmp((yyvsp[-1].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[-1].str));

			(yyval.str) = make3_str((yyvsp[-1].str), mm_strdup(":"), (yyvsp[0].str));
		}
#line 46871 "preproc.c" /* yacc.c:1646  */
    break;

  case 2397:
#line 13311 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-1].str), "@") != 0 && strcmp((yyvsp[-1].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
		}
#line 46882 "preproc.c" /* yacc.c:1646  */
    break;

  case 2398:
#line 13319 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46888 "preproc.c" /* yacc.c:1646  */
    break;

  case 2399:
#line 13320 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46894 "preproc.c" /* yacc.c:1646  */
    break;

  case 2400:
#line 13323 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46900 "preproc.c" /* yacc.c:1646  */
    break;

  case 2401:
#line 13324 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str((yyvsp[-2].str), mm_strdup("."), (yyvsp[0].str)); }
#line 46906 "preproc.c" /* yacc.c:1646  */
    break;

  case 2402:
#line 13325 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 46912 "preproc.c" /* yacc.c:1646  */
    break;

  case 2403:
#line 13328 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 46918 "preproc.c" /* yacc.c:1646  */
    break;

  case 2404:
#line 13329 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46924 "preproc.c" /* yacc.c:1646  */
    break;

  case 2405:
#line 13332 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46930 "preproc.c" /* yacc.c:1646  */
    break;

  case 2406:
#line 13333 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 46936 "preproc.c" /* yacc.c:1646  */
    break;

  case 2407:
#line 13336 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46942 "preproc.c" /* yacc.c:1646  */
    break;

  case 2408:
#line 13337 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL"); }
#line 46948 "preproc.c" /* yacc.c:1646  */
    break;

  case 2409:
#line 13341 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL")); }
#line 46954 "preproc.c" /* yacc.c:1646  */
    break;

  case 2410:
#line 13343 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 46960 "preproc.c" /* yacc.c:1646  */
    break;

  case 2411:
#line 13345 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-3].str), mm_strdup(","), (yyvsp[0].str)); }
#line 46966 "preproc.c" /* yacc.c:1646  */
    break;

  case 2412:
#line 13347 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 46972 "preproc.c" /* yacc.c:1646  */
    break;

  case 2413:
#line 13351 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 46983 "preproc.c" /* yacc.c:1646  */
    break;

  case 2414:
#line 13358 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 46994 "preproc.c" /* yacc.c:1646  */
    break;

  case 2415:
#line 13365 "preproc.y" /* yacc.c:1646  */
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
#line 47012 "preproc.c" /* yacc.c:1646  */
    break;

  case 2416:
#line 13381 "preproc.y" /* yacc.c:1646  */
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[0].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[0].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[0].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[0].str);
						break;
				}
			}
		}
#line 47048 "preproc.c" /* yacc.c:1646  */
    break;

  case 2417:
#line 13415 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[-1].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[-1].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[0].str));
		}
#line 47062 "preproc.c" /* yacc.c:1646  */
    break;

  case 2418:
#line 13424 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2419:
#line 13428 "preproc.y" /* yacc.c:1646  */
    {
				(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
			}
#line 47076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2420:
#line 13432 "preproc.y" /* yacc.c:1646  */
    {
				if (strlen((yyvsp[-1].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[-1].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[-3].str), (yyvsp[-2].str)), (yyvsp[-1].str), (yyvsp[0].str));
			}
#line 47090 "preproc.c" /* yacc.c:1646  */
    break;

  case 2421:
#line 13444 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47096 "preproc.c" /* yacc.c:1646  */
    break;

  case 2422:
#line 13446 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 47102 "preproc.c" /* yacc.c:1646  */
    break;

  case 2423:
#line 13448 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 47108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2424:
#line 13450 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 47114 "preproc.c" /* yacc.c:1646  */
    break;

  case 2425:
#line 13454 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"' && (yyvsp[0].str)[strlen((yyvsp[0].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[0].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[0].str)); i++)
					(yyvsp[0].str)[i] = tolower((unsigned char) (yyvsp[0].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
			}
		}
#line 47132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2426:
#line 13467 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47138 "preproc.c" /* yacc.c:1646  */
    break;

  case 2427:
#line 13475 "preproc.y" /* yacc.c:1646  */
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
			int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[-5].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[-5].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[0].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[0].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[-5].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[-5].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		}
#line 47201 "preproc.c" /* yacc.c:1646  */
    break;

  case 2428:
#line 13536 "preproc.y" /* yacc.c:1646  */
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[0].str);
			}
#line 47211 "preproc.c" /* yacc.c:1646  */
    break;

  case 2430:
#line 13546 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47217 "preproc.c" /* yacc.c:1646  */
    break;

  case 2431:
#line 13547 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47223 "preproc.c" /* yacc.c:1646  */
    break;

  case 2432:
#line 13550 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47229 "preproc.c" /* yacc.c:1646  */
    break;

  case 2433:
#line 13552 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47235 "preproc.c" /* yacc.c:1646  */
    break;

  case 2434:
#line 13553 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47241 "preproc.c" /* yacc.c:1646  */
    break;

  case 2435:
#line 13556 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47247 "preproc.c" /* yacc.c:1646  */
    break;

  case 2436:
#line 13557 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to minute"); }
#line 47253 "preproc.c" /* yacc.c:1646  */
    break;

  case 2437:
#line 13558 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to second"); }
#line 47259 "preproc.c" /* yacc.c:1646  */
    break;

  case 2438:
#line 13559 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day to day"); }
#line 47265 "preproc.c" /* yacc.c:1646  */
    break;

  case 2439:
#line 13560 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month to month"); }
#line 47271 "preproc.c" /* yacc.c:1646  */
    break;

  case 2440:
#line 13567 "preproc.y" /* yacc.c:1646  */
    { fputs("/* exec sql begin declare section */", base_yyout); }
#line 47277 "preproc.c" /* yacc.c:1646  */
    break;

  case 2441:
#line 13569 "preproc.y" /* yacc.c:1646  */
    {
			fprintf(base_yyout, "%s/* exec sql end declare section */", (yyvsp[-1].str));
			free((yyvsp[-1].str));
			output_line_number();
		}
#line 47287 "preproc.c" /* yacc.c:1646  */
    break;

  case 2442:
#line 13576 "preproc.y" /* yacc.c:1646  */
    {}
#line 47293 "preproc.c" /* yacc.c:1646  */
    break;

  case 2443:
#line 13578 "preproc.y" /* yacc.c:1646  */
    {}
#line 47299 "preproc.c" /* yacc.c:1646  */
    break;

  case 2444:
#line 13580 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47305 "preproc.c" /* yacc.c:1646  */
    break;

  case 2445:
#line 13581 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47311 "preproc.c" /* yacc.c:1646  */
    break;

  case 2446:
#line 13584 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47317 "preproc.c" /* yacc.c:1646  */
    break;

  case 2447:
#line 13585 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47323 "preproc.c" /* yacc.c:1646  */
    break;

  case 2448:
#line 13586 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 47329 "preproc.c" /* yacc.c:1646  */
    break;

  case 2449:
#line 13587 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 47335 "preproc.c" /* yacc.c:1646  */
    break;

  case 2450:
#line 13590 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47341 "preproc.c" /* yacc.c:1646  */
    break;

  case 2451:
#line 13591 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 47347 "preproc.c" /* yacc.c:1646  */
    break;

  case 2452:
#line 13595 "preproc.y" /* yacc.c:1646  */
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
#line 47357 "preproc.c" /* yacc.c:1646  */
    break;

  case 2453:
#line 13601 "preproc.y" /* yacc.c:1646  */
    {
		add_typedef((yyvsp[-2].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-4].type).type_enum, (yyvsp[-4].type).type_dimension, (yyvsp[-4].type).type_index, initializer, *(yyvsp[-3].str) ? 1 : 0);

		fprintf(base_yyout, "typedef %s %s %s %s;\n", (yyvsp[-4].type).type_str, *(yyvsp[-3].str) ? "*" : "", (yyvsp[-2].str), (yyvsp[-1].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	}
#line 47369 "preproc.c" /* yacc.c:1646  */
    break;

  case 2454:
#line 13611 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 47383 "preproc.c" /* yacc.c:1646  */
    break;

  case 2455:
#line 13621 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[-4].str), (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 47391 "preproc.c" /* yacc.c:1646  */
    break;

  case 2456:
#line 13625 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 47405 "preproc.c" /* yacc.c:1646  */
    break;

  case 2457:
#line 13635 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 47413 "preproc.c" /* yacc.c:1646  */
    break;

  case 2458:
#line 13639 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat2_str((yyvsp[-1].str), mm_strdup(";"));
		}
#line 47421 "preproc.c" /* yacc.c:1646  */
    break;

  case 2459:
#line 13644 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 47427 "preproc.c" /* yacc.c:1646  */
    break;

  case 2460:
#line 13645 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47433 "preproc.c" /* yacc.c:1646  */
    break;

  case 2461:
#line 13649 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = cat2_str ((yyvsp[-1].str), (yyvsp[0].str)); }
#line 47439 "preproc.c" /* yacc.c:1646  */
    break;

  case 2462:
#line 13650 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 47445 "preproc.c" /* yacc.c:1646  */
    break;

  case 2463:
#line 13651 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 47451 "preproc.c" /* yacc.c:1646  */
    break;

  case 2464:
#line 13654 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 47457 "preproc.c" /* yacc.c:1646  */
    break;

  case 2465:
#line 13655 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 47463 "preproc.c" /* yacc.c:1646  */
    break;

  case 2466:
#line 13656 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 47469 "preproc.c" /* yacc.c:1646  */
    break;

  case 2467:
#line 13657 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 47475 "preproc.c" /* yacc.c:1646  */
    break;

  case 2468:
#line 13660 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 47481 "preproc.c" /* yacc.c:1646  */
    break;

  case 2469:
#line 13661 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 47487 "preproc.c" /* yacc.c:1646  */
    break;

  case 2470:
#line 13665 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = (yyvsp[0].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[0].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 47499 "preproc.c" /* yacc.c:1646  */
    break;

  case 2471:
#line 13673 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[0].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
#line 47520 "preproc.c" /* yacc.c:1646  */
    break;

  case 2472:
#line 13690 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 47532 "preproc.c" /* yacc.c:1646  */
    break;

  case 2473:
#line 13698 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-4].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[-4].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 47559 "preproc.c" /* yacc.c:1646  */
    break;

  case 2474:
#line 13721 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[0].str)) != 0 && strcmp ((yyvsp[-1].str), "datetime") != 0 && strcmp ((yyvsp[-1].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[-1].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[-1].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[-1].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
#line 47669 "preproc.c" /* yacc.c:1646  */
    break;

  case 2475:
#line 13827 "preproc.y" /* yacc.c:1646  */
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[0].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[0].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[0].struct_union).su, (yyvsp[0].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		}
#line 47705 "preproc.c" /* yacc.c:1646  */
    break;

  case 2476:
#line 13861 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[-1].str), (yyvsp[0].str)); }
#line 47711 "preproc.c" /* yacc.c:1646  */
    break;

  case 2477:
#line 13863 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 47717 "preproc.c" /* yacc.c:1646  */
    break;

  case 2478:
#line 13865 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 47723 "preproc.c" /* yacc.c:1646  */
    break;

  case 2479:
#line 13869 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 47729 "preproc.c" /* yacc.c:1646  */
    break;

  case 2480:
#line 13872 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[0].struct_union).symbol);
		}
#line 47740 "preproc.c" /* yacc.c:1646  */
    break;

  case 2481:
#line 13879 "preproc.y" /* yacc.c:1646  */
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[-4].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[-4].struct_union).su, (yyvsp[-4].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essentially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 47786 "preproc.c" /* yacc.c:1646  */
    break;

  case 2482:
#line 13922 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47792 "preproc.c" /* yacc.c:1646  */
    break;

  case 2483:
#line 13924 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
#line 47802 "preproc.c" /* yacc.c:1646  */
    break;

  case 2484:
#line 13930 "preproc.y" /* yacc.c:1646  */
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[-4].str), mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 47813 "preproc.c" /* yacc.c:1646  */
    break;

  case 2485:
#line 13939 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[0].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		}
#line 47823 "preproc.c" /* yacc.c:1646  */
    break;

  case 2486:
#line 13945 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[0].str);
		}
#line 47832 "preproc.c" /* yacc.c:1646  */
    break;

  case 2487:
#line 13952 "preproc.y" /* yacc.c:1646  */
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		}
#line 47841 "preproc.c" /* yacc.c:1646  */
    break;

  case 2488:
#line 13957 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = mm_strdup("union");
		}
#line 47849 "preproc.c" /* yacc.c:1646  */
    break;

  case 2489:
#line 13962 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 47855 "preproc.c" /* yacc.c:1646  */
    break;

  case 2490:
#line 13963 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 47861 "preproc.c" /* yacc.c:1646  */
    break;

  case 2491:
#line 13966 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 47867 "preproc.c" /* yacc.c:1646  */
    break;

  case 2492:
#line 13967 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 47873 "preproc.c" /* yacc.c:1646  */
    break;

  case 2493:
#line 13968 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 47879 "preproc.c" /* yacc.c:1646  */
    break;

  case 2494:
#line 13969 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 47885 "preproc.c" /* yacc.c:1646  */
    break;

  case 2495:
#line 13970 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 47891 "preproc.c" /* yacc.c:1646  */
    break;

  case 2496:
#line 13971 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 47897 "preproc.c" /* yacc.c:1646  */
    break;

  case 2497:
#line 13973 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 47909 "preproc.c" /* yacc.c:1646  */
    break;

  case 2498:
#line 13981 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 47921 "preproc.c" /* yacc.c:1646  */
    break;

  case 2499:
#line 13988 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_char; }
#line 47927 "preproc.c" /* yacc.c:1646  */
    break;

  case 2500:
#line 13991 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 47933 "preproc.c" /* yacc.c:1646  */
    break;

  case 2501:
#line 13992 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 47939 "preproc.c" /* yacc.c:1646  */
    break;

  case 2502:
#line 13993 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_int; }
#line 47945 "preproc.c" /* yacc.c:1646  */
    break;

  case 2503:
#line 13994 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 47951 "preproc.c" /* yacc.c:1646  */
    break;

  case 2504:
#line 13995 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 47957 "preproc.c" /* yacc.c:1646  */
    break;

  case 2505:
#line 13997 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 47969 "preproc.c" /* yacc.c:1646  */
    break;

  case 2506:
#line 14005 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 47981 "preproc.c" /* yacc.c:1646  */
    break;

  case 2507:
#line 14012 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_bool; }
#line 47987 "preproc.c" /* yacc.c:1646  */
    break;

  case 2508:
#line 14013 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_char; }
#line 47993 "preproc.c" /* yacc.c:1646  */
    break;

  case 2509:
#line 14014 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_double; }
#line 47999 "preproc.c" /* yacc.c:1646  */
    break;

  case 2512:
#line 14022 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48005 "preproc.c" /* yacc.c:1646  */
    break;

  case 2513:
#line 14024 "preproc.y" /* yacc.c:1646  */
    {
			if (actual_type[struct_level].type_enum == ECPGt_varchar)
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(";"), (yyvsp[0].str));
			else
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
		}
#line 48016 "preproc.c" /* yacc.c:1646  */
    break;

  case 2514:
#line 14033 "preproc.y" /* yacc.c:1646  */
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[-2].index).index1;	/* dimension of array */
			char *length = (yyvsp[-2].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[-4].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[-3].str)), (yyvsp[-1].str), (yyvsp[0].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[-3].str)), dim_str, (yyvsp[-1].str), (yyvsp[0].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[0].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[0].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[-3].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[-3].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[-3].str));
		}
#line 48105 "preproc.c" /* yacc.c:1646  */
    break;

  case 2515:
#line 14120 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48111 "preproc.c" /* yacc.c:1646  */
    break;

  case 2516:
#line 14122 "preproc.y" /* yacc.c:1646  */
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[0].str));
		}
#line 48120 "preproc.c" /* yacc.c:1646  */
    break;

  case 2517:
#line 14128 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48126 "preproc.c" /* yacc.c:1646  */
    break;

  case 2518:
#line 14129 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 48132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2519:
#line 14130 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("**"); }
#line 48138 "preproc.c" /* yacc.c:1646  */
    break;

  case 2520:
#line 14137 "preproc.y" /* yacc.c:1646  */
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 48147 "preproc.c" /* yacc.c:1646  */
    break;

  case 2521:
#line 14145 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48153 "preproc.c" /* yacc.c:1646  */
    break;

  case 2522:
#line 14148 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48159 "preproc.c" /* yacc.c:1646  */
    break;

  case 2523:
#line 14149 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 48165 "preproc.c" /* yacc.c:1646  */
    break;

  case 2524:
#line 14150 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"ALL\""); }
#line 48171 "preproc.c" /* yacc.c:1646  */
    break;

  case 2525:
#line 14151 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 48177 "preproc.c" /* yacc.c:1646  */
    break;

  case 2526:
#line 14154 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 48183 "preproc.c" /* yacc.c:1646  */
    break;

  case 2527:
#line 14155 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"DEFAULT\""); }
#line 48189 "preproc.c" /* yacc.c:1646  */
    break;

  case 2528:
#line 14156 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48195 "preproc.c" /* yacc.c:1646  */
    break;

  case 2529:
#line 14160 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48201 "preproc.c" /* yacc.c:1646  */
    break;

  case 2530:
#line 14162 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 48207 "preproc.c" /* yacc.c:1646  */
    break;

  case 2531:
#line 14169 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48213 "preproc.c" /* yacc.c:1646  */
    break;

  case 2532:
#line 14170 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 48219 "preproc.c" /* yacc.c:1646  */
    break;

  case 2533:
#line 14177 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[-1].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[-1].str) + 1));
			(yyval.str) = (yyvsp[-1].str);
		}
#line 48229 "preproc.c" /* yacc.c:1646  */
    break;

  case 2534:
#line 14184 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48235 "preproc.c" /* yacc.c:1646  */
    break;

  case 2535:
#line 14185 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48241 "preproc.c" /* yacc.c:1646  */
    break;

  case 2536:
#line 14188 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48247 "preproc.c" /* yacc.c:1646  */
    break;

  case 2537:
#line 14189 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48253 "preproc.c" /* yacc.c:1646  */
    break;

  case 2538:
#line 14193 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[0].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 48262 "preproc.c" /* yacc.c:1646  */
    break;

  case 2539:
#line 14198 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 48271 "preproc.c" /* yacc.c:1646  */
    break;

  case 2540:
#line 14205 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[0].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 48280 "preproc.c" /* yacc.c:1646  */
    break;

  case 2541:
#line 14210 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 48289 "preproc.c" /* yacc.c:1646  */
    break;

  case 2542:
#line 14217 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 48298 "preproc.c" /* yacc.c:1646  */
    break;

  case 2545:
#line 14226 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
#line 48309 "preproc.c" /* yacc.c:1646  */
    break;

  case 2546:
#line 14232 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48315 "preproc.c" /* yacc.c:1646  */
    break;

  case 2547:
#line 14233 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48321 "preproc.c" /* yacc.c:1646  */
    break;

  case 2548:
#line 14236 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48327 "preproc.c" /* yacc.c:1646  */
    break;

  case 2549:
#line 14237 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 48333 "preproc.c" /* yacc.c:1646  */
    break;

  case 2550:
#line 14238 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 48339 "preproc.c" /* yacc.c:1646  */
    break;

  case 2551:
#line 14239 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48345 "preproc.c" /* yacc.c:1646  */
    break;

  case 2552:
#line 14240 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 48351 "preproc.c" /* yacc.c:1646  */
    break;

  case 2553:
#line 14241 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 48357 "preproc.c" /* yacc.c:1646  */
    break;

  case 2554:
#line 14242 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48363 "preproc.c" /* yacc.c:1646  */
    break;

  case 2555:
#line 14243 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48369 "preproc.c" /* yacc.c:1646  */
    break;

  case 2556:
#line 14244 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48375 "preproc.c" /* yacc.c:1646  */
    break;

  case 2557:
#line 14251 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 48386 "preproc.c" /* yacc.c:1646  */
    break;

  case 2558:
#line 14258 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 48402 "preproc.c" /* yacc.c:1646  */
    break;

  case 2559:
#line 14270 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 48412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2560:
#line 14276 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 48423 "preproc.c" /* yacc.c:1646  */
    break;

  case 2561:
#line 14283 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 48433 "preproc.c" /* yacc.c:1646  */
    break;

  case 2562:
#line 14290 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 48439 "preproc.c" /* yacc.c:1646  */
    break;

  case 2563:
#line 14291 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48445 "preproc.c" /* yacc.c:1646  */
    break;

  case 2564:
#line 14304 "preproc.y" /* yacc.c:1646  */
    {
			add_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 48454 "preproc.c" /* yacc.c:1646  */
    break;

  case 2565:
#line 14315 "preproc.y" /* yacc.c:1646  */
    {
			drop_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 48463 "preproc.c" /* yacc.c:1646  */
    break;

  case 2566:
#line 14326 "preproc.y" /* yacc.c:1646  */
    {  (yyval.str) = (yyvsp[-1].str); }
#line 48469 "preproc.c" /* yacc.c:1646  */
    break;

  case 2569:
#line 14334 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 48475 "preproc.c" /* yacc.c:1646  */
    break;

  case 2570:
#line 14339 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-1].str); }
#line 48481 "preproc.c" /* yacc.c:1646  */
    break;

  case 2573:
#line 14347 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 48489 "preproc.c" /* yacc.c:1646  */
    break;

  case 2574:
#line 14353 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 48501 "preproc.c" /* yacc.c:1646  */
    break;

  case 2575:
#line 14361 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 48509 "preproc.c" /* yacc.c:1646  */
    break;

  case 2576:
#line 14366 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_count; }
#line 48515 "preproc.c" /* yacc.c:1646  */
    break;

  case 2577:
#line 14374 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 48521 "preproc.c" /* yacc.c:1646  */
    break;

  case 2580:
#line 14381 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 48527 "preproc.c" /* yacc.c:1646  */
    break;

  case 2581:
#line 14385 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 48533 "preproc.c" /* yacc.c:1646  */
    break;

  case 2584:
#line 14393 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 48541 "preproc.c" /* yacc.c:1646  */
    break;

  case 2585:
#line 14399 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 48553 "preproc.c" /* yacc.c:1646  */
    break;

  case 2586:
#line 14408 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 48561 "preproc.c" /* yacc.c:1646  */
    break;

  case 2587:
#line 14413 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 48574 "preproc.c" /* yacc.c:1646  */
    break;

  case 2588:
#line 14423 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 48587 "preproc.c" /* yacc.c:1646  */
    break;

  case 2589:
#line 14433 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[0].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 48601 "preproc.c" /* yacc.c:1646  */
    break;

  case 2590:
#line 14444 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_cardinality; }
#line 48607 "preproc.c" /* yacc.c:1646  */
    break;

  case 2591:
#line 14445 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_data; }
#line 48613 "preproc.c" /* yacc.c:1646  */
    break;

  case 2592:
#line 14446 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_code; }
#line 48619 "preproc.c" /* yacc.c:1646  */
    break;

  case 2593:
#line 14447 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_precision; }
#line 48625 "preproc.c" /* yacc.c:1646  */
    break;

  case 2594:
#line 14448 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_indicator; }
#line 48631 "preproc.c" /* yacc.c:1646  */
    break;

  case 2595:
#line 14449 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_key_member; }
#line 48637 "preproc.c" /* yacc.c:1646  */
    break;

  case 2596:
#line 14450 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 48643 "preproc.c" /* yacc.c:1646  */
    break;

  case 2597:
#line 14451 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_name; }
#line 48649 "preproc.c" /* yacc.c:1646  */
    break;

  case 2598:
#line 14452 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_nullable; }
#line 48655 "preproc.c" /* yacc.c:1646  */
    break;

  case 2599:
#line 14453 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_octet; }
#line 48661 "preproc.c" /* yacc.c:1646  */
    break;

  case 2600:
#line 14454 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_precision; }
#line 48667 "preproc.c" /* yacc.c:1646  */
    break;

  case 2601:
#line 14455 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 48673 "preproc.c" /* yacc.c:1646  */
    break;

  case 2602:
#line 14456 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
#line 48679 "preproc.c" /* yacc.c:1646  */
    break;

  case 2603:
#line 14457 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_scale; }
#line 48685 "preproc.c" /* yacc.c:1646  */
    break;

  case 2604:
#line 14458 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_type; }
#line 48691 "preproc.c" /* yacc.c:1646  */
    break;

  case 2605:
#line 14465 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48697 "preproc.c" /* yacc.c:1646  */
    break;

  case 2606:
#line 14466 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48703 "preproc.c" /* yacc.c:1646  */
    break;

  case 2607:
#line 14469 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("on"); }
#line 48709 "preproc.c" /* yacc.c:1646  */
    break;

  case 2608:
#line 14470 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("off"); }
#line 48715 "preproc.c" /* yacc.c:1646  */
    break;

  case 2609:
#line 14477 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48721 "preproc.c" /* yacc.c:1646  */
    break;

  case 2610:
#line 14478 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48727 "preproc.c" /* yacc.c:1646  */
    break;

  case 2611:
#line 14479 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48733 "preproc.c" /* yacc.c:1646  */
    break;

  case 2612:
#line 14486 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 48743 "preproc.c" /* yacc.c:1646  */
    break;

  case 2613:
#line 14492 "preproc.y" /* yacc.c:1646  */
    {
			add_typedef((yyvsp[-4].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, initializer, *(yyvsp[0].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[-2].type).type_str), *(yyvsp[0].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[-4].str)), mm_strdup((yyvsp[-1].index).str), mm_strdup(";"));
		}
#line 48756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2614:
#line 14502 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("reference"); }
#line 48762 "preproc.c" /* yacc.c:1646  */
    break;

  case 2615:
#line 14503 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48768 "preproc.c" /* yacc.c:1646  */
    break;

  case 2616:
#line 14510 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 48778 "preproc.c" /* yacc.c:1646  */
    break;

  case 2617:
#line 14516 "preproc.y" /* yacc.c:1646  */
    {
			struct variable *p = find_variable((yyvsp[-4].str));
			char *dimension = (yyvsp[-1].index).index1;
			char *length = (yyvsp[-1].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[-2].type).type_enum == ECPGt_struct ||
				 (yyvsp[-2].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[-2].type).type_enum, &dimension, &length, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, *(yyvsp[0].str)?1:0, false);

				switch ((yyvsp[-2].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 48840 "preproc.c" /* yacc.c:1646  */
    break;

  case 2618:
#line 14580 "preproc.y" /* yacc.c:1646  */
    {
			when_error.code = (yyvsp[0].action).code;
			when_error.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 48850 "preproc.c" /* yacc.c:1646  */
    break;

  case 2619:
#line 14586 "preproc.y" /* yacc.c:1646  */
    {
			when_nf.code = (yyvsp[0].action).code;
			when_nf.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 48860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2620:
#line 14592 "preproc.y" /* yacc.c:1646  */
    {
			when_warn.code = (yyvsp[0].action).code;
			when_warn.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 48870 "preproc.c" /* yacc.c:1646  */
    break;

  case 2621:
#line 14600 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
#line 48880 "preproc.c" /* yacc.c:1646  */
    break;

  case 2622:
#line 14606 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		}
#line 48890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2623:
#line 14612 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		}
#line 48900 "preproc.c" /* yacc.c:1646  */
    break;

  case 2624:
#line 14618 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 48910 "preproc.c" /* yacc.c:1646  */
    break;

  case 2625:
#line 14624 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 48920 "preproc.c" /* yacc.c:1646  */
    break;

  case 2626:
#line 14630 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		}
#line 48930 "preproc.c" /* yacc.c:1646  */
    break;

  case 2627:
#line 14636 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		}
#line 48940 "preproc.c" /* yacc.c:1646  */
    break;

  case 2628:
#line 14642 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 48950 "preproc.c" /* yacc.c:1646  */
    break;

  case 2629:
#line 14648 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[0].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 48960 "preproc.c" /* yacc.c:1646  */
    break;

  case 2630:
#line 14658 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48966 "preproc.c" /* yacc.c:1646  */
    break;

  case 2631:
#line 14659 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48972 "preproc.c" /* yacc.c:1646  */
    break;

  case 2632:
#line 14662 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("break"); }
#line 48978 "preproc.c" /* yacc.c:1646  */
    break;

  case 2633:
#line 14663 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("call"); }
#line 48984 "preproc.c" /* yacc.c:1646  */
    break;

  case 2634:
#line 14664 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("cardinality"); }
#line 48990 "preproc.c" /* yacc.c:1646  */
    break;

  case 2635:
#line 14665 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("count"); }
#line 48996 "preproc.c" /* yacc.c:1646  */
    break;

  case 2636:
#line 14666 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_code"); }
#line 49002 "preproc.c" /* yacc.c:1646  */
    break;

  case 2637:
#line 14667 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_precision"); }
#line 49008 "preproc.c" /* yacc.c:1646  */
    break;

  case 2638:
#line 14668 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("found"); }
#line 49014 "preproc.c" /* yacc.c:1646  */
    break;

  case 2639:
#line 14669 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("go"); }
#line 49020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2640:
#line 14670 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("goto"); }
#line 49026 "preproc.c" /* yacc.c:1646  */
    break;

  case 2641:
#line 14671 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("identified"); }
#line 49032 "preproc.c" /* yacc.c:1646  */
    break;

  case 2642:
#line 14672 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("indicator"); }
#line 49038 "preproc.c" /* yacc.c:1646  */
    break;

  case 2643:
#line 14673 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("key_member"); }
#line 49044 "preproc.c" /* yacc.c:1646  */
    break;

  case 2644:
#line 14674 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("length"); }
#line 49050 "preproc.c" /* yacc.c:1646  */
    break;

  case 2645:
#line 14675 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("nullable"); }
#line 49056 "preproc.c" /* yacc.c:1646  */
    break;

  case 2646:
#line 14676 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("octet_length"); }
#line 49062 "preproc.c" /* yacc.c:1646  */
    break;

  case 2647:
#line 14677 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_length"); }
#line 49068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2648:
#line 14678 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_octet_length"); }
#line 49074 "preproc.c" /* yacc.c:1646  */
    break;

  case 2649:
#line 14679 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("scale"); }
#line 49080 "preproc.c" /* yacc.c:1646  */
    break;

  case 2650:
#line 14680 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("section"); }
#line 49086 "preproc.c" /* yacc.c:1646  */
    break;

  case 2651:
#line 14681 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sql"); }
#line 49092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2652:
#line 14682 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlerror"); }
#line 49098 "preproc.c" /* yacc.c:1646  */
    break;

  case 2653:
#line 14683 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlprint"); }
#line 49104 "preproc.c" /* yacc.c:1646  */
    break;

  case 2654:
#line 14684 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlwarning"); }
#line 49110 "preproc.c" /* yacc.c:1646  */
    break;

  case 2655:
#line 14685 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("stop"); }
#line 49116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2656:
#line 14688 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connect"); }
#line 49122 "preproc.c" /* yacc.c:1646  */
    break;

  case 2657:
#line 14689 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("describe"); }
#line 49128 "preproc.c" /* yacc.c:1646  */
    break;

  case 2658:
#line 14690 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("disconnect"); }
#line 49134 "preproc.c" /* yacc.c:1646  */
    break;

  case 2659:
#line 14691 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("open"); }
#line 49140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2660:
#line 14692 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("var"); }
#line 49146 "preproc.c" /* yacc.c:1646  */
    break;

  case 2661:
#line 14693 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("whenever"); }
#line 49152 "preproc.c" /* yacc.c:1646  */
    break;

  case 2662:
#line 14697 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 49158 "preproc.c" /* yacc.c:1646  */
    break;

  case 2663:
#line 14698 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 49164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2664:
#line 14699 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 49170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2665:
#line 14700 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 49176 "preproc.c" /* yacc.c:1646  */
    break;

  case 2666:
#line 14701 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 49182 "preproc.c" /* yacc.c:1646  */
    break;

  case 2667:
#line 14702 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 49188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2668:
#line 14703 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 49194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2669:
#line 14706 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49200 "preproc.c" /* yacc.c:1646  */
    break;

  case 2670:
#line 14709 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49206 "preproc.c" /* yacc.c:1646  */
    break;

  case 2671:
#line 14710 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2672:
#line 14711 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49218 "preproc.c" /* yacc.c:1646  */
    break;

  case 2673:
#line 14712 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49224 "preproc.c" /* yacc.c:1646  */
    break;

  case 2674:
#line 14713 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49230 "preproc.c" /* yacc.c:1646  */
    break;

  case 2675:
#line 14714 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2676:
#line 14715 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 49242 "preproc.c" /* yacc.c:1646  */
    break;

  case 2677:
#line 14716 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 49248 "preproc.c" /* yacc.c:1646  */
    break;

  case 2678:
#line 14729 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49254 "preproc.c" /* yacc.c:1646  */
    break;

  case 2679:
#line 14730 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49260 "preproc.c" /* yacc.c:1646  */
    break;

  case 2680:
#line 14731 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49266 "preproc.c" /* yacc.c:1646  */
    break;

  case 2681:
#line 14732 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49272 "preproc.c" /* yacc.c:1646  */
    break;

  case 2682:
#line 14733 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49278 "preproc.c" /* yacc.c:1646  */
    break;

  case 2683:
#line 14734 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 49284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2684:
#line 14735 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 49290 "preproc.c" /* yacc.c:1646  */
    break;

  case 2685:
#line 14740 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49296 "preproc.c" /* yacc.c:1646  */
    break;

  case 2686:
#line 14741 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49302 "preproc.c" /* yacc.c:1646  */
    break;

  case 2687:
#line 14742 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2688:
#line 14743 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49314 "preproc.c" /* yacc.c:1646  */
    break;

  case 2689:
#line 14744 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49320 "preproc.c" /* yacc.c:1646  */
    break;

  case 2690:
#line 14745 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49326 "preproc.c" /* yacc.c:1646  */
    break;

  case 2691:
#line 14751 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2692:
#line 14752 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49338 "preproc.c" /* yacc.c:1646  */
    break;

  case 2693:
#line 14753 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 49344 "preproc.c" /* yacc.c:1646  */
    break;

  case 2694:
#line 14754 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("current"); }
#line 49350 "preproc.c" /* yacc.c:1646  */
    break;

  case 2695:
#line 14755 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("input"); }
#line 49356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2696:
#line 14756 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 49362 "preproc.c" /* yacc.c:1646  */
    break;

  case 2697:
#line 14757 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 49368 "preproc.c" /* yacc.c:1646  */
    break;

  case 2698:
#line 14758 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 49374 "preproc.c" /* yacc.c:1646  */
    break;

  case 2699:
#line 14759 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 49380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2700:
#line 14760 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49386 "preproc.c" /* yacc.c:1646  */
    break;

  case 2701:
#line 14761 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49392 "preproc.c" /* yacc.c:1646  */
    break;

  case 2702:
#line 14764 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49398 "preproc.c" /* yacc.c:1646  */
    break;

  case 2703:
#line 14765 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2704:
#line 14766 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49410 "preproc.c" /* yacc.c:1646  */
    break;

  case 2705:
#line 14767 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49416 "preproc.c" /* yacc.c:1646  */
    break;

  case 2706:
#line 14768 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 49422 "preproc.c" /* yacc.c:1646  */
    break;

  case 2707:
#line 14771 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2708:
#line 14772 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49434 "preproc.c" /* yacc.c:1646  */
    break;

  case 2709:
#line 14773 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49440 "preproc.c" /* yacc.c:1646  */
    break;

  case 2710:
#line 14774 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49446 "preproc.c" /* yacc.c:1646  */
    break;

  case 2711:
#line 14777 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 49452 "preproc.c" /* yacc.c:1646  */
    break;

  case 2712:
#line 14778 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 49458 "preproc.c" /* yacc.c:1646  */
    break;

  case 2713:
#line 14779 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 49464 "preproc.c" /* yacc.c:1646  */
    break;

  case 2714:
#line 14780 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 49470 "preproc.c" /* yacc.c:1646  */
    break;

  case 2715:
#line 14781 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 49476 "preproc.c" /* yacc.c:1646  */
    break;

  case 2716:
#line 14782 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 49482 "preproc.c" /* yacc.c:1646  */
    break;

  case 2717:
#line 14783 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 49488 "preproc.c" /* yacc.c:1646  */
    break;

  case 2718:
#line 14800 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49494 "preproc.c" /* yacc.c:1646  */
    break;

  case 2719:
#line 14801 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2720:
#line 14802 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 49506 "preproc.c" /* yacc.c:1646  */
    break;

  case 2721:
#line 14805 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day"); }
#line 49512 "preproc.c" /* yacc.c:1646  */
    break;

  case 2722:
#line 14806 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 49518 "preproc.c" /* yacc.c:1646  */
    break;

  case 2723:
#line 14807 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 49524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2724:
#line 14808 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 49530 "preproc.c" /* yacc.c:1646  */
    break;

  case 2725:
#line 14809 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 49536 "preproc.c" /* yacc.c:1646  */
    break;

  case 2726:
#line 14810 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 49542 "preproc.c" /* yacc.c:1646  */
    break;

  case 2729:
#line 14817 "preproc.y" /* yacc.c:1646  */
    {
				reset_variables();
				pacounter = 1;
			}
#line 49551 "preproc.c" /* yacc.c:1646  */
    break;

  case 2730:
#line 14823 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 49557 "preproc.c" /* yacc.c:1646  */
    break;

  case 2731:
#line 14824 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49563 "preproc.c" /* yacc.c:1646  */
    break;

  case 2732:
#line 14828 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str))); }
#line 49569 "preproc.c" /* yacc.c:1646  */
    break;

  case 2733:
#line 14830 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[0].str)), &no_indicator); }
#line 49575 "preproc.c" /* yacc.c:1646  */
    break;

  case 2734:
#line 14835 "preproc.y" /* yacc.c:1646  */
    {
			if (find_variable((yyvsp[0].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str)));
			(yyval.str) = create_questionmarks((yyvsp[-1].str), false);
		}
#line 49587 "preproc.c" /* yacc.c:1646  */
    break;

  case 2735:
#line 14845 "preproc.y" /* yacc.c:1646  */
    {
			char *ptr = strstr((yyvsp[0].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = (yyvsp[0].str);
		}
#line 49600 "preproc.c" /* yacc.c:1646  */
    break;

  case 2736:
#line 14856 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[0].str), false);
		}
#line 49609 "preproc.c" /* yacc.c:1646  */
    break;

  case 2737:
#line 14862 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 49615 "preproc.c" /* yacc.c:1646  */
    break;

  case 2738:
#line 14863 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 49621 "preproc.c" /* yacc.c:1646  */
    break;

  case 2739:
#line 14864 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 49627 "preproc.c" /* yacc.c:1646  */
    break;

  case 2740:
#line 14868 "preproc.y" /* yacc.c:1646  */
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[0].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmfatal(PARSE_ERROR, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[0].str);
		}
#line 49662 "preproc.c" /* yacc.c:1646  */
    break;

  case 2741:
#line 14900 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 49668 "preproc.c" /* yacc.c:1646  */
    break;

  case 2742:
#line 14902 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 49674 "preproc.c" /* yacc.c:1646  */
    break;

  case 2743:
#line 14904 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 49680 "preproc.c" /* yacc.c:1646  */
    break;

  case 2744:
#line 14908 "preproc.y" /* yacc.c:1646  */
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+2]='\0';
			free((yyvsp[0].str));
		}
#line 49694 "preproc.c" /* yacc.c:1646  */
    break;

  case 2745:
#line 14918 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 49708 "preproc.c" /* yacc.c:1646  */
    break;

  case 2746:
#line 14928 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 49722 "preproc.c" /* yacc.c:1646  */
    break;

  case 2747:
#line 14937 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49728 "preproc.c" /* yacc.c:1646  */
    break;

  case 2748:
#line 14938 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49734 "preproc.c" /* yacc.c:1646  */
    break;

  case 2749:
#line 14941 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 49740 "preproc.c" /* yacc.c:1646  */
    break;

  case 2750:
#line 14943 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 49746 "preproc.c" /* yacc.c:1646  */
    break;

  case 2751:
#line 14944 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 49752 "preproc.c" /* yacc.c:1646  */
    break;

  case 2752:
#line 14945 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49758 "preproc.c" /* yacc.c:1646  */
    break;

  case 2753:
#line 14949 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 49764 "preproc.c" /* yacc.c:1646  */
    break;

  case 2754:
#line 14951 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[0].str), mm_strdup(")")); }
#line 49770 "preproc.c" /* yacc.c:1646  */
    break;

  case 2755:
#line 14958 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49776 "preproc.c" /* yacc.c:1646  */
    break;

  case 2756:
#line 14959 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("()"); }
#line 49782 "preproc.c" /* yacc.c:1646  */
    break;

  case 2757:
#line 14961 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 49788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2758:
#line 14964 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49794 "preproc.c" /* yacc.c:1646  */
    break;

  case 2759:
#line 14966 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 49800 "preproc.c" /* yacc.c:1646  */
    break;

  case 2760:
#line 14969 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49806 "preproc.c" /* yacc.c:1646  */
    break;

  case 2761:
#line 14970 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 49812 "preproc.c" /* yacc.c:1646  */
    break;

  case 2762:
#line 14973 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49818 "preproc.c" /* yacc.c:1646  */
    break;

  case 2763:
#line 14974 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 49824 "preproc.c" /* yacc.c:1646  */
    break;

  case 2764:
#line 14977 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49830 "preproc.c" /* yacc.c:1646  */
    break;

  case 2765:
#line 14978 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("("); }
#line 49836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2766:
#line 14979 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(")"); }
#line 49842 "preproc.c" /* yacc.c:1646  */
    break;

  case 2767:
#line 14980 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(","); }
#line 49848 "preproc.c" /* yacc.c:1646  */
    break;

  case 2768:
#line 14981 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(";"); }
#line 49854 "preproc.c" /* yacc.c:1646  */
    break;

  case 2769:
#line 14984 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2770:
#line 14985 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49866 "preproc.c" /* yacc.c:1646  */
    break;

  case 2771:
#line 14986 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49872 "preproc.c" /* yacc.c:1646  */
    break;

  case 2772:
#line 14987 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49878 "preproc.c" /* yacc.c:1646  */
    break;

  case 2773:
#line 14988 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 49884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2774:
#line 14989 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+"); }
#line 49890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2775:
#line 14990 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-"); }
#line 49896 "preproc.c" /* yacc.c:1646  */
    break;

  case 2776:
#line 14991 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/"); }
#line 49902 "preproc.c" /* yacc.c:1646  */
    break;

  case 2777:
#line 14992 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%"); }
#line 49908 "preproc.c" /* yacc.c:1646  */
    break;

  case 2778:
#line 14993 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 49914 "preproc.c" /* yacc.c:1646  */
    break;

  case 2779:
#line 14994 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+="); }
#line 49920 "preproc.c" /* yacc.c:1646  */
    break;

  case 2780:
#line 14995 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("&&"); }
#line 49926 "preproc.c" /* yacc.c:1646  */
    break;

  case 2781:
#line 14996 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 49932 "preproc.c" /* yacc.c:1646  */
    break;

  case 2782:
#line 14997 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 49938 "preproc.c" /* yacc.c:1646  */
    break;

  case 2783:
#line 14998 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 49944 "preproc.c" /* yacc.c:1646  */
    break;

  case 2784:
#line 14999 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("--"); }
#line 49950 "preproc.c" /* yacc.c:1646  */
    break;

  case 2785:
#line 15000 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/="); }
#line 49956 "preproc.c" /* yacc.c:1646  */
    break;

  case 2786:
#line 15001 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(".*"); }
#line 49962 "preproc.c" /* yacc.c:1646  */
    break;

  case 2787:
#line 15002 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("=="); }
#line 49968 "preproc.c" /* yacc.c:1646  */
    break;

  case 2788:
#line 15003 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 49974 "preproc.c" /* yacc.c:1646  */
    break;

  case 2789:
#line 15004 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("++"); }
#line 49980 "preproc.c" /* yacc.c:1646  */
    break;

  case 2790:
#line 15005 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("<<"); }
#line 49986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2791:
#line 15006 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->"); }
#line 49992 "preproc.c" /* yacc.c:1646  */
    break;

  case 2792:
#line 15007 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->*"); }
#line 49998 "preproc.c" /* yacc.c:1646  */
    break;

  case 2793:
#line 15008 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%="); }
#line 50004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2794:
#line 15009 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*="); }
#line 50010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2795:
#line 15010 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("!="); }
#line 50016 "preproc.c" /* yacc.c:1646  */
    break;

  case 2796:
#line 15011 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("||"); }
#line 50022 "preproc.c" /* yacc.c:1646  */
    break;

  case 2797:
#line 15012 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 50028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2798:
#line 15013 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(">>"); }
#line 50034 "preproc.c" /* yacc.c:1646  */
    break;

  case 2799:
#line 15014 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 50040 "preproc.c" /* yacc.c:1646  */
    break;

  case 2800:
#line 15015 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-="); }
#line 50046 "preproc.c" /* yacc.c:1646  */
    break;

  case 2801:
#line 15016 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 50052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2802:
#line 15017 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 50058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2803:
#line 15018 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 50064 "preproc.c" /* yacc.c:1646  */
    break;

  case 2804:
#line 15019 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("enum"); }
#line 50070 "preproc.c" /* yacc.c:1646  */
    break;

  case 2805:
#line 15020 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 50076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2806:
#line 15021 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 50082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2807:
#line 15022 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 50088 "preproc.c" /* yacc.c:1646  */
    break;

  case 2808:
#line 15023 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 50094 "preproc.c" /* yacc.c:1646  */
    break;

  case 2809:
#line 15024 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 50100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2810:
#line 15025 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 50106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2811:
#line 15026 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 50112 "preproc.c" /* yacc.c:1646  */
    break;

  case 2812:
#line 15027 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 50118 "preproc.c" /* yacc.c:1646  */
    break;

  case 2813:
#line 15028 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 50124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2814:
#line 15029 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 50130 "preproc.c" /* yacc.c:1646  */
    break;

  case 2815:
#line 15030 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 50136 "preproc.c" /* yacc.c:1646  */
    break;

  case 2816:
#line 15031 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 50142 "preproc.c" /* yacc.c:1646  */
    break;

  case 2817:
#line 15032 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("float"); }
#line 50148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2818:
#line 15033 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 50154 "preproc.c" /* yacc.c:1646  */
    break;

  case 2819:
#line 15034 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 50160 "preproc.c" /* yacc.c:1646  */
    break;

  case 2820:
#line 15035 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("varchar"); }
#line 50166 "preproc.c" /* yacc.c:1646  */
    break;

  case 2821:
#line 15036 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("["); }
#line 50172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2822:
#line 15037 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("]"); }
#line 50178 "preproc.c" /* yacc.c:1646  */
    break;

  case 2823:
#line 15038 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("="); }
#line 50184 "preproc.c" /* yacc.c:1646  */
    break;

  case 2824:
#line 15039 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(":"); }
#line 50190 "preproc.c" /* yacc.c:1646  */
    break;

  case 2825:
#line 15042 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2826:
#line 15043 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50202 "preproc.c" /* yacc.c:1646  */
    break;

  case 2827:
#line 15044 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 50208 "preproc.c" /* yacc.c:1646  */
    break;

  case 2828:
#line 15045 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 50214 "preproc.c" /* yacc.c:1646  */
    break;

  case 2829:
#line 15048 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2830:
#line 15049 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 50226 "preproc.c" /* yacc.c:1646  */
    break;

  case 2831:
#line 15050 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("+"), (yyvsp[0].str)); }
#line 50232 "preproc.c" /* yacc.c:1646  */
    break;

  case 2832:
#line 15051 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("-"), (yyvsp[0].str)); }
#line 50238 "preproc.c" /* yacc.c:1646  */
    break;

  case 2833:
#line 15052 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("*"), (yyvsp[0].str)); }
#line 50244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2834:
#line 15053 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("/"), (yyvsp[0].str)); }
#line 50250 "preproc.c" /* yacc.c:1646  */
    break;

  case 2835:
#line 15054 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("%"), (yyvsp[0].str)); }
#line 50256 "preproc.c" /* yacc.c:1646  */
    break;

  case 2836:
#line 15055 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50262 "preproc.c" /* yacc.c:1646  */
    break;

  case 2837:
#line 15056 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2838:
#line 15057 "preproc.y" /* yacc.c:1646  */
    { if (pg_strcasecmp((yyvsp[-3].str), "sizeof") != 0)
							mmerror(PARSE_ERROR, ET_ERROR, "operator not allowed in variable definition");
						  else
							(yyval.str) = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].type).type_str, mm_strdup(")"));
						}
#line 50278 "preproc.c" /* yacc.c:1646  */
    break;

  case 2839:
#line 15064 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2840:
#line 15065 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50290 "preproc.c" /* yacc.c:1646  */
    break;

  case 2841:
#line 15066 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50296 "preproc.c" /* yacc.c:1646  */
    break;

  case 2842:
#line 15067 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50302 "preproc.c" /* yacc.c:1646  */
    break;

  case 2843:
#line 15070 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2844:
#line 15071 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50314 "preproc.c" /* yacc.c:1646  */
    break;

  case 2845:
#line 15074 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50320 "preproc.c" /* yacc.c:1646  */
    break;

  case 2846:
#line 15075 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50326 "preproc.c" /* yacc.c:1646  */
    break;

  case 2847:
#line 15078 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2848:
#line 15080 "preproc.y" /* yacc.c:1646  */
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[0].str);
	}
#line 50345 "preproc.c" /* yacc.c:1646  */
    break;

  case 2849:
#line 15090 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50351 "preproc.c" /* yacc.c:1646  */
    break;

  case 2850:
#line 15091 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50357 "preproc.c" /* yacc.c:1646  */
    break;


#line 50361 "preproc.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 15094 "preproc.y" /* yacc.c:1906  */


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : base_yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}
